#
# spec file for package kernel-syms
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define variant %{nil}

%include %_sourcedir/kernel-spec-macros

Name:           kernel-syms
Summary:        Kernel Symbol Versions (modversions)
License:        GPL-2.0
Group:          Development/Sources
Version:        4.4.126
%if %using_buildservice
%if 0%{?is_kotd}
Release:        94.22.1.g9649989
%else
Release:        94.22.1
%endif
%else
%define kernel_source_release %(LC_ALL=C rpm -q kernel-devel%variant-%version --qf "%{RELEASE}" | grep -v 'not installed' || echo 0)
Release:        94.22.1
%endif
Url:            http://www.kernel.org/
AutoReqProv:    off
BuildRequires:  coreutils
%ifarch aarch64 ppc64le s390x x86_64
Requires:       kernel-default-devel = %version-%source_rel
%endif
Requires:       pesign-obs-integration
Provides:       %name = %version-%source_rel
Provides:       multiversion(kernel)
Source:         README.KSYMS
Requires:       kernel-devel%variant = %version-%source_rel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  aarch64 ppc64le s390x x86_64
Prefix:         /usr/src

%description
Kernel symbols, such as functions and variables, have version
information attached to them. This package contains the symbol versions
for the standard kernels.

This package is needed for compiling kernel module packages with proper
package dependencies.


%source_timestamp
%prep

%install
install -m 644 -D %{SOURCE0} %buildroot/%_docdir/%name/README.SUSE

%files
%defattr(-, root, root)
%dir %_docdir/%name
%_docdir/%name/README.SUSE

%changelog
* Tue Apr 10 2018 lduncan@suse.com
- target: prefer dbroot of /etc/target over /var/target
  (bsc#1087274).
- commit 4b2c3c5
* Tue Apr 10 2018 msuchanek@suse.de
- Update README.BRANCH
- commit ea4baf5
* Tue Apr 10 2018 lduncan@suse.com
- update patch sorting/status with series_sort.py
- commit 0e7da8b
* Tue Apr 10 2018 jack@suse.cz
- blacklist.conf: blacklist 1202d4ba2899
- commit 43b2162
* Tue Apr 10 2018 jack@suse.cz
- f2fs: fix a dead loop in f2fs_fiemap() (bsc#1088241
  cve-2017-18257).
- commit a0de24a
* Tue Apr 10 2018 yousaf.kaukab@suse.com
- ipmi_ssif: Fix kernel panic at msg_done_handler (bsc#1088871).
- commit ee26cca
* Mon Apr  9 2018 bp@suse.de
- Refresh
  patches.suse/32-x86-nospec-fix-ordering-of-earlyparam-vs-cap-clearing.patch.
- commit 8f2137c
* Mon Apr  9 2018 oneukum@suse.com
- ch9200: use skb_cow_head() to deal with cloned skbs
  (bsc#1088684).
- commit 1c0c2b3
* Mon Apr  9 2018 msuchanek@suse.de
- ibmvnic: Do not reset CRQ for Mobility driver resets
  (bsc#1088600).
- ibmvnic: Fix failover case for non-redundant configuration
  (bsc#1088600).
- ibmvnic: Fix reset scheduler error handling (bsc#1088600).
- ibmvnic: Zero used TX descriptor counter on reset (bsc#1088600).
- ibmvnic: Fix DMA mapping mistakes (bsc#1088600).
- ibmvnic: Disable irqs before exiting reset from closed state
  (bsc#1084610).
- commit bef1bda
* Fri Apr  6 2018 bp@suse.de
- Refresh
  patches.suse/22-x86-cpu-amd-add-speculative-control-support-for-amd.patch.
- Refresh
  patches.suse/23-x86-spec-check-cpuid-direclty-post-microcode-reload-to-support-ibpb-feature.patch.
- Refresh
  patches.suse/32-x86-nospec-fix-ordering-of-earlyparam-vs-cap-clearing.patch.
- commit e2d9c10
* Fri Apr  6 2018 jthumshirn@suse.de
- s390/mm: fix race on mm->context.flush_mm (bnc#1088324,
  LTC#166470).
- s390/mm: fix local TLB flushing vs. detach of an mm address
  space (bnc#1088324, LTC#166470).
- s390/mm: no local TLB flush for clearing-by-ASCE IDTE
  (bnc#1088324, LTC#166470).
- commit da0e93f
* Fri Apr  6 2018 ohering@suse.de
- hv_balloon: fix bugs in num_pages_onlined accounting
  (fate#323887).
- hv_balloon: simplify hv_online_page()/hv_page_online_one()
  (fate#323887).
- hv_balloon: fix printk loglevel (fate#323887).
- commit ba9b08e
* Fri Apr  6 2018 ohering@suse.de
- add mainline tag to various patches to be able to get further work done
- commit 6ca40a7
* Thu Apr  5 2018 yousaf.kaukab@suse.com
- arm64: Enforce BBM for huge IO/VMAP mappings (bsc#1088313).
- mmc: dw_mmc: Fix the DTO/CTO timeout overflow calculation for
  32-bit systems (bsc#1088267).
- PCI/ACPI: Fix bus range comparison in pci_mcfg_lookup()
  (bsc#1084699).
- commit 6a01b45
* Thu Apr  5 2018 ohering@suse.de
- PCI: hv: Only queue new work items in hv_pci_devices_present()
  if necessary (fate#323887, bsc#1087659).
- PCI: hv: Remove the bogus test in hv_eject_device_work()
  (fate#323887, bsc#1087659).
- PCI: hv: Fix a comment typo in _hv_pcifront_read_config()
  (fate#323887, bsc#1087659).
- PCI: hv: Fix 2 hang issues in hv_compose_msi_msg() (fate#323887,
  bsc#1087659, bsc#1087906).
- PCI: hv: Serialize the present and eject work items
  (fate#323887, bsc#1087659).
- commit ef513ac
* Thu Apr  5 2018 jkosina@suse.cz
- x86/kaiser: enforce trampoline stack alignment (bsc#1087260).
- commit eb4183f
* Wed Apr  4 2018 bp@suse.de
- perf/x86/intel/uncore: Fix multi-domain PCI CHA enumeration
  bug on Skylake servers (bsc#1086357).
- commit 6220626
* Wed Apr  4 2018 bp@suse.de
- EDAC, sb_edac: Fix out of bound writes during DIMM configuration
  on KNL (git-fixes 3286d3eb906c).
- commit b897964
* Wed Apr  4 2018 bp@suse.de
- x86/speculation: Remove Skylake C2 from Speculation Control
  microcode blacklist (bsc#1087845).
- commit 5874f9e
* Wed Apr  4 2018 tiwai@suse.de
- regmap-i2c: Off by one in regmap_i2c_smbus_i2c_read/write()
  (bsc#1031717).
- regmap: Format data for raw write in regmap_bulk_write
  (bsc#1031717).
- regmap: Fix reversed bounds check in regmap_raw_write()
  (bsc#1031717).
- regmap: Don't use format_val in regmap_bulk_read (bsc#1031717).
- mac80211: don't WARN on bad WMM parameters from buggy APs
  (bsc#1031717).
- media: s3c-camif: fix out-of-bounds array access (bsc#1031717).
- media: cx25821: prevent out-of-bounds read on array card
  (bsc#1031717).
- media: au0828: fix VIDEO_V4L2 dependency (bsc#1031717).
- commit e04e9b9
* Wed Apr  4 2018 mbrugger@suse.com
- arm64: mm: fix thinko in non-global page table attribute check
  (bsc#1088050).
- arm64: Relax ARM_SMCCC_ARCH_WORKAROUND_1 discovery
  (bsc#1068032).
- commit 3b29e62
* Wed Apr  4 2018 hare@suse.de
- lpfc: update version to 11.4.0.7-1 (bsc#1085383).
- scsi: lpfc: Add missing unlock in WQ full logic (bsc#1085383).
- commit 8f018c7
* Wed Apr  4 2018 hare@suse.de
- scsi: lpfc: Memory allocation error during driver start-up on
  power8 (bsc#1085383).
- commit aadc164
* Wed Apr  4 2018 hare@suse.de
- scsi: lpfc: Fix mailbox wait for POST_SGL mbox command
  (bsc#1085383).
- scsi: lpfc: Fix SCSI lun discovery when port configured for
  both SCSI and NVME (bsc#1085383).
- commit 351e056
* Wed Apr  4 2018 hare@suse.de
- scsi: lpfc: Code cleanup for 128byte wqe data type
  (bsc#1085383).
- scsi: lpfc: Fix NVME Initiator FirstBurst (bsc#1085383).
- commit fe0f28d
* Wed Apr  4 2018 hare@suse.de
- dm: Always copy cmd_flags when cloning a request (bsc#1088087).
- block: don't assign cmd_flags in __blk_rq_prep_clone
  (bsc#1088087).
- commit e4ab55b
* Wed Apr  4 2018 mbrugger@suse.com
- watchdog: sbsa: use 32-bit read for WCV (bsc#1085679).
- commit f66986c
* Wed Apr  4 2018 lma@suse.com
- kvm: nVMX: fix nested tsc scaling (bsc1087999).
- commit 31ead32
* Wed Apr  4 2018 fliu@suse.com
- btrfs: improve delayed refs iterations (bsc#1076033).
- commit 133ebd3
* Tue Apr  3 2018 lhenriques@suse.com
- ceph: only dirty ITER_IOVEC pages for direct read (bsc#1084898).
- commit d7c2cff
* Tue Apr  3 2018 ohering@suse.de
- xen-blkfront: fix mq start/stop race (bsc#1085042).
- xen-netback: use skb to determine number of required guest Rx
  requests (bsc#1046610).
- commit 86d6d06
* Tue Apr  3 2018 tbogendoerfer@suse.de
- qed: Use after free in qed_rdma_free() (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- commit e14c95a
* Tue Apr  3 2018 tiwai@suse.de
- drm/i915/psr: Check for the specific AUX_FRAME_SYNC cap bit
  (bsc#1031717).
- drm/i915/cmdparser: Do not check past the cmd length
  (bsc#1031717).
- commit f81fd1a
* Tue Apr  3 2018 tiwai@suse.de
- blacklist.conf: Update drm blacklist
- commit 30e0be8
* Tue Apr  3 2018 tbogendoerfer@suse.de
- qed: Free RoCE ILT Memory on rmmod qedr (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- RDMA/core: Do not use invalid destination in determining port
  reuse (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- commit 01ec16f
* Tue Apr  3 2018 tiwai@suse.de
- ALSA: hda/realtek - Fix speaker no sound after system resume
  (bsc#1031717).
- commit 8541528
* Sun Apr  1 2018 jslaby@suse.cz
- Linux 4.4.126 (bnc#1012382).
- Revert "genirq: Use irqd_get_trigger_type to compare the
  trigger type for shared IRQs" (bnc#1012382).
- net: Fix hlist corruptions in inet_evict_bucket() (bnc#1012382).
- dccp: check sk for closed state in dccp_sendmsg() (bnc#1012382).
- ipv6: fix access to non-linear packet in
  ndisc_fill_redirect_hdr_option() (bnc#1012382).
- l2tp: do not accept arbitrary sockets (bnc#1012382).
- net: ethernet: arc: Fix a potential memory leak if an optional
  regulator is deferred (bnc#1012382).
- net: ethernet: ti: cpsw: add check for in-band mode setting
  with RGMII PHY interface (bnc#1012382).
- net/iucv: Free memory obtained by kzalloc (bnc#1012382).
- netlink: avoid a double skb free in genlmsg_mcast()
  (bnc#1012382).
- net: Only honor ifindex in IP_PKTINFO if non-0 (bnc#1012382).
- skbuff: Fix not waking applications when errors are enqueued
  (bnc#1012382).
- team: Fix double free in error path (bnc#1012382).
- s390/qeth: free netdevice when removing a card (bnc#1012382).
- s390/qeth: when thread completes, wake up all waiters
  (bnc#1012382).
- s390/qeth: lock read device while queueing next buffer
  (bnc#1012382).
- s390/qeth: on channel error, reject further cmd requests
  (bnc#1012382).
- ieee802154: 6lowpan: fix possible NULL deref in
  lowpan_device_event() (bnc#1012382).
- net: fec: Fix unbalanced PM runtime calls (bnc#1012382).
- net: systemport: Rewrite __bcm_sysport_tx_reclaim()
  (bnc#1012382).
- Refresh
  patches.arch/s390-sles12sp3-00-03-qeth-accelerate-set-rx-mode-01.patch.
- Refresh
  patches.drivers/genirq-Introduce-IRQD_AFFINITY_MANAGED-flag.patch.
- Refresh
  patches.drivers/irq-Privatize-irq_common_data-state_use_accessors.patch.
- Refresh
  patches.drivers/mlx4-0011-net-add-netif_tx_napi_add.patch.
- Delete
  patches.suse/genirq-Track-whether-the-trigger-type-has-been-set.patch.
- commit be3c2ae
* Sun Apr  1 2018 jslaby@suse.cz
- Linux 4.4.125 (bnc#1012382).
- MIPS: ralink: Remove ralink_halt() (bnc#1012382).
- ALSA: usb-audio: Fix parsing descriptor of UAC2 processing unit
  (bnc#1012382).
- ALSA: aloop: Sync stale timer before release (bnc#1012382).
- ALSA: aloop: Fix access to not-yet-ready substream via cable
  (bnc#1012382).
- ALSA: hda/realtek - Always immediately update mute LED with
  pin VREF (bnc#1012382).
- mmc: dw_mmc: fix falling from idmac to PIO mode when
  dw_mci_reset occurs (bnc#1012382).
- PCI: Add function 1 DMA alias quirk for Highpoint RocketRAID
  644L (bnc#1012382).
- ahci: Add PCI-id for the Highpoint Rocketraid 644L card
  (bnc#1012382).
- clk: bcm2835: Protect sections updating shared registers
  (bnc#1012382).
- Bluetooth: btusb: Fix quirk for Atheros 1525/QCA6174
  (bnc#1012382).
- libata: fix length validation of ATAPI-relayed SCSI commands
  (bnc#1012382).
- libata: remove WARN() for DMA or PIO command without data
  (bnc#1012382).
- libata: Apply NOLPM quirk to Crucial MX100 512GB SSDs
  (bnc#1012382).
- libata: disable LPM for Crucial BX100 SSD 500GB drive
  (bnc#1012382).
- libata: Enable queued TRIM for Samsung SSD 860 (bnc#1012382).
- libata: Apply NOLPM quirk to Crucial M500 480 and 960GB SSDs
  (bnc#1012382).
- libata: Make Crucial BX100 500GB LPM quirk apply to all firmware
  versions (bnc#1012382).
- libata: Modify quirks for MX100 to limit NCQ_TRIM quirk to
  MU01 version (bnc#1012382).
- mm/vmalloc: add interfaces to free unmapped page table
  (bnc#1012382).
- x86/mm: implement free pmd/pte page interfaces (bnc#1012382).
- drm/vmwgfx: Fix a destoy-while-held mutex problem (bnc#1012382).
- drm/radeon: Don't turn off DP sink when disconnected
  (bnc#1012382).
- drm: udl: Properly check framebuffer mmap offsets (bnc#1012382).
- acpi, numa: fix pxm to online numa node associations
  (bnc#1012382).
- brcmfmac: fix P2P_DEVICE ethernet address generation
  (bnc#1012382).
- rtlwifi: rtl8723be: Fix loss of signal (bnc#1012382).
- tracing: probeevent: Fix to support minus offset from symbol
  (bnc#1012382).
- mtd: nand: fsl_ifc: Fix nand waitfunc return value
  (bnc#1012382).
- staging: ncpfs: memory corruption in ncp_read_kernel()
  (bnc#1012382).
- can: cc770: Fix stalls on rt-linux, remove redundant IRQ ack
  (bnc#1012382).
- can: cc770: Fix queue stall & dropped RTR reply (bnc#1012382).
- can: cc770: Fix use after free in cc770_tx_interrupt()
  (bnc#1012382).
- tty: vt: fix up tabstops properly (bnc#1012382).
- kvm/x86: fix icebp instruction handling (bnc#1012382).
- x86/build/64: Force the linker to use 2MB page size
  (bnc#1012382).
- x86/boot/64: Verify alignment of the LOAD segment (bnc#1012382).
- perf/x86/intel: Don't accidentally clear high bits in
  bdw_limit_period() (bnc#1012382).
- staging: lustre: ptlrpc: kfree used instead of kvfree
  (bnc#1012382).
- kbuild: disable clang's default use of -fmerge-all-constants
  (bnc#1012382).
- bpf: skip unnecessary capability check (bnc#1012382).
- bpf, x64: increase number of passes (bnc#1012382).
- Refresh
  patches.arch/0035-arm64-add-support-for-ioremap-block-mappings.patch.
- Refresh
  patches.drivers/0035-mmc-dw_mmc-avoid-race-condition-of-cpu-and-IDMAC.patch.
- Refresh
  patches.drivers/0066-mmc-dw_mmc-move-dw_mci_reset-forward-to-avoid-declar.patch.
- commit 95d3e6c
* Thu Mar 29 2018 jslaby@suse.cz
- posix-timers: Protect posix clock array access against
  speculation (bnc#1081358 CVE-2017-5715).
- commit 3ba0021
* Thu Mar 29 2018 mbrugger@suse.com
- net: hns: Fix ethtool private flags (bsc#1085511).
- commit 8fc4532
* Thu Mar 29 2018 oneukum@suse.com
- usb: Don't print a warning if interface driver rebind is
  deferred at resume (bsc#1087211).
- commit d5c1602
* Thu Mar 29 2018 hare@suse.de
- nvme/rdma: do no start error recovery twice (bsc#1084967).
- commit da350bc
* Thu Mar 29 2018 hare@suse.de
- nvme: expand nvmf_check_if_ready checks (bsc#1085058).
- commit dd9b1df
* Wed Mar 28 2018 tiwai@suse.de
- PCI: Mark Haswell Power Control Unit as having non-compliant
  BARs (bsc#1086015).
- commit 9440b72
* Wed Mar 28 2018 msuchanek@suse.de
- powerpc/tm: Flush TM only if CPU has TM feature (bsc#1075746,
  bsc#1087231, CVE-2018-1091).
- commit 7fab0d8
* Wed Mar 28 2018 bp@suse.de
- x86/entry/64: Don't use IST entry for #BP stack (bsc#1087088).
- commit 3a4b11e
* Wed Mar 28 2018 hare@suse.de
- nvme: do not send keep-alive frames during reset (bsc#1084223).
- nvme: don't send keep-alives to the discovery controller
  (bsc#1086607).
- block-mq: stop workqueue items in blk_mq_stop_hw_queue()
  (bsc#1084967).
- commit fa5ceb0
* Wed Mar 28 2018 neilb@suse.com
- staging: ncpfs: memory corruption in ncp_read_kernel()
  (bsc#1086162, CVE-2018-8822).
- commit 3bb90cb
* Tue Mar 27 2018 jthumshirn@suse.de
- nvmet_fc: prevent new io rqsts in possible isr completions
  (bsc#1083574).
- commit 02f6320
* Tue Mar 27 2018 jthumshirn@suse.de
- Update
  patches.arch/s390-sles12sp3-08-06-01-s390-mem_detect-use-unsigned-longs.patch
  (FATE#324071, LTC#158956, bsc#1073059).
- Update
  patches.arch/s390-sles12sp3-08-06-02-kvm-s390-enable-all-facility-bits-that-are-known-goo.patch
  (FATE#324071, LTC#158956, bsc#1073059).
- Update
  patches.arch/s390-sles12sp3-08-06-03-s390-sclp-add-hmfai-field.patch
  (FATE#324071, LTC#158956, bsc#1073059).
- Update
  patches.arch/s390-sles12sp3-08-06-04-kvm-s390-populate-mask-of-non-hypervisor-managed-fac.patch
  (FATE#324071, LTC#158956, bsc#1073059).
- commit 3a00811
* Mon Mar 26 2018 jthumshirn@suse.de
- Update
  patches.arch/s390-sles12sp3-08-03-KVM-s390-instruction-execution-protection-support.patch
  (LTC#162428, bsc#1073069).
- commit 9352131
* Mon Mar 26 2018 msuchanek@suse.de
- Refresh patches.drivers/ibmvnic-Potential-NULL-dereference-in-clean_one_tx_p.patch.
  re-sort
- Refresh patches.fixes/Partial-revert-e1000e-Avoid-receiver-overrun-interru.patch.
- Refresh patches.fixes/Revert-e1000e-Separate-signaling-for-link-check-link.patch.
- Refresh patches.fixes/e1000e-Avoid-missed-interrupts-following-ICR-read.patch.
- Refresh patches.fixes/e1000e-Fix-check_for_link-return-value-with-autoneg-.patch.
- Refresh patches.fixes/e1000e-Fix-link-check-race-condition.patch.
- Refresh patches.fixes/e1000e-Fix-queue-interrupt-re-raising-in-Other-inter.patch.
- Refresh patches.fixes/e1000e-Remove-Other-from-EIAC.patch.
- Refresh patches.fixes/netfilter-ebtables-fix-erroneous-reject-of-last-rule.patch.
- commit 415f010
* Mon Mar 26 2018 nborisov@suse.com
- dcache: Add cond_resched in shrink_dentry_list (bsc#1086194).
- commit e4ff2c5
* Mon Mar 26 2018 bpoirier@suse.com
- net: phy: mdio-bcm-unimac: fix potential NULL dereference in
  unimac_mdio_probe() (bsc#1084829 CVE-2018-8043).
- commit 02701aa
* Sun Mar 25 2018 jslaby@suse.cz
- Revert "IB/ipoib: Update broadcast object if PKey value was
  changed in index 0" (git-fixes).
- iio: st_pressure: st_accel: pass correct platform data to init
  (git-fixes).
- net: ipv6: send unsolicited NA after DAD (git-fixes).
- scsi: virtio_scsi: always read VPD pages for multiqueue too
  (git-fixes).
- Btrfs: incremental send, fix invalid memory access (git-fixes).
- genirq: Track whether the trigger type has been set (git-fixes).
- Refresh
  patches.drivers/genirq-Introduce-IRQD_AFFINITY_MANAGED-flag.patch.
- Refresh
  patches.drivers/irq-Privatize-irq_common_data-state_use_accessors.patch.
- commit 2457176
* Sun Mar 25 2018 jslaby@suse.cz
- Linux 4.4.124 (bnc#1012382).
- staging: android: ashmem: Fix possible deadlock in ashmem_ioctl
  (bnc#1012382).
- platform/x86: asus-nb-wmi: Add wapf4 quirk for the X302UA
  (bnc#1012382).
- regulator: anatop: set default voltage selector for pcie
  (bnc#1012382).
- x86: i8259: export legacy_pic symbol (bnc#1012382).
- rtc: cmos: Do not assume irq 8 for rtc when there are no legacy
  irqs (bnc#1012382).
- time: Change posix clocks ops interfaces to use timespec64
  (bnc#1012382).
- ACPI/processor: Fix error handling in __acpi_processor_start()
  (bnc#1012382).
- ACPI/processor: Replace racy task affinity logic (bnc#1012382).
- cpufreq/sh: Replace racy task affinity logic (bnc#1012382).
- genirq: Use irqd_get_trigger_type to compare the trigger type
  for shared IRQs (bnc#1012382).
- i2c: i2c-scmi: add a MS HID (bnc#1012382).
- net: ipv6: send unsolicited NA on admin up (bnc#1012382).
- media/dvb-core: Race condition when writing to CAM
  (bnc#1012382).
- spi: dw: Disable clock after unregistering the host
  (bnc#1012382).
- ath: Fix updating radar flags for coutry code India
  (bnc#1012382).
- clk: ns2: Correct SDIO bits (bnc#1012382).
- scsi: virtio_scsi: Always try to read VPD pages (bnc#1012382).
- KVM: PPC: Book3S PR: Exit KVM on failed mapping (bnc#1012382).
- ARM: 8668/1: ftrace: Fix dynamic ftrace with DEBUG_RODATA and
  !FRAME_POINTER (bnc#1012382).
- iommu/omap: Register driver before setting IOMMU ops
  (bnc#1012382).
- md/raid10: wait up frozen array in handle_write_completed
  (bnc#1012382).
- tcp: remove poll() flakes with FastOpen (bnc#1012382).
- e1000e: fix timing for 82579 Gigabit Ethernet controller
  (bnc#1012382).
- IB/ipoib: Update broadcast object if PKey value was changed
  in index 0 (bnc#1012382).
- IB/mlx4: Take write semaphore when changing the vma struct
  (bnc#1012382).
- IB/mlx4: Change vma from shared to private (bnc#1012382).
- netfilter: xt_CT: fix refcnt leak on error path (bnc#1012382).
- openvswitch: Delete conntrack entry clashing with an expectation
  (bnc#1012382).
- wan: pc300too: abort path on failure (bnc#1012382).
- qlcnic: fix unchecked return value (bnc#1012382).
- scsi: mac_esp: Replace bogus memory barrier with spinlock
  (bnc#1012382).
- infiniband/uverbs: Fix integer overflows (bnc#1012382).
- iio: st_pressure: st_accel: Initialise sensor platform data
  properly (bnc#1012382).
- mt7601u: check return value of alloc_skb (bnc#1012382).
- rndis_wlan: add return value validation (bnc#1012382).
- Btrfs: send, fix file hole not being preserved due to inline
  extent (bnc#1012382).
- mac80211: don't parse encrypted management frames in
  ieee80211_frame_acked (bnc#1012382).
- mfd: palmas: Reset the POWERHOLD mux during power off
  (bnc#1012382).
- mtip32xx: use runtime tag to initialize command header
  (bnc#1012382).
- staging: unisys: visorhba: fix s-Par to boot with option
  CONFIG_VMAP_STACK set to y (bnc#1012382).
- staging: wilc1000: fix unchecked return value (bnc#1012382).
- mmc: sdhci-of-esdhc: limit SD clock for ls1012a/ls1046a
  (bnc#1012382).
- ARM: DRA7: clockdomain: Change the CLKTRCTRL of
  CM_PCIE_CLKSTCTRL to SW_WKUP (bnc#1012382).
- ipmi/watchdog: fix wdog hang on panic waiting for ipmi response
  (bnc#1012382).
- ACPI / PMIC: xpower: Fix power_table addresses (bnc#1012382).
- drm/nouveau/kms: Increase max retries in scanout position
  queries (bnc#1012382).
- bnx2x: Align RX buffers (bnc#1012382).
- power: supply: pda_power: move from timer to delayed_work
  (bnc#1012382).
- md/raid10: skip spare disk as 'first' disk (bnc#1012382).
- ia64: fix module loading for gcc-5.4 (bnc#1012382).
- tcm_fileio: Prevent information leak for short reads
  (bnc#1012382).
- video: fbdev: udlfb: Fix buffer on stack (bnc#1012382).
- sm501fb: don't return zero on failure path in sm501fb_start()
  (bnc#1012382).
- perf tests kmod-path: Don't fail if compressed modules aren't
  supported (bnc#1012382).
- Bluetooth: hci_qca: Avoid setup failure on missing rampatch
  (bnc#1012382).
- media: c8sectpfe: fix potential NULL pointer dereference in
  c8sectpfe_timer_interrupt (bnc#1012382).
- drm/msm: fix leak in failed get_pages (bnc#1012382).
- RDMA/iwpm: Fix uninitialized error code in iwpm_send_mapinfo()
  (bnc#1012382).
- rtlwifi: rtl_pci: Fix the bug when inactiveps is enabled
  (bnc#1012382).
- media: bt8xx: Fix err 'bt878_probe()' (bnc#1012382).
- media: [RESEND] media: dvb-frontends: Add delay to Si2168
  restart (bnc#1012382).
- cros_ec: fix nul-termination for firmware build info
  (bnc#1012382).
- platform/chrome: Use proper protocol transfer function
  (bnc#1012382).
- mmc: avoid removing non-removable hosts during suspend
  (bnc#1012382).
- IB/ipoib: Avoid memory leak if the SA returns a different DGID
  (bnc#1012382).
- RDMA/cma: Use correct size when writing netlink stats
  (bnc#1012382).
- IB/umem: Fix use of npages/nmap fields (bnc#1012382).
- vgacon: Set VGA struct resource types (bnc#1012382).
- drm/omap: DMM: Check for DMM readiness after successful
  transaction commit (bnc#1012382).
- pty: cancel pty slave port buf's work in tty_release
  (bnc#1012382).
- coresight: Fix disabling of CoreSight TPIU (bnc#1012382).
- pinctrl: Really force states during suspend/resume
  (bnc#1012382).
- iommu/vt-d: clean up pr_irq if request_threaded_irq fails
  (bnc#1012382).
- ip6_vti: adjust vti mtu according to mtu of lower device
  (bnc#1012382).
- RDMA/ocrdma: Fix permissions for OCRDMA_RESET_STATS
  (bnc#1012382).
- nfsd4: permit layoutget of executable-only files (bnc#1012382).
- clk: si5351: Rename internal plls to avoid name collisions
  (bnc#1012382).
- dmaengine: ti-dma-crossbar: Fix event mapping for
  TPCC_EVT_MUX_60_63 (bnc#1012382).
- RDMA/ucma: Fix access to non-initialized CM_ID object
  (bnc#1012382).
- Refresh
  patches.drivers/ALSA-hda-realtek-ALC891-headset-mode-for-Dell.
- Refresh
  patches.drivers/ethernet-broadcom-use-core-min-max-MTU-checking.patch.
- Refresh
  patches.drivers/tpm-049-drop-int_queue-from-tpm_vendor_specific.patch.
- Refresh
  patches.drivers/tpm-061-Remove-useless-priv-field-in-struct-tpm_vendor_s.patch.
- Refresh
  patches.drivers/tpm-071-tpm_tis-Share-common-data-between-phys.patch.
- Refresh
  patches.drivers/tpm-073-tpm_tis-Split-tpm_tis-driver-into-a-core-and-TCG.patch.
- Refresh
  patches.drivers/tpm-137-Check-size-of-response-before-accessing-data.patch.
- Refresh
  patches.suse/cifs-0005-CIFS-Separate-SMB2-header-structure.patch.
- Refresh
  patches.suse/cifs-0006-CIFS-Make-SendReceive2-takes-resp-iov.patch.
- Refresh
  patches.suse/cifs-0011-CIFS-Add-capability-to-transform-requests-before-sen.patch.
- commit 25d0754
* Sat Mar 24 2018 jslaby@suse.cz
- blacklist.conf: add more
- commit e1e2bb0
* Fri Mar 23 2018 mcgrof@suse.com
- Refresh
  patches.drivers/0001-module-warn-if-module-init-probe-takes-long.patch.
- commit 378bf29
* Fri Mar 23 2018 jslaby@suse.cz
- i40e: avoid NVM acquire deadlock during NVM update (git-fixes).
- kprobes/x86: Fix to set RWX bits correctly before releasing
  trampoline (git-fixes).
- commit 3b15a09
* Fri Mar 23 2018 jslaby@suse.cz
- Linux 4.4.123 (bnc#1012382).
- blkcg: fix double free of new_blkg in blkcg_init_queue
  (bnc#1012382).
- Input: tsc2007 - check for presence and power down tsc2007
  during probe (bnc#1012382).
- staging: speakup: Replace BUG_ON() with WARN_ON() (bnc#1012382).
- staging: wilc1000: add check for kmalloc allocation failure
  (bnc#1012382).
- HID: reject input outside logical range only if null state is
  set (bnc#1012382).
- drm: qxl: Don't alloc fbdev if emulation is not supported
  (bnc#1012382).
- PCI/MSI: Stop disabling MSI/MSI-X in pci_device_shutdown()
  (bnc#1012382).
- selinux: check for address length in selinux_socket_bind()
  (bnc#1012382).
- perf sort: Fix segfault with basic block 'cycles' sort dimension
  (bnc#1012382).
- i40e: Acquire NVM lock before reads on all devices
  (bnc#1012382).
- perf tools: Make perf_event__synthesize_mmap_events() scale
  (bnc#1012382).
- drm: Defer disabling the vblank IRQ until the next interrupt
  (for instant-off) (bnc#1012382).
- ath10k: disallow DFS simulation if DFS channel is not enabled
  (bnc#1012382).
- perf probe: Return errno when not hitting any event
  (bnc#1012382).
- HID: clamp input to logical range if no null state
  (bnc#1012382).
- net/8021q: create device with all possible features in
  wanted_features (bnc#1012382).
- ARM: dts: Adjust moxart IRQ controller and flags (bnc#1012382).
- batman-adv: handle race condition for claims between gateways
  (bnc#1012382).
- of: fix of_device_get_modalias returned length when truncating
  buffers (bnc#1012382).
- solo6x10: release vb2 buffers in solo_stop_streaming()
  (bnc#1012382).
- media: i2c/soc_camera: fix ov6650 sensor getting wrong clock
  (bnc#1012382).
- timers, sched_clock: Update timeout for clock wrap
  (bnc#1012382).
- sysrq: Reset the watchdog timers while displaying
  high-resolution timers (bnc#1012382).
- Input: qt1070 - add OF device ID table (bnc#1012382).
- sched: act_csum: don't mangle TCP and UDP GSO packets
  (bnc#1012382).
- ASoC: rcar: ssi: don't set SSICR.CKDV = 000 with SSIWSR.CONT
  (bnc#1012382).
- spi: omap2-mcspi: poll OMAP2_MCSPI_CHSTAT_RXS for PIO transfer
  (bnc#1012382).
- tcp: sysctl: Fix a race to avoid unexpected 0 window from space
  (bnc#1012382).
- dmaengine: imx-sdma: add 1ms delay to ensure SDMA channel is
  stopped (bnc#1012382).
- driver: (adm1275) set the m,b and R coefficients correctly
  for power (bnc#1012382).
- mm: Fix false-positive VM_BUG_ON() in
  page_cache_{get,add}_speculative() (bnc#1012382).
- blk-throttle: make sure expire time isn't too big (bnc#1012382).
- f2fs: relax node version check for victim data in gc
  (bnc#1012382).
- bonding: refine bond_fold_stats() wrap detection (bnc#1012382).
- braille-console: Fix value returned by _braille_console_setup
  (bnc#1012382).
- drm/vmwgfx: Fixes to vmwgfx_fb (bnc#1012382).
- vxlan: vxlan dev should inherit lowerdev's gso_max_size
  (bnc#1012382).
- NFC: nfcmrvl: Include unaligned.h instead of access_ok.h
  (bnc#1012382).
- NFC: nfcmrvl: double free on error path (bnc#1012382).
- ARM: dts: r8a7790: Correct parent of SSI[0-9] clocks
  (bnc#1012382).
- ARM: dts: r8a7791: Correct parent of SSI[0-9] clocks
  (bnc#1012382).
- net/faraday: Add missing include of of.h (bnc#1012382).
- ARM: dts: koelsch: Correct clock frequency of X2 DU clock input
  (bnc#1012382).
- reiserfs: Make cancel_old_flush() reliable (bnc#1012382).
- ALSA: firewire-digi00x: handle all MIDI messages on streaming
  packets (bnc#1012382).
- apparmor: Make path_max parameter readonly (bnc#1012382).
- video: ARM CLCD: fix dma allocation size (bnc#1012382).
- drm/radeon: Fail fb creation from imported dma-bufs
  (bnc#1012382).
- drm/amdgpu: Fail fb creation from imported dma-bufs. (v2)
  (bnc#1012382).
- coresight: Fixes coresight DT parse to get correct output port
  ID (bnc#1012382).
- MIPS: BPF: Quit clobbering callee saved registers in JIT code
  (bnc#1012382).
- MIPS: BPF: Fix multiple problems in JIT skb access helpers
  (bnc#1012382).
- MIPS: r2-on-r6-emu: Fix BLEZL and BGTZL identification
  (bnc#1012382).
- MIPS: r2-on-r6-emu: Clear BLTZALL and BGEZALL debugfs counters
  (bnc#1012382).
- md/raid6: Fix anomily when recovering a single device in RAID6
  (bnc#1012382).
- usb: dwc2: Make sure we disconnect the gadget state
  (bnc#1012382).
- usb: gadget: dummy_hcd: Fix wrong power status bit clear/reset
  in dummy_hub_control() (bnc#1012382).
- perf inject: Copy events when reordering events in pipe mode
  (bnc#1012382).
- perf session: Don't rely on evlist in pipe mode (bnc#1012382).
- scsi: sg: check for valid direction before starting the request
  (bnc#1012382).
- kprobes/x86: Fix kprobe-booster not to boost far call
  instructions (bnc#1012382).
- kprobes/x86: Set kprobes pages read-only (bnc#1012382).
- pwm: tegra: Increase precision in PWM rate calculation
  (bnc#1012382).
- wil6210: fix memory access violation in wil_memcpy_from/toio_32
  (bnc#1012382).
- drm/edid: set ELD connector type in drm_edid_to_eld()
  (bnc#1012382).
- video/hdmi: Allow "empty" HDMI infoframes (bnc#1012382).
- ARM: dts: exynos: Correct Trats2 panel reset line (bnc#1012382).
- sched: Stop switched_to_rt() from sending IPIs to offline CPUs
  (bnc#1012382).
- sched: Stop resched_cpu() from sending IPIs to offline CPUs
  (bnc#1012382).
- test_firmware: fix setting old custom fw path back on exit
  (bnc#1012382).
- net: xfrm: allow clearing socket xfrm policies (bnc#1012382).
- mtd: nand: fix interpretation of NAND_CMD_NONE in
  nand_command[_lp]() (bnc#1012382).
- ARM: dts: am335x-pepper: Fix the audio CODEC's reset pin
  (bnc#1012382).
- ARM: dts: omap3-n900: Fix the audio CODEC's reset pin
  (bnc#1012382).
- ath10k: update tdls teardown state to target (bnc#1012382).
- cpufreq: Fix governor module removal race (bnc#1012382).
- clk: qcom: msm8916: fix mnd_width for codec_digcodec
  (bnc#1012382).
- ath10k: fix invalid STS_CAP_OFFSET_MASK (bnc#1012382).
- tools/usbip: fixes build with musl libc toolchain (bnc#1012382).
- spi: sun6i: disable/unprepare clocks on remove (bnc#1012382).
- scsi: core: scsi_get_device_flags_keyed(): Always return device
  flags (bnc#1012382).
- scsi: devinfo: apply to HP XP the same flags as Hitachi VSP
  (bnc#1012382).
- scsi: dh: add new rdac devices (bnc#1012382).
- media: cpia2: Fix a couple off by one bugs (bnc#1012382).
- veth: set peer GSO values (bnc#1012382).
- drm/amdkfd: Fix memory leaks in kfd topology (bnc#1012382).
- agp/intel: Flush all chipset writes after updating the GGTT
  (bnc#1012382).
- mac80211_hwsim: enforce PS_MANUAL_POLL to be set after
  PS_ENABLED (bnc#1012382).
- mac80211: remove BUG() when interface type is invalid
  (bnc#1012382).
- ipvlan: add L2 check for packets arriving via virtual devices
  (bnc#1012382).
- rcutorture/configinit: Fix build directory error message
  (bnc#1012382).
- ima: relax requiring a file signature for new files with zero
  length (bnc#1012382).
- selftests/x86/entry_from_vm86: Exit with 1 if we fail
  (bnc#1012382).
- selftests/x86: Add tests for User-Mode Instruction Prevention
  (bnc#1012382).
- selftests/x86: Add tests for the STR and SLDT instructions
  (bnc#1012382).
- selftests/x86/entry_from_vm86: Add test cases for POPF
  (bnc#1012382).
- x86/vm86/32: Fix POPF emulation (bnc#1012382).
- x86/mm: Fix vmalloc_fault to use pXd_large (bnc#1012382).
- ALSA: pcm: Fix UAF in snd_pcm_oss_get_formats() (bnc#1012382).
- drm/amdgpu/dce: Don't turn off DP sink when disconnected
  (bnc#1012382).
- fs: Teach path_connected to handle nfs filesystems with multiple
  roots (bnc#1012382).
- lock_parent() needs to recheck if dentry got __dentry_kill'ed
  under it (bnc#1012382).
- fs/aio: Add explicit RCU grace period when freeing kioctx
  (bnc#1012382).
- fs/aio: Use RCU accessors for kioctx_table->table[]
  (bnc#1012382).
- irqchip/gic-v3-its: Ensure nr_ites >= nr_lpis (bnc#1012382).
- scsi: sg: fix SG_DXFER_FROM_DEV transfers (bnc#1012382).
- scsi: sg: fix static checker warning in sg_is_valid_dxfer
  (bnc#1012382).
- scsi: sg: only check for dxfer_len greater than 256M
  (bnc#1012382 bsc#1064206).
- ARM: dts: LogicPD Torpedo: Fix I2C1 pinmux (bnc#1012382).
- btrfs: alloc_chunk: fix DUP stripe size handling (bnc#1012382).
- btrfs: Fix use-after-free when cleaning up fs_devs with a
  single stale device (bnc#1012382).
- USB: gadget: udc: Add missing platform_device_put() on error
  in bdc_pci_probe() (bnc#1012382).
- usb: gadget: bdc: 64-bit pointer capability check (bnc#1012382).
- bpf: fix incorrect sign extension in check_alu_op()
  (bnc#1012382).
- Revert "ipvlan: add L2 check for packets arriving via virtual
  devices" (reverted in upstream).
- Refresh
  patches.arch/arm64-bcm2837-0138-usb-dwc2-Avoid-double-reset-at-boot-time.patch.
- Refresh
  patches.drivers/0005-drivers-net-xgene-Configure-classifier-with-pagepool.patch.
- Refresh
  patches.drivers/0040-irqchip-gicv3-its-Don-t-allow-devices-whose-ID-is-ou.patch.
- Refresh
  patches.drivers/0085-Replace-asm-uaccess.h-with-linux-uaccess.h-globally.patch.
- Refresh
  patches.drivers/net-use-core-MTU-range-checking-in-core-net-infra.patch.
- Delete
  patches.fixes/scsi-sg-only-check-for-dxfer_len-greater-than-256M.patch.
- commit 6de026c
* Fri Mar 23 2018 msuchanek@suse.de
- ibmvnic: Potential NULL dereference in clean_one_tx_pool()
  (bsc#1085224, git-fixes).
- commit 54d074f
* Fri Mar 23 2018 mhocko@suse.com
- hugetlbfs: check for pgoff value overflow (bnc#1084353,
  CVE-2018-7740).
- hugetlbfs: fix offset overflow in hugetlbfs mmap (bnc#1084353).
- mm/hugetlb.c: don't call region_abort if region_chg fails
  (bnc#1084353).
- commit c954922
* Fri Mar 23 2018 yousaf.kaukab@suse.com
- PCI: Remove redundant probes for device reset support
  (bsc#1084889).
- PCI: Probe for device reset support during enumeration
  (bsc#1084889).
- PCI: Add pci_reset_function_locked() (bsc#1084889).
- PCI: Protect restore with device lock to be consistent
  (bsc#1084889).
- PCI: Remove __pci_dev_reset() and pci_dev_reset() (bsc#1084889).
- PCI: Protect pci_error_handlers->reset_notify() usage with
  device_lock() (bsc#1084889).
- PCI: Export pcie_flr() (bsc#1084889).
- PCI: Wait for up to 1000ms after FLR reset (bsc#1084889).
- PCI: Avoid FLR for Intel 82579 NICs (bsc#1084889).
- crypto: cavium - fix memory leak on info (bsc#1086518).
- KVM: arm/arm64: vgic-its: Check result of allocation before use
  (bsc#).
- KVM: arm/arm64: vgic-its: Preserve the revious read from the
  pending table (bsc#1086499).
- KVM: arm/arm64: Handle CPU_PM_ENTER_FAILED (bsc#1086499).
- KVM: arm/arm64: vgic: Add missing irq_lock to
  vgic_mmio_read_pending (bsc#1086499).
- kvm: arm/arm64: vgic-v3: Tighten synchronization for guests
  using v2 on v3 (bsc#1086499).
- KVM: arm/arm64: vgic: Don't populate multiple LRs with the
  same vintid (bsc#1086499).
- commit 2cd41b1
* Thu Mar 22 2018 yousaf.kaukab@suse.com
- blacklist.conf: update for arm64
- commit b3e959d
* Thu Mar 22 2018 glin@suse.com
- blacklist.conf: update for 2 bpf commits
- commit be1cb32
* Wed Mar 21 2018 yousaf.kaukab@suse.com
- irqchip/gic-v3-its: Allow GIC ITS number more than MAX_NUMNODES
  (bsc#1085981).
- commit 68b0474
* Wed Mar 21 2018 yousaf.kaukab@suse.com
- ipmi:ssif: Use i2c_adapter_id instead of adapter->nr
  (bsc#1060799).
- ipmi: Use the proper default value for register size in ACPI
  (bsc#1060799).
- ipmi_ssif: remove redundant null check on array
  client->adapter->name (bsc#1060799).
- ipmi_ssif: unlock on allocation failure (bsc#1060799).
- ipmi: Fix the I2C address extraction from SPMI tables
  (bsc#1060799).
- ipmi: do not probe ACPI devices if si_tryacpi is unset
  (bsc#1060799).
- ipmi_ssif: Fix logic around alert handling (bsc#1060799).
- tpm/tpm_crb: Use start method value from ACPI table directly
  (bsc#1084452).
- ACPICA: Add header support for TPM2 table changes (bsc#1084452).
- ARM64 / cpuidle: Use new cpuidle macro for entering retention
  state (bsc#1084328).
- cpuidle: Add new macro to enter a retention idle state
  (bsc#1084328).
- ACPI/IORT: numa: Add numa node mapping for smmuv3 devices
  (bsc#1085981).
- ACPICA: iasl: Update to IORT SMMUv3 disassembling (bsc#1085981).
- irqchip/gic-v3-its: Remove ACPICA version check for ACPI NUMA
  (bsc#1085981).
- irqchip/gic-v3-its: Add ACPI NUMA node mapping (bsc#1085981).
- ACPICA: Add support for new SRAT subtable (bsc#1085981).
- PCI: Avoid slot reset if bridge itself is broken (bsc#1084918).
- PCI: Apply Cavium ACS quirk only to CN81xx/CN83xx/CN88xx devices
  (bsc#1084914).
- arm64: Add missing Falkor part number for branch predictor
  hardening (bsc#1068032).
- i2c: xlp9xx: Handle NACK on DATA properly (bsc#1084310).
- i2c: xlp9xx: Check for Bus state before every transfer
  (bsc#1084310).
- i2c: xlp9xx: Handle transactions with I2C_M_RECV_LEN properly
  (bsc#1060799).
- i2c: xlp9xx: return ENXIO on slave address NACK (bsc#1060799).
- arm64: mm: don't write garbage into TTBR1_EL1 register
  (bsc#1085487).
- commit 7a1ea12
* Wed Mar 21 2018 jslaby@suse.cz
- Linux 4.4.122 (bnc#1012382).
- RDMA/ucma: Limit possible option size (bnc#1012382).
- RDMA/ucma: Check that user doesn't overflow QP state
  (bnc#1012382).
- RDMA/mlx5: Fix integer overflow while resizing CQ (bnc#1012382).
- workqueue: Allow retrieval of current task's work struct
  (bnc#1012382).
- drm: Allow determining if current task is output poll worker
  (bnc#1012382).
- drm/nouveau: Fix deadlock on runtime suspend (bnc#1012382).
- drm/radeon: Fix deadlock on runtime suspend (bnc#1012382).
- drm/amdgpu: Fix deadlock on runtime suspend (bnc#1012382).
- drm/amdgpu: Notify sbios device ready before send request
  (bnc#1012382).
- drm/radeon: fix KV harvesting (bnc#1012382).
- drm/amdgpu: fix KV harvesting (bnc#1012382).
- MIPS: BMIPS: Do not mask IPIs during suspend (bnc#1012382).
- MIPS: ath25: Check for kzalloc allocation failure (bnc#1012382).
- MIPS: OCTEON: irq: Check for null return on kzalloc allocation
  (bnc#1012382).
- Input: matrix_keypad - fix race when disabling interrupts
  (bnc#1012382).
- loop: Fix lost writes caused by missing flag (bnc#1012382).
- kbuild: Handle builtin dtb file names containing hyphens
  (bnc#1012382).
- bcache: don't attach backing with duplicate UUID (bnc#1012382).
- x86/MCE: Serialize sysfs changes (bnc#1012382).
- ALSA: hda/realtek - Fix dock line-out volume on Dell Precision
  7520 (bnc#1012382).
- ALSA: hda: add dock and led support for HP EliteBook 820 G3
  (bnc#1012382).
- ALSA: hda: add dock and led support for HP ProBook 640 G2
  (bnc#1012382).
- nospec: Include <asm/barrier.h> dependency (bnc#1012382).
- watchdog: hpwdt: SMBIOS check (bnc#1012382).
- watchdog: hpwdt: Check source of NMI (bnc#1012382).
- watchdog: hpwdt: fix unused variable warning (bnc#1012382).
- netfilter: add back stackpointer size checks (bnc#1012382).
- netfilter: x_tables: fix missing timer initialization in xt_LED
  (bnc#1012382).
- netfilter: nat: cope with negative port range (bnc#1012382).
- netfilter: IDLETIMER: be syzkaller friendly (bnc#1012382).
- netfilter: bridge: ebt_among: add missing match size checks
  (bnc#1012382).
- netfilter: ipv6: fix use-after-free Write in
  nf_nat_ipv6_manip_pkt (bnc#1012382).
- netfilter: use skb_to_full_sk in ip_route_me_harder
  (bnc#1012382).
- ext4: inplace xattr block update fails to deduplicate blocks
  (bnc#1012382).
- ubi: Fix race condition between ubi volume creation and udev
  (bnc#1012382).
- NFS: Fix an incorrect type in struct nfs_direct_req
  (bnc#1012382).
- Revert "ARM: dts: LogicPD Torpedo: Fix I2C1 pinmux"
  (bnc#1012382).
- x86/module: Detect and skip invalid relocations (bnc#1012382).
- x86: Treat R_X86_64_PLT32 as R_X86_64_PC32 (bnc#1012382).
- serial: sh-sci: prevent lockup on full TTY buffers
  (bnc#1012382).
- tty/serial: atmel: add new version check for usart
  (bnc#1012382).
- uas: fix comparison for error code (bnc#1012382).
- staging: comedi: fix comedi_nsamples_left (bnc#1012382).
- staging: android: ashmem: Fix lockdep issue during llseek
  (bnc#1012382).
- USB: storage: Add JMicron bridge 152d:2567 to unusual_devs.h
  (bnc#1012382).
- usb: quirks: add control message delay for 1b1c:1b20
  (bnc#1012382).
- USB: usbmon: remove assignment from IS_ERR argument
  (bnc#1012382).
- usb: usbmon: Read text within supplied buffer size
  (bnc#1012382).
- usb: gadget: f_fs: Fix use-after-free in ffs_fs_kill_sb()
  (bnc#1012382).
- serial: 8250_pci: Add Brainboxes UC-260 4 port serial device
  (bnc#1012382).
- fixup: sctp: verify size of a new chunk in _sctp_make_chunk()
  (bnc#1012382).
- Refresh
  patches.drivers/0107-qla2xxx-Add-framework-for-async-fabric-discovery.patch.
- Refresh
  patches.drivers/0111-qla2xxx-Simplify-usage-of-SRB-structure-in-driver.patch.
- Refresh
  patches.drivers/ALSA-hda-Add-HP-ZBook-15u-G3-Conexant-CX20724-GPIO-m.
- Refresh
  patches.drivers/ALSA-hda-realtek-Add-headset-mode-support-for-Dell-l.
- commit 2ac93ca
* Tue Mar 20 2018 mbenes@suse.cz
- x86/kaiser: Remove a user mapping of cpu_tss structure
  (bsc#1077560 bsc#1083836).
- commit e49fc82
* Tue Mar 20 2018 mbrugger@suse.com
- arm64: cpufeature: __this_cpu_has_cap() shouldn't stop early
  (bsc#1068032).
- arm64: capabilities: Handle duplicate entries for a capability
  (bsc#1068032).
- arm64: fix smccc compilation (bsc#1068032).
- arm64: Kill PSCI_GET_VERSION as a variant-2 workaround
  (bsc#1068032).
- arm64: Add ARM_SMCCC_ARCH_WORKAROUND_1 BP hardening support
  (bsc#1068032).
- arm/arm64: smccc: Implement SMCCC v1.1 inline primitive
  (bsc#1068032).
- arm/arm64: smccc: Make function identifiers an unsigned quantity
  (bsc#1068032).
- firmware/psci: Expose SMCCC version through psci_ops
  (bsc#1068032).
- firmware/psci: Expose PSCI conduit (bsc#1068032).
- arm64: KVM: Add SMCCC_ARCH_WORKAROUND_1 fast handling
  (bsc#1068032).
- arm64: KVM: Report SMCCC_ARCH_WORKAROUND_1 BP hardening support
  (bsc#1068032).
- arm/arm64: KVM: Turn kvm_psci_version into a static inline
  (bsc#1068032).
- arm/arm64: KVM: Advertise SMCCC v1.1 (bsc#1068032).
- arm/arm64: KVM: Implement PSCI 1.0 support (bsc#1068032).
- arm/arm64: KVM: Add smccc accessors to PSCI code (bsc#1068032).
- arm/arm64: KVM: Add PSCI_VERSION helper (bsc#1068032).
- arm/arm64: KVM: Consolidate the PSCI include files
  (bsc#1068032).
- arm64: KVM: Increment PC after handling an SMC trap
  (bsc#1068032).
- commit b59cb24
* Mon Mar 19 2018 msuchanek@suse.de
- ibmvnic: Remove unused TSO resources in TX pool structure
  (bsc#1085224).
- ibmvnic: Update TX pool cleaning routine (bsc#1085224).
- commit 7574356
* Mon Mar 19 2018 msuchanek@suse.de
- Refresh metadata of ibmvnic patches
- Refresh patches.drivers/ibmvnic-Generalize-TX-pool-structure.patch.
- Refresh patches.drivers/ibmvnic-Improve-TX-buffer-accounting.patch.
- Refresh patches.drivers/ibmvnic-Update-TX-and-TX-completion-routines.patch.
- Refresh patches.drivers/ibmvnic-Update-TX-pool-initialization-routine.patch.
- Refresh patches.drivers/ibmvnic-Update-and-clean-up-reset-TX-pool-routine.patch.
- Refresh patches.drivers/ibmvnic-Update-release-TX-pool-routine.patch
- commit e0bd997
* Sun Mar 18 2018 jslaby@suse.cz
- ALSA: hda - Revert power_save option default value (git-fixes).
- net: ipv4: avoid unused variable warning for sysctl (git-fixes).
- commit 7588e3b
* Sat Mar 17 2018 jslaby@suse.cz
- Linux 4.4.121 (bnc#1012382).
- tpm: st33zp24: fix potential buffer overruns caused by bit
  glitches on the bus (bnc#1012382).
- tpm_i2c_infineon: fix potential buffer overruns caused by bit
  glitches on the bus (bnc#1012382).
- tpm_i2c_nuvoton: fix potential buffer overruns caused by bit
  glitches on the bus (bnc#1012382).
- ALSA: usb-audio: Add a quirck for B&W PX headphones
  (bnc#1012382).
- ALSA: hda: Add a power_save blacklist (bnc#1012382).
- cpufreq: s3c24xx: Fix broken s3c_cpufreq_init() (bnc#1012382).
- media: m88ds3103: don't call a non-initalized function
  (bnc#1012382).
- nospec: Allow index argument to have const-qualified type
  (bnc#1012382).
- ARM: mvebu: Fix broken PL310_ERRATA_753970 selects
  (bnc#1012382).
- KVM: mmu: Fix overlap between public and private memslots
  (bnc#1012382).
- ARM: dts: LogicPD Torpedo: Fix I2C1 pinmux (bnc#1012382).
- x86/apic/vector: Handle legacy irq data correctly (bnc#1012382).
- Revert "led: core: Fix brightness setting when setting
  delay_off=0" (bnc#1012382).
- bridge: check brport attr show in brport_show (bnc#1012382).
- fib_semantics: Don't match route with mismatching tclassid
  (bnc#1012382).
- hdlc_ppp: carrier detect ok, don't turn off negotiation
  (bnc#1012382).
- ipv6 sit: work around bogus gcc-8 -Wrestrict warning
  (bnc#1012382).
- net: fix race on decreasing number of TX queues (bnc#1012382).
- net: ipv4: don't allow setting net.ipv4.route.min_pmtu below 68
  (bnc#1012382).
- netlink: ensure to loop over all netns in
  genlmsg_multicast_allns() (bnc#1012382).
- ppp: prevent unregistered channels from connecting to PPP units
  (bnc#1012382).
- udplite: fix partial checksum initialization (bnc#1012382).
- sctp: fix dst refcnt leak in sctp_v4_get_dst (bnc#1012382).
- sctp: fix dst refcnt leak in sctp_v6_get_dst() (bnc#1012382).
- s390/qeth: fix SETIP command handling (bnc#1012382).
- s390/qeth: fix IPA command submission race (bnc#1012382).
- sctp: verify size of a new chunk in _sctp_make_chunk()
  (bnc#1012382).
- net: mpls: Pull common label check into helper (bnc#1012382).
- mpls, nospec: Sanitize array index in mpls_label_ok()
  (bnc#1012382).
- bpf, x64: implement retpoline for tail call (bnc#1012382).
- btrfs: preserve i_mode if __btrfs_set_acl() fails (bnc#1012382).
- Refresh patches.drivers/0109-dm-use-bio-op-accessors.patch.
- Refresh
  patches.fixes/ipv4-fix-checksum-annotation-in-udp4_csum_init.patch.
- commit 3b39cb8
* Fri Mar 16 2018 tiwai@suse.de
- Update patch tag for CVE-2018-1068
  Updated:
  patches.fixes/netfilter-ebtables-CONFIG_COMPAT-don-t-trust-userlan.patch
  patches.fixes/netfilter-ebtables-fix-erroneous-reject-of-last-rule.patch
- commit 51200a6
* Fri Mar 16 2018 msuchanek@suse.de
- ibmvnic: Fix reset return from closed state (bsc#1084610).
- commit e4f7222
* Fri Mar 16 2018 jthumshirn@suse.de
- s390/qeth: fix IP address lookup for L3 devices (bnc#1085507,
  LTC#165491).
- s390/qeth: fix double-free on IP add/remove race (bnc#1085507,
  LTC#165491).
- s390/qeth: fix IP removal on offline cards (bnc#1085507,
  LTC#165491).
- s390/qeth: improve error reporting on IP add/removal
  (bnc#1085507, LTC#165491).
- s390/qeth: update takeover IPs after configuration change
  (bnc#1085507, LTC#165490).
- s390/qeth: lock IP table while applying takeover changes
  (bnc#1085507, LTC#165490).
- s390/qeth: don't apply takeover changes to RXIP (bnc#1085507,
  LTC#165490).
- s390/qeth: apply takeover changes when mode is toggled
  (bnc#1085507, LTC#165490).
- qeth: repair SBAL elements calculation (bnc#1085507,
  LTC#165484).
- Subject: af_iucv: enable control sends in case of SEND_SHUTDOWN
  (bnc#1085507, LTC#165135).
- commit e7d01db
* Fri Mar 16 2018 mhocko@suse.com
- fs/hugetlbfs/inode.c: change put_page/unlock_page order in
  hugetlbfs_fallocate() (git-fixes, bsc#1083745).
- commit 88b1ae8
* Fri Mar 16 2018 bpoirier@suse.com
- e1000e: Fix link check race condition (bsc#1075428).
- Revert "e1000e: Separate signaling for link check/link up"
  (bsc#1075428).
- e1000e: Fix check_for_link return value with autoneg off
  (bsc#1075428).
- e1000e: Avoid missed interrupts following ICR read
  (bsc#1075428).
- e1000e: Fix queue interrupt re-raising in Other interrupt
  (bsc#1075428).
- Partial revert "e1000e: Avoid receiver overrun interrupt bursts"
  (bsc#1075428).
- e1000e: Remove Other from EIAC (bsc#1075428).
- e1000e: Avoid receiver overrun interrupt bursts (bsc#1075428).
- commit 841f179
* Thu Mar 15 2018 msuchanek@suse.de
- ibmvfc: Avoid unnecessary port relogin (bsc#1085404).
- commit 64924be
* Thu Mar 15 2018 gqjiang@suse.com
- md-cluster: fix wrong condition check in raid1_write_request
  (bsc#1085402).
- commit 6abe4d4
* Wed Mar 14 2018 msuchanek@suse.de
- tpm_tis: fix potential buffer overruns caused by bit glitches
  on the bus (bsc#1020645, git-fixes).
- tpm_i2c_nuvoton: fix potential buffer overruns caused by bit
  glitches on the bus (bsc#1020645, git-fixes).
- tpm_i2c_infineon: fix potential buffer overruns caused by bit
  glitches on the bus (bsc#1020645, git-fixes).
- tpm: fix potential buffer overruns caused by bit glitches on
  the bus (bsc#1020645, git-fixes).
- tpm: st33zp24: fix potential buffer overruns caused by bit
  glitches on the bus (bsc#1020645, git-fixes).
- tpm-dev-common: Reject too short writes (bsc#1020645,
  git-fixes).
- commit cf3a7bb
* Wed Mar 14 2018 mbenes@suse.cz
- x86/kaiser: Use a per-CPU trampoline stack for kernel entry
  (bsc#1077560).
- commit 3428a77
* Wed Mar 14 2018 hare@suse.de
- qla2xxx: Update driver version to 10.00.00.06-k (bsc#1084427).
- qla2xxx: Fix Async GPN_FT for FCP and FC-NVMe scan
  (bsc#1084427).
- qla2xxx: Cleanup code to improve FC-NVMe error handling
  (bsc#1084427).
- qla2xxx: Fix FC-NVMe IO abort during driver reset (bsc#1084427).
- qla2xxx: Fix retry for PRLI RJT with reason of BUSY
  (bsc#1084427).
- qla2xxx: Remove nvme_done_list (bsc#1084427).
- qla2xxx: Return busy if rport going away (bsc#1084427).
- qla2xxx: Fix n2n_ae flag to prevent dev_loss on PDB change
  (bsc#1084427).
- qla2xxx: Add FC-NVMe abort processing (bsc#1084427).
- qla2xxx: Restore ZIO threshold setting (bsc#1084427).
- qla2xxx: Add changes for devloss timeout in driver
  (bsc#1084427).
- qla2xxx: Set IIDMA and fcport state before
  qla_nvme_register_remote() (bsc#1084427).
- qla2xxx: Remove unneeded message and minor cleanup for FC-NVMe
  (bsc#1084427).
- commit d942ef1
* Wed Mar 14 2018 mbenes@suse.cz
- x86/kaiser: Duplicate cpu_tss for an entry trampoline usage
  (bsc#1077560 bsc#1083836).
- commit 133bf17
* Wed Mar 14 2018 hare@suse.de
- net/smc: fix NULL pointer dereference on sock_create_kern()
  error path (bsc#1082979).
- commit d2fa28b
* Wed Mar 14 2018 msuchanek@suse.de
- ibmvnic: Improve TX buffer accounting (bsc#1085224).
- ibmvnic: Update TX and TX completion routines (bsc#1085224).
- ibmvnic: Update TX pool initialization routine (bsc#1085224).
- ibmvnic: Update release RX pool routine (bsc#1085224).
- ibmvnic: Update and clean up reset TX pool routine
  (bsc#1085224).
- ibmvnic: Generalize TX pool structure (bsc#1085224).
- ibmvnic: Fix recent errata commit (bsc#1085239).
- ibmvnic: Handle TSO backing device errata (bsc#1085239).
- ibmvnic: Pad small packets to minimum MTU size (bsc#1085239).
- ibmvnic: Account for VLAN header length in TX buffers
  (bsc#1085239).
- ibmvnic: Account for VLAN tag in L2 Header descriptor
  (bsc#1085239).
- commit 556ac61
* Wed Mar 14 2018 hare@suse.de
- blk-mq: stop 'delayed_run_work' in blk_mq_stop_hw_queue()
  (bsc#1084967).
- commit dad553a
* Wed Mar 14 2018 hare@suse.de
- scsi: qla2xxx: Fix NULL pointer crash due to active timer for
  ABTS (bsc#1082979).
- commit ce258b4
* Wed Mar 14 2018 hare@suse.de
- Fixup patch header with upstream commit IDs.
- Refresh
  patches.drivers/qla2xxx-Fixup-locking-for-session-deletion.patch.
- Refresh
  patches.drivers/qla2xxx-do-not-check-login_state-if-no-loop-id-is-as.patch.
- Refresh
  patches.drivers/qla2xxx-ensure-async-flags-are-reset-correctly.patch.
- Refresh
  patches.drivers/scsi-qla2xxx-Fix-FC-NVMe-LUN-discovery.patch.
- commit caa97a5
* Wed Mar 14 2018 hare@suse.de
- scsi: don't look for NULL devices handlers by name
  (bsc#1082373).
- commit e7899b9
* Wed Mar 14 2018 tiwai@suse.de
- mac80211_hwsim: fix possible memory leak in hwsim_new_radio_nl()
  (CVE-2018-8087,bsc#1085053).
- commit 6879aca
* Wed Mar 14 2018 mbrugger@suse.com
- net: ethtool: remove error check for legacy setting transceiver
  type (bsc#1085050).
- commit ff7654f
* Wed Mar 14 2018 hare@suse.de
- blk-mq: turn WARN_ON in __blk_mq_run_hw_queue into printk (bsc#1084772).
- blk-mq: add warning to __blk_mq_run_hw_queue() for ints disabled (bsc#1084772).
- commit 9ebe7c8
* Wed Mar 14 2018 hare@suse.de
- nvme_fc: io timeout should defer abort to ctrl reset (bsc#1085054).
- commit 4ea6fa2
* Wed Mar 14 2018 hare@suse.de
- nvme_fc: fix ctrl create failures racing with workq items (bsc#1076982).
- commit d987b54
* Tue Mar 13 2018 tabraham@suse.com
- s390/dasd: fix handling of internal requests (bsc#1080321).
- commit 0b59931
* Tue Mar 13 2018 mkubecek@suse.cz
- kabi: uninline sk_receive_skb() (bsc#1042286).
- commit a7532d2
* Tue Mar 13 2018 mkubecek@suse.cz
- netfilter: ebtables: fix erroneous reject of last rule
  (bsc#1085107).
- commit 8797aa5
* Tue Mar 13 2018 mkubecek@suse.cz
- netfilter: ebtables: CONFIG_COMPAT: don't trust userland offsets
  (bsc#1085107).
- commit 523e0dc
* Tue Mar 13 2018 mbrugger@suse.com
- net: hns: add ACPI mode support for ethtool -p (bsc#1084041).
- scsi: hisi_sas: directly attached disk LED feature for v2 hw
  (bsc#1083409).
- Refresh
  patches.drivers/hns-0006-net-hns-add-acpi-function-of-xge-led-control.patch.
- commit 3dddeb9
* Tue Mar 13 2018 mbrugger@suse.com
- kABI: protect struct ethtool_link_settings (bsc#1085050).
- commit 695e15c
* Tue Mar 13 2018 tiwai@suse.de
- ALSA: seq: Clear client entry before deleting else at closing
  (CVE-2018-1000004,bsc#1076017).
- ALSA: seq: Fix possible UAF in snd_seq_check_queue()
  (CVE-2018-1000004,bsc#1076017).
- ALSA: seq: Remove superfluous snd_seq_queue_client_leave_cells()
  call (CVE-2018-1000004,bsc#1076017).
- ALSA: seq: More protection for concurrent write and ioctl races
  (CVE-2018-1000004,bsc#1076017).
- ALSA: seq: Don't allow resizing pool in use
  (CVE-2018-1000004,bsc#1076017).
- commit 5e18c54
* Tue Mar 13 2018 ohering@suse.de
- hv: preserve kabi by keeping hv_do_hypercall (bnc#1082632).
- commit 8a9a59f
* Tue Mar 13 2018 ohering@suse.de
- x86/retpoline/hyperv: Convert assembler indirect jumps
  (fate#315887, bsc#1082632).
- commit c979b5f
* Tue Mar 13 2018 ohering@suse.de
- vmbus: unregister device_obj->channels_kset (fate#315887,
  bsc#1082632).
- commit 01168d4
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: empty current transmit aggregation if flow blocked
  (fate#315887, bsc#1082632).
- commit 668b587
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: remove open_cnt reference count (fate#315887,
  bsc#1082632).
- commit a6794e0
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: pass netvsc_device to receive callback (fate#315887,
  bsc#1082632).
- commit f890a04
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: simplify function args in receive status path
  (fate#315887, bsc#1082632).
- commit 6792ade
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: track memory allocation failures in ethtool stats
  (fate#315887, bsc#1082632).
- commit ab924c0
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: copy_to_send buf can be void (fate#315887,
  bsc#1082632).
- commit 606f377
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: Fix the TX/RX buffer default sizes (fate#315887,
  bsc#1082632).
- commit 2761983
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: Fix the receive buffer size limit (fate#315887,
  bsc#1082632).
- commit 5843cae
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: optimize initialization of RNDIS header (fate#315887,
  bsc#1082632).
- commit 1f63daf
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: replace divide with mask when computing padding
  (fate#315887, bsc#1082632).
- commit f50d6ef
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: don't need local xmit_more (fate#315887,
  bsc#1082632).
- commit 2f00714
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: drop unused macros (fate#315887, bsc#1082632).
- commit 36e7a10
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: hide warnings about uninitialized/missing rndis
  device (fate#315887, bsc#1082632).
- commit 39f3220
* Tue Mar 13 2018 ohering@suse.de
- hyper-v: trace vmbus_onversion_response() (fate#315887,
  bsc#1082632).
- commit 9ac222c
* Tue Mar 13 2018 ohering@suse.de
- hyper-v: trace vmbus_ongpadl_torndown() (fate#315887,
  bsc#1082632).
- commit a75d618
* Tue Mar 13 2018 ohering@suse.de
- hyper-v: trace vmbus_ongpadl_created() (fate#315887,
  bsc#1082632).
- commit fc46575
* Tue Mar 13 2018 ohering@suse.de
- hyper-v: trace vmbus_onopen_result() (fate#315887, bsc#1082632).
- commit 5dc3a1a
* Tue Mar 13 2018 ohering@suse.de
- hyper-v: trace vmbus_onoffer_rescind() (fate#315887,
  bsc#1082632).
- commit f615913
* Tue Mar 13 2018 ohering@suse.de
- hyper-v: trace vmbus_onoffer() (fate#315887, bsc#1082632).
- commit e98d5a7
* Tue Mar 13 2018 ohering@suse.de
- hyper-v: trace vmbus_on_message() (fate#315887, bsc#1082632).
- commit e3907c8
* Tue Mar 13 2018 ohering@suse.de
- hyper-v: trace vmbus_on_msg_dpc() (fate#315887, bsc#1082632).
- commit d87fb3d
* Tue Mar 13 2018 ohering@suse.de
- vmbus: initialize reserved fields in messages (fate#315887,
  bsc#1082632).
- commit ba01b7c
* Tue Mar 13 2018 ohering@suse.de
- vmbus: hvsock: add proper sync for
  vmbus_hvsock_device_unregister() (fate#315887, bsc#1082632).
- commit 3f9d451
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: Add initialization of tx_table in netvsc_device_add()
  (fate#315887, bsc#1082632).
- commit 591092d
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: Rename tx_send_table to tx_table (fate#315887,
  bsc#1082632).
- commit 372eac8
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: Rename ind_table to rx_table (fate#315887,
  bsc#1082632).
- commit 98eab03
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: Add ethtool handler to set and get TCP hash levels
  (fate#315887, bsc#1082632).
- commit d73af7c
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: Change the hash level variable to bit flags
  (fate#315887, bsc#1082632).
- commit c34d4ec
* Tue Mar 13 2018 ohering@suse.de
- vmbus: add per-channel sysfs info (fate#315887, bsc#1082632).
- commit bb9d970
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: report stop_queue and wake_queue (fate#315887,
  bsc#1082632).
- commit 5435734
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: Fix the real number of queues of non-vRSS cases
  (fate#315887, bsc#1082632).
- commit 24d4b6d
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: make const array ver_list static, reduces object
  code size (fate#315887, bsc#1082632).
- commit f8db54b
* Tue Mar 13 2018 ohering@suse.de
- vmbus: don't acquire the mutex in
  vmbus_hvsock_device_unregister() (fate#315887, bsc#1082632).
- commit a4d02c5
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: fix send buffer failure on MTU change (fate#315887,
  bsc#1082632).
- commit 9cc9629
* Tue Mar 13 2018 ohering@suse.de
- netvsc: increase default receive buffer size (fate#315887,
  bsc#1082632).
- commit 2acba22
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: Fix the channel limit in netvsc_set_rxfh()
  (fate#315887, bsc#1082632).
- commit 8fe6477
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: Simplify the limit check in netvsc_set_channels()
  (fate#315887, bsc#1082632).
- commit 5a0de90
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: Clean up an unused parameter in
  rndis_filter_set_rss_param() (fate#315887, bsc#1082632).
- commit 864e859
* Tue Mar 13 2018 ohering@suse.de
- netvsc: allow driver to be removed even if VF is present
  (fate#315887, bsc#1082632).
- commit 55fe900
* Tue Mar 13 2018 ohering@suse.de
- netvsc: cleanup datapath switch (fate#315887, bsc#1082632).
- commit fa96537
* Tue Mar 13 2018 ohering@suse.de
- netvsc: fix deadlock betwen link status and removal
  (fate#315887, bsc#1082632).
- commit 4bcbb1c
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: Fix rndis_filter_close error during netvsc_remove
  (fate#315887, bsc#1082632).
- commit bf2800a
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: Add ethtool handler to set and get UDP hash levels
  (fate#315887, bsc#1082632).
- commit 51dade9
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: Clean up unused parameter from
  netvsc_get_rss_hash_opts() (fate#315887, bsc#1082632).
- commit 7534479
* Tue Mar 13 2018 ohering@suse.de
- hv_netvsc: Clean up unused parameter from netvsc_get_hash()
  (fate#315887, bsc#1082632).
- commit 5e5c23f
* Tue Mar 13 2018 ohering@suse.de
- vmbus: remove unused vmbus_sendpacket_ctl (fate#315887,
  bsc#1082632).
- commit 28ed343
* Tue Mar 13 2018 ohering@suse.de
- vmbus: remove unused vmubs_sendpacket_pagebuffer_ctl
  (fate#315887, bsc#1082632).
- commit b266532
* Tue Mar 13 2018 ohering@suse.de
- vmbus: remove unused vmbus_sendpacket_multipagebuffer
  (fate#315887, bsc#1082632).
- commit f9fbf3d
* Tue Mar 13 2018 ohering@suse.de
- Drivers: hv: vmbus: Fix rescind handling issues (fate#315887,
  bsc#1082632).
- commit e24956d
* Tue Mar 13 2018 ohering@suse.de
- Drivers: hv: kvp: Use MAX_ADAPTER_ID_SIZE for translating
  adapter id (fate#315887, bsc#1082632).
- commit 7014021
* Tue Mar 13 2018 ohering@suse.de
- Drivers: hv: balloon: Initialize last_post_time on startup
  (fate#315887, bsc#1082632).
- commit 6a10bde
* Tue Mar 13 2018 ohering@suse.de
- Drivers: hv: balloon: Show the max dynamic memory assigned
  (fate#315887, bsc#1082632).
- commit fe3c1eb
* Tue Mar 13 2018 ohering@suse.de
- Drivers: hv: balloon: Correctly update onlined page count
  (fate#315887, bsc#1082632).
- commit 28e7e73
* Tue Mar 13 2018 ohering@suse.de
- netvsc: keep track of some non-fatal overload conditions
  (fate#315887, bsc#1082632).
- commit 29b469c
* Tue Mar 13 2018 ohering@suse.de
- netvsc: allow controlling send/recv buffer size (fate#315887,
  bsc#1082632).
- commit 5a815a7
* Tue Mar 13 2018 ohering@suse.de
- netvsc: remove unnecessary check for NULL hdr (fate#315887,
  bsc#1082632).
- commit 0c1572b
* Tue Mar 13 2018 ohering@suse.de
- netvsc: remove unnecessary cast of void pointer (fate#315887,
  bsc#1082632).
- commit 5d3b99d
* Tue Mar 13 2018 ohering@suse.de
- netvsc: whitespace cleanup (fate#315887, bsc#1082632).
- commit afba803
* Tue Mar 13 2018 ohering@suse.de
- netvsc: no need to allocate send/receive on numa node
  (fate#315887, bsc#1082632).
- commit d99fe4b
* Tue Mar 13 2018 ohering@suse.de
- netvsc: check error return when restoring channels and mtu
  (fate#315887, bsc#1082632).
- commit 3854836
* Tue Mar 13 2018 ohering@suse.de
- netvsc: propagate MAC address change to VF slave (fate#315887,
  bsc#1082632).
- commit 882fa4b
* Tue Mar 13 2018 ohering@suse.de
- netvsc: don't signal host twice if empty (fate#315887,
  bsc#1082632).
- commit 376c1de
* Tue Mar 13 2018 ohering@suse.de
- hyper-v: Use fast hypercall for HVCALL_SIGNAL_EVENT
  (fate#315887, bsc#1082632).
- commit 964482e
* Tue Mar 13 2018 ohering@suse.de
- x86/hyper-v: Introduce fast hypercall implementation
  (fate#315887, bsc#1082632).
- commit 097011c
* Tue Mar 13 2018 ohering@suse.de
- x86/hyper-v: Make hv_do_hypercall() inline (fate#315887,
  bsc#1082632).
- commit 40261a6
* Tue Mar 13 2018 ohering@suse.de
- PCI: hv: Do not sleep in compose_msi_msg() (fate#315887,
  bsc#1082632).
- commit bc98f88
* Tue Mar 13 2018 ohering@suse.de
- x86/hyper-v: include hyperv/ only when CONFIG_HYPERV is set
  (fate#315887, bsc#1082632).
- commit a569ac3
* Tue Mar 13 2018 ohering@suse.de
- vmbus: add prefetch to ring buffer iterator (fate#315887,
  bsc#1082632).
- commit 43bb4ac
* Tue Mar 13 2018 ohering@suse.de
- vmbus: more host signalling avoidance (fate#315887,
  bsc#1082632).
- commit b2d772f
* Tue Mar 13 2018 ohering@suse.de
- vmbus: eliminate duplicate cached index (fate#315887,
  bsc#1082632).
- commit 9c451fd
* Tue Mar 13 2018 ohering@suse.de
- vmbus: refactor hv_signal_on_read (fate#315887, bsc#1082632).
- commit 0cde34f
* Tue Mar 13 2018 ohering@suse.de
- vmbus: drop unused ring_buffer_info elements (fate#315887,
  bsc#1082632).
- commit 0e8f246
* Tue Mar 13 2018 ohering@suse.de
- vmbus: simplify hv_ringbuffer_read (fate#315887, bsc#1082632).
- commit d0228d3
* Tue Mar 13 2018 ohering@suse.de
- scsi: storvsc: remove unnecessary channel inbound lock
  (fate#315887, bsc#1082632).
- commit 854c75a
* Tue Mar 13 2018 ohering@suse.de
- vmbus: Reuse uuid_le_to_bin() helper (fate#315887, bsc#1082632).
- commit a417eb8
* Tue Mar 13 2018 ohering@suse.de
- Drivers: hv: vmbus: Fix rescind handling (fate#315887,
  bsc#1082632).
- commit ee9d404
* Tue Mar 13 2018 ohering@suse.de
- vmbus: make channel_message table constant (fate#315887,
  bsc#1082632).
- commit 40abc2e
* Tue Mar 13 2018 ohering@suse.de
- x86/hyperv: Move TSC reading method to asm/mshyperv.h
  (fate#315887, bsc#1082632).
- commit 650bae2
* Tue Mar 13 2018 ohering@suse.de
- x86/hyperv: Implement hv_get_tsc_page() (fate#315887,
  bsc#1082632).
- commit 5a7cbac
* Tue Mar 13 2018 ohering@suse.de
- drivers: hv: Turn off write permission on the hypercall page
  (fate#315887, bsc#1082632).
- commit 0a92dd9
* Tue Mar 13 2018 ohering@suse.de
- lib/uuid.c: use correct offset in uuid parser (fate#315887,
  bsc#1082632).
- commit d6fd366
* Tue Mar 13 2018 ohering@suse.de
- lib/uuid.c: introduce a few more generic helpers (fate#315887,
  bsc#1082632).
- commit d296432
* Tue Mar 13 2018 mkubecek@suse.cz
- vxlan: don't allow overwrite of config src addr (bsc#1042286).
- ipvlan: fix multicast processing (bsc#1042286).
- ipvlan: fix various issues in ipvlan_process_multicast()
  (bsc#1042286).
- netfilter: nf_tables: fix inconsistent element expiration
  calculation (bsc#1042286).
- udp: restore UDPlite many-cast delivery (bsc#1042286).
- ipv4: update comment to document GSO fragmentation cases
  (bsc#1042286).
- netfilter: nf_tables: fix race when create new element in dynset
  (bsc#1042286).
- kabi: restore nft_set_elem_destroy() signature (bsc#1042286).
- netfilter: nf_tables: fix *leak* when expr clone fail
  (bsc#1042286).
- ipv4: allow local fragmentation in ip_finish_output_gso()
  (bsc#1042286).
- netfilter: xt_socket: fix transparent match for IPv6 request
  sockets (bsc#1042286).
- test_bpf: fix the dummy skb after dissector changes
  (bsc#1042286).
- kabi: restore rhashtable_insert_slow() signature (bsc#1042286).
- rhashtable: add rhashtable_lookup_get_insert_key()
  (bsc#1042286).
- xfrm_user: propagate sec ctx allocation errors (bsc#1042286).
- l2tp: fix use-after-free during module unload (bsc#1042286).
- net: vxlan: lwt: Fix vxlan local traffic (bsc#1042286).
- net: vxlan: lwt: Use source ip address during route lookup
  (bsc#1042286).
- net/ipv4: Introduce IPSKB_FRAG_SEGS bit to inet_skb_parm.flags
  (bsc#1042286).
- dccp: limit sk_filter trim to payload (bsc#1042286).
- netfilter: nf_tables: fix a wrong check to skip the inactive
  rules (bsc#1042286).
- ovs/geneve: fix rtnl notifications on iface deletion
  (bsc#1042286).
- geneve: fix populating tclass in geneve_get_v6_dst
  (bsc#1042286).
- add ip6_make_flowinfo helper (bsc#1042286).
- vxlan: consolidate vxlan_xmit_skb and vxlan6_xmit_skb
  (bsc#1042286).
- vxlan: consolidate csum flag handling (bsc#1042286).
- vxlan: consolidate output route calculation (bsc#1042286).
  Refresh patches.drivers/net-use-core-MTU-range-checking-in-core-net-infra.patch
  fixup patches.fixes/vxlan-consolidate-output-route-calculation.patch
- netfilter: tee: select NF_DUP_IPV6 unconditionally
  (bsc#1042286).
- commit 40a087f
* Tue Mar 13 2018 mbrugger@suse.com
- genirq: Restore trigger settings in irq_modify_status()
  (bsc#1085056).
- commit 5bc427e
* Tue Mar 13 2018 mbrugger@suse.com
- net: phy: Keep reporting transceiver type (bsc#1085050).
- net: ethtool: Add back transceiver type (bsc#1085050).
- commit b9cecc2
* Tue Mar 13 2018 mbrugger@suse.com
- arm64: Run enable method for errata work arounds on late CPUs
  (bsc#1085045).
- genirq/msi: Fix populating multiple interrupts (bsc#1085047).
- commit d1ce508
* Tue Mar 13 2018 hare@suse.de
- Delete
  patches.suse/nvme-only-start-KATO-if-the-controller-is-live.patch.
- commit 1b37822
* Tue Mar 13 2018 hare@suse.de
- scsi: qla2xxx: Remove FC_NO_LOOP_ID for FCP and FC-NVMe
  Discovery (bsc#1084397).
- commit cdbf509
* Tue Mar 13 2018 hare@suse.de
- nvme_fc: rework sqsize handling (bsc#1076760).
- Delete patches.drivers/nvme_fc-minor-fixes-on-sqsize.patch.
- commit 5655b73
* Tue Mar 13 2018 mbrugger@suse.com
- KVM: ARM64: fix phy counter access failure in guest
  (bsc#1085015).
- net: ethernet: cavium: Correct Cavium Thunderx NIC driver
  names accordingly to module name (bsc#1085011).
- commit 14a3a04
* Mon Mar 12 2018 mbrugger@suse.com
- iommu/arm-smmu-v3: Cope with duplicated Stream IDs
  (bsc#1084926).
- iommu/iova: Fix underflow bug in __alloc_and_insert_iova_range
  (bsc#1084928).
- Refresh
  patches.drivers/0005-iommu-arm-smmu-v3-Make-arm_smmu_install_ste_for_dev-.patch.
- commit bad92d9
* Mon Mar 12 2018 rgoldwyn@suse.com
- direct-io: Fix sleep in atomic due to sync AIO (bsc#1084888).
- commit 238681e
* Fri Mar  9 2018 bp@suse.de
- x86/pti: Mark constant arrays as __initconst (bsc#1068032
  CVE-2017-5754, git-fixes).
- commit 3e4bede
* Fri Mar  9 2018 bp@suse.de
- x86/pti: Fix kabi breakage from x86_match_cpu() (bsc#1068032
  CVE-2017-5754).
- commit b5f0fef
* Fri Mar  9 2018 mbenes@suse.cz
- Revert "x86/entry/64: Separate cpu_current_top_of_stack from TSS.sp0"
  This reverts commit 6d3ee9dc14bafffd884ae0f4d89920b5e558344d.
- commit 40eec78
* Fri Mar  9 2018 mbenes@suse.cz
- Revert "x86/entry/64: Use a per-CPU trampoline stack for IDT entries"
  This reverts commit f7de61af5179169747bc5a0bc026202132a837cf.
- commit 1714886
* Fri Mar  9 2018 mbenes@suse.cz
- Revert "Refresh"
  This reverts commit 2d011048641020aa414af0a0b5941aea81d803e2.
- commit e6ef5f8
* Fri Mar  9 2018 bp@suse.de
- x86/msr: Add definitions for new speculation control MSRs
  (bsc#1068032 CVE-2017-5754).
- x86/cpufeatures: Add Intel feature bits for Speculation Control
  (bsc#1068032 CVE-2017-5754).
- x86/cpufeatures: Add AMD feature bits for Speculation Control
  (bsc#1068032 CVE-2017-5754).
- x86/cpufeature: Blacklist SPEC_CTRL/PRED_CMD on early Spectre
  v2 microcodes (bsc#1068032 CVE-2017-5754).
- x86: intel-family.h: Add GEMINI_LAKE SOC (bsc#1068032
  CVE-2017-5754).
- x86/pti: Do not enable PTI on CPUs which are not vulnerable
  to Meltdown (bsc#1068032 CVE-2017-5754).
- Refresh
  patches.suse/22-x86-cpu-amd-add-speculative-control-support-for-amd.patch.
- commit 5296c3c
* Fri Mar  9 2018 msuchanek@suse.de
- ibmvnic: Do not disable device during failover or partition
  migration (bsc#1084610).
- ibmvnic: Reorganize device close (bsc#1084610).
- ibmvnic: Clean up device close (bsc#1084610).
- commit 47bfad2
* Thu Mar  8 2018 vbabka@suse.cz
- leds: do not overflow sysfs buffer in led_trigger_show
  (bsc#1080464).
- commit 2682fda
* Wed Mar  7 2018 tbogendoerfer@suse.de
- net/mlx5e: Fix wrong delay calculation for overflow check
  scheduling (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- Refresh
  patches.drivers/net-mlx5e-Schedule-overflow-check-work-to-mlx5e-work.patch.
- commit 58959b0
* Wed Mar  7 2018 jslaby@suse.cz
- x86/syscall: Sanitize syscall table de-references under
  speculation fix (bsc#1068032 CVE-2017-5753).
  One more fix -- sbb works well only with jae.
- commit bd029d0
* Wed Mar  7 2018 tiwai@suse.de
- x86/kvm/vmx: do not use vm-exit instruction length for fast
  MMIO when running nested (bsc#1081431).
- commit 2708293
* Wed Mar  7 2018 hare@suse.de
- nvme_rdma: clear NVME_RDMA_Q_LIVE bit if reconnect fails
  (bsc#1083770).
- commit d791150
* Wed Mar  7 2018 mbrugger@suse.com
- arm64: entry: Apply BP hardening for suspicious interrupts
  from EL0 (bsc#1068032).
- arm64: entry: Apply BP hardening for high-priority synchronous
  exceptions (bsc#1068032).
- arm64: futex: Mask __user pointers prior to dereference
  (bsc#1068032).
- arm64: uaccess: Mask __user pointers for __arch_{clear,
  copy_*}_user (bsc#1068032).
- arm64: uaccess: Don't bother eliding access_ok checks in __{get,
  put}_user (bsc#1068032).
- arm64: uaccess: Prevent speculative use of the current
  addr_limit (bsc#1068032).
- arm64: entry: Ensure branch through syscall table is bounded
  under speculation (bsc#1068032).
- arm64: Use pointer masking to limit uaccess speculation
  (bsc#1068032).
- arm64: Make USER_DS an inclusive limit (bsc#1068032).
- arm64: Implement array_index_mask_nospec() (bsc#1068032).
- arm64: move TASK_* definitions to <asm/processor.h>
  (bsc#1068032).
- arm64: barrier: Add CSDB macros to control data-value prediction
  (bsc#1068032).
- commit 6b5aa76
* Wed Mar  7 2018 hare@suse.de
- nvme_fc: fix abort race on teardown with lld reject
  (bsc#1083750).
- commit 10ba3c1
* Wed Mar  7 2018 hare@suse.de
- nvme_fc: minor fixes on sqsize (bsc#1076760).
- nvme_fc: on remoteport reuse, set new nport_id and role
  (bsc#1076760).
- commit 54b776b
* Wed Mar  7 2018 hare@suse.de
- mpt3sas: Do not mark fw_event workqueue as WQ_MEM_RECLAIM
  (bsc#1078583).
- commit 490b89a
* Wed Mar  7 2018 hare@suse.de
- nvme-fc: kick admin requeue list on disconnect (bsc#1077241).
- commit daa5ab1
* Tue Mar  6 2018 msuchanek@suse.de
- scsi: sr: workaround VMware ESXi cdrom emulation bug
  (bsc#1080813).
- commit 0448304
* Tue Mar  6 2018 jslaby@suse.cz
- x86/syscall: Sanitize syscall table de-references under
  speculation (bsc#1068032 CVE-2017-5753).
- commit 253b95a
* Tue Mar  6 2018 jslaby@suse.cz
- Linux 4.4.120 (bnc#1012382).
- hrtimer: Ensure POSIX compliance (relative CLOCK_REALTIME
  hrtimers) (bnc#1012382).
- mtd: nand: gpmi: Fix failure when a erased page has a bitflip
  at BBM (bnc#1012382).
- ipv6: icmp6: Allow icmp messages to be looped back
  (bnc#1012382).
- ARM: 8731/1: Fix csum_partial_copy_from_user() stack mismatch
  (bnc#1012382).
- sget(): handle failures of register_shrinker() (bnc#1012382).
- drm/nouveau/pci: do a msi rearm on init (bnc#1012382).
- spi: atmel: fixed spin_lock usage inside atmel_spi_remove
  (bnc#1012382).
- net: arc_emac: fix arc_emac_rx() error paths (bnc#1012382).
- scsi: storvsc: Fix scsi_cmd error assignments in
  storvsc_handle_error (bnc#1012382).
- ARM: dts: ls1021a: fix incorrect clock references (bnc#1012382).
- lib/mpi: Fix umul_ppmm() for MIPS64r6 (bnc#1012382).
- tg3: Add workaround to restrict 5762 MRRS to 2048 (bnc#1012382).
- tg3: Enable PHY reset in MTU change path for 5720 (bnc#1012382).
- bnx2x: Improve reliability in case of nested PCI errors
  (bnc#1012382).
- led: core: Fix brightness setting when setting delay_off=0
  (bnc#1012382).
- s390/dasd: fix wrongly assigned configuration data
  (bnc#1012382).
- IB/mlx4: Fix mlx4_ib_alloc_mr error flow (bnc#1012382).
- xfs: quota: fix missed destroy of qi_tree_lock (bnc#1012382).
- xfs: quota: check result of register_shrinker() (bnc#1012382).
- e1000: fix disabling already-disabled warning (bnc#1012382).
- drm/ttm: check the return value of kzalloc (bnc#1012382).
- mac80211: mesh: drop frames appearing to be from us
  (bnc#1012382).
- can: flex_can: Correct the checking for frame length in
  flexcan_start_xmit() (bnc#1012382).
- bnxt_en: Fix the 'Invalid VF' id check in bnxt_vf_ndo_prep
  routine (bnc#1012382).
- xen-netfront: enable device after manual module load
  (bnc#1012382).
- mdio-sun4i: Fix a memory leak (bnc#1012382).
- SolutionEngine771x: fix Ether platform data (bnc#1012382).
- xen/gntdev: Fix off-by-one error when unmapping with holes
  (bnc#1012382).
- xen/gntdev: Fix partial gntdev_mmap() cleanup (bnc#1012382).
- sctp: make use of pre-calculated len (bnc#1012382).
- net: gianfar_ptp: move set_fipers() to spinlock protecting area
  (bnc#1012382).
- MIPS: Implement __multi3 for GCC7 MIPS64r6 builds (bnc#1012382).
- Refresh
  patches.drivers/e1000-0003-e1000-Remove-checkpatch-coding-style-errors.patch.
- commit f4563a6
* Tue Mar  6 2018 hare@suse.de
- nvme-rdma: fix concurrent reset and reconnect (bsc#1082979).
- qla2xxx: asynchronous pci probing (bsc#1034503).
- commit b6b1c49
* Tue Mar  6 2018 tiwai@suse.de
- ASoC: nuc900: Fix a loop timeout test (bsc#1031717).
- ASoC: au1x: Fix timeout tests in au1xac97c_ac97_read()
  (bsc#1031717).
- ASoC: Intel: sst: Fix the return value of
  'sst_send_byte_stream_mrfld()' (bsc#1031717).
- commit 6dca30b
* Tue Mar  6 2018 tiwai@suse.de
- serial: 8250_uniphier: fix error return code in
  uniphier_uart_probe() (bsc#1031717).
- commit bf033d1
* Tue Mar  6 2018 tiwai@suse.de
- ALSA: hda/realtek - Add headset mode support for Dell laptop
  (bsc#1031717).
- commit 0cfac34
* Tue Mar  6 2018 tiwai@suse.de
- PM / wakeirq: Fix unbalanced IRQ enable for wakeirq
  (bsc#1031717).
- commit 5a62e29
* Tue Mar  6 2018 hare@suse.de
- nvme: only start KATO if the controller is live (bsc#1083387).
- commit 3692a08
* Mon Mar  5 2018 jgross@suse.com
- x86/xen: Zero MSR_IA32_SPEC_CTRL before suspend (bnc#1065600).
- commit 3a9b974
* Mon Mar  5 2018 tbogendoerfer@suse.de
- net: ena: increase ena driver version to 1.5.0 (bsc#1083548).
- net: ena: add detection and recovery mechanism for handling
  missed/misrouted MSI-X (bsc#1083548).
- net: ena: fix error handling in ena_down() sequence
  (bsc#1083548).
- net: ena: unmask MSI-X only after device initialization is
  completed (bsc#1083548).
- net: ena: fix race condition between device reset and link up
  setup (bsc#1083548).
- net: ena: increase ena driver version to 1.3.0 (bsc#1083548).
- net: ena: add new admin define for future support of IPv6 RSS
  (bsc#1083548).
- net: ena: add statistics for missed tx packets (bsc#1083548).
- net: ena: add power management ops to the ENA driver
  (bsc#1083548).
- net: ena: remove legacy suspend suspend/resume support
  (bsc#1083548).
- net: ena: improve ENA driver boot time (bsc#1083548).
- net: ena: Remove redundant unlikely() (bsc#1083548).
- net: ena: fix wrong max Tx/Rx queues on ethtool (bsc#1083548).
- net: ena: fix rare kernel crash when bar memory remap fails
  (bsc#1083548).
- net: ena: reduce the severity of some printouts (bsc#1083548).
- commit a3542c6
* Fri Mar  2 2018 jack@suse.cz
- ext4: Fix data exposure after failed AIO DIO (bsc#1069135 bsc#1082864).
- Refresh
  patches.drivers/direct-io-always-call-end_io-if-non-null.patch.
- Refresh
  patches.drivers/ext4-Pre-zero-allocated-blocks-for-DAX-IO.patch.
- Refresh
  patches.drivers/ext4-simplify-io_end-handling-for-aio-dio.patch.
- commit 6bd9bed
* Fri Mar  2 2018 tiwai@suse.de
- Update patch tag for stable patch (CVE-2017-13166 bsc#1072865).
- commit a7e461f
* Fri Mar  2 2018 dbueso@suse.de
- ipc/msg: introduce msgctl(MSG_STAT_ANY) (bsc#1072689).
- ipc/sem: introduce semctl(SEM_STAT_ANY) (bsc#1072689).
- ipc/shm: introduce shmctl(SHM_STAT_ANY) (bsc#1072689).
- commit 465bd2e
* Thu Mar  1 2018 tbogendoerfer@suse.de
- blacklist.conf:
  5165674ff502 no net/dim in SLE12-SP3
- commit 806311a
* Thu Mar  1 2018 tbogendoerfer@suse.de
- net/mlx5: Use 128B cacheline size for 128B or larger cachelines
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5e: Verify inline header size do not exceed SKB linear
  size (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5e: Fix loopback self test when GRO is off (bsc#1015342
  FATE#321688 bsc#1015343 FATE#321689).
- commit a72b1fe
* Thu Mar  1 2018 mhocko@suse.com
- Update
  patches.kernel.org/4.4.104-010-mm-madvise.c-fix-madvise-infinite-loop-under-.patch
  (bnc#1012382 bnc#1070964 bnc#1083494, CVE-2017-18208).
- commit 826efbb
* Thu Mar  1 2018 hare@suse.de
- scsi: qla2xxx: Fix FC-NVMe LUN discovery (bsc#1083223).
- commit b7402cc
* Thu Mar  1 2018 jslaby@suse.cz
- Linux 4.4.119 (bnc#1012382).
- binder: add missing binder_unlock() (bnc#1012382).
- drm/amdgpu: Avoid leaking PM domain on driver unbind (v2)
  (bnc#1012382).
- usb: renesas_usbhs: missed the "running" flag in usb_dmac with
  rx path (bnc#1012382).
- usb: gadget: f_fs: Process all descriptors during bind
  (bnc#1012382).
- usb: ldusb: add PIDs for new CASSY devices supported by this
  driver (bnc#1012382).
- usb: dwc3: gadget: Set maxpacket size for ep0 IN (bnc#1012382).
- drm/edid: Add 6 bpc quirk for CPT panel in Asus UX303LA
  (bnc#1012382).
- Add delay-init quirk for Corsair K70 RGB keyboards
  (bnc#1012382).
- arm64: Disable unhandled signal log messages by default
  (bnc#1012382).
- usb: ohci: Proper handling of ed_rm_list to handle race
  condition between usb_kill_urb() and finish_unlinks()
  (bnc#1012382).
- irqchip/gic-v3: Use wmb() instead of smb_wmb() in
  gic_raise_softirq() (bnc#1012382).
- x86/oprofile: Fix bogus GCC-8 warning in nmi_setup()
  (bnc#1012382).
- iio: adis_lib: Initialize trigger before requesting interrupt
  (bnc#1012382).
- iio: buffer: check if a buffer has been set up when poll is
  called (bnc#1012382).
- cfg80211: fix cfg80211_beacon_dup (bnc#1012382).
- scsi: ibmvfc: fix misdefined reserved field in
  ibmvfc_fcp_rsp_info (bnc#1012382).
- ip_tunnel: fix preempt warning in ip tunnel creation/updating
  (bnc#1012382).
- ip_tunnel: replace dst_cache with generic implementation
  (bnc#1012382).
- kABI: protect struct ip_tunnel and reintroduce
  ip_tunnel_dst_reset_all (kabi).
- PCI: keystone: Fix interrupt-controller-node lookup
  (bnc#1012382).
- powerpc/64s: Fix RFI flush dependency on HARDLOCKUP_DETECTOR
  (bnc#1012382).
- netfilter: drop outermost socket lock in getsockopt()
  (bnc#1012382).
- commit e1a27c2
* Wed Feb 28 2018 bp@suse.de
- x86/spectre: Remove the out-of-tree RSB stuffing
- Delete
  patches.suse/12-x86-entry-add-a-function-to-overwrite-the-rsb.patch.
- Delete
  patches.suse/13-x86-entry-stuff-rsb-for-entry-to-kernel-for-non-smep-platform.patch.
  patches.kernel.org/4.4.114-007-x86-retpoline-Fill-RSB-on-context-switch-for-.patch
  contains the backported variant of the upstream context-switch RSB stuffing we
  do so remove the version we had which is not needed.
- commit 70e9278
* Wed Feb 28 2018 bp@suse.de
- x86/mce: Pin the timer when modifying (bsc#1080851,1076282).
- commit 4655d8c
* Wed Feb 28 2018 nborisov@suse.com
- f2fs: fix a bug caused by NULL extent tree (bsc#1082478).
  Doesn't affect SLE release but should be merged into leap updates
- commit c407afc
* Wed Feb 28 2018 msuchanek@suse.de
- ibmvnic: Do not attempt to login if RX or TX queues are not
  allocated (bsc#1082993).
- ibmvnic: Report queue stops and restarts as debug output
  (bsc#1082993).
- ibmvnic: Harden TX/RX pool cleaning (bsc#1082993).
- ibmvnic: Allocate statistics buffers during probe (bsc#1082993).
- ibmvnic: Fix TX descriptor tracking again (bsc#1082993).
- commit e0a262d
* Wed Feb 28 2018 oneukum@suse.com
- media: usbtv: prevent double free in error case (bsc#1074426
  CVE-2017-17975).
- commit 7c8d344
* Wed Feb 28 2018 msuchanek@suse.de
- cdrom: turn off autoclose by default (bsc#1080813).
- commit 3359ac2
* Wed Feb 28 2018 jack@suse.cz
- ocfs2: return error when we attempt to access a dirty bh in jbd2
  (bsc#1070404).
- commit 3e8f8c8
* Wed Feb 28 2018 mkubecek@suse.cz
- kabi: restore kabi after "net: replace dst_cache ip6_tunnel
  implementation with the generic one" (bsc#1082897).
- Delete
  patches.kabi/revert-net-replace-dst_cache-ip6_tunnel-implementati.patch.
- enable DST_CACHE in non-vanilla configs except s390x/zfcpdump
- commit 199104c
* Wed Feb 28 2018 jslaby@suse.cz
- Update config files.
  Update also vanilla configs with DST change from 4.4.118.
- commit 495fa7f
* Wed Feb 28 2018 ghe@suse.com
- DLM: fix NULL pointer dereference in send_to_sock()
  (bsc#1082795).
- commit ae66b16
* Wed Feb 28 2018 ghe@suse.com
- DLM: fix double list_del() (bsc#1082795).
- commit 9f10404
* Wed Feb 28 2018 jslaby@suse.cz
- udf: prevent speculative execution (bsc#1068032 CVE-2017-5753).
- net: mpls: prevent speculative execution (bsc#1068032
  CVE-2017-5753).
- ipv6: prevent speculative execution (bsc#1068032 CVE-2017-5753).
- userns: prevent speculative execution (bsc#1068032
  CVE-2017-5753).
- Thermal/int340x: prevent speculative execution (bsc#1068032
  CVE-2017-5753).
- cw1200: prevent speculative execution (bsc#1068032
  CVE-2017-5753).
- qla2xxx: prevent speculative execution (bsc#1068032
  CVE-2017-5753).
- p54: prevent speculative execution (bsc#1068032 CVE-2017-5753).
- carl9170: prevent speculative execution (bsc#1068032
  CVE-2017-5753).
- uvcvideo: prevent speculative execution (bsc#1068032
  CVE-2017-5753).
- locking/barriers: introduce new memory barrier gmb()
  (bsc#1068032 CVE-2017-5753).
- commit 930bb7c
* Wed Feb 28 2018 jslaby@suse.cz
- x86/spectre: Fix an error message (git-fixes).
- blacklist.conf: add one more
- Input: tca8418_keypad - remove double read of key event register
  (git-fixes).
- tc358743: fix register i2c_rd/wr function fix (git-fixes).
- ARM: omap2: hide omap3_save_secure_ram on non-OMAP3 builds
  (git-fixes).
- commit e93d661
* Tue Feb 27 2018 msuchanek@suse.de
- ibmvnic: Fix early release of login buffer (bsc#1081134, git-fixes).
- commit 83fbd04
* Tue Feb 27 2018 mwilck@suse.com
- Refresh patches.drivers/nvme-remove-nvme_revalidate_ns.patch
  (bsc#1083086).
- commit 9f49b43
* Tue Feb 27 2018 bp@suse.de
- media: hdpvr: Fix an error handling path in hdpvr_probe()
  (bsc#1067118 CVE-2017-16644).
- hdpvr: Remove deprecated create_singlethread_workqueue
  (bsc#1067118 CVE-2017-16644).
- commit 072ea34
* Tue Feb 27 2018 hare@suse.de
- PCI/MSI: Fix msi_desc->affinity memory leak when freeing MSI
  IRQs (bsc#1082979).
- commit 76f4420
* Tue Feb 27 2018 hare@suse.de
- IB/srpt: Remove an unused structure member (bsc#1082979).
- IB/iser: Handle lack of memory management extentions correctly
  (bsc#1082979).
- RDMA/uverbs: Protect from command mask overflow (bsc#1082979).
- block: fix an error code in add_partition() (bsc#1082979).
- block: Fix __bio_integrity_endio() documentation (bsc#1082979).
- nvme-pci: Remap CMB SQ entries on every controller reset
  (bsc#1082979).
- nvme-pci: clean up SMBSZ bit definitions (bsc#1082979).
- nvme-pci: clean up CMB initialization (bsc#1082979).
- nvme: Quirks for PM1725 controllers (bsc#1082979).
- nvme-pci: consistencly use ctrl->device for logging
  (bsc#1082979).
- nvme-pci: fix typos in comments (bsc#1082979).
- nvme-pci: Use PCI bus address for data/queues in CMB
  (bsc#1082979).
- scsi: lpfc: Don't return internal MBXERR_ERROR code from probe
  function (bsc#1082979).
- ata: ahci_xgene: free structure returned by
  acpi_get_object_info() (bsc#1082979).
- ata: sata_dwc_460ex: remove incorrect locking (bsc#1082979).
- ata: pata_artop: remove redundant initialization of pio
  (bsc#1082979).
- scsi: sun_esp: fix device reference leaks (bsc#1082979).
- scsi: ses: don't get power status of SES device slot on probe
  (bsc#1082979).
- scsi: fas216: fix sense buffer initialization (bsc#1082979).
- SCSI: initio: remove duplicate module device table
  (bsc#1082979).
- scsi: libsas: fix memory leak in sas_smp_get_phy_events()
  (bsc#1082979).
- scsi: libsas: fix error when getting phy events (bsc#1082979).
- scsi: qla2xxx: Fix incorrect handle for abort IOCB
  (bsc#1082979).
- scsi: qla2xxx: Fix a locking imbalance in qlt_24xx_handle_els()
  (bsc#1082979).
- zram: fix operator precedence to get offset (bsc#1082979).
- s390/oprofile: fix address range for asynchronous stack
  (bsc#1082979).
- commit cf21e0e
* Tue Feb 27 2018 hare@suse.de
- blacklist.conf: blacklist too intrusive patches (bsc#1082979)
- commit 70e503e
* Tue Feb 27 2018 mcgrof@suse.com
- Delete patches.kabi/xfs-address-kabi-for-xfs-buffer-retry-infrastructure.patch.
- commit 759ba23
* Tue Feb 27 2018 mcgrof@suse.com
- kabi/severities: as per bsc#1068569 we can ignore XFS kabi
  The gods have spoken, let there be light.
- commit b5b897a
* Mon Feb 26 2018 jslaby@suse.cz
- Linux 4.4.118 (bnc#1012382).
- net: add dst_cache support (bnc#1012382).
- net: replace dst_cache ip6_tunnel implementation with the
  generic one (bnc#1012382).
- cfg80211: check dev_set_name() return value (bnc#1012382).
- mm,vmscan: Make unregister_shrinker() no-op if
  register_shrinker() failed (bnc#1012382).
- xfrm: Fix stack-out-of-bounds read on socket policy lookup
  (bnc#1012382).
- xfrm: check id proto in validate_tmpl() (bnc#1012382).
- blktrace: fix unlocked registration of tracepoints
  (bnc#1012382).
- drm: Require __GFP_NOFAIL for the legacy drm_modeset_lock_all
  (bnc#1012382).
- Provide a function to create a NUL-terminated string from
  unterminated data (bnc#1012382).
- selinux: ensure the context is NUL terminated in
  security_context_to_sid_core() (bnc#1012382).
- selinux: skip bounded transition processing if the policy
  isn't loaded (bnc#1012382).
- crypto: x86/twofish-3way - Fix %%rbp usage (bnc#1012382).
- KVM: x86: fix escape of guest dr6 to the host (bnc#1012382).
- netfilter: x_tables: fix int overflow in xt_alloc_table_info()
  (bnc#1012382).
- netfilter: x_tables: avoid out-of-bounds reads in
  xt_request_find_{match|target} (bnc#1012382).
- netfilter: ipt_CLUSTERIP: fix out-of-bounds accesses in
  clusterip_tg_check() (bnc#1012382).
- netfilter: on sockopt() acquire sock lock only in the required
  scope (bnc#1012382).
- netfilter: xt_RATEEST: acquire xt_rateest_mutex for hash insert
  (bnc#1012382).
- net: avoid skb_warn_bad_offload on IS_ERR (bnc#1012382).
- ASoC: ux500: add MODULE_LICENSE tag (bnc#1012382).
- video: fbdev/mmp: add MODULE_LICENSE (bnc#1012382).
- arm64: dts: add #cooling-cells to CPU nodes (bnc#1012382).
- Make DST_CACHE a silent config option (bnc#1012382).
- dn_getsockoptdecnet: move nf_{get/set}sockopt outside sock lock
  (bnc#1012382).
- staging: android: ashmem: Fix a race condition in pin ioctls
  (bnc#1012382).
- binder: check for binder_thread allocation failure in
  binder_poll() (bnc#1012382).
- staging: iio: adc: ad7192: fix external frequency setting
  (bnc#1012382).
- usbip: keep usbip_device sockfd state in sync with tcp_socket
  (bnc#1012382).
- usb: build drivers/usb/common/ when USB_SUPPORT is set
  (bnc#1012382).
- ARM: OMAP2+: Fix SRAM virt to phys translation for
  save_secure_ram_context (bnc#1012382).
- ARM: AM33xx: PRM: Remove am33xx_pwrdm_read_prev_pwrst function
  (bnc#1012382).
- ARM: dts: Fix omap4 hang with GPS connected to USB by using
  wakeupgen (bnc#1012382).
- ARM: dts: am4372: Correct the interrupts_properties of McASP
  (bnc#1012382).
- perf top: Fix window dimensions change handling (bnc#1012382).
- perf bench numa: Fixup discontiguous/sparse numa nodes
  (bnc#1012382).
- media: s5k6aa: describe some function parameters (bnc#1012382).
- pinctrl: sunxi: Fix A80 interrupt pin bank (bnc#1012382).
- RDMA/cma: Make sure that PSN is not over max allowed
  (bnc#1012382).
- scripts/kernel-doc: Don't fail with status != 0 if error
  encountered with -none (bnc#1012382).
- ipvlan: Add the skb->mark as flow4's member to lookup route
  (bnc#1012382).
- powerpc/perf: Fix oops when grouping different pmu events
  (bnc#1012382).
- s390/dasd: prevent prefix I/O error (bnc#1012382).
- gianfar: fix a flooded alignment reports because of padding
  issue (bnc#1012382).
- net_sched: red: Avoid devision by zero (bnc#1012382).
- net_sched: red: Avoid illegal values (bnc#1012382).
- btrfs: Fix possible off-by-one in btrfs_search_path_in_tree
  (bnc#1012382).
- dmaengine: ioat: Fix error handling path (bnc#1012382).
- dmaengine: at_hdmac: fix potential NULL pointer dereference
  in atc_prep_dma_interleaved (bnc#1012382).
- clk: fix a panic error caused by accessing NULL pointer
  (bnc#1012382).
- ASoC: rockchip: disable clock on error (bnc#1012382).
- spi: sun4i: disable clocks in the remove function (bnc#1012382).
- xfrm: Fix stack-out-of-bounds with misconfigured transport
  mode policies (bnc#1012382).
- drm/armada: fix leak of crtc structure (bnc#1012382).
- dmaengine: jz4740: disable/unprepare clk if probe fails
  (bnc#1012382).
- mm/early_ioremap: Fix boot hang with earlyprintk=efi,keep
  (bnc#1012382).
- x86/mm/kmmio: Fix mmiotrace for page unaligned addresses
  (bnc#1012382).
- xen: XEN_ACPI_PROCESSOR is Dom0-only (bnc#1012382).
- hippi: Fix a Fix a possible sleep-in-atomic bug in rr_close
  (bnc#1012382).
- virtio_balloon: prevent uninitialized variable use
  (bnc#1012382).
- isdn: icn: remove a #warning (bnc#1012382).
- vmxnet3: prevent building with 64K pages (bnc#1012382).
- gpio: intel-mid: Fix build warning when !CONFIG_PM
  (bnc#1012382).
- platform/x86: intel_mid_thermal: Fix suspend handlers unused
  warning (bnc#1012382).
- video: fbdev: via: remove possibly unused variables
  (bnc#1012382).
- scsi: advansys: fix build warning for PCI=n (bnc#1012382).
- x86/ras/inject: Make it depend on X86_LOCAL_APIC=y
  (bnc#1012382).
- arm64: define BUG() instruction without CONFIG_BUG
  (bnc#1012382).
- x86/fpu/math-emu: Fix possible uninitialized variable use
  (bnc#1012382).
- tools build: Add tools tree support for 'make -s' (bnc#1012382).
- x86/build: Silence the build with "make -s" (bnc#1012382).
- thermal: fix INTEL_SOC_DTS_IOSF_CORE dependencies (bnc#1012382).
- x86: add MULTIUSER dependency for KVM (bnc#1012382).
- x86/platform: Add PCI dependency for PUNIT_ATOM_DEBUG
  (bnc#1012382).
- scsi: advansys: fix uninitialized data access (bnc#1012382).
- arm64: Kconfig: select COMPAT_BINFMT_ELF only when BINFMT_ELF
  is set (bnc#1012382).
- ALSA: hda/ca0132 - fix possible NULL pointer use (bnc#1012382).
- reiserfs: avoid a -Wmaybe-uninitialized warning (bnc#1012382).
- ssb: mark ssb_bus_register as __maybe_unused (bnc#1012382).
- thermal: spear: use __maybe_unused for PM functions
  (bnc#1012382).
- x86/boot: Avoid warning for zero-filling .bss (bnc#1012382).
- scsi: sim710: fix build warning (bnc#1012382).
- drivers/net: fix eisa_driver probe section mismatch
  (bnc#1012382).
- dpt_i2o: fix build warning (bnc#1012382).
- profile: hide unused functions when !CONFIG_PROC_FS
  (bnc#1012382).
- mtd: ichxrom: maybe-uninitialized with gcc-4.9 (bnc#1012382).
- mtd: maps: add __init attribute (bnc#1012382).
- mptfusion: hide unused seq_mpt_print_ioc_summary function
  (bnc#1012382).
- scsi: fdomain: drop fdomain_pci_tbl when built-in (bnc#1012382).
- video: fbdev: sis: remove unused variable (bnc#1012382).
- staging: ste_rmi4: avoid unused function warnings (bnc#1012382).
- fbdev: sis: enforce selection of at least one backend
  (bnc#1012382).
- video: Use bool instead int pointer for get_opt_bool() argument
  (bnc#1012382).
- scsi: mvumi: use __maybe_unused to hide pm functions
  (bnc#1012382).
- SCSI: initio: remove duplicate module device table
  (bnc#1012382 bsc#1082979).
- pwc: hide unused label (bnc#1012382).
- usb: musb/ux500: remove duplicate check for dma_is_compatible
  (bnc#1012382).
- tty: hvc_xen: hide xen_console_remove when unused (bnc#1012382).
- driver-core: use 'dev' argument in dev_dbg_ratelimited stub
  (bnc#1012382).
- fbdev: auo_k190x: avoid unused function warnings (bnc#1012382).
- amd-xgbe: Fix unused suspend handlers build warning
  (bnc#1012382).
- mtd: sh_flctl: pass FIFO as physical address (bnc#1012382).
- mtd: cfi: enforce valid geometry configuration (bnc#1012382).
- fbdev: s6e8ax0: avoid unused function warnings (bnc#1012382).
- modsign: hide openssl output in silent builds (bnc#1012382).
- fbdev: sm712fb: avoid unused function warnings (bnc#1012382).
- hwrng: exynos - use __maybe_unused to hide pm functions
  (bnc#1012382).
- USB: cdc_subset: only build when one driver is enabled
  (bnc#1012382).
- rtlwifi: fix gcc-6 indentation warning (bnc#1012382).
- staging: wilc1000: fix kbuild test robot error (bnc#1012382).
- x86/platform/olpc: Fix resume handler build warning
  (bnc#1012382).
- netfilter: ipvs: avoid unused variable warnings (bnc#1012382).
- ipv4: ipconfig: avoid unused ic_proto_used symbol (bnc#1012382).
- tc1100-wmi: fix build warning when CONFIG_PM not enabled
  (bnc#1012382).
- tlan: avoid unused label with PCI=n (bnc#1012382).
- drm/vmwgfx: use *_32_bits() macros (bnc#1012382).
- tty: cyclades: cyz_interrupt is only used for PCI (bnc#1012382).
- genirq/msi: Add stubs for get_cached_msi_msg/pci_write_msi_msg
  (bnc#1012382).
- ASoC: mediatek: add i2c dependency (bnc#1012382).
- iio: adc: axp288: remove redundant duplicate const on
  axp288_adc_channels (bnc#1012382).
- b2c2: flexcop: avoid unused function warnings (bnc#1012382).
- i2c: remove __init from i2c_register_board_info() (bnc#1012382).
- staging: unisys: visorinput depends on INPUT (bnc#1012382).
- tc358743: fix register i2c_rd/wr functions (bnc#1012382).
- drm/nouveau: hide gcc-4.9 -Wmaybe-uninitialized (bnc#1012382).
- Input: tca8418_keypad - hide gcc-4.9 -Wmaybe-uninitialized
  warning (bnc#1012382).
- KVM: add X86_LOCAL_APIC dependency (bnc#1012382).
- go7007: add MEDIA_CAMERA_SUPPORT dependency (bnc#1012382).
- em28xx: only use mt9v011 if camera support is enabled
  (bnc#1012382).
- ISDN: eicon: reduce stack size of sig_ind function
  (bnc#1012382).
- serial: 8250_mid: fix broken DMA dependency (bnc#1012382).
- drm/gma500: Sanity-check pipe index (bnc#1012382).
- hdpvr: hide unused variable (bnc#1012382).
- v4l: remove MEDIA_TUNER dependency for VIDEO_TUNER
  (bnc#1012382).
- cw1200: fix bogus maybe-uninitialized warning (bnc#1012382).
- wireless: cw1200: use __maybe_unused to hide pm functions_
  (bnc#1012382).
- perf/x86: Shut up false-positive -Wmaybe-uninitialized warning
  (bnc#1012382).
- dmaengine: zx: fix build warning (bnc#1012382).
- net: hp100: remove unnecessary #ifdefs (bnc#1012382).
- gpio: xgene: mark PM functions as __maybe_unused (bnc#1012382).
- ncpfs: fix unused variable warning (bnc#1012382).
- Revert "power: bq27xxx_battery: Remove unneeded dependency in
  Kconfig" (bnc#1012382).
- power: bq27xxx_battery: mark some symbols __maybe_unused
  (bnc#1012382).
- isdn: sc: work around type mismatch warning (bnc#1012382).
- binfmt_elf: compat: avoid unused function warning (bnc#1012382).
- idle: i7300: add PCI dependency (bnc#1012382).
- usb: phy: msm add regulator dependency (bnc#1012382).
- ncr5380: shut up gcc indentation warning (bnc#1012382).
- ARM: tegra: select USB_ULPI from EHCI rather than platform
  (bnc#1012382).
- ASoC: Intel: Kconfig: fix build when ACPI is not enabled
  (bnc#1012382).
- netlink: fix nla_put_{u8,u16,u32} for KASAN (bnc#1012382).
- dell-wmi, dell-laptop: depends DMI (bnc#1012382).
- genksyms: Fix segfault with invalid declarations (bnc#1012382).
- x86/microcode/AMD: Change load_microcode_amd()'s param to bool
  to fix preemptibility bug (bnc#1012382).
- drm/gma500: remove helper function (bnc#1012382).
- kasan: rework Kconfig settings (bnc#1012382).
- x86/retpoline: Remove the esp/rsp thunk (bnc#1012382).
- KVM: x86: Make indirect calls in emulator speculation safe
  (bnc#1012382).
- KVM: VMX: Make indirect call speculation safe (bnc#1012382).
- module/retpoline: Warn about missing retpoline in module
  (bnc#1012382).
- x86/nospec: Fix header guards names (bnc#1012382).
- x86/bugs: Drop one "mitigation" from dmesg (bnc#1012382).
- x86/cpu/bugs: Make retpoline module warning conditional
  (bnc#1012382).
- x86/spectre: Check CONFIG_RETPOLINE in command line parser
  (bnc#1012382).
- x86/spectre: Fix spelling mistake: "vunerable"-> "vulnerable"
  (bnc#1012382).
- x86/paravirt: Remove 'noreplace-paravirt' cmdline option
  (bnc#1012382).
- x86/retpoline: Avoid retpolines for built-in __init functions
  (bnc#1012382).
- x86/spectre: Simplify spectre_v2 command line parsing
  (bnc#1012382).
- x86/speculation: Fix typo IBRS_ATT, which should be IBRS_ALL
  (bnc#1012382).
- KVM: nVMX: kmap() can't fail (bnc#1012382).
- KVM: nVMX: vmx_complete_nested_posted_interrupt() can't fail
  (bnc#1012382).
- kvm: nVMX: Fix kernel panics induced by illegal INVEPT/INVVPID
  types (bnc#1012382).
- KVM: VMX: clean up declaration of VPID/EPT invalidation types
  (bnc#1012382).
- KVM: nVMX: invvpid handling improvements (bnc#1012382).
- crypto: s5p-sss - Fix kernel Oops in AES-ECB mode (bnc#1012382).
- net: dst_cache_per_cpu_dst_set() can be static (bnc#1012382).
- Revert "net: replace dst_cache ip6_tunnel implementation with
  the generic one" (kabi bnc#1082897).
- Update config files.
- kabi/severities: add __x86_indirect_thunk_rsp
- Refresh
  patches.arch/0034-arm64-prevent-potential-circular-header-dependencies.patch.
- Refresh
  patches.arch/0073-arm64-move-brk-immediate-argument-definitions-to-sep.patch.
- Refresh
  patches.arch/kvm-x86-per-vcpu-apicv-deactivation-support.
- Refresh
  patches.drivers/023-ASoC-Intel-Atom-move-atom-driver-to-common-acpi-matc.
- Refresh patches.drivers/Introduce-devlink-infrastructure.patch.
- Refresh
  patches.drivers/amd-xgbe-0009-amd-xgbe-Prepare-for-working-with-more-than-one-type.patch.
- Refresh
  patches.drivers/amd-xgbe-0015-amd-xgbe-Prepare-for-supporting-PCI-devices.patch.
- Refresh
  patches.drivers/net-add-a-hardware-buffer-management-helper-API.patch.
- Refresh
  patches.fixes/kvm-nvmx-fix-msr-bitmaps-to-prevent-l2-from-accessing-l0-x2apic.
- Refresh patches.fixes/kvm-nvmx-fix-nested-vpid-vmx-exec-control.
- Refresh
  patches.fixes/netfilter-x_tables-pack-percpu-counter-allocations.patch.
- Refresh
  patches.fixes/virtio_balloon-export-available-memory-to-balloon-st.
- Refresh patches.suse/retpolines-disable-ibrs-on-non-skl.patch.
- Refresh patches.suse/supported-flag.
- Refresh patches.suse/sysfs-spectre_v2-handle-spec_ctrl.patch.
- Refresh patches.suse/x86-nospectre_v2-means-nospec-too.patch.
- Delete
  patches.drivers/SCSI-initio-remove-duplicate-module-device-table.patch.
- commit 0985745
* Mon Feb 26 2018 jslaby@suse.cz
- Refresh
  patches.suse/0007-x86-uaccess-Use-__uaccess_begin_nospec-and-uaccess_t.patch.
- Refresh
  patches.suse/0009-x86-syscall-Sanitize-syscall-table-de-references-und.patch.
  Fix few more missing places revealed during porting to 11SP4.
- commit 9474ea7
* Mon Feb 26 2018 msuchanek@suse.de
- powerpc/pseries: Support firmware disable of RFI flush
  (bsc#1068032, bsc#1075087).
- powerpc/powernv: Support firmware disable of RFI flush
  (bsc#1068032, bsc#1075087).
- commit b01bff2
* Sat Feb 24 2018 lzhong@suse.com
- md/raid1: Use a new variable to count flighting sync
  requests(bsc#1083048)
- commit 6476232
* Sat Feb 24 2018 mcgrof@suse.com
- fs: Avoid invalidation in interrupt context in dio_complete() (bsc#1073407 bsc#1069135).
- commit 28789cc
* Fri Feb 23 2018 mwilck@suse.com
- Refresh
  patches.suse/scsi-do-not-print-reservation-conflict-for-TEST-UNIT.patch
  (bsc#1027054).
- commit 6c1958d
* Fri Feb 23 2018 jslaby@suse.cz
- Linux 4.4.117 (bnc#1012382).
- kABI: protect struct cpuinfo_x86 (kabi).
- IB/mlx4: Fix incorrectly releasing steerable UD QPs when have
  only ETH ports (bnc#1012382).
- PM / devfreq: Propagate error from devfreq_add_device()
  (bnc#1012382).
- s390: fix handling of -1 in set{,fs}[gu]id16 syscalls
  (bnc#1012382).
- ARM: dts: STi: Add gpio polarity for "hdmi,hpd-gpio" property
  (bnc#1012382).
- arm: spear600: Add missing interrupt-parent of rtc
  (bnc#1012382).
- arm: spear13xx: Fix dmas cells (bnc#1012382).
- arm: spear13xx: Fix spics gpio controller's warning
  (bnc#1012382).
- ALSA: seq: Fix regression by incorrect ioctl_mutex usages
  (bnc#1012382).
- KVM/x86: Reduce retpoline performance impact in
  slot_handle_level_range(), by always inlining iterator helper
  methods (bnc#1012382).
- x86/cpu: Change type of x86_cache_size variable to unsigned int
  (bnc#1012382).
- drm/radeon: adjust tested variable (bnc#1012382).
- rtc-opal: Fix handling of firmware error codes, prevent busy
  loops (bnc#1012382).
- ext4: save error to disk in __ext4_grp_locked_error()
  (bnc#1012382).
- ext4: correct documentation for grpid mount option
  (bnc#1012382).
- mm: hide a #warning for COMPILE_TEST (bnc#1012382).
- video: fbdev: atmel_lcdfb: fix display-timings lookup
  (bnc#1012382).
- console/dummy: leave .con_font_get set to NULL (bnc#1012382).
- rtlwifi: rtl8821ae: Fix connection lost problem correctly
  (bnc#1012382).
- Btrfs: fix deadlock in run_delalloc_nocow (bnc#1012382).
- Btrfs: fix crash due to not cleaning up tree log block's dirty
  bits (bnc#1012382).
- Btrfs: fix unexpected -EEXIST when creating new inode
  (bnc#1012382).
- ALSA: hda - Fix headset mic detection problem for two Dell
  machines (bnc#1012382).
- ALSA: usb-audio: Fix UAC2 get_ctl request with a RANGE attribute
  (bnc#1012382).
- ALSA: hda/realtek: PCI quirk for Fujitsu U7x7 (bnc#1012382).
- ALSA: usb-audio: add implicit fb quirk for Behringer UFX1204
  (bnc#1012382).
- ALSA: seq: Fix racy pool initializations (bnc#1012382).
- mvpp2: fix multicast address filter (bnc#1012382).
- dm: correctly handle chained bios in dec_pending()
  (bnc#1012382).
- x86: fix build warnign with 32-bit PAE (bnc#1012382).
- vfs: don't do RCU lookup of empty pathnames (bnc#1012382).
- ARM: pxa/tosa-bt: add MODULE_LICENSE tag (bnc#1012382).
- ARM: dts: s5pv210: add interrupt-parent for ohci (bnc#1012382).
- media: r820t: fix r820t_write_reg for KASAN (bnc#1012382).
- Refresh
  patches.drivers/ALSA-hda-Fix-click-noises-on-Samsung-Ativ-Book-8.
- Refresh
  patches.drivers/ALSA-hda-realtek-Enable-jack-detection-function-for-.
- Refresh
  patches.drivers/ALSA-hda-realtek-Fix-headset-and-mic-on-several-Asus.
- Refresh
  patches.drivers/ALSA-hda-realtek-fix-headset-mic-detection-for-MSI-M.
- Refresh
  patches.suse/btrfs-0475-qgroup-Fix-qgroup-incorrectness-caused-by-log-.patch.
- commit 3086bd0
* Fri Feb 23 2018 jslaby@suse.cz
- Documentation: Document array_index_nospec (bsc#1068032
  CVE-2017-5753).
- array_index_nospec: Sanitize speculative array de-references
  (bsc#1068032 CVE-2017-5753).
- x86: Implement array_index_mask_nospec (bsc#1068032
  CVE-2017-5753).
- x86: Introduce barrier_nospec (bsc#1068032 CVE-2017-5753).
- x86: Introduce __uaccess_begin_nospec() and uaccess_try_nospec
  (bsc#1068032 CVE-2017-5753).
- x86/usercopy: Replace open coded stac/clac with
  __uaccess_{begin, end} (bsc#1068032 CVE-2017-5753).
- x86/syscall: Sanitize syscall table de-references under
  speculation (bsc#1068032 CVE-2017-5753).
- vfs, fdtable: Prevent bounds-check bypass via speculative
  execution (bsc#1068032 CVE-2017-5753).
- nl80211: Sanitize array index in parse_txq_params (bsc#1068032
  CVE-2017-5753).
- x86/spectre: Report get_user mitigation for spectre_v1
  (bsc#1068032 CVE-2017-5753).
- Delete patches.suse/0001-Documentation-document-array_ptr.patch.
- Delete
  patches.suse/0001-locking-barriers-introduce-new-memory-barrier-gmb.patch.
- Delete
  patches.suse/0002-asm-nospec-array_ptr-sanitize-speculative-array-de-r.patch.
- Delete patches.suse/0003-x86-implement-array_ptr_mask.patch.
- Delete
  patches.suse/0004-uvcvideo-prevent-speculative-execution.patch.
- Delete
  patches.suse/0004-x86-introduce-__uaccess_begin_nospec-and-ifence.patch.
- Delete
  patches.suse/0005-carl9170-prevent-speculative-execution.patch.
- Delete
  patches.suse/0006-p54-prevent-speculative-execution.patch.
- Delete
  patches.suse/0007-qla2xxx-prevent-speculative-execution.patch.
- Delete
  patches.suse/0007-x86-narrow-out-of-bounds-syscalls-to-sys_read-under-.patch.
- Delete
  patches.suse/0008-cw1200-prevent-speculative-execution.patch.
- Delete
  patches.suse/0008-vfs-fdtable-prevent-bounds-check-bypass-via-speculat.patch.
- Delete
  patches.suse/0009-Thermal-int340x-prevent-speculative-execution.patch.
- Delete
  patches.suse/0010-nl80211-sanitize-array-index-in-parse_txq_params.patch.
- Delete
  patches.suse/0010-userns-prevent-speculative-execution.patch.
- Delete
  patches.suse/0011-ipv6-prevent-speculative-execution.patch.
- Delete patches.suse/0012-fs-prevent-speculative-execution.patch.
- Delete
  patches.suse/0013-net-mpls-prevent-speculative-execution.patch.
- Delete
  patches.suse/0014-udf-prevent-speculative-execution.patch.
- Delete patches.suse/sysfs-spectre_v1-is-mitigated.patch.
  Make use of the spectre v1 patches from upstream. I.e. drop all the
  mess not from upstream.
- commit 808eb20
* Fri Feb 23 2018 neilb@suse.com
- jffs2: Fix use-after-free bug in jffs2_iget()'s error handling
  path (git-fixes).
- nfs: Do not convert nfs_idmap_cache_timeout to jiffies
  (git-fixes).
- commit 7864c3e
* Fri Feb 23 2018 neilb@suse.com
- Update
  patches.fixes/0001-NFS-invalidate-file-size-when-taking-a-lock.patch
  (git-fixes, bsc#1033587).
- Update
  patches.fixes/0002-NFS-Optimize-fallocate-by-refreshing-mapping-when-ne.patch
  (bsc#1033587).
  Gix References: tags
- commit a91a2d8
* Thu Feb 22 2018 msuchanek@suse.de
- ibmvnic: Fix TX descriptor tracking (bsc#1081491).
- commit c6a2cb9
* Thu Feb 22 2018 msuchanek@suse.de
- Refresh patches.drivers/ibmvnic-Split-counters-for-scrq-pools-napi.patch.
  Add upstream commit hash
- commit a13e2e0
* Thu Feb 22 2018 jthumshirn@suse.de
- nvme: Fix setting logical block format when revalidating
  (bsc#1079313).
- s390/qeth: fix underestimated count of buffer elements
  (bnc#1082089, LTC#164529).
- commit fc24205
* Thu Feb 22 2018 nstange@suse.de
- livepatch: __kgr_shadow_get_or_alloc() is local to shadow.c (bsc#1082299 fate#313296).
  Shadow variables support.
  Backport of SLE15 suse-commit 3b171f3b6397 ("livepatch:
  __klp_shadow_get_or_alloc() is local to shadow.c").
- commit ec4a02f
* Thu Feb 22 2018 nstange@suse.de
- livepatch: introduce shadow variable API (bsc#1082299 fate#313296).
  Shadow variables support.
  Backport of SLE15 suse-commit ef7efe94afe3 ("livepatch: introduce shadow
  variable API").
- commit 5d4a836
* Thu Feb 22 2018 msuchanek@suse.de
- ibmvnic: Allocate max queues stats buffers (bsc#1081498).
- ibmvnic: Make napi usage dynamic (bsc#1081498).
- ibmvnic: Free and re-allocate scrqs when tx/rx scrqs change
  (bsc#1081498).
- ibmvnic: Move active sub-crq count settings (bsc#1081498).
- ibmvnic: Rename active queue count variables (bsc#1081498).
- commit 029ad03
* Thu Feb 22 2018 msuchanek@suse.de
- ibmvnic: Split counters for scrq/pools/napi (bsc#1082223).
- commit f6969a5
* Thu Feb 22 2018 hare@suse.de
- qla2xxx: ensure async flags are reset correctly (bsc#1081681).
- qla2xxx: do not check login_state if no loop id is assigned
  (bsc#1081681).
- qla2xxx: Fixup locking for session deletion (bsc#1081681).
- scsi: qla2xxx: Fix system crash for Notify ack timeout handling
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Update driver version to 10.00.00.05-k
  (bsc#1081681).
- scsi: qla2xxx: Add XCB counters to debugfs
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix queue ID for async abort with Multiqueue
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: remove redundant assignment of d
  (bsc#1043726,FATE#324770).
- commit 101f7e7
* Thu Feb 22 2018 msuchanek@suse.de
- ibmvnic: Correct goto target for tx irq initialization failure
  (bsc#1082223).
- commit f3bfa95
* Thu Feb 22 2018 nborisov@suse.com
- btrfs: Fix quota reservation leak on preallocated files
  (bsc#1079989).
- commit d422533
* Wed Feb 21 2018 msuchanek@suse.de
- ibmvnic: Keep track of supplementary TX descriptors
  (bsc#1081491).
- commit 774903c
* Wed Feb 21 2018 msuchanek@suse.de
- ibmvnic: Check for NULL skb's in NAPI poll routine (bsc#1081134,
  git-fixes).
- commit 82e276e
* Wed Feb 21 2018 mkubecek@suse.cz
- bridge: move bridge multicast cleanup to ndo_uninit
  (bsc#1042286).
- bridge: implement missing ndo_uninit() (bsc#1042286).
- ovs/gre: fix rtnl notifications on iface deletion (bsc#1042286).
- ovs/vxlan: fix rtnl notifications on iface deletion
  (bsc#1042286).
- ovs/gre,geneve: fix error path when creating an iface
  (bsc#1042286).
- ipv4: fix checksum annotation in udp4_csum_init (bsc#1042286).
- ipv6: fix checksum annotation in udp6_csum_init (bsc#1042286).
- ipv6: tcp: fix endianness annotation in tcp_v6_send_response
  (bsc#1042286).
- gre: do not keep the GRE header around in collect medata mode
  (bsc#1042286).
- ipv6/ila: fix nlsize calculation for lwtunnel (bsc#1042286).
- gre: reject GUE and FOU in collect metadata mode (bsc#1042286).
- gre: build header correctly for collect metadata tunnels
  (bsc#1042286).
- gre: do not assign header_ops in collect metadata mode
  (bsc#1042286).
- ipv6: udp: Do a route lookup and update during release_cb
  (bsc#1042286).
  Refresh
  patches.fixes/l2tp-lock-socket-before-checking-flags-in-connect.patch
- ipv6: datagram: Update dst cache of a connected datagram sk
  during pmtu update (bsc#1042286).
- ipv6: datagram: Refactor dst lookup and update codes to a new
  function (bsc#1042286).
  Refresh
  patches.fixes/l2tp-lock-socket-before-checking-flags-in-connect.patch
- ipv6: datagram: Refactor flowi6 init codes to a new function
  (bsc#1042286).
  Refresh
  patches.fixes/l2tp-lock-socket-before-checking-flags-in-connect.patch
- ipv6: remove unused in6_addr struct (bsc#1042286).
- tcp: do not set rtt_min to 1 (bsc#1042286).
- commit c074728
* Wed Feb 21 2018 mkubecek@suse.cz
- series.conf: refresh
  Ran series_sort.py (no effect on expanded tree).
- Update upstream references:
  patches.drivers/ibmvnic-Clean-RX-pool-buffers-during-device-close.patch.
  patches.drivers/ibmvnic-Fix-NAPI-structures-memory-leak.patch.
  patches.drivers/ibmvnic-Fix-login-buffer-memory-leaks.patch.
  patches.drivers/ibmvnic-Free-RX-socket-buffer-in-case-of-adapter-err.patch.
  patches.drivers/ibmvnic-Wait-until-reset-is-complete-to-set-carrier-.patch.
- commit c9ac1e4
* Wed Feb 21 2018 jthumshirn@suse.de
- nvme: remove nvme_revalidate_ns (bsc#1079313).
- commit 8cfa34a
* Tue Feb 20 2018 msuchanek@suse.de
- powerpc/powernv: Fix MCE handler to avoid trashing CR0/CR1
  registers (bsc#1066223).
- powerpc/powernv: Move IDLE_STATE_ENTER_SEQ macro to cpuidle.h
  (bsc#1066223).
- commit 0b30278
* Tue Feb 20 2018 lhenriques@suse.com
- libceph: check kstrndup() return value (bsc#1081735).
- ceph: fix incorrect snaprealm when adding caps (bsc#1081735).
- ceph: fix un-balanced fsc->writeback_count update (bsc#1081735).
- commit be713a5
* Tue Feb 20 2018 neilb@suse.com
- nfs: fix a deadlock in nfs client initialization (bsc#1074198).
- NFS: Trunking detection should handle ERESTARTSYS/EINTR (bsc#1074198).
- commit e552fbc
* Mon Feb 19 2018 jroedel@suse.de
- blacklist.conf: da391d640c528bc5bb227ea5b39c882b75ac3167
  Comment-only fix
- commit e7cdd0d
* Mon Feb 19 2018 jroedel@suse.de
- blacklist.conf: Blacklist 9d25e3cc83d731ae4eeb017fd07562fde3f80bef
  Exynos IOMMU is not enabled in any config.
- commit 0e564d8
* Mon Feb 19 2018 jroedel@suse.de
- iommu/vt-d: Use domain instead of cache fetching (bsc#975772).
- iommu/amd: Fix alloc_irq_index() increment (bsc#975772).
- iommu/amd: Enforce alignment for MSI IRQs (bsc#975772).
- iommu/amd: Add align parameter to alloc_irq_index()
  (bsc#975772).
- commit 13e70bb
* Mon Feb 19 2018 msuchanek@suse.de
- Refresh patches.suse/powerpc-64s-Improve-RFI-L1-D-cache-flush-fallback.patch.
  fix warning
- commit 916eb5f
* Mon Feb 19 2018 msuchanek@suse.de
- Refresh RFI patches with upstream status
- Refresh patches.suse/powerpc-pseries-rfi-flush-Call-setup_rfi_flush-after.patch.
- Refresh patches.suse/powerpc-rfi-flush-Add-DEBUG_RFI-config-option.patch.
- Refresh patches.suse/powerpc-rfi-flush-Move-RFI-flush-fields-out-of-the-p.patch.
- rfi-flush: Move the logic to avoid a redo into the debugfs code (bsc#1068032, bsc#1075087).
- powerpc/64s: Improve RFI L1-D cache flush fallback (bsc#1068032, bsc#1075087).
- Delete patches.suse/powerpc-64s-Add-EX_SIZE-definition-for-paca-exceptio.patch.
- commit c348835
* Mon Feb 19 2018 jroedel@suse.de
- iommu/amd: Limit the IOVA page range to the specified addresses
  (fate#321026).
- commit b26d060
* Mon Feb 19 2018 jroedel@suse.de
- x86/mm/pkeys: Fix fill_sig_info_pkey (fate#321300).
- commit 5dffb2f
* Mon Feb 19 2018 tiwai@suse.de
- x86/microcode: Do the family check first (bsc#1081436
  bsc#1081437).
- x86/microcode/AMD: Do not load when running on a hypervisor
  (bsc#1081436 bsc#1081437).
- commit 14c5f0f
* Mon Feb 19 2018 msuchanek@suse.de
- powerpc/pseries: Fix cpu hotplug crash with memoryless nodes
  (FATE#322022, bsc#1081514).
- powerpc/numa: Ensure nodes initialized for hotplug (FATE#322022,
  bsc#1081514).
- powerpc/numa: Use ibm,max-associativity-domains to discover
  possible nodes (FATE#322022, bsc#1081514).
- commit a45129d
* Mon Feb 19 2018 msuchanek@suse.de
- powerpc/numa: Invalidate numa_cpu_lookup_table on cpu remove
  (bsc#1081512).
- commit 4572c0a
* Mon Feb 19 2018 jthumshirn@suse.de
- Refresh patches.arch/s390-sles12sp3-08-02-09-z14-noexec.patch.
  Add missing includes.
- commit b1925da
* Mon Feb 19 2018 msuchanek@suse.de
- blacklist c1e150ceb61e powerpc/pseries: Add empty update_numa_cpu_lookup_table() for NUMA=n
  blacklist 82343484a2d4 powerpc/pseries: Fix build break for SPLPAR=n and CPU hotplug
- commit 991d1ca
* Mon Feb 19 2018 jthumshirn@suse.de
- kabi/severities: add sclp to KABI ignore list
- commit 3a851bf
* Mon Feb 19 2018 mgorman@suse.de
- mm: pin address_space before dereferencing it while isolating
  an LRU page (bnc#1081500).
- commit b4bb7b0
* Mon Feb 19 2018 jthumshirn@suse.de
- kabi/severities: Ignore kvm for KABI severities
- commit e66d40e
* Mon Feb 19 2018 mgalbraith@suse.de
- blacklist.conf: blacklist d207af2eab3f8668b95ad02b21930481c42806fd
- commit 0278c8b
* Sun Feb 18 2018 jslaby@suse.cz
- Linux 4.4.116 (bnc#1012382).
- kABI: reintroduce crypto_poly1305_setkey (kabi).
- Revert "netfilter: nf_queue: Make the queue_handler pernet"
  (kabi).
- Revert "powerpc: Simplify module TOC handling" (kabi).
- powerpc/64: Fix flush_(d|i)cache_range() called from modules
  (FATE#315275 LTC#103998 bnc#1012382 bnc#863764).
- powerpc: Simplify module TOC handling (bnc#1012382).
- ASoC: pcm512x: add missing MODULE_DESCRIPTION/AUTHOR/LICENSE
  (bnc#1012382).
- usbip: vhci_hcd: clear just the USB_PORT_STAT_POWER bit
  (bnc#1012382).
- usbip: fix 3eee23c3ec14 tcp_socket address still in the status
  file (bnc#1012382).
- net: cdc_ncm: initialize drvflags before usage (bnc#1012382).
- ASoC: simple-card: Fix misleading error message (bnc#1012382).
- ASoC: rsnd: don't call free_irq() on Parent SSI (bnc#1012382).
- ASoC: rsnd: avoid duplicate free_irq() (bnc#1012382).
- drm: rcar-du: Use the VBK interrupt for vblank events
  (bnc#1012382).
- drm: rcar-du: Fix race condition when disabling planes at CRTC
  stop (bnc#1012382).
- x86/asm: Fix inline asm call constraints for GCC 4.4
  (bnc#1012382).
- ip6mr: fix stale iterator (bnc#1012382).
- net: igmp: add a missing rcu locking section (bnc#1012382).
- qlcnic: fix deadlock bug (bnc#1012382).
- r8169: fix RTL8168EP take too long to complete driver
  initialization (bnc#1012382).
- tcp: release sk_frag.page in tcp_disconnect (bnc#1012382).
- vhost_net: stop device during reset owner (bnc#1012382).
- media: soc_camera: soc_scale_crop: add missing
  MODULE_DESCRIPTION/AUTHOR/LICENSE (bnc#1012382).
- KEYS: encrypted: fix buffer overread in valid_master_desc()
  (bnc#1012382).
- don't put symlink bodies in pagecache into highmem
  (bnc#1012382).
- crypto: tcrypt - fix S/G table for test_aead_speed()
  (bnc#1012382).
- x86/microcode/AMD: Do not load when running on a hypervisor
  (bnc#1012382).
- x86/microcode: Do the family check first (bnc#1012382).
- cifs: Fix missing put_xid in cifs_file_strict_mmap
  (bnc#1012382).
- cifs: Fix autonegotiate security settings mismatch
  (bnc#1012382).
- CIFS: zero sensitive data when freeing (bnc#1012382).
- dmaengine: dmatest: fix container_of member in dmatest_callback
  (bnc#1012382).
- x86/kaiser: fix build error with KASAN && !FUNCTION_GRAPH_TRACER
  (bnc#1012382).
- kaiser: fix compile error without vsyscall (bnc#1012382).
- netfilter: nf_queue: Make the queue_handler pernet
  (bnc#1012382).
- posix-timer: Properly check sigevent->sigev_notify
  (bnc#1012382).
- usb: gadget: uvc: Missing files for configfs interface
  (bnc#1012382).
- sched/rt: Use container_of() to get root domain in
  rto_push_irq_work_func() (bnc#1012382).
- sched/rt: Up the root domain ref count when passing it around
  via IPIs (bnc#1012382).
- media: dvb-usb-v2: lmedm04: Improve logic checking of warm start
  (bnc#1012382).
- media: dvb-usb-v2: lmedm04: move ts2020 attach to
  dm04_lme2510_tuner (bnc#1012382).
- mtd: cfi: convert inline functions to macros (bnc#1012382).
- mtd: nand: brcmnand: Disable prefetch by default (bnc#1012382).
- mtd: nand: Fix nand_do_read_oob() return value (bnc#1012382).
- mtd: nand: sunxi: Fix ECC strength choice (bnc#1012382).
- ubi: block: Fix locking for idr_alloc/idr_remove (bnc#1012382).
- nfs/pnfs: fix nfs_direct_req ref leak when i/o falls back to
  the mds (bnc#1012382).
- NFS: commit direct writes even if they fail partially
  (bnc#1012382).
- NFS: reject request for id_legacy key without auxdata
  (bnc#1012382).
- kernfs: fix regression in kernfs_fop_write caused by wrong type
  (bnc#1012382).
- ahci: Annotate PCI ids for mobile Intel chipsets as such
  (bnc#1012382).
- ahci: Add PCI ids for Intel Bay Trail, Cherry Trail and Apollo
  Lake AHCI (bnc#1012382).
- ahci: Add Intel Cannon Lake PCH-H PCI ID (bnc#1012382).
- crypto: hash - introduce crypto_hash_alg_has_setkey()
  (bnc#1012382).
- crypto: cryptd - pass through absence of ->setkey()
  (bnc#1012382).
- crypto: poly1305 - remove ->setkey() method (bnc#1012382).
- media: v4l2-ioctl.c: don't copy back the result for -ENOTTY
  (bnc#1012382).
- vb2: V4L2_BUF_FLAG_DONE is set after DQBUF (bnc#1012382).
- media: v4l2-compat-ioctl32.c: add missing VIDIOC_PREPARE_BUF
  (bnc#1012382).
- media: v4l2-compat-ioctl32.c: fix the indentation (bnc#1012382).
- media: v4l2-compat-ioctl32.c: move 'helper' functions to
  __get/put_v4l2_format32 (bnc#1012382).
- media: v4l2-compat-ioctl32.c: avoid sizeof(type) (bnc#1012382).
- media: v4l2-compat-ioctl32.c: copy m.userptr in put_v4l2_plane32
  (bnc#1012382).
- media: v4l2-compat-ioctl32.c: fix ctrl_is_pointer (bnc#1012382).
- media: v4l2-compat-ioctl32.c: make ctrl_is_pointer work for
  subdevs (bnc#1012382).
- media: v4l2-compat-ioctl32: Copy v4l2_window->global_alpha
  (bnc#1012382).
- media: v4l2-compat-ioctl32.c: copy clip list in
  put_v4l2_window32 (bnc#1012382).
- media: v4l2-compat-ioctl32.c: drop pr_info for unknown buffer
  type (bnc#1012382).
- media: v4l2-compat-ioctl32.c: don't copy back the result for
  certain errors (bnc#1012382).
- media: v4l2-compat-ioctl32.c: refactor compat ioctl32 logic
  (bnc#1012382).
- crypto: caam - fix endless loop when DECO acquire fails
  (bnc#1012382).
- arm: KVM: Fix SMCCC handling of unimplemented SMC/HVC calls
  (bnc#1012382).
- KVM: nVMX: Fix races when sending nested PI while dest
  enters/leaves L2 (bnc#1012382).
- watchdog: imx2_wdt: restore previous timeout after
  suspend+resume (bnc#1012382).
- media: ts2020: avoid integer overflows on 32 bit machines
  (bnc#1012382).
- media: cxusb, dib0700: ignore XC2028_I2C_FLUSH (bnc#1012382).
- kernel/async.c: revert "async: simplify lowest_in_progress()"
  (bnc#1012382).
- HID: quirks: Fix keyboard + touchpad on Toshiba Click Mini
  not working (bnc#1012382).
- Bluetooth: btsdio: Do not bind to non-removable BCM43341
  (bnc#1012382).
- Revert "Bluetooth: btusb: fix QCA Rome suspend/resume"
  (bnc#1012382).
- Bluetooth: btusb: Restore QCA Rome suspend/resume fix with a
  "rewritten" version (bnc#1012382).
- signal/openrisc: Fix do_unaligned_access to send the proper
  signal (bnc#1012382).
- signal/sh: Ensure si_signo is initialized in do_divide_error
  (bnc#1012382).
- alpha: fix crash if pthread_create races with signal delivery
  (bnc#1012382).
- alpha: fix reboot on Avanti platform (bnc#1012382).
- xtensa: fix futex_atomic_cmpxchg_inatomic (bnc#1012382).
- EDAC, octeon: Fix an uninitialized variable warning
  (bnc#1012382).
- pktcdvd: Fix pkt_setup_dev() error path (bnc#1012382).
- btrfs: Handle btrfs_set_extent_delalloc failure in fixup worker
  (bnc#1012382).
- nvme: Fix managing degraded controllers (bnc#1012382).
- ACPI: sbshc: remove raw pointer from printk() message
  (bnc#1012382).
- ovl: fix failure to fsync lower dir (bnc#1012382).
- mn10300/misalignment: Use SIGSEGV SEGV_MAPERR to report a
  failed user copy (bnc#1012382).
- ftrace: Remove incorrect setting of glob search field
  (bnc#1012382).
- Refresh
  patches.drivers/0020-nvme-move-namespace-scanning-to-common-code.patch.
- Refresh patches.drivers/0206-blk-mq-remove-map_queue.patch.
- Refresh
  patches.drivers/ata-0051-AHCI-Remove-obsolete-Intel-Lewisburg-SATA-RAID-devic.patch.
- Refresh
  patches.fixes/powerpc-Remove-UP-only-lazy-floating-point-and-vecto.patch.
- Refresh
  patches.suse/btrfs-0505-extend-btrfs_set_extent_delalloc-and-its-frien.patch.
- Refresh
  patches.suse/powerpc-64s-Add-EX_SIZE-definition-for-paca-exceptio.patch.
- Refresh
  patches.suse/powerpc-rfi-flush-Move-RFI-flush-fields-out-of-the-p.patch.
- Refresh patches.suse/vfs-add-super_operations-get_inode_dev.
- Delete
  patches.fixes/powerpc-64-Fix-flush_-di-cache_range-called-from-modules.
- commit 8c5d5ef
* Sun Feb 18 2018 msuchanek@suse.de
- mmc: bcm2835: Don't overwrite max frequency unconditionally
  (bsc#983145, git-fixes).
- commit 3189185
* Fri Feb 16 2018 jslaby@suse.cz
- tty: mxser: Remove ASYNC_CLOSING (bnc#1072363).
- commit 49a55ee
* Fri Feb 16 2018 mbenes@suse.cz
- Refresh
  patches.suse/x86-entry-64-use-a-per-cpu-trampoline-stack.patch.
  Fix trampoline stack loading issue on XEN PV.
- commit 2d01104
* Fri Feb 16 2018 tiwai@suse.de
- Update kabi files: sync with 4.4.114-94.11.3
- commit 4eafa13
* Thu Feb 15 2018 mcgrof@suse.com
- xfs: stop searching for free slots in an inode chunk when there are none (bsc#1072739).
- commit fec78cc
* Thu Feb 15 2018 mcgrof@suse.com
- xfs: ioends require logically contiguous file offsets (bsc#1077285 bsc#1043441).
- xfs: don't chain ioends during writepage submission (bsc#1077285 bsc#1043441).
- Refresh patches.drivers/dax-move-writeback-calls-into-the-filesystems.patch.
- xfs: factor mapping out of xfs_do_writepage (bsc#1077285 bsc#1043441).
- xfs: xfs_cluster_write is redundant (bsc#1077285 bsc#1043441).
- commit c9b7cb3
* Thu Feb 15 2018 mcgrof@suse.com
- xfs: Introduce writeback context for writepages (bsc#1077285 bsc#1043441).
- Refresh patches.drivers/dax-move-writeback-calls-into-the-filesystems.patch.
- commit dcd7306
* Thu Feb 15 2018 mcgrof@suse.com
- xfs: remove xfs_cancel_ioend (bsc#1077285 bsc#1043441).
- xfs: remove nonblocking mode from xfs_vm_writepage (bsc#1077285 bsc#1043441).
- commit 0ae8422
* Thu Feb 15 2018 jeffm@suse.com
- btrfs: copy fsid to super_block s_uuid (bsc#1080774).
- commit 1d83e85
* Thu Feb 15 2018 mbenes@suse.cz
- x86/entry/64: Use a per-CPU trampoline stack for IDT entries
  (bsc#1077560).
- commit f7de61a
* Thu Feb 15 2018 mbenes@suse.cz
- x86/entry/64: Separate cpu_current_top_of_stack from TSS.sp0
  (bsc#1077560).
- commit 6d3ee9d
* Thu Feb 15 2018 msuchanek@suse.de
- ibmvnic: Clean RX pool buffers during device close
  (bsc#1081134).
- ibmvnic: Free RX socket buffer in case of adapter error
  (bsc#1081134).
- ibmvnic: Fix NAPI structures memory leak (bsc#1081134).
- ibmvnic: Fix login buffer memory leaks (bsc#1081134).
- ibmvnic: Wait until reset is complete to set carrier on
  (bsc#1081134).
- commit c3b6cc4
* Thu Feb 15 2018 tiwai@suse.de
- ALSA: hda - Use IS_REACHABLE() for dependency on input
  (bsc#1031717).
- ALSA: hda - Reduce the suspend time consumption for ALC256
  (bsc#1031717).
- commit e3a906b
* Wed Feb 14 2018 mbrugger@suse.com
- KVM: arm/arm64: Check pagesize when allocating a hugepage at
  Stage 2 (bsc#1079029).
- commit 5eec6bc
* Wed Feb 14 2018 hare@suse.de
- scsi: qla2xxx: Fix logo flag for qlt_free_session_done()
  (bsc#1043726,FATE#324770).
- commit f3ac528
* Wed Feb 14 2018 hare@suse.de
- target: Add support for TMR percpu reference counting
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix task mgmt handling for NPIV
  (bsc#1043726,FATE#324770).
- qla2xxx: Convert QLA_TGT_ABTS to TARGET_SCF_LOOKUP_LUN_FROM_TAG
  (bsc#1043726,FATE#324770).
- target: Add TARGET_SCF_LOOKUP_LUN_FROM_TAG support for
  ABORT_TASK (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix warning for code intentation in
  __qla24xx_handle_gpdb_event() (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix warning during port_name debug print
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix warning in qla2x00_async_iocb_timeout()
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix recursion while sending terminate exchange
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix NULL pointer crash due to probe failure
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Update driver version to 10.00.00.04-k
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Serialize session free in qlt_free_session_done
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Serialize session deletion by using work_lock
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Remove unused argument from
  qlt_schedule_sess_for_deletion() (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Prevent relogin trigger from sending too many
  commands (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Prevent multiple active discovery commands per
  session (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Add retry limit for fabric scan logic
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Delay loop id allocation at login
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Increase verbosity of debug messages logged
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Allow relogin and session creation after reset
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Add ability to use GPNFT/GNNFT for RSCN handling
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Properly extract ADISC error codes
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix GPNFT/GNNFT error handling
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Remove session creation redundant code
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Migrate switch registration commands away from
  mailbox interface (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix login state machine freeze
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Reduce trace noise for Async Events
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Reduce the use of terminate exchange
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Add lock protection around host lookup
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Add switch command to simplify fabric discovery
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Use known NPort ID for Management Server login
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix session cleanup for N2N
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Tweak resource count dump
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Allow target mode to accept PRLI in dual mode
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Don't call dma_free_coherent with IRQ disabled
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Add ability to send PRLO
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Add option for use reserve exch for ELS
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Use shadow register for ISP27XX
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Enable ATIO interrupt handshake for ISP27XX
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Move work element processing out of DPC thread
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Replace GPDB with async ADISC command
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix Firmware dump size for Extended login and
  Exchange Offload (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Chip reset uses wrong lock during IO flush
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Add boundary checks for exchanges to be offloaded
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Use chip reset to bring down laser on unload
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Use IOCB path to submit Control VP MBX command
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix NULL pointer access for fcport structure
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix smatch warning in
  qla25xx_delete_{rsp|req}_que (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Update driver version to 10.00.00.03-k
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix memory leak in dual/target mode
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix system crash in qlt_plogi_ack_unref
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Defer processing of GS IOCB calls
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Clear loop id after delete
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix scan state field for fcport
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Replace fcport alloc with qla2x00_alloc_fcport
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix PRLI state check (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix Relogin being triggered too fast
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Relogin to target port on a cable swap
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix NPIV host cleanup in target mode
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix login state machine stuck at GPDB
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Serialize GPNID for multiple RSCN
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Retry switch command on time out
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix re-login for Nport Handle in use
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Skip IRQ affinity for Target QPairs
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Move session delete to driver work queue
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix gpnid error processing
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Suppress a kernel complaint in
  qla_init_base_qpair() (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix oops in qla2x00_probe_one error path
  (bsc#1043726,FATE#324770).
- commit 5a5c5a5
* Wed Feb 14 2018 hare@suse.de
- Update
  patches.drivers/scsi-qla2xxx-Initialize-Work-element-before-requesti.patch
  (bsc#1043726,FATE#324770).
- commit 25b1a59
* Wed Feb 14 2018 hare@suse.de
- scsi: qla2xxx: Query FC4 type during RSCN processing
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Use ql2xnvmeenable to enable Q-Pair for FC-NVMe
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Update driver version to 10.00.00.02-k
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Changes to support N2N logins
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Allow MBC_GET_PORT_DATABASE to query and save
  the port states (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Add ATIO-Q processing for INTx mode
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Reinstate module parameter ql2xenablemsix
  (bsc#1043726,FATE#324770).
- commit 236e4f1
* Wed Feb 14 2018 hare@suse.de
- Update
  patches.drivers/scsi-qla2xxx-Fix-uninitialized-work-element.patch
  (bsc#1043726,FATE#324770).
- commit 0695cd5
* Wed Feb 14 2018 jthumshirn@suse.de
- scsi: lpfc: Update 11.4.0.7 modified files for 2018 Copyright
  (bsc#1080656).
- commit ba2cfd8
* Wed Feb 14 2018 jthumshirn@suse.de
- scsi: lpfc: update driver version to 11.4.0.7 (bsc#1080656).
- scsi: lpfc: Fix nonrecovery of NVME controller after cable swap
  (bsc#1080656).
- scsi: lpfc: Treat SCSI Write operation Underruns as an error
  (bsc#1080656).
- scsi: lpfc: Fix header inclusion in lpfc_nvmet (bsc#1080656).
- scsi: lpfc: Validate adapter support for SRIU option
  (bsc#1080656).
- scsi: lpfc: Fix SCSI io host reset causing kernel crash
  (bsc#1080656).
- scsi: lpfc: Indicate CONF support in NVMe PRLI (bsc#1080656).
- scsi: lpfc: Fix issue_lip if link is disabled (bsc#1080656).
- scsi: lpfc: Fix soft lockup in lpfc worker thread during LIP
  testing (bsc#1080656).
- scsi: lpfc: Allow set of maximum outstanding SCSI cmd limit
  for a target (bsc#1080656).
- scsi: lpfc: Fix RQ empty firmware trap (bsc#1080656).
- scsi: lpfc: Fix IO failure during hba reset testing with nvme io
  (bsc#1080656).
- commit 4e0841c
* Wed Feb 14 2018 jthumshirn@suse.de
- scsi: lpfc: Fix PRLI handling when topology type changes
  (bsc#1080656).
- scsi: lpfc: Add WQ Full Logic for NVME Target (bsc#1080656).
- scsi: lpfc: correct debug counters for abort (bsc#1080656).
- scsi: lpfc: move placement of target destroy on driver detach
  (bsc#1080656).
- scsi: lpfc: Increase CQ and WQ sizes for SCSI (bsc#1080656).
- commit 38ab8b6
* Wed Feb 14 2018 hare@suse.de
- qla2xxx: remove use of FC-specific error codes
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Reset the logo flag, after target re-login
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix slow mem alloc behind lock
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Clear fc4f_nvme flag (bsc#1043726,FATE#324770).
- scsi: qla2xxx: add missing includes for qla_isr
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Update driver version to 10.00.00.01-k
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Do not call abort handler function during chip
  reset (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Ability to process multiple SGEs in Command
  SGL for CT passthrough commands (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Skip zero queue count entry during FW dump
  capture (bsc#1043726,FATE#324770).
- commit e124206
* Wed Feb 14 2018 hare@suse.de
- scsi: qla2xxx: Recheck session state after RSCN (bsc#1043726,FATE#324770)
- commit 471161c
* Wed Feb 14 2018 hare@suse.de
- scsi: qla2xxx: Increase ql2xmaxqdepth to 64
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Enable Async TMF processing
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Cleanup NPIV host in target mode during config
  teardown (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Add LR distance support from nvram bit
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Add support for minimum link speed
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Remove potential macro parameter side-effect
  in ql_dump_regs() (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Print correct mailbox registers in failed summary
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Allow SNS fabric login to be retried
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Add timeout ability to wait_for_sess_deletion()
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Move logging default mask to execute once only
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Use sp->free instead of hard coded call
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Prevent sp->free null/uninitialized pointer
  dereference (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Add ability to autodetect SFP type
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Change ha->wq max_active value to default
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Remove extra register read
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix NPIV host enable after chip reset
  (bsc#1043726,FATE#324770).
- commit 291971a
* Wed Feb 14 2018 hare@suse.de
- scsi: qla2xxx: Use BIT_6 to acquire FAWWPN from switch (bsc#1043726,FATE#324770)
- commit 6ca31ba
* Wed Feb 14 2018 hare@suse.de
- scsi: qla2xxx: Fix system panic due to pointer access problem
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Handle PCIe error for driver
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix WWPN/WWNN in debug message
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Add command completion for error path
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Update fw_started flags at qpair creation
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix target multiqueue configuration
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: fix spelling mistake of variable
  sfp_additonal_info (bsc#1043726,FATE#324770).
- scsi: qla2xxx: use dma_mapping_error to check map errors
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix system crash while triggering FW dump
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Fix remoteport disconnect for FC-NVMe
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Simpify unregistration of FC-NVMe local/remote
  ports (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Added change to enable ZIO for FC-NVMe devices
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Move function prototype to correct header
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Cleanup FC-NVMe code (bsc#1043726,FATE#324770).
- qla2xxx: Fix incorrect tcm_qla2xxx_free_cmd use during TMR ABORT
  (v2) (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Off by one in qlt_ctio_to_cmd()
  (bsc#1043726,FATE#324770).
- qla2xxx: Fix NVMe entry_type for iocb packet on BE system
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: avoid unused-function warning
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: fix a bunch of typos and spelling mistakes
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Protect access to qpair members with
  qpair->qp_lock (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Update Driver version to 10.00.00.00-k
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Use FC-NVMe FC4 type for FDMI registration
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Send FC4 type NVMe to the management server
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Add FC-NVMe F/W initialization and transport
  registration (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Add FC-NVMe command handling
  (bsc#1043726,FATE#324770).
- scsi: qla2xxx: Add FC-NVMe port discovery and PRLI handling
  (bsc#1043726,FATE#324770).
- commit b7d36ad
* Wed Feb 14 2018 jthumshirn@suse.de
- scsi: lpfc: fix a couple of minor indentation issues
  (bsc#1076693).
- commit f7d9c66
* Wed Feb 14 2018 jthumshirn@suse.de
- scsi: lpfc: don't dereference localport before it has been
  null checked (bsc#1076693).
- commit b251e6a
* Wed Feb 14 2018 jthumshirn@suse.de
- scsi: lpfc: update driver version to 11.4.0.6 (bsc#1076693).
- scsi: lpfc: Beef up stat counters for debug (bsc#1076693).
- scsi: lpfc: Fix infinite wait when driver unregisters a remote
  NVME port (bsc#1076693).
- scsi: lpfc: Fix issues connecting with nvme initiator
  (bsc#1076693).
- scsi: lpfc: Fix SCSI LUN discovery when SCSI and NVME enabled
  (bsc#1076693).
- scsi: lpfc: Increase SCSI CQ and WQ sizes (bsc#1076693).
- scsi: lpfc: Fix receive PRLI handling (bsc#1076693).
- scsi: lpfc: Fix -EOVERFLOW behavior for NVMET and defer_rcv
  (bsc#1076693).
- commit 52fe7de
* Wed Feb 14 2018 msuchanek@suse.de
- Fix kABI compatibility with KEYS changes (CVE-2017-15951,
  bsc#1065615, bsc#1076684).
  Delete patches.kabi/revert-KEYS-Fix-race-between-updating-and-finding-a-.patch.
- commit 1996bb8
* Wed Feb 14 2018 jslaby@suse.cz
- Update
  patches.kernel.org/4.4.113-032-pipe-avoid-round_pipe_size-nr_pages-overflow-.patch
  (bnc#1012382 bnc#1006867).
- commit 94c4d17
* Wed Feb 14 2018 jack@suse.cz
- ext4: do not unnecessarily allocate buffer in recently_deleted()
  (bsc#1080344).
- commit a7cf094
* Wed Feb 14 2018 hare@suse.de
- Revert SUSE-specific qla2xxx patch 'Add module parameter for interrupt mode' (bsc#1043726)
- Refresh
  patches.drivers/0047-qla2xxx-Add-module-parameter-alternate-short-names.patch.
- Refresh
  patches.drivers/0070-qla2xxx-Add-multiple-queue-pair-functionality.patch.
- Delete
  patches.drivers/qla2xxx-0040-Add-module-parameter-for-interrupt-mode.patch.
- commit 890aca3
* Wed Feb 14 2018 tbogendoerfer@suse.de
- bnx2x: disable GSO where gso_size is too big for hardware
  (bsc#1079384 CVE-2018-1000026).
- net: create skb_gso_validate_mac_len() (bsc#1079384
  CVE-2018-1000026).
- commit 7bd42f8
* Wed Feb 14 2018 jslaby@suse.cz
- PCI/ASPM: Don't retrain link if ASPM not possible (bnc#1071892).
- commit e7499a7
* Wed Feb 14 2018 hare@suse.de
- Drop SUSE-specific qla2xxx patches (bsc#1043726)
- Delete
  patches.drivers/qla2xxx-Fix-notify-ack-without-timeout-handling.patch.
- Delete
  patches.drivers/qla2xxx-Fix-re-login-for-Nport-Handle-in-use.patch.
- Delete
  patches.drivers/qla2xxx-Login-state-machine-stuck-at-GPDB.patch.
- Delete
  patches.drivers/qla2xxx-Retry-switch-command-on-timed-out.patch.
- Delete patches.drivers/qla2xxx-Serialize-gpnid.patch.
- Delete patches.drivers/qla2xxx-fix-stale-memory-access.patch.
- Delete
  patches.drivers/qla2xxx-relogin-is-being-triggered-too-fast.patch.
- commit 918c8d9
* Wed Feb 14 2018 hare@suse.de
- scsi: qla2xxx: Update driver version to 9.01.00.00-k
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Include Exchange offload/Extended Login into
  FW dump (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Move target stat counters from vha to qpair
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Remove datasegs_per_cmd and datasegs_per_cont
  field (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Remove unused tgt_enable_64bit_addr flag
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Add debug logging routine for qpair
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Add function call to qpair for door bell
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: use shadow register for ISP27XX
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: move fields from qla_hw_data to qla_qpair
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Add fw_started flags to qpair
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Add debug knob for user control workload
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Fix mailbox failure while deleting Queue pairs
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Enable Target Multi Queue
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Preparation for Target MQ
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Combine Active command arrays
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: don't include <generated/utsrelease.h>
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Fix compile warning (bsc#1043725,FATE#324770).
- scsi: qla2xxx: remove redundant null check on tgt
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: remove writeq/readq function definitions
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Remove extra register read
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Remove unused irq_cmd_count field
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Accelerate SCSI BUSY status generation in target
  mode (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Remove redundant wait when target is stopped
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Add ql2xiniexchg parameter
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Convert 32-bit LUN usage to 64-bit
  (bsc#1043725,FATE#324770).
- scsi: tcm_qla2xxx: Do not allow aborted cmd to advance
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Allow ABTS, PURX, RIDA on ATIOQ for ISP83XX/27XX
  (bsc#1043725,FATE#324770).
- scsi: qla2xxx: Remove an unused structure member
  (bsc#1043725,FATE#324770).
- commit 3692f72
* Tue Feb 13 2018 msuchanek@suse.de
- ibmvnic: Remove skb->protocol checks in ibmvnic_xmit
  (bsc#1080384).
- ibmvnic: Reset long term map ID counter (bsc#1080364).
- commit 959c4cb
* Tue Feb 13 2018 hare@suse.de
- series.conf: disable qla2xxx patches (bsc#1043725)
- commit 69071c1
* Tue Feb 13 2018 hare@suse.de
- Delete patches.drivers/qla2xxx-Fix-cable-swap.patch (bsc#1043725).
- commit aaad2c0
* Tue Feb 13 2018 msuchanek@suse.de
- KVM: PPC: Book3S PR: Fix svcpu copying with preemption enabled
  (bsc#1066223).
- commit 1889e83
* Tue Feb 13 2018 jthumshirn@suse.de
- nvme_fc: cleanup io completion (bsc#1079609).
- nvme_fc: correct abort race condition on resets (bsc#1079609).
- commit cbd5b34
* Tue Feb 13 2018 mbrugger@suse.com
- arm64: add PTE_ADDR_MASK (bsc#1068032).
- arm64: idmap: Use "awx" flags for .idmap.text .pushsection
  directives (bsc#1068032).
- arm64: entry: Reword comment about post_ttbr_update_workaround
  (bsc#1068032).
- arm64: Force KPTI to be disabled on Cavium ThunderX
  (bsc#1068032).
- arm64: kpti: Add ->enable callback to remap swapper using nG
  mappings (bsc#1068032).
- arm64: mm: Permit transitioning from Global to Non-Global
  without BBM (bsc#1068032).
- arm64: kpti: Make use of nG dependent on
  arm64_kernel_unmapped_at_el0() (bsc#1068032).
- commit fcabcb4
* Tue Feb 13 2018 mcgrof@suse.com
- xfs: write unmount record for ro mounts (bsc#1073401).
- xfs: toggle readonly state around xfs_log_mount_finish (bsc#1073401).
- commit b85a93b
* Mon Feb 12 2018 msuchanek@suse.de
- pinctrl: amd: Use devm_pinctrl_register() for pinctrl
  registration (CVE-2017-18174, bsc#1080533).
- commit 50dc3e7
* Mon Feb 12 2018 jthumshirn@suse.de
- acpi, nfit: fix health event notification (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- acpi, nfit: fix register dimm error handling (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- commit fa5ddfb
* Mon Feb 12 2018 jthumshirn@suse.de
- scsi: aacraid: Fix hang in kdump (bsc#1022607, FATE#321673).
- commit 4cdfca7
* Mon Feb 12 2018 jthumshirn@suse.de
- scsi: qla2xxx: Remove aborting ELS IOCB call issued as part
  of timeout (FATE#320146, bsc#966328).
- scsi: qla2xxx: Fix abort command deadlock due to spinlock
  (FATE#320146, bsc#966328).
- commit afe8ba2
* Sun Feb 11 2018 mkubecek@suse.cz
- series.conf: refresh
  Ran series_sort.py (no effect on expanded tree).
- Update upstream references:
  patches.drivers/ibmvnic-Ensure-that-buffers-are-NULL-after-free.patch.
  patches.drivers/ibmvnic-Fix-rx-queue-cleanup-for-non-fatal-resets.patch.
  patches.drivers/ibmvnic-queue-reset-when-CRQ-gets-closed-during-rese.patch.
- commit fb59495
* Fri Feb  9 2018 msuchanek@suse.de
- ibmvnic: queue reset when CRQ gets closed during reset
  (bsc#1080263).
- commit d626ca2
* Thu Feb  8 2018 jthumshirn@suse.de
- kernel: fix rwlock implementation (bnc#1079886, LTC#164371).
- s390/pci: handle insufficient resources during dma tlb flush
  (bnc#1079886, LTC#163393).
- s390/pci_dma: make lazy flush independent from the tlb_refresh
  bit (bnc#1079886, LTC#163393).
- s390/pci: fix dma address calculation in map_sg (bnc#1079886,
  LTC#163393).
- s390/pci_dma: improve lazy flush for unmap (bnc#1079886,
  LTC#163393).
- s390/pci_dma: split dma_update_trans (bnc#1079886, LTC#163393).
- s390/pci_dma: improve map_sg (bnc#1079886, LTC#163393).
- s390/pci_dma: simplify dma address calculation (bnc#1079886,
  LTC#163393).
- s390/pci_dma: remove dma address range check (bnc#1079886,
  LTC#163393).
- commit 6b31be8
* Thu Feb  8 2018 msuchanek@suse.de
- ibmvnic: Ensure that buffers are NULL after free (bsc#1080014).
- ibmvnic: Fix rx queue cleanup for non-fatal resets
  (bsc#1080014).
- commit 5aaf0c9
* Thu Feb  8 2018 oneukum@suse.com
- usbip: fix stub_rx: get_pipe() to validate endpoint number
  (bsc#1078673 CVE-2017-16912).
- Refresh
  patches.arch/KVM-s390-Enable-all-facility-bits-that-are-known-goo.patch.
- commit f920c39
* Wed Feb  7 2018 oneukum@suse.com
- usbip: fix stub_rx: harden CMD_SUBMIT path to handle malicious
  input (bsc#1078672 CVE-2017-16913).
- commit b2397ee
* Wed Feb  7 2018 pmladek@suse.com
- blacklist.conf: commit fd5f7cde1b85d4c8e09 ("printk: Never
  set console_may_schedule in console_trylock()")
- commit 306ea5c
* Wed Feb  7 2018 msuchanek@suse.de
- blacklist acb1feab320e powerpc/64: Don't trace irqs-off at interrupt
  return to soft-disabled context
- commit 2bb19a7
* Wed Feb  7 2018 tbogendoerfer@suse.de
- IB/hfi1: Fix for potential refcount leak in hfi1_open_file()
  (FATE#321231 FATE#321473).
- commit f023d4d
* Wed Feb  7 2018 mkubecek@suse.cz
- series.conf: refresh
  Ran series_sort.py (no effect on expanded tree).
  Update upstream reference:
  patches.drivers/ibmvnic-fix-empty-firmware-version-and-errors-cleanu.patch.
- commit cb02895
* Tue Feb  6 2018 jslaby@suse.cz
- mm/kmemleak.c: make cond_resched() rate-limiting more efficient
  (git-fixes).
- commit 8101a9b
* Tue Feb  6 2018 jslaby@suse.cz
- Linux 4.4.115 (bnc#1012382).
- Revert "bpf: avoid false sharing of map refcount with
  max_entries" (kabi).
- loop: fix concurrent lo_open/lo_release (bnc#1012382).
- x86: bpf_jit: small optimization in emit_bpf_tail_call()
  (bnc#1012382).
- bpf: fix bpf_tail_call() x64 JIT (bnc#1012382).
- bpf: introduce BPF_JIT_ALWAYS_ON config (bnc#1012382).
- bpf: arsh is not supported in 32 bit alu thus reject it
  (bnc#1012382).
- bpf: avoid false sharing of map refcount with max_entries
  (bnc#1012382).
- bpf: fix divides by zero (bnc#1012382).
- bpf: fix 32-bit divide by zero (bnc#1012382).
- bpf: reject stores into ctx via st and xadd (bnc#1012382).
- x86/pti: Make unpoison of pgd for trusted boot work for real
  (bnc#1012382).
- kaiser: fix intel_bts perf crashes (bnc#1012382).
- ALSA: seq: Make ioctls race-free (CVE-2018-1000004 bnc#1012382
  bsc#1076017).
- crypto: aesni - handle zero length dst buffer (bnc#1012382).
- crypto: af_alg - whitelist mask and type (bnc#1012382).
- power: reset: zx-reboot: add missing
  MODULE_DESCRIPTION/AUTHOR/LICENSE (bnc#1012382).
- gpio: iop: add missing MODULE_DESCRIPTION/AUTHOR/LICENSE
  (bnc#1012382).
- gpio: ath79: add missing MODULE_DESCRIPTION/LICENSE
  (bnc#1012382).
- mtd: nand: denali_pci: add missing
  MODULE_DESCRIPTION/AUTHOR/LICENSE (bnc#1012382).
- igb: Free IRQs when device is hotplugged (bnc#1012382).
- KVM: x86: emulator: Return to user-mode on L1 CPL=0 emulation
  failure (bnc#1012382).
- KVM: x86: Don't re-execute instruction when not passing CR2
  value (bnc#1012382).
- KVM: X86: Fix operand/address-size during instruction decoding
  (bnc#1012382).
- KVM: x86: ioapic: Fix level-triggered EOI and IOAPIC reconfigure
  race (bnc#1012382).
- KVM: x86: ioapic: Clear Remote IRR when entry is switched to
  edge-triggered (bnc#1012382).
- KVM: x86: ioapic: Preserve read-only values in the redirection
  table (bnc#1012382).
- ACPI / bus: Leave modalias empty for devices which are not
  present (bnc#1012382).
- cpufreq: Add Loongson machine dependencies (bnc#1012382).
- drm/amdgpu: Fix SDMA load/unload sequence on HWS disabled mode
  (bnc#1012382).
- drm/amdkfd: Fix SDMA ring buffer size calculation (bnc#1012382).
- drm/amdkfd: Fix SDMA oversubsription handling (bnc#1012382).
- openvswitch: fix the incorrect flow action alloc size
  (bnc#1012382).
- mac80211: fix the update of path metric for RANN frame
  (bnc#1012382).
- btrfs: fix deadlock when writing out space cache (bnc#1012382).
- KVM: VMX: Fix rflags cache during vCPU reset (bnc#1012382).
- xen-netfront: remove warning when unloading module
  (bnc#1012382).
- nfsd: CLOSE SHOULD return the invalid special stateid for
  NFSv4.x (x>0) (bnc#1012382).
- nfsd: Ensure we check stateid validity in the seqid operation
  checks (bnc#1012382).
- grace: replace BUG_ON by WARN_ONCE in exit_net hook
  (bnc#1012382).
- nfsd: check for use of the closed special stateid (bnc#1012382).
- lockd: fix "list_add double add" caused by legacy signal
  interface (bnc#1012382).
- hwmon: (pmbus) Use 64bit math for DIRECT format values
  (bnc#1012382).
- net: ethernet: xilinx: Mark XILINX_LL_TEMAC broken on 64-bit
  (bnc#1012382).
- SUNRPC: Allow connect to return EHOSTUNREACH (bnc#1012382).
- kmemleak: add scheduling point to kmemleak_scan() (bnc#1012382).
- xfs: ubsan fixes (bnc#1012382).
- scsi: aacraid: Prevent crash in case of free interrupt during
  scsi EH path (bnc#1012382).
- scsi: ufs: ufshcd: fix potential NULL pointer dereference in
  ufshcd_config_vreg (bnc#1012382).
- media: usbtv: add a new usbid (bnc#1012382).
- usb: gadget: don't dereference g until after it has been null
  checked (bnc#1012382).
- staging: rtl8188eu: Fix incorrect response to SIOCGIWESSID
  (bnc#1012382).
- usb: option: Add support for FS040U modem (bnc#1012382).
- USB: serial: pl2303: new device id for Chilitag (bnc#1012382).
- USB: cdc-acm: Do not log urb submission errors on disconnect
  (bnc#1012382).
- USB: serial: io_edgeport: fix possible sleep-in-atomic
  (bnc#1012382).
- usbip: prevent bind loops on devices attached to vhci_hcd
  (bnc#1012382).
- usbip: list: don't list devices attached to vhci_hcd
  (bnc#1012382).
- USB: serial: simple: add Motorola Tetra driver (bnc#1012382).
- usb: f_fs: Prevent gadget unbind if it is already unbound
  (bnc#1012382).
- usb: uas: unconditionally bring back host after reset
  (bnc#1012382).
- selinux: general protection fault in sock_has_perm
  (bnc#1012382).
- serial: imx: Only wakeup via RTSDEN bit if the system has
  RTS/CTS (bnc#1012382).
- spi: imx: do not access registers while clocks disabled
  (bnc#1012382).
- Update config files.
- Refresh
  patches.arch/kvm-x86-split-ioapic-handled-and-eoi-exit-bitmaps.patch.
- Refresh
  patches.drivers/igb-0033-igb-call-ndo_stop-instead-of-dev_close-when-running-.patch.
- Refresh
  patches.fixes/0006-SUNRPC-ensure-correct-error-is-reported-by-xs_tcp_se.patch.
- Refresh
  patches.suse/btrfs-0022-drop-unused-parameter-from-lock_extent_bits.patch.
- Delete patches.drivers/ALSA-seq-Make-ioctls-race-free.
- commit 6aa3c57
* Tue Feb  6 2018 msuchanek@suse.de
- rfi-flush: Switch to new linear fallback flush (bsc#1068032,
  bsc#1075087).
- commit f4b1d66
* Tue Feb  6 2018 msuchanek@suse.de
- powerpc: Don't preempt_disable() in show_cpuinfo()
  (bsc#1066223).
- commit b2ba995
* Tue Feb  6 2018 msuchanek@suse.de
- ibmvnic: fix empty firmware version and errors cleanup
  (bsc#1079038).
- commit dd86bcd
* Tue Feb  6 2018 jthumshirn@suse.de
- nvme-fc: merge error on sles12sp3 for reset_work (bsc#1079195).
- commit ac600dc
* Mon Feb  5 2018 tbogendoerfer@suse.de
- i40iw: Remove limit on re-posting AEQ entries to HW (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40iw: Fix the connection ORD value for loopback (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40iw: Validate correct IRD/ORD connection parameters
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40iw: Fix sequence number for the first partial FPDU
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40iw: Selectively teardown QPs on IP addr change event
  (bsc#1024376 FATE#321249).
- i40iw: Correct Q1/XF object count equation (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- IB/qib: Fix comparison error with qperf compare/swap test
  (FATE#321231 FATE#321473).
- commit 190b8b5
* Mon Feb  5 2018 mkubecek@suse.cz
- series.conf: refresh
  Ran series_sort.py (no effect on expanded tree).
  Update upstream reference:
  patches.drivers/ibmvnic-fix-firmware-version-when-no-firmware-level-.patch.
- commit 91aa451
* Mon Feb  5 2018 neilb@suse.com
- NFS: Add a cond_resched() to nfs_commit_release_pages()
  (bsc#1077779).
- commit dda23bb
* Fri Feb  2 2018 msuchanek@suse.de
- ibmvnic: fix firmware version when no firmware level has been
  provided by the VIOS server (bsc#1079038).
- commit e1c1821
* Thu Feb  1 2018 msuchanek@suse.de
- ibmvnic: Wait for device response when changing MAC
  (bsc#1078681).
- commit d99ea18
* Thu Feb  1 2018 lhenriques@suse.com
- xfs: reinit btree pointer on attr tree inactivation walk
  (bsc#1078787).
- commit 01505c8
* Thu Feb  1 2018 jslaby@suse.cz
- Linux 4.4.114 (bnc#1012382).
- Revert "sched/deadline: Use the revised wakeup rule for
  suspending constrained dl tasks" (kabi).
- x86/asm/32: Make sync_core() handle missing CPUID on all 32-bit
  kernels (bnc#1012382).
- usbip: prevent vhci_hcd driver from leaking a socket pointer
  address (bnc#1012382).
- usbip: Fix implicit fallthrough warning (bnc#1012382).
- usbip: Fix potential format overflow in userspace tools
  (bnc#1012382).
- x86/microcode/intel: Fix BDW late-loading revision check
  (bnc#1012382).
- sched/deadline: Use the revised wakeup rule for suspending
  constrained dl tasks (bnc#1012382).
- can: af_can: can_rcv(): replace WARN_ONCE by pr_warn_once
  (bnc#1012382).
- can: af_can: canfd_rcv(): replace WARN_ONCE by pr_warn_once
  (bnc#1012382).
- ACPI / scan: Prefer devices without _HID/_CID for _ADR matching
  (bnc#1012382).
- Revert "module: Add retpoline tag to VERMAGIC" (bnc#1012382
  kabi).
- Input: trackpoint - force 3 buttons if 0 button is reported
  (bnc#1012382).
- usb: usbip: Fix possible deadlocks reported by lockdep
  (bnc#1012382).
- usbip: fix stub_rx: get_pipe() to validate endpoint number
  (bnc#1012382).
- usbip: fix stub_rx: harden CMD_SUBMIT path to handle malicious
  input (bnc#1012382).
- usbip: prevent leaking socket pointer address in messages
  (bnc#1012382).
- um: link vmlinux with -no-pie (bnc#1012382).
- vsyscall: Fix permissions for emulate mode with KAISER/PTI
  (bnc#1012382).
- eventpoll.h: add missing epoll event masks (bnc#1012382).
- x86/microcode/intel: Extend BDW late-loading further with LLC
  size check (bnc#1012382).
- hrtimer: Reset hrtimer cpu base proper on CPU hotplug
  (bnc#1012382).
- dccp: don't restart ccid2_hc_tx_rto_expire() if sk in closed
  state (bnc#1012382).
- ipv6: Fix getsockopt() for sockets with default
  IPV6_AUTOFLOWLABEL (bnc#1012382).
- ipv6: fix udpv6 sendmsg crash caused by too small MTU
  (bnc#1012382).
- lan78xx: Fix failure in USB Full Speed (bnc#1012382).
- net: igmp: fix source address check for IGMPv3 reports
  (bnc#1012382).
- tcp: __tcp_hdrlen() helper (bnc#1012382).
- net: qdisc_pkt_len_init() should be more robust (bnc#1012382).
- pppoe: take ->needed_headroom of lower device into account on
  xmit (bnc#1012382).
- r8169: fix memory corruption on retrieval of hardware statistics
  (bnc#1012382).
- sctp: do not allow the v4 socket to bind a v4mapped v6 address
  (bnc#1012382).
- sctp: return error if the asoc has been peeled off in
  sctp_wait_for_sndbuf (bnc#1012382).
- vmxnet3: repair memory leak (bnc#1012382).
- net: Allow neigh contructor functions ability to modify the
  primary_key (bnc#1012382).
- ipv4: Make neigh lookup keys for loopback/point-to-point
  devices be INADDR_ANY (bnc#1012382).
- flow_dissector: properly cap thoff field (bnc#1012382).
- net: tcp: close sock if net namespace is exiting (bnc#1012382).
- nfsd: auth: Fix gid sorting when rootsquash enabled
  (bnc#1012382).
- x86/cpu: Rename Merrifield2 to Moorefield (bsc#985025).
- x86/cpu: Rename "WESTMERE2" family to "NEHALEM_G" (bsc#985025).
- Refresh
  patches.drivers/intel_idle-Use-intel-family-macros.patch.
- Refresh patches.drivers/powercap-RAPL-add-support-for-Denverton.
- Refresh
  patches.drivers/x86-powercap-rapl-Reorder-CPU-detection-table.
- Refresh
  patches.drivers/x86-powercap-rapl-Use-Intel-model-macros-intead-of-o.
- kABI: protect struct usbip_device (kabi).
- Delete
  patches.fixes/ACPI-scan-Prefer-devices-without-_HID-for-_ADR-match.patch.
- Delete
  patches.kabi/revert-module-Add-retpoline-tag-to-VERMAGIC.patch.
- commit 31a6ca1
* Thu Feb  1 2018 msuchanek@suse.de
- Refresh patches.suse/powerpc-pseries-rfi-flush-Call-setup_rfi_flush-after.patch.
  Fix return value
- commit 999d327
* Thu Feb  1 2018 jslaby@suse.cz
- Refresh patches.kabi/kabi-protect-struct-bpf_map.patch.
  Update to match the current tree -- the commit now comes from the
  stable tree.
- commit 09e0d60
* Thu Feb  1 2018 mkubecek@suse.cz
- series.conf: refresh sorted section
- Update upstream reference:
  patches.drivers/bnxt_en-Don-t-print-Link-speed-1-no-longer-supported.patch.
  patches.drivers/ibmvnic-Don-t-handle-RX-interrupts-when-not-up.patch.
  patches.drivers/ibmvnic-Include-header-descriptor-support-for-ARP-pa.patch.
  patches.drivers/ibmvnic-Increase-maximum-number-of-RX-TX-queues.patch.
  patches.drivers/ibmvnic-Rename-IBMVNIC_MAX_TX_QUEUES-to-IBMVNIC_MAX_.patch.
  patches.fixes/ipvlan-remove-excessive-packet-scrubbing.patch.
  (no-op on expanded tree)
- commit 045d944
* Thu Feb  1 2018 mkubecek@suse.cz
- Update upstream reference:
  patches.suse/0027-arm64-Branch-predictor-hardening-for-Cavium-ThunderX.patch.
- commit 5f8163e
* Wed Jan 31 2018 lyan@suse.com
- KVM: s390: Enable all facility bits that are known good for
  passthrough (bsc#1076805).
- commit b3341ef
* Wed Jan 31 2018 yousaf.kaukab@suse.com
- Refresh
  patches.suse/0027-arm64-Branch-predictor-hardening-for-Cavium-ThunderX.patch.
  Stall on guest cpu is fixed after update to firmware v5.1.1
- commit cbaf950
* Tue Jan 30 2018 mkubecek@suse.cz
- Update upstream reference:
  patches.kabi/revert-module-Add-retpoline-tag-to-VERMAGIC.patch.
  It's rather unusual to have valid Patch-mainline and Git-commit on a kabi
  patch but this patch is already queued for 4.4.114 stable update so that
  it's going to be replaced soon anyway. Upstream reference will silence the
  git-fixes checker and unblock openSUSE-42.3 merge.
- commit b2ec976
* Tue Jan 30 2018 aaptel@suse.com
- CIFS: dump IPC tcon in debug proc file (bsc#1071306).
- commit 7fe424c
* Tue Jan 30 2018 aaptel@suse.com
- CIFS: use tcon_ipc instead of use_ipc parameter of SMB2_ioctl
  (bsc#1071306).
- commit a18fc3b
* Tue Jan 30 2018 aaptel@suse.com
- CIFS: make IPC a regular tcon (bsc#1071306).
- commit 40dcde7
* Tue Jan 30 2018 mkubecek@suse.cz
- series.conf: move core networking (including netfilter) into sorted section
- Refresh
  patches.drivers/bonding-add-802.3ad-support-for-100G-speeds.patch.
- Refresh
  patches.drivers/bonding-allow-notifications-for-bond_set_slave_link_.patch.
- Refresh
  patches.fixes/bonding-don-t-use-stale-speed-and-duplex-information.patch.
- Refresh
  patches.fixes/bonding-fix-802.3ad-aggregator-reselection.patch.
- commit 62cba24
* Mon Jan 29 2018 mhocko@suse.com
- mm/mprotect: add a cond_resched() inside change_pmd_range()
  (bnc#1077871, bnc#1078002).
- Refresh
  patches.drivers/mm-dax-dax-pmd-vs-thp-pmd-vs-hugetlbfs-pmd.patch.
- commit 6b1b9d5
* Mon Jan 29 2018 mkubecek@suse.cz
- partially revert tipc improve link resiliency when rps is
  activated (bsc#1068038).
- tipc: improve link resiliency when rps is activated
  (bsc#1068038).
- commit e1a25dc
* Mon Jan 29 2018 mbrugger@suse.com
- arm64: factor out PAGE_* and CONT_* definitions (bsc#1068032).
- arm64: sysreg: Fix unprotected macro argmuent in write_sysreg
  (bsc#1068032).
- commit b9d5ba0
* Mon Jan 29 2018 mkubecek@suse.cz
- ipvlan: remove excessive packet scrubbing (bsc#1070799).
- commit a3cc6dd
* Mon Jan 29 2018 mkubecek@suse.cz
- series.conf: whitespace cleanup
- commit 27338f2
* Mon Jan 29 2018 mbrugger@suse.com
- Refresh
  patches.arch/0002-arm64-cpu_errata-Allow-an-erratum-to-be-match-for-al.patch.
- commit a9781a3
* Mon Jan 29 2018 tbogendoerfer@suse.de
- net/mlx5e: Fix fixpoint divide exception in
  mlx5e_am_stats_compare (bsc#1015342).
- commit 8f70161
* Sun Jan 28 2018 mcgrof@suse.com
- xfs: validate sb_logsunit is a multiple of the fs blocksize (bsc#1077513).
- commit 78003be
* Sat Jan 27 2018 jkosina@suse.cz
- fork: clear thread stack upon allocation (bsc#1077560).
- commit f1d006f
* Fri Jan 26 2018 lyan@suse.com
- Kabi: Keep KVM stable after enable s390 wire up bpb feature
  (bsc#1076805).
- commit 4f9d2a0
* Fri Jan 26 2018 lyan@suse.com
- KVM: s390: wire up bpb feature (bsc#1076805).
- commit 35a87b7
* Fri Jan 26 2018 ghe@suse.com
- dlm: fix malfunction of dlm_tool caused by debugfs changes
  (bsc#1077704).
- commit b9fea73
* Fri Jan 26 2018 colyli@suse.de
- bcache: check return value of register_shrinker (bsc#1076110).
- bcache: add a comment in journal bucket reading (bsc#1076110).
- bcache: update bucket_in_use in real time (bsc#1076110).
- bcache: writeback rate clamping: make 32 bit safe (bsc#1076110).
- commit 60cc66f
* Fri Jan 26 2018 colyli@suse.de
- bcache: safeguard a dangerous addressing in closure_queue
  (bsc#1076110).
- commit 997e0ba
* Fri Jan 26 2018 colyli@suse.de
- bcache: rearrange writeback main thread ratelimit (bsc#1076110).
- Refresh by the change of above patch
  patches.suse/kgr-0034-kgraft-bcache-Do-not-block-livepatching-in-the-write.patch.
- commit f5d49c3
* Fri Jan 26 2018 colyli@suse.de
- bcache: writeback rate shouldn't artifically clamp
  (bsc#1076110).
- bcache: smooth writeback rate control (bsc#1076110).
- bcache: implement PI controller for writeback rate
  (bsc#1076110).
- bcache: don't write back data if reading it failed
  (bsc#1076110).
- bcache: remove unused parameter (bsc#1076110).
- bcache: update bio->bi_opf bypass/writeback REQ_ flag hints
  (bsc#1076110).
- bcache: Remove redundant set_capacity (bsc#1076110).
- bcache: rewrite multiple partitions support (bsc#1076110,
  bsc#1038085).
- bcache: fix a comments typo in bch_alloc_sectors()
  (bsc#1076110).
- bcache: Avoid nested function definition (bsc#1076110).
- bcache: use llist_for_each_entry_safe() in __closure_wake_up()
  (bsc#1076110).
- bcache: Update continue_at() documentation (bsc#1076110).
- bcache: silence static checker warning (bsc#1076110).
- bcache: increase the number of open buckets (bsc#1076110).
- bcache: gc does not work when triggering by manual command
  (bsc#1076110, bsc#1038078).
- bcache: Don't reinvent the wheel but use existing llist API
  (bsc#1076110).
- bcache: fix sequential large write IO bypass (bsc#1076110).
- bcache.txt: standardize document format (bsc#1076110).
- bcache: use kmalloc to allocate bio in bch_data_verify()
  (bsc#1076110).
- bcache: partition support: add 16 minors per bcacheN device
  (bsc#1076110, bsc#1019784).
- bcache: documentation formatting, edited for clarity, stripe
  alignment notes (bsc#1076110).
- bcache: documentation updates and corrections (bsc#1076110).
- bcache: bch_allocator_thread() is not freezable (bsc#1076110).
- bcache: bch_writeback_thread() is not freezable (bsc#1076110).
- md: more open-coded offset_in_page() (bsc#1076110).
- commit 7db3715
* Thu Jan 25 2018 jbohac@suse.cz
- rtc: cmos: Initialize hpet timer before irq is registered
  (bsc#1077592).
- commit 6776e08
* Thu Jan 25 2018 yousaf.kaukab@suse.com
- arm64: Turn on KPTI only on CPUs that need it (bsc#1076187).
- Delete
  patches.suse/0029-arm64-Don-t-force-KPTI-for-CPUs-that-are-not-vulnera.patch.
  Refresh patch to the queued version
- commit ebfae6a
* Thu Jan 25 2018 yousaf.kaukab@suse.com
- arm64: Move BP hardening to check_and_switch_context
  (bsc#1068032).
- commit b8a306b
* Thu Jan 25 2018 colyli@suse.de
- Delete these patches, they will be replaced by upstream version in following
  commits.
- patches.drivers/0001-bcache-partition-support-add-16-minors-per-bcacheN-d.patch.
- patches.drivers/0001-md-more-open-coded-offset_in_page.patch.
- patches.drivers/0002-bcache-bch_writeback_thread-is-not-freezable.patch.
- patches.drivers/0003-bcache-bch_allocator_thread-is-not-freezable.patch.
- patches.suse/0001-bcache-force-trigger-gc.patch.
- patches.suse/0002-bcache-fix-calling-ida_simple_remove-with-incorrect-minor.patch.
- commit 66ab5eb
* Thu Jan 25 2018 msuchanek@suse.de
- Refresh
  patches.suse/powerpc-pseries-include-linux-types.h-in-asm-hvcall.h.patch.
  Add commit hash
- Refresh
  patches.suse/powerpc-64s-Add-support-for-RFI-flush-of-L1-D-cache.patch.
- Refresh
  patches.suse/powerpc-64s-Allow-control-of-RFI-flush-via-debugfs.patch.
- Refresh
  patches.suse/powerpc-64s-Simple-RFI-macro-conversions.patch.
- Refresh
  patches.suse/powerpc-64s-Support-disabling-RFI-flush-with-no_rfi_.patch.
- Refresh
  patches.suse/powerpc-64s-Wire-up-cpu_show_meltdown.patch.
- Refresh
  patches.suse/powerpc-pseries-rfi-flush-Call-setup_rfi_flush-after.patch.
- Refresh
  patches.suse/powerpc-rfi-flush-Move-RFI-flush-fields-out-of-the-p.patch.
- Refresh
  patches.suse/powerpc-rfi-flush-Move-the-logic-to-avoid-a-redo-int.patch.
- commit 5538ece
* Thu Jan 25 2018 mkubecek@suse.cz
- Update upstream reference:
  patches.drivers/ibmvnic-Allocate-and-request-vpd-in-init_resources.patch.
- Update upstream reference:
  patches.drivers/ibmvnic-Modify-buffer-size-and-number-of-queues-on-f.patch.
- Update upstream reference:
  patches.drivers/ibmvnic-Revert-to-previous-mtu-when-unsupported-valu.patch.
- commit 29eca6c
* Thu Jan 25 2018 dchang@suse.com
- be2net: restore properly promisc mode after queues
  reconfiguration (bsc#963844 FATE#320192).
- commit ee1762a
* Wed Jan 24 2018 msuchanek@suse.de
- powerpc/pseries: rfi-flush: Call setup_rfi_flush() after LPM migration (bsc#1068032, bsc#1075087).
  Really fix the migration patch
- Delete patches.suse/powerpc-rfi-flush-Make-setup_rfi_flush-not-__init.patch.
- Delete patches.suse/powerpc-rfi-flush-prevent-crash-when-changing-flush-.patch.
- commit 052080f
* Wed Jan 24 2018 jslaby@suse.cz
- Documentation: document array_ptr (bsc#1068032 CVE-2017-5715).
- asm/nospec, array_ptr: sanitize speculative array de-references
  (bsc#1068032 CVE-2017-5715).
- x86: implement array_ptr_mask() (bsc#1068032 CVE-2017-5715).
- x86: introduce __uaccess_begin_nospec and ifence (bsc#1068032
  CVE-2017-5715).
- x86, __get_user: use __uaccess_begin_nospec (bsc#1068032
  CVE-2017-5715).
- x86, get_user: use pointer masking to limit speculation
  (bsc#1068032 CVE-2017-5715).
- x86: narrow out of bounds syscalls to sys_read under speculation
  (bsc#1068032 CVE-2017-5715).
- vfs, fdtable: prevent bounds-check bypass via speculative
  execution (bsc#1068032 CVE-2017-5715).
- kvm, x86: update spectre-v1 mitigation (bsc#1068032
  CVE-2017-5715).
- nl80211: sanitize array index in parse_txq_params (bsc#1068032
  CVE-2017-5715).
- Refresh
  patches.suse/0001-locking-barriers-introduce-new-memory-barrier-gmb.patch.
- Refresh
  patches.suse/0012-fs-prevent-speculative-execution.patch.
- commit d47112f
* Wed Jan 24 2018 jslaby@suse.cz
- Revert "module: Add retpoline tag to VERMAGIC" (kabi).
- module: Add retpoline tag to VERMAGIC (CVE-2017-5715 bnc#1012382
  bsc#1068032).
- commit 09352cb
* Wed Jan 24 2018 jkosina@suse.cz
- x86/boot: Fix early command-line parsing when matching at end
  (bsc#1068032).
- commit 804f1cd
* Wed Jan 24 2018 jkosina@suse.cz
- x86/retpolines/spec_ctrl: disable IBRS on !SKL if retpolines
  are active (bsc#1068032).
- commit 8e0e2f9
* Wed Jan 24 2018 mkubecek@suse.cz
- Delete
  patches.kernel.org/4.4.113-031-module-Add-retpoline-tag-to-VERMAGIC.patch.
  This patch was already dropped once by Jiri Kosina ("kABI breaker and too
  big hammer for that case") but came back via 4.4.113 stable update.
- commit 5336578
* Wed Jan 24 2018 mcgrof@suse.com
- fs: invalidate page cache after end_io() in dio completion (bsc#1073407 bsc#1069135).
- fs: Fix page cache inconsistency when mixing buffered and AIO DIO (bsc#1073407 bsc#1069135).
- commit d9ed09f
* Wed Jan 24 2018 jslaby@suse.cz
- Linux 4.4.113 (bnc#1012382).
- gcov: disable for COMPILE_TEST (bnc#1012382).
- scsi: sg: disable SET_FORCE_LOW_DMA (bnc#1012382).
- futex: Prevent overflow by strengthen input validation
  (bnc#1012382).
- af_key: fix buffer overread in verify_address_len()
  (bnc#1012382).
- af_key: fix buffer overread in parse_exthdrs() (bnc#1012382).
- module: Add retpoline tag to VERMAGIC (bnc#1012382).
- pipe: avoid round_pipe_size() nr_pages overflow on 32-bit
  (bnc#1012382).
- x86/apic/vector: Fix off by one in error path (bnc#1012382).
- Input: 88pm860x-ts - fix child-node lookup (bnc#1012382).
- Input: twl6040-vibra - fix DT node memory management
  (bnc#1012382).
- Input: twl6040-vibra - fix child-node lookup (bnc#1012382).
- Input: twl4030-vibra - fix sibling-node lookup (bnc#1012382).
- tracing: Fix converting enum's from the map in
  trace_event_eval_update() (bnc#1012382).
- phy: work around 'phys' references to usb-nop-xceiv devices
  (bnc#1012382).
- ARM: dts: kirkwood: fix pin-muxing of MPP7 on OpenBlocks A7
  (bnc#1012382).
- can: peak: fix potential bug in packet fragmentation
  (bnc#1012382).
- libata: apply MAX_SEC_1024 to all LITEON EP1 series devices
  (bnc#1012382).
- dm btree: fix serious bug in btree_split_beneath()
  (bnc#1012382).
- dm thin metadata: THIN_MAX_CONCURRENT_LOCKS should be 6
  (bnc#1012382).
- x86/cpu, x86/pti: Do not enable PTI on AMD processors
  (bnc#1012382).
- x86/pti: Document fix wrong index (bnc#1012382).
- MIPS: AR7: ensure the port type's FCR value is used
  (bnc#1012382).
- commit 87e7608
* Tue Jan 23 2018 msuchanek@suse.de
- Refresh
  patches.drivers/ibmvnic-Allocate-and-request-vpd-in-init_resources.patch.
- Refresh
  patches.drivers/ibmvnic-Modify-buffer-size-and-number-of-queues-on-f.patch.
- Refresh
  patches.drivers/ibmvnic-Revert-to-previous-mtu-when-unsupported-valu.patch.
  Add commit hash
- commit b06821c
* Tue Jan 23 2018 msuchanek@suse.de
- powerpc/64s: Wire up cpu_show_meltdown() (bsc#1068032).
- commit 5121c11
* Tue Jan 23 2018 jkosina@suse.cz
- Delete patches.suse/module-Add-retpoline-tag-to-VERMAGIC.patch: kABI breaker
  and too big hammer for that case.
- commit 58cc2b0
* Tue Jan 23 2018 oneukum@suse.com
- CDC-ACM: apply quirk for card reader (bsc#1060279).
- commit 2faeb75
* Tue Jan 23 2018 jslaby@suse.cz
- sysfs: spectre_v2, handle spec_ctrl (bsc#1075994 bsc#1075091).
- commit b4d1d42
* Tue Jan 23 2018 jslaby@suse.cz
- sysfs: spectre_v1 is mitigated (bsc#1068032 CVE-2017-5753).
- commit cad94a0
* Mon Jan 22 2018 lhenriques@suse.com
- ceph: more accurate statfs (bsc#1077068).
- commit 1b12ed0
* Mon Jan 22 2018 msuchanek@suse.de
- ibmvnic: Allocate and request vpd in init_resources
  (bsc#1076872).
- ibmvnic: Revert to previous mtu when unsupported value requested
  (bsc#1076872).
- ibmvnic: Modify buffer size and number of queues on failover
  (bsc#1076872).
- commit 268fffd
* Mon Jan 22 2018 msuchanek@suse.de
- ibmvnic: Fix IPv6 packet descriptors (bsc#1076899).
- ibmvnic: Fix IP offload control buffer (bsc#1076899).
- commit 47028b3
* Mon Jan 22 2018 msuchanek@suse.de
- Refresh
  patches.drivers/ibmvnic-Fix-pending-MAC-address-changes.patch.
- commit 516c82d
* Mon Jan 22 2018 jthumshirn@suse.de
- Refresh
  patches.fixes/scsi-check-for-device-state-in-__scsi_remove_target.patch.
  Update Git-commit and Patch-mainline tags.
- commit 3715140
* Mon Jan 22 2018 jthumshirn@suse.de
- scsi: lpfc: Use after free in lpfc_rq_buf_free() (bsc#1037838).
- commit fd529a2
* Mon Jan 22 2018 jthumshirn@suse.de
- s390/cpuinfo: show facilities as reported by stfle (bnc#1076847,
  LTC#163740).
- commit 705e6a8
* Mon Jan 22 2018 bpoirier@suse.com
- Delete
  patches.drivers/e1000e-Avoid-receiver-overrun-interrupt-bursts.patch.
  See bsc#1075428 comment 24.
  A workaround is being discussed upstream. Remove this patch for now. I'll
  re-add it once the workaround lands upstream.
- commit ef0838e
* Sun Jan 21 2018 jslaby@suse.cz
- x86/retpoline: Fill RSB on context switch for affected CPUs
  (bsc#1068032 CVE-2017-5715).
- Refresh
  patches.suse/01-x86-feature-enable-the-x86-feature-to-control-speculation.patch.
- Refresh patches.suse/stack-unwind.patch.
- commit 299bd08
* Sun Jan 21 2018 jslaby@suse.cz
- x86/retpoline: Add LFENCE to the retpoline/RSB filling RSB
  macros (bsc#1068032 CVE-2017-5715).
- module: Add retpoline tag to VERMAGIC (bsc#1068032
  CVE-2017-5715).
- kprobes/x86: Disable optimizing on the function jumps to
  indirect thunk (bsc#1068032 CVE-2017-5715).
- kprobes/x86: Blacklist indirect thunk functions for kprobes
  (bsc#1068032 CVE-2017-5715).
- retpoline: Introduce start/end markers of indirect thunk
  (bsc#1068032 CVE-2017-5715).
- x86/mce: Make machine check speculation protected (bsc#1068032
  CVE-2017-5715).
- commit 1933a98
* Sun Jan 21 2018 jslaby@suse.cz
- x86/retpoline: Optimize inline assembler for vmexit_fill_RSB
  (bsc#1068032 CVE-2017-5715).
- commit 30136fb
* Sun Jan 21 2018 jkosina@suse.cz
- kbuild: modversions for EXPORT_SYMBOL() for asm (bsc#1074621
  bsc#1068032).
- commit a090a92
* Fri Jan 19 2018 msuchanek@suse.de
- Re-add and revert 4.4.90-035-cxl-Fix-driver-use-count.patch
- commit c95304e
* Fri Jan 19 2018 msuchanek@suse.de
- Refresh patches.suse/powerpc-64s-Simple-RFI-macro-conversions.patch.
  Remove a superfluous flush in KVM code.
- commit a9f0578
* Fri Jan 19 2018 msuchanek@suse.de
- powerpc/rfi-flush: prevent crash when changing flush type to
  fallback after system boot (bsc#1068032, bsc#1075087).
- commit 4044de9
* Thu Jan 18 2018 tiwai@suse.de
- Update patch-mainline tags of already upstreamed patches
- commit 882f841
* Thu Jan 18 2018 nborisov@suse.com
- Update
  patches.suse/btrfs-account-for-pinned-bytes-in-should_alloc_chunk.patch
  (bsc#1040182).
- commit 2740ff3
* Thu Jan 18 2018 nborisov@suse.com
- Update
  patches.suse/btrfs-account-for-pinned-bytes-in-should_alloc_chunk.patch.
- commit 01348e7
* Thu Jan 18 2018 jthumshirn@suse.de
- Refresh
  patches.drivers/nvme_fc-fix-rogue-admin-cmds-stalling-teardown.patch.
  Fix misapplied hunk
- commit b116cff
* Thu Jan 18 2018 yousaf.kaukab@suse.com
- arm64: thunderx2: remove branch predictor hardening
  References: bsc#1076232
  This causes undefined instruction abort on the smc call from guest
  kernel. Disable until kvm is fixed.
- commit 22e1f9e
* Thu Jan 18 2018 jslaby@suse.cz
- x86/spectre_v2: nospectre_v2 means nospec too (bsc#1075994
  bsc#1075091).
- commit c060d16
* Thu Jan 18 2018 yousaf.kaukab@suse.com
- arm64: KVM: Fix SMCCC handling of unimplemented SMC/HVC calls
  (bsc#1076232).
- commit 44ec130
* Thu Jan 18 2018 yousaf.kaukab@suse.com
- Refresh
  patches.suse/0028-arm64-kpti-Fix-the-interaction-between-ASID-switchin.patch.
- commit 8c0248d
* Thu Jan 18 2018 jslaby@suse.cz
- ipv6: ip6_make_skb() needs to clear cork.base.dst (git-fixes).
- commit f0edb2f
* Thu Jan 18 2018 jslaby@suse.cz
- Linux 4.4.112 (bnc#1012382).
- dm bufio: fix shrinker scans when (nr_to_scan < retain_target)
  (bnc#1012382).
- KVM: Fix stack-out-of-bounds read in write_mmio (bnc#1012382).
- can: gs_usb: fix return value of the "set_bittiming" callback
  (bnc#1012382).
- IB/srpt: Disable RDMA access by the initiator (bnc#1012382).
- MIPS: Validate PR_SET_FP_MODE prctl(2) requests against the
  ABI of the task (bnc#1012382).
- MIPS: Factor out NT_PRFPREG regset access helpers (bnc#1012382).
- MIPS: Guard against any partial write attempt with
  PTRACE_SETREGSET (bnc#1012382).
- MIPS: Consistently handle buffer counter with PTRACE_SETREGSET
  (bnc#1012382).
- MIPS: Fix an FCSR access API regression with NT_PRFPREG and MSA
  (bnc#1012382).
- MIPS: Also verify sizeof `elf_fpreg_t' with PTRACE_SETREGSET
  (bnc#1012382).
- MIPS: Disallow outsized PTRACE_SETREGSET NT_PRFPREG regset
  accesses (bnc#1012382).
- net/mac80211/debugfs.c: prevent build failure with
  CONFIG_UBSAN=y (bnc#1012382).
- kvm: vmx: Scrub hardware GPRs at VM-exit (bnc#1012382
  bsc#1068032).
- iommu/arm-smmu-v3: Don't free page table ops twice
  (bnc#1012382).
- xhci: Fix ring leak in failure path of xhci_alloc_virt_device()
  (bnc#1012382).
- Revert "userfaultfd: selftest: vm: allow to build in vm/
  directory" (bnc#1012382).
- x86/pti/efi: broken conversion from efi to kernel page table
  (bnc#1012382).
- 8021q: fix a memory leak for VLAN 0 device (bnc#1012382).
- ip6_tunnel: disable dst caching if tunnel is dual-stack
  (bnc#1012382).
- net: core: fix module type in sock_diag_bind (bnc#1012382).
- RDS: Heap OOB write in rds_message_alloc_sgs() (bnc#1012382).
- RDS: null pointer dereference in rds_atomic_free_op
  (bnc#1012382).
- sh_eth: fix TSU resource handling (bnc#1012382).
- sh_eth: fix SH7757 GEther initialization (bnc#1012382).
- net: stmmac: enable EEE in MII, GMII or RGMII only
  (bnc#1012382).
- ipv6: fix possible mem leaks in ipv6_make_skb() (bnc#1012382).
- crypto: algapi - fix NULL dereference in crypto_remove_spawns()
  (bnc#1012382).
- rbd: set max_segments to USHRT_MAX (bnc#1012382).
- x86/microcode/intel: Extend BDW late-loading with a revision
  check (bnc#1012382).
- KVM: x86: Add memory barrier on vmcs field lookup (bnc#1012382).
- drm/vmwgfx: Potential off by one in vmw_view_add()
  (bnc#1012382).
- kaiser: Set _PAGE_NX only if supported (bnc#1012382).
- iscsi-target: Make TASK_REASSIGN use proper se_cmd->cmd_kref
  (bnc#1012382).
- target: Avoid early CMD_T_PRE_EXECUTE failures during ABORT_TASK
  (bnc#1012382).
- USB: serial: cp210x: add IDs for LifeScan OneTouch Verio IQ
  (bnc#1012382).
- USB: serial: cp210x: add new device ID ELV ALC 8xxx
  (bnc#1012382).
- usb: misc: usb3503: make sure reset is low for at least 100us
  (bnc#1012382).
- USB: fix usbmon BUG trigger (bnc#1012382).
- usbip: remove kernel addresses from usb device and urb debug
  msgs (bnc#1012382).
- staging: android: ashmem: fix a race condition in
  ASHMEM_SET_SIZE ioctl (bnc#1012382).
- Bluetooth: Prevent stack info leak from the EFS element
  (bnc#1012382 bsc#1070535 CVE-2017-1000410).
- uas: ignore UAS for Norelsys NS1068(X) chips (bnc#1012382).
- x86/Documentation: Add PTI description (bnc#1012382).
- x86/cpu: Factor out application of forced CPU caps
  (bnc#1012382).
- x86/cpufeatures: Make CPU bugs sticky (bnc#1012382).
- x86/cpufeatures: Add X86_BUG_CPU_INSECURE (bnc#1012382).
- x86/pti: Rename BUG_CPU_INSECURE to BUG_CPU_MELTDOWN
  (bnc#1012382).
- x86/cpufeatures: Add X86_BUG_SPECTRE_V[12] (bnc#1012382).
- x86/cpu: Merge bugs.c and bugs_64.c (bnc#1012382).
- sysfs/cpu: Add vulnerability folder (bnc#1012382).
- x86/cpu: Implement CPU vulnerabilites sysfs functions
  (bnc#1012382).
- sysfs/cpu: Fix typos in vulnerability documentation
  (bnc#1012382).
- x86/alternatives: Fix optimize_nops() checking (bnc#1012382).
- x86/alternatives: Add missing '\n' at end of ALTERNATIVE inline
  asm (bnc#1012382).
- selftests/x86: Add test_vsyscall (bnc#1012382).
- Refresh
  patches.arch/0223-KVM-arm-arm64-Export-mmio_read-write_bus.patch.
- Refresh
  patches.arch/0441-ACPI-PCI-IRQ-remove-SCI-penalize-function.patch.
- Refresh
  patches.arch/arm64-bsc1031492-0077-KVM-arm-arm64-Move-shared-files-to-virt-kvm-arm.patch.
- Refresh
  patches.drivers/0069-dm-bufio-don-t-take-the-lock-in-dm_bufio_shrink_coun.patch.
- Refresh
  patches.drivers/0110-iommu-arm-smmu-Implement-of_xlate-for-SMMUv3.patch.
- Refresh
  patches.drivers/0123-iommu-arm-smmu-Set-domain-geometry.patch.
- Refresh
  patches.drivers/target-Remove-command-flag-CMD_T_BUSY.patch.
- Refresh
  patches.drivers/target-Remove-command-flag-CMD_T_DEV_ACTIVE.patch.
- Refresh
  patches.drivers/target-iscsi-Introduce-a-helper-function-for-TMF-tra.patch.
- Refresh
  patches.drivers/xgene-sp3-0001-phy-Add-helper-function-to-check-phy-interface-mode.patch.
- Refresh
  patches.suse/05-x86-spec-add-ibrs-control-functions.patch.
- Refresh
  patches.suse/x86-mm-32-Move-setup_clear_cpu_cap-X86_FEATURE_PCID-.patch.
- Delete
  patches.fixes/Bluetooth-Prevent-stack-info-leak-from-the-EFS-element.patch.
- Delete
  patches.suse/29-x86-svm-add-code-to-clear-registers-on-vm-exit.patch.
- Update config files.
- commit 4dcff0a
* Wed Jan 17 2018 msuchanek@suse.de
- powerpc/64s: Allow control of RFI flush via debugfs (bsc#1068032, bsc#1075087).
- Refresh patches.arch/powerpc-rfi-flush-Move-the-logic-to-avoid-a-redo-int.patch.
  Also remove the sysfs interface of the same now that there is upstream
  solution.
- commit bb20756
* Wed Jan 17 2018 msuchanek@suse.de
- Update suppoted.conf
  + tpm_tis_core
- commit c1820dc
* Wed Jan 17 2018 msuchanek@suse.de
- Set supported_modules_check 1 (bsc#1072163).
- commit b0a7845
* Wed Jan 17 2018 mkubecek@suse.cz
- RDS: null pointer dereference in rds_atomic_free_op
  (CVE-2018-5333 bsc#1075617).
- commit 8239f79
* Wed Jan 17 2018 mkubecek@suse.cz
- RDS: Heap OOB write in rds_message_alloc_sgs() (CVE-2018-5332
  bsc#1075621).
- commit 40fc287
* Wed Jan 17 2018 mkubecek@suse.cz
- bpf: fix branch pruning logic (CVE-2017-17862 CVE-2017-17864
  bsc#1073928).
- commit 95459e3
* Wed Jan 17 2018 mkubecek@suse.cz
- net: ipv4: emulate READ_ONCE() on ->hdrincl bit-field in
  raw_sendmsg() (CVE-2017-17712 bsc#1073229).
- commit 1e7d783
* Wed Jan 17 2018 msuchanek@suse.de
- Refresh patches.drivers/ibmvnic-Fix-pending-MAC-address-changes.patch.
  Add commit hash
- commit ea6eee5
* Wed Jan 17 2018 mkubecek@suse.cz
- Update
  patches.kernel.org/4.4.109-042-net-ipv4-fix-for-a-race-condition-in-raw_send.patch
  references (add CVE-2017-17712 bsc#1073229).
- commit 217e3e9
* Wed Jan 17 2018 mkubecek@suse.cz
- Update
  patches.kernel.org/4.4.109-047-net-Fix-double-free-and-memory-corruption-in-.patch
  references (add CVE-2017-15129 bsc#1074839).
- commit 2288349
* Wed Jan 17 2018 mkubecek@suse.cz
- Update patches.kernel.org/patch-4.4.75-76 references (add CVE-2017-18017 bsc#1074488).
- commit dfdfc12
* Wed Jan 17 2018 tiwai@suse.de
- ALSA: pcm: Remove yet superfluous WARN_ON() (bsc#1031717).
- ALSA: hda - Apply the existing quirk to iMac 14,1 (bsc#1031717).
- ALSA: hda - Apply headphone noise quirk for another Dell XPS
  13 variant (bsc#1031717).
- commit 7247383
* Wed Jan 17 2018 jslaby@suse.cz
- asm-prototypes: Clear any CPP defines before declaring the
  functions (git-fixes).
- commit b5afae1
* Wed Jan 17 2018 jthumshirn@suse.de
- iser-target: Fix possible use-after-free in connection
  establishment error (FATE#321732).
- commit 87e989d
* Tue Jan 16 2018 tiwai@suse.de
- ALSA: seq: Make ioctls race-free (CVE-2018-1000004,bsc#1076017).
- commit 2eb8cdf
* Tue Jan 16 2018 jthumshirn@suse.de
- nvme_fc: correct hang in nvme_ns_remove() (bsc#1075811).
- commit e655c9e
* Tue Jan 16 2018 jslaby@suse.cz
- x86/asm: Use register variable to get stack pointer value
  (bsc#1068032 CVE-2017-5715).
- x86/kbuild: enable modversions for symbols exported from asm
  (bsc#1068032 CVE-2017-5715).
- x86/asm: Make asm/alternative.h safe from assembly (bsc#1068032
  CVE-2017-5715).
- EXPORT_SYMBOL() for asm (bsc#1068032 CVE-2017-5715).
- kconfig.h: use __is_defined() to check if MODULE is defined
  (bsc#1068032 CVE-2017-5715).
- x86/retpoline: Add initial retpoline support (bsc#1068032
  CVE-2017-5715).
- x86/spectre: Add boot time option to select Spectre v2
  mitigation (bsc#1068032 CVE-2017-5715).
- x86/retpoline/crypto: Convert crypto assembler indirect jumps
  (bsc#1068032 CVE-2017-5715).
- x86/retpoline/entry: Convert entry assembler indirect jumps
  (bsc#1068032 CVE-2017-5715).
- x86/retpoline/ftrace: Convert ftrace assembler indirect jumps
  (bsc#1068032 CVE-2017-5715).
- x86/retpoline/hyperv: Convert assembler indirect jumps
  (bsc#1068032 CVE-2017-5715).
- x86/retpoline/xen: Convert Xen hypercall indirect jumps
  (bsc#1068032 CVE-2017-5715).
- x86/retpoline/checksum32: Convert assembler indirect jumps
  (bsc#1068032 CVE-2017-5715).
- x86/retpoline/irq32: Convert assembler indirect jumps
  (bsc#1068032 CVE-2017-5715).
- x86/retpoline: Fill return stack buffer on vmexit (bsc#1068032
  CVE-2017-5715).
- x86/retpoline: Remove compile time warning (bsc#1068032
  CVE-2017-5715).
- kabi/severities: do not care about stuff_RSB
- Update config files.
- Refresh
  patches.suse/01-x86-feature-enable-the-x86-feature-to-control-speculation.patch.
- Refresh
  patches.suse/03-x86-entry-use-ibrs-on-entry-to-kernel-space.patch.
- Refresh
  patches.suse/14-x86-kvm-add-msr_ia32_spec_ctrl-and-msr_ia32_pred_cmd-to-kvm.patch.
- Refresh
  patches.suse/18-x86-spec_ctrl-check-whether-ibrs-is-enabled-before-using-it.patch.
- Refresh
  patches.suse/19-x86-spec_ctrl-check-whether-ibpb-is-enabled-before-using-it.patch.
- Refresh
  patches.suse/20-x86-cpu-check-speculation-control-cpuid-bit.patch.
- Refresh
  patches.suse/25-x86-svm-set-ibrs-value-on-vm-entry-and-exit.patch.
- Delete patches.suse/17-x86-kvm-pad-rsb-on-vm-transition.patch.
- Delete patches.suse/28-x86-svm-clobber-the-rsb-on-vm-exit.patch.
- commit d248742
* Tue Jan 16 2018 jthumshirn@suse.de
- nvme_fc: fix rogue admin cmds stalling teardown (bsc#1075811).
- commit 88cf9ef
* Tue Jan 16 2018 yousaf.kaukab@suse.com
- arm64: Don't force KPTI for CPUs that are not vulnerable
  (bsc#1076187).
- commit 5bc04ba
* Tue Jan 16 2018 msuchanek@suse.de
- scsi: sr: wait for the medium to become ready (bsc#1048585).
- cdrom: wait for tray to close (bsc#1048585).
  Refresh patches.drivers/0085-Replace-asm-uaccess.h-with-linux-uaccess.h-globally.patch.
- cdrom: factor out common open_for_* code (bsc#1048585).
- delay: add poll_event_interruptible (bsc#1048585).
- commit f793216
* Tue Jan 16 2018 msuchanek@suse.de
- powerpc/rfi-flush: Make setup_rfi_flush() not __init
  (bsc#1068032, bsc#1075087).
- commit 30ac9ee
* Tue Jan 16 2018 jack@suse.cz
- ext4: Fix ENOSPC handling in DAX page fault handle
  (bsc#1072484).
- dax: Pass detailed error code from __dax_fault() (bsc#1072484).
- commit 96b8117
* Tue Jan 16 2018 tiwai@suse.de
- Refresh patches.kabi/kaiser-preserve-kabi.patch.
  Fix compile warning with GENKSYMS due to the duplicated define.
- commit e7f2075
* Tue Jan 16 2018 tbogendoerfer@suse.de
- IB/ipoib: Fix race condition in neigh creation (bsc#1022595
  FATE#322350).
- IB/srpt: Fix ACL lookup during login (bsc#1024296 FATE#321265).
- commit 3064749
* Tue Jan 16 2018 jkosina@suse.cz
- Refresh
  patches.suse/32-x86-nospec-fix-ordering-of-earlyparam-vs-cap-clearing.patch.
  Fix return value from ib[rs|pb]_enabled()
- commit 6cc46f9
* Tue Jan 16 2018 jkosina@suse.cz
- Refresh
  patches.suse/32-x86-nospec-fix-ordering-of-earlyparam-vs-cap-clearing.patch.
  Fix mishandling of cases with MSR not being present (writing to MSR even though
  _state == -1).
- commit ef4544a
* Mon Jan 15 2018 jkosina@suse.cz
- x86/spectre_v2: fix ordering in IBRS initialization (bsc#1075994
  bsc#1075091).
- commit 2823af1
* Mon Jan 15 2018 msuchanek@suse.de
- powerpc/pseries: include linux/types.h in asm/hvcall.h
  (bsc#1068032, bsc#1075087).
- commit 1362354
* Mon Jan 15 2018 yousaf.kaukab@suse.com
- arm64: kpti: Fix the interaction between ASID switching and
  software PAN (bsc#1068032).
- arm64: Branch predictor hardening for Cavium ThunderX2
  (bsc#1068032).
- arm64: cputype: Add MIDR values for Cavium ThunderX2 CPUs
  (bsc#1068032).
- arm64: Implement branch predictor hardening for Falkor
  (bsc#1068032).
- arm64: Implement branch predictor hardening for affected
  Cortex-A CPUs (bsc#1068032).
- arm64: cputype: Add missing MIDR values for Cortex-A72 and
  Cortex-A75 (bsc#1068032).
- arm64: KVM: Make PSCI_VERSION a fast path (bsc#1068032).
- arm64: KVM: Use per-CPU vector when BP hardening is enabled
  (bsc#1068032).
- arm64: Add skeleton to harden the branch predictor against
  aliasing attacks (bsc#1068032).
- arm64: Move post_ttbr_update_workaround to C code (bsc#1068032).
- drivers/firmware: Expose psci_get_version through psci_ops
  structure (bsc#1068032).
- arm64: cpufeature: Pass capability structure to ->enable
  callback (bsc#1068032).
- arm64: Take into account ID_AA64PFR0_EL1.CSV3 (bsc#1068032).
- arm64: Kconfig: Reword UNMAP_KERNEL_AT_EL0 kconfig entry
  (bsc#1068032).
- arm64: use RET instruction for exiting the trampoline
  (bsc#1068032).
- arm64: Define cputype macros for Falkor CPU (bsc#1068032).
- arm64: entry.S: convert elX_irq (bsc#1068032).
- arm64: entry.S convert el0_sync (bsc#1068032).
- arm64: entry.S: convert el1_sync (bsc#1068032).
- arm64: entry.S: Remove disable_dbg (bsc#1068032).
- arm64: Mask all exceptions during kernel_exit (bsc#1068032).
- arm64: factor work_pending state machine to C (bsc#1068032).
- arm64: entry: remove pointless SPSR mode check (bsc#1068032).
- arm64: Add trace_hardirqs_off annotation in ret_to_user
  (bsc#1068032).
- arm64: Move the async/fiq helpers to explicitly set process
  context flags (bsc#1068032).
- arm64: introduce an order for exceptions (bsc#1068032).
- arm64: debug: remove unused local_dbg_{enable, disable} macros
  (bsc#1068032).
- arm64/cpufeature: don't use mutex in bringup path (bsc#1068032).
- commit 83faa5e
* Sat Jan 13 2018 msuchanek@suse.de
- powerpc/rfi-flush: Move RFI flush fields out of the paca (unbreak kABI)
  (bsc#1068032, bsc#1075087).
- Delete patches.suse/powerpc-Secure-memory-rfi-flush-SLE12SP3.patch.
- commit f937a35
* Sat Jan 13 2018 msuchanek@suse.de
- Move the RFI debug code into separate patch.
- powerpc/rfi-flush: Add DEBUG_RFI config option (bsc#1068032, bsc#1075087).
- Refresh patches.suse/powerpc-Secure-memory-rfi-flush-SLE12SP3.patch.
- Delete patches.suse/rfi-flush-Make-DEBUG_RFI-a-CONFIG-option.patch.
- commit bd4f019
* Sat Jan 13 2018 msuchanek@suse.de
- Move RFI sysfs to a separate patch
- Refresh patches.suse/powerpc-Secure-memory-rfi-flush-SLE12SP3.patch.
- Refresh patches.suse/powerpc-rfi-flush-Move-the-logic-to-avoid-a-redo-int.patch.
- commit f8d62c6
* Sat Jan 13 2018 msuchanek@suse.de
- powerpc/powernv: Check device-tree for RFI flush settings (bsc#1068032,
    bsc#1075087).
- Refresh patches.suse/powerpc-Secure-memory-rfi-flush-SLE12SP3.patch.
- commit fe3a7a6
* Sat Jan 13 2018 msuchanek@suse.de
- powerpc/pseries: Query hypervisor for RFI flush settings (bsc#1068032,
    bsc#1075087).
- Refresh patches.suse/powerpc-Secure-memory-rfi-flush-SLE12SP3.patch.
- Refresh patches.suse/powerpc-pseries-rfi-flush-Call-setup_rfi_flush-after.patch.
- commit 2e3c252
* Sat Jan 13 2018 msuchanek@suse.de
- powerpc/64s: Support disabling RFI flush with no_rfi_flush and nopti
  (bsc#1068032, bsc#1075087).
- Refresh patches.suse/powerpc-Secure-memory-rfi-flush-SLE12SP3.patch.
- commit 067ea6d
* Sat Jan 13 2018 msuchanek@suse.de
- powerpc/64s: Add support for RFI flush of L1-D cache (bsc#1068032,
    bsc#1075087).
- Refresh patches.suse/powerpc-Secure-memory-rfi-flush-SLE12SP3.patch.
- commit d41e77b
* Fri Jan 12 2018 msuchanek@suse.de
- powerpc/64s: Simple RFI macro conversions (bsc#1068032, bsc#1075087).
- Refresh patches.suse/powerpc-Secure-memory-rfi-flush-SLE12SP3.patch.
- commit 14318f0
* Fri Jan 12 2018 msuchanek@suse.de
- powerpc/64: Convert the syscall exit path to use RFI_TO_USER/KERNEL
  (bsc#1068032, bsc#1075087).
- Refresh patches.suse/powerpc-Secure-memory-rfi-flush-SLE12SP3.patch.
- commit f0b57cb
* Fri Jan 12 2018 msuchanek@suse.de
- powerpc/64: Convert fast_exception_return to use RFI_TO_USER/KERNEL
  (bsc#1068032, bsc#1075087).
- Refresh patches.suse/powerpc-Secure-memory-rfi-flush-SLE12SP3.patch.
- commit f6523cf
* Fri Jan 12 2018 msuchanek@suse.de
- powerpc/64s: Convert slb_miss_common to use RFI_TO_USER/KERNEL
  (bsc#1068032, bsc#1075087).
- Refresh patches.suse/powerpc-Secure-memory-rfi-flush-SLE12SP3.patch.
- commit 43873f3
* Fri Jan 12 2018 msuchanek@suse.de
- powerpc/64: Add macros for annotating the destination of rfid/hrfid
  (bsc#1068032, bsc#1075087).
- Refresh patches.suse/powerpc-Secure-memory-rfi-flush-SLE12SP3.patch.
- commit f1312a0
* Fri Jan 12 2018 msuchanek@suse.de
- powerpc/64s: Add EX_SIZE definition for paca exception save areas
  (bsc#1068032, bsc#1075087).
- Refresh
  patches.suse/powerpc-Secure-memory-rfi-flush-SLE12SP3.patch.
- commit 7baf643
* Fri Jan 12 2018 msuchanek@suse.de
- Refresh patches.suse/powerpc-pseries-Introduce-H_GET_CPU_CHARACTERISTICS.patch.
- commit d242ed6
* Fri Jan 12 2018 jslaby@suse.cz
- bpf, array: fix overflow in max_entries and undefined behavior
  in index_mask (bsc#1068032 CVE-2017-5753).
- commit 110eda0
* Fri Jan 12 2018 msuchanek@suse.de
- Refresh
  patches.suse/powerpc-asm-Allow-including-ppc_asm.h-in-asm-files.patch.
- commit 568aa05
* Fri Jan 12 2018 jslaby@suse.cz
- kABI: protect struct bpf_map (kabi).
- commit 7fd7034
* Fri Jan 12 2018 hare@suse.de
- Fixup hang when calling 'nvme list' on all paths down (bsc#1070052).
- commit fb573fe
* Fri Jan 12 2018 jslaby@suse.cz
- Delete
  patches.suse/0002-bpf-prevent-speculative-execution-in-eBPF-interprete.patch.
  This has been just replaced by the proper upstream solution.
- commit b3232b5
* Fri Jan 12 2018 jslaby@suse.cz
- bpf: adjust insn_aux_data when patching insns (bsc#1068032
  CVE-2017-5753).
- commit 74eccd8
* Fri Jan 12 2018 jslaby@suse.cz
- bpf: don't (ab)use instructions to store state (bsc#1068032
  CVE-2017-5753).
- commit c49b332
* Fri Jan 12 2018 jslaby@suse.cz
- bpf: refactor fixup_bpf_calls() (bsc#1068032 CVE-2017-5753).
- bpf: move fixup_bpf_calls() function (bsc#1068032
  CVE-2017-5753).
- bpf: add bpf_patch_insn_single helper (bsc#1068032
  CVE-2017-5753).
- commit e75db2f
* Fri Jan 12 2018 msuchanek@suse.de
- ibmvnic: Don't handle RX interrupts when not up (bsc#1075066).
- commit 08febef
* Fri Jan 12 2018 yousaf.kaukab@suse.com
- config: arm64: enable HARDEN_BRANCH_PREDICTOR
- commit 1e09a1d
* Fri Jan 12 2018 yousaf.kaukab@suse.com
- kabi/severities: arm64: ignore cpu capability array
- commit 6e1ed1b
* Fri Jan 12 2018 jslaby@suse.cz
- bpf: prevent out-of-bounds speculation (bsc#1068032
  CVE-2017-5753).
- commit 861ad38
* Thu Jan 11 2018 msuchanek@suse.de
- Revert "Enable DEBUG_RFI"
- commit ec83e2d
* Thu Jan 11 2018 msuchanek@suse.de
- Refresh patches.suse/powerpc-Secure-memory-rfi-flush-SLE12SP3.patch.
  Fix EX_SIZE. We do not have the patches that shave off parts of the
  exception data.
- commit ee94e93
* Thu Jan 11 2018 msuchanek@suse.de
- ibmvnic: Fix pending MAC address changes (bsc#1075627).
- commit e0cf6a0
* Thu Jan 11 2018 msuchanek@suse.de
- Revert "Re-enable fixup detection by CPU type in case hypervisor call
  fails."
  The firmware update is required for the existing instructions to also do
  the cache flush.
- commit 05de247
* Thu Jan 11 2018 msuchanek@suse.de
- powerpc/pseries/rfi-flush: Call setup_rfi_flush() after LPM
  migration (bsc#1068032, bsc#1075087).
- commit dc49785
* Thu Jan 11 2018 msuchanek@suse.de
- powerpc/rfi-flush: Move the logic to avoid a redo into the
  sysfs code (bsc#1068032, bsc#1075087).
- commit 8c5573d
* Thu Jan 11 2018 tiwai@suse.de
- Fix build breakage with previous x86/acpi merge
  Refreshed:
  patches.arch/0441-ACPI-PCI-IRQ-remove-SCI-penalize-function.patch
  patches.arch/0446-ACPI-PCI-pci_link-penalize-SCI-correctly.patch
- commit 7d5d09f
* Thu Jan 11 2018 tbogendoerfer@suse.de
- net: mvneta: eliminate wrong call to handle rx descriptor error
  (fate#319899).
- net: mvneta: use proper rxq_number in loop on rx queues
  (fate#319899).
- commit c2f89d1
* Thu Jan 11 2018 tiwai@suse.de
- ALSA: pcm: Allow aborting mutex lock at OSS read/write loops
  (bsc#1031717).
- ALSA: pcm: Abort properly at pending signal in OSS read/write
  loops (bsc#1031717).
- ALSA: aloop: Fix racy hw constraints adjustment (bsc#1031717).
- ALSA: aloop: Fix inconsistent format due to incomplete rule
  (bsc#1031717).
- ALSA: aloop: Release cable upon open error path (bsc#1031717).
- ALSA: pcm: Add missing error checks in OSS emulation plugin
  builder (bsc#1031717).
- ALSA: pcm: Remove incorrect snd_BUG_ON() usages (bsc#1031717).
- commit f144fec
* Wed Jan 10 2018 mwilck@suse.com
- Refresh patches.drivers/nvme-loop-check-if-queue-is-ready-in-queue_rq.patch (bsc#1075397).
- commit 83283f1
* Wed Jan 10 2018 jslaby@suse.cz
- Refresh patches.suse/4.4-59-kaiser-efi-fix.patch.
  Update upstream status.
- commit 833ee7e
* Wed Jan 10 2018 jslaby@suse.cz
- Linux 4.4.111 (bnc#1012382).
- x86/kasan: Write protect kasan zero shadow (bnc#1012382).
- kernel/acct.c: fix the acct->needcheck check in
  check_free_space() (bnc#1012382).
- crypto: n2 - cure use after free (bnc#1012382).
- crypto: chacha20poly1305 - validate the digest size
  (bnc#1012382).
- crypto: pcrypt - fix freeing pcrypt instances (bnc#1012382).
- sunxi-rsb: Include OF based modalias in device uevent
  (bnc#1012382).
- fscache: Fix the default for fscache_maybe_release_page()
  (bnc#1012382).
- kernel: make groups_sort calling a responsibility group_info
  allocators (bnc#1012382).
- kernel/signal.c: protect the traced SIGNAL_UNKILLABLE tasks
  from SIGKILL (bnc#1012382).
- kernel/signal.c: protect the SIGNAL_UNKILLABLE tasks from
  !sig_kernel_only() signals (bnc#1012382).
- kernel/signal.c: remove the no longer needed SIGNAL_UNKILLABLE
  check in complete_signal() (bnc#1012382).
- ARC: uaccess: dont use "l" gcc inline asm constraint modifier
  (bnc#1012382).
- Input: elantech - add new icbody type 15 (bnc#1012382).
- parisc: Fix alignment of pa_tlb_lock in assembly on 32-bit
  SMP kernel (bnc#1012382).
- x86/tlb: Drop the _GPL from the cpu_tlbstate export
  (bnc#1012382).
- Fix build error in vma.c (bnc#1012382).
- Refresh
  patches.kabi/revert-kaiser-vmstat-show-NR_KAISERTABLE-as-nr_overh.patch.
- Refresh
  patches.suse/x86-vdso-Remove-pvclock-fixmap-machinery.patch.
- commit 199206f
* Wed Jan 10 2018 msuchanek@suse.de
- Refresh patches.suse/powerpc-Secure-memory-rfi-flush-SLE12SP3.patch.
  Re-enable fixup detection by CPU type in case hypervisor call fails.
- commit f70dcdd
* Wed Jan 10 2018 jslaby@suse.cz
- Linux 4.4.110 (bnc#1012382).
- Revert "kaiser: vmstat show NR_KAISERTABLE as nr_overhead"
  (kabi).
- KPTI: Rename to PAGE_TABLE_ISOLATION (bnc#1012382).
- KPTI: Report when enabled (bnc#1012382).
- x86/kasan: Clear kasan_zero_page after TLB flush (bnc#1012382).
- kaiser: Set _PAGE_NX only if supported (bnc#1012382).
- Refresh
  patches.arch/0022-x86-mm-pkeys-dump-pkey-from-vma-in-proc-pid-smaps.
- Refresh
  patches.arch/0033-mm-core-x86-mm-pkeys-add-execute-only-protection-keys-support.
- Refresh
  patches.arch/x86-cpufeature-add-avx512_4vnniw-and-avx512_4fmaps-features.patch.
- Refresh patches.drivers/x86-mm-introduce-page_devmap.patch.
- Refresh patches.kabi/kaiser-preserve-kabi.patch.
- Refresh
  patches.suse/0009-PM-hibernate-Reserve-hibernation-key-and-erase-footp.patch.
- Refresh
  patches.suse/01-x86-feature-enable-the-x86-feature-to-control-speculation.patch.
- Refresh
  patches.suse/03-x86-entry-use-ibrs-on-entry-to-kernel-space.patch.
- Delete
  patches.suse/4.4-34-kaiser-align-addition-to-x86-mm-Makefile.patch.
- Update config files.
- commit 41b4d0f
* Wed Jan 10 2018 jslaby@suse.cz
- x86/mm/32: Move setup_clear_cpu_cap(X86_FEATURE_PCID) earlier
  (git-fixes).
- commit 0402474
* Wed Jan 10 2018 jslaby@suse.cz
- Linux 4.4.109 (bnc#1012382).
- crypto: mcryptd - protect the per-CPU queue with a lock
  (bnc#1012382).
- mfd: cros ec: spi: Don't send first message too soon
  (bnc#1012382).
- mfd: twl4030-audio: Fix sibling-node lookup (bnc#1012382).
- mfd: twl6040: Fix child-node lookup (bnc#1012382).
- PCI / PM: Force devices to D0 in pci_pm_thaw_noirq()
  (bnc#1012382).
- parisc: Hide Diva-built-in serial aux and graphics card
  (bnc#1012382).
- spi: xilinx: Detect stall with Unknown commands (bnc#1012382).
- KVM: X86: Fix load RFLAGS w/o the fixed bit (bnc#1012382).
- kvm: x86: fix RSM when PCID is non-zero (bnc#1012382).
- net: mvneta: clear interface link status on port disable
  (bnc#1012382).
- tracing: Remove extra zeroing out of the ring buffer page
  (bnc#1012382).
- tracing: Fix possible double free on failure of allocating
  trace buffer (bnc#1012382).
- tracing: Fix crash when it fails to alloc ring buffer
  (bnc#1012382).
- ring-buffer: Mask out the info bits when returning buffer page
  length (bnc#1012382).
- iw_cxgb4: Only validate the MSN for successful completions
  (bnc#1012382).
- x86/vm86/32: Switch to flush_tlb_mm_range() in
  mark_screen_rdonly() (bnc#1012382).
- x86/mm: Disable PCID on 32-bit kernels (bnc#1012382).
- kbuild: add '-fno-stack-check' to kernel build options
  (bnc#1012382).
- ipv4: igmp: guard against silly MTU values (bnc#1012382).
- ipv6: mcast: better catch silly mtu values (bnc#1012382).
- net: igmp: Use correct source address on IGMPv3 reports
  (bnc#1012382).
- net: qmi_wwan: add Sierra EM7565 1199:9091 (bnc#1012382).
- net: reevalulate autoflowlabel setting after sysctl setting
  (bnc#1012382).
- tcp md5sig: Use skb's saddr when replying to an incoming segment
  (bnc#1012382).
- tg3: Fix rx hang on MTU change with 5717/5719 (bnc#1012382).
- net: ipv4: fix for a race condition in raw_sendmsg
  (bnc#1012382).
- net: mvmdio: disable/unprepare clocks in EPROBE_DEFER case
  (bnc#1012382).
- sctp: Replace use of sockets_allocated with specified macro
  (bnc#1012382).
- ipv4: Fix use-after-free when flushing FIB tables (bnc#1012382).
- net: bridge: fix early call to br_stp_change_bridge_id and
  plug newlink leaks (bnc#1012382).
- net: Fix double free and memory corruption in get_net_ns_by_id()
  (bnc#1012382).
- net: phy: micrel: ksz9031: reconfigure autoneg after phy
  autoneg workaround (bnc#1012382).
- sock: free skb in skb_complete_tx_timestamp on error
  (bnc#1012382).
- usbip: fix usbip bind writing random string after command in
  match_busid (bnc#1012382).
- usbip: stub: stop printing kernel pointer addresses in messages
  (bnc#1012382).
- usbip: vhci: stop printing kernel pointer addresses in messages
  (bnc#1012382).
- USB: serial: ftdi_sio: add id for Airbus DS P8GR (bnc#1012382).
- USB: serial: qcserial: add Sierra Wireless EM7565 (bnc#1012382).
- USB: serial: option: add support for Telit ME910 PID 0x1101
  (bnc#1012382).
- USB: serial: option: adding support for YUGA CLM920-NC5
  (bnc#1012382).
- usb: Add device quirk for Logitech HD Pro Webcam C925e
  (bnc#1012382).
- usb: add RESET_RESUME for ELSA MicroLink 56K (bnc#1012382).
- usb: xhci: Add XHCI_TRUST_TX_LENGTH for Renesas uPD720201
  (bnc#1012382).
- nohz: Prevent a timer interrupt storm in
  tick_nohz_stop_sched_tick() (bnc#1012382).
- x86/smpboot: Remove stale TLB flush invocations (bnc#1012382).
- n_tty: fix EXTPROC vs ICANON interaction with TIOCINQ (aka
  FIONREAD) (bnc#1012382).
- mm/vmstat: Make NR_TLB_REMOTE_FLUSH_RECEIVED available even
  on UP (bnc#1012382).
- kABI: protect struct ipv6_pinfo (kabi).
- Refresh
  patches.arch/0001-x86-cpufeature-x86-mm-pkeys-add-protection-keys-related-cpuid-definitions.
- Refresh
  patches.arch/0028-x86-mm-factor-out-ldt-init-from-context-init.
- Refresh patches.arch/0041-x86-pkeys-allocation-free-syscalls.
- Refresh patches.arch/x86-mpx-move-bd_addr-to-mm_context_t.
- Refresh patches.suse/sched-throttle-nohz.patch.
- Refresh
  patches.suse/x86-mm-sched-make-lazy-TLB-mode-even-lazier-kabi.patch.
- commit 39b69ee
* Wed Jan 10 2018 jslaby@suse.cz
- Linux 4.4.108 (bnc#1012382).
- arm64: Initialise high_memory global variable earlier
  (bnc#1012382).
- arm: kprobes: Fix the return address of multiple kretprobes
  (bnc#1012382).
- arm: kprobes: Align stack to 8-bytes in test code (bnc#1012382).
- cpuidle: Validate cpu_dev in cpuidle_add_sysfs() (bnc#1012382).
- r8152: fix the list rx_done may be used without initialization
  (bnc#1012382).
- crypto: deadlock between crypto_alg_sem/rtnl_mutex/genl_mutex
  (bnc#1012382).
- sch_dsmark: fix invalid skb_cow() usage (bnc#1012382).
- net: qmi_wwan: Add USB IDs for MDM6600 modem on Motorola Droid 4
  (bnc#1012382).
- usb: gadget: f_uvc: Sanity check wMaxPacketSize for SuperSpeed
  (bnc#1012382).
- usb: gadget: udc: remove pointer dereference after free
  (bnc#1012382).
- netfilter: nfnl_cthelper: fix runtime expectation policy updates
  (bnc#1012382).
- netfilter: nfnl_cthelper: Fix memory leak (bnc#1012382).
- inet: frag: release spinlock before calling icmp_send()
  (bnc#1012382).
- pinctrl: st: add irq_request/release_resources callbacks
  (bnc#1012382).
- KVM: x86: correct async page present tracepoint (bnc#1012382).
- KVM: VMX: Fix enable VPID conditions (bnc#1012382).
- ARM: dts: ti: fix PCI bus dtc warnings (bnc#1012382).
- hwmon: (asus_atk0110) fix uninitialized data access
  (bnc#1012382).
- HID: xinmo: fix for out of range for THT 2P arcade controller
  (bnc#1012382).
- r8152: prevent the driver from transmitting packets with
  carrier off (bnc#1012382).
- s390/qeth: no ETH header for outbound AF_IUCV (LTC#156276
  bnc#1012382 bnc#1053472).
- net: Do not allow negative values for busy_read and busy_poll
  sysctl interfaces (bnc#1012382).
- irda: vlsi_ir: fix check for DMA mapping errors (bnc#1012382).
- netfilter: nfnl_cthelper: fix a race when walk the
  nf_ct_helper_hash table (bnc#1012382).
- ARM: dts: am335x-evmsk: adjust mmc2 param to allow suspend
  (bnc#1012382).
- KVM: pci-assign: do not map smm memory slot pages in vt-d page
  tables (bnc#1012382).
- isdn: kcapi: avoid uninitialized data (bnc#1012382).
- xhci: plat: Register shutdown for xhci_plat (bnc#1012382).
- netfilter: nfnetlink_queue: fix secctx memory leak
  (bnc#1012382).
- ARM: dma-mapping: disallow dma_get_sgtable() for non-kernel
  managed memory (bnc#1012382).
- cpuidle: powernv: Pass correct drv->cpumask for registration
  (bnc#1012382).
- backlight: pwm_bl: Fix overflow condition (bnc#1012382).
- crypto: crypto4xx - increase context and scatter ring buffer
  elements (bnc#1012382).
- rtc: pl031: make interrupt optional (bnc#1012382).
- net: phy: at803x: Change error to EINVAL for invalid MAC
  (bnc#1012382).
- PCI: Avoid bus reset if bridge itself is broken (bnc#1012382).
- scsi: cxgb4i: fix Tx skb leak (bnc#1012382).
- scsi: mpt3sas: Fix IO error occurs on pulling out a drive from
  RAID1 volume created on two SATA drive (bnc#1012382).
- PCI: Create SR-IOV virtfn/physfn links before attaching driver
  (bnc#1012382).
- igb: check memory allocation failure (bnc#1012382).
- ixgbe: fix use of uninitialized padding (bnc#1012382).
- PCI/AER: Report non-fatal errors only to the affected endpoint
  (bnc#1012382).
- fm10k: ensure we process SM mbx when processing VF mbx
  (bnc#1012382).
- tcp: fix under-evaluated ssthresh in TCP Vegas (bnc#1012382).
- rtc: set the alarm to the next expiring timer (bnc#1012382).
- cpuidle: fix broadcast control when broadcast can not be entered
  (bnc#1012382).
- thermal: hisilicon: Handle return value of clk_prepare_enable
  (bnc#1012382).
- MIPS: math-emu: Fix final emulation phase for certain
  instructions (bnc#1012382).
- Revert "Bluetooth: btusb: driver to enable the usb-wakeup
  feature" (bnc#1012382).
- alpha: fix build failures (bnc#1012382).
- Refresh
  patches.arch/0003-kvm-async_pf-fix-df-due-to-inject-page-not-present-and-page-ready-exceptions-simultaneously.
- Refresh
  patches.arch/0028-x86-mm-factor-out-ldt-init-from-context-init.
- Refresh
  patches.arch/arm64-0066-kdump-arm64-kdump-reserve-memory-for-crash-dump-kernel.patch.
- Refresh
  patches.arch/arm64-0072-kdump-arm64-kdump-provide-proc-vmcore-file.patch.
- Refresh
  patches.arch/arm64-numa-0006-arm64-numa-Add-NUMA-support-for-arm64-platforms..patch.
- Refresh
  patches.arch/cxl-Support-the-cxl-kernel-API-from-a-guest.patch.
- Refresh
  patches.drivers/ixgbe-Clean-up-interface-for-firmware-commands.patch.
- Refresh
  patches.fixes/netfilter-nfnetlink_cthelper-Add-missing-permission-.patch.
- Delete
  patches.arch/s390-sles12sp3-03-01-02-no-ETH-header-for-outbound-AF_IUCV.patch.
- commit 2ac2c1a
* Wed Jan 10 2018 tbogendoerfer@suse.de
- IB/hfi1: Fix misspelling in comment (bsc#973818, fate#319242).
- IB/hfi1: Prevent kernel QP post send hard lockups (bsc#973818
  FATE#319242).
- IB/rdmavt: restore IRQs on error path in rvt_create_ah()
  (bsc#973818, fate#319242).
- commit de4a191
* Wed Jan 10 2018 tbogendoerfer@suse.de
- IB/mlx5: Serialize access to the VMA list (bsc#1015342
  FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5: Stay in polling mode when command EQ destroy fails
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Cleanup IRQs in case of unload failure (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Prevent possible races in VXLAN control flow
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Add refcount to VXLAN structure (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Fix possible deadlock of VXLAN lock (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Fix features check of IPv6 traffic (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Fix rate limit packet pacing naming and struct
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- ip6_gre: remove the incorrect mtu limit for ipgre tap
  (bsc#1022912 FATE#321246).
- net/mlx5: Avoid NULL pointer dereference on steering cleanup
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- commit 4b9931a
* Wed Jan 10 2018 hare@suse.de
- iscsi_iser: Re-enable 'iser_pi_guard' module parameter
  (bsc#1062129).
- commit 125538c
* Tue Jan  9 2018 msuchanek@suse.de
- Enable DEBUG_RFI
- commit 0ecae9b
* Tue Jan  9 2018 msuchanek@suse.de
- rfi-flush: Make DEBUG_RFI a CONFIG option (bsc#1068032,
  bsc#1075087).
- commit ba15e78
* Tue Jan  9 2018 msuchanek@suse.de
- Update patches.suse/powerpc-Secure-memory-rfi-flush-SLE12SP3.patch (bsc#1068032, bsc#1075087).
- powerpc/pseries: Introduce H_GET_CPU_CHARACTERISTICS
  (bsc#1068032, bsc#1075087).
- powerpc/asm: Allow including ppc_asm.h in asm files
  (bsc#1068032, bsc#1075087).
- commit 432eecb
* Tue Jan  9 2018 bp@suse.de
- x86/cpu/AMD: Make LFENCE a serializing instruction (bsc#1068032
  CVE-2017-5754).
- x86/cpu/AMD: Use LFENCE_RDTSC in preference to MFENCE_RDTSC
  (bsc#1068032 CVE-2017-5754).
- Delete
  patches.suse/30-x86-cpu-amd-make-the-lfence-instruction-serialized.patch.
- Delete
  patches.suse/31-x86-cpu-amd-remove-now-unused-definition-of-mfence_rdtsc-feature.patch.
- commit 25ed85c
* Tue Jan  9 2018 tbogendoerfer@suse.de
- i40iw: Notify user of established connection after QP in RTS
  (bsc#1024376 FATE#321249).
- i40iw: Move MPA request event for loopback after connect
  (bsc#1024376 FATE#321249).
- i40iw: Correct ARP index mask (bsc#1024376 FATE#321249).
- i40iw: Do not free sqbuf when event is I40IW_TIMER_TYPE_CLOSE
  (bsc#1024376 FATE#321249).
- i40iw: Allocate a sdbuf per CQP WQE (bsc#1024376 FATE#321249).
- i40iw: Move cqp_cmd_head init to CQP initialization (bsc#1024376
  FATE#321249).
- i40iw: Clear CQP Head/Tail during initialization (bsc#1024376
  FATE#321249).
- i40iw: Reinitialize IEQ on MTU change (bsc#1024376 FATE#321249).
- i40iw: Account for IPv6 header when setting MSS (bsc#1024376
  FATE#321249).
- i40iw: Move exception_lan_queue to VSI structure (bsc#1024376
  FATE#321249).
- i40iw: Ignore AE source field in AEQE for some AEs (bsc#1024376
  FATE#321249).
- i40iw: Cleanup AE processing (bsc#1024376 FATE#321249).
- i40iw: Do not allow posting WR after QP is flushed (bsc#1024376
  FATE#321249).
- i40iw: Do not generate CQE for RTR on QP flush (bsc#1024376
  FATE#321249).
- i40iw: Do not retransmit MPA request after it is ACKed
  (bsc#1024376 FATE#321249).
- i40iw: Fixes for static checker warnings (bsc#1024376
  FATE#321249).
- RDMA/i40iw: Remove MSS change support (bsc#1024376 FATE#321249).
- crypto: chelsio - select CRYPTO_GF128MUL (bsc#1048325).
- commit 1176989
* Tue Jan  9 2018 jkosina@suse.cz
- Refresh patches.arch/s390-sles12sp3-99-03-nobp.patch: fix spurious BPON
- commit 69ac2b4
* Tue Jan  9 2018 jthumshirn@suse.de
- s390: kvm: Cpu model support for msa6, msa7 and msa8
  (FATE#324069, LTC#159031).
- KVM: s390: Populate mask of non-hypervisor managed facility bits
  (FATE#324071, LTC#158956).
- s390/sclp: Add hmfai field (FATE#324071, LTC#158956).
- KVM: s390: Enable all facility bits that are known good for
  passthrough (FATE#324071, LTC#158956).
- s390/mem_detect: use unsigned longs (FATE#324071, LTC#158956).
- commit 194ecdc
* Tue Jan  9 2018 jthumshirn@suse.de
- KVM: s390: Fix STHYI buffer alignment for diag224 (FATE#324070,
  LTC#158959).
- KVM: s390: Limit sthyi execution (FATE#324070, LTC#158959).
- KVM: s390: Add sthyi emulation (FATE#324070, LTC#158959).
- KVM: s390: Extend diag 204 fields (FATE#324070, LTC#158959).
- KVM: s390: Add operation exception interception handler
  (FATE#324070, LTC#158959).
- s390: Make diag224 public (FATE#324070, LTC#158959).
- s390: Make cpc_name accessible (FATE#324070, LTC#158959).
- s390: hypfs: Move diag implementation and data definitions
  (FATE#324070, LTC#158959).
- commit 6044a36
* Tue Jan  9 2018 jthumshirn@suse.de
- KVM: s390: Introduce BCD Vector Instructions to the guest
  (FATE#324072, LTC#158953).
- KVM: s390: Introduce Vector Enhancements facility 1 to the guest
  (FATE#324072, LTC#158953).
- commit ba00f1d
* Tue Jan  9 2018 jthumshirn@suse.de
- KVM: s390: instruction-execution-protection support
  (LTC#162428).
- commit e5d1290
* Tue Jan  9 2018 jthumshirn@suse.de
- s390/noexec: execute kexec datamover without DAT (FATE#324087,
  LTC#158827).
- s390/pageattr: handle numpages parameter correctly (FATE#324087,
  LTC#158827).
- s390/pageattr: avoid unnecessary page table splitting
  (FATE#324087, LTC#158827).
- s390: add no-execute support (FATE#324087, LTC#158827).
- s390/mm: align swapper_pg_dir to 16k (FATE#324087, LTC#158827).
- s390/vmem: simplify vmem code for read-only mappings
  (FATE#324087, LTC#158827).
- s390/pageattr: allow kernel page table splitting (FATE#324087,
  LTC#158827).
- s390/pgtable: make pmd and pud helper functions available
  (FATE#324087, LTC#158827).
- s390/mm: always use PAGE_KERNEL when mapping pages (FATE#324087,
  LTC#158827).
- s390/vmem: introduce and use SEGMENT_KERNEL and REGION3_KERNEL
  (FATE#324087, LTC#158827).
- s390/vmem: align segment and region tables to 16k (FATE#324087,
  LTC#158827).
- s390/pgtable: introduce and use generic csp inline asm
  (FATE#324087, LTC#158827).
- s390: report new vector facilities (FATE#324088, LTC#158828).
- commit fe11cdc
* Tue Jan  9 2018 fliu@suse.com
- xfs: fix up inode32/64 (re)mount handling (bsc#1069160).
- commit 905e45c
* Mon Jan  8 2018 jkosina@suse.cz
- Refresh patches.arch/s390-sles12sp3-99-02-gmb.patch: fix the
  static inline vs generic define conflict.
- commit b90d0d9
* Mon Jan  8 2018 msuchanek@suse.de
- X.509: fix buffer overflow detection in sprint_oid()
  (bsc#1075078).
- 509: fix printing uninitialized stack memory when OID is empty
  (bsc#1075078).
- commit 6ddd62e
* Mon Jan  8 2018 msuchanek@suse.de
- powerpc/perf: Dereference BHRB entries safely (bsc#1066223).
- commit 3b9a07f
* Mon Jan  8 2018 msuchanek@suse.de
- cxl: Check if vphb exists before iterating over AFU devices
  (bsc#1066223).
- commit df275d9
* Mon Jan  8 2018 bp@suse.de
- Map the vsyscall page with _PAGE_USER (bsc#1068032
  CVE-2017-5754).
- commit 7d73639
* Fri Jan  5 2018 jslaby@suse.cz
- usb: phy: isp1301: Fix build warning when CONFIG_OF is disabled
  (git-fixes).
- IB/ipoib: Fix lockdep issue found on ipoib_ib_dev_heavy_flush
  (git-fixes).
- sched/deadline: Zero out positive runtime after throttling
  constrained tasks (git-fixes).
- commit 3578cce
* Fri Jan  5 2018 jslaby@suse.cz
- Linux 4.4.107 (bnc#1012382).
- kABI: protect struct t10_alua_tg_pt_gp (kabi).
- tracing: Allocate mask_str buffer dynamically (bnc#1012382).
- USB: uas and storage: Add US_FL_BROKEN_FUA for another JMicron
  JMS567 ID (bnc#1012382).
- USB: core: prevent malicious bNumInterfaces overflow
  (bnc#1012382).
- usbip: fix stub_send_ret_submit() vulnerability to null
  transfer_buffer (bnc#1012382).
- Bluetooth: btusb: driver to enable the usb-wakeup feature
  (bnc#1012382).
- xhci: Don't add a virt_dev to the devs array before it's fully
  allocated (bnc#1012382).
- dmaengine: dmatest: move callback wait queue to thread context
  (bnc#1012382).
- ext4: fix fdatasync(2) after fallocate(2) operation
  (bnc#1012382).
- ext4: fix crash when a directory's i_size is too small
  (bnc#1012382).
- KEYS: add missing permission check for request_key() destination
  (bnc#1012382).
- usb: phy: isp1301: Add OF device ID table (bnc#1012382).
- userfaultfd: shmem: __do_fault requires VM_FAULT_NOPAGE
  (bnc#1012382).
- userfaultfd: selftest: vm: allow to build in vm/ directory
  (bnc#1012382).
- net: initialize msg.msg_flags in recvfrom (bnc#1012382).
- net: bcmgenet: correct the RBUF_OVFL_CNT and RBUF_ERR_CNT MIB
  values (bnc#1012382).
- net: bcmgenet: correct MIB access of UniMAC RUNT counters
  (bnc#1012382).
- net: bcmgenet: reserved phy revisions must be checked first
  (bnc#1012382).
- net: bcmgenet: power down internal phy if open or resume fails
  (bnc#1012382).
- net: bcmgenet: Power up the internal PHY before probing the MII
  (bnc#1012382).
- NFSD: fix nfsd_minorversion(.., NFSD_AVAIL) (bnc#1012382).
- NFSD: fix nfsd_reset_versions for NFSv4 (bnc#1012382).
- Input: i8042 - add TUXEDO BU1406 (N24_25BU) to the nomux list
  (bnc#1012382).
- drm/omap: fix dmabuf mmap for dma_alloc'ed buffers
  (bnc#1012382).
- netfilter: bridge: honor frag_max_size when refragmenting
  (bnc#1012382).
- writeback: fix memory leak in wb_queue_work() (bnc#1012382).
- net: wimax/i2400m: fix NULL-deref at probe (bnc#1012382).
- dmaengine: Fix array index out of bounds warning in
  __get_unmap_pool() (bnc#1012382).
- net: Resend IGMP memberships upon peer notification
  (bnc#1012382).
- mlxsw: reg: Fix SPVM max record count (bnc#1012382).
- mlxsw: reg: Fix SPVMLR max record count (bnc#1012382).
- intel_th: pci: Add Gemini Lake support (bnc#1012382).
- openrisc: fix issue handling 8 byte get_user calls
  (bnc#1012382).
- fjes: Fix wrong netdevice feature flags (bnc#1012382).
- drm/radeon/si: add dpm quirk for Oland (bnc#1012382).
- sched/deadline: Make sure the replenishment timer fires in
  the next period (bnc#1012382).
- sched/deadline: Throttle a constrained deadline task activated
  after the deadline (bnc#1012382).
- sched/deadline: Use deadline instead of period when calculating
  overflow (bnc#1012382).
- mmc: mediatek: Fixed bug where clock frequency could be set
  wrong (bnc#1012382).
- drm/radeon: reinstate oland workaround for sclk (bnc#1012382).
- afs: Fix missing put_page() (bnc#1012382).
- afs: Populate group ID from vnode status (bnc#1012382).
- afs: Adjust mode bits processing (bnc#1012382).
- afs: Flush outstanding writes when an fd is closed
  (bnc#1012382).
- afs: Migrate vlocation fields to 64-bit (bnc#1012382).
- afs: Prevent callback expiry timer overflow (bnc#1012382).
- afs: Fix the maths in afs_fs_store_data() (bnc#1012382).
- afs: Populate and use client modification time (bnc#1012382).
- afs: Fix page leak in afs_write_begin() (bnc#1012382).
- afs: Fix afs_kill_pages() (bnc#1012382).
- perf symbols: Fix symbols__fixup_end heuristic for corner cases
  (bnc#1012382).
- efi/esrt: Cleanup bad memory map log messages (bnc#1012382).
- NFSv4.1 respect server's max size in CREATE_SESSION
  (bnc#1012382).
- btrfs: add missing memset while reading compressed inline
  extents (bnc#1012382).
- target: Use system workqueue for ALUA transitions (bnc#1012382).
- target: fix ALUA transition timeout handling (bnc#1012382).
- target: fix race during implicit transition work flushes
  (bnc#1012382).
- sfc: don't warn on successful change of MAC (bnc#1012382).
- fbdev: controlfb: Add missing modes to fix out of bounds access
  (bnc#1012382).
- video: fbdev: au1200fb: Release some resources if a memory
  allocation fails (bnc#1012382).
- video: fbdev: au1200fb: Return an error code if a memory
  allocation fails (bnc#1012382).
- rtc: pcf8563: fix output clock rate (bnc#1012382).
- dmaengine: ti-dma-crossbar: Correct am335x/am43xx mux value type
  (bnc#1012382).
- PCI/PME: Handle invalid data when reading Root Status
  (bnc#1012382).
- powerpc/powernv/cpufreq: Fix the frequency read by /proc/cpuinfo
  (bnc#1012382).
- netfilter: ipvs: Fix inappropriate output of procfs
  (bnc#1012382).
- powerpc/ipic: Fix status get and status clear (bnc#1012382).
- target/iscsi: Fix a race condition in
  iscsit_add_reject_from_cmd() (bnc#1012382).
- iscsi-target: fix memory leak in lio_target_tiqn_addtpg()
  (bnc#1012382).
- target:fix condition return in core_pr_dump_initiator_port()
  (bnc#1012382).
- target/file: Do not return error for UNMAP if length is zero
  (bnc#1012382).
- arm-ccn: perf: Prevent module unload while PMU is in use
  (bnc#1012382).
- crypto: tcrypt - fix buffer lengths in test_aead_speed()
  (bnc#1012382).
- mm: Handle 0 flags in _calc_vm_trans() macro (bnc#1012382).
- clk: mediatek: add the option for determining PLL source clock
  (bnc#1012382).
- clk: imx6: refine hdmi_isfr's parent to make HDMI work on
  i.MX6 SoCs w/o VPU (bnc#1012382).
- clk: tegra: Fix cclk_lp divisor register (bnc#1012382).
- ppp: Destroy the mutex when cleanup (bnc#1012382).
- thermal/drivers/step_wise: Fix temperature regulation
  misbehavior (bnc#1012382).
- GFS2: Take inode off order_write list when setting jdata flag
  (bnc#1012382).
- bcache: explicitly destroy mutex while exiting (bnc#1012382).
- bcache: fix wrong cache_misses statistics (bnc#1012382).
- l2tp: cleanup l2tp_tunnel_delete calls (bnc#1012382).
- xfs: fix log block underflow during recovery cycle verification
  (bnc#1012382).
- xfs: fix incorrect extent state in
  xfs_bmap_add_extent_unwritten_real (bnc#1012382).
- PCI: Detach driver before procfs & sysfs teardown on device
  remove (bnc#1012382).
- scsi: hpsa: cleanup sas_phy structures in sysfs when unloading
  (bnc#1012382).
- scsi: hpsa: destroy sas transport properties before scsi_host
  (bnc#1012382).
- powerpc/perf/hv-24x7: Fix incorrect comparison in memord
  (bnc#1012382).
- tty fix oops when rmmod 8250 (bnc#1012382).
- usb: musb: da8xx: fix babble condition handling (bnc#1012382).
- pinctrl: adi2: Fix Kconfig build problem (bnc#1012382).
- raid5: Set R5_Expanded on parity devices as well as data
  (bnc#1012382).
- vt6655: Fix a possible sleep-in-atomic bug in vt6655_suspend
  (bnc#1012382).
- scsi: sd: change manage_start_stop to bool in sysfs interface
  (bnc#1012382).
- scsi: sd: change allow_restart to bool in sysfs interface
  (bnc#1012382).
- scsi: bfa: integer overflow in debugfs (bnc#1012382).
- udf: Avoid overflow when session starts at large offset
  (bnc#1012382).
- macvlan: Only deliver one copy of the frame to the macvlan
  interface (bnc#1012382).
- RDMA/cma: Avoid triggering undefined behavior (bnc#1012382).
- IB/ipoib: Grab rtnl lock on heavy flush when calling
  ndo_open/stop (bnc#1012382).
- ath9k: fix tx99 potential info leak (bnc#1012382).
- Refresh
  patches.arch/qcom-0038-efi-Add-efi_memmap_init_late-for-permanent-EFI-memma.patch.
- Refresh
  patches.drivers/0002-mmc-core-Remove-MMC_CAP_RUNTIME_RESUME-as-it-s-redun.patch.
- Refresh
  patches.drivers/0004-scsi-hpsa-Check-for-vpd-support-before-sending.patch.
- Refresh patches.drivers/0005-hpsa-add-smr-drive-support.patch.
- Refresh
  patches.drivers/0014-hpsa-add-timeouts-for-driver-initiated-commands.patch.
- Refresh
  patches.drivers/0044-bcache-Remove-deprecated-create_workqueue.patch.
- Refresh
  patches.drivers/0092-bcache-use-op_is_write-instead-of-checking-for-REQ_W.patch.
- Refresh
  patches.drivers/Revert-net-mlx4_en-Avoid-unregister_netdev-at-shutdo.patch.
- Refresh
  patches.drivers/fjes-Enhance-changing-MTU-related-work.patch.
- Refresh
  patches.drivers/hfi1-qib-0318-IB-cma-Make-the-code-easier-to-verify.patch.
- Refresh
  patches.drivers/net-mlx4_en-Avoid-unregister_netdev-at-shutdown-flow.patch.
- Refresh
  patches.drivers/net-use-core-MTU-range-checking-in-misc-drivers.patch.
- Refresh
  patches.drivers/sd-Implement-support-for-ZBC-devices.patch.
- Refresh
  patches.suse/0007-md-cluster-append-some-actions-when-change-bitmap-fr.patch.
- Refresh
  patches.suse/kgr-0008-mark-task_safe-in-some-kthreads.patch.
- commit 35daffd
* Fri Jan  5 2018 therrmann@suse.com
- netfilter: nfnetlink_queue: fix timestamp attribute
  (bsc#1074134).
- commit 6714342
* Fri Jan  5 2018 lhenriques@suse.com
- regulator: da9063: Return an error code on probe failure
  (bsc#1074847).
- commit a7f257a
* Fri Jan  5 2018 lhenriques@suse.com
- regulator: core: Rely on regulator_dev_release to free
  constraints (bsc#1074847).
- commit 1cf2e77
* Fri Jan  5 2018 lhenriques@suse.com
- regulator: Try to resolve regulators supplies on registration
  (bsc#1074847).
- commit ef36c35
* Fri Jan  5 2018 lhenriques@suse.com
- regulator: pwm: Fix regulator ramp delay for continuous mode
  (bsc#1074847).
- commit 0e7d006
* Fri Jan  5 2018 jkosina@suse.cz
- PTI: unbreak EFI (bsc#1074709).
- commit 95d0748
* Fri Jan  5 2018 yousaf.kaukab@suse.com
- config: arm64: enable UNMAP_KERNEL_AT_EL0
- commit 91ab7f1
* Fri Jan  5 2018 yousaf.kaukab@suse.com
- arm64: SW PAN: Update saved ttbr0 value on enter_lazy_tlb
  (bsc#1068032).
- arm64: SW PAN: Point saved ttbr0 at the zero page when switching
  to init_mm (bsc#1068032).
- arm64: kaslr: Put kernel vectors address in separate data page
  (bsc#1068032).
- arm64: mm: Introduce TTBR_ASID_MASK for getting at the ASID
  in the TTBR (bsc#1068032).
- arm64: Kconfig: Add CONFIG_UNMAP_KERNEL_AT_EL0 (bsc#1068032).
- arm64: mm: hardcode rodata=true (bsc#1068032).
- arm64: introduce mov_q macro to move a constant into a 64-bit
  register (bsc#1068032).
- arm64: entry: Add fake CPU feature for unmapping the kernel
  at EL0 (bsc#1068032).
- arm64: tls: Avoid unconditional zeroing of tpidrro_el0 for
  native tasks (bsc#1068032).
- arm64: erratum: Work around Falkor erratum #E1003 in trampoline
  code (bsc#1068032).
- arm64: entry: Hook up entry trampoline to exception vectors
  (bsc#1068032).
- arm64: entry: Explicitly pass exception level to kernel_ventry
  macro (bsc#1068032).
- arm64: entry.S: move SError handling into a C function for
  future expansion (bsc#1068032).
- arm64: explicitly mask all exceptions (bsc#1068032).
- arm64: factor out entry stack manipulation (bsc#1068032).
- arm64: mm: Map entry trampoline into trampoline and kernel
  page tables (bsc#1068032).
- arm64: entry: Add exception trampoline page for exceptions
  from EL0 (bsc#1068032).
- arm64: mm: Invalidate both kernel and user ASIDs when performing
  TLBI (bsc#1068032).
- arm64: mm: Add arm64_kernel_unmapped_at_el0 helper
  (bsc#1068032).
- arm64: mm: Allocate ASIDs in pairs (bsc#1068032).
- arm64: mm: Fix and re-enable ARM64_SW_TTBR0_PAN (bsc#1068032).
- arm64: don't pull uaccess.h into *.S (bsc#1068032).
- arm64: mm: Rename post_ttbr0_update_workaround (bsc#1068032).
- arm64: mm: Remove pre_ttbr0_update_workaround for Falkor
  erratum #E1003 (bsc#1068032).
- arm64: mm: Move ASID from TTBR0 to TTBR1 (bsc#1068032).
- arm64: mm: Temporarily disable ARM64_SW_TTBR0_PAN (bsc#1068032).
- arm64: mm: Use non-global mappings for kernel space
  (bsc#1068032).
- arm64: Enable CONFIG_ARM64_SW_TTBR0_PAN (bsc#1068032).
- arm64: xen: Enable user access before a privcmd hvc call
  (bsc#1068032).
- arm64: Handle faults caused by inadvertent user access with
  PAN enabled (bsc#1068032).
- arm64: Handle el1 synchronous instruction aborts cleanly
  (bsc#1068032).
- arm64: kill ESR_LNX_EXEC (bsc#1068032).
- arm64: Disable TTBR0_EL1 during normal kernel execution
  (bsc#1068032).
- arm64: Introduce uaccess_{disable,enable} functionality based
  on TTBR0_EL1 (bsc#1068032).
- arm64: head.S: get rid of x25 and x26 with 'global' scope
  (bsc#1068032).
- arm64: Factor out TTBR0_EL1 post-update workaround into a
  specific asm macro (bsc#1068032).
- arm64: Factor out PAN enabling/disabling into separate uaccess_*
  macros (bsc#1068032).
- arm64: swp emulation: bound LL/SC retries before rescheduling
  (bsc#1068032).
- arm64: use alternative auto-nop (bsc#1068032).
- arm/arm64: KVM: Make default HYP mappings non-excutable
  (bsc#1068032).
- commit 2bcd3e2
* Thu Jan  4 2018 jslaby@suse.cz
- Linux 4.4.106 (bnc#1012382).
- x86/mm/pat: Ensure cpa->pfn only contains page frame numbers
  (fate#320588).
- x86/efi: Hoist page table switching code into efi_call_virt()
  (fate#320512).
- x86/efi: Build our own page table structures (fate#320512).
- Revert "lib/genalloc.c: make the avail variable an
  atomic_long_t" (kabi).
- Revert "scsi: libsas: align sata_device's rps_resp on a
  cacheline" (kabi).
- can: ti_hecc: Fix napi poll return value for repoll
  (bnc#1012382).
- can: kvaser_usb: free buf in error paths (bnc#1012382).
- can: kvaser_usb: Fix comparison bug in
  kvaser_usb_read_bulk_callback() (bnc#1012382).
- can: kvaser_usb: ratelimit errors if incomplete messages are
  received (bnc#1012382).
- can: kvaser_usb: cancel urb on -EPIPE and -EPROTO (bnc#1012382).
- can: ems_usb: cancel urb on -EPIPE and -EPROTO (bnc#1012382).
- can: esd_usb2: cancel urb on -EPIPE and -EPROTO (bnc#1012382).
- can: usb_8dev: cancel urb on -EPIPE and -EPROTO (bnc#1012382).
- virtio: release virtio index when fail to device_register
  (bnc#1012382).
- hv: kvp: Avoid reading past allocated blocks from KVP file
  (bnc#1012382).
- scsi: libsas: align sata_device's rps_resp on a cacheline
  (bnc#1012382).
- efi: Move some sysfs files to be read-only by root
  (bnc#1012382).
- ASN.1: fix out-of-bounds read when parsing indefinite length
  item (bnc#1012382).
- ASN.1: check for error from ASN1_OP_END__ACT actions
  (bnc#1012382).
- X.509: reject invalid BIT STRING for subjectPublicKey
  (bnc#1012382).
- x86/PCI: Make broadcom_postcore_init() check acpi_disabled
  (bnc#1012382).
- iommu/vt-d: Fix scatterlist offset handling (bnc#1012382).
- s390: fix compat system call table (bnc#1012382).
- kdb: Fix handling of kallsyms_symbol_next() return value
  (bnc#1012382).
- drm: extra printk() wrapper macros (bnc#1012382).
- drm/exynos: gem: Drop NONCONTIG flag for buffers allocated
  without IOMMU (bnc#1012382).
- media: dvb: i2c transfers over usb cannot be done from stack
  (bnc#1012382).
- arm64: KVM: fix VTTBR_BADDR_MASK BUG_ON off-by-one
  (bnc#1012382).
- KVM: VMX: remove I/O port 0x80 bypass on Intel hosts
  (bnc#1012382).
- arm64: fpsimd: Prevent registers leaking from dead tasks
  (bnc#1012382).
- ARM: BUG if jumping to usermode address in kernel mode
  (bnc#1012382).
- ARM: avoid faulting on qemu (bnc#1012382).
- mm: drop unused pmdp_huge_get_and_clear_notify() (bnc#1012382).
- Revert "drm/armada: Fix compile fail" (bnc#1012382).
- Revert "spi: SPI_FSL_DSPI should depend on HAS_DMA"
  (bnc#1012382).
- Revert "s390/kbuild: enable modversions for symbols exported
  from asm" (bnc#1012382).
- vti6: Don't report path MTU below IPV6_MIN_MTU (bnc#1012382).
- ARM: OMAP2+: gpmc-onenand: propagate error on initialization
  failure (bnc#1012382).
- x86/hpet: Prevent might sleep splat on resume (bnc#1012382).
- selftest/powerpc: Fix false failures for skipped tests
  (bnc#1012382).
- module: set __jump_table alignment to 8 (bnc#1012382).
- ARM: OMAP2+: Fix device node reference counts (bnc#1012382).
- ARM: OMAP2+: Release device node after it is no longer needed
  (bnc#1012382).
- gpio: altera: Use handle_level_irq when configured as a
  level_high (bnc#1012382).
- HID: chicony: Add support for another ASUS Zen AiO keyboard
  (bnc#1012382).
- usb: gadget: configs: plug memory leak (bnc#1012382).
- USB: gadgetfs: Fix a potential memory leak in 'dev_config()'
  (bnc#1012382).
- kvm: nVMX: VMCLEAR should not cause the vCPU to shut down
  (bnc#1012382).
- libata: drop WARN from protocol error in ata_sff_qc_issue()
  (bnc#1012382).
- workqueue: trigger WARN if queue_delayed_work() is called with
  NULL @wq (bnc#1012382).
- irqchip/crossbar: Fix incorrect type of register size
  (bnc#1012382).
- KVM: nVMX: reset nested_run_pending if the vCPU is going to
  be reset (bnc#1012382).
- spi_ks8995: fix "BUG: key accdaa28 not in .data!" (bnc#1012382).
- bnx2x: prevent crash when accessing PTP with interface down
  (bnc#1012382).
- bnx2x: fix possible overrun of VFPF multicast addresses array
  (bnc#1012382).
- bnx2x: do not rollback VF MAC/VLAN filters we did not configure
  (bnc#1012382).
- ipv6: reorder icmpv6_init() and ip6_mr_init() (bnc#1012382).
- crypto: s5p-sss - Fix completing crypto request in IRQ handler
  (bnc#1012382).
- zram: set physical queue limits to avoid array out of bounds
  accesses (bnc#1012382).
- netfilter: don't track fragmented packets (bnc#1012382).
- axonram: Fix gendisk handling (bnc#1012382).
- drm/amd/amdgpu: fix console deadlock if late init failed
  (bnc#1012382).
- powerpc/powernv/ioda2: Gracefully fail if too many TCE levels
  requested (bnc#1012382).
- EDAC, i5000, i5400: Fix use of MTR_DRAM_WIDTH macro
  (bnc#1012382).
- EDAC, i5000, i5400: Fix definition of NRECMEMB register
  (bnc#1012382).
- kbuild: pkg: use --transform option to prefix paths in tar
  (bnc#1012382).
- route: also update fnhe_genid when updating a route cache
  (bnc#1012382).
- route: update fnhe_expires for redirect when the fnhe exists
  (bnc#1012382).
- lib/genalloc.c: make the avail variable an atomic_long_t
  (bnc#1012382).
- dynamic-debug-howto: fix optional/omitted ending line number
  to be LARGE instead of 0 (bnc#1012382).
- NFS: Fix a typo in nfs_rename() (bnc#1012382).
- sunrpc: Fix rpc_task_begin trace point (bnc#1012382).
- block: wake up all tasks blocked in get_request() (bnc#1012382).
- sparc64/mm: set fields in deferred pages (bnc#1012382).
- sctp: do not free asoc when it is already dead in sctp_sendmsg
  (bnc#1012382).
- sctp: use the right sk after waking up from wait_buf sleep
  (bnc#1012382).
- atm: horizon: Fix irq release error (bnc#1012382).
- jump_label: Invoke jump_label_test() via early_initcall()
  (bnc#1012382).
- xfrm: Copy policy family in clone_policy (bnc#1012382).
- IB/mlx4: Increase maximal message size under UD QP
  (bnc#1012382).
- IB/mlx5: Assign send CQ and recv CQ of UMR QP (bnc#1012382).
- afs: Connect up the CB.ProbeUuid (bnc#1012382).
- ipvlan: fix ipv6 outbound device (bnc#1012382).
- audit: ensure that 'audit=1' actually enables audit for PID 1
  (bnc#1012382).
- ipmi: Stop timers before cleaning up the module (bnc#1012382).
- s390: always save and restore all registers on context switch
  (bnc#1012382).
- more bio_map_user_iov() leak fixes (bnc#1012382).
- tipc: fix memory leak in tipc_accept_from_sock() (bnc#1012382).
- rds: Fix NULL pointer dereference in __rds_rdma_map
  (bnc#1012382).
- sit: update frag_off info (bnc#1012382).
- packet: fix crash in fanout_demux_rollover() (bnc#1012382).
- net/packet: fix a race in packet_bind() and packet_notifier()
  (bnc#1012382).
- Revert "x86/efi: Build our own page table structures"
  (bnc#1012382).
- Revert "x86/efi: Hoist page table switching code into
  efi_call_virt()" (bnc#1012382).
- Revert "x86/mm/pat: Ensure cpa->pfn only contains page frame
  numbers" (bnc#1012382).
- arm: KVM: Fix VTTBR_BADDR_MASK BUG_ON off-by-one (bnc#1012382).
- usb: gadget: ffs: Forbid usb_ep_alloc_request from sleeping
  (bnc#1012382).
- Refresh
  patches.arch/0026-arm-KVM-Make-kvm_arm.h-friendly-to-assembly-code.patch.
- Refresh
  patches.arch/0027-arm64-KVM-Add-support-for-16-bit-VMID.patch.
- Refresh
  patches.arch/0190-arm64-Cleanup-VTCR_EL2-and-VTTBR-field-values.patch.
- Refresh
  patches.arch/0284-arm64-kvm-use-ESR_ELx_EC-to-extract-EC.patch.
- Refresh
  patches.arch/qcom-0015-x86-efi-Map-RAM-into-the-identity-page-table-for-mix.patch.
- Refresh
  patches.arch/qcom-0037-x86-efi-Consolidate-region-mapping-logic.patch.
- Refresh
  patches.drivers/0003-x86-efi-Move-to-generic-__-efi_call_virt.patch.
- Refresh
  patches.drivers/0007-x86-efi-Enable-runtime-call-flag-checking.patch.
- Refresh
  patches.drivers/ipmi-Prefer-ACPI-system-interfaces-over-SMBIOS-ones.
- Refresh
  patches.suse/msft-hv-0978-storvsc-Properly-support-Fibre-Channel-devices.patch.
- commit 7e85671
* Thu Jan  4 2018 jslaby@suse.cz
- USB: Fix off by one in type-specific length check of BOS SSP
  capability (git-fixes).
- commit 939407e
* Thu Jan  4 2018 jslaby@suse.cz
- Linux 4.4.105 (bnc#1012382).
- bcache: only permit to recovery read error when cache device
  is clean (bnc#1012382 bsc#1043652).
- bcache: recover data from backing when data is clean
  (bnc#1012382 bsc#1043652).
- uas: Always apply US_FL_NO_ATA_1X quirk to Seagate devices
  (bnc#1012382).
- usb: quirks: Add no-lpm quirk for KY-688 USB 3.1 Type-C Hub
  (bnc#1012382).
- serial: 8250_pci: Add Amazon PCI serial device ID (bnc#1012382).
- s390/runtime instrumentation: simplify task exit handling
  (bnc#1012382).
- USB: serial: option: add Quectel BG96 id (bnc#1012382).
- ima: fix hash algorithm initialization (bnc#1012382).
- s390/pci: do not require AIS facility (bnc#1012382).
- selftests/x86/ldt_get: Add a few additional tests for limits
  (bnc#1012382).
- spi: sh-msiof: Fix DMA transfer size check (bnc#1012382).
- usb: phy: tahvo: fix error handling in tahvo_usb_probe()
  (bnc#1012382).
- serial: 8250: Preserve DLD[7:4] for PORT_XR17V35X (bnc#1012382).
- x86/entry: Use SYSCALL_DEFINE() macros for sys_modify_ldt()
  (bnc#1012382).
- EDAC, sb_edac: Fix missing break in switch (bnc#1012382).
- sysrq : fix Show Regs call trace on ARM (bnc#1012382).
- perf test attr: Fix ignored test case result (bnc#1012382).
- kprobes/x86: Disable preemption in ftrace-based jprobes
  (bnc#1012382).
- net: systemport: Utilize skb_put_padto() (bnc#1012382).
- net: systemport: Pad packet before inserting TSB (bnc#1012382).
- ARM: OMAP1: DMA: Correct the number of logical channels
  (bnc#1012382).
- vti6: fix device register to report IFLA_INFO_KIND
  (bnc#1012382).
- net/appletalk: Fix kernel memory disclosure (bnc#1012382).
- ravb: Remove Rx overflow log messages (bnc#1012382).
- nfs: Don't take a reference on fl->fl_file for LOCK operation
  (bnc#1012382).
- NFSv4: Fix client recovery when server reboots multiple times
  (bnc#1012382).
- drm/exynos/decon5433: set STANDALONE_UPDATE_F on output
  enablement (bnc#1012382).
- net: sctp: fix array overrun read on sctp_timer_tbl
  (bnc#1012382).
- tipc: fix cleanup at module unload (bnc#1012382).
- dmaengine: pl330: fix double lock (bnc#1012382).
- tcp: correct memory barrier usage in tcp_check_space()
  (bnc#1012382).
- mm: avoid returning VM_FAULT_RETRY from ->page_mkwrite handlers
  (bnc#1012382).
- xen-netfront: Improve error handling during initialization
  (bnc#1012382).
- net: fec: fix multicast filtering hardware setup (bnc#1012382).
- Revert "ocfs2: should wait dio before inode lock in
  ocfs2_setattr()" (bnc#1012382).
- usb: hub: Cycle HUB power when initialization fails
  (bnc#1012382).
- usb: xhci: fix panic in xhci_free_virt_devices_depth_first
  (bnc#1012382).
- USB: core: Add type-specific length check of BOS descriptors
  (bnc#1012382).
- USB: Increase usbfs transfer limit (bnc#1012382).
- USB: devio: Prevent integer overflow in proc_do_submiturb()
  (bnc#1012382).
- USB: usbfs: Filter flags passed in from user space
  (bnc#1012382).
- xen-netfront: avoid crashing on resume after a failure in
  talk_to_netback() (bnc#1012382).
- Refresh
  patches.drivers/07-edac-sb_edac-assign-edac-memory-controller-per-h-w-controller.patch.
- Refresh
  patches.fixes/0003-exit_thread-accept-a-task-parameter-to-be-exited.patch.
- Refresh patches.suse/0003-more-kABI-padding-in-USB.patch.
- Delete
  patches.suse/0001-bcache-only-recovery-I-O-error-for-writethrough-mode.patch.
- commit 8282bea
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: hda - fix headset mic problem for Dell machines with
  alc274 (bsc#1031717).
- Refresh
  patches.drivers/ALSA-hda-realtek-Fix-Dell-AIO-LineOut-issue.
- commit 2aad502
* Thu Jan  4 2018 tiwai@suse.de
- ALSA: hda/realtek - Fix typo of pincfg for Dell quirk
  (bsc#1031717).
- Refresh
  patches.drivers/ALSA-hda-realtek-Fix-pincfg-for-Dell-XPS-13-9370.
- commit 288a56a
* Thu Jan  4 2018 neilb@suse.com
- nfs: improve shinking of access cache (bsc#1012917).
- sunrpc: use supplimental groups in auth hash (bsc#1012917).
- sunrpc: replace generic auth_cred hash with auth-specific
  function (bsc#1012917).
- sunrpc: add RPCSEC_GSS hash_cred() function (bsc#1012917).
- sunrpc: add auth_unix hash_cred() function (bsc#1012917).
- sunrpc: add generic_auth hash_cred() function (bsc#1012917).
- kabi fix for new hash_cred function (bsc#1012917).
- sunrpc: add hash_cred() function to rpc_authops struct
  (bsc#1012917).
- commit 8c17b97
* Thu Jan  4 2018 jslaby@suse.cz
- Linux 4.4.104 (bnc#1012382).
- Revert "ipsec: Fix aborted xfrm policy dump crash" (kabi).
- Revert "netlink: add a start callback for starting a netlink
  dump" (kabi).
- netlink: add a start callback for starting a netlink dump
  (bnc#1012382).
- ipsec: Fix aborted xfrm policy dump crash (CVE-2017-16939
  bnc#1012382 bsc#1069702).
- ARM: dts: omap3: logicpd-torpedo-37xx-devkit: Fix MMC1 cd-gpio
  (bnc#1012382).
- x86/efi-bgrt: Replace early_memremap() with memremap()
  (bnc#1012382).
- btrfs: clear space cache inode generation always (bnc#1012382).
- KVM: x86: pvclock: Handle first-time write to pvclock-page
  contains random junk (bnc#1012382).
- KVM: x86: Exit to user-mode on #UD intercept when emulator
  requires (bnc#1012382).
- KVM: x86: inject exceptions produced by x86_decode_insn
  (bnc#1012382).
- mmc: core: Do not leave the block driver in a suspended state
  (bnc#1012382).
- eeprom: at24: check at24_read/write arguments (bnc#1012382).
- bcache: Fix building error on MIPS (bnc#1012382).
- Revert "drm/radeon: dont switch vt on suspend" (bnc#1012382).
- drm/radeon: fix atombios on big endian (bnc#1012382).
- mtd: nand: Fix writing mtdoops to nand flash (bnc#1012382).
- nfsd: Make init_open_stateid() a bit more whole (bnc#1012382).
- nfsd: Fix stateid races between OPEN and CLOSE (bnc#1012382).
- nfsd: Fix another OPEN stateid race (bnc#1012382).
- Refresh
  patches.arch/qcom-0015-x86-efi-Map-RAM-into-the-identity-page-table-for-mix.patch.
- Refresh
  patches.arch/qcom-0037-x86-efi-Consolidate-region-mapping-logic.patch.
- Refresh
  patches.arch/qcom-0045-x86-efi-bgrt-Use-efi_mem_reserve-to-avoid-copying-im.patch.
- Refresh
  patches.drivers/0003-x86-efi-Move-to-generic-__-efi_call_virt.patch.
- Refresh
  patches.drivers/0007-x86-efi-Enable-runtime-call-flag-checking.patch.
- Refresh
  patches.drivers/mm-x86-get_user_pages-for-dax-mappings.patch.
- Delete
  patches.fixes/ipsec-Fix-aborted-xfrm-policy-dump-crash.patch.
- commit 8d19994
* Wed Jan  3 2018 tiwai@suse.de
- ASoC: twl4030: fix child-node lookup (bsc#1031717).
- ASoC: fsl_ssi: AC'97 ops need regmap, clock and cleaning up
  on failure (bsc#1031717).
- ASoC: wm_adsp: Fix validation of firmware and coeff lengths
  (bsc#1031717).
- ALSA: rawmidi: Avoid racy info ioctl via ctl device
  (bsc#1031717).
- ALSA: pcm: prevent UAF in snd_pcm_info (bsc#1031717).
- ALSA: seq: Remove spurious WARN_ON() at timer check
  (bsc#1031717).
- ALSA: usb-audio: Fix the missing ctl name suffix at parsing SU
  (bsc#1031717).
- ALSA: usb-audio: Add check return value for usb_string()
  (bsc#1031717).
- ALSA: usb-audio: Fix out-of-bound error (bsc#1031717).
- ALSA: hda - Add MIC_NO_PRESENCE fixup for 2 HP machines
  (bsc#1031717).
- ALSA: hda - Add mute led support for HP ProBook 440 G4
  (bsc#1031717).
- ALSA: hda - Add mute led support for HP EliteBook 840 G3
  (bsc#1031717).
- ALSA: hda - Add HP ZBook 15u G3 Conexant CX20724 GPIO mute leds
  (bsc#1031717).
- ALSA: hda - add support for docking station for HP 840 G3
  (bsc#1031717).
- commit 88001b5
* Wed Jan  3 2018 tiwai@suse.de
- ALSA: hda - Fix mic regression by ASRock mobo fixup
  (bsc#1031717).
- ALSA: hda - Fix surround output pins for ASRock B150M mobo
  (bsc#1031717).
- ALSA: hda - On-board speaker fixup on ACER Veriton
  (bsc#1031717).
- ALSA: hda - Fix headset microphone detection for ASUS N551
  and N751 (bsc#1031717).
- ALSA: hda/realtek - Add support for headset MIC for ALC622
  (bsc#1031717).
- ALSA: hda/realtek - There is no loopback mixer in the
  ALC234/274/294 (bsc#1031717).
- ALSA: hda/realtek - No loopback on ALC225/ALC295 codec
  (bsc#1031717).
- ALSA: hda - change the location for one mic on a Lenovo machine
  (bsc#1031717).
- ALSA: hda/realtek - Fix Dell AIO LineOut issue (bsc#1031717).
- ALSA: hda/realtek - Fix pincfg for Dell XPS 13 9370
  (bsc#1031717).
- ALSA: hda - fix headset mic detection issue on a Dell machine
  (bsc#1031717).
- ALSA: hda - Skip Realtek SKU check for Lenovo machines
  (bsc#1031717).
- ALSA: hda/realtek - Enable jack detection function for Intel
  ALC700 (bsc#1031717).
- ALSA: hda/realtek - change the location for one of two front
  microphones (bsc#1031717).
- ALSA: hda/realtek - Fix speaker support for Asus AiO ZN270IE
  (bsc#1031717).
- ALSA: hda/realtek - Fix headset mic and speaker on Asus
  X441SA/X441UV (bsc#1031717).
- ALSA: hda/realtek - Fix headset and mic on several Asus laptops
  with ALC256 (bsc#1031717).
- ALSA: hda - Fix click noises on Samsung Ativ Book 8
  (bsc#1031717).
- ALSA: hda - add support for docking station for HP 820 G2
  (bsc#1031717).
- ALSA: hda/realtek - fix headset mic detection for MSI MS-B120
  (bsc#1031717).
- ALSA: hda/realtek - Fix headset mic on several Asus laptops
  with ALC255 (bsc#1031717).
- ALSA: hda/realtek - Add support for Acer Aspire E5-475 headset
  mic (bsc#1031717).
- ALSA: hda/realtek - Support Dell headset mode for ALC3271
  (bsc#1031717).
- ALSA: hda/realtek - ALC891 headset mode for Dell (bsc#1031717).
- ALSA: hda/realtek - Update headset mode for ALC225
  (bsc#1031717).
- ALSA: hda/realtek - Support headset mode for
  ALC234/ALC274/ALC294 (bsc#1031717).
- ALSA: hda/realtek - Update headset mode for ALC298
  (bsc#1031717).
- ALSA: hda/realtek - Add default procedure for suspend and
  resume state (bsc#1031717).
- ALSA: hda/realtek - Add ALC256 HP depop function (bsc#1031717).
- ALSA: hda/realtek - Fix ALC275 no sound issue (bsc#1031717).
- ALSA: hda/realtek - New codec support for ALC257 (bsc#1031717).
- ALSA: hda/realtek - Add support for ALC1220 (bsc#1031717).
- ALSA: hda/realtek - New codec device ID for ALC1220
  (bsc#1031717).
- ALSA: hda/realtek - New codec support of ALC1220 (bsc#1031717).
- ALSA: hda - Fix missing COEF init for ALC225/295/299
  (bsc#1031717).
- ALSA: hda/realtek - New codecs support for ALC215/ALC285/ALC289
  (bsc#1031717).
- ALSA: hda/realtek - Remove ALC285 device ID (bsc#1031717).
- ALSA: hda: Drop useless WARN_ON() (bsc#1031717).
- commit 1e56c78
* Wed Jan  3 2018 mgalbraith@suse.de
- sched/rt: Do not pull from current CPU if only one CPU to pull (bnc#1022476).
- commit a6518a3
* Tue Jan  2 2018 mcgrof@suse.com
- xfs: address kabi for xfs buffer retry infrastructure (kabi).
- commit 6f29e07
* Tue Jan  2 2018 tbogendoerfer@suse.de
- iw_cxgb4: when flushing, complete all wrs in a chain (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- iw_cxgb4: reflect the original WR opcode in drain cqes
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- IB/uverbs: Fix command checking as part of
  ib_uverbs_ex_modify_qp() (FATE#321231 FATE#321473 FATE#322153
  FATE#322149).
- net/mlx5: Fix error flow in CREATE_QP command (bsc#1015342
  FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5e: Fix ETS BW check (bsc#966170 FATE#320225 bsc#966172
  FATE#320226).
- ip_gre: remove the incorrect mtu limit for ipgre tap
  (bsc#1022912 FATE#321246).
- commit 78784f3
* Fri Dec 29 2017 wqu@suse.com
- btrfs: qgroup: Fix qgroup reserved space underflow by  only
  freeing reserved ranges (bsc#1031395).
- commit 7f00965
* Fri Dec 29 2017 wqu@suse.com
- btrfs: qgroup: Introduce extent changeset for qgroup  reserve
  functions (dependent patch, bsc#1031395).
- Refresh
  patches.drivers/direct-io-eliminate-the-offset-argument-to-direct_IO.patch.
- Refresh patches.suse/0008-btrfs-nowait-aio-support.patch.
- commit 436062c
* Fri Dec 29 2017 wqu@suse.com
- btrfs: qgroup: Fix qgroup reserved space underflow caused  by
  buffered write and quotas being enabled (bsc#1031395).
- commit fa2636b
* Fri Dec 29 2017 wqu@suse.com
- btrfs: qgroup-test: Fix backport error in qgroup selftest
  (just to make CONFIG_BTRFS_FS_RUN_SANITY_TESTS pass compile).
- commit cb59f3f
* Fri Dec 29 2017 wqu@suse.com
- btrfs: qgroup: Return actually freed bytes for qgroup  release
  or free data (bsc#1031395).
- commit 00dd940
* Fri Dec 29 2017 mcgrof@suse.com
- xfs: Properly retry failed inode items in case of error during buffer writeback (bsc#1068569).
- xfs: Add infrastructure needed for error propagation during buffer IO failure (bsc#1068569).
- xfs: remove xfs_trans_ail_delete_bulk (bsc#1068569).
- commit b76bc2b
* Fri Dec 29 2017 wqu@suse.com
- btrfs: ulist: rename ulist_fini to ulist_release (dependent
  patch, bsc#1031395).
- commit 18ad02a
* Fri Dec 29 2017 wqu@suse.com
- btrfs: embed extent_changeset::range_changed to the structure
  (dependent patch, bsc#1031395).
- commit 8ba8cba
* Fri Dec 29 2017 wqu@suse.com
- btrfs: ulist: make the finalization function public (dependent
  patch, bsc#1031395).
- commit cca92fe
* Thu Dec 28 2017 mcgrof@suse.com
- xfs: add "fail at unmount" error handling configuration (bsc#1068569).
- xfs: add configuration handlers for specific errors (bsc#1068569).
- xfs: add configuration of error failure speed (bsc#1068569).
- xfs: introduce table-based init for error behaviors (bsc#1068569).
- xfs: add configurable error support to metadata buffers (bsc#1068569).
- xfs: introduce metadata IO error class (bsc#1068569).
- xfs: configurable error behavior via sysfs (bsc#1068569).
- commit eba69e0
* Mon Dec 25 2017 bp@suse.de
- x86/kaiser: Move feature detection up (bsc#1068032).
- commit 399eb34
* Sat Dec 23 2017 jkosina@suse.cz
- powerpc: Secure memory rfi flush (bsc#1068032).
- commit 376b1d2
* Fri Dec 22 2017 mwilck@suse.com
- scsi: handle ABORTED_COMMAND on Fujitsu ETERNUS (bsc#1069138).
- commit b021027
* Fri Dec 22 2017 bp@suse.de
- Check cmdline_find_option() retval properly and use boot_cpu_has().
- Refresh
  patches.suse/4.4-50-kaiser-add_pti_cmdline_option_and_documentation.patch.
- Refresh patches.suse/4.4-58-kaiser-disable-on-xen.patch.
- commit 7875bc8
* Fri Dec 22 2017 hare@suse.de
- scsi: ses: make page2 support optional (bsc#1039616).
- scsi: ses: Fixup error message 'failed to get diagnostic page
  0xffffffea' (bsc#1039616).
- scsi: ses: check return code from ses_recv_diag() (bsc#1039616).
- scsi: ses: Fix wrong page error (bsc#1039616).
- commit ae2fb2c
* Fri Dec 22 2017 hare@suse.de
- scsi_dh_alua: skip RTPG for devices only supporting
  active/optimized (bsc#1064311).
- commit 3cb85fd
* Fri Dec 22 2017 jthumshirn@suse.de
- nvmet_fc: correct broken add_port (bsc#1072890).
- commit abde60d
* Fri Dec 22 2017 bpoirier@suse.com
- e1000e: Fix e1000_check_for_copper_link_ich8lan return value
  (bsc#1073809).
- commit c719659
* Fri Dec 22 2017 bpoirier@suse.com
- Refresh
  patches.drivers/IB-mlx5-Fix-RoCE-Address-Path-fields.patch.
- Refresh
  patches.drivers/i40e-add-private-flag-to-control-source-pruning.patch.
- Refresh patches.drivers/ibmvnic-113-Set-state-UP.patch.
- Refresh
  patches.drivers/ibmvnic-115-Enable-scatter-gather-support.patch.
- Refresh patches.drivers/ibmvnic-116-Enable-TSO-support.patch.
- Refresh
  patches.drivers/ibmvnic-117-Let-users-change-net-device-features.patch.
- Refresh
  patches.drivers/ibmvnic-118-Update-reset-infrastructure-to-support-tunab.patch.
- Refresh
  patches.drivers/ibmvnic-119-Fix-failover-error-path-for-non-fatal-resets.patch.
- Refresh
  patches.drivers/net-mvneta-fix-handling-of-the-Tx-descriptor-counter.patch.
  Refresh patch order in sorted section
- commit cbe4d59
* Fri Dec 22 2017 msuchanek@suse.de
- ibmvnic: Include header descriptor support for ARP packets
  (bsc#1073912).
- ibmvnic: Increase maximum number of RX/TX queues (bsc#1073912).
- ibmvnic: Rename IBMVNIC_MAX_TX_QUEUES to IBMVNIC_MAX_QUEUES
  (bsc#1073912).
- commit 6c87c5d
* Fri Dec 22 2017 msuchanek@suse.de
- Refresh sorted section.
- commit 3374575
* Thu Dec 21 2017 jkosina@suse.cz
- Update references.
- Update patches.kabi/kaiser-preserve-kabi.patch (bsc#1068032).
- Update
  patches.suse/4.4-53-kaiser-asm-tlbflush.h-handle-noPGE-at-lower-level.patch
  (bsc#1068032).
- Update
  patches.suse/4.4-54-kaiser-kaiser_flush_tlb_on_return_to_user-check-PCID.patch
  (bsc#1068032).
- Update patches.suse/4.4-57-Reenable_PARAVIRT.patch
  (bsc#1068032).
- Update patches.suse/4.4-58-kaiser-disable-on-xen.patch
  (bsc#1068032).
- commit 379cf0d
* Thu Dec 21 2017 jkosina@suse.cz
- Refresh patches.arch/s390-sles12sp3-99-03-nobp.patch: replace with updated patch from IBM
  Refreshpatches.suse/kgr-0002-livepatch-add-infrastructure.patch.
- commit f1d7376
* Thu Dec 21 2017 tabraham@suse.com
- vxlan: correctly handle ipv6.disable module parameter
  (bsc#1072962).
- commit c7a1af9
* Thu Dec 21 2017 tiwai@suse.de
- crypto: hmac - require that the underlying hash algorithm is
  unkeyed (CVE-2017-17806,bsc#1073874).
- commit 737cf89
* Thu Dec 21 2017 tiwai@suse.de
- crypto: salsa20 - fix blkcipher_walk API usage
  (CVE-2017-17805,bsc#1073792).
- commit de9eb21
* Thu Dec 21 2017 jthumshirn@suse.de
- Fix unsed variable warning in has_unmovable_pages (bsc#1073868).
- commit fc5bc8e
* Thu Dec 21 2017 jthumshirn@suse.de
- scsi: lpfc: correct sg_seg_cnt attribute min vs default
  (bsc#1072166).
- commit 8518666
* Thu Dec 21 2017 jthumshirn@suse.de
- nvme-fc: don't use bit masks for set/test_bit() numbers
  (bsc#1072890).
- commit c30e522
* Thu Dec 21 2017 jthumshirn@suse.de
- nvme-loop: check if queue is ready in queue_rq (bsc#1072890).
- nvme-fc: check if queue is ready in queue_rq (bsc#1072890).
- commit 11632f4
* Thu Dec 21 2017 jthumshirn@suse.de
- nvme-fabrics: introduce init command check for a queue that
  is not alive (bsc#1072890).
- commit c19bbdc
* Thu Dec 21 2017 jkosina@suse.cz
- s390: introduce CPU alternatives (bsc#1068032).
- s390/spinlock: add gmb memory barrier (bsc#1068032).
- s390: add ppa to system call and program check path
  (bsc#1068032).
- Refresh
  patches.suse/kgr-0002-livepatch-add-infrastructure.patch.
- commit b323bff
* Thu Dec 21 2017 dchang@suse.com
- blacklist.conf: Add not applicable commit 5a8e12678c76
- commit 7694902
* Thu Dec 21 2017 dchang@suse.com
- net/mlx5e: DCBNL, Implement tc with ets type and zero bandwidth
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- commit 7d813fa
* Thu Dec 21 2017 dchang@suse.com
- sfc: pass valid pointers from efx_enqueue_unwind (bsc#1017967
  FATE#321663).
- commit dc692bc
* Wed Dec 20 2017 jthumshirn@suse.de
- nvmet-fc: cleanup nvmet add_port/remove_port (bsc#1072890).
- commit 1d27205
* Wed Dec 20 2017 sparschauer@suse.de
- scsi_scan: Exit loop if TUR to LUN0 fails with 0x05/0x25 (bsc#1063043).
  This is specific to FUJITSU ETERNUS_DX* targets. They can return
  "Illegal Request - Logical unit not supported" and processing should
  leave the timeout loop in this case.
- commit d9c7f40
* Wed Dec 20 2017 bp@suse.de
- x86/kvm: Add MSR_IA32_SPEC_CTRL and MSR_IA32_PRED_CMD to kvm
  (bsc#1068032).
- Refresh
  patches.suse/16-x86-kvm-toggle-ibrs-on-vm-entry-and-exit.patch.
- Refresh
  patches.suse/18-x86-spec_ctrl-check-whether-ibrs-is-enabled-before-using-it.patch.
- commit aaff3a4
* Wed Dec 20 2017 jkosina@suse.cz
- Delete patches.arch/s390-sles12sp3-99-01-cpu-alternatives.patch.
- Delete patches.arch/s390-sles12sp3-99-02-gmb.patch.
- Delete patches.arch/s390-sles12sp3-99-03-nobp.patch.
  Drop them for now, IBM is going to provide updated version of all
  three shortly.
- commit 80d27fa
* Wed Dec 20 2017 jkosina@suse.cz
- Update references.
  Update patches.suse/powerpc-add-gmb.patch (bsc#1068032
  CVE-2017-5753).
- commit 37ec6bc
* Wed Dec 20 2017 jkosina@suse.cz
- Update references.
- Update
  patches.suse/0001-locking-barriers-introduce-new-memory-barrier-gmb.patch
  (bsc#1068032 CVE-2017-5753).
- Update
  patches.suse/0002-bpf-prevent-speculative-execution-in-eBPF-interprete.patch
  (bsc#1068032 CVE-2017-5753).
- Update
  patches.suse/0004-uvcvideo-prevent-speculative-execution.patch
  (bsc#1068032 CVE-2017-5753).
- Update
  patches.suse/0005-carl9170-prevent-speculative-execution.patch
  (bsc#1068032 CVE-2017-5753).
- Update patches.suse/0006-p54-prevent-speculative-execution.patch
  (bsc#1068032 CVE-2017-5753).
- Update
  patches.suse/0007-qla2xxx-prevent-speculative-execution.patch
  (bsc#1068032 CVE-2017-5753).
- Update
  patches.suse/0008-cw1200-prevent-speculative-execution.patch
  (bsc#1068032 CVE-2017-5753).
- Update
  patches.suse/0009-Thermal-int340x-prevent-speculative-execution.patch
  (bsc#1068032 CVE-2017-5753).
- Update
  patches.suse/0010-userns-prevent-speculative-execution.patch
  (bsc#1068032 CVE-2017-5753).
- Update
  patches.suse/0011-ipv6-prevent-speculative-execution.patch
  (bsc#1068032 CVE-2017-5753).
- Update patches.suse/0012-fs-prevent-speculative-execution.patch
  (bsc#1068032 CVE-2017-5753).
- Update
  patches.suse/0013-net-mpls-prevent-speculative-execution.patch
  (bsc#1068032 CVE-2017-5753).
- Update patches.suse/0014-udf-prevent-speculative-execution.patch
  (bsc#1068032 CVE-2017-5753).
- commit 3521bdf
* Wed Dec 20 2017 jkosina@suse.cz
- Update references.
- Update patches.suse/4.4-01-x86-mm-add-invpcid-helpers.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-02-x86-mm-fix-invpcid-asm-constraint.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-03-x86-mm-add-a-noinvpcid-boot-option-to-turn-off-invpcid.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-04-x86-mm-if-invpcid-is-available-use-it-to-flush-global-mappings.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-06-mm-mmu_context-sched-core-fix-mmu_context-h-assumption.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-07-sched-core-add-switch_mm_irqs_off-and-use-it-in-the-scheduler.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-08-x86-mm-build-arch-x86-mm-tlb-c-even-on-smp.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-09-x86-mm-sched-core-uninline-switch_mm.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-10-x86-mm-sched-core-turn-off-irqs-in-switch_mm.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-11-arm-hide-finish_arch_post_lock_switch-from-modules.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-12-sched-core-idle_task_exit-shouldn-t-use-switch_mm_irqs_off.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-15-x86-mm-remove-flush_tlb-and-flush_tlb_current_task.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-16-x86-mm-make-flush_tlb_mm_range-more-predictable.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-17-x86-mm-reimplement-flush_tlb_page-using-flush_tlb_mm_range.patch
  (bsc#1068032 CVE-2017-5754).
- x86/mm: Remove the UP asm/tlbflush.h code, always use the
  (formerly) (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-20-x86-mm-add-the-nopcid-boot-option-to-turn-off-pcid.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-21-x86-mm-enable-cr4-pcide-on-supported-systems.patch
  (bsc#1068032 CVE-2017-5754).
- Update patches.suse/4.4-22-KAISER-Kernel-Address-Isolation.patch
  (bsc#1068032 CVE-2017-5754).
- Update patches.suse/4.4-23-kaiser-merged-update.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-24-kaiser-do-not-set-_PAGE_NX-on-pgd_none.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-25-kaiser-stack-map-PAGE_SIZE-at-THREAD_SIZE-PAGE_SIZE.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-26-kaiser-fix-build-and-FIXME-in-alloc_ldt_struct.patch
  (bsc#1068032 CVE-2017-5754).
- Update patches.suse/4.4-27-kaiser-KAISER-depends-on-SMP.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-28-kaiser-fix-regs-to-do_nmi-ifndef-CONFIG_KAISER.patch
  (bsc#1068032 CVE-2017-5754).
- Update patches.suse/4.4-29-kaiser-fix-perf-crashes.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-30-kaiser-ENOMEM-if-kaiser_pagetable_walk-NULL.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-31-kaiser-tidied-up-asm-kaiser.h-somewhat.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-32-kaiser-tidied-up-kaiser_add-remove_mapping-slightly.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-33-kaiser-kaiser_remove_mapping-move-along-the-pgd.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-34-kaiser-align-addition-to-x86-mm-Makefile.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-35-kaiser-cleanups-while-trying-for-gold-link.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-36-kaiser-name-that-0x1000-KAISER_SHADOW_PGD_OFFSET.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-37-kaiser-delete-KAISER_REAL_SWITCH-option.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-38-kaiser-vmstat-show-NR_KAISERTABLE-as-nr_overhead.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-39-kaiser-enhanced-by-kernel-and-user-PCIDs.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-40-kaiser-load_new_mm_cr3-let-SWITCH_USER_CR3-flush-use.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-41-kaiser-PCID-0-for-kernel-and-128-for-user.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-42-kaiser-x86_cr3_pcid_noflush-and-x86_cr3_pcid_user.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-43-kaiser-paranoid_entry-pass-cr3-need-to-paranoid_exit.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-44-kaiser-_pgd_alloc-without-__GFP_REPEAT-to-avoid-stal.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-45-kaiser-fix-unlikely-error-in-alloc_ldt_struct.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-46-x86-mm-64-fix-reboot-interaction-with-cr4-pcide.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-47-kaiser-add-nokaiser-boot-option-using-ALTERNATIVE.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-48-rename-and-simplify-feature-setting.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-49-x86-boot-add-early-cmdline-parsing-for-options-with-arguments.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-50-kaiser-add_pti_cmdline_option_and_documentation.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-51-kaiser-use-ALTERNATIVE-instead-of-x86_cr3_pcid_noflu.patch
  (bsc#1068032 CVE-2017-5754).
- Update
  patches.suse/4.4-52-kaiser-drop-is_atomic-arg-to-kaiser_pagetable_walk.patch
  (bsc#1068032 CVE-2017-5754).
- commit fd06ec4
* Tue Dec 19 2017 neilb@suse.com
- blacklist.conf: mark 11e3e8d6d927 not-applicable
- commit f31bdf7
* Tue Dec 19 2017 neilb@suse.com
- NFS: revalidate "." etc correctly on "open" (git-fixes).
  Fix References: tag.
- autofs: fix careless error in recent commit (bnc#1012382
  bsc#1065180).
- NFS: revalidate "." etc correctly on "open" (bsc#1068951).
- commit 1502dc3
* Tue Dec 19 2017 bp@suse.de
- x86/CPU/AMD: Remove now unused definition of MFENCE_RDTSC
  feature (bsc#1068032).
- x86/CPU/AMD: Make the LFENCE instruction serialized
  (bsc#1068032).
- x86/svm: Add code to clear registers on VM exit (bsc#1068032).
- x86/svm: Clobber the RSB on VM exit (bsc#1068032).
- KVM: x86: Add speculative control CPUID support for guests
  (bsc#1068032).
- x86/svm: Set IBPB when running a different VCPU (bsc#1068032).
- x86/svm: Set IBRS value on VM entry and exit (bsc#1068032).
- KVM: SVM: Do not intercept new speculative control MSRs
  (bsc#1068032).
- x86/spec: Check CPUID direclty post microcode reload to support
  IBPB  feature (bsc#1068032).
- x86/CPU/AMD: Add speculative control support for AMD
  (bsc#1068032).
- x86/spec: Add "nospec" chicken bit (bsc#1068032).
- x86/CPU: Check speculation control CPUID bit (bsc#1068032).
- x86/spec_ctrl: Check whether IBPB is enabled before using it
  (bsc#1068032).
- x86/spec_ctrl: Check whether IBRS is enabled before using it
  (bsc#1068032).
- x86/kvm: Pad RSB on VM transition (bsc#1068032).
- x86/kvm: Toggle IBRS on VM entry and exit (bsc#1068032).
- x86/kvm: Flush IBP when switching VMs (bsc#1068032).
- x86/kvm: add MSR_IA32_SPEC_CTRL and MSR_IA32_PRED_CMD to kvm
  (bsc#1068032).
- x86/entry: Stuff RSB for entry to kernel for non-SMEP platform
  (bsc#1068032).
- x86/entry: Add a function to overwrite the RSB (bsc#1068032).
- x86/mm: Only set IBPB when the new thread cannot ptrace current
  thread (bsc#1068032).
- ptrace: Add a new thread access check (bsc#1068032).
- x86/mm: Set IBPB upon context switch (bsc#1068032).
- x86/spec_ctrl: Add an Indirect Branch Predictor barrier
  (bsc#1068032).
- x86/idle: Disable IBRS when offlining a CPU and re-enable on
  wakeup (bsc#1068032).
- commit aba633c
* Tue Dec 19 2017 bp@suse.de
- x86/idle: Toggle IBRS when going idle (bsc#1068032).
- commit 57ec908
* Tue Dec 19 2017 bp@suse.de
- x86/spec: Add IBRS control functions (bsc#1068032).
- x86/MSR: Move native_*msr(.. u64) to msr.h (bsc#1068032).
- x86/entry: Use IBRS on entry to kernel space (bsc#1068032).
- x86/enter: Add macros to set/clear IBRS and set IBPB
  (bsc#1068032).
- commit 786a769
* Tue Dec 19 2017 jkosina@suse.cz
- Refresh
  patches.suse/4.4-50-kaiser-add_pti_cmdline_option_and_documentation.patch.
  Really rename the parameter.
- commit e14d3b0
* Tue Dec 19 2017 bp@suse.de
- x86/feature: Enable the x86 feature to control Speculation
  (bsc#1068032).
- commit 7645228
* Tue Dec 19 2017 lhenriques@suse.com
- ceph: drop negative child dentries before try pruning inode's
  alias (bsc#1073525).
- commit 00db4e3
* Tue Dec 19 2017 jkosina@suse.cz
- patches.suse/s390-sles12sp3-99-03-nobp.patch: disabled for now, waiting
  for updated patch from IBM
- commit 9775c38
* Mon Dec 18 2017 jkosina@suse.cz
- Refresh patches.kabi/kaiser-preserve-kabi.patch.
  Disable kaiser vmstat accounting
- commit ad91cd8
* Mon Dec 18 2017 jthumshirn@suse.de
- s390/qeth: fix thinko in IPv4 multicast address tracking
  (bnc#1072216, LTC#162173).
- s390/qeth: fix early exit from error path (bnc#1072216,
  LTC#162173).
- s390/qeth: add missing hash table initializations (bnc#1072216,
  LTC#162173).
- commit e46e22e
* Mon Dec 18 2017 tbogendoerfer@suse.de
- iw_cxgb4: fix misuse of integer variable
  (bsc#963897,FATE#320114).
- iw_cxgb4: only insert drain cqes if wq is flushed (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- commit 729e115
* Fri Dec 15 2017 jkosina@suse.cz
- powerpc/barrier: add gmb.
- commit 8734ef1
* Fri Dec 15 2017 msuchanek@suse.de
- genwqe: Take R/W permissions into account when dealing with
  memory pages (bsc#1073090).
- commit 653a52b
* Fri Dec 15 2017 tbogendoerfer@suse.de
- scsi: qedi: Limit number for CQ queues (bsc#1072866).
- commit c112081
* Fri Dec 15 2017 jkosina@suse.cz
- s390/spinlock: add ppa to system call path
  Signoff the s390 patches.
- s390/spinlock: add gmb memory barrier
- s390: introduce CPU alternatives.
- commit cfa1740
* Fri Dec 15 2017 jslaby@suse.cz
- udf: prevent speculative execution (bnc#1068032).
- net: mpls: prevent speculative execution (bnc#1068032).
- fs: prevent speculative execution (bnc#1068032).
- ipv6: prevent speculative execution (bnc#1068032).
- userns: prevent speculative execution (bnc#1068032).
- Thermal/int340x: prevent speculative execution (bnc#1068032).
- cw1200: prevent speculative execution (bnc#1068032).
- qla2xxx: prevent speculative execution (bnc#1068032).
- p54: prevent speculative execution (bnc#1068032).
- carl9170: prevent speculative execution (bnc#1068032).
- uvcvideo: prevent speculative execution (bnc#1068032).
- bpf: prevent speculative execution in eBPF interpreter (bnc#1068032).
- locking/barriers: introduce new memory barrier gmb() (bnc#1068032).
- commit 70a1a84
* Fri Dec 15 2017 tiwai@suse.de
- APEI / ERST: Fix missing error handling in erst_reader()
  (bsc#1072556).
- commit e7fb5b4
* Thu Dec 14 2017 tbogendoerfer@suse.de
- bnxt_en: Don't print "Link speed -1 no longer supported"
  messages (bsc#1070116).
- commit 983c7d2
* Thu Dec 14 2017 jkosina@suse.cz
- kaiser: disabled on Xen PV.
- commit 6f59aba
* Wed Dec 13 2017 jkosina@suse.cz
- blacklist.conf: blacklist unnecessary PCID fixups
- commit 8804361
* Wed Dec 13 2017 jkosina@suse.cz
- Add basic mandatory SUSE patch metadata for the KAISER patches.
- Refresh patches.kabi/kaiser-preserve-kabi.patch.
- Refresh
  patches.suse/4.4-22-KAISER-Kernel-Address-Isolation.patch.
- Refresh patches.suse/4.4-23-kaiser-merged-update.patch.
- Refresh
  patches.suse/4.4-24-kaiser-do-not-set-_PAGE_NX-on-pgd_none.patch.
- Refresh
  patches.suse/4.4-25-kaiser-stack-map-PAGE_SIZE-at-THREAD_SIZE-PAGE_SIZE.patch.
- Refresh
  patches.suse/4.4-26-kaiser-fix-build-and-FIXME-in-alloc_ldt_struct.patch.
- Refresh patches.suse/4.4-27-kaiser-KAISER-depends-on-SMP.patch.
- Refresh
  patches.suse/4.4-28-kaiser-fix-regs-to-do_nmi-ifndef-CONFIG_KAISER.patch.
- Refresh patches.suse/4.4-29-kaiser-fix-perf-crashes.patch.
- Refresh
  patches.suse/4.4-30-kaiser-ENOMEM-if-kaiser_pagetable_walk-NULL.patch.
- Refresh
  patches.suse/4.4-31-kaiser-tidied-up-asm-kaiser.h-somewhat.patch.
- Refresh
  patches.suse/4.4-32-kaiser-tidied-up-kaiser_add-remove_mapping-slightly.patch.
- Refresh
  patches.suse/4.4-33-kaiser-kaiser_remove_mapping-move-along-the-pgd.patch.
- Refresh
  patches.suse/4.4-34-kaiser-align-addition-to-x86-mm-Makefile.patch.
- Refresh
  patches.suse/4.4-35-kaiser-cleanups-while-trying-for-gold-link.patch.
- Refresh
  patches.suse/4.4-36-kaiser-name-that-0x1000-KAISER_SHADOW_PGD_OFFSET.patch.
- Refresh
  patches.suse/4.4-37-kaiser-delete-KAISER_REAL_SWITCH-option.patch.
- Refresh
  patches.suse/4.4-38-kaiser-vmstat-show-NR_KAISERTABLE-as-nr_overhead.patch.
- Refresh
  patches.suse/4.4-39-kaiser-enhanced-by-kernel-and-user-PCIDs.patch.
- kaiser: load_new_mm_cr3() let SWITCH_USER_CR3 flush.
- Refresh
  patches.suse/4.4-41-kaiser-PCID-0-for-kernel-and-128-for-user.patch.
- Refresh
  patches.suse/4.4-42-kaiser-x86_cr3_pcid_noflush-and-x86_cr3_pcid_user.patch.
- Refresh
  patches.suse/4.4-43-kaiser-paranoid_entry-pass-cr3-need-to-paranoid_exit.patch.
- Refresh
  patches.suse/4.4-44-kaiser-_pgd_alloc-without-__GFP_REPEAT-to-avoid-stal.patch.
- Refresh
  patches.suse/4.4-45-kaiser-fix-unlikely-error-in-alloc_ldt_struct.patch.
- Refresh
  patches.suse/4.4-47-kaiser-add-nokaiser-boot-option-using-ALTERNATIVE.patch.
- Refresh
  patches.suse/4.4-48-rename-and-simplify-feature-setting.patch.
- Refresh
  patches.suse/4.4-50-kaiser-add_pti_cmdline_option_and_documentation.patch.
- Refresh
  patches.suse/4.4-51-kaiser-use-ALTERNATIVE-instead-of-x86_cr3_pcid_noflu.patch.
- Refresh
  patches.suse/4.4-52-kaiser-drop-is_atomic-arg-to-kaiser_pagetable_walk.patch.
- Refresh
  patches.suse/4.4-53-kaiser-asm-tlbflush.h-handle-noPGE-at-lower-level.patch.
- Refresh
  patches.suse/4.4-54-kaiser-kaiser_flush_tlb_on_return_to_user-check-PCID.patch.
- Refresh patches.suse/4.4-57-Reenable_PARAVIRT.patch.
- commit cc4e663
* Wed Dec 13 2017 jkosina@suse.cz
- patches.kabi/kaiser-preserve-kabi.patch: preserve kABI with KAISER/PTI
- commit 3a5c2fa
* Wed Dec 13 2017 jkosina@suse.cz
- Update config files: enable KAISER.
- commit 7274945
* Wed Dec 13 2017 bp@suse.de
- x86/kaiser: Reenable PARAVIRT.
- x86/paravirt: Dont patch flush_tlb_single (bsc#1068032).
- commit c976c02
* Wed Dec 13 2017 aaptel@suse.com
- CIFS: Fix NULL pointer deref on SMB2_tcon() failure (bsc#1071009).
- commit 9fc09b2
* Wed Dec 13 2017 bp@suse.de
- kaiser: kaiser_flush_tlb_on_return_to_user() check PCID.
- kaiser: asm/tlbflush.h handle noPGE at lower level.
- kaiser: drop is_atomic arg to kaiser_pagetable_walk().
- kaiser: use ALTERNATIVE instead of x86_cr3_pcid_noflush.
- x86/kaiser: Check boottime cmdline params.
- x86/boot: Add early cmdline parsing for options with arguments.
- x86/kaiser: Rename and simplify X86_FEATURE_KAISER handling.
- kaiser: add "nokaiser" boot option, using ALTERNATIVE.
- x86/mm/64: Fix reboot interaction with CR4.PCIDE (bsc#1068032).
- kaiser: fix unlikely error in alloc_ldt_struct().
- kaiser: _pgd_alloc() without __GFP_REPEAT to avoid stalls.
- kaiser: paranoid_entry pass cr3 need to paranoid_exit.
- kaiser: x86_cr3_pcid_noflush and x86_cr3_pcid_user.
- kaiser: PCID 0 for kernel and 128 for user.
- kaiser: load_new_mm_cr3() let SWITCH_USER_CR3 flush user.
- kaiser: enhanced by kernel and user PCIDs.
- kaiser: vmstat show NR_KAISERTABLE as nr_overhead.
- kaiser: delete KAISER_REAL_SWITCH option.
- kaiser: name that 0x1000 KAISER_SHADOW_PGD_OFFSET.
- kaiser: cleanups while trying for gold link.
- kaiser: align addition to x86/mm/Makefile.
- kaiser: kaiser_remove_mapping() move along the pgd.
- kaiser: tidied up kaiser_add/remove_mapping slightly.
- kaiser: tidied up asm/kaiser.h somewhat.
- kaiser: ENOMEM if kaiser_pagetable_walk() NULL.
- kaiser: fix perf crashes.
- kaiser: fix regs to do_nmi() ifndef CONFIG_KAISER.
- kaiser: KAISER depends on SMP.
- kaiser: fix build and FIXME in alloc_ldt_struct().
- kaiser: stack map PAGE_SIZE at THREAD_SIZE-PAGE_SIZE.
- kaiser: do not set _PAGE_NX on pgd_none.
- kaiser: merged update.
- KAISER: Kernel Address Isolation.
- x86/mm: Enable CR4.PCIDE on supported systems (bsc#1068032).
- x86/mm: Add the 'nopcid' boot option to turn off PCID
  (bsc#1068032).
- x86/mm: Remove the UP asm/tlbflush.h code, always use the
  (formerly) SMP code (bsc#1068032).
- x86/mm: Reimplement flush_tlb_page() using flush_tlb_mm_range()
  (bsc#1068032).
- x86/mm: Make flush_tlb_mm_range() more predictable
  (bsc#1068032).
- x86/mm: Remove flush_tlb() and flush_tlb_current_task()
  (bsc#1068032).
- sched/core: Idle_task_exit() shouldn't use switch_mm_irqs_off()
  (bsc#1068032).
- ARM: Hide finish_arch_post_lock_switch() from modules
  (bsc#1068032).
- x86/mm, sched/core: Turn off IRQs in switch_mm() (bsc#1068032).
- x86/mm, sched/core: Uninline switch_mm() (bsc#1068032).
- x86/mm: Build arch/x86/mm/tlb.c even on !SMP (bsc#1068032).
- sched/core: Add switch_mm_irqs_off() and use it in the scheduler
  (bsc#1068032).
- mm/mmu_context, sched/core: Fix mmu_context.h assumption
  (bsc#1068032).
- x86/mm: If INVPCID is available, use it to flush global mappings
  (bsc#1068032).
- x86/mm: Add a 'noinvpcid' boot option to turn off INVPCID
  (bsc#1068032).
- x86/mm: Fix INVPCID asm constraint (bsc#1068032).
- x86/mm: Add INVPCID helpers (bsc#1068032).
- commit c7c9e87
* Wed Dec 13 2017 oneukum@suse.com
- usb: host: fix incorrect updating of offset (bsc#1047487).
- commit 415a8d3
* Wed Dec 13 2017 hare@suse.de
- scsi: check for device state in __scsi_remove_target()
  (bsc#1072589).
- commit e430cfc
* Wed Dec 13 2017 dbueso@suse.de
- epoll: remove ep_call_nested() from ep_eventpoll_poll()
  (bsc#1056427).
- epoll: avoid calling ep_call_nested() from ep_poll_safewake()
  (bsc#1056427).
- commit c99ced4
* Wed Dec 13 2017 neilb@suse.com
- NFSv4: always set NFS_LOCK_LOST when a lock is lost
  (bsc#1068951).
- commit e07103e
* Tue Dec 12 2017 bp@suse.de
- x86/microcode/AMD: Add support for fam17h microcode loading
  (bsc#1068032).
- commit e2519b0
* Tue Dec 12 2017 mkubecek@suse.cz
- Update patches.kernel.org/patch-4.4.74-75 references (add CVE-2017-7482 bsc#1046107).
- commit 4d1fd5f
* Tue Dec 12 2017 jdelvare@suse.de
- blacklist.conf: clarify the problem with c0a32fe13cd3
- commit bfdb5b4
* Tue Dec 12 2017 mkubecek@suse.cz
- netfilter: xt_osf: Add missing permission checks (CVE-2017-17450
  bsc#1071695).
- commit 72901c9
* Tue Dec 12 2017 mkubecek@suse.cz
- netlink: Add netns check on taps (CVE-2017-17449 bsc#1071694).
- commit 34b86ff
* Tue Dec 12 2017 mkubecek@suse.cz
- netfilter: nfnetlink_cthelper: Add missing permission checks
  (CVE-2017-17448 bsc#1071693).
- commit 60de6b3
* Tue Dec 12 2017 oneukum@suse.com
- crypto: rsa - fix buffer overread when stripping leading zeroes
  (bsc#1048317).
- commit c7cf7ed
* Tue Dec 12 2017 mkubecek@suse.cz
- dccp: CVE-2017-8824: use-after-free in DCCP code (CVE-2017-8824
  bsc#1070771).
- commit ffb372d
* Tue Dec 12 2017 mkubecek@suse.cz
- Update
  patches.kernel.org/4.4.100-007-sctp-do-not-peel-off-an-assoc-from-one-netns-.patch
  references (add CVE-2017-15115 bsc#1068671).
- commit 8277a6f
* Tue Dec 12 2017 mkubecek@suse.cz
- Update patches.kernel.org/patch-4.4.86-87 rerferences (add CVE-2017-11600 bsc#1050231).
- commit d4ca9ac
* Mon Dec 11 2017 tbogendoerfer@suse.de
- net: thunderx: Fix TCP/UDP checksum offload for IPv4 pkts
  (bsc#1069583).
- bnxt_en: Fix a variable scoping in bnxt_hwrm_do_send_msg()
  (bsc#1053309).
- bnxt_en: Need to unconditionally shut down RoCE in bnxt_shutdown
  (bsc#1053309).
- e1000e: Avoid receiver overrun interrupt bursts (bsc#969470
  FATE#319819).
- commit 057c3b4
* Mon Dec 11 2017 oneukum@suse.com
- blacklist.conf: breaks ABI
- commit 3a24f5b
* Mon Dec 11 2017 oneukum@suse.com
- blacklist.conf: blacklist optimization for a rare math operation
- commit df9670b
* Mon Dec 11 2017 jthumshirn@suse.de
- nvme-pci: Remove watchdog timer (bsc#1066163).
- commit 41a2aee
* Sun Dec 10 2017 tiwai@suse.de
- Remove buggy IPMI patch (bsc#1071833)
  The broken fix was identified and removed/blacklisted now.
  Also re-enable the rest IPMI fixes that have been disabled.
- commit 42f6416
* Sat Dec  9 2017 tiwai@suse.de
- Disable IPMI fix patches due to regression (bsc#0171833)
- commit 02d2fe1
* Fri Dec  8 2017 jthumshirn@suse.de
- scsi: aacraid: Check for PCI state of device in a generic way
  (bsc#1022607, FATE#321673).
- commit ef24f1d
* Fri Dec  8 2017 jslaby@suse.cz
- Linux 4.4.103 (bnc#1012382).
- kABI: protect structs rt_rq+root_domain (kabi).
- s390: fix transactional execution control register handling
  (bnc#1012382).
- s390/runtime instrumention: fix possible memory corruption
  (bnc#1012382).
- s390/disassembler: add missing end marker for e7 table
  (bnc#1012382).
- s390/disassembler: increase show_code buffer size (LTC#161577
  bnc#1012382 bnc#1070825).
- ipv6: only call ip6_route_dev_notify() once for
  NETDEV_UNREGISTER (bnc#1012382).
- vsock: use new wait API for vsock_stream_sendmsg()
  (bnc#1012382).
- sched: Make resched_cpu() unconditional (bnc#1012382).
- lib/mpi: call cond_resched() from mpi_powm() loop (bnc#1012382).
- x86/decoder: Add new TEST instruction pattern (bnc#1012382).
- ARM: 8722/1: mm: make STRICT_KERNEL_RWX effective for LPAE
  (bnc#1012382).
- ARM: 8721/1: mm: dump: check hardware RO bit for LPAE
  (bnc#1012382).
- MIPS: ralink: Fix MT7628 pinmux (bnc#1012382).
- MIPS: ralink: Fix typo in mt7628 pinmux function (bnc#1012382).
- ALSA: hda: Add Raven PCI ID (bnc#1012382).
- dm bufio: fix integer overflow when limiting maximum cache size
  (bnc#1012382).
- dm: fix race between dm_get_from_kobject() and __dm_destroy()
  (bnc#1012382).
- MIPS: Fix an n32 core file generation regset support regression
  (bnc#1012382).
- MIPS: BCM47XX: Fix LED inversion for WRT54GSv1 (bnc#1012382).
- nilfs2: fix race condition that causes file system corruption
  (bnc#1012382).
- bcache: check ca->alloc_thread initialized before wake up it
  (bnc#1012382).
- isofs: fix timestamps beyond 2027 (bnc#1012382).
- NFS: Fix typo in nomigration mount option (bnc#1012382).
- nfs: Fix ugly referral attributes (bnc#1012382).
- nfsd: deal with revoked delegations appropriately (bnc#1012382).
- rtlwifi: rtl8192ee: Fix memory leak when loading firmware
  (bnc#1012382).
- rtlwifi: fix uninitialized rtlhal->last_suspend_sec time
  (bnc#1012382).
- ata: fixes kernel crash while tracing ata_eh_link_autopsy event
  (bnc#1012382).
- ext4: fix interaction between i_size, fallocate, and delalloc
  after a crash (bnc#1012382).
- fix a page leak in vhost_scsi_iov_to_sgl() error recovery
  (bnc#1012382).
- iscsi-target: Fix non-immediate TMR reference leak
  (bnc#1012382).
- target: Fix QUEUE_FULL + SCSI task attribute handling
  (bnc#1012382).
- KVM: nVMX: set IDTR and GDTR limits when loading L1 host state
  (bnc#1012382).
- KVM: SVM: obey guest PAT (bnc#1012382).
- SUNRPC: Fix tracepoint storage issues with svc_recv and
  svc_rqst_status (bnc#1012382).
- clk: ti: dra7-atl-clock: Fix of_node reference counting
  (bnc#1012382).
- clk: ti: dra7-atl-clock: fix child-node lookups (bnc#1012382).
- libnvdimm, namespace: fix label initialization to use valid
  seq numbers (bnc#1012382).
- libnvdimm, namespace: make 'resource' attribute only readable
  by root (bnc#1012382).
- IB/srpt: Do not accept invalid initiator port names
  (bnc#1012382).
- NFC: fix device-allocation error return (bnc#1012382).
- i40e: Use smp_rmb rather than read_barrier_depends
  (bnc#1012382).
- igb: Use smp_rmb rather than read_barrier_depends (bnc#1012382).
- igbvf: Use smp_rmb rather than read_barrier_depends
  (bnc#1012382).
- ixgbevf: Use smp_rmb rather than read_barrier_depends
  (bnc#1012382).
- i40evf: Use smp_rmb rather than read_barrier_depends
  (bnc#1012382).
- fm10k: Use smp_rmb rather than read_barrier_depends
  (bnc#1012382).
- ixgbe: Fix skb list corruption on Power systems (bnc#1012382).
- parisc: Fix validity check of pointer size argument in new
  CAS implementation (bnc#1012382).
- media: Don't do DMA on stack for firmware upload in the AS102
  driver (bnc#1012382).
- media: rc: check for integer overflow (bnc#1012382).
- media: v4l2-ctrl: Fix flags field on Control events
  (bnc#1012382).
- sched/rt: Simplify the IPI based RT balancing logic
  (bnc#1012382).
- fscrypt: lock mutex before checking for bounce page pool
  (bnc#1012382).
- net/9p: Switch to wait_event_killable() (bnc#1012382).
- PM / OPP: Add missing of_node_put(np) (bnc#1012382).
- e1000e: Fix error path in link detection (bnc#1012382).
- e1000e: Fix return value test (bnc#1012382).
- e1000e: Separate signaling for link check/link up (bnc#1012382).
- RDS: RDMA: return appropriate error on rdma map failures
  (bnc#1012382).
- PCI: Apply _HPX settings only to relevant devices (bnc#1012382).
- dmaengine: zx: set DMA_CYCLIC cap_mask bit (bnc#1012382).
- net: Allow IP_MULTICAST_IF to set index to L3 slave
  (bnc#1012382).
- net: 3com: typhoon: typhoon_init_one: make return values more
  specific (bnc#1012382).
- net: 3com: typhoon: typhoon_init_one: fix incorrect return
  values (bnc#1012382).
- drm/armada: Fix compile fail (bnc#1012382).
- ath10k: fix incorrect txpower set by P2P_DEVICE interface
  (bnc#1012382).
- ath10k: ignore configuring the incorrect board_id (bnc#1012382).
- ath10k: fix potential memory leak in
  ath10k_wmi_tlv_op_pull_fw_stats() (bnc#1012382).
- ath10k: set CTS protection VDEV param only if VDEV is up
  (bnc#1012382).
- ALSA: hda - Apply ALC269_FIXUP_NO_SHUTUP on HDA_FIXUP_ACT_PROBE
  (bnc#1012382).
- drm: Apply range restriction after color adjustment when
  allocation (bnc#1012382).
- mac80211: Remove invalid flag operations in mesh TSF
  synchronization (bnc#1012382).
- mac80211: Suppress NEW_PEER_CANDIDATE event if no room
  (bnc#1012382).
- iio: light: fix improper return value (bnc#1012382).
- staging: iio: cdc: fix improper return value (bnc#1012382).
- spi: SPI_FSL_DSPI should depend on HAS_DMA (bnc#1012382).
- netfilter: nft_queue: use raw_smp_processor_id() (bnc#1012382).
- netfilter: nf_tables: fix oob access (bnc#1012382).
- ASoC: rsnd: don't double free kctrl (bnc#1012382).
- btrfs: return the actual error value from from
  btrfs_uuid_tree_iterate (bnc#1012382).
- ASoC: wm_adsp: Don't overrun firmware file buffer when reading
  region data (bnc#1012382).
- s390/kbuild: enable modversions for symbols exported from asm
  (bnc#1012382).
- xen: xenbus driver must not accept invalid transaction ids
  (bnc#1012382).
- Revert "sctp: do not peel off an assoc from one netns to
  another one" (bnc#1012382).
- Delete
  patches.arch/s390-sles12sp3-06-01-s390-disassembler-increase-show_code-buffer-size.patch.
- ath10k: convert warning about non-existent OTP board id to
  debug message (git-fixes).
- mac80211: Fix addition of mesh configuration element
  (git-fixes).
- commit 81d5809
* Fri Dec  8 2017 msuchanek@suse.de
- Add undefine _unique_build_ids (bsc#964063)
- commit 5adca24
* Thu Dec  7 2017 lhenriques@suse.com
- blaclist.conf: ignore s2mpa01 regulator fix 33f0698a52d9
  This module is not compiled in any config.  Besides, it fixes a compilation
  error that occurs "In some rare configurations".
- commit f8fe2e2
* Thu Dec  7 2017 hare@suse.de
- scsi: fcoe: open-code fcoe_destroy_work() for NETDEV_UNREGISTER
  (bsc#1039542).
- commit 6938033
* Thu Dec  7 2017 hare@suse.de
- scsi: fcoe: separate out fcoe_vport_remove() (bsc#1039542).
- scsi: fcoe: move fcoe_interface_remove() out of
  fcoe_interface_cleanup() (bsc#1039542).
- commit 831b2d2
* Thu Dec  7 2017 jthumshirn@suse.de
- scsi: bfa: fix access to bfad_im_port_s (bsc#1065101).
- commit 608debc
* Thu Dec  7 2017 acho@suse.com
- Prevent stack info leak from the EFS element (bsc#1070535
  CVE-2017-1000410).
- commit d8b7f4b
* Wed Dec  6 2017 bp@suse.de
- x86/ACPI/cstate: Allow ACPI C1 FFH MWAIT use on AMD systems
  (bsc#1069879).
- commit 5151c84
* Wed Dec  6 2017 lhenriques@suse.com
- libceph: don't WARN() if user tries to add invalid key
  (bsc#1069277).
- ceph: present consistent fsid, regardless of arch endianness
  (bsc#1069277).
- ceph: -EINVAL on decoding failure in ceph_mdsc_handle_fsmap()
  (bsc#1069277).
- ceph: disable cached readdir after dropping positive dentry
  (bsc#1069277).
- commit fb521f2
* Wed Dec  6 2017 hare@suse.de
- Disable patches.kernel.org/4.4.93-022-fix-unbalanced-page-refcounting-in-bio_map_use.patch (bsc#1070767)
  Refresh patches.drivers/0004-bio-use-offset_in_page-macro.patch.
- commit 5a19591
* Wed Dec  6 2017 tiwai@suse.de
- isa: Prevent NULL dereference in isa_bus driver callbacks
  (bsc#1031717).
- commit 434f14e
* Tue Dec  5 2017 mwilck@suse.com
- Refresh scsi-devinfo patches with upstream commit ID
- Refresh
  patches.fixes/scsi-devinfo-cleanly-zero-pad-devinfo-strings.patch
- Refresh
  patches.fixes/scsi_devinfo-handle-non-terminated-strings.patch.
- commit 1e21867
* Tue Dec  5 2017 tiwai@suse.de
- blacklist.conf: Add ath10k, mmc and rtl8192u commits (bsc#1031717)
- commit 4221a1f
* Tue Dec  5 2017 jack@suse.cz
- quota: Check for register_shrinker() failure (bsc#1070404).
- commit 1bb872c
* Tue Dec  5 2017 oneukum@suse.com
- crypto: dh - Fix double free of ctx->p (bsc#1048317).
- crypto: dh - fix memleak in setkey (bsc#1048317).
- commit 07429eb
* Tue Dec  5 2017 tiwai@suse.de
- KEYS: fix key refcount leak in keyctl_read_key() (bsc#1031717).
- KEYS: fix key refcount leak in keyctl_assume_authority()
  (bsc#1031717).
- KEYS: don't revoke uninstantiated key in request_key_auth_new()
  (bsc#1031717).
- KEYS: fix cred refcount leak in request_key_auth_new()
  (bsc#1031717).
- power_supply: tps65217-charger: Fix NULL deref during property
  export (bsc#1031717).
- Input: uinput - avoid crash when sending FF request to device
  going away (bsc#1031717).
- ath10k: fix diag_read to collect data for larger memory
  (bsc#1031717).
- mac80211_hwsim: Fix memory leak in hwsim_new_radio_nl()
  (bsc#1031717).
- mac80211: Remove unused 'sband' and 'local' variables
  (bsc#1031717).
- mac80211: Remove unused 'rates_idx' variable (bsc#1031717).
- mac80211: TDLS: always downgrade invalid chandefs (bsc#1031717).
- drm/omap: Fix error handling path in 'omap_dmm_probe()'
  (bsc#1031717).
- drm/i915: Prevent zero length "index" write (bsc#1031717).
- drm/i915: Don't try indexed reads to alternate slave addresses
  (bsc#1031717).
- mmc: core: Fix access to HS400-ES devices (bsc#1031717).
- commit dd70c54
* Tue Dec  5 2017 oneukum@suse.com
- crypto: dh - Don't permit 'p' to be 0 (bsc#1048317).
- commit fa89b54
* Tue Dec  5 2017 oneukum@suse.com
- crypto: dh - Don't permit 'key' or 'g' size longer than 'p'
  (bsc#1048317).
- commit adfc79f
* Tue Dec  5 2017 hare@suse.de
- s390/disassembler: correct disassembly lines alignment
  (bsc#1070825).
- commit e64aa82
* Mon Dec  4 2017 msuchanek@suse.de
- blacklist.conf: Move patches backlisted in SP2 to the SP2 section.
- commit b989a49
* Mon Dec  4 2017 msuchanek@suse.de
- blacklist 0278b34bf15f spi: spidev_test: Fix buffer overflow in
  unescape()
  This is a binary built from Documentation and the build logs do not show
  it built
- commit 7671bbb
* Mon Dec  4 2017 bp@suse.de
- perf/x86/intel/bts: Fix exclusive event reference leak
  (git-fixes d2878d642a4ed).
- commit dd07097
* Mon Dec  4 2017 hare@suse.de
- blacklist.conf: Add non-applicable commit ID (bsc#1066812)
- commit 7494fa2
* Mon Dec  4 2017 hare@suse.de
- dm mpath: remove annoying message of 'blk_get_request()
  returned -11' (bsc#1066812).
- scsi: sd_zbc: Fix sd_zbc_read_zoned_characteristics()
  (bsc#1066812).
- commit 0679f9f
* Mon Dec  4 2017 hare@suse.de
- net/smc: dev_put for netdev after usage of ib_query_gid()
  (bsc#1066812).
- commit f7aae4f
* Mon Dec  4 2017 hare@suse.de
- s390/qeth: use ip_lock for hsuid configuration (bnc#1070825,
  LTC#161871).
- s390/qeth: allow hsuid configuration in DOWN state (bnc#1070825,
  LTC#161871).
- s390/disassembler: increase show_code buffer size (bnc#1070825,
  LTC#161577).
- commit f6479ce
* Mon Dec  4 2017 msuchanek@suse.de
- blacklist 85e3f1adcb9d powerpc/64s/radix: Fix 128TB-512TB virtual
  address boundary case allocation
- commit 7d2de07
* Mon Dec  4 2017 tbogendoerfer@suse.de
- IB/srp: Avoid that a cable pull can trigger a kernel crash
  (bsc#1022595 FATE#322350).
- IB/core: Fix calculation of maximum RoCE MTU (bsc#1022595
  FATE#322350).
- IB/uverbs: Fix NULL pointer dereference during device removal
  (bsc#1022595 FATE#322350).
- IB/ipoib: Remove double pointer assigning (bsc#1022595
  FATE#322350).
- IB/ipoib: Clean error paths in add port (bsc#1022595
  FATE#322350).
- IB/ipoib: Set IPOIB_NEIGH_TBL_FLUSH after flushed completion
  initialization (bsc#1022595 FATE#322350).
- IB/ipoib: Prevent setting negative values to max_nonsrq_conn_qp
  (bsc#1022595 FATE#322350).
- IB/uverbs: Fix device cleanup (bsc#1022595 FATE#322350).
- RDMA/uverbs: Prevent leak of reserved field (bsc#1022595
  FATE#322350).
- cxgb4: Fix error codes in c4iw_create_cq() (bsc#1048327).
- IB/core: Namespace is mandatory input for address resolution
  (bsc#1022595 FATE#322350).
- commit 6af4848
* Mon Dec  4 2017 tbogendoerfer@suse.de
- net: thunderx: Fix TCP/UDP checksum offload for IPv6 pkts
  (bsc#1069583).
- IB/hfi1: Add MODULE_FIRMWARE statements (bsc#1036800).
- commit ae478d4
* Mon Dec  4 2017 mhocko@suse.com
- mm/madvise.c: fix madvise() infinite loop under special
  circumstances (bnc#1070964).
- commit 759f770
* Mon Dec  4 2017 mhocko@suse.com
- Refresh
  patches.fixes/mm-thp-do-not-dirty-huge-pte-on-read-fault.patch.
  merged the final version merged upstream. maybe_pmd_mkwrite parts were
  separated to its own patch was is broken wrt. CoW (our tree had fixed
  that up). Anyway, let's way until that sorts out and we will merge
  the final and working fix. Keep only the main fix for the meantime.
- commit 3631950
* Sun Dec  3 2017 alnovak@suse.cz
- x86/acpi: Reduce code duplication in mp_override_legacy_irq()
  (bsc#1068984).
- x86/acpi: Handle SCI interrupts above legacy space gracefully
  (bsc#1068984).
- commit 15d586d
* Fri Dec  1 2017 msuchanek@suse.de
- Apply generic ppc build fixes to vanilla (bsc#1070805)
- commit 595f160
* Fri Dec  1 2017 hare@suse.de
- nvme-fabrics: kABI fix for duplicate_connect option
  (bsc#1067734).
- commit 769e691
* Fri Dec  1 2017 dchang@suse.com
- i40e: fix the calculation of VFs mac addresses (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- commit 81ffc73
* Fri Dec  1 2017 hare@suse.de
- nvme-fc: remove NVME_FC_MAX_SEGMENTS (bsc#1067734).
- nvme-rdma: add support for duplicate_connect option
  (bsc#1067734).
- nvme-fc: add support for duplicate_connect option (bsc#1067734).
- nvme: add helper to compare options to controller (bsc#1067734).
- nvme: add duplicate_connect option (bsc#1067734).
- nvme-fabrics: Allow 0 as KATO value (bsc#1067734).
- nvmet-fc: on port remove call put outside lock (bsc#1067734).
- commit 622fba4
* Fri Dec  1 2017 dchang@suse.com
- i40e: only redistribute MSI-X vectors when needed (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Fix incorrect use of tx_itr_setting when checking for
  Rx ITR setup (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- commit d8234ac
* Thu Nov 30 2017 hare@suse.de
- scsi: megaraid_sas: mismatch of allocated MFI frame size and
  length exposed in MFI MPT pass through command (bsc#1066767).
- commit d8c438a
* Thu Nov 30 2017 hare@suse.de
- scsi: lpfc: Fix hard lock up NMI in els timeout handling
  (bsc#1067735).
- commit 3fe2ba2
* Thu Nov 30 2017 hare@suse.de
- scsi: lpfc: update driver version to 11.4.0.5 (bsc#1067735).
- scsi: lpfc: small sg cnt cleanup (bsc#1067735).
- scsi: lpfc: Fix driver handling of nvme resources during unload
  (bsc#1067735).
- scsi: lpfc: Fix crash during driver unload with running nvme
  traffic (bsc#1067735).
- scsi: lpfc: Correct driver deregistrations with host nvme
  transport (bsc#1067735).
- scsi: lpfc: correct port registrations with nvme_fc
  (bsc#1067735).
- scsi: lpfc: Linux LPFC driver does not process all RSCNs
  (bsc#1067735).
- scsi: lpfc: Fix ndlp ref count for pt2pt mode issue RSCN
  (bsc#1067735).
- scsi: lpfc: Adjust default value of lpfc_nvmet_mrq
  (bsc#1067735).
- scsi: lpfc: Fix display for debugfs queInfo (bsc#1067735).
- scsi: lpfc: Driver fails to detect direct attach storage array
  (bsc#1067735).
- scsi: lpfc: Raise maximum NVME sg list size for 256 elements
  (bsc#1067735).
- scsi: lpfc: Fix NVME LS abort_xri (bsc#1067735).
- scsi: lpfc: Fix crash after bad bar setup on driver attachment
  (bsc#1067735).
- scsi: lpfc: Handle XRI_ABORTED_CQE in soft IRQ (bsc#1067735).
- scsi: lpfc: Expand WQE capability of every NVME hardware queue
  (bsc#1067735).
- scsi: lpfc: FLOGI failures are reported when connected to a
  private loop (bsc#1067735).
- commit e73a600
* Thu Nov 30 2017 hare@suse.de
- nvmet-fc: correct ref counting error when deferred rcv used
  (bsc#1067734).
- nvme-fc: decouple ns references from lldd references
  (bsc#1067734).
- nvme-fc: fix localport resume using stale values (bsc#1067734).
- nvme-fc: correct io timeout behavior (bsc#1067734).
- nvme-fc: correct io termination handling (bsc#1067734).
- nvme-fc: retry initial controller connections 3 times
  (bsc#1067734).
- nvmet-fc: fix failing max io queue connections (bsc#1067734).
- commit 8048421
* Wed Nov 29 2017 jack@suse.cz
- blacklist.conf: blacklist 0fafdc9f888b
- commit 9aed0e6
* Wed Nov 29 2017 jack@suse.cz
- blacklist.conf: blacklist 4c578dce5803
- commit c962c0e
* Wed Nov 29 2017 jack@suse.cz
- eCryptfs: use after free in ecryptfs_release_messaging()
  (bsc#1070404).
- commit 63e0b9e
* Wed Nov 29 2017 jack@suse.cz
- fs/9p: Compare qid.path in v9fs_test_inode (bsc#1070404).
- commit 8a0b571
* Wed Nov 29 2017 lhenriques@suse.com
- blaclist.conf: ignore a non-critical clk compile-testing fix
- commit aaae253
* Wed Nov 29 2017 mhocko@suse.com
- Refresh
  patches.fixes/mm-thp-do-not-dirty-huge-pte-on-read-fault.patch.
  Freshly created CoWed pmds really have to be marked dirty because
  g-u-p will not break out of the loop otherwise. Kudos to Nicolai Stange
  for noticing this.
- commit deef723
* Wed Nov 29 2017 hare@suse.de
- Re-enable
  patches.drivers/0402-nvme-core-allow-controller-RESETTING-to-RECONNECTING.patch
- commit d179e44
* Wed Nov 29 2017 hare@suse.de
- nvme-fc: add uevent for auto-connect (bsc#1037838).
- commit a165593
* Wed Nov 29 2017 hare@suse.de
- nvme-fc: create fc class and transport device (bsc#1037838).
- commit bb218ae
* Wed Nov 29 2017 hare@suse.de
- scsi: lpfc: fix build issue if NVME_FC_TARGET is not defined
  (bsc#1040073).
- Refresh
  patches.drivers/0031-lpfc-Fix-MRQ-1-context-list-handling.patch.
- commit 3041966
* Wed Nov 29 2017 hare@suse.de
- Disable non-standard FC-NVMe patches
- Update
  patches.drivers/0018-nvmet_fc-add-defer_req-callback-for-deferment-of-cmd.patch.
- Refresh
  patches.drivers/0474-nvme_fc-fix-error-recovery-on-link-down.patch.
- Refresh
  patches.kabi/nvme-fc-kABI-fix-for-defer_rcv-callback.patch.
- commit 387b7a1
* Wed Nov 29 2017 hare@suse.de
- Refresh patches with upstream commit ID (bsc#1067734)
- nvme-fc: Reattach to localports on re-registration
  (bsc#1052384).
- nvmet-fc: simplify sg list handling (bsc#1052384).
- scsi: lpfc: Fix plogi collision that causes illegal state
  transition (bsc#1052384).
- scsi: lpfc: Fix loop mode target discovery (bsc#1052384).
- scsi: lpfc: Fix rediscovery on switch blade pull (bsc#1052384).
- scsi: lpfc: Fix oops when NVME Target is discovered in a
  nonNVME environment.
- scsi: lpfc: convert info messages to standard messages
  (bsc#1052384).
- scsi: lpfc: Correct return error codes to align with nvme_fc
  transport (bsc#1052384).
- scsi: lpfc: Fix handling of FCP and NVME FC4 types in Pt2Pt
  topology (bsc#1052384).
- scsi: lpfc: Fix duplicate NVME rport entries and namespaces
  (bsc#1052384).
- scsi: lpfc: Fix crash in lpfc nvmet when fc port is reset
  (bsc#1052384).
- scsi: lpfc: Fix NVME PRLI handling during RSCN (bsc#1052384).
- scsi: lpfc: Correct issues with FAWWN and FDISCs (bsc#1052384).
- scsi: lpfc: Limit amount of work processed in IRQ (bsc#1052384).
- scsi: lpfc: Fix relative offset error on large nvmet target ios
  (bsc#1052384).
- scsi: lpfc: Fix nvme target failure after 2nd adapter reset
  (bsc#1052384).
- scsi: lpfc: Fix bad sgl reposting after 2nd adapter reset
  (bsc#1052384).
- scsi: lpfc: remove console log clutter (bsc#1052384).
- scsi: lpfc: Add Buffer to Buffer credit recovery support
  (bsc#1052384).
- scsi: lpfc: fix "integer constant too large" error on 32bit
  archs (bsc#1052384).
- scsi: lpfc: lpfc version bump 11.4.0.3 (bsc#1052384).
- Refresh
  patches.drivers/0039-lpfc-support-nvmet_fc-defer_rcv-callback.patch.
- Refresh
  patches.drivers/0051-Missing-bio_put-following-submit_bio_wait.patch.
- Refresh
  patches.drivers/0097-NVMe-Only-release-requested-regions.patch.
- Refresh
  patches.drivers/0266-nvmet_fc-add-req_release-to-lldd-api.patch.
- Refresh
  patches.drivers/0385-nvme-fc-correct-port-role-bits.patch.
- Refresh
  patches.drivers/0386-nvme-fc-require-target-or-discovery-role-for-fc-nvme.patch.
- Refresh
  patches.drivers/0387-nvme-fc-stop-queues-on-error-detection.patch.
- Refresh
  patches.drivers/0388-nvmet-fc-remove-target-cpu-scheduling-flag.patch.
- Refresh
  patches.drivers/0389-nvmet-release-the-sq-ref-on-rdma-read-errors.patch.
- Refresh
  patches.drivers/0390-nvme_fc-get-rid-of-local-reconnect_delay.patch.
- Refresh
  patches.drivers/0391-nvme_fc-Support-ctrl_loss_tmo.patch.
- Refresh
  patches.drivers/0392-nvme_fc-replace-ioabort-msleep-loop-with-completion.patch.
- Refresh
  patches.drivers/0393-nvme_fc-revise-comment-on-teardown.patch.
- Refresh
  patches.drivers/0394-nvme_fc-set-logging-level-on-resets-deletes.patch.
- Refresh
  patches.drivers/0397-nvme_fc-remove-extra-controller-reference-taken-on-r.patch.
- nvme-fcloop: fix port deletes and callbacks (bsc#1037838).
- Refresh
  patches.drivers/0399-nvme_fc-correct-nvme-status-set-on-abort.patch.
- nvme: allow controller RESETTING to RECONNECTING transition
  (bsc#1037838).
- Refresh patches.drivers/0426-nvmet_fc-fix-list-corruption.patch.
- Refresh
  patches.drivers/0427-nvmet_fc-cap-amount-of-work-allowed-in-workqueue.patch.
- scsi: lpfc: Add nvme initiator devloss support (bsc#1041873).
- scsi: lpfc: Fix transition nvme-i rport handling to nport only
  (bsc#1041873).
- scsi: lpfc: Fix nvme port role handling in sysfs and debugfs
  handlers (bsc#1041873).
- scsi: lpfc: Add changes to assist in NVMET debugging
  (bsc#1041873).
- scsi: lpfc: Fix Lun Priority level shown as NA (bsc#1041873).
- scsi: lpfc: Fix nvmet node ref count handling (bsc#1041873).
- scsi: lpfc: Fix Port going offline after multiple resets
  (bsc#1041873).
- scsi: lpfc: Fix counters so outstandng NVME IO count is accurate
  (bsc#1041873).
- scsi: lpfc: Fix return value of board_mode store routine in
  case of online failure (bsc#1041873).
- scsi: lpfc: Fix System panic after loading the driver
  (bsc#1041873).
- scsi: lpfc: Null pointer dereference when log_verbose is set
  to 0xffffffff (bsc#1041873).
- scsi: lpfc: Fix PRLI retry handling when target rejects it
  (bsc#1041873).
- scsi: lpfc: Fix vports not logging into target (bsc#1041873).
- scsi: lpfc: update to revision to 11.4.0.0 (bsc#1041873).
- nvme-fc: on lldd/transport io error, terminate association
  (bsc#1042268).
- Refresh
  patches.drivers/0474-nvme_fc-fix-error-recovery-on-link-down.patch.
- Refresh
  patches.drivers/0477-nvme-add-hostid-token-to-fabric-options.patch.
- Refresh
  patches.drivers/nvme-add-transport-SGL-definitions.patch.
- Refresh
  patches.drivers/nvme-fc-use-transport-specific-sgl-format.patch.
- commit 2d6338a
* Wed Nov 29 2017 msuchanek@suse.de
- cxl: Force context lock during EEH flow (bsc#1066223).
- powerpc/signal: Properly handle return value from
  uprobe_deny_signal() (bsc#1066223).
- powerpc/powernv: Make opal_event_shutdown() callable from IRQ
  context (bsc#1066223).
- powerpc/opal: Fix EBUSY bug in acquiring tokens (bsc#1066223).
- commit 90cf688
* Wed Nov 29 2017 hare@suse.de
- nvme-fc: remove unused "queue_size" field (bsc#1042268).
- Delete
  patches.drivers/0444-nvme_fc-fix-confused-queue-size-handling.patch.
- commit 5ea81f1
* Wed Nov 29 2017 hare@suse.de
- lpfc: tie in to new dev_loss_tmo interface in nvme transport (bsc#1041873).
- commit 4109b1f
* Wed Nov 29 2017 hare@suse.de
- Drop obsolete patch (bsc#1067734)
  Delete
  patches.drivers/0405-nvme_fc-add-dev_loss_tmo-to-controller.patch.
- commit 631040e
* Wed Nov 29 2017 hare@suse.de
- nvme-fc: add dev_loss_tmo timeout and remoteport resume support
  (bsc#1037838).
- commit 7279045
* Wed Nov 29 2017 hare@suse.de
- nvme-fc: check connectivity before initiating reconnects
  (bsc#1037838).
- commit 1036213
* Wed Nov 29 2017 hare@suse.de
- nvme-fc: add a dev_loss_tmo field to the remoteport
  (bsc#1037838).
- commit 6a91e32
* Wed Nov 29 2017 mwilck@suse.com
- Add references (bsc#1062941, bsc#1037404, bsc#1012523, bsc#1038299)
  The scsi_devinfo patches are relevant for all bugs related to
  HITACHI OPEN-V:
- Update
  patches.fixes/scsi-devinfo-cleanly-zero-pad-devinfo-strings.patch
  (bsc#1062941, bsc#1037404, bsc#1012523, bsc#1038299).
- Update patches.fixes/scsi_devinfo-fixup-string-compare.patch
  (bsc#1062941, bsc#1037404, bsc#1012523, bsc#1038299).
- Update
  patches.fixes/scsi_devinfo-handle-non-terminated-strings.patch
  (bsc#1062941, bsc#1037404, bsc#1012523, bsc#1038299).
- commit 0ac4fb5
* Wed Nov 29 2017 hare@suse.de
- nvme-fc: change ctlr state assignments during reset/reconnect (bsc#1037838).
- commit 896b3e3
* Wed Nov 29 2017 hare@suse.de
- nvme-fc: fix iowait hang (bsc#1052384).
- commit 78029cb
* Wed Nov 29 2017 hare@suse.de
- nvme-fc: move remote port get/put/free location (bsc#1037838).
- commit c341d5a
* Wed Nov 29 2017 msuchanek@suse.de
- ibmvnic: fix dma_mapping_error call (bsc#1069942).
- ibmvnic: Feature implementation of Vital Product Data (VPD)
  for the ibmvnic driver (bsc#1069942).
- ibmvnic: Add vnic client data to login buffer (bsc#1069942).
- commit 6dbaedc
* Wed Nov 29 2017 mkubecek@suse.cz
- ipsec: Fix aborted xfrm policy dump crash (CVE-2017-16939
  bsc#1069702).
- commit 5103b61
* Wed Nov 29 2017 hare@suse.de
- Update preliminary FC-NVMe patches to mainline status (bsc#1067734)
- scsi: lpfc: Break up IO ctx list into a separate get and put
  list (bsc#1045404).
- scsi: lpfc: spin_lock_irq() is not nestable (bsc#1045404).
- Refresh
  patches.drivers/0031-lpfc-Fix-MRQ-1-context-list-handling.patch.
- Refresh
  patches.drivers/0425-scsi-lpfc-double-lock-typo-in-lpfc_ns_rsp.patch.
- Refresh
  patches.drivers/0437-lpfc-Fix-crash-on-powering-off-BFS-VM-with-passthrou.patch.
- Delete
  patches.drivers/0127-scsi-lpfc-Fix-crash-on-PCI-hotplug-remove-path.patch
- commit 173b2d6
* Wed Nov 29 2017 lhenriques@suse.com
- kABI: protect struct regulator_dev (kabi).
- commit 5488071
* Wed Nov 29 2017 tiwai@suse.de
- video: udlfb: Fix read EDID timeout (bsc#1031717).
- commit 3255c7f
* Wed Nov 29 2017 tiwai@suse.de
- ipmi_si: fix memory leak on new_smi (bsc#1070006).
- commit e3a71a5
* Tue Nov 28 2017 msuchanek@suse.de
- tpm: kabi: do not bother with added const (bsc#1020645,
  git-fixes).
- Refresh
  patches.drivers/tpm-183-constify-transmit-data-pointers.patch.
- commit 6525657
* Tue Nov 28 2017 msuchanek@suse.de
- tpm_tis_spi: Use DMA-safe memory for SPI transfers (bsc#1020645,
  git-fixes).
- tpm: constify transmit data pointers (bsc#1020645, git-fixes).
- commit 7d9b424
* Tue Nov 28 2017 msuchanek@suse.de
- blacklist tpm endian annotation patches.
- commit f69a587
* Tue Nov 28 2017 msuchanek@suse.de
- powerpc/64s/slice: Use addr limit when computing slice mask
  (bsc#1070169).
- powerpc/64s/hash: Allow MAP_FIXED allocations to cross 128TB
  boundary (bsc#1070169).
- powerpc/64s/hash: Fix 128TB-512TB virtual address boundary
  case allocation (bsc#1070169).
- powerpc/64s/hash: Fix fork() with 512TB process address space
  (bsc#1070169).
- powerpc/64s/hash: Fix 512T hint detection to use >= 128T
  (bsc#1070169).
- commit f7826c0
* Tue Nov 28 2017 lhenriques@suse.com
- regulator: core: Limit propagation of parent voltage count
  and list (bsc#1070145).
- commit 33f0b7e
* Tue Nov 28 2017 ddiss@suse.de
- target: fix ALUA state file path truncation (bsc#1064606).
- target: fix PR state file path truncation (bsc#1064606).
- target/rbd: use target_configure_unmap_from_queue() helper
  (bsc#1064320).
- rbd: set discard_alignment to zero (bsc#1064320).
- target/rbd: handle zero length UNMAP requests early
  (bsc#1064320).
- commit 7d4d7cc
* Tue Nov 28 2017 pmladek@suse.com
- printk: Make sure to wake up printk kthread from irq work for
  pending output (bnc#744692, bnc#789311).
- Refresh patches.suse/printk-make-synchronous-param-rw.patch.
- commit ec46e59
* Tue Nov 28 2017 yousaf.kaukab@suse.com
- drivers: base: cacheinfo: fix x86 with CONFIG_OF enabled
  (bsc#1070001).
- Refresh
  patches.drivers/0001-drivers-base-cacheinfo-fix-boot-error-message-when-a.patch.
- commit 4c3625d
* Tue Nov 28 2017 tbogendoerfer@suse.de
- i40iw: Remove UDA QP from QoS list if creation fails
  (bsc#1024376 FATE#321249).
- commit 3ce6d1e
* Tue Nov 28 2017 tbogendoerfer@suse.de
- blacklist.conf
- commit f5642f9
* Tue Nov 28 2017 tbogendoerfer@suse.de
- bnxt_re: Make room for mapping beyond 32 entries (bsc#1056596).
- commit 168c276
* Tue Nov 28 2017 tiwai@suse.de
- ipmi: Prefer ACPI system interfaces over SMBIOS ones
  (bsc#1070006).
- ipmi: Pick up slave address from SMBIOS on an ACPI device
  (bsc#1070006).
- ipmi_si: Clean up printks (bsc#1070006).
- commit b3a5eaa
* Tue Nov 28 2017 mhocko@suse.com
- Update
  patches.kernel.org/4.4.101-019-mm-pagewalk.c-report-holes-in-hugetlb-ranges.patch
  (bnc#1012382, bnc#1069996, CVE-2017-16994).
- commit 4b79fa7
* Tue Nov 28 2017 mwilck@suse.com
- scsi_devinfo: cleanly zero-pad devinfo strings (bsc#1062941).
- commit 75369c4
* Tue Nov 28 2017 mwilck@suse.com
- scsi: scsi_devinfo: handle non-terminated strings (bsc#1062941).
- commit 106a22f
* Mon Nov 27 2017 mwilck@suse.com
- scsi: scsi_devinfo: fixup string compare (bsc#1062941).
  updated patches.fixes/scsi_devinfo-fixup-string-compare.patch to
  the version merged upstream.
- commit 277e0d1
* Mon Nov 27 2017 msuchanek@suse.de
- Do not enforce patch directories yet.
- commit d010fc2
* Mon Nov 27 2017 tiwai@suse.de
- blacklist.conf: ignore a broken USB-audio patch
- commit 5923aa4
* Mon Nov 27 2017 tiwai@suse.de
- ALSA: hda/realtek - Fix ALC700 family no sound issue
  (bsc#1031717).
- ALSA: usb-audio: Add sanity checks in v2 clock parsers
  (bsc#1031717).
- ALSA: usb-audio: Fix potential out-of-bound access at parsing SU
  (bsc#1031717).
- ALSA: usb-audio: Add sanity checks to FE parser (bsc#1031717).
- ALSA: timer: Remove kernel warning at compat ioctl error paths
  (bsc#1031717).
- ALSA: pcm: update tstamp only if audio_tstamp changed
  (bsc#1031717).
- ALSA: hda/realtek: Add headset mic support for Intel NUC Skull
  Canyon (bsc#1031717).
- ALSA: usb-audio: uac1: Invalidate ctl on interrupt
  (bsc#1031717).
- commit 4bb84c5
* Mon Nov 27 2017 tiwai@suse.de
- Delete the old KBL workaround for HD-audio (bsc#1048356,bsc#1047989,bsc#1055272,bsc#1058413)
  This workaround is no longer needed.
- commit c4376a7
* Mon Nov 27 2017 tiwai@suse.de
- ALSA: hda: Workaround for KBL codec power control
  (bsc#1048356,bsc#1047989,bsc#1055272,bsc#1058413).
- commit f0d9922
* Mon Nov 27 2017 tbogendoerfer@suse.de
- IB/rxe: don't crash, if allocation of crc algorithm failed
  (bsc#1051635).
- IB/rxe: put the pool on allocation failure (FATE#322149).
- IB/rxe: check for allocation failure on elem (FATE#322149).
- IB/core: Fix unable to change lifespan entry for hw_counters
  (FATE#321231 FATE#321473).
- commit 2290849
* Mon Nov 27 2017 vbabka@suse.cz
- x86/mm: fix use-after-free of vma during userfaultfd fault
  (Git-fixes, bsc#1069916).
- commit 8b61110
* Mon Nov 27 2017 jthumshirn@suse.de
- libnvdimm, pfn: make 'resource' attribute only readable by root
  (FATE#319858).
- commit 7a3592c
* Fri Nov 24 2017 lhenriques@suse.com
- iommu/vt-d: Don't register bus-notifier under dmar_global_lock
  (bsc#1069793).
- commit 7cfb8af
* Fri Nov 24 2017 tiwai@suse.de
- rpm/kernel-binary.spec.in: Correct supplements for recent SLE products (bsc#1067494)
- commit c3ab113
* Fri Nov 24 2017 hare@suse.de
- scsi: lpfc: change version to 11.4.0.4 (bsc#1067735).
- scsi: lpfc: correct nvme sg segment count check (bsc#1067735).
- scsi: lpfc: Fix oops of nvme host during driver unload
  (bsc#1067735).
- scsi: lpfc: Extend RDP support (bsc#1067735).
- scsi: lpfc: Fix secure firmware updates (bsc#1067735).
- scsi: lpfc: Fix crash in lpfc_nvme_fcp_io_submit during LIP
  (bsc#1067735).
- scsi: lpfc: Disable NPIV support if NVME is enabled
  (bsc#1067735).
- scsi: lpfc: Fix oops if nvmet_fc_register_targetport fails
  (bsc#1067735).
- scsi: lpfc: Revise NVME module parameter descriptions for
  better clarity (bsc#1067735).
- scsi: lpfc: Set missing abort context (bsc#1067735).
- scsi: lpfc: Reduce log spew on controller reconnects
  (bsc#1067735).
- scsi: lpfc: Fix FCP hba_wqidx assignment (bsc#1067735).
- scsi: lpfc: Move CQ processing to a soft IRQ (bsc#1067735).
- scsi: lpfc: Make ktime sampling more accurate (bsc#1067735).
- scsi: lpfc: PLOGI failures during NPIV testing (bsc#1067735).
- scsi: lpfc: Fix warning messages when NVME_TARGET_FC not defined
  (bsc#1067735).
- scsi: lpfc: Fix lpfc nvme host rejecting IO with Not Ready
  message (bsc#1067735).
- scsi: lpfc: Fix crash receiving ELS while detaching driver
  (bsc#1067735).
- scsi: lpfc: fix pci hot plug crash in list_add call
  (bsc#1067735).
- scsi: lpfc: fix pci hot plug crash in timer management routines
  (bsc#1067735).
- commit 83a8e7c
* Fri Nov 24 2017 tiwai@suse.de
- Update patches.drivers/0005-hwmon-xgene-Fix-up-error-handling-path-mixup-in-xgen.patch (bsc#1056652)
  Correct bugzilla reference.
- commit aab44e0
* Fri Nov 24 2017 vbabka@suse.cz
- mm, page_alloc: fix potential false positive in
  __zone_watermark_ok (Git-fixes, bsc#1068978).
- commit 8e11d9c
* Fri Nov 24 2017 jkosina@suse.cz
- HID: elo: clear BTN_LEFT mapping (bsc#1065866).
- commit 9811751
* Fri Nov 24 2017 yousaf.kaukab@suse.com
- blacklist arm64 kaslr fix for 16KB pages
- commit cf7d27e
* Fri Nov 24 2017 yousaf.kaukab@suse.com
- net: ixgbe: Use new IXGBE_FLAG2_ROOT_RELAXED_ORDERING flag
  (bsc#1056652).
- commit 1b31530
* Fri Nov 24 2017 yousaf.kaukab@suse.com
- mmc: dw_mmc: Fix the DTO timeout calculation (bsc#1069721).
- mmc: core: add driver strength selection when selecting hs400es
  (bsc#1069721).
- PCI: Enable Relaxed Ordering for Hisilicon Hip07 chip
  (bsc#1056652).
- hwmon: (xgene) Fix up error handling path mixup in
  'xgene_hwmon_probe()' (bsc#).
- commit 7ed61b3
* Fri Nov 24 2017 tbogendoerfer@suse.de
- net: mvneta: fix handling of the Tx descriptor counter
  (fate#319899).
- commit e20947d
* Fri Nov 24 2017 mhocko@suse.com
- mm, thp: do not dirty huge pages on read fault (bnc#1069496,
  CVE-2017-1000405).
- Refresh
  patches.drivers/0111-dev-dax-core-file-operations-and-dax-mmap.patch.
- Refresh
  patches.drivers/mm-x86-get_user_pages-for-dax-mappings.patch.
- commit 613f0f0
* Fri Nov 24 2017 hare@suse.de
- kabi/severities: Ignore kABI changes for qla2xxx (bsc#1043017)
- commit 6a640d3
* Fri Nov 24 2017 jthumshirn@suse.de
- block: Fix a race between blk_cleanup_queue() and timeout
  handling (FATE#319965, bsc#964944).
- Refresh
  patches.drivers/0389-block-Use-pointer-to-backing_dev_info-from-request_q.patch.
- commit 9bec0c3
* Fri Nov 24 2017 jslaby@suse.cz
- Linux 4.4.101 (bnc#1012382).
- Linux 4.4.102 (bnc#1012382).
- tcp: do not mangle skb->cb[] in tcp_make_synack() (bnc#1012382).
- netfilter/ipvs: clear ipvs_property flag when SKB net namespace
  changed (bnc#1012382).
- bonding: discard lowest hash bit for 802.3ad layer3+4
  (bnc#1012382).
- vlan: fix a use-after-free in vlan_device_event() (bnc#1012382).
- af_netlink: ensure that NLMSG_DONE never fails in dumps
  (bnc#1012382).
- sctp: do not peel off an assoc from one netns to another one
  (bnc#1012382).
- fealnx: Fix building error on MIPS (bnc#1012382).
- net/sctp: Always set scope_id in sctp_inet6_skb_msgname
  (bnc#1012382).
- ima: do not update security.ima if appraisal status is not
  INTEGRITY_PASS (bnc#1012382).
- serial: omap: Fix EFR write on RTS deassertion (bnc#1012382).
- nvme: Fix memory order on async queue deletion (bnc#1012382).
- ocfs2: should wait dio before inode lock in ocfs2_setattr()
  (bnc#1012382).
- ipmi: fix unsigned long underflow (bnc#1012382).
- coda: fix 'kernel memory exposure attempt' in fsync
  (bnc#1012382).
- mm/pagewalk.c: report holes in hugetlb ranges (bnc#1012382).
- mm, hwpoison: fixup "mm: check the return value of
  lookup_page_ext for all call sites" (bnc#1012382).
- Refresh
  patches.drivers/0042-nvme-switch-delete-sq-cq-to-blk_execute_rq_nowait.patch.
- Refresh
  patches.drivers/0058-nvme-io-queue-deletion-re-write.patch.
- Refresh
  patches.suse/0003-kabi-Add-placeholders-to-a-couple-of-important-struc.patch.
- Refresh
  patches.suse/mm-page_owner-copy-page-owner-info-during-migration.patch.
- Refresh
  patches.suse/mm-page_owner-dump-page-owner-info-from-dump_page.patch.
- Refresh
  patches.suse/mm-page_owner-track-and-print-last-migrate-reason.patch.
- commit 6fcf04f
* Fri Nov 24 2017 jthumshirn@suse.de
- scsi: aacraid: Fix controller initialization failure
  (FATE#320140).
- commit 7791c2a
* Fri Nov 24 2017 jthumshirn@suse.de
- scsi: lpfc: Fix a precedence bug in lpfc_nvme_io_cmd_wqe_cmpl()
  (bsc#1056587).
- scsi: qla2xxx: Initialize Work element before requesting IRQs
  (bsc#1019675,FATE#321701).
- commit 08bc70e
* Fri Nov 24 2017 hare@suse.de
- qla2xxx: relogin is being triggered too fast (bsc#1043017).
- qla2xxx: Fix cable swap (bsc#1043017).
- qla2xxx: Recheck session state after RSCN (bsc#1043017).
- qla2xxx: Serialize gpnid (bsc#1043017).
- qla2xxx: fix stale memory access (bsc#1043017).
- qla2xxx: Login state machine stuck at GPDB (bsc#1043017).
- qla2xxx: Retry switch command on timed out (bsc#1043017).
- qla2xxx: Fix notify ack without timeout handling (bsc#1043017).
- qla2xxx: Fix re-login for Nport Handle in use (bsc#1043017).
- commit 45a09fd
* Fri Nov 24 2017 hare@suse.de
- scsi: qla2xxx: Turn on FW option for exchange check
  (bsc#1043017).
- scsi: qla2xxx: Cleanup debug message IDs (bsc#1043017).
- scsi: qla2xxx: Fix name server relogin (bsc#1043017).
- scsi: qla2xxx: Use flag PFLG_DISCONNECTED (bsc#1043017).
- scsi: qla2xxx: Fix path recovery (bsc#1043017).
- scsi: qla2xxx: Retain loop test for fwdump length exceeding
  buffer length (bsc#1043017).
- scsi: qla2xxx: Replace usage of spin_lock with spin_lock_irqsave
  (bsc#1043017).
- commit 4732c44
* Thu Nov 23 2017 tiwai@suse.de
- blacklist.conf: Update blacklist (bsc#1031717)
- commit 9885e34
* Thu Nov 23 2017 tiwai@suse.de
- platform/x86: acer-wmi: setup accelerometer when ACPI device
  was found (bsc#1031717).
- rtlwifi: rtl8821ae: Fix HW_VAR_NAV_UPPER operation
  (bsc#1031717).
- mac80211: fix mgmt-tx abort cookie and leak (bsc#1031717).
- mac80211: don't send SMPS action frame in AP mode when not
  needed (bsc#1031717).
- mac80211: agg-tx: call drv_wake_tx_queue in proper context
  (bsc#1031717).
- mac80211: TDLS: change BW calculation for WIDER_BW peers
  (bsc#1031717).
- mac80211: Remove unused 'struct ieee80211_rx_status' ptr
  (bsc#1031717).
- mac80211: Remove unused 'len' variable (bsc#1031717).
- mac80211: Remove unused 'i' variable (bsc#1031717).
- mac80211: Remove unused 'beaconint_us' variable (bsc#1031717).
- mac80211: Fix BW upgrade for TDLS peers (bsc#1031717).
- ath9k_htc: check for underflow in ath9k_htc_rx_msg()
  (bsc#1031717).
- ath9k: off by one in ath9k_hw_nvram_read_array() (bsc#1031717).
- ath10k: free cached fw bin contents when get board id fails
  (bsc#1031717).
- ath10k: fix board data fetch error message (bsc#1031717).
- ath10k: fix a warning during channel switch with multiple vaps
  (bsc#1031717).
- r8169: Do not increment tx_dropped in TX ring cleaning
  (bsc#1031717).
- drm/nouveau/gr: fallback to legacy paths during firmware lookup
  (bsc#1031717).
- drm/amdkfd: NULL dereference involving create_process()
  (bsc#1031717).
- mmc: sd: limit SD card power limit according to cards
  capabilities (bsc#1031717).
- mmc: core/mmci: restore pre/post_req behaviour (bsc#1031717).
- mmc: block: return error on failed mmc_blk_get() (bsc#1031717).
- commit e5853d4
* Thu Nov 23 2017 tiwai@suse.de
- ASoC: samsung: Fix possible double iounmap on s3c24xx driver
  probe failure (bsc#1031717).
- ASoC: cs42l56: Fix reset GPIO name in example DT binding
  (bsc#1031717).
- ALSA: hda/ca0132 - Fix memory leak at error path (bsc#1031717).
- commit fb458d0
* Thu Nov 23 2017 colyli@suse.de
- dm rq: Avoid that request processing stalls sporadically
  (bsc#1042978).
- commit 8cc3a7e
* Thu Nov 23 2017 colyli@suse.de
- dm raid: fix NULL pointer dereference for raid1 without bitmap
  (bsc#1042957, FATE#321488).
- commit 14960a2
* Wed Nov 22 2017 jack@suse.cz
- ext4: prevent data corruption with journaling + DAX
  (bsc#1064591).
- ext4: prevent data corruption with inline data + DAX
  (bsc#1064591).
- ext4: fix fault handling when mounted with -o dax,ro
  (bsc#1069484).
- commit 083214c
* Wed Nov 22 2017 tbogendoerfer@suse.de
- IB/mlx5: Fix RoCE Address Path fields (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5e: Increase Striding RQ minimum size limit to 4
  multi-packet WQEs (bsc#1015342 FATE#321688 bsc#1015343
  FATE#321689).
- net/mlx5: Loop over temp list to release delay events
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- commit 8b55fb0
* Wed Nov 22 2017 nborisov@suse.com
- ext4: reduce lock contention in __ext4_new_inode (bsc#1066285).
- ext4: cleanup goto next group (bsc#1066285).
- commit 0434b22
* Wed Nov 22 2017 yousaf.kaukab@suse.com
- PCI: Mark Cavium CN8xxx to avoid bus reset (bsc#1069250).
- PCI: Apply Cavium ThunderX ACS quirk to more Root Ports
  (bsc#1069250).
- PCI: Set Cavium ACS capability quirk flags to assert RR/CR/SV/UF
  (bsc#1069250).
- i2c: xlp9xx: Handle I2C_M_RECV_LEN in msg->flags (bsc#1067225).
- i2c: xlp9xx: Get clock frequency with clk API (bsc#1067225).
- i2c: xlp9xx: Enable HWMON class probing for xlp9xx
  (bsc#1067225).
- ACPI / APD: Add clock frequency for ThunderX2 I2C controller
  (bsc#1067225).
- commit 0cf6c5f
* Tue Nov 21 2017 lhenriques@suse.com
- power: supply: bq27xxx_battery: Fix register map for BQ27510
  and  BQ27520 ("bsc#1069270").
- commit fa89b32
* Tue Nov 21 2017 tiwai@suse.de
- blacklist.conf: added misc commits (bsc#1031717)
- commit 94ba041
* Tue Nov 21 2017 tiwai@suse.de
- platform/x86: sony-laptop: Fix error handling in
  sony_nc_setup_rfkill() (bsc#1031717).
- serial: 8250_fintek: Fix rs485 disablement on invalid ioctl()
  (bsc#1031717).
- ASoC: davinci-mcasp: Fix an error handling path in
  'davinci_mcasp_probe()' (bsc#1031717).
- drm/panel: simple: Add missing panel_simple_unprepare() calls
  (bsc#1031717).
- drm: gma500: fix logic error (bsc#1031717).
- commit 626866a
* Tue Nov 21 2017 mbrugger@suse.com
- blacklist.conf: delete id as we need the patch now
- commit b96c6d3
* Tue Nov 21 2017 jslaby@suse.cz
- Linux 4.4.100 (bnc#1012382).
- kABI: protect typedef rds_rdma_cookie_t (kabi).
- sctp: do not peel off an assoc from one netns to another one
  (bnc#1012382).
- net: cdc_ether: fix divide by 0 on bad descriptors
  (bnc#1012382).
- net: qmi_wwan: fix divide by 0 on bad descriptors (bnc#1012382).
- arm: crypto: reduce priority of bit-sliced AES cipher
  (bnc#1012382).
- Bluetooth: btusb: fix QCA Rome suspend/resume (bnc#1012382).
- dmaengine: dmatest: warn user when dma test times out
  (bnc#1012382).
- extcon: palmas: Check the parent instance to prevent the NULL
  (bnc#1012382).
- ARM: dts: Fix compatible for ti81xx uarts for 8250
  (bnc#1012382).
- ARM: dts: Fix am335x and dm814x scm syscon to probe children
  (bnc#1012382).
- ARM: OMAP2+: Fix init for multiple quirks for the same SoC
  (bnc#1012382).
- ARM: dts: Fix omap3 off mode pull defines (bnc#1012382).
- ata: ATA_BMDMA should depend on HAS_DMA (bnc#1012382).
- ata: SATA_HIGHBANK should depend on HAS_DMA (bnc#1012382).
- ata: SATA_MV should depend on HAS_DMA (bnc#1012382).
- drm/sti: sti_vtg: Handle return NULL error from
  devm_ioremap_nocache (bnc#1012382).
- igb: reset the PHY before reading the PHY ID (bnc#1012382).
- igb: close/suspend race in netif_device_detach (bnc#1012382).
- igb: Fix hw_dbg logging in igb_update_flash_i210 (bnc#1012382).
- scsi: ufs-qcom: Fix module autoload (bnc#1012382).
- scsi: ufs: add capability to keep auto bkops always enabled
  (bnc#1012382).
- staging: rtl8188eu: fix incorrect ERROR tags from logs
  (bnc#1012382).
- ALSA: vx: Don't try to update capture stream before running
  (bnc#1012382).
- ALSA: vx: Fix possible transfer overflow (bnc#1012382).
- backlight: lcd: Fix race condition during register
  (bnc#1012382).
- backlight: adp5520: Fix error handling in adp5520_bl_probe()
  (bnc#1012382).
- gpu: drm: mgag200: mgag200_main:- Handle error from pci_iomap
  (bnc#1012382).
- ALSA: hda/realtek - Add new codec ID ALC299 (bnc#1012382).
- arm64: dts: NS2: reserve memory for Nitro firmware
  (bnc#1012382).
- ixgbe: fix AER error handling (bnc#1012382).
- ixgbe: handle close/suspend race with
  netif_device_detach/present (bnc#1012382).
- ixgbe: Reduce I2C retry count on X550 devices (bnc#1012382).
- ixgbe: add mask for 64 RSS queues (bnc#1012382).
- ixgbe: do not disable FEC from the driver (bnc#1012382).
- staging: rtl8712: fixed little endian problem (bnc#1012382).
- MIPS: End asm function prologue macros with .insn (bnc#1012382).
- MIPS: init: Ensure bootmem does not corrupt reserved memory
  (bnc#1012382).
- MIPS: init: Ensure reserved memory regions are not added to
  bootmem (bnc#1012382).
- MIPS: Netlogic: Exclude netlogic,xlp-pic code from XLR builds
  (bnc#1012382).
- Revert "crypto: xts - Add ECB dependency" (bnc#1012382).
- Revert "uapi: fix linux/rds.h userspace compilation errors"
  (bnc#1012382).
- uapi: fix linux/rds.h userspace compilation error (bnc#1012382).
- uapi: fix linux/rds.h userspace compilation errors
  (bnc#1012382).
- USB: usbfs: compute urb->actual_length for isochronous
  (bnc#1012382).
- USB: Add delay-init quirk for Corsair K70 LUX keyboards
  (bnc#1012382).
- USB: serial: qcserial: add pid/vid for Sierra Wireless EM7355
  fw update (bnc#1012382).
- USB: serial: garmin_gps: fix I/O after failed probe and remove
  (bnc#1012382).
- USB: serial: garmin_gps: fix memory leak on probe errors
  (bnc#1012382).
- ALSA: hda - No loopback on ALC299 codec (git-fixes).
- Refresh
  patches.drivers/igb-0033-igb-call-ndo_stop-instead-of-dev_close-when-running-.patch.
- Refresh
  patches.drivers/igb-call-igb_ptp_suspend-during-suspend-resume-cycle.patch.
- Refresh
  patches.drivers/ixgbe-use-link-instead-of-I2C-combined-abstraction.patch.
- Refresh patches.kabi/Fix-kABI-breakage-by-KVM-CVE-fix.patch.
- Refresh
  patches.kabi/revert-KVM-x86-fix-emulation-of-RSM-and-IRET-instruc.patch.
- commit 2e3bb2f
* Tue Nov 21 2017 hare@suse.de
- Fixup
  patches.fixes/block-Make-q_usage_counter-also-track-legacy-request.patch.
  (bsc#1062496)
- commit aa8da8d
* Tue Nov 21 2017 mhocko@suse.com
- mm/madvise.c: fix freeing of locked page with MADV_FREE
  (bnc#1069152).
- commit 47c19b6
* Tue Nov 21 2017 mhocko@suse.com
- mm/page_owner: avoid null pointer dereference (bnc#1068982).
- commit 4ae639e
* Mon Nov 20 2017 mhocko@suse.com
- Refresh
  patches.kabi/mm-page_alloc.c-broken-deferred-calculation-kabi.patch.
- commit 450c64b
* Mon Nov 20 2017 mhocko@suse.com
- mm/page_ext.c: check if page_ext is not prepared (bnc#1068982).
- mm: check the return value of lookup_page_ext for all call sites
  (bnc#1068982).
- commit f3d9322
* Mon Nov 20 2017 jslaby@suse.cz
- Linux 4.4.99 (bnc#1012382).
- usb: usbtest: fix NULL pointer dereference (bnc#1012382).
- tun/tap: sanitize TUNSETSNDBUF input (bnc#1012382).
- tcp: fix tcp_mtu_probe() vs highest_sack (bnc#1012382).
- l2tp: check ps->sock before running pppol2tp_session_ioctl()
  (bnc#1012382).
- tun: call dev_get_valid_name() before register_netdevice()
  (bnc#1012382).
- sctp: add the missing sock_owned_by_user check in
  sctp_icmp_redirect (bnc#1012382).
- packet: avoid panic in packet_getsockopt() (bnc#1012382).
- ipv6: flowlabel: do not leave opt->tot_len with garbage
  (bnc#1012382).
- net/unix: don't show information about sockets from other
  namespaces (bnc#1012382).
- ip6_gre: only increase err_count for some certain type icmpv6
  in ip6gre_err (bnc#1012382).
- tun: allow positive return values on dev_get_valid_name() call
  (bnc#1012382).
- sctp: reset owner sk for data chunks on out queues when
  migrating a sock (bnc#1012382).
- ppp: fix race in ppp device destruction (bnc#1012382).
- ipip: only increase err_count for some certain type icmp in
  ipip_err (bnc#1012382).
- tcp/dccp: fix ireq->opt races (bnc#1012382).
- tcp/dccp: fix lockdep splat in inet_csk_route_req()
  (bnc#1012382).
- tcp/dccp: fix other lockdep splats accessing ireq_opt
  (bnc#1012382).
- security/keys: add CONFIG_KEYS_COMPAT to Kconfig (bnc#1012382).
- tipc: fix link attribute propagation bug (bnc#1012382).
- brcmfmac: remove setting IBSS mode when stopping AP
  (bnc#1012382).
- target: Fix node_acl demo-mode + uncached dynamic shutdown
  regression (bnc#1012382).
- misc: panel: properly restore atomic counter on error path
  (bnc#1012382).
- Refresh patches.drivers/0012-target-remove-an-unused-variable.
- Refresh
  patches.drivers/target-consolidate-and-fix-session-shutdown.patch.
- Refresh
  patches.drivers/target-iscsi-Introduce-a-helper-function-for-TMF-tra.patch.
- Refresh patches.drivers/target-remove-acl_stop.patch.
- Update config files.
- commit b5291d0
* Mon Nov 20 2017 mhocko@suse.com
- mm/page_alloc.c: broken deferred calculation (bnc#1068980).
- commit dab89ab
* Mon Nov 20 2017 jslaby@suse.cz
- Linux 4.4.98 (bnc#1012382).
- Revert "phy: increase size of MII_BUS_ID_SIZE and bus_id"
  (kabi).
- net: cdc_ncm: GetNtbFormat endian fix (git-fixes).
- adv7604: Initialize drive strength to default when using DT
  (bnc#1012382).
- video: fbdev: pmag-ba-fb: Remove bad `__init' annotation
  (bnc#1012382).
- drm: drm_minor_register(): Clean up debugfs on failure
  (bnc#1012382).
- KVM: PPC: Book 3S: XICS: correct the real mode ICP rejecting
  counter (bnc#1012382).
- powerpc/corenet: explicitly disable the SDHC controller on
  kmcoge4 (bnc#1012382).
- ARM: omap2plus_defconfig: Fix probe errors on UARTs 5 and 6
  (bnc#1012382).
- crypto: vmx - disable preemption to enable vsx in aes_ctr.c
  (bnc#1012382).
- iio: trigger: free trigger resource correctly (bnc#1012382).
- phy: increase size of MII_BUS_ID_SIZE and bus_id (bnc#1012382).
- serial: sh-sci: Fix register offsets for the IRDA serial port
  (bnc#1012382).
- usb: hcd: initialize hcd->flags to 0 when rm hcd (bnc#1012382).
- netfilter: nft_meta: deal with PACKET_LOOPBACK in netdev family
  (bnc#1012382).
- IPsec: do not ignore crypto err in ah4 input (bnc#1012382).
- Input: mpr121 - handle multiple bits change of status register
  (bnc#1012382).
- Input: mpr121 - set missing event capability (bnc#1012382).
- s390/qeth: issue STARTLAN as first IPA command (bnc#1012382).
- net: dsa: select NET_SWITCHDEV (bnc#1012382).
- platform/x86: hp-wmi: Fix detection for dock and tablet mode
  (bnc#1012382).
- cdc_ncm: Set NTB format again after altsetting switch for
  Huawei devices (bnc#1012382).
- KEYS: trusted: sanitize all key material (bnc#1012382).
- KEYS: trusted: fix writing past end of buffer in trusted_read()
  (bnc#1012382).
- platform/x86: hp-wmi: Fix error value for hp_wmi_tablet_state
  (bnc#1012382).
- platform/x86: hp-wmi: Do not shadow error values (bnc#1012382).
- x86/uaccess, sched/preempt: Verify access_ok() context
  (bnc#1012382).
- workqueue: Fix NULL pointer dereference (bnc#1012382).
- crypto: x86/sha1-mb - fix panic due to unaligned access
  (bnc#1012382).
- KEYS: fix NULL pointer dereference during ASN.1 parsing [ver #2]
  (bnc#1012382).
- ARM: 8720/1: ensure dump_instr() checks addr_limit
  (bnc#1012382).
- ALSA: seq: Fix OSS sysex delivery in OSS emulation
  (bnc#1012382).
- MIPS: microMIPS: Fix incorrect mask in insn_table_MM
  (bnc#1012382).
- MIPS: Fix CM region target definitions (bnc#1012382).
- MIPS: SMP: Use a completion event to signal CPU up
  (bnc#1012382).
- MIPS: Fix race on setting and getting cpu_online_mask
  (bnc#1012382).
- MIPS: SMP: Fix deadlock & online race (bnc#1012382).
- test: firmware_class: report errors properly on failure
  (bnc#1012382).
- selftests: firmware: add empty string and async tests
  (bnc#1012382).
- selftests: firmware: send expected errors to /dev/null
  (bnc#1012382).
- tools: firmware: check for distro fallback udev cancel rule
  (bnc#1012382).
- MIPS: AR7: Defer registration of GPIO (bnc#1012382).
- MIPS: AR7: Ensure that serial ports are properly set up
  (bnc#1012382).
- Input: elan_i2c - add ELAN060C to the ACPI table (bnc#1012382).
- drm/vmwgfx: Fix Ubuntu 17.10 Wayland black screen issue
  (bnc#1012382).
- rbd: use GFP_NOIO for parent stat and data requests
  (bnc#1012382).
- can: sun4i: handle overrun in RX FIFO (bnc#1012382).
- can: c_can: don't indicate triple sampling support for D_CAN
  (bnc#1012382).
- x86/oprofile/ppro: Do not use __this_cpu*() in preemptible
  context (bnc#1012382).
- PKCS#7: fix unitialized boolean 'want' (bnc#1012382).
- blacklist.conf: add two more
- Refresh
  patches.arch/11-x86-mm-expand-the-exception-table-logic-to-allow-new-handling-options.patch.
- Refresh
  patches.suse/SES5-0167-rbd-rework-rbd_img_obj_exists_submit-error-paths.patch.
- commit 555081d
* Mon Nov 20 2017 mhocko@suse.com
- Refresh upstream reference
  patches.fixes/mm-sparse-do-not-swamp-log-with-huge-vmemmap-allocat.patch.
- commit 9170b5d
* Mon Nov 20 2017 bp@suse.de
- x86/MCE/AMD: Always give panic severity for UC errors in kernel
  context (git-fixes bf80bbd7dcf5).
- commit 27e1ae4
* Mon Nov 20 2017 jthumshirn@suse.de
- scsi: libiscsi: fix shifting of DID_REQUEUE host byte
  (bsc#1056003).
- commit 10f1e4b
* Mon Nov 20 2017 mhocko@suse.com
- Refresh upstream references
  patches.fixes/mm-distinguish-CMA-and-MOVABLE-isolation-in-has_unmo.patch.
  patches.fixes/mm-drop-migrate-type-checks-from-has_unmovable_pages.patch.
  patches.fixes/mm-memory_hotplug-do-not-fail-offlining-too-early.patch.
  patches.fixes/mm-memory_hotplug-remove-timeout-from-__offline_memo.patch.
- commit 77bd45f
* Mon Nov 20 2017 neilb@suse.com
- autofs: don't fail mount for transient error (bsc#1065180).
- commit ba851cb
* Fri Nov 17 2017 hare@suse.de
- nvme/rdma: Kick admin queue when a connection is going down
  (bsc#1059639).
- commit bda08e8
* Tue Nov 14 2017 neilb@suse.com
- NFS: Don't disconnect open-owner on NFS4ERR_BAD_SEQID
  (bsc#989261).
- commit 296804f
* Tue Nov 14 2017 msuchanek@suse.de
- cxl: Fix leaking pid refs in some error paths (bsc#1066223).
- cxl: Prevent adapter reset if an active context exists (bsc#1066223).
- Refresh patches.arch/cxl-Introduce-implementation-specific-API.patch.
- Rename and refresh patches.kernel.org/4.4.90-035-cxl-Fix-driver-use-count.patch
    => patches.arch/cxl-Fix-driver-use-count.patch
- commit 17d5724
* Tue Nov 14 2017 msuchanek@suse.de
- cxl: Route eeh events to all drivers in cxl_pci_error_detected()
  (bsc#1066223).
- cxl: Fix DAR check & use REGION_ID instead of opencoding
  (bsc#1066223).
- commit af1d9cf
* Tue Nov 14 2017 msuchanek@suse.de
- powerpc/powernv/ioda: Fix endianness when reading TCEs
  (bsc#1066223).
- commit 48dc701
* Tue Nov 14 2017 hare@suse.de
- s390/mm: fix write access check in gup_huge_pmd() (bnc#1066974,
  LTC#160551).
- commit aea28d5
* Tue Nov 14 2017 msuchanek@suse.de
- powerpc/vphn: Fix numa update end-loop bug (FATE#322022,
  bsc#1067906).
- powerpc/hotplug: Improve responsiveness of hotplug change
  (FATE#322022, bsc#1067906).
- powerpc/vphn: Improve recognition of PRRN/VPHN (FATE#322022,
  bsc#1067906).
- powerpc/vphn: Update CPU topology when VPHN enabled
  (FATE#322022, bsc#1067906).
- commit 07743dd
* Tue Nov 14 2017 nborisov@suse.com
- Refresh
  patches.suse/btrfs-change-how-we-decide-to-commit-transactions-du.patch.
- commit 7748a15
* Tue Nov 14 2017 msuchanek@suse.de
- powerpc/pseries/vio: Dispose of virq mapping on vdevice
  unregister (bsc#1067888).
- commit f22240a
* Mon Nov 13 2017 msuchanek@suse.de
- powerpc/numa: Fix multiple bugs in memory_hotplug_max()
  (bsc#1066223).
- powerpc/numa: Fix whitespace in hot_add_drconf_memory_max()
  (bsc#1066223).
- powerpc/mm/hash64: Fix subpage protection with 4K HPTE config
  (bsc#1010201, bsc#1066223).
- commit 9f400c4
* Mon Nov 13 2017 msuchanek@suse.de
- ibmvnic: Fix failover error path for non-fatal resets
  (bsc#1066382).
- ibmvnic: Update reset infrastructure to support tunable
  parameters (bsc#1066382).
- ibmvnic: Let users change net device features (bsc#1066382).
- ibmvnic: Enable TSO support (bsc#1066382).
- ibmvnic: Enable scatter-gather support (bsc#1066382).
- ibmvnic: Fix calculation of number of TX header descriptors
  (bsc#1066382).
- net: ibm: ibmvnic: constify vio_device_id (fate#323285).
- ibmvnic: Add netdev_dbg output for debugging (fate#323285).
- ibmvnic: Implement .get_channels (fate#323285).
- ibmvnic: Implement .get_ringparam (fate#323285).
- ibmvnic: Convert vnic server reported statistics to cpu endian
  (fate#323285).
- ibmvnic: Implement per-queue statistics reporting (fate#323285).
- commit 93d68f0
* Mon Nov 13 2017 tiwai@suse.de
- blacklist.conf: yet another serial entry (bsc#1031717)
- commit 2cfaf44
* Mon Nov 13 2017 tiwai@suse.de
- ALSA: seq: Avoid invalid lockdep class warning (bsc#1031717).
- commit 1b0679a
* Mon Nov 13 2017 tiwai@suse.de
- blacklist.conf: Add misc entries (bsc#1031717)
- commit 2405fc6
* Mon Nov 13 2017 tiwai@suse.de
- power: supply: lp8788: prevent out of bounds array access
  (bsc#1031717).
- power: supply: isp1704: Fix unchecked return value of
  devm_kzalloc (bsc#1031717).
- power: ipaq-micro-battery: freeing the wrong variable
  (bsc#1031717).
- power: bq27xxx_battery: Fix bq27541 AveragePower register
  address (bsc#1031717).
- power: bq27xxx: fix reading for bq27000 and bq27010
  (bsc#1031717).
- iio: dummy: events: Add missing break (bsc#1031717).
- rtc: sa1100: fix unbalanced
  clk_prepare_enable/clk_disable_unprepare (bsc#1031717).
- rtc: rtc-nuc900: fix loop timeout test (bsc#1031717).
- rtc: ds1374: wdt: Fix stop/start ioctl always returning -EINVAL
  (bsc#1031717).
- rtc: ds1374: wdt: Fix issue with timeout scaling from secs to
  wdt ticks (bsc#1031717).
- rtc: ds1307: Fix relying on reset value for weekday
  (bsc#1031717).
- serial: 8250_uniphier: fix serial port index in private data
  (bsc#1031717).
- HSI: ssi_protocol: double free in ssip_pn_xmit() (bsc#1031717).
- Fix serial console on SNI RM400 machines (bsc#1031717).
- Input: ucb1400_ts - fix suspend and resume handling
  (bsc#1031717).
- Input: twl4030-pwrbutton - use correct device for irq request
  (bsc#1031717).
- Input: ti_am335x_tsc - fix incorrect step config for 5 wire
  touchscreen (bsc#1031717).
- Input: edt-ft5x06 - fix setting gain, offset, and threshold
  via device tree (bsc#1031717).
- Input: ar1021_i2c - fix too long name in driver's device table
  (bsc#1031717).
- i2c: imx: Use correct function to write to register
  (bsc#1031717).
- i2c: cadance: fix ctrl/addr reg write order (bsc#1031717).
- zd1211rw: fix NULL-deref at probe (bsc#1031717).
- libertas: Fix lbs_prb_rsp_limit_set() (bsc#1031717).
- adm80211: return an error if adm8211_alloc_rings() fails
  (bsc#1031717).
- iwlwifi: mvm: set the RTS_MIMO_PROT bit in flag mask when
  sending sta to fw (bsc#1031717).
- [media] mceusb: fix memory leaks in error path (bsc#1031717).
- media: em28xx: calculate left volume level correctly
  (bsc#1031717).
- media: au0828: fix RC_CORE dependency (bsc#1031717).
- mmc: mediatek: Fixed size in dma_free_coherent (bsc#1031717).
- mmc: host: omap_hsmmc: checking for NULL instead of IS_ERR()
  (bsc#1031717).
- mmc: host: omap_hsmmc: avoid possible overflow of timeout value
  (bsc#1031717).
- PowerCap: Fix an error code in powercap_register_zone()
  (bsc#1031717).
- commit 9340e9a
* Fri Nov 10 2017 yousaf.kaukab@suse.com
- drm/radeon: Avoid double gpu reset by adding a timeout on IB
  ring tests (bsc#1066175).
- commit 4cb8459
* Thu Nov  9 2017 tiwai@suse.de
- blacklist.conf: Update iwlwifi blacklist (bsc#1031717)
- commit eb54975
* Thu Nov  9 2017 tiwai@suse.de
- iwlwifi: split the regulatory rules when the bandwidth flags
  require it (bsc#1031717).
- iwlwifi: mvm: fix the coex firmware API (bsc#1031717).
- commit 61fce1f
* Thu Nov  9 2017 tiwai@suse.de
- blacklist.conf: Add drm/i915 blacklist (bsc#1031717)
- commit dc4d2a6
* Thu Nov  9 2017 tiwai@suse.de
- drm/vc4: Fix leak of HDMI EDID (bsc#1031717).
- drm/i915: Read timings from the correct transcoder in
  intel_crtc_mode_get() (bsc#1031717).
- drm/i915: fix backlight invert for non-zero minimum brightness
  (bsc#1031717).
- drm/i915/bxt: set min brightness from VBT (bsc#1031717).
- commit 1b0e005
* Thu Nov  9 2017 tiwai@suse.de
- blacklist.conf: Update iwlwifi blacklist (bsc#1031717)
- commit afbeaf7
* Thu Nov  9 2017 tiwai@suse.de
- iwlwifi: mvm: return -ENODATA when reading the temperature
  with the FW down (bsc#1031717).
- commit d153bc1
* Thu Nov  9 2017 pmladek@suse.com
- asm/sections: add helpers to check for section data
  (bsc#1063026).
- commit 592e4d5
* Wed Nov  8 2017 jslaby@suse.cz
- i2c: riic: fix restart condition (git-fixes).
- commit e0b50f6
* Wed Nov  8 2017 jslaby@suse.cz
- Linux 4.4.97 (bnc#1012382).
- ALSA: timer: Add missing mutex lock for compat ioctls
  (bnc#1012382).
- ALSA: seq: Fix nested rwsem annotation for lockdep splat
  (bnc#1012382).
- cifs: check MaxPathNameComponentLength != 0 before using it
  (bnc#1012382).
- KEYS: return full count in keyring_read() if buffer is too small
  (bnc#1012382).
- KEYS: fix out-of-bounds read during ASN.1 parsing (bnc#1012382).
- ASoC: adau17x1: Workaround for noise bug in ADC (bnc#1012382).
- arm64: ensure __dump_instr() checks addr_limit (bnc#1012382).
- ARM: dts: mvebu: pl310-cache disable double-linefill
  (bnc#1012382).
- ARM: 8715/1: add a private asm/unaligned.h (bnc#1012382).
- ocfs2: fstrim: Fix start offset of first cluster group during
  fstrim (bnc#1012382).
- perf tools: Fix build failure on perl script context
  (bnc#1012382).
- drm/msm: Fix potential buffer overflow issue (bnc#1012382).
- drm/msm: fix an integer overflow test (bnc#1012382).
- tracing/samples: Fix creation and deletion of simple_thread_fn
  creation (bnc#1012382).
- Fix tracing sample code warning (bnc#1012382).
- mmc: s3cmci: include linux/interrupt.h for tasklet_struct
  (bnc#1012382).
- ARM: pxa: Don't rely on public mmc header to include leds.h
  (bnc#1012382).
- mfd: ab8500-sysctrl: Handle probe deferral (bnc#1012382).
- mfd: axp20x: Fix axp288 PEK_DBR and PEK_DBF irqs being swapped
  (bnc#1012382).
- staging: rtl8712u: Fix endian settings for structs describing
  network packets (bnc#1012382).
- ext4: fix stripe-unaligned allocations (bnc#1012382).
- ext4: do not use stripe_width if it is not set (bnc#1012382).
- i2c: riic: correctly finish transfers (bnc#1012382).
- drm/amdgpu: when dpm disabled, also need to stop/start vce
  (bnc#1012382).
- perf tools: Only increase index if perf_evsel__new_idx()
  succeeds (bnc#1012382).
- cx231xx: Fix I2C on Internal Master 3 Bus (bnc#1012382).
- xen/manage: correct return value check on xenbus_scanf()
  (bnc#1012382).
- platform/x86: intel_mid_thermal: Fix module autoload
  (bnc#1012382).
- staging: lustre: llite: don't invoke direct_IO for the EOF case
  (bnc#1012382).
- staging: lustre: hsm: stack overrun in hai_dump_data_field
  (bnc#1012382).
- staging: lustre: ptlrpc: skip lock if export failed
  (bnc#1012382).
- exynos4-is: fimc-is: Unmap region obtained by of_iomap()
  (bnc#1012382).
- mei: return error on notification request to a disconnected
  client (bnc#1012382).
- s390/dasd: check for device error pointer within state change
  interrupts (bnc#1012382).
- bt8xx: fix memory leak (bnc#1012382).
- xen: don't print error message in case of missing Xenstore entry
  (bnc#1012382).
- staging: r8712u: Fix Sparse warning in rtl871x_xmit.c
  (bnc#1012382).
- commit 0f60f68
* Wed Nov  8 2017 pmladek@suse.com
- blacklist.conf: commit fe22cd9b7c980b8b948 ("printk: help pr_debug and
  pr_devel to optimize out arguments") is just a cosmetic change.
- commit 935e45d
* Wed Nov  8 2017 pmladek@suse.com
- printk/console: Enhance the check for consoles using init memory
  (bsc#1063026).
- printk/console: Always disable boot consoles that use init
  memory before it is freed (bsc#1063026).
- commit 9d03e2c
* Wed Nov  8 2017 pmladek@suse.com
- printk: include <asm/sections.h> instead of
  <asm-generic/sections.h> (bsc#1063026).
- Refresh
  patches.drivers/0085-Replace-asm-uaccess.h-with-linux-uaccess.h-globally.patch.
- Refresh patches.suse/printk-make-async.patch.
- commit 8d9dc07
* Wed Nov  8 2017 pmladek@suse.com
- printk: only unregister boot consoles when necessary
  (bsc#1063026).
- Refresh
  patches.drivers/0085-Replace-asm-uaccess.h-with-linux-uaccess.h-globally.patch.
- Refresh patches.suse/printk-make-async.patch.
- commit 9cc2261
* Wed Nov  8 2017 hare@suse.de
- bio: partially revert 'fix interface for bio_integrity_trim'
  (bsc#1046054).
- bio-integrity: fix interface for bio_integrity_trim
  (bsc#1046054).
- bio-integrity: bio_integrity_advance must update integrity seed
  (bsc#1046054).
- bio-integrity: bio_trim should truncate integrity vector
  accordingly (bsc#1046054).
- bio-integrity: Do not allocate integrity context for bio w/o
  data (bsc#1046054).
- commit 9d940b5
* Wed Nov  8 2017 tbogendoerfer@suse.de
- net/mlx5: Delay events till mlx5 interface's add complete for
  pci resume (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5: Fix health work queue spin lock to IRQ safe
  (bsc#1015342).
- commit 54d14f8
* Wed Nov  8 2017 tiwai@suse.de
- media: dib0700: fix invalid dvb_detach argument (CVE-2017-16646
  bsc#1067105).
- commit 0614bb1
* Wed Nov  8 2017 tiwai@suse.de
- Input: ims-psu - check if CDC union descriptor is sane
  (CVE-2017-16645 bsc#1067132).
- commit 3de3d89
* Tue Nov  7 2017 jslaby@suse.cz
- Linux 4.4.96 (bnc#1012382).
- workqueue: replace pool->manager_arb mutex with a flag
  (bnc#1012382).
- ALSA: hda/realtek - Add support for ALC236/ALC3204
  (bnc#1012382).
- ALSA: hda - fix headset mic problem for Dell machines with
  alc236 (bnc#1012382).
- usb: xhci: Handle error condition in xhci_stop_device()
  (bnc#1012382).
- spi: uapi: spidev: add missing ioctl header (bnc#1012382).
- fuse: fix READDIRPLUS skipping an entry (bnc#1012382).
- xen/gntdev: avoid out of bounds access in case of partial
  gntdev_mmap() (bnc#1012382).
- Input: elan_i2c - add ELAN0611 to the ACPI table (bnc#1012382).
- Input: gtco - fix potential out-of-bound access (bnc#1012382).
- scsi: zfcp: fix erp_action use-before-initialize in REC action
  trace (bnc#1012382).
- scsi: sg: Re-fix off by one in sg_fill_request_table()
  (bnc#1012382).
- can: sun4i: fix loopback mode (bnc#1012382).
- can: kvaser_usb: Correct return value in printout (bnc#1012382).
- can: kvaser_usb: Ignore CMD_FLUSH_QUEUE_REPLY messages
  (bnc#1012382).
- regulator: fan53555: fix I2C device ids (bnc#1012382).
- x86/microcode/intel: Disable late loading on model 79
  (bnc#1012382).
- ecryptfs: fix dereference of NULL user_key_payload
  (bnc#1012382).
- Revert "drm: bridge: add DT bindings for TI ths8135"
  (bnc#1012382).
- Refresh
  patches.suse/SES5-0138-ceph-optimize-cap-flush-waiting.patch.
- commit 7c6e5a7
* Tue Nov  7 2017 msuchanek@suse.de
- blacklist irrelevant powerpc fixes
  6b8cb66a6a7c powerpc: Fix usage of _PAGE_RO in hugepage
  Only relevant on ppc CPUs that have non-zero _PAGE_RO
  a050d20d024d powerpc/64s: Use relon prolog for EXC_VIRT_OOL_MASKABLE_HV handlers
  IPI optimization, hard to backport
  fb479e44a9e2 powerpc/64s: relocation, register save fixes for system reset interrupt
  Fixes PowerNV running relocated. Nobody missed it so far.
  e76ca27790a5 powerpc/sysfs: Fix reference leak of cpu device_nodes present at boot
  Fixes leak of few kobjects created at boot but high risk of regression
- commit 6367447
* Tue Nov  7 2017 msuchanek@suse.de
- powerpc: Fix VSX enabling/flushing to also test MSR_FP and
  MSR_VEC (bsc#1066223).
- commit 04a36c4
* Tue Nov  7 2017 hare@suse.de
- nvme: fix the definition of the doorbell buffer config support
  bit (bsc#1066812).
- scsi: qla2xxx: Use BIT_6 to acquire FAWWPN from switch
  (bsc#1066812).
- scsi: qla2xxx: Use fabric name for Get Port Speed command
  (bsc#1066812).
- scsi: qla2xxx: Correction to vha->vref_count timeout
  (bsc#1066812).
- commit 1a0c82b
* Tue Nov  7 2017 mhocko@noe.suse.cz
- mm, sparse: do not swamp log with huge vmemmap allocation
  failures (bnc#1047901).
- commit 53a9247
* Tue Nov  7 2017 hare@suse.de
- blacklist.conf: Add non-applicable commits (bsc#1066812)
- Refresh
  patches.drivers/ata-0154-ahci-don-t-use-MSI-for-devices-with-the-silly-Intel-.patch.
- commit 779aa2b
* Tue Nov  7 2017 hare@suse.de
- block: Make q_usage_counter also track legacy requests
  (bsc#1057820).
- commit 33beb4d
* Tue Nov  7 2017 hare@suse.de
- nvme-fc: use transport-specific sgl format (bsc#1057820).
- nvme: add transport SGL definitions (bsc#1057820).
- commit 30b398a
* Mon Nov  6 2017 tiwai@suse.de
- assoc_array: Fix a buggy node-splitting case (CVE-2017-12193
  bsc#1066192).
- commit 0687254
* Mon Nov  6 2017 tbogendoerfer@suse.de
- ipvs: make drop_entry protection effective for SIP-pe
  (bsc#1056365).
- commit 2148f5b
* Mon Nov  6 2017 mbrugger@suse.com
- drivers/fbdev/efifb: Allow BAR to be moved instead of claiming
  it (bsc#1051987).
- commit 05c9e81
* Mon Nov  6 2017 agraf@suse.de
- Update config files to enable spidev on arm64. (bsc#1066696)
- supported.conf: Support spidev (bsc#1066696)
- commit 8694e44
* Mon Nov  6 2017 agraf@suse.de
- i2c: bcm2835: Avoid possible NULL ptr dereference (bsc#1066660).
- i2c: bcm2835: Add support for dynamic clock (bsc#1066660).
- i2c: bcm2835: Support i2c-dev ioctl I2C_TIMEOUT (bsc#1066660).
- i2c: bcm2835: Add support for Repeated Start Condition
  (bsc#1066660).
- i2c: bcm2835: Can't support I2C_M_IGNORE_NAK (bsc#1066660).
- i2c: bcm2835: Use dev_dbg logging on transfer errors
  (bsc#1066660).
- i2c: bcm2835: Protect against unexpected TXW/RXR interrupts
  (bsc#1066660).
- i2c: bcm2835: Fix hang for writing messages larger than 16 bytes
  (bsc#1066660).
- i2c: bcm2835: Don't complain on -EPROBE_DEFER from getting
  our clock (bsc#1066660).
- commit c86c007
* Mon Nov  6 2017 tiwai@suse.de
- media: imon: Fix null-ptr-deref in imon_probe (CVE-2017-16537
  bsc#1066573).
- [media] cx231xx-cards: fix NULL-deref on missing association
  descriptor (CVE-2017-16536 bsc#1066606).
- commit aad0159
* Mon Nov  6 2017 tiwai@suse.de
- ALSA: seq: Cancel pending autoload work at unbinding device
  (CVE-2017-16528 bsc#1066629).
- commit 19bd270
* Fri Nov  3 2017 mcgrof@suse.com
- mac80211: don't compare TKIP TX MIC key in reinstall prevention
  (bsc#1066472).
- commit 2820640
* Fri Nov  3 2017 mcgrof@suse.com
- mac80211: use constant time comparison with keys (bsc#1066471).
- commit 2cd0e99
* Fri Nov  3 2017 mcgrof@suse.com
- kernel/sysctl.c: remove duplicate UINT_MAX check on
  do_proc_douintvec_conv() (bsc#1066470).
- commit d3ff7e4
* Fri Nov  3 2017 mhocko@suse.cz
- mm: distinguish CMA and MOVABLE isolation in has_unmovable_pages
  (bnc#1051406).
- mm: drop migrate type checks from has_unmovable_pages
  (bnc#1051406).
- commit 08164de
* Fri Nov  3 2017 tiwai@suse.de
- ALSA: hda: Abort capability probe at invalid register read
  (bsc#1048356).
- commit 533b36f
* Fri Nov  3 2017 bpoirier@suse.com
- Refresh
  patches.drivers/be2net-Add-privilege-level-check-for-OPCODE_COMMON_G.patch.
- Refresh
  patches.drivers/be2net-Fix-endian-issue-in-logical-link-config-comma.patch.
- Refresh
  patches.drivers/bnxt-fix-unsigned-comparsion-with-0.patch.
- Refresh patches.drivers/bnxt-fix-unused-variable-warnings.patch.
- Refresh
  patches.drivers/bnxt_en-Add-100G-link-speed-reporting-for-BCM57454-A.patch.
- Refresh
  patches.drivers/bnxt_en-Add-basic-WoL-infrastructure.patch.
- Refresh
  patches.drivers/bnxt_en-Add-basic-ethtool-t-selftest-support.patch.
- Refresh
  patches.drivers/bnxt_en-Add-bnxt_get_num_stats-to-centrally-get-the-.patch.
- Refresh
  patches.drivers/bnxt_en-Add-ethtool-get_wol-method.patch.
- Refresh
  patches.drivers/bnxt_en-Add-ethtool-set_wol-method.patch.
- Refresh patches.drivers/bnxt_en-Add-pci-shutdown-method.patch.
- Refresh
  patches.drivers/bnxt_en-Add-suspend-resume-callbacks.patch.
- Refresh
  patches.drivers/bnxt_en-Allow-the-user-to-set-ethtool-stats-block-us.patch.
- Refresh
  patches.drivers/bnxt_en-Cap-the-msix-vector-with-the-max-completion-.patch.
- Refresh
  patches.drivers/bnxt_en-Check-the-FW_LLDP_AGENT-flag-before-allowing.patch.
- Refresh
  patches.drivers/bnxt_en-Fix-VF-attributes-reporting.patch.
- Refresh
  patches.drivers/bnxt_en-Implement-ndo_bridge_-get-set-link-methods.patch.
- Refresh
  patches.drivers/bnxt_en-Pass-DCB-RoCE-app-priority-to-firmware.patch.
- Refresh
  patches.drivers/bnxt_en-Report-firmware-DCBX-agent.patch.
- Refresh
  patches.drivers/bnxt_en-Restrict-a-PF-in-Multi-Host-mode-from-changi.patch.
- Refresh
  patches.drivers/bnxt_en-Retrieve-the-hardware-bridge-mode-from-the-f.patch.
- Refresh
  patches.drivers/bnxt_en-Set-ETS-min_bw-parameter-for-older-firmware.patch.
- Refresh
  patches.drivers/bnxt_en-Update-firmware-interface-spec-to-1.7.6.2.patch.
- Refresh
  patches.drivers/bnxt_en-Update-firmware-interface-spec-to-1.8.0.patch.
- Refresh
  patches.drivers/drivers-add-explicit-interrupt.h-includes.patch.
- Refresh
  patches.drivers/i40e-Do-not-enable-NAPI-on-q_vectors-that-have-no-ri.patch.
- Refresh
  patches.drivers/i40e-don-t-configure-zero-size-RSS-table.patch.
- Refresh
  patches.drivers/i40e-send-correct-port-number-to-AdminQ-when-enablin.patch.
- Refresh
  patches.drivers/i40e-use-configured-RSS-key-and-lookup-table-in-i40e.patch.
- Refresh
  patches.drivers/i40evf-fix-merge-error-in-older-patch.patch.
- Refresh
  patches.drivers/net-hns-Adjust-the-SBM-module-buffer-threshold.patch.
- Refresh
  patches.drivers/net-hns-Avoid-Hip06-chip-TX-packet-line-bug.patch.
- Refresh
  patches.drivers/net-hns-Correct-HNS-RSS-key-set-function.patch.
- Refresh
  patches.drivers/net-hns-Fix-the-implementation-of-irq-affinity-funct.patch.
- Refresh
  patches.drivers/net-hns-Fix-to-adjust-buf_size-of-ring-according-to-.patch.
- Refresh
  patches.drivers/net-hns-Modify-GMAC-init-TX-threshold-value.patch.
- Refresh
  patches.drivers/net-hns-Optimize-hns_nic_common_poll-for-better-perf.patch.
- Refresh
  patches.drivers/net-hns-Optimize-the-code-for-GMAC-pad-and-crc-Confi.patch.
- Refresh
  patches.drivers/net-hns-Remove-redundant-mac-table-operations.patch.
- Refresh
  patches.drivers/net-hns-Remove-redundant-mac_get_id.patch.
- Refresh
  patches.drivers/net-hns-Remove-redundant-memset-during-buffer-releas.patch.
- Refresh
  patches.drivers/net-hns-Remove-the-redundant-adding-and-deleting-mac.patch.
- Refresh
  patches.drivers/net-hns-Replace-netif_tx_lock-to-ring-spin-lock.patch.
- Refresh
  patches.drivers/net-hns-Simplify-the-exception-sequence-in-hns_ppe_i.patch.
- Refresh
  patches.drivers/net-hns-Some-checkpatch.pl-script-warning-fixes.patch.
- Refresh
  patches.drivers/net-hns-bug-fix-of-ethtool-show-the-speed.patch.
- Refresh
  patches.drivers/net-hns-fix-ethtool_get_strings-overflow-in-hns-driv.patch.
- Refresh
  patches.drivers/net-hns-support-deferred-probe-when-can-not-obtain-i.patch.
- Refresh
  patches.drivers/net-hns-support-deferred-probe-when-no-mdio.patch.
- Refresh
  patches.drivers/net-mlx4_core-Avoid-delays-during-VF-driver-device-s.patch.
- Refresh
  patches.drivers/net-mlx4_core-Fix-namespace-misalignment-in-QinQ-VST.patch.
- Refresh
  patches.drivers/net-mlx4_core-Fix-sl_to_vl_change-bit-offset-in-flag.patch.
- Refresh
  patches.drivers/net-mlx4_core-Fixes-missing-capability-bit-in-flags2.patch.
- Refresh
  patches.drivers/net-mvneta-add-RGMII_RXID-and-RGMII_TXID-support.patch.
- Refresh
  patches.drivers/net-mvneta-set-rx-mode-during-resume-if-interface-is.patch.
- Refresh
  patches.drivers/net-mvneta-support-suspend-and-resume.patch.
- Refresh
  patches.drivers/net-mvpp2-adapt-mvpp2_defaults_set-to-PPv2.2.patch.
- Refresh
  patches.drivers/net-mvpp2-adapt-rxq-distribution-to-PPv2.2.patch.
- Refresh
  patches.drivers/net-mvpp2-adapt-the-mvpp2_rxq_-_pool_set-functions-t.patch.
- Refresh
  patches.drivers/net-mvpp2-add-AXI-bridge-initialization-for-PPv2.2.patch.
- Refresh
  patches.drivers/net-mvpp2-add-and-use-accessors-for-TX-RX-descriptor.patch.
- Refresh
  patches.drivers/net-mvpp2-add-hw_version-field-in-struct-mvpp2.patch.
- Refresh
  patches.drivers/net-mvpp2-add-support-for-an-additional-clock-needed.patch.
- Refresh
  patches.drivers/net-mvpp2-adjust-mvpp2_-rxq-txq-_init-for-PPv2.2.patch.
- Refresh
  patches.drivers/net-mvpp2-adjust-the-allocation-free-of-BM-pools-for.patch.
- Refresh
  patches.drivers/net-mvpp2-do-not-bypass-the-mvpp22_port_mii_set-func.patch.
- Refresh
  patches.drivers/net-mvpp2-finally-add-the-PPv2.2-compatible-string.patch.
- Refresh
  patches.drivers/net-mvpp2-handle-misc-PPv2.1-PPv2.2-differences.patch.
- Refresh
  patches.drivers/net-mvpp2-handle-register-mapping-and-access-for-PPv.patch.
- Refresh
  patches.drivers/net-mvpp2-introduce-PPv2.2-HW-descriptors-and-adapt-.patch.
- Refresh
  patches.drivers/net-mvpp2-introduce-an-intermediate-union-for-the-TX.patch.
- Refresh
  patches.drivers/net-mvpp2-remove-mvpp2_txq_pend_desc_num_get-functio.patch.
- Refresh
  patches.drivers/net-mvpp2-remove-support-for-buffer-header.patch.
- Refresh
  patches.drivers/net-mvpp2-remove-unused-register-definition-MVPP2_TX.patch.
- Refresh
  patches.drivers/net-mvpp2-rework-RXQ-interrupt-group-initialization-.patch.
- Refresh
  patches.drivers/net-mvpp2-set-dma-mask-and-coherent-dma-mask-on-PPv2.patch.
- Refresh
  patches.drivers/net-mvpp2-store-physical-address-of-buffer-in-rx_des.patch.
- Refresh
  patches.drivers/net-mvpp2-use-dma-instead-of-phys-where-appropriate.patch.
- Refresh
  patches.drivers/net-qcom-emac-optimize-QDF2400-SGMII-RX-TX-impedence.patch.
- Refresh
  patches.drivers/net-thunderx-Enable-TSO-and-checksum-offloads-for-ip.patch.
- Refresh
  patches.drivers/qlcnic-Fix-a-sleep-in-atomic-bug-in-qlcnic_82xx_hw_w.patch.
- Refresh
  patches.drivers/qlcnic-Fix-tunnel-offload-for-82xx-adapters.patch.
- Refresh
  patches.drivers/sfc-Add-ethtool-m-support-for-QSFP-modules.patch.
  Update Git-repo tags of patches in sorted section according to current
  upstream status.
- commit 90a2e2d
* Thu Nov  2 2017 msuchanek@suse.de
- powerpc/mm: Fix virt_addr_valid() etc. on 64-bit hash
  (bsc#1066223).
- commit 5078e3d
* Thu Nov  2 2017 msuchanek@suse.de
- powerpc/64: Fix race condition in setting lock bit in
  idle/wakeup code (bsc#1066223).
- commit cfe1e60
* Thu Nov  2 2017 msuchanek@suse.de
- powerpc/bpf/jit: Disable classic BPF JIT on ppc64le
  (bsc#1066223).
- commit ad55533
* Thu Nov  2 2017 tonyj@suse.de
- blacklist.conf: Update with non-critical perf tools (userspace) fixes
- commit 9f5cdff
* Thu Nov  2 2017 msuchanek@suse.de
- scsi: ipr: Set no_report_opcodes for RAID arrays (bsc#1066213).
- scsi: ipr: Fix scsi-mq lockdep issue (bsc#1066213).
- commit f462801
* Thu Nov  2 2017 msuchanek@suse.de
- powerpc/sysrq: Fix oops whem ppmu is not registered
  (bsc#1066223).
- powerpc/mm/hash: Free the subpage_prot_table correctly
  (bsc#1066223).
- powerpc/mm: Fix check of multiple 16G pages from device tree
  (bsc#1066223).
- powerpc: Correct instruction code for xxlor instruction
  (bsc#1066223).
- commit ad24701
* Thu Nov  2 2017 ohering@suse.de
- netvsc: use refcount_t for keeping track of sub channels
  (bsc#1062835).
- commit c47670d
* Thu Nov  2 2017 lduncan@suse.com
- serial: Remove unused port type (bsc#1066045).
- commit 55260fd
* Wed Nov  1 2017 vbabka@suse.cz
- blacklist.conf: add 79b63f12abcbbd2caf7064b294af648a87de07ff # bsc#1061756 may break existing setups
- commit 00f74f2
* Wed Nov  1 2017 yousaf.kaukab@suse.com
- drivers: of: Fix of_pci.h header guard (bsc#1065959).
- commit 75406d3
* Wed Nov  1 2017 mhocko@suse.cz
- cgroup, net_cls: iterate the fds of only the tasks which are
  being migrated (bnc#1064926).
- commit ccf8331
* Tue Oct 31 2017 bp@suse.de
- lib/ratelimit.c: use deferred printk() version (bsc#979928).
- commit 5856189
* Tue Oct 31 2017 dbueso@suse.de
- Prevent timer value 0 for MWAITX (bsc#1065717).
- commit ec214bc
* Tue Oct 31 2017 jgross@suse.com
- xen: x86: mark xen_find_pt_base as __init (bnc#1065600).
- commit 53447ac
* Tue Oct 31 2017 jgross@suse.com
- xen/events: events_fifo: Don't use {get,put}_cpu() in
  xen_evtchn_fifo_init() (bnc#1065600).
- commit 070e9cb
* Mon Oct 30 2017 msuchanek@suse.de
- Sort the sorted section.
- Refresh metadata on a few patches
  patches.drivers/0009-RDMA-bnxt_re-Free-doorbell-page-index-DPI-during-dea.patch.
  patches.drivers/0011-RDMA-bnxt_re-Fix-WQE-Size-posted-to-HW-to-prevent-it.patch.
  patches.drivers/0012-RDMA-bnxt_re-Add-vlan-tag-for-untagged-RoCE-traffic-.patch.
  patches.drivers/0013-RDMA-bnxt_re-Do-not-free-the-ctx_tbl-entry-if-delete.patch.
  patches.drivers/0015-RDMA-bnxt_re-Report-supported-value-to-IB-stack-in-q.patch.
  patches.drivers/0016-RDMA-bnxt_re-Fixed-the-max_rd_atomic-support-for-ini.patch.
  patches.drivers/0017-RDMA-bnxt_re-Specify-RDMA-component-when-allocating-.patch.
  patches.drivers/0020-RDMA-bnxt_re-Allow-posting-when-QPs-are-in-error.patch.
- commit ba62ba8
* Mon Oct 30 2017 ddiss@suse.de
- SMB3: Validate negotiate request must always be signed
  (bsc#1064597).
- SMB: fix validate negotiate info uninitialised memory use
  (bsc#1064597).
- SMB: fix leak of validate negotiate info response buffer
  (bsc#1064597).
- commit 3d05d2e
* Mon Oct 30 2017 msuchanek@suse.de
- Add patch sorted section markers.
- commit d86a2c1
* Mon Oct 30 2017 vbabka@suse.cz
- drivers: dma-mapping: Do not leave an invalid area->pages
  pointer in dma_common_contiguous_remap() (Git-fixes,
  bsc#1065692).
- commit 30e2baa
* Mon Oct 30 2017 vbabka@suse.cz
- cma: fix calculation of aligned offset (VM Functionality,
  bsc#1050060).
- commit 48ce4c5
* Mon Oct 30 2017 jgross@suse.com
- xen: fix booting ballooned down hvm guest (bnc#1065600).
- commit 6ff4c3b
* Mon Oct 30 2017 lhenriques@suse.com
- ceph: unlock dangling spinlock in try_flush_caps()
  (bsc#1065639).
- commit 3505017
* Mon Oct 30 2017 jgross@suse.com
- xen-netback: fix error handling output (bnc#1065600).
- commit 6ba3cfa
* Fri Oct 27 2017 hare@suse.de
- kabi/severities: Ignore drivers/nvme/target (bsc#1063349)
- commit da014b8
* Fri Oct 27 2017 hare@suse.de
- nvmet: Fix fatal_err_work deadlock (bsc#1063349).
- commit 1a95efc
* Fri Oct 27 2017 jslaby@suse.cz
- Linux 4.4.95 (bnc#1012382).
- FS-Cache: fix dereference of NULL user_key_payload
  (bnc#1012382).
- fscrypto: require write access to mount to set encryption policy
  (bnc#1012382).
- KEYS: Fix race between updating and finding a negative key
  (bnc#1012382).
- Revert "KEYS: Fix race between updating and finding a negative
  key" (kabi).
- fscrypt: fix dereference of NULL user_key_payload (bnc#1012382).
- f2fs crypto: add missing locking for keyring_key access
  (bnc#1012382).
- f2fs crypto: replace some BUG_ON()'s with error checks
  (bnc#1012382).
- sched/autogroup: Fix autogroup_move_group() to never skip
  sched_move_task() (bnc#1012382).
- parisc: Fix double-word compare and exchange in LWS code on
  32-bit kernels (bnc#1012382).
- parisc: Avoid trashing sr2 and sr3 in LWS code (bnc#1012382).
- pkcs7: Prevent NULL pointer dereference, since sinfo is not
  always set (bnc#1012382).
- KEYS: don't let add_key() update an uninstantiated key
  (bnc#1012382).
- lib/digsig: fix dereference of NULL user_key_payload
  (bnc#1012382).
- KEYS: encrypted: fix dereference of NULL user_key_payload
  (bnc#1012382).
- rtlwifi: rtl8821ae: Fix connection lost problem (bnc#1012382).
- clockevents/drivers/cs5535: Improve resilience to spurious
  interrupts (bnc#1012382).
- bus: mbus: fix window size calculation for 4GB windows
  (bnc#1012382).
- brcmsmac: make some local variables 'static const' to reduce
  stack size (bnc#1012382).
- i2c: ismt: Separate I2C block read from SMBus block read
  (bnc#1012382).
- ALSA: hda: Remove superfluous '-' added by printk conversion
  (bnc#1012382).
- ALSA: seq: Enable 'use' locking in all configurations
  (bnc#1012382).
- drm/nouveau/mmu: flush tlbs before deleting page tables
  (bnc#1012382).
- drm/nouveau/bsp/g92: disable by default (bnc#1012382).
- can: esd_usb2: Fix can_dlc value for received RTR, frames
  (bnc#1012382).
- usb: musb: Check for host-mode using is_host_active() on reset
  interrupt (bnc#1012382).
- usb: musb: sunxi: Explicitly release USB PHY on exit
  (bnc#1012382).
- can: gs_usb: fix busy loop if no more TX context is available
  (bnc#1012382).
- ALSA: usb-audio: Add native DSD support for Pro-Ject Pre Box
  S2 Digital (bnc#1012382).
- usb: hub: Allow reset retry for USB2 devices on connect bounce
  (bnc#1012382).
- usb: quirks: add quirk for WORLDE MINI MIDI keyboard
  (bnc#1012382).
- usb: cdc_acm: Add quirk for Elatec TWN3 (bnc#1012382).
- USB: serial: metro-usb: add MS7820 device id (bnc#1012382).
- USB: core: fix out-of-bounds access bug in
  usb_get_bos_descriptor() (bnc#1012382).
- USB: devio: Revert "USB: devio: Don't corrupt user memory"
  (bnc#1012382).
- commit 9fc34dc
* Thu Oct 26 2017 dchang@suse.com
- bnxt_en: Fix possible corruption in DCB parameters from firmware
  (bsc#1020412 FATE#321671).
- bnxt_en: Fix possible corrupted NVRAM parameters from firmware
  response (bsc#1020412 FATE#321671).
- bnxt_en: Fix VF PCIe link speed and width logic (bsc#1020412
  FATE#321671).
- bnxt_en: Don't use rtnl lock to protect link change logic in
  workqueue (bsc#1020412 FATE#321671).
- commit b7338ed
* Thu Oct 26 2017 neilb@suse.com
- VFS: expedite unmount (bsc#1024412).
- commit fa04195
* Wed Oct 25 2017 jslaby@suse.cz
- Linux 4.4.94 (bnc#1012382).
- percpu: make this_cpu_generic_read() atomic w.r.t. interrupts
  (bnc#1012382).
- sctp: potential read out of bounds in
  sctp_ulpevent_type_enabled() (bnc#1012382).
- bpf/verifier: reject BPF_ALU64|BPF_END (bnc#1012382).
- udpv6: Fix the checksum computation when HW checksum does not
  apply (bnc#1012382).
- ip6_gre: skb_push ipv6hdr before packing the header in
  ip6gre_header (bnc#1012382).
- net: emac: Fix napi poll list corruption (bnc#1012382).
- bpf: one perf event close won't free bpf program attached by
  another perf event (bnc#1012382).
- isdn/i4l: fetch the ppp_write buffer in one shot (bnc#1012382).
- vti: fix use after free in vti_tunnel_xmit/vti6_tnl_xmit
  (bnc#1012382).
- l2tp: Avoid schedule while atomic in exit_net (bnc#1012382).
- l2tp: fix race condition in l2tp_tunnel_delete (bnc#1012382).
- tun: bail out from tun_get_user() if the skb is empty
  (bnc#1012382).
- packet: only test po->has_vnet_hdr once in packet_snd
  (bnc#1012382).
- net: Set sk_prot_creator when cloning sockets to the right proto
  (bnc#1012382).
- tipc: use only positive error codes in messages (bnc#1012382).
- Revert "bsg-lib: don't free job in bsg_prepare_job"
  (bnc#1012382).
- locking/lockdep: Add nest_lock integrity test (bnc#1012382).
- watchdog: kempld: fix gcc-4.3 build (bnc#1012382).
- irqchip/crossbar: Fix incorrect type of local variables
  (bnc#1012382).
- mac80211_hwsim: check HWSIM_ATTR_RADIO_NAME length
  (bnc#1012382).
- mac80211: fix power saving clients handling in iwlwifi
  (bnc#1012382).
- net/mlx4_en: fix overflow in mlx4_en_init_timestamp()
  (FATE#321685 FATE#321686 FATE#321687 bnc#1012382 bsc#1015336
  bsc#1015337 bsc#1015340).
- netfilter: nf_ct_expect: Change __nf_ct_expect_check() return
  value (bnc#1012382).
- iio: adc: xilinx: Fix error handling (bnc#1012382).
- f2fs: do not wait for writeback in write_begin (bnc#1012382).
- md/linear: shutup lockdep warnning (FATE#321488 bnc#1012382
  bsc#1042977).
- sparc64: Migrate hvcons irq to panicked cpu (bnc#1012382).
- net/mlx4_core: Fix VF overwrite of module param which disables
  DMFS on new probed PFs (FATE#321685 FATE#321686 FATE#321687
  bnc#1012382 bsc#1015336 bsc#1015337 bsc#1015340).
- crypto: xts - Add ECB dependency (bnc#1012382).
- slub: do not merge cache if slub_debug contains a never-merge
  flag (bnc#1012382).
- scsi: scsi_dh_emc: return success in clariion_std_inquiry()
  (bnc#1012382).
- net: mvpp2: release reference to txq_cpu[] entry after unmapping
  (bnc#1012382 bsc#1032150).
- i2c: at91: ensure state is restored after suspending
  (bnc#1012382).
- ceph: clean up unsafe d_parent accesses in build_dentry_path
  (FATE#322288 bnc#1012382).
- uapi: fix linux/rds.h userspace compilation errors
  (bnc#1012382).
- uapi: fix linux/mroute6.h userspace compilation errors
  (bnc#1012382).
- target/iscsi: Fix unsolicited data seq_end_offset calculation
  (bnc#1012382 bsc#1036489).
- nfsd/callback: Cleanup callback cred on shutdown (bnc#1012382).
- cpufreq: CPPC: add ACPI_PROCESSOR dependency (bnc#1012382).
- Revert "tty: goldfish: Fix a parameter of a call to free_irq"
  (bnc#1012382).
- Revert "bpf: one perf event close won't free bpf program
  attached by another perf event" (kabi).
- kABI: protect struct l2tp_tunnel (kabi).
- kABI: protect l2tp_tunnel_delete (kabi).
- Refresh
  patches.drivers/i40e-0191-uapi-define-DIV_ROUND_UP-for-userland.patch.
- Refresh
  patches.drivers/mlx4-do-not-use-rwlock-in-fast-path.patch.
- Refresh
  patches.drivers/net-mlx4-Replace-ENOSYS-with-better-fitting-error-co.patch.
- commit 775f001
* Wed Oct 25 2017 jslaby@suse.cz
- Linux 4.4.93 (bnc#1012382).
- brcmfmac: add length check in brcmf_cfg80211_escan_handler()
  (bnc#1012382).
- ext4: in ext4_seek_{hole,data}, return -ENXIO for negative
  offsets (bnc#1012382).
- CIFS: Reconnect expired SMB sessions (bnc#1012382).
- nl80211: Define policy for packet pattern attributes
  (bnc#1012382).
- iwlwifi: mvm: use IWL_HCMD_NOCOPY for MCAST_FILTER_CMD
  (bnc#1012382).
- rcu: Allow for page faults in NMI handlers (bnc#1012382).
- USB: dummy-hcd: Fix deadlock caused by disconnect detection
  (bnc#1012382).
- MIPS: math-emu: Remove pr_err() calls from fpu_emu()
  (bnc#1012382).
- dmaengine: edma: Align the memcpy acnt array size with the
  transfer (bnc#1012382).
- HID: usbhid: fix out-of-bounds bug (bnc#1012382).
- crypto: shash - Fix zero-length shash ahash digest crash
  (bnc#1012382).
- KVM: nVMX: fix guest CR4 loading when emulating L2 to L1 exit
  (bnc#1012382).
- usb: renesas_usbhs: Fix DMAC sequence for receiving zero-length
  packet (bnc#1012382).
- iommu/amd: Finish TLB flush in amd_iommu_unmap() (bnc#1012382).
- ALSA: usb-audio: Kill stray URB at exiting (bnc#1012382).
- ALSA: seq: Fix copy_from_user() call inside lock (bnc#1012382).
- ALSA: caiaq: Fix stray URB at probe error path (bnc#1012382).
- ALSA: line6: Fix leftover URB at error-path during probe
  (bnc#1012382).
- usb: gadget: composite: Fix use-after-free in
  usb_composite_overwrite_options (bnc#1012382).
- direct-io: Prevent NULL pointer access in submit_page_section
  (bnc#1012382).
- fix unbalanced page refcounting in bio_map_user_iov
  (bnc#1012382).
- USB: serial: ftdi_sio: add id for Cypress WICED dev board
  (bnc#1012382).
- USB: serial: cp210x: add support for ELV TFD500 (bnc#1012382).
- USB: serial: option: add support for TP-Link LTE module
  (bnc#1012382).
- USB: serial: qcserial: add Dell DW5818, DW5819 (bnc#1012382).
- USB: serial: console: fix use-after-free after failed setup
  (bnc#1012382).
- x86/alternatives: Fix alt_max_short macro to really be a max()
  (bnc#1012382).
- Refresh patches.drivers/0004-bio-use-offset_in_page-macro.patch.
- Refresh
  patches.suse/0001-rcu-Don-t-redundantly-disable-irqs-in-rcu_irq_-enter.patch.
- Refresh
  patches.suse/cifs-0005-CIFS-Separate-SMB2-header-structure.patch.
- commit 42f9b7f
* Tue Oct 24 2017 msuchanek@suse.de
- Blacklist build fixes for configurations we don't use
  65c5ec11c25e powerpc/boot: Fix 64-bit boot wrapper build with non-biarch
  compiler
  7e7dc66adcf4 powerpc/mm: Build fix for non SPARSEMEM_VMEMAP config
- commit 997827d
* Tue Oct 24 2017 msuchanek@suse.de
- Blacklist fixes for unsupported ppc platforms
  3c29b6038828 powerpc/8xx: fix mpc8xx_get_irq() return on no irq
  8d046759f6ad powerpc/44x: Fix mask and shift to zero bug
  c65540453e15 powerpc/83xx: Use sizeof correct type when ioremapping
- commit a817a0c
* Tue Oct 24 2017 mhocko@suse.cz
- blacklist.conf: blacklisted 16af97dc5a89 (bnc#1053919)
- commit 9f3a05d
* Tue Oct 24 2017 dbueso@suse.de
- patches.suse/0001-fs-epoll-short-circuit-fetching-events-if-thread-has.patch: (bsc#1056427).
- commit bfe63a0
* Tue Oct 24 2017 mcgrof@suse.com
- supported.conf: add CONFIG_TEST_LKM=m on kselftests-kmp - Update config files.
  The kselftests-kmp fails to build on vanilla as no modules
  are present. We add the test_module just so that kselftests-kmp
  is never empty on any flavor.
- commit ef01bf8
* Mon Oct 23 2017 msuchanek@suse.de
- Refresh metadata on rpi3 enablement patches.
- commit b4d2088
* Mon Oct 23 2017 dmulder@suse.com
- CIFS: fix circular locking dependency (bsc#1064701).
- Refresh
  patches.drivers/0326-fs-simplify-the-generic_write_sync-prototype.patch.
- commit ddb1a91
* Mon Oct 23 2017 jthumshirn@suse.de
- blacklist.conf: Blacklist two commits (bbb3be170ac2 and ccf1e0045eea).
- commit 5f0e0e9
* Sat Oct 21 2017 lduncan@suse.com
- scsi: reset wait for IO completion (bsc#996376).
- commit 0882041
* Fri Oct 20 2017 mcgrof@suse.com
- blacklist.conf: add test_kmod blacklist
  CONFIG_TEST_KMOD=n is currently set. When and if we enable it
  then we will need it, otherwise we don't.
- commit ab1f013
* Fri Oct 20 2017 mhocko@suse.cz
- memremap: add scheduling point to devm_memremap_pages
  (bnc#1057079).
- mm, page_alloc: add scheduling point to memmap_init_zone
  (bnc#1057079).
- mm, memory_hotplug: add scheduling point to __add_pages
  (bnc#1057079).
- commit ab0d694
* Fri Oct 20 2017 hare@suse.de
- scsi: sg: only check for dxfer_len greater than 256M
  (bsc#1064206).
- scsi: sg: don't return bogus Sg_requests (bsc#1064206).
- scsi: sg: close race condition in sg_remove_sfp_usercontext()
  (bsc#1064206).
- scsi: sg: only check for dxfer_len greater than 256M
  (bsc#1064206).
- scsi: sg: don't return bogus Sg_requests (bsc#1064206).
- scsi: sg: close race condition in sg_remove_sfp_usercontext()
  (bsc#1064206).
- commit a69df70
* Fri Oct 20 2017 msuchanek@suse.de
- Remove superfluous hunk in bigmem backport (bsc#1064436).
  Refresh patches.arch/powerpc-bigmem-16-mm-Add-addr_limit-to-mm_context-and-use-it-t.patch.
- commit 719fcb6
* Fri Oct 20 2017 mkubecek@suse.cz
- packet: in packet_do_bind, test fanout with bind_lock held
  (CVE-2017-15649 bsc#1064388).
- packet: hold bind lock when rebinding to fanout hook
  (CVE-2017-15649 bsc#1064388).
- packet: in packet_do_bind, test fanout with bind_lock held
  (CVE-2017-15649 bsc#1064388).
- packet: hold bind lock when rebinding to fanout hook
  (CVE-2017-15649 bsc#1064388).
- commit 058e1ce
* Fri Oct 20 2017 msuchanek@suse.de
- Refresh metadata on ibmvnic patches.
- commit 3c75cec
* Thu Oct 19 2017 jthumshirn@suse.de
- nvmet: synchronize sqhd update (bsc#1063349).
- commit 2d5c7fb
* Wed Oct 18 2017 bpoirier@suse.com
- team: call netdev_change_features out of team lock
  (bsc#1055567).
- commit 9c31536
* Wed Oct 18 2017 bpoirier@suse.com
- Refresh
  patches.drivers/hns-0002-net-phy-Fix-lack-of-reference-count-on-PHY-driver.patch.
- Refresh
  patches.drivers/hns-0003-phy-fix-error-case-of-phy_led_triggers_-un-register.patch.
  Refresh patch order in sorted section. I've ignored some rdma patches which
  need updated upstream status.
- commit bbb1f9d
* Wed Oct 18 2017 mcgrof@suse.com
- mac80211: accept key reinstall without changing anything
  (CVE-2017-13080 bsc#1063667).
- commit 632ec59
* Wed Oct 18 2017 yousaf.kaukab@suse.com
- supported.conf: enable dw_mmc-rockchip driver
  References: bsc#1064064
- commit 88a4fbb
* Wed Oct 18 2017 mgorman@suse.de
- Revert "x86/acpi: Enable MADT APIs to return disabled apicids"
  (bnc#1056230).
- Revert "x86/acpi: Set persistent cpuid <-> nodeid mapping when
  booting" (bnc#1056230).
- acpi/processor: Check for duplicate processor ids at hotplug
  time (bnc#1056230).
- acpi/processor: Implement DEVICE operator for processor
  enumeration (bnc#1056230).
- x86/acpi: Restore the order of CPU IDs (bnc#1056230).
- x86/cpu: Remove unused and undefined __generic_processor_info()
  declaration (bnc#1056230).
- Refresh
  patches.arch/0370-ACPI-bus-Support-for-platform-initiated-graceful-shu.patch.
- Delete
  patches.fixes/x86-apic-Prevent-pointless-warning-messages.patch.
- commit 261e94c
* Wed Oct 18 2017 jthumshirn@suse.de
- scsi: lpfc: Ensure io aborts interlocked with the target
  (bsc#1056587).
- commit fe3a315
* Wed Oct 18 2017 jthumshirn@suse.de
- scsi: qla2xxx: Fix uninitialized work element
  (bsc#1019675,FATE#321701).
- commit a6fc1d5
* Wed Oct 18 2017 dchang@suse.com
- i40e: Initialize 64-bit statistics TX ring seqcount (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- commit 406a575
* Tue Oct 17 2017 mcgrof@suse.com
- xfs: handle error if xfs_btree_get_bufs fails (bsc#1059863).
- commit 3a2bead
* Tue Oct 17 2017 mhocko@suse.cz
- kernel/watchdog: Prevent false positives with turbo modes
  (bnc#1063516).
- Update config files.
- commit 40a9999
* Tue Oct 17 2017 msuchanek@suse.de
- blacklist 0e7736c6b806 powerpc/powernv: Fix data type for @r in
  pnv_ioda_parse_m64_window()
- commit 60bb40c
* Tue Oct 17 2017 tiwai@suse.de
- Rewrote KVM kABI fix patches for addressing regressions (bsc#1063570)
  Take another approach for fixing kABI breakage for KVM:
  patches.kabi/0001-kABI-Workaround-kABI-breakage-of-AMD-AVIC-fixes.patch
  patches.kabi/kabi-KVM-x86-kABI-workaround-for-PKRU-fixes.patch
- commit 5a2a299
* Tue Oct 17 2017 jthumshirn@suse.de
- scsi: libfc: fix a deadlock in fc_rport_work (bsc#1063695).
- commit ae61c0c
* Mon Oct 16 2017 jthumshirn@suse.de
- KABI fixup struct nvmet_sq (bsc#1063349).
- commit a627ca6
* Mon Oct 16 2017 jthumshirn@suse.de
- nvme: fix sqhd reference when admin queue connect fails
  (bsc#1063349).
- nvmet: implement valid sqhd values in completions (bsc#1063349).
- nvme: allow timed-out ios to retry (bsc#1063349).
- nvme: stop aer posting if controller state not live
  (bsc#1063349).
- commit ee22c59
* Mon Oct 16 2017 mhocko@suse.cz
- mm: meminit: mark init_reserved_page as __meminit (bnc#1063509).
- commit 38dba8a
* Mon Oct 16 2017 tbogendoerfer@suse.de
- i40iw: Fix port number for query QP (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- IB/i40iw: Fix error code in i40iw_create_cq() (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40iw: Add missing memory barriers (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- net/mlx5: Fix command completion after timeout access invalid
  structure (bsc#966318 FATE#320158 bsc#966316 FATE#320159).
- bnxt_en: Do not setup MAC address in bnxt_hwrm_func_qcaps()
  (bsc#963575 FATE#320144).
- bnxt_en: Free MSIX vectors when unregistering the device from
  bnxt_re (bsc#1020412 FATE#321671).
- commit f35a5f6
* Mon Oct 16 2017 mhocko@suse.cz
- mm/memory_hotplug: define find_{smallest|biggest}_section_pfn
  as unsigned long (bnc#1063520).
- commit 52cfd5e
* Mon Oct 16 2017 mhocko@suse.cz
- blacklist.conf: blacklist pure doc updates
- commit d5d4e33
* Mon Oct 16 2017 mhocko@suse.cz
- mm/memory_hotplug: change pfn_to_section_nr/section_nr_to_pfn
  macro to inline function (bnc#1063501).
- Refresh
  patches.drivers/0019-x86-mm-introduce-vmem_altmap-to-augment-vmemmap_populate.patch.
- commit 8270b14
* Mon Oct 16 2017 mhocko@suse.cz
- mm/backing-dev.c: fix an error handling path in 'cgwb_create()'
  (bnc#1063475).
- commit e8ba2a2
* Mon Oct 16 2017 mhocko@suse.cz
- mm/memblock.c: reversed logic in memblock_discard()
  (bnc#1063460).
- commit 6acebe4
* Mon Oct 16 2017 mhocko@suse.cz
- mm: discard memblock data later (bnc#1063460).
- commit 3771826
* Mon Oct 16 2017 jthumshirn@suse.de
- fs/mpage.c: fix mpage_writepage() for pages with buffers
  (bsc#1050471).
  Update to version in mainline
- commit 20d4e2b
* Mon Oct 16 2017 hare@suse.de
- s390/qdio: avoid reschedule of outbound tasklet once killed
  (bnc#1060249, LTC#159885).
- commit dac9405
* Mon Oct 16 2017 hare@suse.de
- s390/topology: enable / disable topology dynamically
  (bnc#1060249, LTC#159177).
- s390/topology: alternative topology for topology-less machines
  (bnc#1060249, LTC#159177).
- s390/topology: always use s390 specific
  sched_domain_topology_level (bnc#1060249, LTC#159177).
- s390/cpcmd,vmcp: avoid GFP_DMA allocations (bnc#1060249,
  LTC#159112).
- commit 69e54a7
* Fri Oct 13 2017 jslaby@suse.cz
- Linux 4.4.92 (bnc#1012382).
- usb: gadget: inode.c: fix unbalanced spin_lock in ep0_write
  (bnc#1012382).
- USB: gadgetfs: Fix crash caused by inadequate synchronization
  (bnc#1012382).
- USB: gadgetfs: fix copy_to_user while holding spinlock
  (bnc#1012382).
- usb: gadget: udc: atmel: set vbus irqflags explicitly
  (bnc#1012382).
- usb-storage: unusual_devs entry to fix write-access regression
  for Seagate external drives (bnc#1012382).
- usb: renesas_usbhs: fix the BCLR setting condition for non-DCP
  pipe (bnc#1012382).
- usb: renesas_usbhs: fix usbhsf_fifo_clear() for RX direction
  (bnc#1012382).
- ALSA: usb-audio: Check out-of-bounds access by corrupted buffer
  descriptor (bnc#1012382).
- usb: pci-quirks.c: Corrected timeout values used in handshake
  (bnc#1012382).
- USB: dummy-hcd: fix connection failures (wrong speed)
  (bnc#1012382).
- USB: dummy-hcd: fix infinite-loop resubmission bug
  (bnc#1012382).
- USB: dummy-hcd: Fix erroneous synchronization change
  (bnc#1012382).
- USB: devio: Don't corrupt user memory (bnc#1012382).
- usb: gadget: mass_storage: set msg_registered after msg
  registered (bnc#1012382).
- USB: g_mass_storage: Fix deadlock when driver is unbound
  (bnc#1012382).
- lsm: fix smack_inode_removexattr and xattr_getsecurity memleak
  (bnc#1012382).
- ALSA: compress: Remove unused variable (bnc#1012382).
- ALSA: usx2y: Suppress kernel warning at page allocation failures
  (bnc#1012382).
- driver core: platform: Don't read past the end of
  "driver_override" buffer (bnc#1012382).
- Drivers: hv: fcopy: restore correct transfer length
  (bnc#1012382).
- stm class: Fix a use-after-free (bnc#1012382).
- ftrace: Fix kmemleak in unregister_ftrace_graph (bnc#1012382).
- HID: i2c-hid: allocate hid buffers for real worst case
  (bnc#1012382).
- iwlwifi: add workaround to disable wide channels in 5GHz
  (bnc#1012382).
- USB: uas: fix bug in handling of alternate settings
  (bnc#1012382).
- USB: core: harden cdc_parse_cdc_header (bnc#1012382).
- usb: Increase quirk delay for USB devices (bnc#1012382).
- USB: fix out-of-bounds in usb_set_configuration (bnc#1012382).
- xhci: fix finding correct bus_state structure for USB 3.1 hosts
  (bnc#1012382).
- iio: adc: twl4030: Fix an error handling path in
  'twl4030_madc_probe()' (bnc#1012382).
- iio: adc: twl4030: Disable the vusb3v1 rugulator in the error
  handling path of 'twl4030_madc_probe()' (bnc#1012382).
- iio: ad_sigma_delta: Implement a dedicated reset function
  (bnc#1012382).
- staging: iio: ad7192: Fix - use the dedicated reset function
  avoiding dma from stack (bnc#1012382).
- iio: core: Return error for failed read_reg (bnc#1012382).
- iio: ad7793: Fix the serial interface reset (bnc#1012382).
- iio: adc: mcp320x: Fix readout of negative voltages
  (bnc#1012382).
- iio: adc: mcp320x: Fix oops on module unload (bnc#1012382).
- uwb: properly check kthread_run return value (bnc#1012382).
- uwb: ensure that endpoint is interrupt (bnc#1012382).
- brcmfmac: setup passive scan if requested by user-space
  (bnc#1012382).
- drm/i915/bios: ignore HDMI on port A (bnc#1012382).
- nvme: protect against simultaneous shutdown invocations
  (FATE#319965 bnc#1012382 bsc#964944).
- sched/cpuset/pm: Fix cpuset vs. suspend-resume bugs
  (bnc#1012382).
- ext4: don't allow encrypted operations without keys
  (bnc#1012382).
- Refresh
  patches.drivers/0001-iwlwifi-nvm-fix-up-phy-section-when-reading-it.patch.
- Refresh
  patches.drivers/0003-nvme-use-offset-instead-of-a-struct-for-registers.patch.
- Refresh
  patches.drivers/0006-nvme-split-a-new-struct-nvme_ctrl-out-of-struct-nvme_dev.patch.
- Refresh
  patches.drivers/0018-nvme-add-a-common-helper-to-read-identify-controller-data.patch.
- Refresh
  patches.drivers/0020-nvme-move-namespace-scanning-to-common-code.patch.
- Refresh
  patches.drivers/0021-nvme-move-chardev-and-sysfs-interface-to-common-code.patch.
- Refresh
  patches.drivers/0136-iwlwifi-treat-iwl_parse_nvm_data-MAC-addr-as-little-.patch.
- Refresh
  patches.drivers/0201-iwlwifi-refactor-the-code-that-reads-the-MAC-address.patch.
- Refresh
  patches.drivers/0210-iwlwifi-add-support-for-getting-HW-address-from-CSR.patch.
- Delete
  patches.drivers/0027-nvme-protect-against-simultaneous-shutdown-invocations.patch.
- commit e774b06
* Fri Oct 13 2017 bp@suse.de
- EDAC, skx_edac: Handle systems with segmented PCI busses
  (bsc#1063102).
- commit fca8c97
* Thu Oct 12 2017 dbueso@suse.de
- mm,compaction: serialize waitqueue_active() checks (for real)
  (bsc#971975).
- fs/epoll: cache leftmost node (bsc#1056427).
- commit 1eec7af
* Thu Oct 12 2017 msuchanek@suse.de
- ibmvnic: Set state UP (bsc#1062962).
- commit 7435e82
* Thu Oct 12 2017 hare@suse.de
- scsi: fixup kernel warning during rmmod() (bsc#1052360).
- commit a8125e6
* Thu Oct 12 2017 hare@suse.de
- scsi: scsi_transport_fc: Also check for NOTPRESENT in
  fc_remote_port_add() (bsc#1037890).
- commit e04f679
* Thu Oct 12 2017 hare@suse.de
- scsi: scsi_transport_fc: set scsi_target_id upon rescan
  (bsc#1058135).
- commit a54bada
* Wed Oct 11 2017 mwilck@suse.com
- scsi: sd: Do not override max_sectors_kb sysfs setting
  (bsc#1025461).
- commit 50329a4
* Wed Oct 11 2017 mkubecek@suse.cz
- Update
  patches.drivers/i40e-add-private-flag-to-control-source-pruning.patch.
- fix flags ordering (bsc#1034075 comment 131)
- update upstream reference
- fix whitespace according to upstream commit
- commit b21e354
* Wed Oct 11 2017 bp@suse.de
- EDAC, sb_edac: Don't create a second memory controller if HA1
  is not present (bsc#1061721).
- commit f505873
* Wed Oct 11 2017 bp@suse.de
- EDAC, sb_edac: Classify memory mirroring modes (bsc#1061721).
- commit 2844419
* Wed Oct 11 2017 bp@suse.de
- EDAC, sb_edac: Avoid creating SOCK memory controller
  (bsc#1061721).
- EDAC, sb_edac: Bump driver version and do some cleanups
  (bsc#1061721).
- EDAC, sb_edac: Check if ECC enabled when at least one DIMM is
  present (bsc#1061721).
- EDAC, sb_edac: Drop NUM_CHANNELS from 8 back to 4 (bsc#1061721).
- EDAC, sb_edac: Carve out dimm-populating loop (bsc#1061721).
- EDAC, sb_edac: Fix mod_name (bsc#1061721).
- EDAC, sb_edac: Assign EDAC memory controller per h/w controller
  (bsc#1061721).
- EDAC, sb_edac: Don't use "Socket#" in the memory controller name
  (bsc#1061721).
- EDAC, sb_edac: Classify PCI-IDs by topology (bsc#1061721).
- EDAC, sb_edac: Get rid of ->show_interleave_mode()
  (bsc#1061721).
- EDAC, sb_edac: Remove NULL pointer check on array pci_tad
  (bsc#1061721).
- EDAC, sb_edac: Remove double buffering of error records
  (bsc#1061721).
- x86 EDAC, sb_edac.c: Take account of channel hashing when needed
  (bsc#1061721).
- commit be6e844
* Wed Oct 11 2017 tbogendoerfer@suse.de
- blacklist.conf: fix commit exists twice in upstream, blacklist one of them
- commit e83d278
* Wed Oct 11 2017 tiwai@suse.de
- ALSA: seq: Fix use-after-free at creating a port
  (CVE-2017-15265, bsc#1062520).
- commit 986b57c
* Tue Oct 10 2017 tbogendoerfer@suse.de
- kABI: protect enum fs_flow_table_type (bsc#1015342 FATE#321688
  bsc#1015343 FATE#321689).
- commit ac168cf
* Tue Oct 10 2017 tbogendoerfer@suse.de
- kABI: protect struct mlx5_priv (bsc#1015342 FATE#321688
  bsc#1015343 FATE#321689).
- commit 4d8498e
* Tue Oct 10 2017 tbogendoerfer@suse.de
- Replaced patch with upstream version
- commit c1cb773
* Tue Oct 10 2017 tbogendoerfer@suse.de
- net/mlx5e: Fix calculated checksum offloads counters
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5e: Don't add/remove 802.1ad rules when changing 802.1Q
  VLAN filter (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5e: Print netdev features correctly in error message
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5: Check device capability for maximum flow counters
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5: Fix counter list hardware structure (bsc#1015342
  FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5: Delay events till ib registration ends (bsc#1015342
  FATE#321688 bsc#1015343 FATE#321689).
- IB/mlx5: Fix cached MR allocation flow (bsc#1015342 FATE#321688
  bsc#1015343 FATE#321689).
- IB/mlx5: Change logic for dispatching IB events for port state
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5e: Fix inline header size for small packets (bsc#1015342
  FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5: E-Switch, Unload the representors in the correct order
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5e: Fix dangling page pointer on DMA mapping error
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5: Remove the flag MLX5_INTERFACE_STATE_SHUTDOWN
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Skip mlx5_unload_one if mlx5_load_one fails
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Fix arm SRQ command for ISSI version 0 (bsc#1015342
  FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5e: Fix DCB_CAP_ATTR_DCBX capability for DCBNL getcap
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5e: Check for qos capability in dcbnl_initialize
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- net: mvpp2: fix the mac address used when using PPv2.2
  (bsc#1032150).
- IB/mlx5: Fix Raw Packet QP event handler assignment (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx4_core: Enable 4K UAR if SRIOV module parameter is not
  enabled (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net/mlx5e: Schedule overflow check work to mlx5e workqueue
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- mlx5: Avoid that mlx5_ib_sg_to_klms() overflows the klms array
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- e1000e: use disable_hardirq() also for MSIX vectors in
  e1000_netpoll() (bsc#1022912 FATE#321246).
- bnx2x: Don't log mc removal needlessly (bsc#1019680
  FATE#321692).
- net: mvpp2: use {get, put}_cpu() instead of smp_processor_id()
  (bsc#1032150).
- commit 9114e16
* Tue Oct 10 2017 tbogendoerfer@suse.de
- IB/core: Fix for core panic (bsc#1022595 FATE#322350).
- commit c6d1a78
* Tue Oct 10 2017 jslaby@suse.cz
- MIPS: Fix minimum alignment requirement of IRQ stack
  (git-fixes).
- commit ae0a2cd
* Tue Oct 10 2017 tbogendoerfer@suse.de
- IB/core: Fix the validations of a multicast LID in attach or
  detach operations (bsc#1022595 FATE#322350).
- commit 3450eb0
* Tue Oct 10 2017 tbogendoerfer@suse.de
- RDMA/qedr: Parse vlan priority as sl (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- RDMA/qedr: Parse VLAN ID correctly and ignore the value of zero
  (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702 bsc#1022604
  FATE#321747).
- commit 0be40f2
* Tue Oct 10 2017 tiwai@suse.de
- README.BRANCH: Add Michal and Johannes as co-maintainers.
- commit cbf29c0
* Tue Oct 10 2017 jslaby@suse.cz
- Linux 4.4.91 (bnc#1012382).
- ttpci: address stringop overflow warning (bnc#1012382).
- ALSA: au88x0: avoid theoretical uninitialized access
  (bnc#1012382).
- ARM: remove duplicate 'const' annotations' (bnc#1012382).
- IB/qib: fix false-postive maybe-uninitialized warning (FATE#321231
  FATE#321473 FATE#322149 FATE#322153 bnc#1012382).
- Delete
  patches.drivers/hfi1-qib-0453-IB-qib-fix-false-postive-maybe-uninitialized-warning.patch.
- drivers: firmware: psci: drop duplicate const from psci_of_match
  (FATE#319482 bnc#1012382).
- Delete
  patches.arch/0007-drivers-firmware-psci-drop-duplicate-const-from-psci.patch.
- libata: transport: Remove circular dependency at free time
  (bnc#1012382).
- xfs: remove kmem_zalloc_greedy (bnc#1012382).
- i2c: meson: fix wrong variable usage in meson_i2c_put_data
  (bnc#1012382).
- md/raid10: submit bio directly to replacement disk (bnc#1012382).
- Refresh
  patches.drivers/0120-md-add-block-tracing-for-bio_remapping.patch.
- rds: ib: add error handle (bnc#1012382).
- iommu/io-pgtable-arm: Check for leaf entry before dereferencing
  it (bnc#1012382).
- parisc: perf: Fix potential NULL pointer dereference
  (bnc#1012382).
- netfilter: nfnl_cthelper: fix incorrect helper->expect_class_max
  (bnc#1012382).
- exynos-gsc: Do not swap cb/cr for semi planar formats
  (bnc#1012382).
- MIPS: IRQ Stack: Unwind IRQ stack onto task stack (bnc#1012382).
- netfilter: invoke synchronize_rcu after set the _hook_ to NULL
  (bnc#1012382).
- bridge: netlink: register netdevice before executing changelink
  (bnc#1012382).
- mmc: sdio: fix alignment issue in struct sdio_func
  (bnc#1012382).
- kABI: protect struct sdio_func (kabi).
- usb: plusb: Add support for PL-27A1 (bnc#1012382).
- team: fix memory leaks (bnc#1012382).
- net/packet: check length in getsockopt() called with
  PACKET_HDRLEN (bnc#1012382).
- net: core: Prevent from dereferencing null pointer when
  releasing SKB (bnc#1012382).
- MIPS: Lantiq: Fix another request_mem_region() return code check
  (bnc#1012382).
- ASoC: dapm: fix some pointer error handling (bnc#1012382).
- usb: chipidea: vbus event may exist before starting gadget
  (bnc#1012382).
- audit: log 32-bit socketcalls (bnc#1012382).
- ASoC: dapm: handle probe deferrals (bnc#1012382).
- partitions/efi: Fix integer overflow in GPT size calculation
  (FATE#322379 bnc#1012382 bsc#1020989).
- Refresh patches.drivers/treewide-Fix-typos-in-printk.patch.
- Delete
  patches.drivers/0378-partitions-efi-Fix-integer-overflow-in-GPT-size-calc.patch.
- USB: serial: mos7840: fix control-message error handling
  (bnc#1012382).
- USB: serial: mos7720: fix control-message error handling
  (bnc#1012382).
- drm/amdkfd: fix improper return value on error (bnc#1012382).
- IB/ipoib: Replace list_del of the neigh->list with list_del_init
  (FATE#322350 bnc#1012382 bsc#1022595).
- Delete
  patches.drivers/ipoib-0016-IB-ipoib-Replace-list_del-of-the-neigh-list-with-lis.patch.
- IB/ipoib: rtnl_unlock can not come after free_netdev (FATE#322350
  bnc#1012382 bsc#1022595).
- Delete
  patches.drivers/ipoib-0013-IB-ipoib-rtnl_unlock-can-not-come-after-free_netdev.patch.
- IB/ipoib: Fix deadlock over vlan_mutex (bnc#1012382 bsc#1022595
  FATE#322350).
- Delete
  patches.drivers/ipoib-0012-IB-ipoib-Fix-deadlock-over-vlan_mutex.patch.
- tty: goldfish: Fix a parameter of a call to free_irq
  (bnc#1012382).
- ARM: 8635/1: nommu: allow enabling REMAP_VECTORS_TO_RAM
  (bnc#1012382).
- iio: adc: hx711: Add DT binding for avia,hx711 (bnc#1012382).
- iio: adc: axp288: Drop bogus AXP288_ADC_TS_PIN_CTRL register
  modifications (bnc#1012382).
- hwmon: (gl520sm) Fix overflows and crash seen when writing
  into limit attributes (bnc#1012382).
- sh_eth: use correct name for ECMR_MPDE bit (bnc#1012382).
- extcon: axp288: Use vbus-valid instead of -present to determine
  cable presence (bnc#1012382).
- igb: re-assign hw address pointer on reset after PCI error
  (bnc#1012382).
- MIPS: ralink: Fix incorrect assignment on ralink_soc
  (bnc#1012382).
- MIPS: Ensure bss section ends on a long-aligned address
  (bnc#1012382).
- ARM: dts: r8a7790: Use R-Car Gen 2 fallback binding for msiof
  nodes (bnc#1012382).
- RDS: RDMA: Fix the composite message user notification
  (bnc#1012382).
- kABI: protect struct rm_data_op (kabi).
- GFS2: Fix reference to ERR_PTR in gfs2_glock_iter_next
  (bnc#1012382).
- drm: bridge: add DT bindings for TI ths8135 (bnc#1012382).
- drm_fourcc: Fix DRM_FORMAT_MOD_LINEAR #define (bnc#1012382).
- commit e4026a0
* Tue Oct 10 2017 vbabka@suse.cz
- mm: fix data corruption caused by lazyfree page (VM
  Functionality, bsc#1061775).
- mm: avoid marking swap cached page as lazyfree (VM
  Functionality, bsc#1061775).
- commit db8dbbb
* Mon Oct  9 2017 msuchanek@suse.de
- powerpc/pseries: Don't attempt to acquire drc during memory
  hot add for assigned lmbs (FATE#322022).
- commit a64e446
* Mon Oct  9 2017 msuchanek@suse.de
- powerpc/pseries: Check memory device state before
  onlining/offlining (FATE#322022).
- commit b350bd4
* Mon Oct  9 2017 jthumshirn@suse.de
- scsi: qedi: off by one in qedi_get_cmd_from_tid() (bsc#1004527,
  FATE#321744).
- commit 926d080
* Mon Oct  9 2017 tbogendoerfer@suse.de
- blacklist.conf: stack limit warning isn't triggered on SP3
- commit 490dd33
* Mon Oct  9 2017 tbogendoerfer@suse.de
- RDMA: Fix return value check for ib_get_eth_speed()
  (bsc#1056596).
- Refresh
  patches.drivers/bnxt_re-Remove-RTNL-lock-dependency-in-bnxt_re_query.patch.
- commit e0f94de
* Mon Oct  9 2017 yousaf.kaukab@suse.com
- Update config files.
- commit d1626fe
* Mon Oct  9 2017 ohering@suse.de
- x86/mshyperv: Remove excess #includes from mshyperv.h
  (fate#320485).
- commit 5df0ffc
* Mon Oct  9 2017 yousaf.kaukab@suse.com
- Delete patches.drivers/0000-perf-arm-temporary-workaround-for-build-errors.patch.
  It was a temporary fix for build errors
- commit 4da5e6f
* Mon Oct  9 2017 yousaf.kaukab@suse.com
- perf: arm: acpi: remove cpu hotplug statemachine dependency (bsc#1062279).
- perf: arm: platform: remove cpu hotplug statemachine dependency
  (bsc#1062279).
- perf: arm: replace irq_get_percpu_devid_partition call
  (bsc#1062279).
- drivers/perf: arm_pmu: Request PMU SPIs with IRQF_PER_CPU
  (bsc#1062279).
- drivers/perf: arm_pmu_acpi: Release memory obtained by kasprintf
  (bsc#1062279).
- perf: Convert to using %%pOF instead of full_name (bsc#1062279).
- drivers/perf: arm_pmu_acpi: avoid perf IRQ init when guest
  PMU is off (bsc#1062279).
- arm64: perf: Extend event config for ARMv8.1 (bsc#1062279).
- arm64: perf: Ignore exclude_hv when kernel is running in HYP
  (bsc#1062279).
- arm64: pmu: Wire-up Cortex A53 L2 cache events and DTLB refills
  (bsc#1062279).
- arm64: pmuv3: handle pmuv3+ (bsc#1062279).
- arm64: pmuv3: use arm_pmu ACPI framework (bsc#1062279).
- arm64: pmuv3: handle !PMUv3 when probing (bsc#1062279).
- drivers/perf: arm_pmu: add ACPI framework (bsc#1062279).
- arm64: add function to get a cpu's MADT GICC table
  (bsc#1062279).
- drivers/perf: arm_pmu: split out platform device probe logic
  (bsc#1062279).
- drivers/perf: arm_pmu: move irq request/free into probe
  (bsc#1062279).
- drivers/perf: arm_pmu: split cpu-local irq request/free
  (bsc#1062279).
- drivers/perf: arm_pmu: rename irq request/free functions
  (bsc#1062279).
- drivers/perf: arm_pmu: handle no platform_device (bsc#1062279).
- drivers/perf: arm_pmu: simplify cpu_pmu_request_irqs()
  (bsc#1062279).
- drivers/perf: arm_pmu: factor out pmu registration
  (bsc#1062279).
- drivers/perf: arm_pmu: fold init into alloc (bsc#1062279).
- drivers/perf: arm_pmu: define armpmu_init_fn (bsc#1062279).
- drivers/perf: arm_pmu: remove pointless PMU disabling
  (bsc#1062279).
- drivers/perf: arm_pmu: split irq request from enable
  (bsc#1062279).
- drivers/perf: arm_pmu: manage interrupts per-cpu (bsc#1062279).
- drivers/perf: arm_pmu: rework per-cpu allocation (bsc#1062279).
- arm64: pmu: Hoist pmu platform device name (bsc#1062279).
- arm64: pmu: Probe default hw/cache counters (bsc#1062279).
- arm64: pmu: add fallback probe table (bsc#1062279).
- drivers/perf: arm_pmu: expose a cpumask in sysfs (bsc#1062279).
- drivers/perf: arm_pmu: only use common attr_groups
  (bsc#1062279).
- arm64: perf: move to common attr_group fields (bsc#1062279).
- drivers/perf: arm_pmu: add common attr group fields
  (bsc#1062279).
- drivers/perf: arm_pmu: Always consider IRQ0 as an error
  (bsc#1062279).
- arm/perf: Use multi instance instead of custom list
  (bsc#1062279).
- drivers/perf: arm_pmu: Fix NULL pointer dereference during probe
  (bsc#1062279).
- arm64: perf: Use the builtin_platform_driver (bsc#1062279).
- drivers/perf: arm-pmu: Fix handling of SPI lacking
  "interrupt-affinity" property (bsc#1062279).
- drivers/perf: arm-pmu: convert arm_pmu_mutex to spinlock
  (bsc#1062279).
- arm/perf: Fix hotplug state machine conversion (bsc#1062279).
- arm/perf: Convert to hotplug state machine (bsc#1062279).
- drivers/perf: arm-pmu: Handle per-interrupt affinity mask
  (bsc#1062279).
- drivers/perf: arm_pmu: Avoid leaking pmu->irq_affinity on error
  (bsc#1062279).
- drivers/perf: arm_pmu: Defer the setting of __oprofile_cpu_pmu
  (bsc#1062279).
- drivers/perf: arm_pmu: Fix reference count of a device_node
  in of_pmu_irq_cfg (bsc#1062279).
- arm64: perf: don't expose CHAIN event in sysfs (bsc#1062279).
- arm64/perf: Access pmu register using <read/write>_sys_reg
  (bsc#1062279).
- drivers/perf: arm-pmu: fix RCU usage on pmu resume from
  low-power (bsc#1062279).
- drivers/perf: arm_pmu: avoid NULL dereference when not using
  devicetree (bsc#1062279).
- drivers/perf: arm_pmu: implement CPU_PM notifier (bsc#1062279).
- drivers/perf: arm_pmu: make info messages more verbose
  (bsc#1062279).
- drivers/perf: kill armpmu_register (bsc#1062279).
- driver-core: platform: Add platform_irq_count() (bsc#1062279).
- perf: arm: temporary workaround for build errors (bsc#1062279).
- commit 58a1f81
* Mon Oct  9 2017 tiwai@suse.de
- Update kabi files: sync with 4.4.90
- commit 2c39fc1
* Mon Oct  9 2017 ohering@suse.de
- netvsc: Initialize 64-bit stats seqcount (fate#320485).
- commit ca3239e
* Mon Oct  9 2017 jthumshirn@suse.de
- Fix mpage_writepage() for pages with buffers (bsc#1050471).
- commit f188138
* Mon Oct  9 2017 ohering@suse.de
- add mainline tags to hyperv patches
- commit 9a44471
* Fri Oct  6 2017 yousaf.kaukab@suse.com
- arm64: refresh vulcan pmu support patches
- Refresh
  patches.arch/0184-arm64-perf-Move-PMU-register-related-defines-to-asm-.patch.
- Documentation: arm64: pmu: Add Broadcom Vulcan PMU binding
  (fate#319481).
- arm64: dts: Add Broadcom Vulcan PMU in dts (fate#319481).
- arm64/perf: Changed events naming as per the ARM ARM
  (fate#319481).
- arm64/perf: Define complete ARMv8 recommended implementation
  defined events (fate#319481).
- arm64/perf: Filter common events based on PMCEIDn_EL0
  (fate#319481).
- arm64/perf: Add Broadcom Vulcan PMU support (fate#319481).
- commit ed96627
* Fri Oct  6 2017 msuchanek@suse.de
- rpm/kernel-binary.spec.in: add the kernel-binary dependencies to
  kernel-binary-base (bsc#1060333).
- commit 04fee21
* Fri Oct  6 2017 tbogendoerfer@suse.de
- bnxt_re: Don't issue cmd to delete GID for QP1 GID entry before
  the QP is destroyed (bsc#1056596).
- bnxt_re: Fix memory leak in FRMR path (bsc#1056596).
- bnxt_re: Remove RTNL lock dependency in bnxt_re_query_port
  (bsc#1056596).
- IB/core: Add generic function to extract IB speed from netdev
  (bsc#1056596).
- IB/core: Add ordered workqueue for RoCE GID management
  (bsc#1056596).
- commit a57e132
* Fri Oct  6 2017 tbogendoerfer@suse.de
- bnxt_re: Free up devices in module_exit path (bsc#1056596).
- bnxt_re: Fix compare and swap atomic operands (bsc#1056596).
- bnxt_re: Stop issuing further cmds to FW once a cmd times out
  (bsc#1056596).
- bnxt_re: Fix update of qplib_qp.mtu when modified (bsc#1056596).
- commit 40adf25
* Fri Oct  6 2017 tbogendoerfer@suse.de
- Replaced patch with upstream version
- bnxt_re: Fix race between the netdev register and unregister
  events (bsc#1037579).
- Refresh
  patches.drivers/RDMA-bnxt_re-Allocate-multiple-notification-queues.patch.
- Delete
  patches.drivers/0007-RDMA-bnxt_re-Fix-race-between-netdev-register-and-un.patch.
- commit 366dfbf
* Fri Oct  6 2017 jthumshirn@suse.de
- RDMA/bnxt_re: Allocate multiple notification queues
  (bsc#1037579).
- RDMA/bnxt_re: Implement the alloc/get_hw_stats callback
  (bsc#1037579).
- commit e075f7e
* Fri Oct  6 2017 jslaby@suse.cz
- Linux 4.4.90 (bnc#1012382).
- cifs: release auth_key.response for reconnect (bnc#1012382).
- mac80211: flush hw_roc_start work before cancelling the ROC
  (bnc#1012382).
- KVM: PPC: Book3S: Fix race and leak in
  kvm_vm_ioctl_create_spapr_tce() (bnc#1012382).
- tracing: Fix trace_pipe behavior for instance traces
  (bnc#1012382).
- tracing: Erase irqsoff trace with empty write (bnc#1012382).
- md/raid5: preserve STRIPE_ON_UNPLUG_LIST in
  break_stripe_batch_list (bnc#1012382).
- crypto: talitos - Don't provide setkey for non hmac hashing algs
  (bnc#1012382).
- crypto: talitos - fix sha224 (bnc#1012382).
- KEYS: fix writing past end of user-supplied buffer in
  keyring_read() (bnc#1012382).
- KEYS: prevent creating a different user's keyrings
  (bnc#1012382).
- KEYS: prevent KEYCTL_READ on negative key (bnc#1012382).
- powerpc/pseries: Fix parent_dn reference leak in add_dt_node()
  (bnc#1012382).
- Fix SMB3.1.1 guest authentication to Samba (bnc#1012382).
- SMB: Validate negotiate (to protect against downgrade) even
  if signing off (bnc#1012382).
- SMB3: Don't ignore O_SYNC/O_DSYNC and O_DIRECT flags
  (bnc#1012382).
- vfs: Return -ENXIO for negative SEEK_HOLE / SEEK_DATA offsets
  (bnc#1012382).
- bsg-lib: don't free job in bsg_prepare_job (bnc#1012382).
- seccomp: fix the usage of get/put_seccomp_filter() in
  seccomp_get_filter() (bnc#1012382).
- arm64: Make sure SPsel is always set (bnc#1012382).
- arm64: fault: Route pte translation faults via
  do_translation_fault (bnc#1012382).
- KVM: VMX: Do not BUG() on out-of-bounds guest IRQ
  (CVE-2017-1000252 bnc#1012382 bsc#1058038).
- PCI: Fix race condition with driver_override (bnc#1012382).
- btrfs: fix NULL pointer dereference from free_reloc_roots()
  (bnc#1012382).
- btrfs: propagate error to btrfs_cmp_data_prepare caller
  (bnc#1012382).
- btrfs: prevent to set invalid default subvolid (bnc#1012382).
- x86/fpu: Don't let userspace set bogus xcomp_bv (bnc#1012382).
- gfs2: Fix debugfs glocks dump (bnc#1012382).
- timer/sysclt: Restrict timer migration sysctl values to 0 and 1
  (bnc#1012382).
- cxl: Fix driver use count (bnc#1012382).
- dmaengine: mmp-pdma: add number of requestors (bnc#1012382).
- ARM: pxa: add the number of DMA requestor lines (bnc#1012382).
- ARM: pxa: fix the number of DMA requestor lines (bnc#1012382).
- KVM: VMX: use cmpxchg64 (bnc#1012382).
- video: fbdev: aty: do not leak uninitialized padding in clk
  to userspace (bnc#1012382).
- swiotlb-xen: implement xen_swiotlb_dma_mmap callback
  (bnc#1012382).
- fix xen_swiotlb_dma_mmap prototype (bnc#1012382).
- Refresh
  patches.arch/0004-kvm-pkeys-save-restore-pkru-when-guest-host-switches.
- Refresh
  patches.arch/cxl-Fix-coredump-generation-when-cxl_get_fd-is-used.patch.
- Refresh
  patches.arch/cxl-Introduce-implementation-specific-API.patch.
- Refresh
  patches.fixes/kvm-vmx-check-apicv-is-active-before-using-vt-d-posted-interrupt.
- Delete
  patches.fixes/0001-KVM-VMX-Do-not-BUG-on-out-of-bounds-guest-IRQ.patch.
- commit 4ca41b9
* Fri Oct  6 2017 tbogendoerfer@suse.de
- iw_cxgb4: put ep reference in pass_accept_req() (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- commit efd2890
* Thu Oct  5 2017 jroedel@suse.de
- x86/ldt: Fix off by one in get_segment_base() (bsc#1061872).
- commit 962661d
* Thu Oct  5 2017 jroedel@suse.de
- perf/x86: kABI Workaround for 'perf/x86: Fix RDPMC vs. mm_struct
  tracking' (bsc#1061831).
- commit 239215e
* Thu Oct  5 2017 jroedel@suse.de
- perf/x86: Fix RDPMC vs. mm_struct tracking (bsc#1061831).
- x86/mm: Fix fault error path using unsafe vma pointer
  (fate#321300).
- commit 9eb68f6
* Wed Oct  4 2017 lduncan@suse.com
- scsi: scsi_transport_iscsi: fix the issue that iscsi_if_rx
  doesn't parse nlmsg properly (bsc#1059051 CVE-2017-14489).
- commit 318fa1b
* Tue Oct  3 2017 lhenriques@suse.com
- ceph: avoid panic in create_session_open_msg() if utsname()
  returns  NULL (bsc#1061451).
- libceph: don't allow bidirectional swap of pg-upmap-items
  (bsc#1061451).
- ceph: stop on-going cached readdir if mds revokes FILE_SHARED
  cap (bsc#1061451).
- ceph: fix message order check in handle_cap_export()
  (bsc#1061451).
- ceph: fix NULL pointer dereference in ceph_flush_snaps()
  (bsc#1061451).
- ceph: check negative offsets in ceph_llseek() (bsc#1061451).
- ceph: validate correctness of some mount options (bsc#1061451).
- ceph: limit osd write size (bsc#1061451).
- ceph: limit osd read size to CEPH_MSG_MAX_DATA_LEN
  (bsc#1061451).
- commit 00fa25f
* Mon Oct  2 2017 msuchanek@suse.de
- powerpc/perf: Cleanup of PM_BR_CMPL vs. PM_BRU_CMPL in Power9
  event list (bsc#1056686, fate#321438, bsc#1047238, git-fixes
  34922527a2bc).
- commit fe3b7de
* Mon Oct  2 2017 msuchanek@suse.de
- powerpc/perf: Factor out PPMU_ONLY_COUNT_RUN check code from
  power8 (fate#321438, bsc#1053043, git-fixes efe881afdd999).
- commit 7e8512d
* Mon Oct  2 2017 yousaf.kaukab@suse.com
- Update config files.
- commit 6487281
* Mon Oct  2 2017 jslaby@suse.cz
- Linux 4.4.89 (bnc#1012382).
- Revert "ipv6: add rcu grace period before freeing fib6_node"
  (kabi).
- Revert "ipv6: fix sparse warning on rt6i_node" (kabi).
- Revert "Revert "net: fix percpu memory leaks"" (kabi).
- Revert "Revert "net: use lib/percpu_counter API for
  fragmentation mem accounting"" (kabi).
- ipv6: accept 64k - 1 packet length in ip6_find_1stfragopt()
  (bnc#1012382).
- ipv6: add rcu grace period before freeing fib6_node
  (bnc#1012382).
- ipv6: fix sparse warning on rt6i_node (bnc#1012382).
- qlge: avoid memcpy buffer overflow (bnc#1012382).
- Revert "net: phy: Correctly process PHY_HALTED in
  phy_stop_machine()" (bnc#1012382).
- Revert "net: use lib/percpu_counter API for fragmentation mem
  accounting" (bnc#1012382).
- Revert "net: fix percpu memory leaks" (bnc#1012382).
- gianfar: Fix Tx flow control deactivation (bnc#1012382).
- ipv6: fix memory leak with multiple tables during netns
  destruction (bnc#1012382).
- ipv6: fix typo in fib6_net_exit() (bnc#1012382).
- f2fs: check hot_data for roll-forward recovery (bnc#1012382).
- x86/fsgsbase/64: Report FSBASE and GSBASE correctly in core
  dumps (bnc#1012382).
- md/raid5: release/flush io in raid5_do_work() (bnc#1012382).
- nfsd: Fix general protection fault in release_lock_stateid()
  (bnc#1012382).
- mm: prevent double decrease of nr_reserved_highatomic
  (bnc#1012382).
- tty: improve tty_insert_flip_char() fast path (bnc#1012382).
- tty: improve tty_insert_flip_char() slow path (bnc#1012382).
- tty: fix __tty_insert_flip_char regression (bnc#1012382).
- Input: i8042 - add Gigabyte P57 to the keyboard reset table
  (bnc#1012382).
- MIPS: math-emu: <MAX|MAXA|MIN|MINA>.<D|S>: Fix quiet NaN
  propagation (bnc#1012382).
- MIPS: math-emu: <MAX|MAXA|MIN|MINA>.<D|S>: Fix cases of both
  inputs zero (bnc#1012382).
- MIPS: math-emu: <MAX|MIN>.<D|S>: Fix cases of both inputs
  negative (bnc#1012382).
- MIPS: math-emu: <MAXA|MINA>.<D|S>: Fix cases of input values
  with opposite signs (bnc#1012382).
- MIPS: math-emu: <MAXA|MINA>.<D|S>: Fix cases of both infinite
  inputs (bnc#1012382).
- MIPS: math-emu: MINA.<D|S>: Fix some cases of infinity and
  zero inputs (bnc#1012382).
- crypto: AF_ALG - remove SGL terminator indicator when chaining
  (bnc#1012382).
- ext4: fix incorrect quotaoff if the quota feature is enabled
  (bnc#1012382).
- ext4: fix quota inconsistency during orphan cleanup for
  read-only mounts (bnc#1012382).
- powerpc: Fix DAR reporting when alignment handler faults
  (bnc#1012382).
- block: Relax a check in blk_start_queue() (bnc#1012382).
- skd: Avoid that module unloading triggers a use-after-free
  (bnc#1012382).
- skd: Submit requests to firmware before triggering the doorbell
  (bnc#1012382).
- scsi: zfcp: fix queuecommand for scsi_eh commands when DIX
  enabled (bnc#1012382).
- scsi: zfcp: add handling for FCP_RESID_OVER to the fcp ingress
  path (bnc#1012382).
- scsi: zfcp: fix capping of unsuccessful GPN_FT SAN response
  trace records (bnc#1012382).
- scsi: zfcp: fix passing fsf_req to SCSI trace on TMF to
  correlate with HBA (bnc#1012382).
- scsi: zfcp: fix missing trace records for early returns in
  TMF eh handlers (bnc#1012382).
- scsi: zfcp: fix payload with full FCP_RSP IU in SCSI trace
  records (bnc#1012382).
- scsi: zfcp: trace HBA FSF response by default on dismiss or
  timedout late response (bnc#1012382).
- scsi: zfcp: trace high part of "new" 64 bit SCSI LUN
  (bnc#1012382).
- scsi: megaraid_sas: Check valid aen class range to avoid kernel
  panic (bnc#1012382).
- scsi: megaraid_sas: Return pended IOCTLs with cmd_status
  MFI_STAT_WRONG_STATE in case adapter is dead (bnc#1012382).
- scsi: storvsc: fix memory leak on ring buffer busy
  (bnc#1012382).
- scsi: sg: remove 'save_scat_len' (bnc#1012382).
- scsi: sg: use standard lists for sg_requests (bnc#1012382).
- scsi: sg: off by one in sg_ioctl() (bnc#1012382).
- scsi: sg: factor out sg_fill_request_table() (bnc#1012382).
- scsi: sg: fixup infoleak when using SG_GET_REQUEST_TABLE
  (bnc#1012382).
- ftrace: Fix selftest goto location on error (bnc#1012382).
- tracing: Apply trace_clock changes to instance max buffer
  (bnc#1012382).
- ARC: Re-enable MMU upon Machine Check exception (bnc#1012382).
- PCI: shpchp: Enable bridge bus mastering if MSI is enabled
  (bnc#1012382).
- media: v4l2-compat-ioctl32: Fix timespec conversion
  (bnc#1012382).
- media: uvcvideo: Prevent heap overflow when accessing mapped
  controls (bnc#1012382).
- bcache: initialize dirty stripes in flash_dev_run()
  (bnc#1012382).
- bcache: Fix leak of bdev reference (bnc#1012382).
- bcache: do not subtract sectors_to_gc for bypassed IO
  (bnc#1012382).
- bcache: correct cache_dirty_target in __update_writeback_rate()
  (bnc#1012382).
- bcache: Correct return value for sysfs attach errors
  (bnc#1012382).
- bcache: fix for gc and write-back race (bnc#1012382).
- bcache: fix bch_hprint crash and improve output (bnc#1012382).
- ftrace: Fix memleak when unregistering dynamic ops when tracing
  disabled (bnc#1012382).
- Refresh
  patches.drivers/0130-block-drivers-fs-rename-REQ_FLUSH-to-REQ_PREFLUSH.patch.
- Refresh
  patches.suse/msft-hv-1181-scsi-storvsc-Enable-multi-queue-support.patch.
- blacklist.conf: add one more
- commit 1a0854f
* Mon Oct  2 2017 tiwai@suse.de
- README.BRANCH: Update maintainer
- commit f117f62
* Sat Sep 30 2017 gqjiang@suse.com
- md/bitmap: disable bitmap_resize for file-backed bitmaps
  (bsc#1061172).
- commit df0593d
* Fri Sep 29 2017 jroedel@suse.de
- iommu/vt-d: Avoid calling virt_to_phys() on null pointer
  (bsc#1061067).
- commit 9a0b0e4
* Fri Sep 29 2017 jroedel@suse.de
- genirq: Fix for_each_action_of_desc() macro (bsc#1061064).
- commit 58f59dc
* Fri Sep 29 2017 jroedel@suse.de
- blacklist.conf: Blacklist d12fe87e62d7 signal/testing: Don't look for __SI_FAULT in userspace
  It just fixes a self-test.
- commit c7501f3
* Fri Sep 29 2017 jroedel@suse.de
- PCI: Mark AMD Stoney GPU ATS as broken (bsc#1061046).
- commit 1dd56b0
* Fri Sep 29 2017 jroedel@suse.de
- PCI: Allow PCI express root ports to find themselves
  (bsc#1061046).
- PCI: fix oops when try to find Root Port for a PCI device
  (bsc#1061046).
- commit 20af6d0
* Fri Sep 29 2017 mbrugger@suse.com
- efi/fb: Correct PCI_STD_RESOURCE_END usage (bsc#1051987).
- efi/fb: Avoid reconfiguration of BAR that covers the framebuffer
  (bsc#1051987).
- commit f6a3dee
* Fri Sep 29 2017 yousaf.kaukab@suse.com
- perf: xgene: Move PMU leaf functions into function pointer
  structure (bsc#1036737).
- perf: xgene: Parse PMU subnode from the match table
  (bsc#1036737).
- perf: xgene: Include module.h (bsc#1036737).
- commit 65d3a98
* Fri Sep 29 2017 yousaf.kaukab@suse.com
- Refresh xgene performance monitoring unit driver
- perf: xgene: Add APM X-Gene SoC Performance Monitoring Unit
  driver (bsc#1036737).
- Update
  patches.drivers/0029-perf-xgene-Remove-bogus-IS_ERR-check.patch
  (bsc#1036737).
- commit e670000
* Fri Sep 29 2017 jroedel@suse.de
- KVM: VMX: do not change SN bit in vmx_update_pi_irte()
  (bsc#1061017).
- KVM: async_pf: Fix #DF due to inject "Page not Present" and
  "Page Ready" exceptions simultaneously (bsc#1061017).
- KVM: VMX: remove WARN_ON_ONCE in
  kvm_vcpu_trigger_posted_interrupt (bsc#1061017).
- KVM: SVM: Add a missing 'break' statement (bsc#1061017).
- commit 64a8f9f
* Fri Sep 29 2017 jroedel@suse.de
- Delete patches.fixes/0002-KVM-Don-t-accept-obviously-wrong-gsi-values-via-KVM_.patch.
  Refresh patches.arch/0412-KVM-Move-kvm_setup_default-empty_irq_routing-declara.patch
  Patch was reverted upstream. Second patch needed refresh
  after the first one was removed.
- commit 8fcd819
* Fri Sep 29 2017 jroedel@suse.de
- Refresh patches.fixes/0001-KVM-VMX-Do-not-BUG-on-out-of-bounds-guest-IRQ.patch.
  Update Git-commit and Patch-mainline headers now that the
  patch is upstream.
- commit d41c54f
* Fri Sep 29 2017 vliaskovitis@suse.com
- scsi: sd: Remove LBPRZ dependency for discards (bsc#1060985).
  This patch is originally part of a larger series which can't
  be easily backported to SLE-12. For a reasoning why we think
  it's safe to apply, see bsc#1060985, comment 20.
- commit d0f8e86
* Thu Sep 28 2017 mwilck@suse.com
- nvme: use device_add_disk_with_groups() (bsc#1060400).
- block: genhd: add device_add_disk_with_groups (bsc#1060400).
- nvme: fix visibility of "uuid" ns attribute (bsc#1060400).
- commit 56db41c
* Thu Sep 28 2017 mwilck@suse.com
- scsi: ILLEGAL REQUEST + ASC==27 => target failure (bsc#1059465).
- commit 96fcd91
* Thu Sep 28 2017 bp@suse.de
- x86/cpu/amd: Hide unused legacy_fixup_core_id() function
  (bsc#1060229).
- commit 53137c8
* Thu Sep 28 2017 bp@suse.de
- x86/cpu/amd: Limit cpu_core_id fixup to families older than F17h
  (bsc#1060229).
- commit 5ed722a
* Wed Sep 27 2017 mgorman@suse.de
- Refresh
  patches.suse/mm-page_alloc.c-apply-gfp_allowed_mask-before-the-first-allocation-attempt.patch.
- commit d5971a4
* Tue Sep 26 2017 nborisov@suse.com
- btrfs: change how we decide to commit transactions during
  flushing (bsc#1060197).
- commit 8a5fa8b
* Tue Sep 26 2017 nborisov@suse.com
- Refresh
  patches.suse/0001-Btrfs-skip-commit-transaction-if-we-don-t-have-enoug.patch.
- commit ed8844f
* Mon Sep 25 2017 hare@suse.de
- scsi_transport_fc: Also check for NOTPRESENT in
  fc_remote_port_add() (bsc#1037890).
- commit 03e6d06
* Sun Sep 24 2017 msuchanek@suse.de
- rpm/kernel-binary.spec.in: only rewrite modules.dep if non-zero in size
  (bsc#1056979).
- commit b963bcd
* Thu Sep 21 2017 jroedel@suse.de
- kABI: Workaround kABI breakage of AMD-AVIC fixes (bsc#1044503).
- commit 805d362
* Thu Sep 21 2017 mbrugger@suse.com
- drivers: net: phy: xgene: Fix mdio write (bsc#1057383).
- commit 3f9daf9
* Thu Sep 21 2017 jroedel@suse.de
- KVM: SVM: Add irqchip_split() checks before enabling AVIC
  (bsc#1044503).
- KVM: Add struct kvm_vcpu pointer parameter to get_enable_apicv()
  (bsc#1044503).
- KVM: SVM: Refactor AVIC vcpu initialization into
  avic_init_vcpu() (bsc#1044503).
- commit a4dd96b
* Wed Sep 20 2017 mcgrof@suse.com
- nl80211: check for the required netlink attributes presence (bsc#1058410 CVE-2017-12153).
- commit afb892c
* Wed Sep 20 2017 jroedel@suse.de
- KVM: SVM: delete avic_vm_id_bitmap (2 megabyte static array)
  (bsc#1059500).
- commit 2f7d050
* Wed Sep 20 2017 vliaskovitis@suse.com
- HID: usbhid: Add HID_QUIRK_NOGET for Aten CS-1758 KVM switch
  (bnc#1022967).
- commit d1da10e
* Tue Sep 19 2017 jeffm@suse.com
- btrfs: qgroup: move noisy underflow warning to debugging build
  (bsc#1055755).
- commit 2f7cda9
* Mon Sep 18 2017 jack@suse.cz
- blacklist.conf: Add commit b5accbb0dfae
- commit ca04506
* Sat Sep 16 2017 mcgrof@suse.com
- test_sysctl: fix sysctl.sh by making it executable (FATE#323821).
- commit 0a4d319
* Fri Sep 15 2017 jroedel@suse.de
- kvm: nVMX: Don't allow L2 to access the hardware CR8
  (bsc#1058507, CVE-2017-12154).
- KVM: Don't accept obviously wrong gsi values via KVM_IRQFD
  (bsc#1058038, CVE-2017-1000252).
- KVM: VMX: Do not BUG() on out-of-bounds guest IRQ (bsc#1058038,
  CVE-2017-1000252).
- commit 6a52a36
* Fri Sep 15 2017 jslaby@suse.cz
- Linux 4.4.88 (bnc#1012382 bsc#1047152 bnc#1057389
  CVE-2017-1000251).
- kabi/severities: ignore nfs_pgio_data_destroy
- Refresh
  patches.suse/workqueue-skip-flush-dependency-checks-for-legacy-workqueues.patch.
- Delete patches.fixes/blueborne-fix-4.4-sle12-sp2.patch.
- Delete
  patches.suse/btrfs-resume-qgroup-rescan-on-rw-remount.patch.
- commit 78476f6
* Fri Sep 15 2017 jthumshirn@suse.de
- x86/mm: Fix boot crash caused by incorrect loop count calculation in sync_global_pgds() (bsc#1058512).
- commit 1917bbf
* Thu Sep 14 2017 jthumshirn@suse.de
- KABI fix drivers/nvme/target/nvmet.h (bsc#1058550).
- commit 143bce4
* Thu Sep 14 2017 jthumshirn@suse.de
- nvmet: preserve controller serial number between reboots
  (bsc#1058550).
- nvmet: Move serial number from controller to subsystem
  (bsc#1058550).
- commit 21cf523
* Thu Sep 14 2017 jthumshirn@suse.de
- nvme-fabrics: generate spec-compliant UUID NQNs (bsc#1057498).
- commit 3dcd4f5
* Wed Sep 13 2017 mcgrof@suse.com
- Revert "Update patches.fixes/xfs-refactor-log-record-unpack-and-data-processing.patch (bsc#1043598, bsc#1036215)."
  This reverts commit 54e17b011580b532415d2aee5e875c8cf0460df4.
- commit d4a2d80
* Wed Sep 13 2017 mcgrof@suse.com
- Revert "xfs: detect and handle invalid iclog size set by mkfs (bsc#1043598)."
  This reverts commit caf0b124b172568b3e39544cb9abfdaa7fb3d852.
- commit 9db523a
* Wed Sep 13 2017 mcgrof@suse.com
- Revert "xfs: refactor and open code log record crc check (bsc#1036215)."
  This reverts commit 6aef5e1fee21246222618f2337c84d6093281561.
- commit c407b7e
* Wed Sep 13 2017 mcgrof@suse.com
- Revert "xfs: return start block of first bad log record during recovery (bsc#1036215)."
  This reverts commit cb0ce8b2f1435d7ac9aaeb5d5709e73946d55bed.
- commit 5d7b4da
* Wed Sep 13 2017 mcgrof@suse.com
- Revert "xfs: support a crc verification only log record pass (bsc#1036215)."
  This reverts commit f5c0c41b1f3626750f1f0d76b6d71fac673854d2.
- commit 5062fb4
* Wed Sep 13 2017 mcgrof@suse.com
- Revert "xfs: refactor log record start detection into a new helper (bsc#1036215)."
  This reverts commit a424c875bdc05dcf3bb0d1af740b644773091cf0.
- commit e690678
* Wed Sep 13 2017 mcgrof@suse.com
- Revert "xfs: detect and trim torn writes during log recovery (bsc#1036215)."
  This reverts commit a7a591776e8628a33f0223ca9a3f46c1e79bd908.
- commit a38a33a
* Wed Sep 13 2017 neilb@suse.com
- NFS: flush data when locking a file to ensure cache coherence
  for mmap (bsc#981309).
- commit 65980ce
* Wed Sep 13 2017 neilb@suse.com
- md/raid5: fix a race condition in stripe batch (linux-stable).
- commit 5bedfa6
* Tue Sep 12 2017 tiwai@suse.de
- net/bluetooth: Validate output buffer length (CVE-2017-1000251,
  bsc#1057389).
- commit 545c055
* Mon Sep 11 2017 msuchanek@suse.de
- ibmvnic: Clean up resources on probe failure (fate#323285,
  bsc#1058116).
- commit 2cb2b1b
* Mon Sep 11 2017 mgorman@suse.de
- mm/page_alloc.c: apply gfp_allowed_mask before the first
  allocation attempt (bnc#971975 VM -- git fixes).
- commit 89e8220
* Fri Sep  8 2017 tiwai@suse.de
- cpufreq: intel_pstate: Disable energy efficiency optimization
  (bsc#1054654).
- commit 5d621ee
* Fri Sep  8 2017 yousaf.kaukab@suse.com
- drivers: base: cacheinfo: fix boot error message when acpi is
  enabled (bsc#1057849).
- commit 7cd9f6f
* Fri Sep  8 2017 tiwai@suse.de
- iwlwifi: mvm: don't send CTDP commands via debugfs if not
  supported (bsc#1031717).
- commit 13cab0a
* Fri Sep  8 2017 jthumshirn@suse.de
- ahci: don't use MSI for devices with the silly Intel NVMe
  remapping scheme (bsc#1048912).
- commit 17b7276
* Fri Sep  8 2017 neilb@suse.com
- getcwd: Close race with d_move called by lustre (bsc#1052593).
- commit e9e0534
* Thu Sep  7 2017 jack@suse.cz
- ubifs: Correctly evict xattr inodes (bsc#1012829).
- commit bbe0c3c
* Thu Sep  7 2017 jack@suse.cz
- ubifs: Don't leak kernel memory to the MTD (bsc#1012829).
- commit c846123
* Thu Sep  7 2017 jack@suse.cz
- gfs2: Don't clear SGID when inheriting ACLs (bsc#1012829).
- commit 2fc4ee3
* Thu Sep  7 2017 jack@suse.cz
- xfs: fix inobt inode allocation search optimization
  (bsc#1012829).
- commit 0fb3a7b
* Thu Sep  7 2017 mkubecek@suse.cz
- rtnetlink: fix rtnl_vfinfo_size (bsc#1056261).
- commit c8c19d2
* Thu Sep  7 2017 mkubecek@suse.cz
- tcp: initialize rcv_mss to TCP_MIN_MSS instead of 0
  (CVE-2017-14106 bsc#1056982).
- commit a7aa21b
* Thu Sep  7 2017 jslaby@suse.cz
- Linux 4.4.87 (bnc#1012382 bsc#1057015).
- Delete patches.fixes/ceph-fix-readpage-from-fscache.patch.
- commit dd78184
* Wed Sep  6 2017 mcgrof@suse.com
- supported.conf: add test_syctl to new kselftests-kmp package FATE#323821
  As per FATE#323821 we will require new FATE requests per each
  new selftest driver. We don't want to support these module on
  production runs but we do want to support them for QA / testing
  uses. The compromise is to package them into its own package,
  this will be the kselftests-kmp package.
  Selftests can also be used as proof of concept vehicle for issues
  by customers or ourselves.
  Vanilla kernels do not get test_sysctl given that driver was
  using built-in defaults, this also means we cannot run sefltests
  on config/s390x/zfcpdump which does not enable modules.
  Likeweise, since we had to *change* the kernel for test_syctl, it
  it also means we can't test test_syctl with vanilla kernels. It
  should be possible with other selftests drivers if they are
  present in vanilla kernels though.
- Update config files.
- rpm/package-descriptions:
- supported.conf:
- commit 0bbc0d9
* Wed Sep  6 2017 msuchanek@suse.de
- kernel-docs: unpack the source instead of using kernel-source
  (bsc#1057199).
- commit 8694504
* Wed Sep  6 2017 jlee@suse.com
- ACPICA: Namespace: fix operand cache leak (bsc#1049580,
  CVE-2017-11472).
- commit 967361f
* Wed Sep  6 2017 yousaf.kaukab@suse.com
- arm64: CN99xx: refresh smmu workaround from mainline
- iommu/arm-smmu-v3, acpi: Add temporary Cavium SMMU-V3 IORT
  model number definitions (bsc#1036060).
- ACPICA: IORT: Update SMMU models for revision C (bsc#1036060).
- Refresh
  patches.drivers/0002-ACPI-IORT-Fixup-SMMUv3-resource-size-for-Cavium-Thun.patch.
- Refresh
  patches.drivers/0002-iommu-arm-smmu-Plumb-in-new-ACPI-identifiers.patch.
- Refresh
  patches.drivers/0003-iommu-arm-smmu-v3-Add-workaround-for-Cavium-ThunderX.patch.
- Refresh
  patches.drivers/0004-iommu-arm-smmu-v3-Add-workaround-for-Cavium-ThunderX.patch.
- Refresh
  patches.drivers/0007-iommu-arm-smmu-ACPI-Enable-Cavium-SMMU-v2.patch.
- Refresh
  patches.drivers/0008-iommu-arm-smmu-ACPI-Enable-Cavium-SMMU-v3.patch.
- Delete
  patches.drivers/0009-acpi-iort-thunderx2-enable-smmu-resource-size-errata.patch.
- commit ebadc69
* Wed Sep  6 2017 dchang@suse.com
- bnxt_en: Fix NULL pointer dereference in reopen failure path
  (bnc#1038583).
- bnxt_en: fix pci cleanup in bnxt_init_one() failure path
  (bnc#1038583).
- bnxt_en: Fix NULL pointer dereference in a failure path during
  open (bnc#1038583).
- bnxt_en: Refactor TPA code path (bnc#1038583).
- bnxt_en: Fix and clarify link_info->advertising (bnc#1038583).
- bnxt_en: Fix "uninitialized variable" bug in TPA code path
  (bnc#1038583).
- bnxt: do not busy-poll when link is down (bnc#1038583).
- bnxt_en: Fix a VXLAN vs GENEVE issue (bnc#1038583).
- bnxt: add a missing rcu synchronization (bnc#1038583).
- bnxt_en: Fix VF virtual link state (bnc#1038583).
- bnxt_en: Fix ring arithmetic in bnxt_setup_tc() (bnc#1038583).
- bnxt_en: Pad TX packets below 52 bytes (bnc#1038583).
- bnxt_en: Fix TX push operation on ARM64 (bnc#1038583).
- bnxt_en: Enable MRU enables bit when configuring VNIC MRU
  (bnc#1038583).
- bnxt_en: initialize rc to zero to avoid returning garbage
  (bnc#1038583).
- commit c8f062a
* Tue Sep  5 2017 tbogendoerfer@suse.de
- cxgb4: Fix stack out-of-bounds read due to wrong size to
  t4_record_mbox() (bsc#1021424 bsc#1022743).
- commit 3c5ffd9
* Tue Sep  5 2017 tiwai@suse.de
- Workaround for kABI compatibility with DP-MST patches
  (bsc#1055493).
- drm/dp: Introduce MST topology state to track available link
  bandwidth (bsc#1055493).
- drm: Add driver-private objects to atomic state (bsc#1055493).
- commit fcfee29
* Tue Sep  5 2017 jthumshirn@suse.de
- IB/rxe: Fix up the responder's find_resources() function
  (bsc#1049361).
- IB/rxe: Remove dangling prototype (bsc#1049361).
- IB/rxe: Disable completion upcalls when a CQ is destroyed
  (bsc#1049361).
- IB/rxe: Fix destination cache for IPv6 (bsc#1049361).
- IB/rxe: Move refcounting earlier in rxe_send() (bsc#1049361).
- IB/rxe: Fix up rxe_qp_cleanup() (bsc#1049361).
- IB/rxe: Handle NETDEV_CHANGE events (bsc#1049361).
- IB/rxe: Add dst_clone() in prepare_ipv6_hdr() (bsc#1049361).
- IB/rxe: Remove unneeded initialization in prepare6()
  (bsc#1049361).
- IB/rxe: Avoid ICRC errors by copying into the skb first
  (bsc#1049361).
- commit ee2e2a8
* Tue Sep  5 2017 aaptel@suse.com
- CIFS: Fix sparse warnings (fate#323482).
- commit afcc5fc
* Tue Sep  5 2017 aaptel@suse.com
- CIFS: implement get_dfs_refer for SMB2+ (fate#323482).
- commit 61265ff
* Tue Sep  5 2017 aaptel@suse.com
- CIFS: use DFS pathnames in SMB2+ Create requests (fate#323482).
- commit 1918213
* Tue Sep  5 2017 aaptel@suse.com
- CIFS: set signing flag in SMB2+ TreeConnect if needed (fate#323482).
- commit 2278456
* Tue Sep  5 2017 aaptel@suse.com
- CIFS: let ses->ipc_tid hold smb2 TreeIds (fate#323482).
- commit 0977c61
* Tue Sep  5 2017 aaptel@suse.com
- CIFS: add use_ipc flag to SMB2_ioctl() (fate#323482).
- commit 9f42b28
* Tue Sep  5 2017 aaptel@suse.com
- CIFS: add build_path_from_dentry_optional_prefix() (fate#323482).
- commit 55d06b2
* Tue Sep  5 2017 aaptel@suse.com
- CIFS: move DFS response parsing out of SMB1 code (fate#323482).
- commit 31fb8bf
* Tue Sep  5 2017 aaptel@suse.com
- cifs: remove any preceding delimiter from prefix_path (fate#323482).
- commit 1889756
* Tue Sep  5 2017 jslaby@suse.cz
- Linux 4.4.86 (FATE#320191 bnc#1012382 bsc#1051663 bsc#963619).
- Delete
  patches.drivers/lpfc-Fix-Device-discovery-failures-during-switch-reb.patch.
- Delete patches.fixes/gcov-add-support-for-gcc-version-6.patch.
- Delete patches.fixes/gcov-support-gcc-7-1.patch.
- commit 7cecf14
* Mon Sep  4 2017 yousaf.kaukab@suse.com
- irqchip/gic-v3-its: Fix command buffer allocation (bsc#1057067).
- commit ec6edd5
* Mon Sep  4 2017 yousaf.kaukab@suse.com
- Refresh
  patches.arch/arm64-thd-gicv3-its-increase-FOREC_MAX_ZONEORDER-for-Cav.patch.
- commit ba52703
* Mon Sep  4 2017 jthumshirn@suse.de
- device-dax: fix cdev leak (bsc#1057047).
- acpi/nfit: Fix memory corruption/Unregister mce decoder on
  failure (bsc#1057047).
- commit 9390474
* Mon Sep  4 2017 yousaf.kaukab@suse.com
- iommu/arm-smmu-v3: Increase CMDQ drain timeout value (bsc#1035479).
  Refresh patch to mainline version
- commit aebe079
* Mon Sep  4 2017 yousaf.kaukab@suse.com
- EDAC, thunderx: Fix error handling path in thunderx_lmc_probe()
  (bsc#1057038).
- EDAC, thunderx: Fix a warning during l2c debugfs node creation
  (bsc#1057038).
- commit 532c0f6
* Mon Sep  4 2017 jthumshirn@suse.de
- IB/rxe: Set dma_mask and coherent_dma_mask (bsc#1049361).
- commit 7945cec
* Mon Sep  4 2017 mbrugger@suse.com
- mmc: sdhci-xenon: add set_power callback (bsc#1057035).
- mmc: sdhci-xenon: Fix the work flow in xenon_remove()
  (bsc#1057035).
- commit adfe992
* Mon Sep  4 2017 yousaf.kaukab@suse.com
- ahci: thunderx2: stop engine fix update (bsc#1057031).
- commit 3b27083
* Mon Sep  4 2017 lhenriques@suse.com
- ceph: fix readpage from fscache (bsc#1057015).
- commit c854055
* Mon Sep  4 2017 mbrugger@suse.com
- arm64: Update config files.
  Enable ARCH_PROC_KCORE_TEXT
- commit e10b1b1
* Mon Sep  4 2017 colyli@suse.de
- lightnvm: remove unused rq parameter of nvme_nvm_rqtocmd()
  to kill warning (FATE#319466).
- commit dcf5a36
* Fri Sep  1 2017 tiwai@suse.de
- ALSA: hda/realtek - Add support headphone Mic for ALC221 of
  HP platform (bsc#1024405).
- commit bd0b7dc
* Fri Sep  1 2017 mbrugger@suse.com
- blacklist.conf: gcc7 compiler warning (bsc#1056849)
- commit f230ab9
* Fri Sep  1 2017 mbrugger@suse.com
- IB/hns: checking for IS_ERR() instead of NULL (bsc#1056849).
- commit ca621f0
* Fri Sep  1 2017 mbrugger@suse.com
- ARM64: PCI: Fix struct acpi_pci_root_ops allocation failure path
  (bsc#1056849).
- commit 2cdaadd
* Fri Sep  1 2017 mbrugger@suse.com
- scsi: hisi_sas: add missing break in switch statement
  (bsc#1056849).
- commit a7aca9a
* Fri Sep  1 2017 mbrugger@suse.com
- PM / Domains: Fix unsafe iteration over modified list of domains
  (bsc#1056849).
- commit 3ff47bb
* Fri Sep  1 2017 mbrugger@suse.com
- Refresh
  patches.drivers/0013-PCI-ACPI-Add-ThunderX-pass2.x-2nd-node-MCFG-quirk.patch.
  Update meta data to mainline commit
- commit cbb84cc
* Fri Sep  1 2017 jslaby@suse.cz
- Linux 4.4.85 (bnc#1012382 bsc#1005917 bsc#1020657 bsc#1028819
  bsc#1031717 bsc#1031784).
- Refresh
  patches.fixes/0006-x86-ioapic-Fix-setup_res-failing-to-get-resource.patch.
- Delete
  patches.drivers/ACPI-APEI-Add-missing-synchronize_rcu-on-NOTIFY_SCI-.
- Delete
  patches.drivers/ALSA-hda-Add-stereo-mic-quirk-for-Lenovo-G50-70-17aa.
- Delete
  patches.drivers/ASoC-simple-card-don-t-fail-if-sysclk-setting-is-not.
- Delete
  patches.fixes/0001-acpi-ioapic-clear-on-stack-resource-before-using-it.
- Delete
  patches.fixes/Bluetooth-bnep-fix-possible-might-sleep-error-in-bne.patch.
- Delete
  patches.fixes/Bluetooth-cmtp-fix-possible-might-sleep-error-in-cmt.patch.
- Delete
  patches.fixes/Bluetooth-hidp-fix-possible-might-sleep-error-in-hid.patch.
- commit 0ec7e2c
* Fri Sep  1 2017 mbrugger@suse.com
- PCI: rockchip: Use normal register bank for config accessors
  (bsc#1056849).
- PCI: rockchip: Handle regulator_get_current_limit() failure
  correctly (bsc#1056849).
- commit d5b368d
* Fri Sep  1 2017 mbrugger@suse.com
- dmaengine: mv_xor_v2: set DMA mask to 40 bits (bsc#1056849).
- dmaengine: mv_xor_v2: remove interrupt coalescing (bsc#1056849).
- dmaengine: mv_xor_v2: fix tx_submit() implementation
  (bsc#1056849).
- dmaengine: mv_xor_v2: enable XOR engine after its configuration
  (bsc#1056849).
- dmaengine: mv_xor_v2: do not use descriptors not acked by
  async_tx (bsc#1056849).
- dmaengine: mv_xor_v2: properly handle wrapping in the array
  of HW descriptors (bsc#1056849).
- dmaengine: mv_xor_v2: handle mv_xor_v2_prep_sw_desc() error
  properly (bsc#1056849).
- commit bf512ff
* Fri Sep  1 2017 mbrugger@suse.com
- drivers: net: xgene: Fix wrong logical operation (bsc#1056827).
- of: fix "/cpus" reference leak in of_numa_parse_cpu_nodes()
  (bsc#1056827).
- commit 2a241ea
* Fri Sep  1 2017 mbrugger@suse.com
- arm64: mm: select CONFIG_ARCH_PROC_KCORE_TEXT (bsc#1046529).
- mm/vmalloc.c: huge-vmap: fail gracefully on unexpected huge
  vmap mappings (bsc#1046529).
- fs/proc: kcore: use kcore_list type to check for vmalloc/module
  address (bsc#1046529).
- commit 5898d2f
* Fri Sep  1 2017 jthumshirn@suse.de
- dm mpath: do not lock up a CPU with requeuing activity
  (bsc#1048912).
- commit c765dac
* Fri Sep  1 2017 mgorman@suse.de
- mm, madvise: ensure poisoned pages are removed from per-cpu
  lists (VM hw poison -- git fixes).
- commit 8ba842e
* Thu Aug 31 2017 jeffm@suse.com
- xfs/dmapi: fix incorrect file->f_path.dentry->d_inode usage
  (bsc#1055896).
- commit ce3ce3a
* Thu Aug 31 2017 hare@suse.de
- megaraid_sas: Fix probing cards without io port (bsc#1053681).
- commit 8490f6c
* Thu Aug 31 2017 jthumshirn@suse.de
- scsi: qla2xxx: Fix an integer overflow in sysfs code
  (bsc#1056588, CVE-2017-14051).
- commit d5f0195
* Thu Aug 31 2017 tbogendoerfer@suse.de
- i40e/i40evf: fix out-of-bounds read of cpumask (bsc#1053685).
- commit 8523863
* Thu Aug 31 2017 jthumshirn@suse.de
- nvme: fix hostid parsing (bsc#1049272).
- commit a975e13
* Thu Aug 31 2017 jthumshirn@suse.de
- scsi: qedf: Fix a potential NULL pointer dereference
  (bsc#1048912).
- commit 93ddbac
* Tue Aug 29 2017 msuchanek@suse.de
- tpm_tis_core: Choose appropriate timeout for reading burstcount
  (bsc#1020645, fate#321435, fate#321507, fate#321600,
  bsc#1034048, git-fixes aec04cbdf723).
- commit a45063d
* Tue Aug 29 2017 msuchanek@suse.de
- tpm: read burstcount from TPM_STS in one 32-bit transaction
  (bsc#1020645, fate#321435, fate#321507, fate#321600,
  bsc#1034048, git-fixes 27084efee0c3).
- commit 2467e3d
* Tue Aug 29 2017 msuchanek@suse.de
- tpm_tis_core: convert max timeouts from msec to jiffies
  (bsc#1020645, fate#321435, fate#321507, fate#321600,
  bsc#1034048, git-fixes aec04cbdf723).
- commit 55a04c2
* Tue Aug 29 2017 msuchanek@suse.de
- tpm: fix: return rc when devm_add_action() fails (bsc#1020645,
  fate#321435, fate#321507, fate#321600, bsc#1034048, git-fixes
  8e0ee3c9faed).
- commit 3adf95a
* Tue Aug 29 2017 msuchanek@suse.de
- Update
  patches.drivers/tpm-141-fix-RC-value-check-in-tpm2_seal_trusted.patch
  (bsc#1020645, fate#321435, fate#321507, fate#321600,
  bsc#1034048, git-fixes 5ca4c20cfd37).
- commit 55556f0
* Tue Aug 29 2017 aaptel@suse.com
- CIFS: Fix maximum SMB2 header size (bsc#1056185).
- commit 0e3a8ef
* Tue Aug 29 2017 mkubecek@suse.cz
- netfilter: x_tables: pack percpu counter allocations
  (bsc#1052888).
- netfilter: x_tables: pass xt_counters struct to counter
  allocator (bsc#1052888).
- netfilter: x_tables: pass xt_counters struct instead of packet
  counter (bsc#1052888).
- netfilter: fix IS_ERR_VALUE usage (bsc#1052888).
- commit b2becbc
* Mon Aug 28 2017 jroedel@suse.de
- x86/mm: Fix use-after-free of ldt_struct (bsc#1055963).
- commit 33a84c6
* Mon Aug 28 2017 jroedel@suse.de
- KVM: x86: kABI workaround for PKRU fixes (bsc#1055935).
- KVM: x86: block guest protection keys unless the host has them
  enabled (bsc#1055935).
- KVM, pkeys: do not use PKRU value in vcpu->arch.guest_fpu.state
  (bsc#1055935).
- KVM: x86: simplify handling of PKRU (bsc#1055935).
- commit 73c5fa7
* Mon Aug 28 2017 mhocko@suse.cz
- mm, memory_hotplug: remove timeout from __offline_memory
  (bnc#1051406).
- commit 4ff5956
* Mon Aug 28 2017 tiwai@suse.de
- ALSA: hda - Workaround for i915 KBL breakage
  (bsc#1048356,bsc#1047989,bsc#1055272).
- commit 59f558b
* Mon Aug 28 2017 yousaf.kaukab@suse.com
- kabi: arm64: compatibility workaround for lse atomics
  (bsc#1055290).
- commit 6b8a1a0
* Mon Aug 28 2017 yousaf.kaukab@suse.com
- arm64: do not trace atomic operations (bsc#1055290).
- commit 57da2db
* Fri Aug 25 2017 yousaf.kaukab@suse.com
- clocksource/drivers/arm_arch_timer: Fix mem frame loop
  initialization (bsc#1055709).
- commit 3fa598d
* Fri Aug 25 2017 hare@suse.de
- lpfc: fixup crash during storage failover operations
  (bsc#1042847).
- commit 4132600
* Fri Aug 25 2017 hare@suse.de
- nvmet-fc: eliminate incorrect static markers on local variables
  (bsc#1052384).
- nvmet-fc: correct use after free on list teardown (bsc#1052384).
- commit e3bfe21
* Fri Aug 25 2017 jslaby@suse.cz
- Linux 4.4.84 (CVE-2017-12134 XSA-229 bnc#1012382 bsc#1051790
  bsc#1052580).
- kABI: protect enum pid_type (kabi).
- kABI: uninline task_tgid_nr_nr (kabi).
- Refresh
  patches.suse/mm-page_owner-copy-page-owner-info-during-migration.patch.
- Delete
  patches.drivers/ALSA-usb-audio-Apply-sample-rate-quirk-to-Sennheiser.
- Delete patches.fixes/xsa229.patch.
- commit 7849690
* Fri Aug 25 2017 acho@suse.com
- Bluetooth: bnep: fix possible might sleep error in bnep_session
  (bsc#1031784).
- Bluetooth: cmtp: fix possible might sleep error in cmtp_session
  (bsc#1031784).
- Refresh
  patches.suse/kgr-0008-mark-task_safe-in-some-kthreads.patch.
- commit 73f7a6f
* Thu Aug 24 2017 lduncan@suse.com
- lib: test_rhashtable: Fix KASAN warning (bsc#1055359).
- commit 06b6930
* Thu Aug 24 2017 lduncan@suse.com
- lib: test_rhashtable: fix for large entry counts (bsc#1055359).
- commit f9ed29c
* Thu Aug 24 2017 hare@suse.de
- kabi/severities: Ignore kABI changes due to last patchset (bnc#1053472)
- commit f8060ff
* Thu Aug 24 2017 hare@suse.de
- s390: Include uapi/linux/if_ether.h instead of linux/if_ether.h
  (bsc#1053472).
- commit 98958b0
* Thu Aug 24 2017 hare@suse.de
- mptsas: Fixup device hotplug for VMWare ESXi (bsc#1030850).
- commit a46d826
* Thu Aug 24 2017 tbogendoerfer@suse.de
- crypto: chcr - Ensure Destination sg entry size less than 2k
  (bsc#1048325).
- crypto: chcr - Add ctr mode and process large sg entries for
  cipher (bsc#1048325).
- crypto: chcr - Avoid changing request structure (bsc#1048325).
- crypto: chcr - Return correct error code (bsc#1048325).
- crypto: chcr - Fix fallback key setting (bsc#1048325).
- crypto: chcr - Pass lcb bit setting to firmware (bsc#1048325).
- commit 0c77665
* Thu Aug 24 2017 hare@suse.de
- scsi: csiostor: add check for supported fw version
  (bsc#1005776).
- scsi: csiostor: add support for Chelsio T6 adapters
  (bsc#1005776).
- scsi: csiostor: switch to pci_alloc_irq_vectors (bsc#1005776).
- scsi: csiostor: fix use after free in csio_hw_use_fwconfig()
  (bsc#1005776).
- commit b62163d
* Wed Aug 23 2017 tiwai@suse.de
- ALSA: hda - Add stereo mic quirk for Lenovo G50-70 (17aa:3978)
  (bsc#1020657).
- commit f1854c4
* Wed Aug 23 2017 jslaby@suse.cz
- Refresh
  patches.fixes/Bluetooth-hidp-fix-possible-might-sleep-error-in-hid.patch.
  Update upstream status.
- commit c7de3c2
* Wed Aug 23 2017 lduncan@suse.com
- percpu_ref: allow operation mode switching operations to be
  called concurrently (bsc#1055096).
- percpu_ref: restructure operation mode switching (bsc#1055096).
- percpu_ref: unify staggered atomic switching wait behavior
  (bsc#1055096).
- percpu_ref: reorganize __percpu_ref_switch_to_atomic() and
  relocate percpu_ref_switch_to_atomic() (bsc#1055096).
- percpu_ref: remove unnecessary RCU grace period for staggered
  atomic switching confirmation (bsc#1055096).
- commit 36bf363
* Tue Aug 22 2017 tiwai@suse.de
- ALSA: ice1712: Add support for STAudio ADCIII (bsc#1048934).
- commit f09aaec
* Tue Aug 22 2017 tiwai@suse.de
- ALSA: hda - Implement mic-mute LED mode enum (bsc#1055013).
- commit 54fc7d7
* Tue Aug 22 2017 tbogendoerfer@suse.de
- net: ethernet: hip04: Call SET_NETDEV_DEV() (bsc#1049336).
- blacklist.conf: fixes on relevant for MIPS/driver not in our tree
- commit 59a8339
* Tue Aug 22 2017 tbogendoerfer@suse.de
- net: hns: add acpi function of xge led control (bsc#1049336).
- net: hns: Fix a skb used after free bug (bsc#1049336).
- net: phy: Fix PHY module checks and NULL deref in
  phy_attach_direct() (bsc#1049336).
- phy: fix error case of phy_led_triggers_(un)register
  (bsc#1049336).
- net: phy: Fix lack of reference count on PHY driver
  (bsc#1049336).
- phy: Don't increment MDIO bus refcount unless it's a different
  owner (bsc#1049336).
- commit c55f93a
* Tue Aug 22 2017 nborisov@suse.com
- Btrfs: fix early ENOSPC due to delalloc (bsc#1049226).
- commit 83e5130
* Tue Aug 22 2017 jslaby@suse.cz
- tty: serial: msm: Support more bauds (git-fixes).
- commit 04e68cb
* Mon Aug 21 2017 dbueso@suse.de
- blacklist.conf: e859afe1ee0c5ae981c55387ccd45eba258a7842 is not applicable
- commit 4d19a86
* Mon Aug 21 2017 dbueso@suse.de
- blacklist.conf: a7b8829d242b1a58107e9c02b09e93aec446d55c is not applicable
- commit 0cfda27
* Mon Aug 21 2017 jgross@suse.com
- xen: fix bio vec merging (bsc#1051790 XSA-229 CVE-2017-12134).
- commit 2bf371f
* Fri Aug 18 2017 hare@suse.de
- s390/pci: recognize name clashes with uids (bnc#1053472,
  LTC#157731).
- s390/pci: provide more debug information (bnc#1053472,
  LTC#157731).
- s390/pci: fix handling of PEC 306 (bnc#1053472, LTC#157731).
- s390/pci: improve pci hotplug (bnc#1053472, LTC#157731).
- s390/pci: introduce clp_get_state (bnc#1053472, LTC#157731).
- s390/pci: improve error handling during fmb (de)registration
  (bnc#1053472, LTC#157731).
- s390/pci: improve unreg_ioat error handling (bnc#1053472,
  LTC#157731).
- s390/pci: improve error handling during interrupt deregistration
  (bnc#1053472, LTC#157731).
- s390/pci: don't cleanup in arch_setup_msi_irqs (bnc#1053472,
  LTC#157731).
- qeth: add network device features for VLAN devices (bnc#1053472,
  LTC#157385).
- s390/qeth: use diag26c to get MAC address on L2 (bnc#1053472,
  LTC#156729).
- s390/diag: add diag26c support (bnc#1053472, LTC#156729).
- s390/qeth: no ETH header for outbound AF_IUCV (bnc#1053472,
  LTC#156276).
- s390/qeth: size calculation outbound buffers (bnc#1053472,
  LTC#156276).
- commit c0613b4
* Fri Aug 18 2017 lhenriques@suse.com
- kabi/severities: add fs/ceph to kabi severities (bsc#1048228).
- commit a1bfe04
* Fri Aug 18 2017 hare@suse.de
- Disable patch 0017-nvmet_fc-Simplify-sg-list-handling.patch (bsc#1052384)
  Refresh
  patches.drivers/0018-nvmet_fc-add-defer_req-callback-for-deferment-of-cmd.patch.
- commit dece7ea
* Fri Aug 18 2017 hare@suse.de
- lpfc: support nvmet_fc defer_rcv callback (bsc#1052384).
- lpfc: lpfc version bump 11.4.0.3 (bsc#1052384).
- lpfc: fix "integer constant too large" error on 32bit archs
  (bsc#1052384).
- lpfc: Add Buffer to Buffer credit recovery support
  (bsc#1052384).
- lpfc: remove console log clutter (bsc#1052384).
- lpfc: Fix bad sgl reposting after 2nd adapter reset
  (bsc#1052384).
- lpfc: Fix nvme target failure after 2nd adapter reset
  (bsc#1052384).
- lpfc: Fix relative offset error on large nvmet target ios
  (bsc#1052384).
- lpfc: Fix MRQ > 1 context list handling (bsc#1052384).
- lpfc: Limit amount of work processed in IRQ (bsc#1052384).
- lpfc: Correct issues with FAWWN and FDISCs (bsc#1052384).
- lpfc: Fix NVME PRLI handling during RSCN (bsc#1052384).
- lpfc: Fix crash in lpfc nvmet when fc port is reset
  (bsc#1052384).
- lpfc: Fix duplicate NVME rport entries and namespaces
  (bsc#1052384).
- lpfc: Fix handling of FCP and NVME FC4 types in Pt2Pt topology
  (bsc#1052384).
- lpfc: Correct return error codes to align with nvme_fc transport
  (bsc#1052384).
- lpfc: convert info messages to standard messages (bsc#1052384).
- lpfc: Fix oops when NVME Target is discovered in a nonNVME
  environment (bsc#1052384).
- lpfc: Fix rediscovery on switch blade pull (bsc#1052384).
- lpfc: Fix loop mode target discovery (bsc#1052384).
- lpfc: Fix plogi collision that causes illegal state transition
  (bsc#1052384).
- commit ba10db2
* Fri Aug 18 2017 hare@suse.de
- nvme-fc: kABI fix for defer_rcv() callback (bsc#1052384).
- commit c2d845c
* Fri Aug 18 2017 hare@suse.de
- nvmet_fc: add defer_req callback for deferment of cmd buffer
  return (bsc#1052384).
- nvmet_fc: Simplify sg list handling (bsc#1052384).
- nvme_fc: Reattach to localports on re-registration
  (bsc#1052384).
- nvme-fc: revise TRADDR parsing (bsc#1052384).
- nvme-fc: address target disconnect race conditions in fcp io
  submit (bsc#1052384).
- nvmet: prefix version configfs file with attr (bsc#1052384).
- commit 513ff70
* Fri Aug 18 2017 hare@suse.de
- Remove patch 0407-nvme_fc-change-failure-code-on-remoteport-connectivi.patch (bsc#1037838)
- Refresh
  patches.drivers/0008-nvme-fc-use-blk_mq_delay_run_hw_queue-instead-of-ope.patch.
- Delete
  patches.drivers/0407-nvme_fc-change-failure-code-on-remoteport-connectivi.patch.
- commit a08b1b5
* Fri Aug 18 2017 bpoirier@suse.com
- bnxt: fix unused variable warnings (bsc#1053309).
- bnxt: fix unsigned comparsion with 0 (bsc#1053309).
- bnxt_en: Set ETS min_bw parameter for older firmware
  (bsc#1053309).
- bnxt_en: Report firmware DCBX agent (bsc#1053309).
- bnxt_en: Allow the user to set ethtool stats-block-usecs to 0
  (bsc#1053309).
- bnxt_en: Add bnxt_get_num_stats() to centrally get the number
  of ethtool stats (bsc#1053309).
- bnxt_en: Implement ndo_bridge_{get|set}link methods
  (bsc#1053309).
- bnxt_en: Retrieve the hardware bridge mode from the firmware
  (bsc#1053309).
- bnxt_en: Update firmware interface spec to 1.8.0 (bsc#1053309).
- bnxt_en: Fix SRIOV on big-endian architecture (bsc#1053309).
- bnxt_en: Fix bug in ethtool -L (bsc#1053309).
- bnxt_en: Fix race conditions in .ndo_get_stats64()
  (bsc#1053309).
- bnxt_en: Fix xmit_more with BQL (bsc#1053309).
- bnxt_en: Pass in sh parameter to bnxt_set_dflt_rings()
  (bsc#1053309).
- bnxt_en: Implement xmit_more (bsc#1053309).
- bnxt_en: Optimize doorbell write operations for newer chips
  (bsc#1053309).
- bnxt_en: Add additional chip ID definitions (bsc#1053309).
- bnxt_en: Add a callback to inform RDMA driver during PCI
  shutdown (bsc#1053309).
- bnxt_en: Add PCI IDs for BCM57454 VF devices (bsc#1053309).
- bnxt_en: Support for Short Firmware Message (bsc#1053309).
- bnxt_en: Fix netpoll handling (bsc#1053309).
- bnxt_en: Add missing logic to handle TPA end error conditions
  (bsc#1053309).
- bnxt_en: Check status of firmware DCBX agent before setting
  DCB_CAP_DCBX_HOST (bsc#1053309).
- bnxt_en: Call bnxt_dcb_init() after getting firmware DCBX
  configuration (bsc#1053309).
- commit 7d98efc
* Fri Aug 18 2017 bpoirier@suse.com
- Refresh network patches sorted section
- commit 2d28898
* Thu Aug 17 2017 hare@suse.de
- nvmet-fc: fix byte swapping in nvmet_fc_ls_create_association
  (bsc#1052384).
- nvmet: avoid unneeded assignment of submit_bio return value
  (bsc#1052384).
- nvmet_fc: Accept variable pad lengths on Create Association LS
  (bsc#1052384).
- nvme_fc/nvmet_fc: revise Create Association descriptor length
  (bsc#1052384).
- nvme-fc: use blk_mq_delay_run_hw_queue instead of open-coding it
  (bsc#1052384).
- nvme-fc: update tagset nr_hw_queues after queues reinit
  (bsc#1052384).
- nvme-loop: update tagset nr_hw_queues after
  reconnecting/resetting (bsc#1052384).
- nvme-rdma: update tagset nr_hw_queues after
  reconnecting/resetting (bsc#1052384).
- nvme-fc: don't override opts->nr_io_queues (bsc#1052384).
- commit 9ed0acf
* Thu Aug 17 2017 tbogendoerfer@suse.de
- cxgb4: update latest firmware version supported (bsc#1048327).
- commit 5906ec2
* Thu Aug 17 2017 jeffm@suse.com
- supported.conf: clear mistaken external support flag for cifs.ko (bsc#1053802).
- commit 1c34b28
* Thu Aug 17 2017 hare@suse.de
- iscsi-target: fix invalid flags in text response (bsc#1052095).
- commit 69fe271
* Thu Aug 17 2017 hare@suse.de
- kabi/severities: Ignore drivers/scsi/cxgbi (bsc#1052094)
- commit eea239f
* Thu Aug 17 2017 oneukum@suse.com
- USB: core: fix device node leak (bsc#1047487).
- commit c27d400
* Thu Aug 17 2017 hare@suse.de
- cxgbit: fix sg_nents calculation (bsc#1052095).
- cxgbit: add missing __kfree_skb() (bsc#1052095).
- commit 98bc208
* Thu Aug 17 2017 hare@suse.de
- scsi: cxgb4i: assign rxqs in round robin mode (bsc#1052094).
- commit f345be3
* Thu Aug 17 2017 hare@suse.de
- scsi: csiostor: update module version (bsc#1052093).
- commit 995467a
* Thu Aug 17 2017 jslaby@suse.cz
- Linux 4.4.83 (bnc#1012382 git-fixes).
- kABI: protect struct iscsi_np (kabi).
- Refresh
  patches.suse/cpuset-use-static-key-better-and-convert-to-new-API.patch.
- Delete
  patches.fixes/0001-fuse-initialize-the-flock-flag-in-fuse_file-on-alloc.patch.
- commit eeb20bd
* Wed Aug 16 2017 rgoldwyn@suse.com
- ovl: fix dentry leak for default_permissions (bsc#1054084).
- commit ef2b972
* Wed Aug 16 2017 yousaf.kaukab@suse.com
- KVM: arm/arm64: Fix bug in advertising KVM_CAP_MSI_DEVID
  capability (bsc#1054082).
- KVM: arm64: Restore host physical timer access on hyp_panic()
  (bsc#1054082).
- tty: pl011: fix initialization order of QDF2400 E44
  (bsc#1054082).
- mmc: mmc: correct the logic for setting HS400ES signal voltage
  (bsc#1054082).
- commit 372bc6c
* Wed Aug 16 2017 mbrugger@suse.com
- i2c: designware: Convert to use unified device property API
  (bsc#1049291).
- ACPI: APD: Fix HID for Hisilicon Hip07/08 (bsc#1049291).
- ACPI / APD: Add clock frequency for Hisilicon Hip07/08 I2C
  controller (bsc#1049291).
- i2c: designware: Add ACPI HID for Hisilicon Hip07/08 I2C
  controller (bsc#1049291).
- commit e7c363f
* Wed Aug 16 2017 msuchanek@suse.de
- s390: export symbols for crash-kmp (bsc#1053915).
- commit e4d904f
* Wed Aug 16 2017 tbogendoerfer@suse.de
- xgene: Always get clk source, but ignore if it's missing for
  SGMII ports (bsc#1048501).
- xgene: Don't fail probe, if there is no clk resource for SGMII
  interfaces (bsc#1048501).
- commit 735e65a
* Wed Aug 16 2017 lhenriques@suse.com
- libceph: make RECOVERY_DELETES feature create a new interval
  (bsc#1048228).
- libceph: upmap semantic changes (bsc#1048228).
- crush: assume weight_set != null imples weight_set_size > 0
  (bsc#1048228).
- libceph: fallback for when there isn't a pool-specific
  choose_arg (bsc#1048228).
- libceph: don't call ->reencode_message() more than once per
  message (bsc#1048228).
- libceph: make encode_request_*() work with r_mempool requests
  (bsc#1048228).
- commit 8a21d4c
* Wed Aug 16 2017 oneukum@suse.com
- r8169: Add support for restarting auto-negotiation
  (bsc#1050742).
- r8169:Remove unnecessary phy reset for pcie nic when setting
  link spped (bsc#1050742).
- r8169:fix system hange problem (bsc#1050742).
- r8169:Correct the way of setting RTL8168DP ephy (bsc#1050742).
- r8169:Fix typo in setting RTL8168H PHY PFM mode (bsc#1050742).
- r8169:Update the way of reading RTL8168H PHY register
  "rg_saw_cnt" (bsc#1050742).
- r8169:Fix typo in setting RTL8168H PHY parameter (bsc#1050742).
- commit 721aecd
* Wed Aug 16 2017 tbogendoerfer@suse.de
- scsi: qedf: Limit number of CQs (bsc#1040813).
- commit 40b43ac
* Tue Aug 15 2017 tiwai@suse.de
- drm/vmwgfx: Limit max desktop dimensions to 8Kx8K (bsc#1048155).
- commit 3510946
* Tue Aug 15 2017 dbueso@suse.de
- locking/rwsem-spinlock: Fix EINTR branch in __down_write_common() (bsc#969756).
- commit 9567878
* Tue Aug 15 2017 rgoldwyn@suse.com
- xfs: nowait aio support (FATE#321994).
- btrfs: nowait aio: Correct assignment of pos (FATE#321994).
- btrfs: nowait aio support (FATE#321994).
- ext4: nowait aio support (FATE#321994).
- block: return on congested block device (FATE#321994).
- fs: return if direct I/O will trigger writeback (FATE#321994).
- fs: Introduce RWF_NOWAIT and FMODE_AIO_NOWAIT (FATE#321994).
- fs: Use RWF_* flags for AIO operations (FATE#321994).
- fs: Introduce filemap_range_has_page() (FATE#321994).
- fs: Separate out kiocb flags setup based on RWF_* flags
  (FATE#321994).
- commit 46c8960
* Tue Aug 15 2017 yousaf.kaukab@suse.com
- i2c: xgene-slimpro: include linux/io.h for memremap
  (bsc#1053633).
- i2c: xgene-slimpro: Add ACPI support by using PCC mailbox
  (bsc#1053633).
- i2c: xgene-slimpro: Use a single function to send command
  message (bsc#1053633).
- i2c: xgene: Set ACPI_COMPANION_I2C (bsc#1053633).
- ACPI / PCI: fix GIC irq model default PCI IRQ polarity
  (bsc#1053629).
- ACPI / irq: Fix return code of acpi_gsi_to_irq() (bsc#1053627).
- ACPI: APEI: Enable APEI multiple GHES source to share a single
  external IRQ (bsc#1053627).
- commit 1a3cc60
* Tue Aug 15 2017 tiwai@suse.de
- ALSA: usb-audio: Apply sample rate quirk to Sennheiser headset
  (bsc#1052580).
- commit 039bf9a
* Tue Aug 15 2017 dbueso@suse.de
- locking/rwsem: Fix down_write_killable() for CONFIG_RWSEM_GENERIC_SPINLOCK=y (bsc#969756).
- commit 5db7b06
* Mon Aug 14 2017 jslaby@suse.cz
- ACPI / scan: Prefer devices without _HID for _ADR matching
  (git-fixes).
- commit e23b354
* Mon Aug 14 2017 hare@suse.de
- block: add kblock_mod_delayed_work_on() (bsc#1050211).
- commit 73afb6e
* Mon Aug 14 2017 tiwai@suse.de
- iwlwifi: missing error code in iwl_trans_pcie_alloc()
  (bsc#1031717).
- commit f6ee514
* Mon Aug 14 2017 hare@suse.de
- block: Make blk_mq_delay_kick_requeue_list() rerun the queue
  at a quiet time (bsc#1050211).
- dm: make flush bios explicitly sync (bsc#1050211).
- block: provide bio_uninit() free freeing integrity/task
  associations (bsc#1050211).
- IB/iser: Fix connection teardown race condition (bsc#1050211).
- commit 6cdc0c4
* Mon Aug 14 2017 hare@suse.de
- fs: pass on flags in compat_writev (bsc#1050211).
- commit 733a55f
* Mon Aug 14 2017 hare@suse.de
- PCI/msi: fix the pci_alloc_irq_vectors_affinity stub
  (bsc#1050211).
- PCI/MSI: Ignore affinity if pre/post vector count is more than
  min_vecs (1050211).
- commit 8473585
* Mon Aug 14 2017 hare@suse.de
- blacklist.conf: Add commit 7fe311302f7d
- commit c3b14b8
* Mon Aug 14 2017 hare@suse.de
- nvme-pci: fix CMB sysfs file removal in reset path
  (bsc#1050211).
- commit 101aacf
* Mon Aug 14 2017 jslaby@suse.cz
- Linux 4.4.82 (bnc#1012382 CVE-2017-1000112 bsc#1052311
  CVE-2017-1000111 bsc#1052365).
- Refresh
  patches.fixes/ipv6-Don-t-use-ufo-handling-on-later-transformed-pac.patch.
- Refresh
  patches.fixes/udp-avoid-ufo-handling-on-IP-payload-compression-pac.patch.
- Delete
  patches.fixes/net-packet-fix-race-in-packet_set_ring-on-PACKET_RES.patch.
- Delete
  patches.fixes/udp-consistently-apply-ufo-or-fragmentation.patch.
- commit 9c69b1b
* Mon Aug 14 2017 mhocko@suse.cz
- mm, memory_hotplug: do not fail offlining too early
  (bnc#1051406).
- commit c865f83
* Mon Aug 14 2017 jslaby@suse.cz
- Linux 4.4.81 (CVE-2017-7542 CVE-2017-8831 bnc#1012382
  bsc#1037994 bsc#1041958 bsc#1049882).
- kABI: protect struct se_lun (kabi).
- Refresh
  patches.drivers/0003-iscsi-target-add-void-iscsit_get_rx_pdu.
- Refresh
  patches.drivers/0004-iscsi-target-split-iscsi_target_rx_thread.
- Refresh
  patches.drivers/0010-iscsi-target-clear-tx_thread_active.
- Refresh
  patches.drivers/0015-iscsi-target-convert-transport-drivers-to-signal-rdma_shutdown.
- Refresh
  patches.drivers/0034-target-remove-enum-transport_lunflags_table.
- Refresh
  patches.fixes/ipv6-Don-t-use-ufo-handling-on-later-transformed-pac.patch.
- Refresh
  patches.fixes/udp-avoid-ufo-handling-on-IP-payload-compression-pac.patch.
- Refresh patches.kabi/kabi-protect-struct-mm_struct.patch.
- Refresh
  patches.suse/mm-mprotect.c-don-t-touch-single-threaded-PTEs-which-are-on-the-right-node.patch.
- Refresh
  patches.suse/mm-printk-introduce-new-format-string-for-flags.patch.
- Update
  patches.suse/workqueue-skip-flush-dependency-checks-for-legacy-workqueues.patch
  (js has no idea).
- Delete
  patches.fixes/ipv4-Should-use-consistent-conditional-judgement-for.patch.
- Delete
  patches.fixes/ipv6-avoid-overflow-of-offset-in-ip6_find_1stfragopt.patch.
- Delete
  patches.fixes/media-saa7164-fix-double-fetch-PCIe-access-condition.
- Delete
  patches.fixes/net-account-for-current-skb-length-when-deciding-abo.patch.
- commit 49b517e
* Mon Aug 14 2017 jslaby@suse.cz
- Linux 4.4.80 (CVE-2017-7533 bnc#1012382 bnc#1022476 bsc#1041958
  bsc#1042286 bsc#1047653 bsc#1049483 bsc#1050188 bsc#993890
  bsc#1048914).
- Revert "/proc/iomem: only expose physical resource addresses
  to privileged users" (kabi).
- Revert "Make file credentials available to the seqfile
  interfaces" (kabi).
- Refresh
  patches.arch/43-x86-mce-amd-update-sysfs-bank-names-for-smca-systems.patch.
- Refresh
  patches.drivers/mpt3sas-Make-use-of-additional-HighPriority-credit-m.patch.
- Refresh
  patches.fixes/ipv6-Don-t-use-ufo-handling-on-later-transformed-pac.patch.
- Refresh
  patches.fixes/udp-avoid-ufo-handling-on-IP-payload-compression-pac.patch.
- Refresh patches.kabi/kabi-protect-struct-tpm_chip.patch.
- Delete patches.drivers/0001-kaweth-fix-firmware-download.patch.
- Delete
  patches.drivers/0002-kaweth-fix-oops-upon-failed-memory-allocation.patch.
- Delete
  patches.fixes/Revert-powerpc-numa-Fix-percpu-allocations-to-be-NUM.
- Delete patches.fixes/af_key-add-lock-to-key-dump.patch.
- Delete patches.fixes/dentry-name-snapshots.patch.
- Delete
  patches.fixes/ipv6-Should-use-consistent-conditional-judgement-for.patch.
- Delete
  patches.fixes/net-phy-Do-not-perform-software-reset-for-Generic-PH.patch.
- Delete
  patches.fixes/xfs-don-t-bug-on-mixed-direct-and-mapped-i-o.patch.
- Delete
  patches.suse/sched-cputime-Fix-prev-steal-time-accouting-during-CPU-hotplug.patch.
- commit e195a26
* Mon Aug 14 2017 neilb@suse.com
- fuse: initialize the flock flag in fuse_file on allocation
  (git-fixes).
- commit e98d595
* Mon Aug 14 2017 neilb@suse.com
- blacklist.conf: add unwanted commits
- commit a92e58a
* Fri Aug 11 2017 msuchanek@suse.de
- powerpc/pseries: Add pseries hotplug workqueue (FATE#322022).
- Refresh patches.drivers/0085-Replace-asm-uaccess.h-with-linux-uaccess.h-globally.patch.
- commit a9ec211
* Fri Aug 11 2017 msuchanek@suse.de
- powerpc/pseries: Update affinity for memory and cpus specified
  in a PRRN event (FATE#322022).
- Refresh patches.drivers/0085-Replace-asm-uaccess.h-with-linux-uaccess.h-globally.patch.
- commit df0a019
* Fri Aug 11 2017 tbogendoerfer@suse.de
- blacklist.conf: mlx5 commits, which are no bugfixes
- commit a177b31
* Fri Aug 11 2017 msuchanek@suse.de
- powerpc/pseries: Revert 'Auto-online hotplugged memory'
  (FATE#322022).
- commit ad2f4b6
* Fri Aug 11 2017 msuchanek@suse.de
- powerpc/pseries: Implement indexed-count hotplug memory remove
  (FATE#322022).
- commit 23542c2
* Fri Aug 11 2017 msuchanek@suse.de
- powerpc/pseries: Implement indexed-count hotplug memory add
  (FATE#322022).
- commit bb6f9f0
* Fri Aug 11 2017 msuchanek@suse.de
- powerpc/pseries: Correct possible read beyond dlpar sysfs buffer
  (FATE#322022).
- commit fd3a94d
* Fri Aug 11 2017 msuchanek@suse.de
- powerpc/pseries: fix memory leak in queue_hotplug_event()
  error path (FATE#322022).
- commit c84237e
* Fri Aug 11 2017 msuchanek@suse.de
- powerpc/pseries: Use kernel hotplug queue for PowerVM hotplug
  events (FATE#322022).
- commit 18a65fa
* Fri Aug 11 2017 msuchanek@suse.de
- powerpc/pseries: Verify CPU doesn't exist before adding
  (FATE#322022).
- commit 8d93a54
* Fri Aug 11 2017 msuchanek@suse.de
- powerpc/pseries: Fix build break when MEMORY_HOTREMOVE=n
  (FATE#322022).
- commit 6b044a3
* Fri Aug 11 2017 msuchanek@suse.de
- powerpc/pseries: Introduce memory hotplug READD operation
  (FATE#322022).
- commit e049e68
* Fri Aug 11 2017 msuchanek@suse.de
- powerpc/pseries: Make the acquire/release of the drc for memory
  a seperate step (FATE#322022).
- commit 5031c8a
* Fri Aug 11 2017 msuchanek@suse.de
- powerpc/pseries: Use lmb_is_removable() to check removability
  (FATE#322022).
- commit ae92451
* Fri Aug 11 2017 msuchanek@suse.de
- powerpc: Fix unused function warning 'lmb_to_memblock'
  (FATE#322022).
- commit 2051d5a
* Fri Aug 11 2017 msuchanek@suse.de
- powerpc/pseries: Remove call to memblock_add() (FATE#322022).
- commit ca0ce8e
* Fri Aug 11 2017 msuchanek@suse.de
- powerpc/pseries: Auto-online hotplugged memory (FATE#322022).
- commit ecc9cff
* Fri Aug 11 2017 tbogendoerfer@suse.de
- RDMA/mlx5: Fix existence check for extended address vector
  (bsc#1015342).
- net/mlx5: Fix mlx5_add_flow_rules call with correct num of dests
  (bsc#1015342).
- net/mlx5e: Add missing support for PTP_CLK_REQ_PPS request
  (bsc#1015342).
- net/mlx5e: Change 1PPS out scheme (bsc#1015342).
- net/mlx5e: Fix broken disable 1PPS flow (bsc#1015342).
- net/mlx5e: Add field select to MTPPS register (bsc#1015342).
- net/mlx5: Fix mlx5_ifc_mtpps_reg_bits structure size
  (bsc#1015342).
- net/mlx5e: Fix outer_header_zero() check size (bsc#1015342).
- net/mlx5: Consider tx_enabled in all modes on remap
  (bsc#1015342).
- net/mlx5: Clean SRIOV eswitch resources upon VF creation failure
  (bsc#1015342).
- net/mlx5e: Initialize CEE's getpermhwaddr address buffer to 0xff
  (bsc#1015342).
- net/mlx5e: Fix TX carrier errors report in get stats ndo
  (bsc#1015342).
- net/mlx5: Cancel delayed recovery work when unloading the driver
  (bsc#1015342).
- net/mlx5: Fix offset of hca cap reserved field (bsc#1015342).
- net/mlx5e: Rename physical symbol errors counter (bsc#1015342).
- commit 4f0672f
* Thu Aug 10 2017 jthumshirn@suse.de
- libnvdimm: fix badblock range handling of ARS range
  (bsc#1023175).
- libnvdimm, pmem: fix a NULL pointer BUG in nd_pmem_notify
  (bsc#1023175).
- commit 0327dff
* Thu Aug 10 2017 jthumshirn@suse.de
- nvme: fabrics commands should use the fctype field for data
  direction (bsc#1043805).
- commit 80141ba
* Thu Aug 10 2017 jthumshirn@suse.de
- kabi/severities: add drivers/scsi/hisi_sas to kabi severities
- commit 7a6dc53
* Thu Aug 10 2017 jthumshirn@suse.de
- scsi: qedi: Fix return code in qedi_ep_connect() (bsc#1048912).
- scsi: lpfc: fix linking against modular NVMe support
  (bsc#1048912).
- scsi: lpfc: don't double count abort errors (bsc#1048912).
- scsi: aacraid: fix PCI error recovery path (bsc#1048912).
- commit 01f94a4
* Thu Aug 10 2017 tbogendoerfer@suse.de
- net/mlx4_core: Fixes missing capability bit in flags2 capability
  dump (bsc#1015337).
- net/mlx4_core: Fix namespace misalignment in QinQ VST support
  commit (bsc#1015337).
- net/mlx4_core: Fix sl_to_vl_change bit offset in flags2 dump
  (bsc#1015337).
- commit 5929479
* Wed Aug  9 2017 msuchanek@suse.de
- tpm: KABI fix (bsc#1053117).
- commit 66c5b96
* Wed Aug  9 2017 msuchanek@suse.de
- tpm: Issue a TPM2_Shutdown for TPM2 devices (bsc#1053117).
- commit 60b102d
* Wed Aug  9 2017 msuchanek@suse.de
- Add "shutdown" to "struct class" (bsc#1053117).
- commit fe088a0
* Wed Aug  9 2017 tonyj@suse.de
- powerpc/perf: Fix SDAR_MODE value for continous sampling on
  Power9 (bsc#1053043 (git-fixes)).
- Update
  patches.fixes/powerpc-perf-fix-oops-when-kthread-execs-user-process.patch
  (bsc#1053043 (git-fixes)).
- commit 0fb1d20
* Wed Aug  9 2017 msuchanek@suse.de
- powerpc/tm: Fix saving of TM SPRs in core dump (fate#318470,
  git-fixes 08e1c01d6aed).
- commit eaddcb7
* Wed Aug  9 2017 tbogendoerfer@suse.de
- i40e/i40evf: Fix use after free in Rx cleanup path
  (bsc#1051689).
- commit 1bf6211
* Wed Aug  9 2017 msuchanek@suse.de
- Refresh fadump patches metadata and change to upstream order.
- commit d519325
* Wed Aug  9 2017 hare@suse.de
- qeth: fix L3 next-hop im xmit qeth hdr (bnc#1052773,
  LTC#157374).
- commit c83bb73
* Wed Aug  9 2017 ohering@suse.de
- Update hyperv patch headers to comply with Documentation/SubmittingPatches
- commit 1dad91a
* Wed Aug  9 2017 ohering@suse.de
- netvsc: make sure and unregister datapath (fate#320485,
  bsc#1052899).
- commit 86ebb3c
* Wed Aug  9 2017 jthumshirn@suse.de
- RDMA/bnxt_re: checking for NULL instead of IS_ERR()
  (bsc#1052925).
- commit df14ab7
* Wed Aug  9 2017 tiwai@suse.de
- [media] saa7164: fix double fetch PCIe access condition
  (CVE-2017-8831 bsc#1037994).
- commit 913c459
* Tue Aug  8 2017 tonyj@suse.de
- powerpc/perf: Fix oops when
  kthread execs user process (git-fixes
  0002-powerpc-perf-add-support-for-sampling-interrupt-register-state.patch
  (ed4a4ef85cf5b75231079501030db28dd59f920a)).
- commit 44892b6
* Tue Aug  8 2017 msuchanek@suse.de
- Fix warning in  patches.drivers/ibmvnic-104-Check-for-transport-event-on-driver-resume.patch.
- commit e88865d
* Tue Aug  8 2017 jroedel@suse.de
- x86/dmi: Switch dmi_remap() from ioremap() to ioremap_cache()
  (bsc#1051399).
- commit a53d8db
* Tue Aug  8 2017 msuchanek@suse.de
- ibmvnic: Report rx buffer return codes as netdev_dbg
  (bsc#1052794).
- commit 76fd0c0
* Tue Aug  8 2017 msuchanek@suse.de
- ibmvnic: Check for transport event on driver resume
  (bsc#1051556, bsc#1052709).
- commit f9c29db
* Tue Aug  8 2017 msuchanek@suse.de
- ibmvnic: Initialize SCRQ's during login renegotiation
  (bsc#1052223).
- commit d8105e2
* Tue Aug  8 2017 ohering@suse.de
- As a bandaid, increase HV_UTIL_TIMEOUT from 30 to 60 seconds (bnc#1039153)
- commit acd8fe7
* Tue Aug  8 2017 jack@suse.cz
- Update tags:
  patches.fixes/ext4-Don-t-clear-SGID-when-inheriting-ACLs.patch
  patches.fixes/ocfs2-Don-t-clear-SGID-when-inheriting-ACLs.patch
  patches.fixes/reiserfs-Don-t-clear-SGID-when-inheriting-ACLs.patch
- commit 1d9ae22
* Tue Aug  8 2017 jthumshirn@suse.de
- KABI protect struct acpi_nfit_desc (bsc#1052325).
- commit 2bfd17e
* Mon Aug  7 2017 jeffm@suse.com
- vfs: fix missing inode_get_dev sites (bsc#1052049).
- commit 9ee6783
* Mon Aug  7 2017 mfleming@suse.de
- blacklist.conf: 34bf129a7f06 isn't needed because we don't build PA-RISC.
- commit 8241482
* Mon Aug  7 2017 jack@suse.cz
- blacklist.conf: Blacklist a428d314ebc
- commit 935071e
* Mon Aug  7 2017 jthumshirn@suse.de
- acpi/nfit: Issue Start ARS to retrieve existing records
  (bsc#1052325).
- acpi/nfit: Add support of NVDIMM memory error notification in
  ACPI 6.2 (bsc#1052325).
- commit 8c5c102
* Mon Aug  7 2017 jroedel@suse.de
- iommu/amd: Enable ga_log_intr when enabling guest_mode
  (bsc1052533).
- commit 6309c6d
* Mon Aug  7 2017 jroedel@suse.de
- iommu/amd: Fix schedule-while-atomic BUG in initialization code
  (bsc1052533).
- commit 3e49cd2
* Mon Aug  7 2017 ohering@suse.de
- netvsc: fix rtnl deadlock on unregister of vf (fate#320485,
  bsc#1052442).
- commit b833285
* Sun Aug  6 2017 mkubecek@suse.cz
- net-packet: fix race in packet_set_ring on PACKET_RESERVE
  (CVE-2017-1000111 bsc#1052365).
- commit 47485ea
* Sat Aug  5 2017 mkubecek@suse.cz
- udp: consistently apply ufo or fragmentation (CVE-2017-1000112
  bsc#1052311).
- commit fe9d373
* Fri Aug  4 2017 hare@suse.de
- scsi_devinfo: fixup string compare (bsc#1037404).
- commit 6d8eeec
* Fri Aug  4 2017 hare@suse.de
- block: do not allow updates through sysfs until registration
  completes (bsc#1047027).
- commit 73e9023
* Fri Aug  4 2017 hare@suse.de
- scsi_dh_alua: suppress errors from unsupported devices
  (bsc#1038792).
- commit 0e8bcce
* Thu Aug  3 2017 ohering@suse.de
- netvsc: transparent VF management (fate#320485, bsc#1051979).
- hyperv: netvsc: Neaten netvsc_send_pkt by using a temporary
  (fate#320485).
- netvsc: signal host if receive ring is emptied (fate#320485).
- netvsc: fix error unwind on device setup failure (fate#320485).
- netvsc: optimize receive completions (fate#320485).
- netvsc: remove unnecessary indirection of page_buffer
  (fate#320485).
- netvsc: don't print pointer value in error message
  (fate#320485).
- netvsc: fix warnings reported by lockdep (fate#320485).
- netvsc: fix return value for set_channels (fate#320485).
- Revert "netvsc: optimize calculation of number of slots"
  (fate#320485).
- netvsc: remove no longer used max_num_rss queues (fate#320485).
- netvsc: include rtnetlink.h (fate#320485).
- netvsc: fix netvsc_set_channels (fate#320485).
- netvsc: prefetch the first incoming ring element (fate#320485).
- netvsc: Remove redundant use of ipv6_hdr() (fate#320485).
- netvsc: remove bogus rtnl_unlock (fate#320485).
- netvsc: fix ptr_ret.cocci warnings (fate#320485).
- netvsc: add rtnl annotations in rndis (fate#320485).
- netvsc: save pointer to parent netvsc_device in channel table
  (fate#320485).
- netvsc: need rcu_derefence when accessing internal device info
  (fate#320485).
- netvsc: use ERR_PTR to avoid dereference issues (fate#320485).
- netvsc: change logic for change mtu and set_queues
  (fate#320485).
- netvsc: change order of steps in setting queues (fate#320485).
- netvsc: add some rtnl_dereference annotations (fate#320485).
- netvsc: force link update after MTU change (fate#320485).
- vmbus: re-enable channel tasklet (fate#320485).
- hv_netvsc: Fix the carrier state error when data path is off
  (fate#320485).
- hv_netvsc: Remove unnecessary var link_state from struct
  netvsc_device_info (fate#320485).
- netvsc: don't access netdev->num_rx_queues directly
  (fate#320485).
- x86/hyperv: Check frequency MSRs presence according to the
  specification (fate#320485).
- netvsc: fold in get_outbound_net_device (fate#320485).
- netvsc: pass net_device to netvsc_init_buf and
  netvsc_connect_vsp (fate#320485).
- netvsc: mark error cases as unlikely (fate#320485).
- netvsc: use typed pointer for internal state (fate#320485).
- netvsc: use hv_get_bytes_to_read (fate#320485).
- netvsc: optimize calculation of number of slots (fate#320485).
- netvsc: move filter setting to rndis_device (fate#320485).
- netvsc: fix net poll mode (fate#320485).
- netvsc: fix rcu dereference warning from ethtool (fate#320485).
- tools: hv: set hotplug for VF on Suse (fate#320485).
- tools: hv: set allow-hotplug for VF on Ubuntu (fate#320485).
- netvsc: Add #include's for csum_* function declarations
  (fate#320485).
- Drivers: hv: vmbus: Close timing hole that can corrupt per-cpu
  page (fate#320485).
- Drivers: hv: util: Make hv_poll_channel() a little more
  efficient (fate#320485).
- Drivers: hv: vmbus: Fix error code returned by vmbus_post_msg()
  (fate#320485).
- tools: hv: properly handle long paths (fate#320485).
- Tools: hv: vss: Thaw the filesystem and continue if freeze
  call has timed out (fate#320485).
- tools: hv: Add clean up for included files in Ubuntu net config
  (fate#320485).
- netvsc: make sure napi enabled before vmbus_open (fate#320485).
- netvsc: fix calculation of available send sections
  (fate#320485).
- netvsc: fix use after free on module removal (fate#320485).
- netvsc: Deal with rescinded channels correctly (fate#320485).
- hv_netvsc: change netvsc device default duplex to FULL
  (fate#320485).
- netvsc: fix RCU warning in get_stats (fate#320485).
- scsi: storvsc: remove return at end of void function
  (fate#320485).
- scsi: storvsc: Prefer kcalloc over kzalloc with multiply
  (fate#320485).
- netvsc: use napi_consume_skb (fate#320485).
- netvsc: Initialize all channel related state prior to opening
  the channel (fate#320485).
- netvsc: fix dereference before null check errors (fate#320485).
- netvsc: Properly initialize the return value (fate#320485).
- netvsc: Fix a bug in sub-channel handling (fate#320485).
- netvsc: fix and cleanup rndis_filter_set_packet_filter
  (fate#320485).
- netvsc: eliminate unnecessary skb == NULL checks (fate#320485).
- netvsc: remove unnecessary lock on shutdown (fate#320485).
- netvsc: uses RCU instead of removal flag (fate#320485).
- netvsc: use RCU to protect inner device structure (fate#320485).
- netvsc: change max channel calculation (fate#320485).
- netvsc: handle offline mtu and channel change (fate#320485).
- netvsc: fix NAPI performance regression (fate#320485).
- Drivers: hv: Fix a typo (fate#320485).
- vmbus: expose debug info for drivers (fate#320485).
- vmbus: cleanup header file style (fate#320485).
- hyperv: remove unnecessary return variable (fate#320485).
- vmbus: fix spelling errors (fate#320485).
- vmbus: remove unnecessary initialization (fate#320485).
- vmbus: remove useless return's (fate#320485).
- hyperv: fix warning about missing prototype (fate#320485).
- vmbus: only reschedule tasklet if time limit exceeded
  (fate#320485).
- netvsc: remove unused #define (fate#320485).
- netvsc: add comments about callback's and NAPI (fate#320485).
- netvsc: avoid race with callback (fate#320485).
- netvsc: fix hang on netvsc module removal (fate#320485).
- netvsc: need napi scheduled during removal (fate#320485).
- net: hyperv: use new api ethtool_{get|set}_link_ksettings
  (fate#320485).
- netvsc: replace netdev_alloc_skb_ip_align with napi_alloc_skb
  (fate#320485).
- netvsc: enable GRO (fate#320485).
- netvsc: implement NAPI (fate#320485).
- vmbus: introduce in-place packet iterator (fate#320485).
- netvsc: don't overload variable in same function (fate#320485).
- tools: hv: Add clean up function for Ubuntu config
  (fate#320485).
- net: add netdev_lockdep_set_classes() helper (fate#320485).
- commit e18450b
* Thu Aug  3 2017 ohering@suse.de
- Remove upstream commit e14b4db7a567 netvsc: fix race during initialization
  will be replaced by following changes
- commit aa2addd
* Thu Aug  3 2017 jthumshirn@suse.de
- IB/hfi1: Wait for QSFP modules to initialize (bsc#1019151).
- commit a45ce25
* Thu Aug  3 2017 ohering@suse.de
- reorder upstream commit d0c2c9973ecd net: use core MTU range checking in virt drivers
- commit 697559f
* Thu Aug  3 2017 ohering@suse.de
- apply mainline tags to some hyperv patches
- commit 6d7a038
* Thu Aug  3 2017 hare@suse.de
- scsi: kABI fix for new state STARGET_CREATED_REMOVE
  (bsc#1013887).
- commit 31b7cb2
* Thu Aug  3 2017 hare@suse.de
- Drop patches; obsoleted by 'scsi: Add STARGET_CREATE_REMOVE state'
- Delete
  patches.drivers/scsi_transport_fc-do-not-call-queue_work-under-lock.patch.
- Delete
  patches.drivers/scsi_transport_fc-fixup-race-condition-in-fc_rport_f.patch.
- commit c4cc456
* Thu Aug  3 2017 hare@suse.de
- scsi: Add STARGET_CREATE_REMOVE state to scsi_target_state
  (bsc#1013887).
- commit 5afe7e1
* Thu Aug  3 2017 neilb@suse.com
- NFS: Optimize fallocate by refreshing mapping when needed
  (git-fixes).
- NFS: invalidate file size when taking a lock (git-fixes).
- commit c4f79ce
* Wed Aug  2 2017 tiwai@suse.de
- PM / Hibernate: Fix scheduling while atomic during hibernation
  (bsc#1051059).
- commit d444c6c
* Tue Aug  1 2017 jroedel@suse.de
- ACPI / processor: Avoid reserving IO regions too early
  (bsc#1051478).
- commit 4370a71
* Tue Aug  1 2017 jroedel@suse.de
- kvm: nVMX: Fix nested_vmx_check_msr_bitmap_controls
  (bsc#1051478).
- commit 740ca35
* Tue Aug  1 2017 jroedel@suse.de
- KVM: nVMX: Fix nested VPID vmx exec control (bsc#1051478).
- commit 7325a6e
* Tue Aug  1 2017 jroedel@suse.de
- KVM: x86: avoid simultaneous queueing of both IRQ and SMI
  (bsc#1051478).
- commit dd4f667
* Tue Aug  1 2017 jroedel@suse.de
- KVM: nVMX: fix msr bitmaps to prevent L2 from accessing L0
  x2APIC (bsc#1051478).
- commit 869f25a
* Tue Aug  1 2017 jroedel@suse.de
- blacklist.conf: Blacklist e80e7edc55ba ('PCI/MSI: Initialize MSI capability for all architectures')
  This only fixes machines not supported by our kernels.
- commit 6d5803c
* Tue Aug  1 2017 jroedel@suse.de
- PCI / PM: Fix native PME handling during system suspend/resume
  (bsc#1051478).
- commit 383632d
* Tue Aug  1 2017 jroedel@suse.de
- PCI: Enable ECRC only if device supports it (bsc#1051478).
- commit c96580c
* Tue Aug  1 2017 jroedel@suse.de
- PCI: Correct PCI_STD_RESOURCE_END usage (bsc#1051478).
- commit a89be0a
* Tue Aug  1 2017 lhenriques@suse.com
- gcov: support GCC 7.1 (bsc#1051663).
- gcov: add support for gcc version >= 6 (bsc#1051663).
- commit a92dc4a
* Tue Aug  1 2017 jroedel@suse.de
- PCI: dwc: dra7xx: Use RW1C for IRQSTATUS_MSI and IRQSTATUS_MAIN
  (bsc#1051478).
- commit d7147f2
* Tue Aug  1 2017 jroedel@suse.de
- PCI: dwc: Fix uninitialized variable in dw_handle_msi_irq()
  (bsc#1051478).
- commit 15eb86e
* Tue Aug  1 2017 jroedel@suse.de
- PCI: Support INTx masking on ConnectX-4 with firmware x.14.1100+
  (bsc#1051478).
- PCI: Convert Mellanox broken INTx quirks to be for listed
  devices only (bsc#1051478).
- PCI: Add Mellanox device IDs (bsc#1051478).
- commit 86146b7
* Tue Aug  1 2017 nborisov@suse.com
- Btrfs: incremental send, fix invalid path for link  commands
  (bsc#1051479).
- Btrfs: incremental send, fix invalid path for unlink  commands
  (bsc#1051479).
- Btrfs: send, fix invalid path after renaming and linking  file
  (bsc#1051479).
- commit bcec7de
* Tue Aug  1 2017 jroedel@suse.de
- blacklist.conf: Blacklist aa2369f11ff7 ('mm/gup.c: fix access_ok() argument type')
  (bsc#1051478)
  Fixes only a compile-warning.
- commit 0fbb228
* Tue Aug  1 2017 jroedel@suse.de
- blacklist.conf: Blacklist 4e201566402c ('genirq/msi: Drop artificial PCI dependency')
  (bsc#1051478)
  This commit just removes an include and does not fix a real
  issue.
- commit 7773558
* Tue Aug  1 2017 jroedel@suse.de
- perf/x86: Fix spurious NMI with PEBS Load Latency event
  (bsc#1051478).
- commit 683621e
* Tue Aug  1 2017 jroedel@suse.de
- perf/x86/intel: Cure bogus unwind from PEBS entries
  (bsc#1051478).
- perf/x86/intel: Fix PEBSv3 record drain (bsc#1051478).
- commit 0f69691
* Mon Jul 31 2017 mcgrof@suse.com
- xfs: detect and trim torn writes during log recovery (bsc#1036215).
- xfs: refactor log record start detection into a new helper (bsc#1036215).
- xfs: support a crc verification only log record pass (bsc#1036215).
- xfs: return start block of first bad log record during recovery (bsc#1036215).
- xfs: refactor and open code log record crc check (bsc#1036215).
- xfs: detect and handle invalid iclog size set by mkfs (bsc#1043598).
- commit a7a5917
* Mon Jul 31 2017 mcgrof@suse.com
- Update patches.fixes/xfs-refactor-log-record-unpack-and-data-processing.patch (bsc#1043598, bsc#1036215).
- commit 54e17b0
* Mon Jul 31 2017 tiwai@suse.de
- blacklist.conf: add inapplicable commits for wifi (bsc#1031717)
- commit 1c00d8b
* Mon Jul 31 2017 tiwai@suse.de
- ALSA: fm801: Initialize chip after IRQ handler is registered
  (bsc#1031717).
- iwlwifi: pcie: fix command completion name debug (bsc#1031717).
- iwlwifi: mvm: unconditionally stop device after init
  (bsc#1031717).
- iwlwifi: mvm: reset the fw_dump_desc pointer after ASSERT
  (bsc#1031717).
- brcmfmac: Fix glom_skb leak in brcmf_sdiod_recv_chain
  (bsc#1031717).
- mwifiex: do not update MCS set from hostapd (bsc#1031717).
- drm/i915: Fix scaler init during CRTC HW state readout
  (bsc#1031717).
- commit 933305c
* Mon Jul 31 2017 jroedel@suse.de
- blacklist.conf: Blacklist c9525a3fab63 ('x86/watchdog: Fix Kconfig help text file path reference to lockup watchdog documentation')
  Updates only kconfig help-text (bsc#1051478).
- commit 4601a30
* Mon Jul 31 2017 jroedel@suse.de
- blacklist.conf: Blacklist c133c7615751 ('x86/nmi: Fix timeout test in test_nmi_ipi()')
  It only fixes a self-test (bsc#1051478).
- commit c371ed3
* Mon Jul 31 2017 jroedel@suse.de
- kABI-fix for "x86/panic: replace smp_send_stop() with kdump
  friendly version in panic path" (bsc#1051478).
- x86/panic: replace smp_send_stop() with kdump friendly version
  in panic path (bsc#1051478).
- commit 93b0fbd
* Mon Jul 31 2017 mfleming@suse.de
- blacklist.conf: 1151f838cb62 is high-risk and we're not aware of any
  systems that might need it in SP2.
- commit 88897c5
* Mon Jul 31 2017 tiwai@suse.de
- drm/vmwgfx: Fix large topology crash (bsc#1048155).
- drm/vmwgfx: Support topology greater than texture size
  (bsc#1048155).
- commit d89b29a
* Mon Jul 31 2017 jroedel@suse.de
- x86/LDT: Print the real LDT base address (bsc#1051478).
- commit 9282f4e
* Mon Jul 31 2017 jroedel@suse.de
- iommu/amd: Fix interrupt remapping when disable guest_mode
  (bsc#1051471).
- commit 147277d
* Mon Jul 31 2017 mfleming@suse.de
- blacklist.conf: Don't need 55d728a40d36, we do it differently in SLE
- commit b605a1d
* Mon Jul 31 2017 jgross@suse.com
- Update patch-mainline and commit-id tags of XEN patches
- commit c9bd217
* Fri Jul 28 2017 mkubecek@suse.cz
- ipv6: avoid overflow of offset in ip6_find_1stfragopt
  (CVE-2017-7542 bsc#1049882).
- commit c3588f8
* Fri Jul 28 2017 jthumshirn@suse.de
- block: Fix front merge check (bsc#1051239).
- commit 90b16f7
* Fri Jul 28 2017 tbogendoerfer@suse.de
- Drop patch, because it causes a more serious regression.
  Delete
  patches.drivers/xgene-sp3-0024-xgene-Don-t-fail-probe-if-there-is-no-clk-resource-f.patch.
- commit 695a174
* Fri Jul 28 2017 tiwai@suse.de
- platform/x86: ideapad-laptop: Add several models to no_hw_rfkill
  (bsc#1051022).
- platform/x86: ideapad-laptop: Add IdeaPad V510-15IKB to
  no_hw_rfkill (bsc#1051022).
- platform/x86: ideapad-laptop: Add Y720-15IKBN to no_hw_rfkill
  (bsc#1051022).
- platform/x86: ideapad-laptop: Add Y520-15IKBN to no_hw_rfkill
  (bsc#1051022).
- platform/x86: ideapad-laptop: Add IdeaPad V310-15ISK to
  no_hw_rfkill (bsc#1051022).
- platform/x86: ideapad-laptop: Add IdeaPad 310-15IKB to
  no_hw_rfkill (bsc#1051022).
- platform/x86: ideapad-laptop: Add Y700 15-ACZ to no_hw_rfkill
  DMI list (bsc#1051022).
- platform/x86: ideapad-laptop: Add Lenovo Yoga 910-13IKB to
  no_hw_rfkill dmi list (bsc#1051022).
- commit 19632f5
* Fri Jul 28 2017 agraf@suse.de
- arm64: mm: remove page_mapping check in __sync_icache_dcache
  (bsc#1040347).
- commit 1929cdc
* Fri Jul 28 2017 jslaby@suse.cz
- Linux 4.4.79 (CVE-2017-11473 bnc#1012382 bsc#1012829 bsc#1047118
  bsc#1049603).
- kABI: protect struct iscsi_tpg_attrib (kabi).
- Refresh
  patches.fixes/0002-md-raid1-Refactor-raid1_make_request.patch.
- Refresh patches.fixes/af_key-add-lock-to-key-dump.patch.
- Delete
  patches.arch/x86-acpi-prevent-out-of-bound-access-caused-by-broken-acpi-tables.
- Delete
  patches.fixes/0001-NFS-only-invalidate-dentrys-that-are-clearly-invalid.patch.
- Delete
  patches.fixes/udf-Fix-deadlock-between-writeback-and-udf_setsize.patch.
- commit 08f1a7a
* Fri Jul 28 2017 jthumshirn@suse.de
- libnvdimm: fix badblock range handling of ARS range
  (bsc#1051048).
- commit c7335b0
* Thu Jul 27 2017 mhocko@suse.com
- Revert "powerpc/numa: Fix percpu allocations to be NUMA aware"
  (bsc#1048914).
- commit c0fdc47
* Thu Jul 27 2017 tbogendoerfer@suse.de
- xgene: Don't fail probe, if there is no clk resource for SGMII
  interfaces (bsc#1048501).
- commit 4d35a89
* Thu Jul 27 2017 tbogendoerfer@suse.de
- RDMA/qedr: Prevent memory overrun in verbs' user responses
  (bsc#1022604 FATE#321747).
- commit 435721c
* Thu Jul 27 2017 bpoirier@suse.com
- net: ena: update ena driver to version 1.2.0 (bsc#1047121).
- net: ena: update driver's rx drop statistics (bsc#1047121).
- net: ena: use lower_32_bits()/upper_32_bits() to split dma
  address (bsc#1047121).
- net: ena: separate skb allocation to dedicated function
  (bsc#1047121).
- net: ena: use napi_schedule_irqoff when possible (bsc#1047121).
- net: ena: allow the driver to work with small number of msix
  vectors (bsc#1047121).
- net: ena: add support for out of order rx buffers refill
  (bsc#1047121).
- net: ena: add reset reason for each device FLR (bsc#1047121).
- net: ena: change sizeof() argument to be the type pointer
  (bsc#1047121).
- net: ena: add hardware hints capability to the driver
  (bsc#1047121).
- net: ena: change return value for unsupported features
  unsupported return value (bsc#1047121).
- net: ena: update ena driver to version 1.1.7 (bsc#1047121).
- net: ena: bug fix in lost tx packets detection mechanism
  (bsc#1047121).
- net: ena: disable admin msix while working in polling mode
  (bsc#1047121).
- net: ena: fix theoretical Rx hang on low memory systems
  (bsc#1047121).
- net: ena: add missing unmap bars on device removal
  (bsc#1047121).
- net: ena: fix race condition between submit and completion
  admin command (bsc#1047121).
- net: ena: add missing return when ena_com_get_io_handlers()
  fails (bsc#1047121).
- net: ena: fix bug that might cause hang after consecutive
  open/close interface (bsc#1047121).
- net: ena: fix rare uncompleted admin command false alarm
  (bsc#1047121).
- net/ena: switch to pci_alloc_irq_vectors (bsc#1047121).
- commit ffcdad9
* Thu Jul 27 2017 bpoirier@suse.com
- Refresh
  patches.suse/0004-mm-memory_hotplug-get-rid-of-is_zone_device_section.patch.
  fatal: bad object 9d416eb0bc6e646f09bfa36d036f7d1822c10392
- commit 348645e
* Thu Jul 27 2017 bpoirier@suse.com
- net: ena: update ena driver to version 1.2.0 (bsc#1047121).
- net: ena: update driver's rx drop statistics (bsc#1047121).
- net: ena: use lower_32_bits()/upper_32_bits() to split dma
  address (bsc#1047121).
- net: ena: separate skb allocation to dedicated function
  (bsc#1047121).
- net: ena: use napi_schedule_irqoff when possible (bsc#1047121).
- net: ena: allow the driver to work with small number of msix
  vectors (bsc#1047121).
- net: ena: add support for out of order rx buffers refill
  (bsc#1047121).
- net: ena: add reset reason for each device FLR (bsc#1047121).
- net: ena: change sizeof() argument to be the type pointer
  (bsc#1047121).
- net: ena: add hardware hints capability to the driver
  (bsc#1047121).
- net: ena: change return value for unsupported features
  unsupported return value (bsc#1047121).
- net: ena: update ena driver to version 1.1.7 (bsc#1047121).
- net: ena: bug fix in lost tx packets detection mechanism
  (bsc#1047121).
- net: ena: disable admin msix while working in polling mode
  (bsc#1047121).
- net: ena: fix theoretical Rx hang on low memory systems
  (bsc#1047121).
- net: ena: add missing unmap bars on device removal
  (bsc#1047121).
- net: ena: fix race condition between submit and completion
  admin command (bsc#1047121).
- net: ena: add missing return when ena_com_get_io_handlers()
  fails (bsc#1047121).
- net: ena: fix bug that might cause hang after consecutive
  open/close interface (bsc#1047121).
- net: ena: fix rare uncompleted admin command false alarm
  (bsc#1047121).
- commit 008a7fa
* Thu Jul 27 2017 lduncan@suse.com
- Added sbitmap patch to blacklist.conf
  Add a patch "sbitmap: fix wakeup hang after sbq resize"
  to the blacklist.conf file because it is not needed
  in SLE 12 SP2.
- commit 36e38e9
* Wed Jul 26 2017 mstaudt@suse.de
- efi/libstub: Skip GOP with PIXEL_BLT_ONLY format (bnc#974215).
- commit ad05790
* Wed Jul 26 2017 jroedel@suse.de
- x86/platform/uv/BAU: Disable BAU on single hub configurations
  (bsc#1050320).
- x86/platform/uv/BAU: Fix congested_response_us not taking effect
  (bsc#1050322).
- commit 0a11d05
* Wed Jul 26 2017 ohering@suse.de
- hv: print extra debug in kvp_on_msg in error paths
  (bnc#1039153).
- commit 322e233
* Wed Jul 26 2017 jthumshirn@suse.de
- scsi: hisi_sas: relocate get_ata_protocol() (bsc#1049298).
- scsi: hisi_sas: workaround STP link SoC bug (bsc#1049298).
- scsi: hisi_sas: workaround a SoC SATA IO processing bug
  (bsc#1049298).
- scsi: hisi_sas: workaround SoC about abort timeout bug
  (bsc#1049298).
- scsi: hisi_sas: add v2 hw internal abort timeout workaround
  (bsc#1049298).
- scsi: hisi_sas: fix NULL deference when TMF timeouts
  (bsc#1049298).
- scsi: hisi_sas: controller reset for multi-bits ECC and AXI
  fatal errors (bsc#1049298).
- scsi: hisi_sas: fix timeout check in
  hisi_sas_internal_task_abort() (bsc#1049298).
- scsi: hisi_sas: optimise the usage of hisi_hba.lock
  (bsc#1049298).
- scsi: hisi_sas: add pci_dev in hisi_hba struct (bsc#1049298).
- scsi: hisi_sas: optimise DMA slot memory (bsc#1049298).
- Refresh
  patches.drivers/0005-scsi-rename-SCSI_MAX_-SG-SG_CHAIN-_SEGMENTS.patch.
- Refresh
  patches.drivers/ata-0153-libata-libsas-Define-ATA_CMD_NCQ_NON_DATA.patch.
- Refresh
  patches.drivers/scsi-libsas-enable-FPDMA-SEND-RECEIVE.patch.
- Refresh
  patches.fixes/scsi-hosts-update-to-use-ida_simple-for-host_no-management.
- commit 4683e54
* Wed Jul 26 2017 jack@suse.cz
- Add missing Git-commit to patches.kernel.org/patch-4.4.11-12.
- commit 397e795
* Wed Jul 26 2017 jack@suse.cz
- udf: Fix deadlock between writeback and udf_setsize()
  (bsc#1012829).
- commit cf3ab1b
* Wed Jul 26 2017 jack@suse.cz
- gfs2: fix flock panic issue (bsc#1012829).
- commit cd27585
* Wed Jul 26 2017 jack@suse.cz
- udf: Fix races with i_size changes during readpage
  (bsc#1012829).
- commit 32236d5
* Wed Jul 26 2017 jack@suse.cz
- ext4: handle the rest of ext4_mb_load_buddy() ENOMEM errors
  (bsc#1012829).
- commit aa5e637
* Wed Jul 26 2017 jack@suse.cz
- ocfs2: fix deadlock caused by recursive locking in xattr
  (bsc#1012829).
- commit a1638fa
* Wed Jul 26 2017 jgross@suse.com
- blkfront: add uevent for size change (bnc#1036632).
- commit 224b700
* Wed Jul 26 2017 ohering@suse.de
- hv_netvsc: Exclude non-TCP port numbers from vRSS hashing
  (bsc#1048421).
- hv_netvsc: Fix the queue index computation in forwarding case
  (bsc#1048421).
- commit a5a739b
* Wed Jul 26 2017 glin@suse.com
- blacklist.conf: 8b8642af15ed not a supported driver
- commit eb8ab43
* Wed Jul 26 2017 mgalbraith@suse.de
- sched/core: Allow __sched_setscheduler() in interrupts when
  PI is not used (bnc#1022476).
- timers: Plug locking race vs. timer migration (bnc#1022476).
- prctl: propagate has_child_subreaper flag to every descendant
  (bnc#1022476).
- introduce the walk_process_tree() helper (bnc#1022476).
- cpuidle: dt: Add missing 'of_node_put()' (bnc#1022476).
- commit 42099e3
* Wed Jul 26 2017 mgalbraith@suse.de
- blacklist.conf: da0510c47519fe0999cffe316e1d370e29f952be # FRV not applicable to SLE
- commit 79658b9
* Wed Jul 26 2017 mgalbraith@suse.de
- sched/fair: Fix O(nr_cgroups) in load balance path
  (bnc#1022476).
- sched/fair: Use task_groups instead of leaf_cfs_rq_list to
  walk all cfs_rqs (bnc#1022476).
- sched/topology: Fix overlapping sched_group_capacity
  (bnc#1022476).
- sched/topology: Add sched_group_capacity debugging
  (bnc#1022476).
- sched/topology: Small cleanup (bnc#1022476).
- sched/topology: Remove FORCE_SD_OVERLAP (bnc#1022476).
- sched/topology: Move comment about asymmetric node setups
  (bnc#1022476).
- sched/topology: Verify the first group matches the child domain
  (bnc#1022476).
- sched/debug: Print the scheduler topology group mask
  (bnc#1022476).
- sched/topology: Simplify build_overlap_sched_groups()
  (bnc#1022476).
- sched/topology: Fix building of overlapping sched-groups
  (bnc#1022476).
- sched/fair, cpumask: Export for_each_cpu_wrap() (bnc#1022476).
- sched/topology: Refactor function build_overlap_sched_groups()
  (bnc#1022476).
- commit 8e2334f
* Wed Jul 26 2017 lduncan@suse.com
- Fixed incorrect patch tag and series.conf location
  This patch had an incorrect Patch-mainline tag, which
  has been fixed. Also, the location of this patch in
  the series.conf file has been moved to a more
  appropriate location.
- commit e1e6ffc
* Wed Jul 26 2017 lduncan@suse.com
- scsi: qedi: Remove WARN_ON from clear task context
  (bsc#1044443).
- scsi: qedi: Remove WARN_ON for untracked cleanup (bsc#1044443).
- commit 6153b04
* Tue Jul 25 2017 bpoirier@suse.com
- net: phy: Do not perform software reset for Generic PHY
  (bsc#1042286).
- blacklist.conf:
- commit ec0712c
* Tue Jul 25 2017 msuchanek@suse.de
- powerpc: Add POWER9 architected mode to cputable (bsc#1048916,
  fate#321439).
- commit ce5d943
* Tue Jul 25 2017 msuchanek@suse.de
- powerpc: Support POWER9 in architected mode (bsc#1048916, fate#321439).
- commit 12445e4
* Tue Jul 25 2017 jroedel@suse.de
- Refresh patches.kabi/Fix-kABI-breakage-by-KVM-CVE-fix.patch.
  Fix a stupid bug where the VCPU_REGS_TF shift was used as a mask.
- commit 9dc9706
* Tue Jul 25 2017 msuchanek@suse.de
- Move more vnic patches into sorted section
- commit 56c3789
* Tue Jul 25 2017 msuchanek@suse.de
- blacklist 2400fd822f46 powerpc/asm: Mark cr0 as clobbered in mftb()
- commit a2e3165
* Tue Jul 25 2017 jroedel@suse.de
- Delete
  patches.drivers/0004-iommu-amd-reduce-delay-waiting-for-command-buffer-space.
  Remove the patch because it caused problems for users. See
  bsc#1048348.
- commit 0e3ab95
* Tue Jul 25 2017 nborisov@suse.com
- xfs: don't BUG() on mixed direct and mapped I/O
  (bsc#1050188).
- commit 1f5ebe4
* Mon Jul 24 2017 bpoirier@suse.com
- Refresh network patches sorted section
  Trivial change but add it now for consistency.
- commit e1648f8
* Mon Jul 24 2017 bpoirier@suse.com
- Integrate vnic patches into sorted network patches section
- commit 8e7092d
* Mon Jul 24 2017 msuchanek@suse.de
- s390/kdump: remove code to create ELF notes in the crashed
  system (bsc#1049706).
- commit 8c4bbc3
* Mon Jul 24 2017 jroedel@suse.de
- Fix kABI breakage by KVM CVE fix (bsc#1045922).
- Delete
  patches.kabi/kabi-fix-for-kvm-x86-fix-singlestepping-over-syscall.
- commit a89a76a
* Mon Jul 24 2017 msuchanek@suse.de
- powerpc/fadump: Add a warning when 'fadump_reserve_mem='
  is used (bsc#1049231).
- commit 56ae833
* Mon Jul 24 2017 msuchanek@suse.de
- s390/crash: Remove unused KEXEC_NOTE_BYTES (bsc#1049706).
- commit 4f2dc2b
* Mon Jul 24 2017 tbogendoerfer@suse.de
- blacklist.conf: cxgb4 commit doesn't fit for SP2
- commit cf1215c
* Mon Jul 24 2017 tbogendoerfer@suse.de
- cxgb4: fix BUG() on interrupt deallocating path of ULD
  (bsc#1005778).
- cxgb4: fix memory leak in init_one() (bsc#1005778).
- cxgb4: fix a NULL dereference (bsc#1005778).
- commit 2ca6180
* Mon Jul 24 2017 tbogendoerfer@suse.de
- qed: Add missing static/local dcbx info (bsc#1019695).
- qed: Correct print in iscsi error-flow (bsc#1019695).
- commit ac366eb
* Mon Jul 24 2017 mhocko@suse.cz
- blacklist.conf: 9eeacd3a2f17 not a bug fix (bnc#1050061)
- commit a0d9624
* Mon Jul 24 2017 mhocko@suse.cz
- blacklist.conf: blacklist 38cb266ad1a2 (trivial formatting doc update)
- commit 5714974
* Mon Jul 24 2017 mhocko@suse.cz
- blacklist.conf: blacklist 3590d50e2313 (trivial doc update)
- commit 81d28e1
* Fri Jul 21 2017 mcgrof@suse.com
- kernel/sysctl_binary.c: check name array length in deprecated_sysctl_warning() (FATE#323821).
- test_sysctl: test against int proc_dointvec() array support (FATE#323821).
- test_sysctl: add simple proc_douintvec() case (bsc#323821).
- test_sysctl: add simple proc_dointvec() case (FATE#323821).
- test_sysctl: test against PAGE_SIZE for int (FATE#323821)
- test_sysctl: add generic script to expand on tests (FATE#323821)
- test_sysctl: add dedicated proc sysctl test driver (FATE#323821)
- sysctl: add unsigned int range support (FATE#323821)
- sysctl: simplify unsigned int support (bsc#1048893).
- sysctl: fold sysctl_writes_strict checks into helper (bsc#1048893).
- sysctl: kdoc'ify sysctl_writes_strict (bsc#1048893).
- sysctl: fix lax sysctl_check_table() sanity check (bsc#1048893).
- kernel/*: switch to memdup_user_nul() (bsc#1048893).
- new helper: memdup_user_nul() (bsc#1048893).
- commit a07f8f7
* Fri Jul 21 2017 lhenriques@suse.com
- Refresh
  patches.fixes/ceph-check-i_nlink-while-converting-a-file-handle-to-dentry.patch.
- commit 1df8369
* Fri Jul 21 2017 tiwai@suse.de
- Revert "powerpc/numa: Fix percpu allocations to be NUMA aware"
  (bsc#1048914).
- commit 6beeafd
* Fri Jul 21 2017 jslaby@suse.cz
- Linux 4.4.78 (CVE-2017-7541 bnc#1012382 bsc#1042286
  bsc#1049645).
- kABI: protect lwtunnel include in ip6_route.h (kabi).
- kABI: protect struct xfrm_dst (kabi).
- kABI: protect struct tpm_chip (kabi).
- Revert "tpm: Issue a TPM2_Shutdown for TPM2 devices." (kabi).
- Revert "Add "shutdown" to "struct class"." (kabi).
- Revert "mm/list_lru.c: fix list_lru_count_node() to be race
  free" (kabi).
- Refresh
  patches.drivers/ixgbe-0054-net-rework-ndo-tc-op-to-consume-additional-qdisc-han.patch.
- Refresh
  patches.drivers/ixgbe-0055-net-rework-setup_tc-ndo-op-to-consume-general-tc-ope.patch.
- Refresh
  patches.fixes/net-vrf-Fix-dev-refcnt-leak-due-to-IPv6-prefix-route.patch.
- Refresh patches.fixes/net-vrf-Fix-dst-reference-counting.patch.
- Refresh
  patches.fixes/net-vrf-Switch-dst-dev-to-loopback-on-device-delete.patch.
- Refresh
  patches.fixes/vrf-remove-slave-queue-and-private-slave-struct.patch.
- Refresh patches.suse/tpm-Downgrade-error-level.
- Delete
  patches.fixes/brcmfmac-fix-possible-buffer-overflow-in-brcmf_cfg80.
- Delete
  patches.fixes/net-handle-NAPI_GRO_FREE_STOLEN_HEAD-case-also-in-na.patch.
- commit 37a5aa2
* Fri Jul 21 2017 jroedel@suse.de
- x86/acpi: Prevent out of bound access caused by broken ACPI
  tables (CVE-2017-11473 bsc#1049603).
- commit 9ec1c0e
* Fri Jul 21 2017 dchang@suse.com
- sfc: Add ethtool -m support for QSFP modules (bsc#1049619).
- commit b72a493
* Fri Jul 21 2017 neilb@suse.com
- NFS: Cache aggressively when file is open for writing
  (bsc#1033587).
- NFS: Don't flush caches for a getattr that races with writeback
  (bsc#1033587).
- commit a669b38
* Thu Jul 20 2017 mwilck@suse.com
- Refresh
  patches.drivers/0002-nvme-wwid_show-strip-trailing-0-bytes.
  Added underflow protection as suggested on LKML
- commit 4fbe78a
* Thu Jul 20 2017 mwilck@suse.com
- Refreshed meta data of 4.31-rc1 patch series for hpsa
- Refresh
  patches.drivers/0001-hpsa-update-identify-physical-device-structure.patch.
- Refresh
  patches.drivers/0002-hpsa-do-not-get-enclosure-info-for-external-devices.patch.
- Refresh patches.drivers/0003-hpsa-update-reset-handler.patch.
- Refresh patches.drivers/0004-hpsa-do-not-reset-enclosures.patch.
- Refresh
  patches.drivers/0005-hpsa-rescan-later-if-reset-in-progress.patch.
- Refresh
  patches.drivers/0006-hpsa-correct-resets-on-retried-commands.patch.
- Refresh patches.drivers/0007-hpsa-cleanup-reset-handler.patch.
- Refresh
  patches.drivers/0008-hpsa-correct-queue-depth-for-externals.patch.
- Refresh
  patches.drivers/0009-hpsa-separate-monitor-events-from-rescan-worker.patch.
- Refresh
  patches.drivers/0010-hpsa-send-ioaccel-requests-with-0-length-down-raid-path.patch.
- Update patches.drivers/0011-hpsa-remove-abort-handler.patch
  (bsc#1022600 fate#321928 bsc#1016119).
- Refresh patches.drivers/0012-hpsa-bump-driver-version.patch.
- commit b7092cd
* Thu Jul 20 2017 mwilck@suse.com
- nvme: also provide a UUID in the WWID sysfs attribute
  (bsc#1048146).
- commit 35380de
* Thu Jul 20 2017 jack@suse.cz
- dentry name snapshots (CVE-2017-7533 bsc#1049483).
- dentry name snapshots (bsc#1049483).
- commit b50016f
* Thu Jul 20 2017 mwilck@suse.com
- string.h: add memcpy_and_pad() (bsc#1048146).
- commit 5d4afa5
* Thu Jul 20 2017 tiwai@suse.de
- i2c: designware-baytrail: fix potential null pointer dereference
  on dev (bsc#1011913).
- commit 1ca4888
* Thu Jul 20 2017 tiwai@suse.de
- brcmfmac: fix possible buffer overflow in
  brcmf_cfg80211_mgmt_tx() (CVE-2017-7541,bsc#1049645).
- commit a4f3efe
* Thu Jul 20 2017 jeffm@suse.com
- btrfs: fix lockup in find_free_extent with read-only block
  groups (bsc#1046682).
- commit 357ccdb
* Wed Jul 19 2017 mmarek@suse.cz
- rpm/kernel-binary.spec.in: find-debuginfo.sh should not touch build-id
  This needs rpm-4.14+ (bsc#964063).
- commit f80d05c
* Wed Jul 19 2017 lhenriques@suse.com
- libceph: potential NULL dereference in ceph_msg_data_create()
  (bsc#1048228).
- libceph: don't call encode_request_finish() on MOSDBackoff
  messages (bsc#1048228).
- libceph: use alloc_pg_mapping() in __decode_pg_upmap_items()
  (bsc#1048228).
- libceph: set -EINVAL in one place in crush_decode()
  (bsc#1048228).
- libceph: NULL deref on osdmap_apply_incremental() error path
  (bsc#1048228).
- libceph: fix old style declaration warnings (bsc#1048228).
- commit 0652408
* Wed Jul 19 2017 jack@suse.cz
- ext4: avoid unnecessary stalls in ext4_evict_inode()
  (bsc#1049486).
- commit 07e9ad2
* Wed Jul 19 2017 vliaskovitis@suse.com
- x86/mce: Make timer handling more robust (bsc#1042422).
- xen: hold lock_device_hotplug throughout vcpu hotplug operations
  (bsc#1042422).
- commit b7e0619
* Wed Jul 19 2017 lhenriques@suse.com
- libceph: advertise support for NEW_OSDOP_ENCODING and
  SERVER_LUMINOUS (bsc#1048228).
- libceph: osd_state is 32 bits wide in luminous (bsc#1048228).
- crush: remove an obsolete comment (bsc#1048228).
- crush: crush_init_workspace starts with struct crush_work
  (bsc#1048228).
- libceph, crush: per-pool crush_choose_arg_map for
  crush_do_rule() (bsc#1048228).
- crush: implement weight and id overrides for straw2
  (bsc#1048228).
- libceph: apply_upmap() (bsc#1048228).
- libceph: compute actual pgid in ceph_pg_to_up_acting_osds()
  (bsc#1048228).
- libceph: pg_upmap[_items] infrastructure (bsc#1048228).
- libceph: ceph_decode_skip_* helpers (bsc#1048228).
- libceph: kill __{insert,lookup,remove}_pg_mapping()
  (bsc#1048228).
- libceph: introduce and switch to decode_pg_mapping()
  (bsc#1048228).
- libceph: don't pass pgid by value (bsc#1048228).
- libceph: respect RADOS_BACKOFF backoffs (bsc#1048228).
- libceph: make DEFINE_RB_* helpers more general (bsc#1048228).
- libceph: avoid unnecessary pi lookups in calc_target()
  (bsc#1048228).
- libceph: use target pi for calc_target() calculations
  (bsc#1048228).
- libceph: always populate t->target_{oid,oloc} in calc_target()
  (bsc#1048228).
- libceph: make sure need_resend targets reflect latest map
  (bsc#1048228).
- libceph: delete from need_resend_linger before
  check_linger_pool_dne() (bsc#1048228).
- libceph: resend on PG splits if OSD has RESEND_ON_SPLIT
  (bsc#1048228).
- libceph: drop need_resend from calc_target() (bsc#1048228).
- libceph: MOSDOp v8 encoding (actual spgid + full hash)
  (bsc#1048228).
- libceph: ceph_connection_operations::reencode_message() method
  (bsc#1048228).
- libceph: encode_{pgid,oloc}() helpers (bsc#1048228).
- libceph: introduce ceph_spg, ceph_pg_to_primary_shard()
  (bsc#1048228).
- libceph: new pi->last_force_request_resend (bsc#1048228).
- libceph: foldreq->last_force_resend into ceph_osd_request_target
  (bsc#1048228).
- libceph: support SERVER_JEWEL feature bits (bsc#1048228).
- libceph: advertise support for OSD_POOLRESEND (bsc#1048228).
- libceph: handle non-empty dest in ceph_{oloc,oid}_copy()
  (bsc#1048228).
- libceph: new features macros (bsc#1048228).
- libceph: remove ceph_sanitize_features() workaround
  (bsc#1048228).
- ceph: update ceph_dentry_info::lease_session when necessary
  (bsc#1048228).
- ceph: new mount option that specifies fscache uniquifier
  (bsc#1048228).
- ceph: avoid accessing freeing inode in ceph_check_delayed_caps()
  (bsc#1048228).
- ceph: avoid invalid memory dereference in the middle of umount
  (bsc#1048228).
- ceph: getattr before read on ceph.* xattrs (bsc#1048228).
- ceph: don't re-send interrupted flock request (bsc#1048228).
- ceph: cleanup writepage_nounlock() (bsc#1048228).
- ceph: redirty page when writepage_nounlock() skips unwritable
  page (bsc#1048228).
- ceph: remove useless page->mapping check in writepage_nounlock()
  (bsc#1048228).
- ceph: update the 'approaching max_size' code (bsc#1048228).
- ceph: re-request max size after importing caps (bsc#1048228).
- ceph: when seeing write errors on an inode, switch to sync
  writes (bsc#1048228).
- Revert "ceph: SetPageError() for writeback pages if writepages
  fails" (bsc#1048228).
- ceph: handle epoch barriers in cap messages (bsc#1048228).
- libceph: add an epoch_barrier field to struct ceph_osd_client
  (bsc#1048228).
- libceph: abort already submitted but abortable requests when
  map or  pool goes full (bsc#1048228).
- libceph: allow requests to return immediately on full conditions
  if  caller wishes (bsc#1048228).
- libceph: remove req->r_replay_version (bsc#1048228).
- ceph: remove special ack vs commit behavior (bsc#1048228).
- libceph: osd_request_timeout option (bsc#1048228).
- libceph: get rid of ack vs commit (bsc#1048228).
- libceph: remove now unused finish_request() wrapper
  (bsc#1048228).
- libceph: always signal completion when done (bsc#1048228).
- libceph: initialize last_linger_id with a large integer
  (bsc#1048228).
- libceph: take osdc->lock in osdmap_show() and dump flags in hex
  (bsc#1048228).
- libceph: pool deletion detection (bsc#1048228).
- commit c4165d1
* Wed Jul 19 2017 jthumshirn@suse.de
- IB/rxe: Fix kernel panic from skb destructor (bsc#1049361).
- Refresh
  patches.drivers/hfi1-qib-0382-IB-rxe-Remove-a-pointless-indirection-layer.patch.
- commit 9d3edfc
* Wed Jul 19 2017 rgoldwyn@suse.com
- Refresh
  patches.fixes/0002-btrfs-Change-qgroup_meta_rsv-to-64bit.patch.
- Refresh
  patches.fixes/0003-btrfs-qgroups-Retry-after-commit-on-getting-EDQUOT.patch.
- commit 441882e
* Wed Jul 19 2017 jack@suse.cz
- xfs: Don't clear SGID when inheriting ACLs (bsc#1030552).
- ocfs2: Don't clear SGID when inheriting ACLs (bsc#1030552).
- ocfs2: Make ocfs2_set_acl() static (bsc#1030552).
- reiserfs: Don't clear SGID when inheriting ACLs (bsc#1030552).
- btrfs: Don't clear SGID when inheriting ACLs (bsc#1030552).
- ext4: Don't clear SGID when inheriting ACLs (bsc#1030552).
- ext2: Don't clear SGID when inheriting ACLs (bsc#1030552).
- commit d450422
* Wed Jul 19 2017 gqjiang@suse.com
- md-cluster: Fix a memleak in an error handling path
  (bsc#1049289).
- commit f8706c2
* Wed Jul 19 2017 jeffm@suse.com
- btrfs: add cond_resched to btrfs_qgroup_trace_leaf_items
  (bsc#1028286).
- commit 06d5b23
* Wed Jul 19 2017 neilb@suse.com
- Refresh patches.fixes/nfs_flush_incompatible.fix.
  Upstream does have a version of this after all..
- commit b8c20e9
* Tue Jul 18 2017 bpoirier@suse.com
- Refresh network patches sorted section
- commit 04dc753
* Tue Jul 18 2017 bpoirier@suse.com
- net: hns: Bugfix for Tx timeout handling in hns driver
  (bsc#1048451).
- commit 54c1adb
* Tue Jul 18 2017 mhocko@suse.cz
- Refresh
  patches.fixes/mm-introduce-arch_reserved_kernel_pages.patch.
- Refresh
  patches.fixes/mm-memblock-expose-total-reserved-memory.patch.
- Refresh
  patches.fixes/powerpc-implement-arch_reserved_kernel_pages.patch.
- commit bf93e3f
* Tue Jul 18 2017 mgorman@suse.de
- Refresh
  patches.suse/mm-fadvise-avoid-expensive-remote-LRU-cache-draining-after-FADV_DONTNEED.patch.
- Refresh patches.suse/mm-fix-remote-numa-hits-statistics.patch.
- Refresh patches.suse/mm-get-rid-of-__GFP_OTHER_NODE.patch.
- Refresh
  patches.suse/mm-mmzone.c-swap-likely-to-unlikely-as-code-logic-is-different-for-next_zones_zonelist.patch.
- commit b0ae3a4
* Tue Jul 18 2017 mgorman@suse.de
- Refresh
  patches.suse/mm-mprotect.c-don-t-touch-single-threaded-PTEs-which-are-on-the-right-node.patch.
- Refresh
  patches.suse/sched-debug-always-show-nr_migrations.patch.
- Refresh
  patches.suse/thp-fix-MADV_DONTNEED-vs.-numa-balancing-race.patch.
- Refresh
  patches.suse/thp-reduce-indentation-level-in-change_huge_pmd.patch.
- commit 1cd88f5
* Tue Jul 18 2017 jack@suse.cz
- Update patch tags:
  patches.fixes/btrfs-Make-flush-bios-explicitely-sync.patch
  patches.fixes/gfs2-Make-flush-bios-explicitely-sync.patch
  patches.fixes/md-Make-flush-bios-explicitely-sync.patch
  patches.fixes/reiserfs-Make-flush-bios-explicitely-sync.patch
- commit 109351c
* Tue Jul 18 2017 mhocko@suse.cz
- Refresh patches.suse/mm-delete-unnecessary-TTU_-flags.patch.
- Refresh
  patches.suse/mm-dont-assume-anonymous-pages-have-SwapBacked-flag.patch.
- Refresh
  patches.suse/mm-enable-MADV_FREE-for-swapless-system.patch.
- Refresh
  patches.suse/mm-move-MADV_FREE-pages-into-LRU_INACTIVE_FILE-list.patch.
- Refresh patches.suse/mm-reclaim-MADV_FREE-pages.patch.
- Refresh
  patches.suse/proc-show-MADV_FREE-pages-info-in-smaps.patch.
- commit 22a70de
* Tue Jul 18 2017 jack@suse.cz
- Update patch tags:
  patches.fixes/x86-mm-fix-gup_pte_range-vs-DAX-mappings.patch
  patches.suse/xfs-silence-warnings-in-xfs-vm-releasepage.patch
- commit 425898b
* Tue Jul 18 2017 msuchanek@suse.de
- Refresh ibmvnic patch metadata
  Also rename recent patches to 3 digit scheme.
- commit 6564b80
* Tue Jul 18 2017 tbogendoerfer@suse.de
- Updated Patch-mainline tags.
- Refresh
  patches.fixes/IB-addr-Fix-setting-source-address-in-addr6_resolve.patch.
- Refresh
  patches.fixes/net-mlx5e-Fix-timestamping-capabilities-reporting.patch.
- commit d9c9496
* Tue Jul 18 2017 jthumshirn@suse.de
- Refresh
  patches.drivers/0001-Fix-to-cleanup-aborted-IO-to-avoid-device-being-offlined-by-mid-layer.patch.
- Refresh patches.drivers/0001-scsi-fcoe-convert-to-kworker.patch.
- Refresh
  patches.drivers/0001-scsi-libfc-Do-not-take-rdata-rp_mutex-when-processin.patch.
- Refresh
  patches.drivers/0001-scsi-pm8001-Mark-symbols-static-where-possible.patch.
- Refresh
  patches.drivers/0002-Cleanup-the-I-O-pending-with-fw-and-has-timed-out-and-is-used-to-issue-LUN-reset.patch.
- Refresh patches.drivers/0002-pm8001-fix-typo.patch.
- Refresh
  patches.drivers/0002-scsi-fcoe-Harden-CVL-handling-when-we-have-not-logge.patch.
- Refresh
  patches.drivers/0002-scsi-qedf-Fix-crash-due-to-unsolicited-FIP-VLAN-resp.patch.
- Refresh
  patches.drivers/0003-Using-rport--dd_data-to-check-rport-online-instead-of-rport_lookup..patch.
- Refresh
  patches.drivers/0003-pm80xx-Remove-bogus-address-masking-in-pm8001_iorema.patch.
- Refresh
  patches.drivers/0003-scsi-libfc-Revert-SCSI-libfc-use-offload-EM-instance.patch.
- Refresh
  patches.drivers/0003-scsi-qedf-Enable-basic-FDMI-information.patch.
- Refresh patches.drivers/0004-aacraid-added-eeh-support.patch.
- Refresh
  patches.drivers/0004-scsi-fnic-use-kernel-s-pM-format-option-to-print-MAC.patch.
- Refresh
  patches.drivers/0004-scsi-libfc-use-error-code-for-fc_rport_error.patch.
- Refresh
  patches.drivers/0004-scsi-qedf-Update-copyright-to-2017.patch.
- Refresh
  patches.drivers/0005-RDMA-bnxt_re-Fixing-the-Control-path-command-and-res.patch.
- Refresh
  patches.drivers/0005-scsi-libfc-Rework-PRLI-handling.patch.
- Refresh
  patches.drivers/0005-scsi-qedf-Honor-qed_ops-common-set_fp_int-return-cod.patch.
- Refresh
  patches.drivers/0006-RDMA-bnxt_re-HW-workarounds-for-handling-specific-co.patch.
- Refresh
  patches.drivers/0006-scsi-fnic-Avoid-sending-reset-to-firmware-when-anoth.patch.
- Refresh
  patches.drivers/0006-scsi-libfc-reset-timeout-on-queue-full.patch.
- Refresh
  patches.drivers/0006-scsi-qedf-Look-at-all-descriptors-when-processing-a-.patch.
- Refresh
  patches.drivers/0007-aacraid-fundamental-reset-support-for-series-7.patch.
- Refresh
  patches.drivers/0007-scsi-fnic-Ratelimit-printks-to-avoid-flooding-when-v.patch.
- Refresh
  patches.drivers/0007-scsi-libfc-Check-xid-when-looking-up-REC-exchanges.patch.
- Refresh
  patches.drivers/0007-scsi-qedf-Check-that-fcport-is-offloaded-before-dere.patch.
- Refresh
  patches.drivers/0008-RDMA-bnxt_re-Dereg-MR-in-FW-before-freeing-the-fast_.patch.
- Refresh
  patches.drivers/0008-aacraid-created-new-mutex-for-ioctl-path.patch.
- Refresh patches.drivers/0008-scsi-fcoe-FIP-debugging.patch.
- Refresh
  patches.drivers/0008-scsi-fnic-minor-cleanup-in-fnic_fcpio_itmf_cmpl_hand.patch.
- Refresh
  patches.drivers/0008-scsi-qedf-Add-fka_period-SCSI-host-attribute-to-show.patch.
- Refresh
  patches.drivers/0009-aacraid-fix-aif-triggered-iop_reset.patch.
- Refresh
  patches.drivers/0009-scsi-fcoe-correct-sending-FIP-VLAN-packets-on-VLAN-0.patch.
- Refresh
  patches.drivers/0009-scsi-fnic-Fix-for-Number-of-Active-IOs-in-fnicstats-.patch.
- Refresh
  patches.drivers/0009-scsi-qedf-Set-qed-logging-level-to-QED_LEVEL_NOTICE.patch.
- Refresh
  patches.drivers/0010-RDMA-bnxt_re-Add-HW-workaround-for-avoiding-stall-fo.patch.
- Refresh
  patches.drivers/0010-aacraid-fix-character-device-re-initialization.patch.
- Refresh
  patches.drivers/0010-scsi-fcoe-Fixup-missing-initialisation-in-fcoe_dcb_c.patch.
- Refresh
  patches.drivers/0010-scsi-fnic-Avoid-false-out-of-order-detection-for-abo.patch.
- Refresh
  patches.drivers/0010-scsi-qedf-Use-same-logic-for-SCSI-host-reset-and-FC-.patch.
- Refresh
  patches.drivers/0011-aacraid-update-driver-version.patch.
- Refresh
  patches.drivers/0011-scsi-fnic-Adding-Check-Condition-counter-to-misc-fni.patch.
- Refresh
  patches.drivers/0011-scsi-libfc-Replace-seq_els_rsp_send-callback-with-fu.patch.
- Refresh
  patches.drivers/0011-scsi-qedf-Add-bus_reset-No-op.patch.
- Refresh
  patches.drivers/0012-scsi-fnic-Adding-debug-IO-and-Abort-latency-counter-.patch.
- Refresh
  patches.drivers/0012-scsi-libfc-Replace-lport_reset-callback-with-functio.patch.
- Refresh
  patches.drivers/0012-scsi-qedf-Add-non-offload-receive-filters.patch.
- Refresh
  patches.drivers/0013-scsi-fnic-bug-fix-for-fip.fip_subcode-in-fnic_fcoe_s.patch.
- Refresh
  patches.drivers/0013-scsi-libfc-Replace-lport_recv-with-function-call.patch.
- Refresh
  patches.drivers/0013-scsi-qedf-Fixup-unnecessary-parantheses-around-test_.patch.
- Refresh
  patches.drivers/0014-RDMA-bnxt_re-Fix-RQE-posting-logic.patch.
- Refresh
  patches.drivers/0014-scsi-libfc-Replace-exch_seq_send-callback-with-funct.patch.
- Refresh
  patches.drivers/0015-scsi-libfc-Replace-rport_destroy-callback-with-funct.patch.
- Refresh
  patches.drivers/0015-scsi-qedf-Change-cmd_per_lun-in-scsi_host_template-t.patch.
- Refresh
  patches.drivers/0016-scsi-libfc-Replace-rport_lookup-callback-with-functi.patch.
- Refresh
  patches.drivers/0016-scsi-qedf-Add-change_queue_depth-member-to-scsi_host.patch.
- Refresh
  patches.drivers/0017-scsi-libfc-Replace-rport_create-callback-with-functi.patch.
- Refresh
  patches.drivers/0017-scsi-qedf-Update-version-number-to-8.18.22.0.patch.
- Refresh
  patches.drivers/0018-qla2xxx-remove-unneeded-link-offline-message.patch.
- Refresh
  patches.drivers/0018-scsi-libfc-Replace-rport_login-callback-with-functio.patch.
- Refresh
  patches.drivers/0018-scsi-qedf-Check-if-sense-buffer-has-been-allocated-d.patch.
- Refresh
  patches.drivers/0018-scsi-smartpqi-correct-remove-scsi-devices.patch.
- Refresh
  patches.drivers/0019-RDMA-bnxt_re-remove-fmr-support.patch.
- Refresh
  patches.drivers/0019-qla2xxx-seed-init-cb-login-timeout-from-nvram-exclusively.patch.
- Refresh
  patches.drivers/0019-scsi-libfc-Replace-rport_logoff-callback-with-functi.patch.
- Refresh
  patches.drivers/0019-scsi-smartpqi-cleanup-interrupt-management.patch.
- Refresh
  patches.drivers/0020-hpsa-change-hpsa_passthru_ioctl-timeout.patch.
- Refresh
  patches.drivers/0020-qla2xxx-allow-fw-to-hold-status-before-sending-abts-response.patch.
- Refresh
  patches.drivers/0020-scsi-libfc-Replace-rport_recv_req-callback-with-func.patch.
- Refresh
  patches.drivers/0020-scsi-smartpqi-set-pci-completion-timeout.patch.
- Refresh
  patches.drivers/0021-qla2xxx-add-support-for-online-flash-update-for-isp27xx.patch.
- Refresh
  patches.drivers/0021-scsi-libfc-Replace-rport_flush_queue-callback-with-f.patch.
- Refresh
  patches.drivers/0021-scsi-smartpqi-add-in-controller-checkpoint-for-contr.patch.
- Refresh
  patches.drivers/0022-aacraid-do-not-activate-events-on-non-SRC-adapters.patch.
- Refresh
  patches.drivers/0022-qla2xxx-add-support-for-buffer-to-buffer-credit-value-for-isp27xx.patch.
- Refresh
  patches.drivers/0022-scsi-libfc-Remove-fc_rport_init.patch.
- Refresh
  patches.drivers/0022-scsi-smartpqi-ensure-controller-is-in-SIS-mode-at-in.patch.
- Refresh
  patches.drivers/0023-qla2xxx-add-support-for-private-link-statistics-counters.patch.
- Refresh
  patches.drivers/0023-scsi-libfc-Replace-seq_send-callback-with-function-c.patch.
- Refresh
  patches.drivers/0023-scsi-smartpqi-add-supporting-events.patch.
- Refresh
  patches.drivers/0024-qla2xxx-avoid-side-effects-when-using-endianizer-macros.patch.
- Refresh
  patches.drivers/0024-scsi-libfc-Replace-seq_exch_abort-callback-with-func.patch.
- Refresh patches.drivers/0024-scsi-smartpqi-enhance-resets.patch.
- Refresh
  patches.drivers/0025-qla2xxx-provide-mbx-info-in-bbcr-data-after-mbx-failure.patch.
- Refresh
  patches.drivers/0025-scsi-libfc-Replace-exch_done-callback-with-function-.patch.
- Refresh
  patches.drivers/0025-scsi-smartpqi-add-suspend-and-resume-support.patch.
- Refresh
  patches.drivers/0026-qla2xxx-enable-t10-dif-for-isp27xx.patch.
- Refresh
  patches.drivers/0026-scsi-libfc-Replace-seq_start_next-callback-with-func.patch.
- Refresh
  patches.drivers/0026-scsi-smartpqi-add-heartbeat-check.patch.
- Refresh
  patches.drivers/0027-qla2xxx-set-relogin-flag-when-we-fail-to-queue-login-requests.patch.
- Refresh
  patches.drivers/0027-scsi-libfc-Replace-seq_set_resp-callback-with-direct.patch.
- Refresh
  patches.drivers/0027-scsi-smartpqi-correct-bdma-hw-bug.patch.
- Refresh
  patches.drivers/0028-qla2xxx-update-driver-version-to-8-07-00-33-k.patch.
- Refresh
  patches.drivers/0028-scsi-libfc-Replace-seq_assign-callback-with-function.patch.
- Refresh
  patches.drivers/0028-scsi-smartpqi-add-pqi_wait_for_completion_io.patch.
- Refresh
  patches.drivers/0029-scsi-libfc-Replace-seq_release-callback-with-functio.patch.
- Refresh
  patches.drivers/0029-scsi-smartpqi-make-pdev-pointer-names-consistent.patch.
- Refresh
  patches.drivers/0030-scsi-libfc-Don-t-have-fc_exch_find-log-errors-on-a-n.patch.
- Refresh
  patches.drivers/0030-scsi-smartpqi-eliminate-redundant-error-messages.patch.
- Refresh
  patches.drivers/0031-scsi-libfc-Remove-an-unneeded-condition.patch.
- Refresh
  patches.drivers/0031-scsi-smartpqi-correct-BMIC-identify-physical-drive.patch.
- Refresh
  patches.drivers/0032-scsi-smartpqi-minor-driver-cleanup.patch.
- Refresh
  patches.drivers/0033-scsi-smartpqi-add-new-PCI-device-IDs.patch.
- Refresh
  patches.drivers/0034-scsi-smartpqi-cleanup-messages.patch.
- Refresh
  patches.drivers/0035-scsi-smartpqi-update-copyright.patch.
- Refresh
  patches.drivers/0036-scsi-smartpqi-add-ptraid-support.patch.
- Refresh
  patches.drivers/0037-scsi-smartpqi-change-return-value-for-LUN-reset-oper.patch.
- Refresh patches.drivers/0038-scsi-smartpqi-enhance-kdump.patch.
- Refresh
  patches.drivers/0039-scsi-smartpqi-remove-qdepth-calculations-for-logical.patch.
- Refresh
  patches.drivers/0040-scsi-smartpqi-add-lockup-action.patch.
- Refresh
  patches.drivers/0041-scsi-smartpqi-correct-aio-error-path.patch.
- Refresh
  patches.drivers/0042-scsi-smartpqi-update-device-offline.patch.
- lightnvm: fix "warning: ‘ret’ may be used uninitialized"
  (FATE#319466).
- Refresh
  patches.drivers/0043-scsi-smartpqi-update-rescan-worker.patch.
- Refresh
  patches.drivers/0044-scsi-smartpqi-cleanup-controller-branding.patch.
- Refresh
  patches.drivers/0045-scsi-smartpqi-map-more-raid-errors-to-SCSI-errors.patch.
- Refresh
  patches.drivers/0046-scsi-smartpqi-update-timeout-on-admin-commands.patch.
- Refresh
  patches.drivers/0047-scsi-smartpqi-enhance-device-add-and-remove-messages.patch.
- Refresh
  patches.drivers/0048-scsi-smartpqi-make-ioaccel-references-consistent.patch.
- Refresh
  patches.drivers/0049-scsi-smartpqi-add-raid-level-show.patch.
- Refresh
  patches.drivers/0050-scsi-smartpqi-cleanup-list-initialization.patch.
- Refresh
  patches.drivers/0051-scsi-smartpqi-add-module-parameters.patch.
- Refresh
  patches.drivers/0052-scsi-smartpqi-remove-writeq-readq-function-definitio.patch.
- Refresh
  patches.drivers/0053-scsi-smartpqi-bump-driver-version.patch.
- Refresh
  patches.drivers/0108-nfit-add-Microsoft-NVDIMM-DSM-command-set-to-white-list.patch.
- Refresh
  patches.drivers/0110-nfit-cleanup-acpi-nfit-init-calling.patch.
- Refresh
  patches.drivers/0114-libnvdimm-Fix-nvdimm_probe-error-on-NVDIMM-N.patch.
- Refresh
  patches.drivers/0115-dax-fix-device-dax-region-base.patch.
- Refresh
  patches.drivers/0229-acpi-nfit-allow-override-of-built-in-bitmasks-for-nv.patch.
- Refresh
  patches.drivers/0230-acpi-nfit-allow-specifying-a-default-DSM-family.patch.
- Refresh
  patches.drivers/0231-acpi-nfit-remove-unnecessary-newline.patch.
- scsi: lpfc: Fix used-RPI accounting problem (bsc#1037838).
- scsi: lpfc: Fix system crash when port is reset (bsc#1037838).
- scsi: lpfc: Adding additional stats counters for nvme
  (bsc#1037838).
- scsi: lpfc: Fix nvmet RQ resource needs for large block writes
  (bsc#1037838).
- scsi: lpfc: Fix NVMEI driver not decrementing counter causing
  bad rport state (bsc#1037838).
- scsi: lpfc: Fix NMI watchdog assertions when running nvmet
  IOPS tests (bsc#1037838).
- scsi: lpfc: Separate NVMET data buffer pool fir ELS/CT
  (bsc#1037838).
- scsi: lpfc: Separate NVMET RQ buffer posting from IO resources
  SGL/iocbq/context (bsc#1037838).
- scsi: lpfc: Added recovery logic for running out of NVMET IO
  context resources (bsc#1037838).
- scsi: lpfc: Fix NVME I+T not registering NVME as a supported
  FC4 type (bsc#1037838).
- scsi: lpfc: Fix debugfs root inode "lpfc" not getting deleted
  on driver unload (bsc#1037838).
- scsi: lpfc: Cleanup entry_repost settings on SLI4 queues
  (bsc#1037838).
- scsi: lpfc: Fix NVMEI's handling of NVMET's PRLI response
  attributes (bsc#1037838).
- scsi: lpfc: Add MDS Diagnostic support (bsc#1037838).
- scsi: lpfc: update version to 11.2.0.14 (bsc#1037838).
- scsi: lpfc: Fix defects reported by Coverity Scan (bsc#1042257).
- scsi: lpfc: Add auto EQ delay logic (bsc#1042257).
- Refresh
  patches.drivers/0451-scatterlist-add-sg_zero_buffer-helper.patch.
- Refresh
  patches.drivers/0452-nvmet-use-NVME_IDENTIFY_DATA_SIZE.patch.
- Refresh
  patches.drivers/0453-nvme-introduce-NVMe-Namespace-Identification-Descrip.patch.
- Refresh
  patches.drivers/0454-nvme-rename-uuid-to-nguid-in-nvme_ns.patch.
- Refresh
  patches.drivers/0455-nvme-get-list-of-namespace-descriptors.patch.
- Refresh
  patches.drivers/0456-nvme-provide-UUID-value-to-userspace.patch.
- Refresh
  patches.drivers/0457-nvmet-implement-namespace-identify-descriptor-list.patch.
- Refresh
  patches.drivers/0458-nvmet-add-uuid-field-to-nvme_ns-and-populate-via-con.patch.
- Refresh
  patches.drivers/0459-nvmet-allow-overriding-the-NVMe-VS-via-configfs.patch.
- Refresh
  patches.drivers/0460-nvme-add-fields-into-identify-controller-data-struct.patch.
- scsi: lpfc: Fix system panic when express lane enabled
  (bsc#1044623).
- scsi: lpfc: Vport creation is failing with "Link Down" error
  (bsc#1044623).
- scsi: lpfc: Reduce time spent in IRQ for received NVME commands
  (bsc#1044623).
- scsi: lpfc: Fix SLI3 drivers attempting NVME ELS commands
  (bsc#1044623).
- scsi: lpfc: Fix crash after firmware flash when IO is running
  (bsc#1044623).
- scsi: lpfc: Fix crash doing IO with resets (bsc#1044623).
- scsi: lpfc: Fix crash in lpfc_sli_ringtxcmpl_put when nvmet
  gets an abort request (bsc#1044623).
- scsi: lpfc: Driver responds LS_RJT to Beacon Off ELS - Linux
  (bsc#1044623).
- scsi: lpfc: update to revision to 11.4.0.1 (bsc#1044623).
- Refresh
  patches.drivers/0469-nvme_fc-Fix-crash-when-nvme-controller-connection-fa.patch.
- Refresh
  patches.drivers/0470-nvmet_fc-fix-crashes-on-bad-opcodes.patch.
- Refresh
  patches.drivers/0473-nvme_fc-fix-double-calls-to-nvme_cleanup_cmd.patch.
- Refresh
  patches.drivers/0474-nvme_fc-fix-error-recovery-on-link-down.patch.
- scsi: lpfc: Fix nvme io stoppage after link bounce
  (bsc#1045404).
- scsi: lpfc: fix refcount error on node list (bsc#1045404).
- Refresh
  patches.drivers/blk-mq-NVMe-512B-4K-T10-DIF-DIX-format-returns-I-O-error-on-dd-with-split-op.patch.
  Update patch meta-data
- commit eb8e8e2
* Tue Jul 18 2017 mbenes@suse.cz
- blacklist.conf: blacklist 7b73305160f1, unneeded cleanup
- commit 69be526
* Tue Jul 18 2017 msuchanek@suse.de
- Refresh fadump patch metadata
- Refresh patches.arch/ia64-remove-multiple-definitions-of-append-elf.patch.
- Refresh patches.arch/move-crashkernel-and-vmcore-related-code-under-config_crash_dump.patch.
- Refresh patches.arch/powerpc-fadump-remove-dependency-with-kexec.patch.
- Refresh patches.arch/powerpc-fadump-reuse-crashkernel-parameter-to-reserve-memory.patch.
- Refresh patches.arch/powerpc-fadump-update-fadump-kernel-documentation.patch.
- commit b9ddd36
* Tue Jul 18 2017 msuchanek@suse.de
- Refresh metadata on recent powerpc patches.
- Refresh patches.arch/powerpc-Fix-proc-cpuinfo-revision-for-POWER9-DD2.patch.
- Refresh patches.arch/powerpc-perf-0026-Fix-branch-event-code-for-power9.patch.
- commit 2e01c01
* Tue Jul 18 2017 tiwai@suse.de
- Refresh patch tags for upstreamed patches
  No functional change at all.
- commit c175c93
* Tue Jul 18 2017 jgross@suse.com
- xen/pvh*: Support > 32 VCPUs at domain restore (bnc#1045563).
- commit e9e458b
* Tue Jul 18 2017 tbogendoerfer@suse.de
- Updated Patch-mainline tags.
- Refresh
  patches.drivers/cxgb4-0151-cxgb4-reduce-resource-allocation-in-kdump-kernel.patch.
- Refresh
  patches.drivers/cxgb4-0152-cxgb4-Fix-netdev_features-flag.patch.
- Refresh
  patches.drivers/cxgb4-0153-cxgb4-keep-carrier-off-before-registering-netdev.patch.
- Refresh
  patches.drivers/cxgb4-0154-RDMA-iw_cxgb4-calculate-t4_eq_status_entries-properl.patch.
- Refresh
  patches.drivers/cxgb4-0157-cxgb4-notify-uP-to-route-ctrlq-compl-to-rdma-rspq.patch.
- Refresh
  patches.drivers/net-mlx5-Enable-4K-UAR-only-when-page-size-is-bigger.patch.
- Refresh
  patches.drivers/net-mlx5-Remove-several-module-events-out-of-ethtool.patch.
- Refresh
  patches.drivers/net-mlx5e-Added-BW-check-for-DIM-decision-mechanism.patch.
- Refresh
  patches.drivers/net-mlx5e-Avoid-doing-a-cleanup-call-if-the-profile-.patch.
- Refresh
  patches.drivers/net-mlx5e-Fix-min-inline-value-for-VF-rep-SQs.patch.
- Refresh
  patches.drivers/net-mlx5e-Fix-wrong-indications-in-DIM-due-to-counte.patch.
- Refresh
  patches.drivers/qed-sp3-0262-qed-Don-t-log-missing-management-statistics.patch.
- Refresh
  patches.drivers/qed-sp3-0263-qed-fix-dump-of-context-data.patch.
- Refresh
  patches.drivers/qed-sp3-0264-qed-Enable-RoCE-parser-searching-on-fp-init.patch.
- Refresh
  patches.drivers/qed-sp3-0265-qed-Correct-order-of-wwnn-and-wwpn.patch.
- Refresh
  patches.drivers/qed-sp3-0266-qed-Share-additional-information-with-qedf.patch.
- Refresh
  patches.drivers/qed-sp3-0267-qed-Support-NVM-image-reading-API.patch.
- Refresh
  patches.drivers/qed-sp3-0268-qed-Add-support-for-changing-iSCSI-mac.patch.
- Refresh
  patches.drivers/xgene-sp3-0001-phy-Add-helper-function-to-check-phy-interface-mode.patch.
- Refresh
  patches.drivers/xgene-sp3-0011-drivers-net-xgene-Protect-indirect-MAC-access.patch.
- Refresh
  patches.drivers/xgene-sp3-0012-drivers-net-phy-xgene-Add-lock-to-protect-mac-access.patch.
- Refresh
  patches.drivers/xgene-sp3-0013-drivers-net-xgene-Use-rgmii-mdio-mac-access.patch.
- Refresh
  patches.drivers/xgene-sp3-0014-drivers-net-xgene-Remove-redundant-local-stats.patch.
- Refresh
  patches.drivers/xgene-sp3-0015-drivers-net-xgene-Refactor-statistics-error-parsing-.patch.
- Refresh
  patches.drivers/xgene-sp3-0016-drivers-net-xgene-Remove-unused-macros.patch.
- Refresh
  patches.drivers/xgene-sp3-0017-drivers-net-xgene-Extend-ethtool-statistics.patch.
- Refresh
  patches.drivers/xgene-sp3-0018-drivers-net-xgene-Add-rx_overrun-tx_underrun-statist.patch.
- Refresh
  patches.drivers/xgene-sp3-0019-drivers-net-xgene-Workaround-for-HW-errata-10GE_4.patch.
- Refresh
  patches.drivers/xgene-sp3-0020-drivers-net-xgene-Add-frame-recovered-statistics-cou.patch.
- Refresh
  patches.drivers/xgene-sp3-0021-drivers-net-xgene-Workaround-for-HW-errata-10GE_10-E.patch.
- Refresh
  patches.drivers/xgene-sp3-0022-drivers-net-xgene-Fix-redundant-prefetch-buffer-clea.patch.
- Refresh
  patches.drivers/xgene-sp3-0023-xgene-Check-all-RGMII-phy-mode-variants.patch.
- commit c860c3d
* Tue Jul 18 2017 jslaby@suse.cz
- Linux 4.4.77 (CVE-2017-10810 bnc#1012382 bnc#1046985 bsc#1047277
  bsc#1047651 bsc#1042314).
- Refresh patches.suse/01a-md-failfast-metadata.
- Delete
  patches.drivers/drm-virtio-don-t-leak-bo-on-drm_gem_object_init-fail.
- Delete
  patches.drivers/mac80211_hwsim-Replace-bogus-hrtimer-clockid.
- Delete
  patches.fixes/mm-fix-classzone_idx-underflow-in-shrink_zones.patch.
- Delete
  patches.fixes/sysctl-don-t-print-negative-flag-for-proc_douintvec.patch.
- commit 0af2db6
* Tue Jul 18 2017 jslaby@suse.cz
- livepatch/s390: reorganize TIF thread flag bits (fate#313296).
  Update upstream status.
- commit b629f26
* Tue Jul 18 2017 neilb@suse.com
- Refresh
  patches.fixes/0001-NFS-don-t-try-to-cross-a-mountpount-when-there-isn-t.patch.
- Refresh
  patches.fixes/0001-loop-Add-PF_LESS_THROTTLE-to-block-loop-device-threa.patch.
- Refresh
  patches.fixes/0001-md-handle-read-only-member-devices-better.patch.
  Add some Patch-mainline info as these have landed upstream.
- commit a19094e
* Tue Jul 18 2017 gqjiang@suse.com
- Refresh
  patches.suse/0004-md-cluster-use-sync-way-to-handle-METADATA_UPDATED-m.patch.
- Refresh
  patches.suse/0005-md-move-bitmap_destroy-to-the-beginning-of-__md_stop.patch.
- Refresh
  patches.suse/0006-md-cluster-add-CHANGE_CAPACITY-message-type.patch.
- Refresh
  patches.suse/0007-md-cluster-introduce-cluster_check_sync_size.patch.
- Refresh
  patches.suse/0008-md-cluster-add-the-support-for-resize.patch.
- commit 22e231d
* Tue Jul 18 2017 bpoirier@suse.com
- Refresh
  patches.fixes/scsi-bfa-Increase-requested-firmware-version-to-3.2..patch.
- commit 458e98a
* Tue Jul 18 2017 bpoirier@suse.com
- Refresh
  patches.drivers/e1000e-Don-t-return-uninitialized-stats.patch.
- commit 10cf7df
* Mon Jul 17 2017 tiwai@suse.de
- Refresh patch-mainline and git-commit tags in many patches
  No functional changes at all.
- commit c047969
* Mon Jul 17 2017 mbrugger@suse.com
- Refresh
  patches.arch/arm64-drivers-char-kmem-disable-on-arm64.patch.
- commit c6e0758
* Mon Jul 17 2017 msuchanek@suse.de
- Refresh metadata of fadump patches
- Refresh patches.arch/powerpc-fadump-Fix-the-race-in-crash_fadump.patch.
- Refresh patches.arch/powerpc-fadump-Reserve-memory-at-an-offset-closer-to.patch.
- Refresh patches.arch/powerpc-fadump-Update-fadump-documentation.patch.
- Refresh patches.arch/powerpc-fadump-add-reschedule-point-while-releasing-memory.patch.
- Refresh patches.arch/powerpc-fadump-avoid-duplicates-in-crash-memory-ranges.patch.
- Refresh patches.arch/powerpc-fadump-avoid-holes-in-boot-memory-area-when-fadump-is-registered.patch.
- Refresh patches.arch/powerpc-fadump-provide-a-helpful-error-message.patch.
- commit c9ba7d8
* Mon Jul 17 2017 msuchanek@suse.de
- Refresh TPM and CXL patch metadata.
- Refresh patches.arch/ACPICA-Update-TPM2-ACPI-table.patch.
- Refresh patches.arch/cxl-Unlock-on-error-in-probe.patch.
- Refresh patches.drivers/tpm-177-tis-Fix-IRQ-autoprobing-when-using-platform_devi.patch.
- Refresh patches.drivers/tpm-178-tis-Use-platform_get_irq.patch.
- Refresh patches.drivers/tpm-179-crb-fix-priv-cmd_size-initialisation.patch.
- commit c4a37c6
* Mon Jul 17 2017 oneukum@suse.com
- blacklist.conf: kABI breakage
  This touches struct device.
- commit 6f24202
* Mon Jul 17 2017 mmarek@suse.com
- Normalize Git-commit headers in SLE12-SP3 patches
  No functional changes intended.
- commit 03fe134
* Mon Jul 17 2017 mmarek@suse.com
- More Git-commit header fixups
  No functional change intended.
- commit 9623e38
* Mon Jul 17 2017 mmarek@suse.com
- Normalize the Git-commit headers in patches
  No functional change intended.
- commit 8a5ea49
* Mon Jul 17 2017 jthumshirn@suse.de
- scsi: qedf: Fix a return value in case of error in
  'qedf_alloc_global_queues' (bsc#1048912).
- blacklist.conf: Blacklist not applicable commits
- libnvdimm, region: fix flush hint detection crash (bsc#1048919).
- libnvdimm, pmem: fix a NULL pointer BUG in nd_pmem_notify
  (bsc#1048919).
- device-dax: fix sysfs attribute deadlock (bsc#1048919).
- commit 9e15186
* Mon Jul 17 2017 jthumshirn@suse.de
- scsi: aacraid: fix leak of data from stack back to userspace
  (bsc#1048912).
- scsi: aacraid: Don't copy uninitialized stack memory to
  userspace (bsc#1048912).
- commit 78c17c6
* Mon Jul 17 2017 mhocko@suse.cz
- mm: make PR_SET_THP_DISABLE immediately active (bnc#1048891).
- commit a05681a
* Fri Jul 14 2017 neilb@suse.com
- Refresh patches.fixes/0001-NFS-only-invalidate-dentrys-that-are-clearly-invalid.patch.
  add git-commit now that this has hit mainline
- commit dba9264
* Thu Jul 13 2017 mwilck@suse.com
- nvme: wwid_show: strip trailing 0-bytes (bsc#1048146).
- commit 81d7e50
* Thu Jul 13 2017 mwilck@suse.com
- nvmet: identify controller: improve standard compliance
  (bsc#1048146).
- commit 9487a31
* Thu Jul 13 2017 rgoldwyn@suse.com
- btrfs: Add WARN_ON for qgroup reserved underflow (bsc#1031515).
- commit c1284ef
* Thu Jul 13 2017 mbrugger@suse.com
- arm64: kernel: restrict /dev/mem read() calls to linear region
  (bsc#1046651).
- commit bc3b2a5
* Thu Jul 13 2017 tiwai@suse.de
- Update config files: fix arm64/vanilla build error due to CONFIG_DEVKMEM
- commit ab7bb2b
* Thu Jul 13 2017 tiwai@suse.de
- Fix kABI breakage by HD-audio bus caps extensions (bsc#1048356).
- ALSA: hda - set intel audio clock to a proper value
  (bsc#1048356).
- ALSA - hda: Add support for parsing new HDA capabilities
  (bsc#1048356).
- ALSA: hda - move bus_parse_capabilities to core (bsc#1048356).
- ALSA: hda - add more ML register definitions (bsc#1048356).
- ALSA: hdac: Add support for hda DMA Resume capability
  (bsc#1048356).
- ALSA: hda: Fix cpu lockup when stopping the cmd dmas
  (bsc#1048356).
- ALSA: hda - add sanity check to force the separate stream tags
  (bsc#1048356).
- ALSA: hdac_regmap - fix the register access for runtime PM
  (bsc#1048356).
- ALSA: hda: fix to wait for RIRB & CORB DMA to set (bsc#1048356).
- ALSA: hda - Loop interrupt handling until really cleared
  (bsc#1048356).
- commit f12f1e0
* Thu Jul 13 2017 mbrugger@suse.com
- arm64: Update config files.
  Disable DEVKMEM
- commit 7c2dd8a
* Thu Jul 13 2017 neilb@suse.com
- block: Move bdi_unregister() to del_gendisk() (bsc#1040307).
- block: Make del_gendisk() safer for disks without queues
  (bsc#1040307).
- block: Allow bdi re-registration (bsc#1040307).
- bdi: Fix use-after-free in wb_congested_put() (bsc#1040307).
- Refresh
  patches.drivers/0002-block-add-badblock-management-for-gendisks.patch.
- Refresh
  patches.drivers/0007-block-clarify-badblocks-lifetime.patch.
- commit 4ca6f1a
* Wed Jul 12 2017 mbrugger@suse.com
- drivers/char: kmem: disable on arm64 (bsc#1046655).
- commit 7846920
* Wed Jul 12 2017 jeffm@suse.com
- btrfs: resume qgroup rescan on rw remount (bsc#1047152).
- commit 040c849
* Wed Jul 12 2017 lduncan@suse.com
- scsi: bnx2i: missing error code in bnx2i_ep_connect()
  (bsc#1048221).
- commit 7ea03b7
* Wed Jul 12 2017 ohering@suse.de
- scsi: storvsc: Workaround for virtual DVD SCSI version
  (fate#320485, bnc#1044636).
- commit 1b6e1e9
* Wed Jul 12 2017 oneukum@suse.com
- blacklist.conf: build time cleanup
  our kernel compiles. No need to shut up warnings nobody looks at
- commit 88a1976
* Wed Jul 12 2017 oneukum@suse.com
- blacklist.conf: lp8788 is not compiled
- commit bcba6bb
* Wed Jul 12 2017 oneukum@suse.com
- cx82310_eth: use skb_cow_head() to deal with cloned skbs
  (bsc# 1045154).
- commit dfb2a04
* Wed Jul 12 2017 oneukum@suse.com
- blacklist.conf: unneeded
  Fixing debug statements on BE systems for IrDA
- commit fd0e614
* Wed Jul 12 2017 oneukum@suse.com
- smsc75xx: use skb_cow_head() to deal with cloned skbs
  (bsc#1045154).
- commit 3c0de8e
* Wed Jul 12 2017 mhocko@suse.cz
- mm, memory_hotplug: get rid of is_zone_device_section fix
  (bnc#1047595).
- Refresh
  patches.suse/0004-mm-memory_hotplug-get-rid-of-is_zone_device_section.patch.
- commit a720567
* Wed Jul 12 2017 oneukum@suse.com
- crypto: s5p-sss - fix incorrect usage of scatterlists api
  (bsc#1048317).
- commit 2612418
* Wed Jul 12 2017 oneukum@suse.com
- sr9700: use skb_cow_head() to deal with cloned skbs
  (bsc#1045154).
- commit 71e724a
* Wed Jul 12 2017 mhocko@suse.cz
- Memory hotplug rework and some follow up changes in the hugetlb area
  have been merged so update references.
- Refresh
  patches.fixes/0001-mm-memory_hotplug-fix-MMOP_ONLINE_KEEP-behavior.patch.
  patches.fixes/0001-mm-memory_hotplug-simplify-empty-node-mask-handling-.patch.
  patches.fixes/0002-hugetlb-memory_hotplug-prefer-to-use-reserved-pages-.patch.
  patches.fixes/0002-mm-memory_hotplug-do-not-assume-ZONE_NORMAL-is-defau.patch.
  patches.fixes/0003-mm-unify-new_node_page-and-alloc_migrate_target.patch.
  patches.suse/0001-mm-memory_hotplug-support-movable_node-for-hotplugab.patch.
  patches.suse/0002-mm-memory_hotplug-use-node-instead-of-zone-in-can_on.patch.
  patches.suse/0003-mm-drop-page_initialized-check-from-get_nid_for_pfn.patch.
  patches.suse/0005-mm-memory_hotplug-split-up-register_one_node.patch.
  patches.suse/0006-mm-memory_hotplug-do-not-associate-hotadded-memory-t.patch.
  patches.suse/0008-mm-memory_hotplug-fix-the-section-mismatch-warning.patch.
  patches.suse/0009-mm-memory_hotplug-remove-unused-cruft-after-memory-h.patch.
  patches.suse/mm-memory_hotplug-consider-offline-memblocks-removable.patch.
- commit fe5dae3
* Wed Jul 12 2017 mhocko@suse.cz
- include/linux/mmzone.h: simplify zone_intersects()
  (bnc#1047506).
- commit 6925175
* Wed Jul 12 2017 lduncan@suse.com
- scsi: bnx2i: missing error code in bnx2i_ep_connect()
  (bsc#1048221).
- commit 29944b0
* Tue Jul 11 2017 msuchanek@suse.de
- blacklist and drop 03dfee6d5f82 powerpc/mm: Fix swapper_pg_dir size on 64-bit
  hash w/64K pages
  We don't need this patch because PGD_TABLE_SIZE is defined as expected.
  It was broken later by accomodating for radix.
- commit 27efecc
* Tue Jul 11 2017 mhocko@suse.cz
- mm/mmap.c: do not blow on PROT_NONE MAP_FIXED holes in the stack
  (bnc#1039348).
- commit 5d75193
* Mon Jul 10 2017 tiwai@suse.de
- iio: hid-sensor: fix return of -EINVAL on invalid values in
  ret or value (bsc#1031717).
- commit 25d83c3
* Mon Jul 10 2017 tiwai@suse.de
- b43: Add missing MODULE_FIRMWARE() (bsc#1037344).
- commit 019c158
* Mon Jul 10 2017 colyli@suse.de
- bcache: only recovery I/O error for writethrough mode
  (bsc#1043652).
- bcache: force trigger gc (bsc#1038078).
- bcache: only recovery I/O error for writethrough mode
  (bsc#1043652).
- bcache: force trigger gc (bsc#1038078).
- commit 8775072
* Mon Jul 10 2017 colyli@suse.de
- md: don't return -EAGAIN in md_allow_write for external metadata
  arrays (bsc#1047174).
- commit f5093df
* Mon Jul 10 2017 msuchanek@suse.de
- tpm/tpm_crb: fix priv->cmd_size initialisation (bsc#1020645,
  fate#321435, fate#321507, fate#321600, Pending SUSE Kernel
  Fixes).
- commit 3a46c33
* Mon Jul 10 2017 msuchanek@suse.de
- cxl: Unlock on error in probe (bsc#1034762, Pending SUSE
  Kernel Fixes).
- commit 9efc14e
* Mon Jul 10 2017 mhocko@suse.cz
- blacklist.conf: affd250dec17 is a doc update. skip it
- commit 912e87d
* Mon Jul 10 2017 mhocko@suse.cz
- blacklist.conf: 6a08d83e4324 is a doc update. skip it
- commit 23dd181
* Mon Jul 10 2017 jslaby@suse.cz
- Linux 4.4.76 (FATE#319965 bnc#1012382 bsc#1031717 bsc#1038846
  bsc#1038847 bsc#1047343 bsc#1047653 bsc#964944 bsc#1018419).
- net/mlx5: Fix driver load error flow when firmware is stuck
  (git-fixes).
- xen-netfront: Rework the fix for Rx stall during OOM and
  network stress (git-fixes).
- kABI: protect struct xfrm_dst (kabi).
- Revert "KVM: x86: fix emulation of RSM and IRET instructions"
  (kabi).
- Delete
  patches.drivers/0024-block-fix-module-reference-leak-on-put_disk-call-for-cgroups-throttle.patch.
- Delete
  patches.drivers/ALSA-hda-Fix-endless-loop-of-codec-configure.
- Delete
  patches.drivers/ALSA-hda-set-input_path-bitmap-to-zero-after-moving-.
- Delete
  patches.fixes/0001-sctp-check-af-before-verify-address-in-sctp_addr_id2.patch.
- Delete
  patches.fixes/0002-ipv6-release-dst-on-error-in-ip6_dst_lookup_tail.patch.
- Delete
  patches.fixes/0003-NFSv4-fix-a-reference-leak-caused-WARNING-messages.patch.
- Delete
  patches.fixes/0003-iommu-handle-default-domain-attach-failure.
- Delete
  patches.fixes/0004-iommu-vt-d-don-t-over-free-page-table-directories.
- Delete
  patches.fixes/0004-ravb-Fix-use-after-free-on-ifconfig-eth0-down.patch.
- Delete
  patches.fixes/jump-label-fix-passing-kbuild_cflags-when-checking-f.patch.
- Delete
  patches.fixes/xfrm-null-dereference-on-allocation-failure.patch.
- Delete
  patches.fixes/xfrm-oops-on-error-in-pfkey_msg2xfrm_state.patch.
- Delete
  patches.suse/sched-loadavg-Avoid-loadavg-spikes-caused-by-delayed.patch.
- commit 637db08
* Mon Jul 10 2017 neilb@suse.com
- MD: fix sleep in atomic (bsc#1040351).
- Refresh
  patches.fixes/0001-md-use-a-separate-bio_set-for-synchronous-IO.patch.
- commit e13af63
* Mon Jul 10 2017 jslaby@suse.cz
- fs/fcntl: f_setown, avoid undefined behaviour (bnc#1006180).
- commit 3c6a51f
* Mon Jul 10 2017 mhocko@suse.cz
- Refresh patches.fixes/mm-adaptive-hash-table-scaling.patch.
- Refresh patches.fixes/mm-drop-HASH_ADAPT.patch.
- commit 061ef90
* Fri Jul  7 2017 dmulder@suse.com
- CIFS: Fix some return values in case of error in 'crypt_message'
  (bnc#1047802).
- commit 67cd566
* Fri Jul  7 2017 msuchanek@suse.de
- tpm_tis: Use platform_get_irq (bsc#1020645, fate#321435,
  fate#321507, fate#321600, Pending fixes 2017-07-06).
- commit 6a6a878
* Fri Jul  7 2017 msuchanek@suse.de
- tpm_tis: Fix IRQ autoprobing when using platform_device
  (bsc#1020645, fate#321435, fate#321507, fate#321600, Pending
  fixes 2017-07-06).
- commit 4e5a102
* Fri Jul  7 2017 gqjiang@suse.com
- dm: fix second blk_delay_queue() parameter to be in msec units
  not (bsc#1047670).
- commit eadb677
* Fri Jul  7 2017 tiwai@suse.de
- mac80211_hwsim: Replace bogus hrtimer clockid (bsc#1047651).
- hrtimer: Catch invalid clockids again (bsc#1047651).
- hrtimer: Revert CLOCK_MONOTONIC_RAW support (bsc#1047651).
- commit a925019
* Fri Jul  7 2017 lhenriques@suse.com
- xfrm: Oops on error in pfkey_msg2xfrm_state() (bsc#1047653).
- commit c3a9912
* Fri Jul  7 2017 lhenriques@suse.com
- af_key: Add lock to key dump (bsc#1047653).
- commit e88db9e
* Fri Jul  7 2017 dchang@suse.com
- i40evf: fix merge error in older patch (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: fix ethtool to get EEPROM data from X722 interface
  (bsc#1047418).
- commit 916fb5f
* Thu Jul  6 2017 bpoirier@suse.com
- Refresh network patches sorted section
- commit 0c19277
* Thu Jul  6 2017 bpoirier@suse.com
- i40e: when adding or removing MAC filters, correctly handle
  VLANs (bsc#1039915).
- i40e: avoid O(n^2) loop when deleting all filters (bsc#1039915).
- i40e: rename i40e_put_mac_in_vlan and i40e_del_mac_all_vlan
  (bsc#1039915).
- i40e: no need to check is_vsi_in_vlan before calling
  i40e_del_mac_all_vlan (bsc#1039915).
- i40e: fold the i40e_is_vsi_in_vlan check into
  i40e_put_mac_in_vlan (bsc#1039915).
- i40e: don't allow i40e_vsi_(add|kill)_vlan to operate when VID<1
  (bsc#1039915).
- i40e: move all updates for VLAN mode into i40e_sync_vsi_filters
  (bsc#1039915).
- i40e: use (add|rm)_vlan_all_mac helper functions when changing
  PVID (bsc#1039915).
- i40e: factor out addition/deletion of VLAN per each MAC address
  (bsc#1039915).
- i40e: delete filter after adding its replacement when converting
  (bsc#1039915).
- i40e: refactor i40e_update_filter_state to avoid passing aq_err
  (bsc#1039915).
- i40e: recalculate vsi->active_filters from hash contents
  (bsc#1039915).
- i40e: remove code to handle dev_addr specially (bsc#1039915).
- i40e: restore workaround for removing default MAC filter
  (bsc#1039915).
- i40e: set broadcast promiscuous mode for each active VLAN
  (bsc#1039915).
- i40e: remove second check of VLAN_N_VID in i40e_vlan_rx_add_vid
  (bsc#1039915).
- i40e: removed unreachable code (bsc#1039915).
- i40e: remove duplicate add/delete adminq command code for
  filters (bsc#1039915).
- i40e: avoid looping to check whether we're in VLAN mode
  (bsc#1039915).
- i40e: fix MAC filters when removing VLANs (bsc#1039915).
- i40e: properly cleanup on allocation failure in
  i40e_sync_vsi_filters (bsc#1039915).
- i40e: store MAC/VLAN filters in a hash with the MAC Address
  as key (bsc#1039915).
- i40e: implement __i40e_del_filter and use where applicable
  (bsc#1039915).
- i40e: When searching all MAC/VLAN filters, ignore removed
  filters (bsc#1039915).
- i40e: refactor i40e_put_mac_in_vlan to avoid changing f->vlan
  (bsc#1039915).
- i40e: move i40e_put_mac_in_vlan and i40e_del_mac_all_vlan
  (bsc#1039915).
- i40e: make use of __dev_uc_sync and __dev_mc_sync (bsc#1039915).
- i40e: drop is_vf and is_netdev fields in struct i40e_mac_filter
  (bsc#1039915).
- i40e: Removal of workaround for simple MAC address filter
  deletion (bsc#1039915).
- i40e: refactor Rx filter handling (bsc#1039915).
- i40e: add VSI info to macaddr messages (bsc#1039915).
- i40e: write HENA for VFs (bsc#1039915).
- i40e: add hw struct local variable (bsc#1039915).
- i40e: enable VSI broadcast promiscuous mode instead of adding
  broadcast filter (bsc#1039915).
- i40e: don't add broadcast filter for VFs (bsc#1039915).
- commit 4a94575
* Thu Jul  6 2017 bpoirier@suse.com
- Refresh network patches sorted section
- commit 612d19f
* Thu Jul  6 2017 ohering@suse.de
- PCI: hv: Allocate interrupt descriptors with GFP_ATOMIC
  (fate#320295, bnc#1034113).
- PCI: hv: Lock PCI bus on device eject (fate#320295,
  bnc#1034113). Replaces a change for (bnc#998664)
- commit 42af24a
* Thu Jul  6 2017 ohering@suse.de
- Drivers: hv: Fix the bug in generating the guest ID
  (fate#320485).
- commit 4795fde
* Thu Jul  6 2017 ohering@suse.de
- drivers: hv: vmbus: Increase the time between retries in
  vmbus_post_msg() (fate#320485, bnc#1044112).
- hv_utils: fix TimeSync work on pre-TimeSync-v4 hosts
  (fate#320485, bnc#1044112, bnc#1042778, bnc#1029693).
- hv_utils: drop .getcrosststamp() support from PTP driver
  (fate#320485, bnc#1044112, bnc#1042778, bnc#1029693).
- Drivers: hv: vmbus: Get the current time from the current
  clocksource (fate#320485, bnc#1044112, bnc#1042778,
  bnc#1029693).
- Drivers: hv: util: Fix a typo (fate#320485).
- hv_util: switch to using timespec64 (fate#320485).
- Drivers: hv: vmbus: Restructure the clockevents code
  (fate#320485).
- Drivers: hv: vmbus: Move the code to signal end of message
  (fate#320485).
- Drivers: hv: vmbus: Move the definition of generate_guest_id()
  (fate#320485).
- Drivers: hv: vmbus: Move the definition of
  hv_x64_msr_hypercall_contents (fate#320485).
- commit 5ed0186
* Thu Jul  6 2017 tiwai@suse.de
- Update kabi files: sync with 4.4.74 updates
- commit 0236943
* Thu Jul  6 2017 oneukum@suse.com
- blacklist.conf: cleanup, no bugs fixed
- commit 5ea7a77
* Thu Jul  6 2017 jthumshirn@suse.de
- blk-mq: map all HWQ also in hyperthreaded system (bsc#1045866).
- commit 8f29b71
* Thu Jul  6 2017 tiwai@suse.de
- Fix a typo in patch-tag
- commit 5eb36e1
* Thu Jul  6 2017 jgross@suse.com
- xen: allocate page for shared info page from low memory
  (bnc#1038616).
- commit cad6706
* Thu Jul  6 2017 tiwai@suse.de
- blacklist.conf: add unapplicable drm fixes (bsc#1031717).
- commit b99f468
* Thu Jul  6 2017 tiwai@suse.de
- Revert "ACPI / video: Add force_native quirk for HP Pavilion
  dv6" (bsc#1031717).
- commit 0b7bb63
* Thu Jul  6 2017 tiwai@suse.de
- drm/amdgpu: Fix overflow of watermark calcs at > 4k resolutions
  (bsc#1031717).
- commit 454158a
* Thu Jul  6 2017 tiwai@suse.de
- Input: gpio-keys - fix check for disabling unsupported keys
  (bsc#1031717).
- commit 0bd91db
* Thu Jul  6 2017 tiwai@suse.de
- drm/i915/fbdev: Stop repeating tile configuration on stagnation
  (bsc#1031717).
- commit de0f2a2
* Thu Jul  6 2017 tiwai@suse.de
- blacklist.conf: add unapplicable/cosmetic iwlwifi fixes (bsc#1031717).
- commit 47751e8
* Thu Jul  6 2017 tiwai@suse.de
- iwlwifi: mvm: compare full command ID (FATE#321353,
  FATE#323335).
- commit 3182da4
* Thu Jul  6 2017 tiwai@suse.de
- iwlwifi: mvm: synchronize firmware DMA paging memory
  (FATE#321353, FATE#323335).
- commit b80268e
* Thu Jul  6 2017 tiwai@suse.de
- iwlwifi: mvm: unmap the paging memory before freeing it
  (FATE#321353, FATE#323335).
- commit e7a750e
* Wed Jul  5 2017 lhenriques@suse.com
- af_key: Fix slab-out-of-bounds in pfkey_compile_policy
  (bsc#1047354).
- commit d24fddf
* Wed Jul  5 2017 tiwai@suse.de
- Update patch-tag (bsc#1047277 CVE-2017-10810).
- commit 21b7fef
* Wed Jul  5 2017 tiwai@suse.de
- drm/virtio: don't leak bo on drm_gem_object_init failure
  (bsc#1047277).
- commit df7878b
* Wed Jul  5 2017 lhenriques@suse.com
- xfrm: NULL dereference on allocation failure (bsc#1047343).
- commit 207cb7e
* Wed Jul  5 2017 neilb@suse.com
- NFS: only invalidate dentrys that are clearly invalid
  (bsc#1047118).
- commit 95ebe0d
* Tue Jul  4 2017 msuchanek@suse.de
- powerpc/perf: Fix branch event code for power9 (fate#321438,
  bsc#1047238).
- commit b7ce4e4
* Tue Jul  4 2017 jgross@suse.com
- Refresh
  patches.fixes/xen-balloon-don-t-online-new-memory-initially.patch.
- commit 08af8de
* Tue Jul  4 2017 vbabka@suse.cz
- mm: fix classzone_idx underflow in shrink_zones() (VM
  Functionality, bsc#1042314).
- commit 9408cd0
* Mon Jul  3 2017 bpoirier@suse.com
- Update kabi files.
  __ethtool_get_settings() is deprecated after 3f1ac7a700d0 ("net: ethtool:
  add new ETHTOOL_xLINKSETTINGS API", v4.6-rc1) and removed in 3237fc63a329
  ("net: ethtool: remove unused __ethtool_get_settings", v4.6-rc1).
- commit 3b227ef
* Mon Jul  3 2017 bpoirier@suse.com
- Update kabi files.
  Refresh x86_64 symvers as a result of 2e3ca7e2406c ("config/x86_64: make
  CONFIG_SERIAL_8250_DW and *_MID built-in (bsc#1024449)")
- commit 1e38d65
* Mon Jul  3 2017 jgross@suse.com
- xen/balloon: don't online new memory initially (bnc#1028173).
- commit ef282e1
* Mon Jul  3 2017 tiwai@suse.de
- drm/bochs: Implement nomodeset (bsc#1047096).
- commit 2aa6032
* Mon Jul  3 2017 vbabka@suse.cz
- mm: call page_ext_init() after all struct pages are initialized
  (VM Debugging Functionality, bsc#1047048).
- commit d19b886
* Mon Jul  3 2017 ohering@suse.de
- drivers: hv: vmbus: Increase the time between retries in
  vmbus_post_msg() (fate#320485, bnc#1044112).
- hv_utils: fix TimeSync work on pre-TimeSync-v4 hosts
  (fate#320485, bnc#1044112).
- hv_utils: drop .getcrosststamp() support from PTP driver
  (fate#320485, bnc#1044112).
- Drivers: hv: vmbus: Get the current time from the current
  clocksource (fate#320485, bnc#1044112).
- commit 9c7b709
* Mon Jul  3 2017 mkubecek@suse.cz
- net: handle NAPI_GRO_FREE_STOLEN_HEAD case also in
  napi_frags_finish() (bsc#1042286).
- commit 4fd5852
* Mon Jul  3 2017 mkubecek@suse.cz
- net: account for current skb length when deciding about UFO
  (bsc#1041958).
- ipv6: Should use consistent conditional judgement for ip6
  fragment between __ip6_append_data and ip6_finish_output
  (bsc#1041958).
- ipv4: Should use consistent conditional judgement for ip
  fragment in __ip_append_data and ip_finish_output (bsc#1041958).
- commit df51efc
* Mon Jul  3 2017 mhocko@suse.cz
- sysctl: don't print negative flag for proc_douintvec
  (bnc#1046985).
- commit 79f2d5d
* Sat Jul  1 2017 tiwai@suse.de
- ALSA: hda - set input_path bitmap to zero after moving it to
  new place (bsc#1031717).
- ALSA: hda - Fix endless loop of codec configure (bsc#1031717).
- commit 77f3f6e
* Fri Jun 30 2017 jroedel@suse.de
- Fix kABI breakage by KVM CVE fix (bsc#1045922).
- commit c0308f6
* Fri Jun 30 2017 msuchanek@suse.de
- powerpc/perf: Fix branch event code for power9 (fate#321438,
  Pending SUSE Kernel Fixes).
- commit e954af6
* Fri Jun 30 2017 msuchanek@suse.de
- powerpc: Fix /proc/cpuinfo revision for POWER9 DD2
  (bsc#1046789).
- commit e10ab87
* Fri Jun 30 2017 msuchanek@suse.de
- Refresh metadata
  patches.drivers/ibmvnic-a2-Fix-assignment-of-RX-TX-IRQ-s.patch.
- commit be32be9
* Fri Jun 30 2017 tiwai@suse.de
- drm/i915: Serialize GTT/Aperture accesses on BXT (bsc#1046821).
- commit b263fef
* Fri Jun 30 2017 acho@suse.com
- Bluetooth: hidp: fix possible might sleep error in
  hidp_session_thread (bsc#1031784).
- Refresh
  patches.suse/kgr-0008-mark-task_safe-in-some-kthreads.patch.
- commit 18c6f3e
* Fri Jun 30 2017 jroedel@suse.de
- KVM: x86: fix singlestepping over syscall (CVE-2017-7518
  bsc#1045922).
- commit d989643
* Fri Jun 30 2017 jthumshirn@suse.de
- nvme/pci: Fix stuck nvme reset (bsc#1043805).
- commit 7afe4f0
* Fri Jun 30 2017 jslaby@suse.cz
- Linux 4.4.75 (CVE-2017-1000365 bnc#1012382 bnc#1039354
  bsc#1020685 bsc#988784).
- Refresh
  patches.drivers/0003-nvme-use-offset-instead-of-a-struct-for-registers.patch.
- Refresh
  patches.drivers/0006-nvme-split-a-new-struct-nvme_ctrl-out-of-struct-nvme_dev.patch.
- Refresh
  patches.drivers/0015-nvme-add-explicit-quirk-handling.patch.
- Refresh
  patches.drivers/0017-nvme-move-nvme_-enable-disable-shutdown-ctrl-to-common-code.patch.
- Refresh
  patches.drivers/0036-nvme-implement-namespace-list-scanning.patch.
- Refresh
  patches.drivers/0083-nvme-split-pci-module-out-of-core-module.patch.
- Refresh
  patches.drivers/0090-nvme-create-discard-zero-quirk-white-list.patch.
- Refresh
  patches.drivers/0112-nvme-introduce-a-controller-state-machine.patch.
- Refresh
  patches.drivers/0125-nvme-add-device-id-s-with-stripe-quirk.patch.
- Refresh
  patches.drivers/e1000e-0012-time-Add-timekeeping-snapshot-code-capturing-system-.patch.
- Refresh
  patches.drivers/e1000e-0015-time-Add-history-to-cross-timestamp-interface-suppor.patch.
- Delete
  patches.drivers/0138-nvme-quirk-Add-a-delay-before-checking.patch.
- Delete
  patches.drivers/nvme-0140-apply-DELAY_BEFORE_CHK_RDY-quirk-at-probe-time-.patch.
- Delete
  patches.fixes/fs-exec.c-account-for-argv-envp-pointers.patch.
- commit c02c8b1
* Fri Jun 30 2017 bpoirier@suse.com
- scsi: fcoe: fix off by one in eth2fc_speed() (bsc#988035).
- commit 0f6f785
* Fri Jun 30 2017 bpoirier@suse.com
- net: 8021q: use __ethtool_get_ksettings (bsc#988035).
- net: bridge: use __ethtool_get_ksettings (bsc#988035).
- net: ethtool: remove unused __ethtool_get_settings (bsc#988035).
- net: mlx4: use new ETHTOOL_G/SSETTINGS API (bsc#988035).
- net: bonding: use __ethtool_get_ksettings (bsc#1045588).
- net: fcoe: use __ethtool_get_ksettings (bsc#1045588).
- net: ipvlan: use __ethtool_get_ksettings (bsc#1045588).
- net: macvlan: use __ethtool_get_ksettings (bsc#1045588).
- net: team: use __ethtool_get_ksettings (bsc#1045588).
- net: usnic: remove unused call to ethtool_ops::get_settings
  (bsc#1045588).
- net: usnic: use __ethtool_get_ksettings (bsc#1045588).
- net: usnic: use __ethtool_get_settings (bsc#1045588).
- tx4939: use __ethtool_get_ksettings (bsc#1045588).
- Refresh
  patches.drivers/IB-Query-ports-via-the-core-instead-of-direct-into-t.patch.
- Refresh
  patches.drivers/net-ethtool-export-conversion-function-between-u32-a.patch.
- Refresh
  patches.drivers/net-mlx4_en-Adding-support-of-turning-off-link-auton.patch.
- Refresh
  patches.drivers/scsi-fcoe-provide-translation-table-between-Ethernet.patch.
  4f03980ca4d7 net: usnic: remove unused call to ethtool_ops::get_settings (v4.6-rc1)
  48133335d7e0 net: usnic: use __ethtool_get_settings (v4.6-rc1)
  3f1ac7a700d0 net: ethtool: add new ETHTOOL_xLINKSETTINGS API (v4.6-rc1)
  applied in FATE#322061
  091a9277c69b tx4939: use __ethtool_get_ksettings (v4.6-rc1)
  96a0c39633cd net: usnic: use __ethtool_get_ksettings (v4.6-rc1)
  9856909c2abb net: bonding: use __ethtool_get_ksettings (v4.6-rc1)
  314d10d73b25 net: ipvlan: use __ethtool_get_ksettings (v4.6-rc1)
  85f9581975dc net: macvlan: use __ethtool_get_ksettings (v4.6-rc1)
  0ab6b544c185 net: team: use __ethtool_get_ksettings (v4.6-rc1)
  008eb736932d net: fcoe: use __ethtool_get_ksettings (v4.6-rc1)
  conflict here because of
  patches.drivers/fcoe-provide-translation-table-between-Ethernet-and-.patch
  0b924e5505a5 scsi: fcoe: provide translation table between Ethernet and FC port speeds (v4.9-rc1)
  That patch was reordered.
  17605b961f76 net: rdma: use __ethtool_get_ksettings (v4.6-rc1)
  already applied in FATE#321231 FATE#321473 FATE#322153
  FATE#322149
  moved
  577097981d72 net: 8021q: use __ethtool_get_ksettings (v4.6-rc1)
  702b26a24d3d net: bridge: use __ethtool_get_ksettings (v4.6-rc1)
  7cad1bac96d3 net: core: use __ethtool_get_ksettings (v4.6-rc1)
  already applied in bsc#1034912
  3237fc63a329 net: ethtool: remove unused __ethtool_get_settings (v4.6-rc1)
  3d8f7cc78d0e net: mlx4: use new ETHTOOL_G/SSETTINGS API (v4.6-rc1)
- commit e997924
* Thu Jun 29 2017 bpoirier@suse.com
- Refresh patches.drivers/fcoe-provide-translation-table-between-Ethernet-and-.patch
  Upstream,
  0b924e5505a5 scsi: fcoe: provide translation table between Ethernet and FC port speeds (v4.9-rc1)
  comes after
  008eb736932d net: fcoe: use __ethtool_get_ksettings (v4.6-rc1)
  Refresh the patch to reflect its upstream status and move it to its proper
  position in the sorted patches section to avoid a conflict with the
  incoming backport of 008eb736932d.
- commit e3cff62
* Thu Jun 29 2017 bpoirier@suse.com
- Refresh network patches sorted section
- commit 80eab7e
* Thu Jun 29 2017 msuchanek@suse.de
- Refresh fadump patches to upstream and add metadata
  patches.arch/powerpc-fadump-add-reschedule-point-while-releasing-memory.patch.
  patches.arch/powerpc-fadump-avoid-duplicates-in-crash-memory-ranges.patch
  patches.arch/powerpc-fadump-avoid-holes-in-boot-memory-area-when-fadump-is-registered.patch
  patches.arch/powerpc-fadump-provide-a-helpful-error-message.patch
- commit f0fb5c3
* Thu Jun 29 2017 tiwai@suse.de
- blacklist.conf: Remove duplicated entries
- commit cb960d2
* Thu Jun 29 2017 tiwai@suse.de
- Remove duplicated blacklist entries and put git-commit tag to patches
- commit 12a0cb2
* Thu Jun 29 2017 tiwai@suse.de
- blacklist.conf: Remove duplicated entry.
- commit 561ddb1
* Thu Jun 29 2017 msuchanek@suse.de
- ibmvnic: Fix assignment of RX/TX IRQ's (bsc#1046589).
- commit 68ead15
* Thu Jun 29 2017 mhocko@suse.cz
- blacklist.conf: blacklist 570d8e939801
  we do not care about the code in Documentation all that much, do we?
- commit 69d5811
* Thu Jun 29 2017 mhocko@suse.cz
- blacklist.conf: blaclist 5380e5644afb
  it is just not worth backporting without any explicit report where a
  silently truncated success would lead to a real bug.
- commit fc28626
* Thu Jun 29 2017 oneukum@suse.com
- blacklist.conf: unnecessary patch
  The bug triggers only upon a malformed descriptor and the comparison
  is so that our buffer would be too large not too small so no overflow.
  The device would not work, but it won't anyway.
- commit 99f8a16
* Thu Jun 29 2017 tiwai@suse.de
- Rearrange the previous patches for hpsa and smartpqi to the right position.
- commit a1f1f27
* Thu Jun 29 2017 nborisov@suse.com
- Update
  patches.fixes/xfs-split-default-quota-limits-by-quota-type.patch
  (bsc#1040941).
  Fix the bug nr used.
- commit 115ba75
* Wed Jun 28 2017 pmladek@suse.com
- printk: Correctly handle preemption in console_unlock()
  (bsc#1046434).
- commit 0a3c2a4
* Wed Jun 28 2017 pmladek@suse.com
- printk/xen: Force printk sync mode when migrating Xen guest
  (bsc#1043347).
- commit e13596b
* Wed Jun 28 2017 nborisov@suse.com
- btrfs: disable possible cause of premature ENOSPC (bsc#1040182)
- commit 8bf31da
* Wed Jun 28 2017 lhenriques@suse.com
- rbd: make sure pages are freed by libceph (bsc#1045596).
- rbd: drop extra rbd_img_request_get (bsc#1045596).
- commit c8719f2
* Wed Jun 28 2017 hare@suse.de
- dm-raid: Do not call BUG() in __rdev_sectors() (bsc#1046264).
- commit 0b1aab0
* Wed Jun 28 2017 nborisov@suse.com
- btrfs: Round down values which are written for  total_bytes_size
  (bsc#1043912).
- btrfs: Manually implement device_total_bytes  getter/setter
  (bsc#1043912).
- commit c4d2eb7
* Wed Jun 28 2017 zren@suse.com
- dm raid1: fixes two crash cases if mirror leg failed
  (bsc#1043520)
- commit 685f2eb
* Tue Jun 27 2017 rgoldwyn@suse.com
- pipe: cap initial pipe capacity according to pipe-max-size limit
  (bsc#1045330).
- commit 4ee3ec2
* Tue Jun 27 2017 msuchanek@suse.de
- Blacklist drivers/net/ethernet/ibm/emac
  We do not build the driver.
- commit d432b2b
* Tue Jun 27 2017 oneukum@suse.com
- blacklist.conf: this patch breaks the API
  It disallows some operations that are now allowed
- commit 98325c2
* Tue Jun 27 2017 mbrugger@suse.com
- arm64: Update config files. (bsc#1036737)
  Disable XGENE_PMU.
- commit 7bb0115
* Tue Jun 27 2017 hare@suse.de
- Disable Xilinx network drivers (bsc#1046170).
- commit 656fc83
* Tue Jun 27 2017 mhocko@suse.cz
- hwpoison, memcg: forcibly uncharge LRU pages (bnc#1046105).
- commit 2b252e1
* Tue Jun 27 2017 mhocko@suse.cz
- blacklist.conf: blacklist 570d8e939801
  the issue is visible only when 80df554275c2 is applied (4.7+ and not
  backported to our trees)
- commit 47b83ce
* Tue Jun 27 2017 tiwai@suse.de
- config/x86_64: make CONFIG_SERIAL_8250_DW and *_MID built-in (bsc#1024449)
- commit 2e3ca7e
* Tue Jun 27 2017 jthumshirn@suse.de
- Refresh
  patches.drivers/0477-nvme-add-hostid-token-to-fabric-options.patch.
  Update mainline references.
- commit eee1109
* Tue Jun 27 2017 mhocko@suse.cz
- fs/exec.c: account for argv/envp pointers (bnc#1039354, CVE-2017-1000365).
- commit 7418d0f
* Mon Jun 26 2017 msuchanek@suse.de
- Refresh ibmvnic patch metadata
  patches.drivers/ibmvnic-98-ibmvnic-Correct-return-code-checking-for-ibmvnic_init-during-probe.patch.
  patches.drivers/ibmvnic-a0-ibmvnic-Fix-incorrectly-defined-ibmvnic_request_map_rsp-structure.patch.
  patches.drivers/ibmvnic-a1-ibmvnic-Fix-error-handling-when-registering-long-term-mapped-buffers.patch.
- commit babc17a
* Mon Jun 26 2017 msuchanek@suse.de
- Refresh metadata patches.fixes/powerpc-tm-Fix-stack-pointer-corruption-in-__tm_recheckpoint.
- commit 0b5bdc6
* Mon Jun 26 2017 duwe@suse.de
- powerpc/ftrace: Pass the correct stack pointer for
  DYNAMIC_FTRACE_WITH_REGS (FATE#322421).
- commit 936e653
* Mon Jun 26 2017 jthumshirn@suse.de
- nvme: add hostid token to fabric options (bsc#1045293).
- commit 52dffb9
* Mon Jun 26 2017 tbogendoerfer@suse.de
- iw_cxgb4: Fix error return code in c4iw_rdev_open()
  (bsc#1026570).
- RDMA/iw_cxgb4: Always wake up waiter in c4iw_peer_abort_intr()
  (bsc#1026570).
- commit 2ce43b1
* Mon Jun 26 2017 yousaf.kaukab@suse.com
- clocksource/drivers/arm_arch_timer: Fix read and iounmap of
  incorrect variable (bsc#1045937).
- commit 594f037
* Mon Jun 26 2017 jslaby@suse.cz
- Linux 4.4.74 (CVE-2017-1000364 bnc#1012382 bnc#1039348
  bnc#1045340 bsc#1031717 bsc#1043231).
- Delete
  patches.drivers/media-pvrusb2-reduce-stack-usage-pvr2_eeprom_analyze.
- Delete
  patches.drivers/media-vb2-Fix-an-off-by-one-error-in-vb2_plane_vaddr.
- Delete
  patches.drivers/staging-rtl8188eu-prevent-an-underflow-in-rtw_check_.
- Delete
  patches.fixes/mm-fix-new-crash-in-unmapped_area_topdown.patch.
- Delete
  patches.fixes/mm-larger-stack-guard-gap-between-vmas.patch.
- commit 5e41880
* Mon Jun 26 2017 jslaby@suse.cz
- tty: Fix ldisc crash on reopened tty (bnc#1043488).
- commit 04cca20
* Mon Jun 26 2017 jslaby@suse.cz
- tty: Destroy ldisc instance on hangup (bnc#1043488).
- tty: Refactor tty_ldisc_reinit() for reuse (bnc#1043488).
- tty: Use 'disc' for line discipline index name (bnc#1043488).
- tty: Move tty_ldisc_kill() (bnc#1043488).
- tty: Handle NULL tty->ldisc (bnc#1043488).
- tty: Prepare for destroying line discipline on hangup
  (bnc#1043488).
- tty: Reset c_line from driver's init_termios (bnc#1043488).
- tty: Simplify tty_set_ldisc() exit handling (bnc#1043488).
- commit c016cca
* Sat Jun 24 2017 jeffm@suse.com
- kabi: ignore fs_info parameter for tracepoints that didn't have it (bsc#1044912).
- commit 24869ea
* Fri Jun 23 2017 hare@suse.de
- md: fix a null dereference (bsc#1040351).
- commit ca08745
* Fri Jun 23 2017 tiwai@suse.de
- Update kabi files: import for other architectures, too
- commit 2f1cc13
* Fri Jun 23 2017 agraf@suse.de
- net: phy: realtek: fix enabling of the TX-delay for RTL8211F
  (bsc#1045810).
- commit d7da697
* Fri Jun 23 2017 jeffm@suse.com
- Refresh btrfs backref rbtree patchset to match upstream submission.
- commit fa2f027
* Fri Jun 23 2017 tbogendoerfer@suse.de
- RDMA/bnxt_re: Allow posting when QPs are in error (bsc#1044448).
- commit ff678ff
* Fri Jun 23 2017 tbogendoerfer@suse.de
- net/mlx5e: Avoid doing a cleanup call if the profile doesn't
  have it (bsc#1015342).
- net/mlx5e: Fix min inline value for VF rep SQs (bsc#1015342).
- commit 43da9af
* Fri Jun 23 2017 tbogendoerfer@suse.de
- RDMA/qib,hfi1: Fix MR reference count leak on write with
  immediate (bsc#1045640).
- commit 1f6ac4c
* Fri Jun 23 2017 tbogendoerfer@suse.de
- net/mlx5e: Fix timestamping capabilities reporting (bsc#966170
  bsc#1015342).
- commit ec1bb20
* Fri Jun 23 2017 jroedel@suse.de
- iommu/amd: Remove amd_iommu_disabled check from
  amd_iommu_detect() (bsc#1045715).
- iommu/amd: Free IOMMU resources when disabled on command line
  (bsc#1045715).
- iommu/amd: Set global pointers to NULL after freeing them
  (bsc#1045715).
- iommu/amd: Check for error states first in iommu_go_to_state()
  (bsc#1045715).
- iommu/amd: Add new init-state IOMMU_CMDLINE_DISABLED
  (bsc#1045715).
- iommu/amd: Rename free_on_init_error() (bsc#1045715).
- iommu/amd: Disable IOMMUs at boot if they are enabled
  (bsc#1045715).
- iommu/amd: Suppress IO_PAGE_FAULTs in kdump kernel (bsc#1045715
  bsc#1043261).
- commit 4941109
* Fri Jun 23 2017 jroedel@suse.de
- iommu/amd: Free already flushed ring-buffer entries before
  full-check (bsc#1045709).
- iommu/amd: Remove queue_release() function (bsc#1045709).
- iommu/amd: Add per-domain timer to flush per-cpu queues
  (bsc#1045709).
- iommu/amd: Add flush counters to struct dma_ops_domain
  (bsc#1045709).
- iommu/amd: Add locking to per-domain flush-queue (bsc#1045709).
- iommu/amd: Make use of the per-domain flush queue (bsc#1045709).
- iommu/amd: Add per-domain flush-queue data structures
  (bsc#1045709).
- iommu/amd: Rip out old queue flushing code (bsc#1045709).
- iommu/amd: Reduce delay waiting for command buffer space
  (bsc#1045709).
- iommu/amd: Reduce amount of MMIO when submitting commands
  (bsc#1045709).
- iommu/amd: Constify irq_domain_ops (bsc#1045709).
- iommu/amd: Ratelimit io-page-faults per device (bsc#1045709).
- commit 98a692d
* Fri Jun 23 2017 dchang@suse.com
- fm10k: correctly check if interface is removed (bsc#1024375
  FATE#321248).
- sfc: limit the number of receive queues (bsc#1017967
  FATE#321663).
- sfc: do not device_attach if a reset is pending (bsc#1017967
  FATE#321663).
- sfc: stop setting dev_port (bsc#1017967 FATE#321663).
- commit d95e0b3
* Fri Jun 23 2017 ddiss@suse.de
- rbd: fix and simplify rbd_osd_req_format_rw() (bsc#1045213).
- rbd: copy compare-and-write osd requests before resubmission
  (bsc#1042210).
- rbd: helper to copy compare-and-write osd requests
  (bsc#1042210).
- rbd: ensure r_request is allocated for creatrunc (bsc#1042210).
- commit dd3764b
* Thu Jun 22 2017 neilb@suse.com
- Update patches.fixes/nfs-svc-rdma.fix (bsc#1044854).
  Fix bsc reference
- commit 67dc19f
* Thu Jun 22 2017 jeffm@suse.com
- reiserfs: don't preallocate blocks for extended attributes
  (bsc#990682).
- commit 1d1075d
* Thu Jun 22 2017 pmladek@suse.com
- printk/console: Correctly mark console that is used when
  opening /dev/console (bsc#1040020).
- commit 2d358a5
* Thu Jun 22 2017 yousaf.kaukab@suse.com
- ahci: thunderx2: stop engine fix update (bsc#1045590).
- commit 0f92e07
* Thu Jun 22 2017 agraf@suse.de
- KVM: arm/arm64: Handle hva aging while destroying the vm
  (bsc#1045298).
- commit 123e077
* Thu Jun 22 2017 jthumshirn@suse.de
- fixup! nvme_fc: fix error recovery on link down (bsc#1044763).
- commit 3b737e9
* Thu Jun 22 2017 jthumshirn@suse.de
- lpfc: fix refcount error on node list (bsc#1045404).
- lpfc: Fix nvme io stoppage after link bounce (bsc#1045404).
- nvme_fc: fix error recovery on link down (bsc#1044763).
- nvme_fc: fix double calls to nvme_cleanup_cmd() (bsc#1044763).
- commit 28fb785
* Thu Jun 22 2017 msuchanek@suse.de
-  ibmvnic: Fix error handling when registering long-term-mapped
  buffers (bsc#1045568).
- commit 27cd512
* Thu Jun 22 2017 msuchanek@suse.de
- ibmvnic: Fix incorrectly defined ibmvnic_request_map_rsp
  structure (bsc#1045568).
- commit ae86c21
* Thu Jun 22 2017 tbogendoerfer@suse.de
- IB/ipoib: Fix memory leak in create child syscall (bsc#1022595
  FATE#322350).
- commit 8109fd6
* Thu Jun 22 2017 tbogendoerfer@suse.de
- xgene: Check all RGMII phy mode variants (bsc#1033621).
- drivers: net: xgene: Fix redundant prefetch buffer cleanup
  (bsc#1033621).
- drivers: net: xgene: Workaround for HW errata 10GE_10/ENET_15
  (bsc#1033621).
- drivers: net: xgene: Add frame recovered statistics counter
  for errata 10GE_8/ENET_11 (bsc#1033621).
- drivers: net: xgene: Workaround for HW errata 10GE_4
  (bsc#1033621).
- drivers: net: xgene: Add rx_overrun/tx_underrun statistics
  (bsc#1033621).
- drivers: net: xgene: Extend ethtool statistics (bsc#1033621).
- drivers: net: xgene: Remove unused macros (bsc#1033621).
- drivers: net: xgene: Refactor statistics error parsing code
  (bsc#1033621).
- drivers: net: xgene: Remove redundant local stats (bsc#1033621).
- drivers: net: xgene: Use rgmii mdio mac access (bsc#1033621).
- drivers: net: phy: xgene: Add lock to protect mac access
  (bsc#1033621).
- drivers: net: xgene: Protect indirect MAC access (bsc#1033621).
- drivers: net: xgene: Add workaround for errata 10GE_8/ENET_11
  (bsc#1033621).
- drivers: net: xgene: Add workaround for errata 10GE_1
  (bsc#1033621).
- drivers: net: xgene: Fix Rx checksum validation logic
  (bsc#1033621).
- drivers: net: xgene: Fix wrong logical operation (bsc#1033621).
- drivers: net: xgene: Fix hardware checksum setting
  (bsc#1033621).
- drivers: net: xgene: Fix crash on DT systems (bsc#1033621).
- drivers: net: xgene: Simplify xgene_enet_setup_mss() to kill
  warning (bsc#1033621).
- drivers: net: xgene: ethtool: Add get/set_pauseparam
  (bsc#1033621).
- drivers: net: xgene: constify xgene_cle_ops structure
  (bsc#1033621).
- phy: Add helper function to check phy interface mode
  (bsc#1033621).
- commit 1c9e178
* Thu Jun 22 2017 jeffm@suse.com
- btrfs: account for pinned bytes in should_alloc_chunk (bsc#1040182).
  This version drops accounting for bytes_may_use.
- commit 0a418fd
* Thu Jun 22 2017 msuchanek@suse.de
- Remove obsolete patches for fate#321840
- commit 6fe97c3
* Thu Jun 22 2017 mhocko@suse.cz
- mm: fix new crash in unmapped_area_topdown() (bnc#1039348).
- mm: larger stack guard gap, between vmas (bnc#1039348,
  CVE-2017-1000364, bnc#1045340).
- Delete patches.fixes/0001-mm-enlarge-stack-guard-gap.patch:
  replace it with the upstream solution
- Delete
  patches.fixes/0002-mm-do-not-collapse-stack-gap-into-THP.patch.
- commit f276e25
* Thu Jun 22 2017 tiwai@suse.de
- Update kabi files: sync with the latest qed updates
- commit 89c0731
* Thu Jun 22 2017 msuchanek@suse.de
- ibmvnic: Remove module author mailing address (bsc#1045467).
- commit 337e37f
* Thu Jun 22 2017 tbogendoerfer@suse.de
- qedi: Add support for offload iSCSI Boot (bsc#1043083).
- qed: Add support for changing iSCSI mac (bsc#1043083).
- qed: Support NVM-image reading API (bsc#1043083).
- qed: Share additional information with qedf (bsc#1043083).
- qed: Correct order of wwnn and wwpn (bsc#1043083).
- commit 4843a8f
* Thu Jun 22 2017 mgorman@suse.de
- Fix loop device flush before configure v3 (bnc#1039699).
- commit 21b86f9
* Thu Jun 22 2017 mhocko@suse.cz
- blacklist.conf: blacklist c34a69059d78 (bnc#1044880)
- commit 0b2e1df
* Thu Jun 22 2017 zren@suse.com
- dm: remove dummy dm_table definition (bsc#1045307)
- commit 1710664
* Wed Jun 21 2017 msuchanek@suse.de
- ibmvnic: Correct return code checking for ibmvnic_init during
  probe (bsc#1045286).
- commit 5553444
* Wed Jun 21 2017 msuchanek@suse.de
- ibmvnic: Return from ibmvnic_resume if not in VNIC_OPEN state
  (bsc#1045235).
- commit 883f476
* Wed Jun 21 2017 tiwai@suse.de
- powercap/intel_rapl: fix and tidy up error handling
  (bsc#1045284).
- powercap / RAPL: handle missing MSRs (bsc#1045284).
- commit 6031b95
* Wed Jun 21 2017 brogers@suse.com
- KVM: x86: Expose more Intel AVX512 feature to guest
  (bsc#1035611).
- commit 92203bc
* Wed Jun 21 2017 jroedel@suse.de
- Update
  patches.fixes/x86-pci-mark-broadwell-ep-home-agent-1-as-having-non-compliant-bars
  (bsc#1039214).
  Fix the wrong bsc number.
- commit 00acc35
* Wed Jun 21 2017 oneukum@suse.com
- lan78xx: use skb_cow_head() to deal with cloned skbs
  (bsc#1045154).
- commit 217ec53
* Wed Jun 21 2017 jack@suse.cz
- mm: fix cache mode of dax pmd mappings (bsc#1044979).
- commit 729ba44
* Wed Jun 21 2017 neilb@suse.com
- loop: Add PF_LESS_THROTTLE to block/loop device thread
  (bsc#1027101).
- commit 261bfb2
* Wed Jun 21 2017 neilb@suse.com
- Fix kabi after adding new field to struct mddev (bsc#1040351).
- md: use a separate bio_set for synchronous IO (bsc#1040351).
- commit 88cd9a5
* Tue Jun 20 2017 bpoirier@suse.com
- Update
  patches.fixes/net-Don-t-delete-routes-in-different-VRFs.patch
  (bsc#1044774).
- Update
  patches.fixes/net-icmp_route_lookup-should-use-rt-dev-to-determine.patch
  (bsc#1044774).
- Update
  patches.fixes/net-ipv6-Fix-processing-of-RAs-in-presence-of-VRF.patch
  (bsc#1044774).
- Update
  patches.fixes/net-l3mdev-Add-master-device-lookup-by-index.patch
  (bsc#1044774).
- Update
  patches.fixes/net-make-netdev_for_each_lower_dev-safe-for-device-r.patch
  (bsc#1044774).
- Update
  patches.fixes/net-vrf-Create-FIB-tables-on-link-create.patch
  (bsc#1044774).
- Update
  patches.fixes/net-vrf-Fix-crash-when-IPv6-is-disabled-at-boot-time.patch
  (bsc#1044774).
- Update
  patches.fixes/net-vrf-Fix-dev-refcnt-leak-due-to-IPv6-prefix-route.patch
  (bsc#1044774).
- Update patches.fixes/net-vrf-Fix-dst-reference-counting.patch
  (bsc#1044774).
- Update
  patches.fixes/net-vrf-Switch-dst-dev-to-loopback-on-device-delete.patch
  (bsc#1044774).
- Update
  patches.fixes/net-vrf-protect-changes-to-private-data-with-rcu.patch
  (bsc#1044774).
- Update
  patches.fixes/vrf-remove-slave-queue-and-private-slave-struct.patch
  (bsc#1044774).
- Update
  patches.fixes/xfrm-Only-add-l3mdev-oif-to-dst-lookups.patch
  (bsc#1044774).
  Fix incorrect reference.
- commit 0c874ba
* Tue Jun 20 2017 bpoirier@suse.com
- Refresh network patches sorted section
- commit bb9d92b
* Tue Jun 20 2017 tbogendoerfer@suse.de
- net/mlx5: Release FTE lock in error flow (bsc#966170 bsc#966172
  bsc#966191).
- commit 39c1bc0
* Tue Jun 20 2017 tbogendoerfer@suse.de
- IB/mlx5: Enlarge autogroup flow table (bsc#966170 bsc#966172
  bsc#966191).
- blacklist.conf: not applicable mlx4/mlx5 fixes
- net/mlx5: Don't unlock fte while still using it (bsc#966170
  bsc#966172 bsc#966191).
- net/mlx5e: Modify TIRs hash only when it's needed (bsc#966170
  bsc#966172 bsc#966191).
- net/mlx5: Fix create autogroup prev initializer (bsc#966170
  bsc#966172 bsc#966191).
- net/mlx5: Prevent setting multicast macs for VFs (bsc#966170
  bsc#966172 bsc#966191).
- IB/mlx5: Check supported flow table size (bsc#966170 bsc#966172
  bsc#966191).
- IB/mlx5: Fix kernel to user leak prevention logic (bsc#966170
  bsc#966172 bsc#966191).
- IB/mlx5: Assign DSCP for R-RoCE QPs Address Path (bsc#966170
  bsc#966172 bsc#966191).
- mlx4: Fix memory leak after mlx4_en_update_priv() (bsc#966170
  bsc#966172 bsc#966191).
- commit ece7432
* Tue Jun 20 2017 jbeulich@suse.com
- xen-blkback: don't leak stack data via response ring
  (bsc#1042863 XSA-216).
- commit d2636ad
* Tue Jun 20 2017 tbogendoerfer@suse.de
- qed: Enable RoCE parser searching on fp init (bsc#1019695).
- commit 9b26fc3
* Tue Jun 20 2017 tbogendoerfer@suse.de
- cxgb4: notify uP to route ctrlq compl to rdma rspq
  (bsc#1044081).
- commit e800b91
* Tue Jun 20 2017 mkubecek@suse.cz
- i40e: add private flag to control source pruning (bsc#1034075).
- commit 4b506d5
* Tue Jun 20 2017 neilb@suse.com
- Fix soft lockup in svc_rdma_send (bsc#729329).
- commit 474ee52
* Mon Jun 19 2017 tiwai@suse.de
- Update kabi files: import kABI files for x86-64
- commit 221f271
* Mon Jun 19 2017 tbogendoerfer@suse.de
- net/mlx5e: Fix wrong indications in DIM due to counter
  wraparound (bsc#1015342).
- net/mlx5e: Added BW check for DIM decision mechanism
  (bsc#1015342).
- net/mlx5: Enable 4K UAR only when page size is bigger than 4K
  (bsc#1015342).
- net/mlx5: Remove several module events out of ethtool stats
  (bsc#1015342).
- commit 0365ead
* Mon Jun 19 2017 jthumshirn@suse.de
- nvme-rdma: fast fail incoming requests while we reconnect
  (bsc#1033920).
- commit acbc651
* Mon Jun 19 2017 nborisov@suse.com
- Refresh patches.fixes/xfs-fix-buffer-I_O-accounting-race.patch.
- commit 4a0d453
* Mon Jun 19 2017 nborisov@suse.com
- Refresh patches.fixes/xfs-fix-buffer-I_O-accounting-race.patch.
- commit 0c01ef6
* Mon Jun 19 2017 tbogendoerfer@suse.de
- qed: fix dump of context data (bsc#1019695).
- commit 3b942a4
* Mon Jun 19 2017 jslaby@suse.cz
- Linux 4.4.73 (bnc#1012382 bsc#1028017).
- jump label: fix passing kbuild_cflags when checking for asm
  goto support (git-fixes).
- sctp: check af before verify address in sctp_addr_id2transport
  (git-fixes).
- ipv6: release dst on error in ip6_dst_lookup_tail (git-fixes).
- ravb: Fix use-after-free on `ifconfig eth0 down` (git-fixes).
- blacklist.conf: add more
- Refresh
  patches.drivers/net-mlx4_core-Check-device-state-before-unregisterin.patch.
- Delete
  patches.fixes/0004-nfs-Fix-Don-t-increment-lock-sequence-ID-after-NFS4E.patch.
- Delete
  patches.fixes/net-mlx4_core-Avoid-command-timeouts-during-VF-drive.patch.
- commit 375e337
* Mon Jun 19 2017 msuchanek@suse.de
- blacklist.conf: move commits not blacklisted in SP2 to SP3 section
- commit 54493cc
* Mon Jun 19 2017 msuchanek@suse.de
- Blacklist powerpc/mm/4k: Limit 4k page size config to 64TB virtual
  address space
- commit db2f140
* Mon Jun 19 2017 tbogendoerfer@suse.de
- IB/addr: Fix setting source address in addr6_resolve()
  (bsc#1044082).
- commit 947a8b9
* Mon Jun 19 2017 msuchanek@suse.de
- ibmvnic: driver initialization for kdump/kexec (bsc#1044772).
- ibmvnic: Exit polling routine correctly during adapter reset
  (bsc#1044767).
- commit 240d50f
* Mon Jun 19 2017 msuchanek@suse.de
- ibmvnic: Remove VNIC_CLOSING check from pending_scrq
  (bsc#1044767).
- ibmvnic: Sanitize entire SCRQ buffer on reset (bsc#1044767).
- commit 6b1a8c3
* Mon Jun 19 2017 msuchanek@suse.de
- ibmvnic: Ensure that TX queues are disabled in __ibmvnic_close
  (bsc#1044767).
- commit d40c4fd
* Mon Jun 19 2017 msuchanek@suse.de
- ibmvnic: Activate disabled RX buffer pools on reset
  (bsc#1044767).
- commit c06570c
* Mon Jun 19 2017 mhocko@suse.cz
- blacklist.conf: black list few uninteresting follow up fixes
- commit 1326f25
* Mon Jun 19 2017 mgorman@suse.de
- blacklist.conf: Fix has complex pre-requisites that are borderline in terms of benefit
- commit 138dd1e
* Mon Jun 19 2017 msuchanek@suse.de
- powerpc/perf: Fix Power9 test_adder fields (fate#321438,
  2017-06-19] Pending SUSE Kernel Fixes).
- commit 18f4ef7
* Sat Jun 17 2017 bpoirier@suse.com
- blacklist.conf:
  Add some vrf-related entries
- commit 01af61e
* Sat Jun 17 2017 bpoirier@suse.com
- net: icmp_route_lookup should use rt dev to determine L3 domain
  (bsc#104774).
- net: ipv6: Fix processing of RAs in presence of VRF
  (bsc#104774).
- xfrm: Only add l3mdev oif to dst lookups (bsc#104774).
- net: Don't delete routes in different VRFs (bsc#104774).
- net: vrf: Switch dst dev to loopback on device delete
  (bsc#104774).
- net: vrf: Fix crash when IPv6 is disabled at boot time
  (bsc#104774).
- net: vrf: protect changes to private data with rcu (bsc#104774).
- net: vrf: Create FIB tables on link create (bsc#104774).
- net: vrf: Fix dev refcnt leak due to IPv6 prefix route
  (bsc#104774).
- net: vrf: Fix dst reference counting (bsc#104774).
- net: make netdev_for_each_lower_dev safe for device removal
  (bsc#104774).
- net: l3mdev: Add master device lookup by index (bsc#104774).
- vrf: remove slave queue and private slave struct (bsc#104774).
- commit 8d4a53d
* Fri Jun 16 2017 jeffm@suse.com
- btrfs: add cond_resched to btrfs_qgroup_trace_leaf_items
  (bsc#1028286 bsc#1017461 bsc#1036171).
- btrfs: clean up extraneous computations in add_delayed_refs
  (bsc#974590 bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: allow backref search checks for shared extents
  (bsc#974590 bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: add cond_resched() calls when resolving backrefs
  (bsc#974590 bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: fix leak and use-after-free in resolve_indirect_refs
  (bsc#974590 bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: backref, add tracepoints for prelim_ref insertion and
  merging (bsc#974590 bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: add a node counter to each of the rbtrees (bsc#974590
  bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: convert prelimary reference tracking to use rbtrees
  (bsc#974590 bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: backref, cleanup __ namespace abuse (bsc#974590
  bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: backref, constify some arguments (bsc#974590 bsc#1030061
  bsc#1022914 bsc#1017461).
- btrfs: constify tracepoint arguments (bsc#974590 bsc#1030061
  bsc#1022914 bsc#1017461).
- btrfs: struct-funcs, constify readers (bsc#974590 bsc#1030061
  bsc#1022914 bsc#1017461).
- btrfs: backref, add unode_aux_to_inode_list helper (bsc#974590
  bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: remove ref_tree implementation from backref.c (bsc#974590
  bsc#1030061 bsc#1022914 bsc#1017461).
- btrfs: btrfs_check_shared should manage its own transaction
  (bsc#974590 bsc#1030061 bsc#1022914 bsc#1017461).
- commit 011da1b
* Fri Jun 16 2017 jeffm@suse.com
- btrfs: dump_space_info when encountering total_bytes_pinned != 0 at umount (bsc#1040182).
- commit 8890cd8
* Fri Jun 16 2017 colyli@suse.de
- md: support disabling of create-on-open semantics (bsc#1032339).
- md: allow creation of mdNNN arrays via
  md_mod/parameters/new_array (bsc#1032339).
- commit aec6d9c
* Fri Jun 16 2017 bpoirier@suse.com
- kabi workaround for net: ipv6: Fix processing of RAs in presence
  of VRF (bsc#1042286).
- net: icmp_route_lookup should use rt dev to determine L3 domain
  (bsc#1042286).
- net: ipv6: Fix processing of RAs in presence of VRF
  (bsc#1042286).
- xfrm: Only add l3mdev oif to dst lookups (bsc#1042286).
- net: vrf: Switch dst dev to loopback on device delete
  (bsc#1042286).
- net: vrf: Fix crash when IPv6 is disabled at boot time
  (bsc#1042286).
- net: vrf: protect changes to private data with rcu
  (bsc#1042286).
- net: vrf: Create FIB tables on link create (bsc#1042286).
- net: vrf: Fix dev refcnt leak due to IPv6 prefix route
  (bsc#1042286).
- net: vrf: Fix dst reference counting (bsc#1042286).
- net: make netdev_for_each_lower_dev safe for device removal
  (bsc#1042286).
- net: l3mdev: Add master device lookup by index (bsc#1042286).
- vrf: remove slave queue and private slave struct (bsc#1042286).
- commit 02368aa
* Fri Jun 16 2017 mbrugger@suse.com
- arm64: mm: avoid name clash in __page_to_voff() (bsc#1044339).
- commit 70016ee
* Fri Jun 16 2017 ohering@suse.de
- HV: properly delay KVP packets when negotiation is in progress
  (fate#320485, bnc#1023287).
- commit af20867
* Fri Jun 16 2017 ohering@suse.de
- Drivers: hv: Issue explicit EOI when autoeoi is not enabled
  (fate#320485, bnc#1043485).
- commit 842e397
* Fri Jun 16 2017 ohering@suse.de
- PCI: hv: Use vPCI protocol version 1.2 (fate#320485,
  bnc#1043485).
- PCI: hv: Add vPCI version protocol negotiation (fate#320485,
  bnc#1043485).
- PCI: hv: Temporary own CPU-number-to-vCPU-number infra
  (fate#320485, bnc#1043485).
- PCI: hv: Use page allocation for hbus structure (fate#320485,
  bnc#1043485).
- PCI: hv: Fix comment formatting and use proper integer fields
  (fate#320485, bnc#1043485).
- PCI: hv: Specify CPU_AFFINITY_ALL for MSI affinity when >=
  32 CPUs (fate#320485, bnc#1043485).
- PCI: hv: Properly handle PCI bus remove (fate#320485,
  bnc#1043485).
- Drivers: hv: Base autoeoi enablement based on hypervisor hints
  (fate#320485, bnc#1043485).
- commit e259246
* Fri Jun 16 2017 ohering@suse.de
- Remove conflicting change for hv-pcihyperv (bsc#998664, bsc#1043485)
- commit 13768fd
* Fri Jun 16 2017 hare@suse.de
- blacklist.conf: Add non-applicable commit for qla2xxx
- commit 991ec60
* Fri Jun 16 2017 jthumshirn@suse.de
- nvme_fc: Fix hard lockup in nvme host transport on controller
  delete (bsc#1044640).
- nvmet_fc: fix crashes on bad opcodes (bsc#1044640).
- nvme_fc: Fix crash when nvme controller connection fails
  (bsc#1044640).
- lpfc: update to revision to 11.4.0.1 (bsc#1044623).
- Driver responds LS_RJT to Beacon Off ELS (bsc#1044623).
- Fix crash in lpfc_sli_ringtxcmpl_put when nvmet gets an abort
  request (bsc#1044623).
- Fix crash doing IO with resets (bsc#1044623).
- Fix crash after firmware flash when IO is running (bsc#1044623).
- Fix SLI3 drivers attempting NVME ELS commands (bsc#1044623).
- Reduce time spent in IRQ for received NVME commands
  (bsc#1044623).
- Vport creation is failing with "Link Down" error (bsc#1044623).
- Fix system panic when express lane enabled (bsc#1044623).
- commit c5243b6
* Fri Jun 16 2017 mbrugger@suse.com
- arm64: Update config files.
  Set ARM64_PAGE_SHIFT and ARM64_CONT_SHIFT
- commit cf45e94
* Fri Jun 16 2017 tiwai@suse.de
- [media] vb2: Fix an off by one error in 'vb2_plane_vaddr'
  (bsc#1043231).
- commit 5ef6936
* Fri Jun 16 2017 hare@suse.de
- scsi: qla2xxx: Fix extraneous ref on sp's after adapter break
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Fix crash due to NULL pointer dereference of ctx
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Fix mailbox pointer error in fwdump capture
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Set bit 15 for DIAG_ECHO_TEST MBC
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Modify T262 FW dump template to specify same
  start/end to debug customer issues (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Fix crash due to mismatch mumber of Q-pair
  creation for Multi queue (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Fix NULL pointer access due to redundant
  fc_host_port_name call (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Fix recursive loop during target mode
  configuration for ISP25XX leaving system unresponsive
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: remove some redundant pointer assignments
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Fix typo in driver (bsc#1019675,FATE#321701).
- commit b86a8ce
* Fri Jun 16 2017 jthumshirn@suse.de
- nvme: submit nvme_admin_activate_fw to admin queue
  (bsc#1044532).
- commit cc56593
* Fri Jun 16 2017 mbrugger@suse.com
- blacklist.conf: ignore fix for ARM64_SW_TTBR0_PAN as it is not enabled
- commit 07ec7ed
* Fri Jun 16 2017 mbrugger@suse.com
- arm64: mm: fix __page_to_voff definition (bsc#1044339).
- commit 9af486a
* Fri Jun 16 2017 mbrugger@suse.com
- arm64: fix alignment when RANDOMIZE_TEXT_OFFSET is enabled
  (bsc#1044339).
- arm64: move {PAGE,CONT}_SHIFT into Kconfig (bsc#1044339).
- arm64: mm: dump: log span level (bsc#1044339).
- arm64: update stale PAGE_OFFSET comment (bsc#1044339).
- commit fb9f9f2
* Fri Jun 16 2017 jack@suse.cz
- fuse: fix clearing suid, sgid for chown() (bsc#1012829).
- commit 6c5558f
* Fri Jun 16 2017 jack@suse.cz
- cgroup: remove redundant cleanup in css_create (bsc#1012829).
- commit ff5ed48
* Fri Jun 16 2017 jack@suse.cz
- ext4: fix data corruption for mmap writes (bsc#1012829).
- commit 31e5da8
* Fri Jun 16 2017 jack@suse.cz
- radix-tree: fix radix_tree_iter_retry() for tagged iterators
  (bsc#1012829).
- commit bf1f784
* Fri Jun 16 2017 jack@suse.cz
- nsfs: mark dentry with DCACHE_RCUACCESS (bsc#1012829).
- commit 27f49a2
* Fri Jun 16 2017 jack@suse.cz
- ext4: fix data corruption with EXT4_GET_BLOCKS_ZERO
  (bsc#1012829).
- commit 78dbb78
* Fri Jun 16 2017 jack@suse.cz
- cfq-iosched: fix the delay of cfq_group's vdisktime under iops
  mode (bsc#1012829).
- blacklist.conf: blacklist 964edf66bf9a and 341f741f04be
- commit 29ca72f
* Fri Jun 16 2017 mhocko@suse.cz
- Refresh
  patches.fixes/0002-hugetlb-memory_hotplug-prefer-to-use-reserved-pages-.patch: fix
  misbackport
- commit 4106741
* Thu Jun 15 2017 lduncan@suse.com
- scsi: cxgb4i: libcxgbi: in error case RST tcp conn (bsc#1005779
  FATE#321659).
- scsi: libcxgbi: fix skb use after free (bsc#1005779
  FATE#321659).
- commit f7439ee
* Thu Jun 15 2017 bpoirier@suse.com
- blacklist.conf:
  a04a480d4392 net: Require exact match for TCP socket lookups if dif is l3mdev (v4.9-rc4)
  10/11 conflicts are with code introduced by 74b20582ac38 ("net: l3mdev: Add
  hook in ip and ipv6", v4.7-rc1) which is not present in SP2. I think that
  either the problem was always there or was introduced by 74b20582ac38. If
  in the first case, the fix would have to be implemented differently; if in
  the second case, the fix is not needed in SP2.
- commit 07d2529
* Thu Jun 15 2017 jgross@suse.com
- xen/mce: don't issue error message for failed /dev/mcelog
  registration (bnc#1036638).
- commit e357c6a
* Thu Jun 15 2017 jthumshirn@suse.de
- scatterlist: add sg_zero_buffer() helper (bsc#1038235).
- nvmet: use NVME_IDENTIFY_DATA_SIZE (bsc#1038235).
- nvme: introduce NVMe Namespace Identification Descriptor
  structures (bsc#1038235).
- nvme: rename uuid to nguid in nvme_ns (bsc#1038235).
- nvme: get list of namespace descriptors (bsc#1038235).
- nvme: provide UUID value to userspace (bsc#1038235).
- nvmet: implement namespace identify descriptor list
  (bsc#1038235).
- nvmet: add uuid field to nvme_ns and populate via configfs
  (bsc#1038235).
- nvmet: allow overriding the NVMe VS via configfs (bsc#1038235).
- nvme: add fields into identify controller data structure
  (bsc#1038235).
- Refresh
  patches.drivers/0180-nvme-refactor-namespaces-to-support-non-gendisk-devi.patch.
- commit eff6545
* Thu Jun 15 2017 colyli@suse.de
- raid1: prefer disk without bad blocks (bsc#1041681).
- commit e8e2cd4
* Thu Jun 15 2017 jgross@suse.com
- xen: add sysfs node for guest type (bnc#1037840).
- commit c227b69
* Thu Jun 15 2017 mbrugger@suse.com
- kexec: arm64: Add kernel parameter to enable kexec
  (fate#320671).
- Documentation: dt: chosen properties for arm64 kdump
  (fate#320671).
- Documentation: kdump: describe arm64 port (fate#320671).
- arm64: kdump: provide /proc/vmcore file (fate#320671).
- arm64: kdump: add VMCOREINFO's for user-space tools
  (fate#320671).
- arm64: kdump: implement machine_crash_shutdown() (fate#320671).
- arm64: hibernate: preserve kdump image around hibernation
  (fate#320671).
- arm64: kdump: protect crash dump kernel memory (fate#320671).
- arm64: mm: add set_memory_valid() (fate#320671).
- arm64: kdump: reserve memory for crash dump kernel
  (fate#320671).
- arm64: limit memory regions based on DT property,
  usable-memory-range (fate#320671).
- memblock: add memblock_cap_memory_range() (fate#320671).
- memblock: add memblock_clear_nomap() (bsc#1044339).
- arm64: mm: set the contiguous bit for kernel mappings where
  appropriate (bsc#1044339).
- arm64/mm: remove pointless map/unmap sequences when creating
  page tables (bsc#1044339).
- arm64/mmu: replace 'page_mappings_only' parameter with flags
  argument (bsc#1044339).
- arm64/mmu: add contiguous bit to sanity bug check (bsc#1044339).
- arm64/mmu: ignore debug_pagealloc for kernel segments
  (bsc#1044339).
- arm64/mmu: align alloc_init_pte prototype with pmd/pud versions
  (bsc#1044339).
- arm64: mmu: apply strict permissions to .init.text and
  .init.data (bsc#1044339).
- arm64: mmu: map .text as read-only from the outset
  (bsc#1044339).
- arm64: alternatives: apply boot time fixups via the linear
  mapping (bsc#1044339).
- arm64: mmu: move TLB maintenance from callers to
  create_mapping_late() (bsc#1044339).
- arm: kvm: move kvm_vgic_global_state out of .text section
  (bsc#1044339).
- arm64: vmlinux.ld: Add mmuoff data sections and move mmuoff
  text into idmap (bsc#1044339).
- arm64: Create sections.h (bsc#1044339).
- arm64: Revert "arm64: kaslr: fix breakage with
  CONFIG_MODVERSIONS=y" (bsc#1044339).
- Revert "arm64: mm: set the contiguous bit for kernel mappings
  where appropriate" (bsc#1044339).
- arm64: fix warning about swapper_pg_dir overflow (bsc#1044339).
- arm64: mm: use phys_addr_t instead of unsigned long in
  __map_memblock (bsc#1044339).
- arm64: Add support for CONFIG_DEBUG_VIRTUAL (bsc#1044339).
- arm64: Use __pa_symbol for kernel symbols (bsc#1044339).
- arm64: Add cast for virt_to_pfn (bsc#1044339).
- arm64: Move some macros under #ifndef __ASSEMBLY__
  (bsc#1044339).
- mm: Introduce lm_alias (bsc#1044339).
- arm64: mm: set the contiguous bit for kernel mappings where
  appropriate (bsc#1044339).
- arm64: mm: replace 'block_mappings_allowed' with
  'page_mappings_only' (bsc#1044339).
- arm64: mm: BUG on unsupported manipulations of live kernel
  mappings (bsc#1044339).
- arm64: mm: drop fixup_init() and mm.h (bsc#1044339).
- arm64: mm: run pgtable_page_ctor() on non-swapper translation
  table pages (bsc#1044339).
- arm64: mm: make create_mapping_late() non-allocating
  (bsc#1044339).
- arm64: mm: fold init_pgd() into __create_pgd_mapping()
  (bsc#1044339).
- arm64: mm: Remove split_p*d() functions (bsc#1044339).
- arm64: efi: avoid block mappings for unaligned UEFI memory
  regions (bsc#1044339).
- arm64: efi: always map runtime services code and data regions
  down to pages (bsc#1044339).
- arm64: mm: add param to force create_pgd_mapping() to use page
  mappings (bsc#1044339).
- arm64: mm: remove unnecessary BUG_ON (bsc#1044339).
- arm64: mm: fix location of _etext (bsc#1044339).
- arm64: simplify kernel segment mapping granularity
  (bsc#1044339).
- arm64: cover the .head.text section in the .text segment mapping
  (bsc#1044339).
- arm64: move early boot code to the .init segment (bsc#1044339).
- arm64: use 'segment' rather than 'chunk' to describe mapped
  kernel regions (bsc#1044339).
- arm64: mm: restrict virt_to_page() to the linear mapping
  (bsc#1044339).
- arm64: mm: move vmemmap region right below the linear region
  (bsc#1044339).
- arm64: insn: avoid virt_to_page() translations on core kernel
  symbols (bsc#1044339).
- arm64: mm: avoid virt_to_page() translation for the zero page
  (bsc#1044339).
- arm64: mm: free __init memory via the linear mapping
  (bsc#1044339).
- arm64: vdso: avoid virt_to_page() translations on kernel symbols
  (bsc#1044339).
- arm64: remove the now unneeded relocate_initrd() (bsc#1044339).
- arm64: add the initrd region to the linear mapping explicitly
  (bsc#1044339).
- Revert "arm64: account for sparsemem section alignment when
  choosing vmemmap offset" (bsc#1044339).
- arm64: choose memstart_addr based on minimum sparsemem section
  alignment (bsc#1044339).
- arm64/mm: ensure memstart_addr remains sufficiently aligned
  (bsc#1044339).
- arm64: kaslr: use callee saved register to preserve SCTLR
  across C call (bsc#1044339).
- arm64: mm: Mark .rodata as RO (bsc#1044339).
- arm64: Remove redundant padding from linker script
  (bsc#1044339).
- arm64: consistently use p?d_set_huge (bsc#1044339).
- arm64: allow vmalloc regions to be set with set_memory_*
  (bsc#1044339).
- arm64: always use STRICT_MM_TYPECHECKS (bsc#1044339).
- kexec: make a pair of map/unmap reserved pages in error path
  (bsc#1044339).
- kexec: introduce a protection mechanism for the crashkernel
  reserved memory (bsc#1044339).
- kexec: set KEXEC_TYPE_CRASH before sanity_check_segment_list()
  (bsc#1044339).
- arm64: mm: allow sections for unaligned bases (bsc#1044339).
- arm64: mm: detect bad __create_mapping uses (bsc#1044339).
- mm/slab: clean up DEBUG_PAGEALLOC processing code (bsc#1044339).
- commit 70f001a
* Thu Jun 15 2017 jslaby@suse.cz
- Linux 4.4.72 (CVE-2017-1000380 FATE#320228 FATE#320230
  bnc#1012382 bsc#1041242 bsc#1043467 bsc#1044125 bsc#966186
  bsc#966191 bnc#969292 fate#320529).
- kABI: protect struct pglist_data (kabi).
- Refresh patches.arch/0001-arm64-define-__smp_xxx.patch.
- Refresh
  patches.drivers/ib-qib-remove-modify-queue-pair-code.patch.
- Refresh
  patches.fixes/drm-vmwgfx-limit-the-number-of-mip-levels-in-vmw_gb_.patch.
- Refresh
  patches.suse/0003-kabi-Add-placeholders-to-a-couple-of-important-struc.patch.
- Refresh
  patches.suse/btrfs-0478-update-btrfs_space_info-s-bytes_may_use-timely.patch.
- Delete
  patches.drivers/mlx4-0001-net-better-skb-sender_cpu-and-skb-napi_id-cohabitati.patch.
- Delete
  patches.fixes/0001-net-bridge-start-hello-timer-only-if-device-is-up.patch.
- Delete
  patches.fixes/ALSA-timer-Fix-missing-queue-indices-reset-at-SNDRV_.
- Delete patches.fixes/ALSA-timer-Fix-race-between-read-and-ioctl.
- Delete
  patches.fixes/drm-nouveau-tmr-fully-separate-alarm-execution-pendi.
- Delete
  patches.fixes/make-_xfs_xattr_put_listen-preperly-report-errors.patch.
- Delete
  patches.suse/mm-meminit-initialise-more-memory-for-inode-dentry-hash-tables-in-early-boot.patch.
- commit ad83375
* Thu Jun 15 2017 ddiss@suse.de
- rbd: support for data-pool feature (fate#321625).
- rbd: introduce rbd_init_layout() (fate#321625).
- rbd: use rbd_obj_bytes() more (fate#321625).
- rbd: remove now unused rbd_obj_request_wait() and helpers
  (fate#321625).
- rbd: do away with obj_request in getxattr (fate#321625).
- rbd: do away with obj_request in cmpsetxattr (fate#321625).
- rbd: do away with obj_request in setxattr (fate#321625).
- commit cf602d6
* Thu Jun 15 2017 ddiss@suse.de
- rbd: switch rbd_obj_method_sync() to ceph_osdc_call()
  (fate#321625).
- rbd: do away with obj_request in rbd_obj_read_sync()
  (fate#321625).
- rbd: initialize rbd_dev->header_oloc early (fate#321625).
- rbd: don't call rbd_osd_req_format_read() for !img_data requests
  (fate#321625).
- commit 6b46255
* Wed Jun 14 2017 bpoirier@suse.com
- Add a sorted networking patches section and corral some patches into it.
- commit 3bd1955
* Wed Jun 14 2017 mbrugger@suse.com
- Refresh
  patches.arch/arm64-0016-arm64-mm-allow-passing-a-pgdir-to-alloc_init_.patch.
- commit 3b5a709
* Wed Jun 14 2017 mbrugger@suse.com
- arm64: kaslr: randomize the linear region (bsc#1044339).
- arm64: User die() instead of panic() in do_page_fault()
  (bsc#1044339).
- commit b99b7fc
* Wed Jun 14 2017 mbrugger@suse.com
- Delete
  patches.arch/0001-memblock-add-memblock_clear_nomap.patch.
- Delete
  patches.arch/0002-memblock-add-memblock_cap_memory_range.patch.
- Delete
  patches.arch/0003-arm64-limit-memory-regions-based-on-DT-property-usab.patch.
- Delete
  patches.arch/0004-arm64-kdump-reserve-memory-for-crash-dump-kernel.patch.
- Delete patches.arch/0005-arm64-mm-add-set_memory_valid.patch.
- Delete
  patches.arch/0006-arm64-kdump-protect-crash-dump-kernel-memory.patch.
- Delete
  patches.arch/0007-arm64-hibernate-preserve-kdump-image-around-hibernat.patch.
- Delete
  patches.arch/0008-arm64-kdump-implement-machine_crash_shutdown.patch.
- Delete
  patches.arch/0009-arm64-kdump-add-VMCOREINFO-s-for-user-space-tools.patch.
- Delete
  patches.arch/0010-arm64-kdump-provide-proc-vmcore-file.patch.
- Delete
  patches.arch/0012-Documentation-kdump-describe-arm64-port.patch.
- Delete
  patches.arch/0013-Documentation-dt-chosen-properties-for-arm64-kdump.patch.
- Delete
  patches.suse/0001-kexec-arm64-Add-kernel-parameter-to-enable-kexec.patch.
- commit 02ee844
* Wed Jun 14 2017 tiwai@suse.de
- drm/mgag200: Fix to always set HiPri for G200e4 (bsc#1015452,
  bsc#995542).
- commit ed3cb77
* Wed Jun 14 2017 jroedel@suse.de
- x86/PCI: Mark Broadwell-EP Home Agent 1 as having non-compliant
  BARs (bsc#9048891).
- commit c9de858
* Wed Jun 14 2017 tbogendoerfer@suse.de
- blacklist.conf: MAINTAINERS, disabled IIO stuuf
- commit 1d77676
* Wed Jun 14 2017 tiwai@suse.de
- blacklist.conf: add non-applicable fixes for iwlwifi (FATE#323335)
- commit 508b769
* Wed Jun 14 2017 tiwai@suse.de
- kabi/severities: ignore kABi changes in iwlwifi stuff itself
- commit a2e0320
* Wed Jun 14 2017 tiwai@suse.de
- Update config files: add CONFIG_IWLWIFI_PCIE_RTPM=y (FATE#323335)
- commit 15f2fea
* Wed Jun 14 2017 tiwai@suse.de
- Reenable and refresh patches.suse/iwlwifi-expose-default-fallback-ucode-api.
- commit 161dd39
* Wed Jun 14 2017 tiwai@suse.de
- iwlwifi: tt: move ucode_loaded check under mutex (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: fix netdetect starting/stopping for unified images
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: fix d3_test with unified D0/D3 images
  (FATE#321353, FATE#323335).
- iwlwifi: pcie: mark command queue lock with separate lockdep
  class (FATE#321353, FATE#323335).
- iwlwifi: mvm: bail out if CTDP start operation fails
  (FATE#321353, FATE#323335).
- iwlwifi: check for valid ethernet address provided by OEM
  (FATE#321353, FATE#323335).
- iwlwifi: pcie: fix a race in firmware loading flow (FATE#321353,
  FATE#323335).
- iwlwifi: pcie: enable interrupts before releasing the NIC's CPU
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: avoid harmless -Wmaybe-uninialized warning
  (FATE#321353, FATE#323335).
- iwlwifi: pcie: fix global table size (FATE#321353, FATE#323335).
- iwlwifi: mvm: writing zero bytes to debugfs causes a crash
  (FATE#321353, FATE#323335).
- iwlwifi: pcie: don't increment / decrement a bool (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: don't restart HW if suspend fails with unified
  image (FATE#321353, FATE#323335).
- iwlwifi: pcie: extend device reset delay (FATE#321353,
  FATE#323335).
- iwlwifi: Fix firmware name maximum length definition
  (FATE#321353, FATE#323335).
- iwlwifi: fix double hyphen in MODULE_FIRMWARE for 8000
  (FATE#321353, FATE#323335).
- iwlwifi: add new 8265 series PCI ID (FATE#321353, FATE#323335).
- iwlwifi: add new 8265 (FATE#321353, FATE#323335).
- iwlwifi: add new 8260 PCI IDs (FATE#321353, FATE#323335).
- iwlwifi: mvm: fix accessing Null pointer during fw dump
  collection (FATE#321353, FATE#323335).
- iwlwifi: 8000: fix MODULE_FIRMWARE input (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: avoid to WARN about gscan capabilities
  (FATE#321353, FATE#323335).
- iwlwifi: add device IDs for the 8265 device (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: update GSCAN capabilities (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: don't try to offload AES-CMAC in AP/IBSS modes
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: adapt the firmware assert log to new firmware
  (FATE#321353, FATE#323335).
- iwlwifi: pcie: avoid restocks inside rx loop if not emergency
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: return the cooling state index instead of the
  budget (FATE#321353, FATE#323335).
- iwlwifi: mvm: don't let NDPs mess the packet tracking
  (FATE#321353, FATE#323335).
- iwlwifi: add support for getting HW address from CSR
  (FATE#321353, FATE#323335).
- iwlwifi: pcie: fine tune number of rxbs (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: ROC: cleanup time event info on FW failure
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: add ctdp operations to debugfs (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: extend time event duration (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: set the correct amsdu enum values (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: fix unregistration of thermal in some error flows
  (FATE#321353, FATE#323335).
- iwlwifi: refactor the code that reads the MAC address from
  the NVM (FATE#321353, FATE#323335).
- iwlwifi: mvm: avoid panics with thermal device usage
  (FATE#321353, FATE#323335).
- iwlwifi: pcie: set RB chunk size back to 64 (FATE#321353,
  FATE#323335).
- iwlwifi: pcie: refactor RXBs reclaiming code (FATE#321353,
  FATE#323335).
- iwlwifi: pcie: forbid RTPM on device removal (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: support sw queue start/stop from mvm (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: take the transport ref back when leaving
  (FATE#321353, FATE#323335).
- iwlwifi: add disable_11ac module param (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: only release the trans ref if d0i3 is supported
  in fw (FATE#321353, FATE#323335).
- iwlwifi: mvm: disable DQA support (FATE#321353, FATE#323335).
- iwlwifi: pcie: detect and workaround invalid write ptr behavior
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: update ucode status before stopping device
  (FATE#321353, FATE#323335).
- iwlwifi: support ucode with d0 unified image - regular and
  usniffer (FATE#321353, FATE#323335).
- iwlwifi: mvm: Disable beacon storing in  D3 when WOWLAN
  configured (FATE#321353, FATE#323335).
- iwlwifi: mvm: kill iwl_mvm_enable_agg_txq (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: take care of padded packets (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: Send power command on BSS_CHANGED_BEACON_INFO
  if needed (FATE#321353, FATE#323335).
- iwlwifi: mvm: forbid U-APSD for P2P Client if the firmware
  doesn't support it (FATE#321353, FATE#323335).
- iwlwifi: mvm: various trivial cleanups (FATE#321353,
  FATE#323335).
- iwlwifi: pcie: prevent skbs shadowing in iwl_trans_pcie_reclaim
  (FATE#321353, FATE#323335).
- iwlwifi: pcie: add pm_prepare and pm_complete ops (FATE#321353,
  FATE#323335).
- iwlwifi: pcie: configure more RFH settings (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: enable VHT MU-MIMO for supported hardware
  (FATE#321353, FATE#323335).
- iwlwifi: pcie: fix identation in trans.c (FATE#321353,
  FATE#323335).
- iwlwifi: pcie: Add new configuration to enable MSIX
  (FATE#321353, FATE#323335).
- iwlwifi: pcie: aggregate Flow Handler configuration writes
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: bump firmware API to 21 (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: rs: fix a theoretical access to uninitialized
  array elements (FATE#321353, FATE#323335).
- iwlwifi: mvm: handle pass all scan reporting (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: fix RSS key sizing (FATE#321353, FATE#323335).
- iwlwifi: mvm: set the correct descriptor size for tracing
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: add registration to cooling device (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: add registration to thermal zone (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: add CT-KILL notification (FATE#321353,
  FATE#323335).
- iwlwifi: pcie: fix erroneous return value (FATE#321353,
  FATE#323335).
- iwlwifi: pcie: fix RF-Kill vs. firmware load race (FATE#321353,
  FATE#323335).
- iwlwifi: dvm: remove a wrong dependency on m (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: allow to disable beacon filtering for AP/GO
  interface (FATE#321353, FATE#323335).
- iwlwifi: pcie: update iwl_mpdu_desc fields (FATE#321353,
  FATE#323335).
- iwlwifi: pcie: enable multi-queue rx path (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: support rss queues configuration command
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: rs: fix TPC action decision algorithm
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: add new ADD_STA command version (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: Remove iwl_mvm_update_beacon_abort (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: Remove bf_vif from iwl_power_vifs (FATE#321353,
  FATE#323335).
- iwlwifi: treat iwl_parse_nvm_data() MAC addr as little endian
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: add tlv for multi queue rx support (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: change the check for ADD_STA status (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: add debug print if scan config is ignored
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: change access to ieee80211_hdr (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: support setting minimum quota from debugfs
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: track low-latency sources separately (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: support beacon storing (FATE#321353, FATE#323335).
- iwlwifi: mvm: add support for negative temperatures
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: fix debugfs signedness warning (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: remove shadowing variable (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: make collecting fw debug data optional
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: Add P2P client snoozing (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: add trigger for firmware dump upon TX response
  status (FATE#321353, FATE#323335).
- iwlwifi: Document missing module options (FATE#321353,
  FATE#323335).
- iwlwifi: dvm: handle zero brightness for wifi LED (FATE#321353,
  FATE#323335).
- iwlwifi: various comments and code cleanups (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: Do not switch to D3 image on suspend (FATE#321353,
  FATE#323335).
- iwlwifi: pcie: add RTPM support when wifi is enabled
  (FATE#321353, FATE#323335).
- iwlwifi: pcie: add initial RTPM support for PCI (FATE#321353,
  FATE#323335).
- iwlwifi: pcie: add 9000 series multi queue rx DMA support
  (FATE#321353, FATE#323335).
- iwlwifi: pcie: add infrastructure for multi-queue rx
  (FATE#321353, FATE#323335).
- iwlwifi: pcie: buffer packets to avoid overflowing Tx queues
  (FATE#321353, FATE#323335).
- iwlwifi: fix name of ucode loaded for 8265 series (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: rs: fix TPC statistics handling (FATE#321353,
  FATE#323335).
- iwlwifi: update support for 3168 series firmware and NVM
  (FATE#321353, FATE#323335).
- iwlwifi: add device ID for 8265 (FATE#321353, FATE#323335).
- iwlwifi: add new 3168 series devices support (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: fix memory leaks in error paths upon fw error dump
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: constify the parameters of a few functions in
  fw-dbg.c (FATE#321353, FATE#323335).
- iwlwifi: mvm: check minimum temperature notification length
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: don't ask beacons when P2P GO vif and no assoc
  sta (FATE#321353, FATE#323335).
- iwlwifi: mvm: remove useless WARN_ON and rely on cfg80211's
  combination (FATE#321353, FATE#323335).
- iwlwifi: mvm: support A-MSDU in A-MPDU (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: add a non-trigger window to fw dbg triggers
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: dump the radio registers when the firmware crashes
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: fix extended dwell time (FATE#321353,
  FATE#323335).
- iwlwifi: nvm: fix loading default NVM file (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: bump max API to 20 (FATE#321353, FATE#323335).
- iwlwifi: set max firmware version of 7265 to 17 (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: reset mvm->scan_type when firmware is started
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: change mcc update API (FATE#321353, FATE#323335).
- iwlwifi: mvm: let the firmware choose the antenna for beacons
  (FATE#321353, FATE#323335).
- iwlwifi: bail out in case of bad trans state (FATE#321353,
  FATE#323335).
- iwlwifi: fix printf specifier (FATE#321353, FATE#323335).
- iwlwifi: remove unused parameter from grab_nic_access
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: Change number of associated stations when station
  becomes associated (FATE#321353, FATE#323335).
- iwlwifi: Update PCI IDs for 8000 and 9000 series (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: dump more registers upon error (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: infrastructure for frame-release message
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: add 9000 series RX processing (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: change iwl_mvm_get_key_sta_id() to return the
  station (FATE#321353, FATE#323335).
- iwlwifi: mvm: Add a station in monitor mode (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: add extended dwell time (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: small update in the firmware API (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: support description for user triggered fw dbg
  collection (FATE#321353, FATE#323335).
- iwlwifi: mvm: enable L3 filtering (FATE#321353, FATE#323335).
- iwlwifi: mvm: refactor the way fw_key_table is handled
  (FATE#321353, FATE#323335).
- iwlwifi: 9000: increase the number of queues (FATE#321353,
  FATE#323335).
- iwlwifi: pcie: build an A-MSDU using TSO core (FATE#321353,
  FATE#323335).
- iwlwifi: clear ieee80211_tx_info->driver_data in the op_mode
  (FATE#321353, FATE#323335).
- iwlwifi: pcie: re-organize code towards TSO (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: prepare the code towards TSO implementation
  (FATE#321353, FATE#323335).
- iwlwifi: pcie: allow to pretend to have Tx CSUM for debug
  (FATE#321353, FATE#323335).
- iwlwifi: change the Intel Wireless email address (FATE#321353,
  FATE#323335).
- iwlwifi: dvm: fix compare_const_fl.cocci warnings (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: change protocol offload flows (FATE#321353,
  FATE#323335).
- iwlwifi: expose fw usniffer mode to more utilities (FATE#321353,
  FATE#323335).
- iwlwifi: replace d0i3_mode and wowlan_d0i3 with more generic
  variables (FATE#321353, FATE#323335).
- iwlwifi: mvm: remove the vif parameter of
  iwl_mvm_configure_bcast_filter() (FATE#321353, FATE#323335).
- iwlwifi: avoid d0i3 commands when no/init ucode is loaded
  (FATE#321353, FATE#323335).
- iwlwifi: update host command messages to new format
  (FATE#321353, FATE#323335).
- iwlwifi: uninline iwl_trans_send_cmd (FATE#321353, FATE#323335).
- iwlwifi: block the queues when we send ADD_STA for uAPSD
  (FATE#321353, FATE#323335).
- iwlwifi: trans: support a callback for ASYNC commands
  (FATE#321353, FATE#323335).
- iwlwifi: pcie: allow the op_mode to block the tx queues
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: check iwl_mvm_wowlan_config_key_params() return
  value (FATE#321353, FATE#323335).
- iwlwifi: mvm: cleanup roc te on restart cleanup (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: remove an extra tab (FATE#321353, FATE#323335).
- iwlwifi: dvm: advertise NETIF_F_SG (FATE#321353, FATE#323335).
- iwlwifi: mvm: advertise NETIF_F_SG (FATE#321353, FATE#323335).
- iwlwifi: mvm: rs: fix a potential out of bounds access
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: configure scheduled scan according to traffic
  conditions (FATE#321353, FATE#323335).
- iwlwifi: mvm: set default new STA as non-aggregated
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: add an option to start rs from HT/VHT rates
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: don't keep an mvm ref when the interface is down
  (FATE#321353, FATE#323335).
- iwlwifi: remove IWL_DL_LED (FATE#321353, FATE#323335).
- iwlwifi: mvm: ROC: Extend the ROC max delay duration & limit
  ROC duration (FATE#321353, FATE#323335).
- iwlwifi: mvm: add 9000-series RX API (FATE#321353, FATE#323335).
- iwlwifi: mvm: report wakeup for wowlan (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: rs: fix a warning message (FATE#321353,
  FATE#323335).
- iwlwifi: print index in api/capa flags parsing message
  (FATE#321353, FATE#323335).
- iwlwifi: change the Intel Wireless email address (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: Align bt-coex priority with requirements
  (FATE#321353, FATE#323335).
- iwlwifi: Add PCI IDs for the new series 8165 (FATE#321353,
  FATE#323335).
- iwlwifi: Add PCI IDs for the new 3168 series (FATE#321353,
  FATE#323335).
- iwlwifi: Add new PCI IDs for 9260 and 5165 series (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: refactor d3 key update functions (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: use firmware station lookup, combine code
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: fix incorrect fallthrough in
  iwl_mvm_check_running_scans() (FATE#321353, FATE#323335).
- iwlwifi: pcie: remove pointer from debug message (FATE#321353,
  FATE#323335).
- iwlwifi: clean up transport debugfs handling (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: Support setting continuous recording debug mode
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: move fw-dbg code to separate file (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: remove unnecessary check in
  iwl_mvm_is_d0i3_supported() (FATE#321353, FATE#323335).
- iwlwifi: mvm: flush all used TX queues before suspending
  (FATE#321353, FATE#323335).
- iwlwifi: dump prph registers in a common place for all
  transports (FATE#321353, FATE#323335).
- iwlwifi: export the _no_grab version of PRPH IO functions
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: drop low_latency_agg_frame_cnt_limit (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: remove stray nd_config element (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: add bt rrc and ttc to debugfs (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: add bt settings to debugfs (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: remove redundant d0i3 flag from the config struct
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: add trigger for firmware dump upon TDLS events
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: use build-time assertion for fw trigger ID
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: change name of iwl_mvm_d3_update_gtk (FATE#321353,
  FATE#323335).
- iwlwifi: generalize d0i3_entry_timeout module parameter
  (FATE#321353, FATE#323335).
- iwlwifi: pcie: remove ICT allocation message (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: check FW's response for nvm access write cmd
  (FATE#321353, FATE#323335).
- iwlwifi: mvm: ignore LMAC scan notifications when running UMAC
  scans (FATE#321353, FATE#323335).
- iwlwifi: mvm: Enable MPLUT only on supported hw (FATE#321353,
  FATE#323335).
- iwlwifi: dvm: remove stray debug code (FATE#321353,
  FATE#323335).
- iwlwifi: mvm: Configure fragmented scan for scheduled scan
  (FATE#321353, FATE#323335).
- iwlwifi: trans: make various conversion macros inlines
  (FATE#321353, FATE#323335).
- iwlwifi: dvm: remove Kconfig default (FATE#321353, FATE#323335).
- iwlwifi: add support for 12K Receive Buffers (FATE#321353,
  FATE#323335).
- iwlwifi: nvm: fix up phy section when reading it (FATE#321353,
  FATE#323335).
- commit 630a784
* Wed Jun 14 2017 tiwai@suse.de
- Temporarily disable iwlwifi-expose-default-fallback-ucode-api
  ... for updating iwlwifi stack
- commit e28dd27
* Wed Jun 14 2017 tbogendoerfer@suse.de
- IB/core: If the MGID/MLID pair is not on the list return an
  error (bsc#1022595 FATE#322350).
- IB/ipoib: Fix deadlock between ipoib_stop and mcast join flow
  (bsc#1022595 FATE#322350).
- IB/core: Fix kernel crash during fail to initialize device
  (bsc#1022595 FATE#322350).
- IB/core: For multicast functions, verify that LIDs are multicast
  LIDs (bsc#1022595 FATE#322350).
- commit cbd9d4d
* Wed Jun 14 2017 yousaf.kaukab@suse.com
- i2c: designware: Do not require clock when SSCN and FFCN are
  provided (bsc#1044020).
- i2c: dw: Add APM X-Gene ACPI I2C device support (bsc#1044020).
- commit 6092ed4
* Wed Jun 14 2017 mhocko@suse.cz
- blacklist.conf: blacklist pointless backports
- commit 1b87ccc
* Wed Jun 14 2017 neilb@suse.com
- SUNRPC: ensure correct error is reported by
  xs_tcp_setup_socket() (git-fixes).
- NFSv4: Fix the underestimation of delegation XDR space
  reservation (git-fixes).
- nfs: Fix "Don't increment lock sequence ID after NFS4ERR_MOVED"
  (git-fixes).
- NFSv4: fix a reference leak caused WARNING messages (git-fixes).
- SUNRPC: Silence WARN_ON when NFSv4.1 over RDMA is in use
  (git-fixes).
- NFS: Fix an LOCK/OPEN race when unlinking an open file
  (git-fixes).
- commit 23bce61
* Wed Jun 14 2017 neilb@suse.com
- patches.fixes/mountproto.patch: Add commit id
- commit 44a3545
* Wed Jun 14 2017 bpoirier@suse.com
- net: mvpp2: do not bypass the mvpp22_port_mii_set function
  (bsc#1032150).
- commit cc4b9f1
* Wed Jun 14 2017 bpoirier@suse.com
- Update network patch ordering according to current upstream status
- commit 94e7d16
* Tue Jun 13 2017 tiwai@suse.de
- blacklist.conf: add an entry for the recent armv7hl fix
- commit ca86424
* Tue Jun 13 2017 tiwai@suse.de
- PM / QoS: Fix memory leak on resume_latency.notifiers
  (bsc#1043231).
- ASoC: Intel: Skylake: Uninitialized variable in probe_codec()
  (bsc#1043231).
- brcmfmac: avoid writing channel out of allocated array
  (bsc#1043231).
- brcmfmac: add fallback for devices that do not report per-chain
  values (bsc#1043231).
- commit 6e92f0f
* Tue Jun 13 2017 tiwai@suse.de
- ALSA: timer: Fix race between read and ioctl
  (CVE-2017-1000380,bsc#1044125).
- ALSA: timer: Fix missing queue indices reset at
  SNDRV_TIMER_IOCTL_SELECT (CVE-2017-1000380,bsc#1044125).
- commit 065a7a4
* Tue Jun 13 2017 jeffm@suse.com
- btrfs: account for pinned bytes and bytes_may_use in
  should_alloc_chunk (bsc#1040182).
- commit 1f6da23
* Tue Jun 13 2017 jeffm@suse.com
- btrfs: fix race with relocation recovery and fs_root setup (bsc#1040182).
- commit 6717554
* Tue Jun 13 2017 msuchanek@suse.de
- ibmvnic: Remove netdev notify for failover resets (bsc#1044120).
- commit 4b1bcd2
* Tue Jun 13 2017 msuchanek@suse.de
- ibmvnic: Client-initiated failover (bsc#1043990).
- commit b3406cb
* Tue Jun 13 2017 msuchanek@suse.de
- powerpc/fadump: add reschedule point while releasing memory
  (bsc#1040609).
- commit 280e513
* Tue Jun 13 2017 tiwai@suse.de
- drm/nouveau/tmr: fully separate alarm execution/pending lists
  (bsc#1043467).
- commit 8c10a1c
* Tue Jun 13 2017 jgross@suse.com
- Update patches.fixes/xen-silence-efi-error-messge.patch
  (bnc#1039900).
- commit 4f37798
* Tue Jun 13 2017 jgross@suse.com
- efi: Don't issue error message when booted under Xen
  (bnc#1039900).
- commit 5a7edac
* Tue Jun 13 2017 glin@suse.com
- bna: add missing per queue ethtool stat (bsc#966321 FATE#320156).
- commit dbf458f
* Tue Jun 13 2017 jgross@suse.com
- efi: Don't issue error message when booted under Xen
  (bnc#1036638).
- commit 39c5af6
* Tue Jun 13 2017 agraf@suse.de
- ARM: 8675/1: MCPM: ensure not to enter __hyp_soft_restart from
  loopback and cpu_power_down (bsc#1031492).
- commit dadc32b
* Tue Jun 13 2017 lhenriques@suse.com
- libceph: NULL deref on crush_decode() error path (bsc#1044015).
- commit 0a79a61
* Tue Jun 13 2017 agraf@suse.de
- KVM: arm64: Log an error if trapping a write-to-read-only
  GICv3 access (bsc#1031492).
- KVM: arm64: Log an error if trapping a read-from-write-only
  GICv3 access (bsc#1031492).
- KVM: arm64: vgic-v3: Log which GICv3 system registers are
  trapped (bsc#1031492).
- KVM: arm64: Enable GICv3 common sysreg trapping via command-line
  (bsc#1031492).
- KVM: arm64: vgic-v3: Add ICV_PMR_EL1 handler (bsc#1031492).
- KVM: arm64: vgic-v3: Add ICV_CTLR_EL1 handler (bsc#1031492).
- KVM: arm64: vgic-v3: Add ICV_RPR_EL1 handler (bsc#1031492).
- KVM: arm64: vgic-v3: Add ICV_DIR_EL1 handler (bsc#1031492).
- arm64: Add workaround for Cavium Thunder erratum 30115
  (bsc#1031492).
- arm64: Add MIDR values for Cavium cn83XX SoCs (bsc#1031492).
- KVM: arm64: Enable GICv3 Group-0 sysreg trapping via
  command-line (bsc#1031492).
- KVM: arm64: vgic-v3: Enable trapping of Group-0 system registers
  (bsc#1031492).
- KVM: arm64: vgic-v3: Add misc Group-0 handlers (bsc#1031492).
- KVM: arm64: vgic-v3: Add ICV_IGNREN0_EL1 handler (bsc#1031492).
- KVM: arm64: vgic-v3: Add ICV_BPR0_EL1 handler (bsc#1031492).
- KVM: arm64: Enable GICv3 Group-1 sysreg trapping via
  command-line (bsc#1031492).
- KVM: arm64: vgic-v3: Enable trapping of Group-1 system registers
  (bsc#1031492).
- KVM: arm64: vgic-v3: Add ICV_HPPIR1_EL1 handler (bsc#1031492).
- KVM: arm64: vgic-v3: Add ICV_AP1Rn_EL1 handler (bsc#1031492).
- KVM: arm64: vgic-v3: Add ICV_EOIR1_EL1 handler (bsc#1031492).
- KVM: arm64: vgic-v3: Add ICV_IAR1_EL1 handler (bsc#1031492).
- KVM: arm64: vgic-v3: Add ICV_IGRPEN1_EL1 handler (bsc#1031492).
- KVM: arm64: vgic-v3: Add ICV_BPR1_EL1 handler (bsc#1031492).
- KVM: arm64: vgic-v3: Add hook to handle guest GICv3 sysreg
  accesses at EL2 (bsc#1031492).
- KVM: arm64: Make kvm_condition_valid32() accessible from EL2
  (bsc#1031492).
- KVM: arm/arm64: vgic-v3: Add accessors for the ICH_APxRn_EL2
  registers (bsc#1031492).
- arm64: Add a facility to turn an ESR syndrome into a sysreg
  encoding (bsc#1031492).
- ARM: decompressor: Remove __hyp_get_vectors usage (bsc#1031492).
- arm: Move voffset into .hyp.text (bsc#1031492).
- ARM: Expose the VA/IDMAP offset (bsc#1031492).
- irqchip/gic-v3-its: Change unsigned types for AArch32
  compatibility (bsc#1031492).
- ARM: gic-v3-its: Add 32bit support to GICv3 ITS (bsc#1031492).
- ARM: gic-v3: Introduce 32-to-64-bit mappings for GICv3 cpu
  registers (bsc#1031492).
- ARM: Introduce MPIDR_LEVEL_SHIFT macro (bsc#1031492).
- ARM: 8527/1: virt: enable GICv3 system registers (bsc#1031492).
- ARM: KVM: Convert KVM to use HVC_GET_VECTORS (bsc#1031492).
- ARM: KVM: Cleanup asm-offsets.c (bsc#1031492).
- arm64: Move voffset to .hyp.text (bsc#1031492).
- arm: KVM: Allow unaligned accesses at HYP (bsc#1031492).
- arm64: KVM: Allow unaligned accesses at EL2 (bsc#1031492).
- arm64: KVM: Preserve RES1 bits in SCTLR_EL2 (bsc#1031492).
- arm64: KVM: Fix decoding of Rt/Rt2 when trapping AArch32 CP
  accesses (bsc#1031492).
- KVM: arm/arm64: Handle possible NULL stage2 pud when ageing
  pages (bsc#1031492).
- KVM: arm/arm64: vgic-v3: Fix nr_pre_bits bitfield extraction
  (bsc#1031492).
- KVM: arm/arm64: Fix isues with GICv2 on GICv3 migration
  (bsc#1031492).
- arm64: sysreg: add Set/Way sys encodings (bsc#1031492).
- arm64: sysreg: add register encodings used by KVM (bsc#1031492).
- arm64: sysreg: add physical timer registers (bsc#1031492).
- arm64: sysreg: subsume GICv3 sysreg definitions (bsc#1031492).
- irqchip/gic-v3-its: Specialise readq and writeq accesses
  (bsc#1031492).
- irqchip/gic-v3-its: Specialise flush_dcache operation
  (bsc#1031492).
- irqchip/gic-v3: Use nops macro for Cavium ThunderX erratum 23154
  (bsc#1031492).
- irqchip/gic-v3: Convert arm64 GIC accessors to
  {read,write}_sysreg_s (bsc#1031492).
- KVM: arm/arm64: Hold slots_lock when unregistering kvm io bus
  devices (bsc#1031492).
- KVM: arm/arm64: Fix bug when registering redist iodevs
  (bsc#1031492).
- kvm: arm/arm64: Fix use after free of stage2 page table
  (bsc#1031492).
- kvm: arm/arm64: Force reading uncached stage2 PGD (bsc#1031492).
- KVM: arm: rename pm_fake handler to trap_raz_wi (bsc#1031492).
- KVM: arm: plug potential guest hardware debug leakage
  (bsc#1031492).
- kvm: arm/arm64: Fix race in resetting stage2 PGD (bsc#1031492).
- KVM: arm/arm64: vgic-v3: Use PREbits to infer the number of
  ICH_APxRn_EL2 registers (bsc#1031492).
- arm: KVM: Do not use stack-protector to compile HYP code
  (bsc#1031492).
- arm64: KVM: Do not use stack-protector to compile EL2 code
  (bsc#1031492).
- ARM: KVM: Fix tracepoint generation after move to virt/kvm/arm/
  (bsc#1031492).
- KVM: arm/arm64: vgic-its: Cleanup after failed ITT restore
  (bsc#1031492).
- KVM: arm/arm64: Don't call map_resources when restoring ITS
  tables (bsc#1031492).
- KVM: arm/arm64: Register ITS iodev when setting base address
  (bsc#1031492).
- KVM: arm/arm64: Get rid of its->initialized field (bsc#1031492).
- KVM: arm/arm64: Register iodevs when setting redist base and
  creating VCPUs (bsc#1031492).
- KVM: arm/arm64: Slightly rework kvm_vgic_addr (bsc#1031492).
- KVM: arm/arm64: Make vgic_v3_check_base more broadly usable
  (bsc#1031492).
- KVM: arm/arm64: Refactor vgic_register_redist_iodevs
  (bsc#1031492).
- KVM: arm/arm64: vgic: Rename kvm_vgic_vcpu_init to
  kvm_vgic_vcpu_enable (bsc#1031492).
- KVM: arm64: vgic-v3: KVM_DEV_ARM_VGIC_SAVE_PENDING_TABLES
  (bsc#1031492).
- KVM: arm64: vgic-its: Fix pending table sync (bsc#1031492).
- KVM: arm64: vgic-its: ITT save and restore (bsc#1031492).
- KVM: arm64: vgic-its: Device table save/restore (bsc#1031492).
- KVM: arm64: vgic-its: vgic_its_check_id returns the entry's GPA
  (bsc#1031492).
- KVM: arm64: vgic-its: Collection table save/restore
  (bsc#1031492).
- KVM: arm64: vgic-its: Add infrastructure for table lookup
  (bsc#1031492).
- KVM: arm64: vgic-its: vgic_its_alloc_ite/device (bsc#1031492).
- KVM: arm64: vgic-its: KVM_DEV_ARM_ITS_SAVE/RESTORE_TABLES
  (bsc#1031492).
- KVM: arm64: vgic-its: Read config and pending bit in add_lpi()
  (bsc#1031492).
- KVM: arm64: vgic-v3: vgic_v3_lpi_sync_pending_status
  (bsc#1031492).
- KVM: arm64: vgic-its: Check the device id matches TYPER DEVBITS
  range (bsc#1031492).
- KVM: arm64: vgic-its: Interpret MAPD ITT_addr field
  (bsc#1031492).
- KVM: arm64: vgic-its: Interpret MAPD Size field and check
  related errors (bsc#1031492).
- KVM: arm64: vgic-its: Implement vgic_mmio_uaccess_write_its_iidr
  (bsc#1031492).
- KVM: arm64: vgic-its: Introduce migration ABI infrastructure
  (bsc#1031492).
- KVM: arm64: vgic-its: Implement
  vgic_mmio_uaccess_write_its_creadr (bsc#1031492).
- KVM: arm64: vgic-its: Implement vgic_its_has_attr_regs and
  attr_regs_access (bsc#1031492).
- KVM: arm/arm64: vgic: expose (un)lock_all_vcpus (bsc#1031492).
- KVM: arm64: vgic-its: KVM_DEV_ARM_VGIC_GRP_ITS_REGS group
  (bsc#1031492).
- arm/arm64: vgic: turn vgic_find_mmio_region into public
  (bsc#1031492).
- KVM: arm/arm64: vgic-its: rename itte into ite (bsc#1031492).
- KVM: arm/arm64: Move shared files to virt/kvm/arm (bsc#1031492).
- ARM: KVM: Fix idmap stub entry when running Thumb-2 code
  (bsc#1031492).
- ARM: hyp-stub: Fix Thumb-2 compilation (bsc#1031492).
- KVM: arm/arm64: vgic-v3: Fix off-by-one LR access (bsc#1031492).
- KVM: arm/arm64: vgic-v3: De-optimize VMCR save/restore when
  emulating a GICv2 (bsc#1031492).
- ARM: hyp-stub: Zero r0 on successful stub handling
  (bsc#1031492).
- arm64: hyp-stub: Zero x0 on successful stub handling
  (bsc#1031492).
- arm64: hyp-stub/KVM: Kill __hyp_get_vectors (bsc#1031492).
- ARM: hyp-stub/KVM: Kill __hyp_get_vectors (bsc#1031492).
- ARM: hyp-stub: Implement HVC_RESET_VECTORS stub hypercall
  (bsc#1031492).
- ARM: hyp-stub: Define a return value for failed stub calls
  (bsc#1031492).
- ARM: hyp-stub: Use r1 for the soft-restart address
  (bsc#1031492).
- ARM: soft-reboot into same mode that we entered the kernel
  (bsc#1031492).
- ARM: hyp-stub: improve ABI (bsc#1031492).
- arm64: hyp-stub: Implement HVC_RESET_VECTORS stub hypercall
  (bsc#1031492).
- arm64: hyp-stub: Define a return value for failed stub calls
  (bsc#1031492).
- arm64: hyp-stub: Don't save lr in the EL1 code (bsc#1031492).
- arm64: hyp-stub: Stop pointlessly clobbering lr (bsc#1031492).
- arm/arm64: KVM: Use HVC_RESET_VECTORS to reinit HYP mode
  (bsc#1031492).
- arm/arm64: KVM: Remove kvm_get_idmap_start (bsc#1031492).
- arm/arm64: KVM: Use __hyp_reset_vectors() directly
  (bsc#1031492).
- ARM: KVM: Gracefully handle hyp-stubs being restored from
  under our feet (bsc#1031492).
- ARM: KVM: Implement HVC_SOFT_RESTART in the init code
  (bsc#1031492).
- ARM: KVM: Convert __cpu_reset_hyp_mode to using
  __hyp_reset_vectors (bsc#1031492).
- ARM: KVM: Allow the main HYP code to use the init hyp stub
  implementation (bsc#1031492).
- ARM: KVM: Implement HVC_GET_VECTORS in the init code
  (bsc#1031492).
- ARM: KVM: Implement HVC_RESET_VECTORS stub hypercall in the
  init code (bsc#1031492).
- ARM: KVM: Convert KVM to use HVC_GET_VECTORS (bsc#1031492).
- arm64: KVM: Implement HVC_SOFT_RESTART in the init code
  (bsc#1031492).
- arm64: KVM: Convert __cpu_reset_hyp_mode to using
  __hyp_reset_vectors (bsc#1031492).
- arm64: KVM: Allow the main HYP code to use the init hyp stub
  implementation (bsc#1031492).
- arm64: KVM: Implement HVC_GET_VECTORS in the init code
  (bsc#1031492).
- arm64: KVM: Implement HVC_RESET_VECTORS stub hypercall in the
  init code (bsc#1031492).
- arm64: KVM: Move lr save/restore to do_el2_call (bsc#1031492).
- arm: KVM: Treat CP15 accessors returning false as successful
  (bsc#1031492).
- arm: KVM: Make unexpected register accesses inject an undef
  (bsc#1031492).
- arm64: KVM: Do not corrupt registers on failed 64bit CP read
  (bsc#1031492).
- arm64: KVM: Treat sysreg accessors returning false as successful
  (bsc#1031492).
- arm64: KVM: PMU: Inject UNDEF on read access to PMSWINC_EL0
  (bsc#1031492).
- arm64: KVM: Make unexpected reads from WO registers inject an
  undef (bsc#1031492).
- arm64: KVM: PMU: Inject UNDEF on non-privileged accesses
  (bsc#1031492).
- arm64: KVM: PMU: Inject UNDEF exception on illegal register
  access (bsc#1031492).
- arm64: KVM: PMU: Refactor pmu_*_el0_disabled (bsc#1031492).
- KVM: arm/arm64: vgic: Improve sync_hwstate performance
  (bsc#1031492).
- KVM: arm/arm64: vgic: Don't check vgic_initialized in sync/flush
  (bsc#1031492).
- KVM: arm/arm64: vgic: Implement early VGIC init functionality
  (bsc#1031492).
- KVM: arm/arm64: vgic: Get rid of MISR and EISR fields
  (bsc#1031492).
- KVM: arm/arm64: vgic: Get rid of unnecessary
  save_maint_int_state (bsc#1031492).
- KVM: arm/arm64: vgic: Get rid of unnecessary process_maintenance
  operation (bsc#1031492).
- KVM: arm/arm64: vgic: Only set underflow when actually out of
  LRs (bsc#1031492).
- KVM: arm/arm64: vgic: Get rid of live_lrs (bsc#1031492).
- KVM: arm/arm64: vgic: Avoid flushing vgic state when there's
  no pending IRQ (bsc#1031492).
- KVM: arm/arm64: vgic: Defer touching GICH_VMCR to vcpu_load/put
  (bsc#1031492).
- kvm: arm/arm64: Rework gpa callback handlers (bsc#1031492).
- kvm: make KVM_CAP_COALESCED_MMIO architecture agnostic
  (bsc#1031492).
- arm64: cpufeature: Make ID reg accessor naming less
  counterintuitive (bsc#1031492).
- KVM: arm/arm64: vgic: Fix GICC_PMR uaccess on GICv3 and clarify
  ABI (bsc#1031492).
- KVM: arm64: Use common Set/Way sys definitions (bsc#1031492).
- KVM: arm64: Use common sysreg definitions (bsc#1031492).
- KVM: arm64: use common invariant sysreg definitions
  (bsc#1031492).
- KVM: arm64: Use common physical timer sysreg definitions
  (bsc#1031492).
- KVM: arm64: Use common GICv3 sysreg definitions (bsc#1031492).
- KVM: arm64: Use common performance monitor sysreg definitions
  (bsc#1031492).
- KVM: arm64: Use common debug sysreg definitions (bsc#1031492).
- KVM: arm64: add SYS_DESC() (bsc#1031492).
- arm64: sysreg: add performance monitor registers (bsc#1031492).
- arm64: sysreg: add debug system registers (bsc#1031492).
- arm64: sysreg: sort by encoding (bsc#1031492).
- arm64: cpufeature: Define helpers for sys_reg id (bsc#1031492).
- arm64: Work around broken .inst when defective gas is detected
  (bsc#1031492).
- arm64: Get rid of asm/opcodes.h (bsc#1031492).
- arm64: add conditional instruction simulation support
  (bsc#1031492).
- arm64: simplify sysreg manipulation (bsc#1031492).
- arm64: hw_breakpoint: Allow EL2 breakpoints if running in HYP
  (bsc#1031492).
- arm64: cpufeature: append additional id_aa64mmfr2 fields to
  cpufeature (bsc#1031492).
- arm64: use local label prefixes for __reg_num symbols
  (bsc#1031492).
- arm64: Add macros to read/write system registers (bsc#1031492).
- commit 5be7924
* Tue Jun 13 2017 agraf@suse.de
- Delete
  patches.arch/arm64-kvmthunderxgic-0001-Add-MIDR-values-for-Cavium-cn83XX-SoCs.patch.
- Delete
  patches.arch/arm64-kvmthunderxgic-0002-Add-workaround-for-Cavium-Thunder-erratum-30115.patch.
- commit f16ee8e
* Tue Jun 13 2017 mhocko@suse.cz
- mm, memory_hotplug: support movable_node for hotplugable nodes
  (bnc#1040799).
- Delete rpm/80-hotplug-cpu-mem.rules as it is no longer needed
- commit 12c64f1
* Tue Jun 13 2017 mhocko@suse.cz
- mm, memory_hotplug: do not assume ZONE_NORMAL is default kernel
  zone (bnc#1030659).
- mm, memory_hotplug: fix MMOP_ONLINE_KEEP behavior (bnc#1030659).
- commit b30804c
* Mon Jun 12 2017 tiwai@suse.de
- ARM: gic-v3: Work around definition of gic_write_bpr1
  (bsc#1043231).
- ARM: add support for generic early_ioremap/early_memremap
  (bsc#1043231).
- commit ddf2bc9
* Mon Jun 12 2017 dmulder@suse.com
- SMB2: Fix share type handling (bnc#1043936).
- commit 55d4416
* Mon Jun 12 2017 dmulder@suse.com
- cifs: small underflow in cnvrtDosUnixTm() (bnc#1043935).
- commit 4d9f1f5
* Mon Jun 12 2017 bpoirier@suse.com
- Refresh
  patches.drivers/e1000e-Don-t-return-uninitialized-stats.patch.
- commit 83402f1
* Mon Jun 12 2017 mhocko@suse.cz
- mm-adaptive-hash-table-scaling-v5 (bnc#1036303).
- Refresh patches.fixes/mm-drop-HASH_ADAPT.patch.
- commit 44681c4
* Mon Jun 12 2017 jthumshirn@suse.de
- scsi: qedf: Check if sense buffer has been allocated during
  completion (bsc#1040813).
- scsi: qedf: Update version number to 8.18.22.0 (bsc#1040813).
- scsi: qedf: Add change_queue_depth member to
  scsi_host_template() (bsc#1040813).
- scsi: qedf: Change cmd_per_lun in scsi_host_template to 32 to
  increase performance (bsc#1040813).
- scsi: qedf: Move some prints to a debug level so they do not
  print when no debugging is enabled (bsc#1040813).
- scsi: qedf: Fixup unnecessary parantheses around test_bit
  operations (bsc#1040813).
- scsi: qedf: Add non-offload receive filters (bsc#1040813).
- scsi: qedf: Add bus_reset No-op (bsc#1040813).
- scsi: qedf: Use same logic for SCSI host reset and FC lip_reset
  (bsc#1040813).
- scsi: qedf: Set qed logging level to QED_LEVEL_NOTICE
  (bsc#1040813).
- scsi: qedf: Add fka_period SCSI host attribute to show fip
  keep alive period (bsc#1040813).
- scsi: qedf: Check that fcport is offloaded before dereferencing
  pointers in initiate_abts|cleanup (bsc#1040813).
- scsi: qedf: Look at all descriptors when processing a clear
  virtual link (bsc#1040813).
- scsi: qedf: Honor qed_ops->common->set_fp_int() return code
  (bsc#1040813).
- scsi: qedf: Update copyright to 2017 (bsc#1040813).
- scsi: qedf: Enable basic FDMI information (bsc#1040813).
- commit f9a11f6
* Mon Jun 12 2017 jthumshirn@suse.de
- scsi: lpfc: nvmet_fc: fix format string (bsc#1043805).
- commit 28386ff
* Mon Jun 12 2017 jthumshirn@suse.de
- nvme-pci: fix multiple ctrl removal scheduling (bsc#1043805).
- commit 0301a02
* Mon Jun 12 2017 mgorman@suse.de
- Refresh
  patches.fixes/mm-hugetlb-check-for-reserved-hugepages-during-memory-offline.patch.
- commit 650fb78
* Mon Jun 12 2017 mgorman@suse.de
- blacklist.conf: comment clarification that is obvious from the code
- commit 19a1274
* Mon Jun 12 2017 mgorman@suse.de
- blacklist.conf: fix to an unsupported driver
- commit 79408c9
* Mon Jun 12 2017 mgorman@suse.de
- blacklist.conf: comment move that is cosmetic
- commit 25c1b62
* Mon Jun 12 2017 mgorman@suse.de
- percpu: remove unused chunk_alloc parameter from
  pcpu_get_pages() (bnc#971975 VM -- git fixes).
- commit 97bf5ca
* Mon Jun 12 2017 mgorman@suse.de
- blacklist.conf: no feature open to enable building driver as a module
- commit 26f3fc7
* Mon Jun 12 2017 mgorman@suse.de
- mm/hugetlb: check for reserved hugepages during memory offline
  (bnc#971975 VM -- git fixes).
- commit 10b1d4d
* Mon Jun 12 2017 mgorman@suse.de
- mm/hugetlb: fix incorrect hugepages count during mem hotplug
  (bnc#971975 VM -- git fixes).
- commit e882b3f
* Mon Jun 12 2017 jslaby@suse.cz
- blacklist.conf: add one more
- commit 59c893e
* Mon Jun 12 2017 nborisov@suse.com
- Make __xfs_xattr_put_listen preperly report errors
  (bsc#1041242).
- commit bada0b2
* Mon Jun 12 2017 bp@suse.de
- blacklist.conf: 25dc1d6cc308 not needed
- commit 76cb039
* Fri Jun  9 2017 lhenriques@suse.com
- Refresh
  patches.fixes/ceph-check-that-the-new-inode-size-is-within-limits-in-ceph_fallocate.patch.
  Updated patch metadata according to mainline commit.
- commit b9c63a6
* Fri Jun  9 2017 lhenriques@suse.com
- libceph: cleanup old messages according to reconnect seq
  (bsc#1043824).
- libceph: NULL deref on crush_decode() error path (bsc#1043824).
- libceph: fix error handling in process_one_ticket() (bsc#1043824).
- libceph: validate blob_struct_v in process_one_ticket()
  (bsc#1043824).
- libceph: drop version variable from ceph_monmap_decode()
  (bsc#1043824).
- libceph: make ceph_msg_data_advance() return void (bsc#1043824).
- libceph: use kbasename() and kill ceph_file_part() (bsc#1043824).
- commit 8556d41
* Fri Jun  9 2017 lhenriques@suse.com
- ceph: choose readdir frag based on previous readdir reply
  (bsc#1043822).
- ceph: make seeky readdir more efficient (bsc#1043822).
- commit dc0ce3d
* Fri Jun  9 2017 nborisov@suse.com
- xfs: fix xfs_mode_to_ftype() prototype (bsc#1043598).
- commit c745736
* Fri Jun  9 2017 nborisov@suse.com
- kABI: protect struct xlog (bsc#1043598).
- commit 5e564d7
* Fri Jun  9 2017 nborisov@suse.com
- xfs: log recovery tracepoints to track current lsn and  buffer
  submission (bsc#1043598).
- xfs: update metadata LSN in buffers during log recovery
  (bsc#1043598).
- xfs: don't warn on buffers not being recovered due to LSN
  (bsc#1043598).
- xfs: pass current lsn to log recovery buffer validation
  (bsc#1043598).
- xfs: rework log recovery to submit buffers on LSN  boundaries
  (bsc#1043598).
- xfs: refactor log record unpack and data processing
  (bsc#1043598).
- commit 573d2cf
* Fri Jun  9 2017 lhenriques@suse.com
- ceph: close stopped mds' session (bsc#1043559).
- commit 44866f0
* Fri Jun  9 2017 nborisov@suse.com
- xfs: sanity check inode di_mode (bsc#1042421).
- xfs: replace xfs_mode_to_ftype table with switch  statement
  (bsc#1042421).
- xfs: add missing include dependencies to xfs_dir2.h
  (bsc#1042421).
- xfs: rework the inline directory verifiers (bsc#1042421).
- xfs: verify inline directory data forks (bsc#1042421).
- commit b14549f
* Fri Jun  9 2017 colyli@suse.de
- raid5-ppl: use a single mempool for ppl_io_unit and header_page
  (fate#321488, bsc#1042359).
- commit c41749d
* Fri Jun  9 2017 colyli@suse.de
- raid5-ppl: partial parity calculation optimization (fate#321488,
  bsc#1042359).
- commit c5c0918
* Fri Jun  9 2017 colyli@suse.de
- raid5-ppl: use resize_stripes() when enabling or disabling ppl
  (fate#321488, bsc#1042359).
- commit fd5d8fe
* Fri Jun  9 2017 colyli@suse.de
- raid5-ppl: move no_mem_stripes to struct ppl_conf (fate#321488,
  bsc#1042359).
- commit b689af6
* Fri Jun  9 2017 colyli@suse.de
- md/raid5: use consistency_policy to remove journal feature
  (FATE#321488, bsc#1042359).
- commit d79ed1d
* Fri Jun  9 2017 colyli@suse.de
- raid5-ppl: silence a misleading warning message (fate#321488,
  bsc#1042359).
- commit 7b7313e
* Fri Jun  9 2017 colyli@suse.de
- raid5-ppl: runtime PPL enabling or disabling (fate#321488,
  bsc#1042359).
- commit b38794e
* Fri Jun  9 2017 colyli@suse.de
- raid5-ppl: support disk hot add/remove with PPL (fate#321488,
  bsc#1042359).
- commit d3a755c
* Fri Jun  9 2017 colyli@suse.de
- raid5-ppl: load and recover the log (fate#321488, bsc#1042359).
- commit 66b30c5
* Fri Jun  9 2017 colyli@suse.de
- md: add sysfs entries for PPL (fate#321488, bsc#1042359).
- commit 0443220
* Fri Jun  9 2017 colyli@suse.de
- raid5-ppl: Partial Parity Log write logging implementation
  (fate#321488, bsc#1042359).
- commit f64b80c
* Fri Jun  9 2017 colyli@suse.de
- md: superblock changes for PPL (fate#321488, bsc#1042359).
- Refresh patches.suse/md-display-timeout-error.patch.
- commit c9d2324
* Fri Jun  9 2017 colyli@suse.de
- raid5: separate header for log functions (fate#321488,
  bsc#1042359).
- commit 6242bcd
* Fri Jun  9 2017 colyli@suse.de
- md/raid1/10: fix potential deadlock (bsc#1042962).
- commit 96f6e09
* Fri Jun  9 2017 colyli@suse.de
- md/r5cache: fix set_syndrome_sources() for data in cache
  (bsc#1042359).
- commit b05cc25
* Fri Jun  9 2017 colyli@suse.de
- md: fix incorrect use of lexx_to_cpu in does_sb_need_changing
  (bsc#1042359).
- commit 9351420
* Fri Jun  9 2017 colyli@suse.de
- md: fix super_offset endianness in super_1_rdev_size_change
  (FATE#321488, bsc#1042958).
- commit 70525fc
* Fri Jun  9 2017 colyli@suse.de
- md: don't impose the MD_SB_DISKS limit on arrays without
  metadata (bsc#1042359).
- commit 1f8b52a
* Fri Jun  9 2017 colyli@suse.de
- md/linear: shutup lockdep warnning (FATE#321488, bsc#1042977).
- commit 1e09421
* Fri Jun  9 2017 colyli@suse.de
- dm round robin: revert "use percpu 'repeat_count' and
  'current_path'" (FATE#321488, bsc#1042567).
- commit 1fcdec9
* Fri Jun  9 2017 colyli@suse.de
- md/raid5: Don't reinvent the wheel but use existing llist API
  (bsc#1042359).
- commit ab83565
* Fri Jun  9 2017 colyli@suse.de
- md: remove unnecessary check on mddev (bsc#1042359).
- commit 94b7281
* Fri Jun  9 2017 colyli@suse.de
- Delete
  patches.arch/0107-MIPS-sysmips-Remove-duplicated-include-from-syscall..patch.
- commit c7c2652
* Fri Jun  9 2017 colyli@suse.de
- Refresh
  patches.drivers/0083-md-separate-flags-for-superblock-changes.patch.
- commit bb9cc3f
* Fri Jun  9 2017 colyli@suse.de
- Refresh
  patches.drivers/0005-md-r5cache-caching-phase-of-r5cache.patch.
- Refresh
  patches.drivers/0006-md-r5cache-write-out-phase-and-reclaim-support.patch.
- Refresh
  patches.drivers/0007-md-r5cache-sysfs-entry-journal_mode.patch.
- Refresh
  patches.drivers/0008-md-r5cache-handle-FLUSH-and-FUA.patch.
- Refresh
  patches.drivers/0009-md-r5cache-disable-write-back-for-degraded-array.patch.
- Refresh
  patches.drivers/0012-md-r5cache-r5cache-recovery-part-2.patch.
- Refresh
  patches.drivers/0015-md-r5cache-handle-alloc_page-failure.patch.
- Refresh
  patches.drivers/0039-md-r5cache-enable-chunk_aligned_read-with-write-back.patch.
- Refresh patches.drivers/0081-block-kill-off-q-flush_flags.patch.
- Refresh
  patches.drivers/0087-md-cleanup-mddev-flag-clear-for-takeover.patch.
- Refresh
  patches.drivers/0105-raid5-only-dispatch-IO-from-raid5d-for-harddisk-raid.patch.
- Refresh
  patches.drivers/0130-block-drivers-fs-rename-REQ_FLUSH-to-REQ_PREFLUSH.patch.
- Refresh
  patches.drivers/0175-block-rename-bio-bi_rw-to-bi_opf.patch.
- Delete
  patches.suse/0001-raid5-ppl-silence-a-misleading-warning-message.patch.
- Delete
  patches.suse/0001-raid5-separate-header-for-log-functions.patch.
- Delete patches.suse/0002-md-superblock-changes-for-PPL.patch.
- Delete
  patches.suse/0003-raid5-ppl-Partial-Parity-Log-write-logging-implement.patch.
- Delete patches.suse/0004-md-add-sysfs-entries-for-PPL.patch.
- Delete
  patches.suse/0005-raid5-ppl-load-and-recover-the-log.patch.
- Delete
  patches.suse/0006-raid5-ppl-support-disk-hot-add-remove-with-PPL.patch.
- Delete
  patches.suse/0007-raid5-ppl-runtime-PPL-enabling-or-disabling.patch.
  The above changes is preparation to add raid5-ppl patches, all the changes is atomic,
  cannot be splitted into smaller pieces.
- commit 7d37981
* Fri Jun  9 2017 colyli@suse.de
- Refresh
  patches.drivers/0058-md-reduce-the-number-of-synchronize_rcu-calls-when-m.patch.
- Refresh
  patches.suse/0002-md-cluster-remove-a-disk-asynchronously-from-cluster.patch.
- Delete patches.suse/md-expedite-hot-remove.
- commit 6f5a25d
* Fri Jun  9 2017 colyli@suse.de
- Refresh
  patches.suse/0008-md-cluster-update-comments-for-MD_CLUSTER_SEND_LOCKE.patch.
- commit 3fba522
* Fri Jun  9 2017 colyli@suse.de
- Refresh
  patches.suse/0007-md-cluster-append-some-actions-when-change-bitmap-fr.patch.
- commit a76fb2e
* Fri Jun  9 2017 colyli@suse.de
- Refresh
  patches.suse/0002-md-cluster-remove-a-disk-asynchronously-from-cluster.patch.
- commit 103f451
* Thu Jun  8 2017 bpoirier@suse.com
- series.conf: Move related patches together.
  These ACPI patches are part of the same series as the hns ones that follow.
  b1c6a3a46b8b Merge branch 'hns-acpi' (v4.8-rc1)
- commit 9e220fb
* Thu Jun  8 2017 jeffm@suse.com
- btrfs: fix double add_pinned_bytes call in btrfs_free_extent (bsc#1040182).
- commit 68463af
* Thu Jun  8 2017 tiwai@suse.de
- input: misc: max77693: Use pwm_get_args() where appropriate
  (bsc#1043231).
- ACPI: bus: add stub acpi_dev_found() to linux/acpi.h
  (bsc#1043231).
- ACPI: bus: add stub acpi_evaluate_dsm() to linux/acpi.h
  (bsc#1043231).
- extcon: arizona: Remove the usage of extcon_update_state()
  (bsc#1043231).
- extcon: adc-jack: Remove the usage of extcon_set_state()
  (bsc#1043231).
- cpufreq: tegra124: No need of setting platform-data
  (bsc#1043231).
- mvebu: Use dev_pm_opp_set_sharing_cpus() to mark OPP tables
  as shared (bsc#1043231).
- ARM: EXYNOS: Remove calls to of_genpd_get_from_provider()
  (bsc#1043231).
- commit 92dae14
* Thu Jun  8 2017 msuchanek@suse.de
- ibmvnic: Return failure on attempted mtu change (bsc#1043236).
- Refresh patches.drivers/ibmvnic-Fix-initial-MTU-settings.patch.
- Delete
  patches.drivers/ibmvnic-SP2-use-max_mtu-instead-of-req_mtu-for-MTU-range.patch.
- commit 024f1c2
* Thu Jun  8 2017 jslaby@suse.cz
- net: fix compile error in skb_orphan_partial() (bnc#1012382).
- blacklist.conf: add one more
- net: bridge: start hello timer only if device is up
  (bnc#1012382).
- commit 7ecaca9
* Thu Jun  8 2017 lhenriques@suse.com
- ceph: fix potential use-after-free (bsc#1043371).
- commit 5763527
* Thu Jun  8 2017 lhenriques@suse.com
- ceph: allow connecting to mds whose rank >= mdsmap::m_max_mds
  (bsc#1043361).
- commit 7fba8cd
* Thu Jun  8 2017 lhenriques@suse.com
- ceph: fix wrong check in ceph_renew_caps() (bsc#1043345).
- commit 1188739
* Thu Jun  8 2017 nborisov@suse.com
- Refresh
  patches.suse/0006-Btrfs-rework-delayed-ref-total_bytes_pinned-accounti.patch
  (bsc#1040182).
- Refresh
  patches.suse/0006-Btrfs-rework-delayed-ref-total_bytes_pinned-accounti.patch.
- commit 7345017
* Thu Jun  8 2017 vbabka@suse.cz
- zswap: don't param_set_charp while holding spinlock (VM
  Functionality, bsc#1042886).
- commit 6b05daf
* Thu Jun  8 2017 jslaby@suse.cz
- Linux 4.4.71 (CVE-2017-8890 CVE-2017-9074 CVE-2017-9075
  CVE-2017-9076 CVE-2017-9077 CVE-2017-9242 bnc#1012382
  bsc#1038544 bsc#1039882 bsc#1039883 bsc#1039885 bsc#1040069
  bsc#1041168 bsc#1041242 bsc#1041431).
- kABI: protect struct fib_info (kabi).
- Delete
  patches.fixes/dccp-tcp-do-not-inherit-mc_list-from-parent.patch.
- Delete
  patches.fixes/ipv6-Check-ip6_find_1stfragopt-return-value-properly.patch.
- Delete
  patches.fixes/ipv6-Prevent-overrun-when-parsing-v6-header-options.patch.
- Delete
  patches.fixes/ipv6-dccp-do-not-inherit-ipv6_mc_list-from-parent.patch.
- Delete
  patches.fixes/ipv6-fix-out-of-bound-writes-in-__ip6_append_data.patch.
- Delete
  patches.fixes/sctp-do-not-inherit-ipv6_-mc-ac-fl-_list-from-parent.patch.
- Delete
  patches.fixes/xfs-fix-missed-holes-in-seek_hole-implementation.patch.
- Delete
  patches.fixes/xfs-fix-off-by-one-on-max-nr_pages-in-xfs_find_get_desired_pgoff.patch.
- Delete
  patches.fixes/xfs-in-attrlist_by_handle-copy-the-cursor-back-to-userspace.patch.
- Delete
  patches.fixes/xfs-only-return-errno-or-success-from-attr-put_listent.patch.
- commit ac9d950
* Wed Jun  7 2017 mmarek@suse.com
- Btrfs: warn if total_bytes_pinned is non-zero on unmount
  (bsc#1040182).
- Btrfs: rework delayed ref total_bytes_pinned accounting
  (bsc#1040182).
- Btrfs: return old and new total ref mods when adding delayed
  refs (bsc#1040182).
- Btrfs: always account pinned bytes when dropping a tree block
  ref (bsc#1040182).
- Btrfs: update total_bytes_pinned when pinning down extents
  (bsc#1040182).
- Btrfs: make BUG_ON() in add_pinned_bytes() an ASSERT()
  (bsc#1040182).
- Btrfs: make add_pinned_bytes() take an s64 num_bytes instead
  of u64 (bsc#1040182).
- commit 4502c76
* Wed Jun  7 2017 mhocko@suse.cz
- mm: unify new_node_page and alloc_migrate_target (bnc#1042553).
- hugetlb, memory_hotplug: prefer to use reserved pages for
  migration (bnc#1042553).
- mm, memory_hotplug: simplify empty node mask handling in
  new_node_page (bnc#1042553).
- include/linux/nodemask.h: create next_node_in() helper
  (bnc#1042553).
- mem-hotplug: use nodes that contain memory as mask in
  new_node_page() (bnc#1027153, bnc#1042553).
- mem-hotplug: don't clear the only node in new_node_page()
  (bnc#1027153, bnc#1042553).
- mem-hotplug: alloc new page from a nearest neighbor node when
  mem-offline (bnc#1027153, bnc#1042553).
- commit 05b7c8e
* Wed Jun  7 2017 jthumshirn@suse.de
- Refresh
  patches.drivers/0384-nvme-unmap-CMB-and-remove-sysfs-file-in-reset-path.patch.
  Update Patch-mainline tag to satisfy git-fixes tool
- commit f9d56c6
* Wed Jun  7 2017 tbogendoerfer@suse.de
- Update patch upstream information
- Refresh
  patches.drivers/cxgb4-0155-cxgb4-avoid-enabling-napi-twice-to-the-same-queue.patch.
- qed: Don't log missing periodic stats by default (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- commit bf01c1f
* Wed Jun  7 2017 tiwai@suse.de
- iwlwifi: tt: move ucode_loaded check under mutex (FATE#321353).
- commit 9930946
* Wed Jun  7 2017 neilb@suse.com
- Refresh
  patches.drivers/0058-md-reduce-the-number-of-synchronize_rcu-calls-when-m.patch.
- Refresh
  patches.drivers/0109-md-raid1-change-printk-to-pr_.patch.
- Refresh
  patches.drivers/0113-md-perform-async-updates-for-metadata-where-possible.patch.
- Refresh
  patches.drivers/0116-md-bitmap-Don-t-write-bitmap-while-earlier-writes-mi.patch.
- Refresh patches.suse/md-bitmap-unplug-fixes.
- Refresh patches.suse/md-expedite-hot-remove.
- Refresh patches.suse/md-raid10-silence-conf.
- Refresh patches.suse/md-update-sb-async.
  Add comments to Git-commit header to explain why multiple patches
  have same Git-commit id.
- commit 617b7c1
* Wed Jun  7 2017 ddiss@suse.de
- libceph: fix return value check in alloc_msg_with_page_vector()
  (bnc#1043023).
- commit 0aad2ac
* Wed Jun  7 2017 ddiss@suse.de
- ceph: rebase against upstream watch/notify implementation
  (bnc#1043023)
- commit 0198308
* Wed Jun  7 2017 mcgrof@suse.com
- series.conf: remove silly comment
- commit 9f5a9f6
* Wed Jun  7 2017 mcgrof@suse.com
- module: fix memory leak on early load_module() failures
  (bsc#1043014).
- commit 88a4037
* Tue Jun  6 2017 tbogendoerfer@suse.de
- RDMA/srp: Fix NULL deref at srp_destroy_qp() (bsc#1024296
  FATE#321265).
- commit 1699ac7
* Tue Jun  6 2017 tbogendoerfer@suse.de
- RDMA/iw_cxgb4: Avoid touch after free error in ARP failure
  handlers (bsc#1005781).
- commit bcb0c33
* Tue Jun  6 2017 tiwai@suse.de
- tpm: Downgrade error level (bsc#1042535).
- mmc: Downgrade error level (bsc#1042536).
- commit 0dc94d8
* Tue Jun  6 2017 jthumshirn@suse.de
- lpfc: Fix irq_affinity relative to older irq interfaces
  (bsc#1042434).
- commit 7f1b98b
* Tue Jun  6 2017 tbogendoerfer@suse.de
- RDMA/qedr: add null check before pointer dereference
  (bsc#1022604 FATE#321747).
- commit dbc35b3
* Tue Jun  6 2017 dchang@suse.com
- qlcnic: Fix tunnel offload for 82xx adapters (bsc#1019717
  FATE#321698).
- qlcnic: Fix a sleep-in-atomic bug in qlcnic_82xx_hw_write_wx_2M
  and qlcnic_82xx_hw_read_wx_2M (bsc#1019717 FATE#321698).
- commit 69fc1f6
* Mon Jun  5 2017 pjakobsson@suse.de
- drm/vmwgfx: limit the number of mip levels in
  vmw_gb_surface_define_ioctl() (CVE-2017-7346 bsc#1031796).
- commit 9f6ab8f
* Mon Jun  5 2017 yousaf.kaukab@suse.com
- ARM64/PCI: Set root bus NUMA node on ACPI systems (bsc#1039149).
- commit 94915a8
* Mon Jun  5 2017 msuchanek@suse.de
- rpm/kernel-binary.spec: remove superfluous flags
  This should make build logs more readable and people adding more flags
  should have easier time finding a place to add them in the spec file.
- commit 88c2e67
* Mon Jun  5 2017 yousaf.kaukab@suse.com
- KVM: arm/arm64: vgic-v3: Do not use Active+Pending state for
  a HW interrupt (bsc#1042616).
- KVM: arm/arm64: vgic-v2: Do not use Active+Pending state for
  a HW interrupt (bsc#1042616).
- commit 429ea1f
* Mon Jun  5 2017 nborisov@suse.com
- xfs: sanity check directory inode di_size (bsc#1042421).
- commit a52da20
* Mon Jun  5 2017 msuchanek@suse.de
- kernel-binary.spec: Propagate MAKE_ARGS to %%build (bsc#1012422)
- commit f63e345
* Mon Jun  5 2017 mhocko@suse.cz
- Refresh
  patches.fixes/mm-consider-memblock-reservations-for-deferred-memor.patch.
- commit 0b894be
* Sat Jun  3 2017 bpoirier@suse.com
- Refresh
  patches.drivers/amd-xgbe-0009-amd-xgbe-Prepare-for-working-with-more-than-one-type.patch.
- Refresh
  patches.drivers/amd-xgbe-0019-amd-xgbe-Add-PCI-device-support.patch.
- Refresh
  patches.drivers/amd-xgbe-0022-amd-xgbe-Add-ECC-status-support-for-the-device-memor.patch.
- Refresh
  patches.drivers/amd-xgbe-0024-amd-xgbe-Add-support-for-SFP-modules.patch.
- Refresh
  patches.drivers/ptp_clock-Allow-for-it-to-be-optional.patch.
  Sort recent network driver patches.
  The xgbe patches are refreshed to their upstream form since the conflict
  with d1cbfd771ce8 ("ptp_clock: Allow for it to be optional", v4.10-rc1) is
  now avoided.
  There is no change to the expanded tree.
- commit 6ed9955
* Sat Jun  3 2017 tonyj@suse.de
- perf/x86/intel/rapl: Make Knights Landings support functional
  (bsc#1042517).
- commit 1ac4d9d
* Fri Jun  2 2017 nborisov@suse.com
- quota: fill in Q_XGETQSTAT inode information for inactive quotas
  (bsc#1042356).
- commit 3acecc0
* Fri Jun  2 2017 jthumshirn@suse.de
- lpfc: Add auto EQ delay logic (bsc#1042257).
- commit d129fec
* Fri Jun  2 2017 jthumshirn@suse.de
- lpfc: Fix defects reported by Coverity Scan (bsc#1042257).
- commit dde4ad5
* Fri Jun  2 2017 jthumshirn@suse.de
- nvme_fc: on lldd/transport io error, terminate association
  (bsc#1042268).
- commit 9ae84fb
* Fri Jun  2 2017 jthumshirn@suse.de
- nvme_fc: fix confused queue size handling (bsc#1042268).
- commit 089b293
* Fri Jun  2 2017 mkubecek@suse.cz
- ipv4: add reference counting to metrics (bsc#1042286).
- commit e86c783
* Fri Jun  2 2017 tbogendoerfer@suse.de
- cxgb4: avoid enabling napi twice to the same queue
  (bsc#1042166).
- commit 9a99608
* Fri Jun  2 2017 tbogendoerfer@suse.de
- RDMA/iw_cxgb4: calculate t4_eq_status_entries properly
  (bsc#1042171).
- commit 4bd8ec3
* Fri Jun  2 2017 mkubecek@suse.cz
- blacklist.conf: blacklist reverted commit
  Commit 82486aa6f1b9 ("ipv4: restore rt->fi for reference counting") was
  later reverted and replaced by commit 3fb07daff8e9 ("ipv4: add reference
  counting to metrics"). This solution breaks kABI, though, and I'll need
  to look into it more carefully to see if it can be worked around easily.
- commit b677895
* Fri Jun  2 2017 duwe@suse.de
- powerpc/64: Fix flush_(d|i)cache_range() called from modules
  (bnc#863764 fate#315275, LTC#103998).
- commit 72a3697
* Fri Jun  2 2017 pmladek@suse.com
- Delete
  patches.drivers/0001-printk-fix-name-type-scope-of-preferred_console-var.patch.
- Delete
  patches.drivers/0002-printk-rename-selected_console-preferred_console.patch.
- Delete
  patches.drivers/0003-printk-fix-double-printing-with-earlycon.patch.
  They did not fix bsc#1036188 and cause a regression. A better fix is
  beeing discussed upstream.
- commit 48b3ae8
* Fri Jun  2 2017 mkubecek@suse.cz
- bonding: avoid defaulting hard_header_len to ETH_HLEN on slave
  removal (bsc#1042286).
- commit 7873028
* Fri Jun  2 2017 mkubecek@suse.cz
- l2tp: fix race in l2tp_recv_common() (bsc#1042286).
- commit 700c88e
* Fri Jun  2 2017 tbogendoerfer@suse.de
- cxgb4: keep carrier off before registering netdev (bsc#1041871).
- commit 8bf6bb5
* Fri Jun  2 2017 mkubecek@suse.cz
- netfilter: nf_nat_snmp: Fix panic when snmp_trap_helper fails
  to register (bsc#1042286).
- commit d66ee8d
* Fri Jun  2 2017 mkubecek@suse.cz
- net: ipv6: set route type for anycast routes (bsc#1042286).
- commit 8a49893
* Fri Jun  2 2017 mkubecek@suse.cz
- tcp: account for ts offset only if tsecr not zero (bsc#1042286).
- commit 2e759e5
* Fri Jun  2 2017 mkubecek@suse.cz
- netfilter: use fwmark_reflect in nf_send_reset (bsc#1042286).
- commit 239fad6
* Fri Jun  2 2017 mkubecek@suse.cz
- udplite: call proper backlog handlers (bsc#1042286).
- commit b14030c
* Fri Jun  2 2017 mkubecek@suse.cz
- netfilter: nf_conntrack_sip: extend request line validation
  (bsc#1042286).
- commit 53475d5
* Fri Jun  2 2017 mkubecek@suse.cz
- rtnl: reset calcit fptr in rtnl_unregister() (bsc#1042286).
- commit b54b869
* Fri Jun  2 2017 mkubecek@suse.cz
- udp: avoid ufo handling on IP payload compression packets
  (bsc#1042286).
- ipv6: Don't use ufo handling on later transformed packets
  (bsc#1042286).
- commit 2e73b22
* Fri Jun  2 2017 tbogendoerfer@suse.de
- cxgb4: Fix netdev_features flag (bsc#1041870).
- commit 739eeff
* Fri Jun  2 2017 jkosina@suse.cz
- supported.conf: mark hid-multitouch as supported (FATE#323496 bsc#1037099)
- commit c88e1ed
* Fri Jun  2 2017 mkubecek@suse.cz
- blacklist.conf: add nftables commits
  We only provide nftables as (unsupported) technology preview in SLE12 SP2
  and SP3.
- commit bc0b5be
* Fri Jun  2 2017 mbenes@suse.cz
- Delete
  patches.suse/kgr-0107-reserve-a-place-in-thread_struct-for-storing-RIP.patch.
  A place to store a RIP was reserved in thread struct in order to be able
  to patch __schedule() function with kGraft. This still has not been
  fully implemented despite there is a prototype. Meanwhile the original
  problem was solved upstream by rewriting switch_to() macro to a proper C
  function. RIP is automatically stored there. It was merged to 4.9, so
  we're gonna benefit from the change in SLE15. We made a decision not to
  pursue this in SLE12 anymore.
  Drop the patch.
- commit e707aab
* Fri Jun  2 2017 jthumshirn@suse.de
- RDMA/bnxt_re: Remove FMR support (bsc#1037579).
- commit f3b4db6
* Fri Jun  2 2017 mkubecek@suse.cz
- netfilter: restart search if moved to other chain (bsc#1042286).
- commit b3e03a2
* Fri Jun  2 2017 mkubecek@suse.cz
- xfrm: Fix memory leak of aead algorithm name (bsc#1042286).
- commit f1a57db
* Fri Jun  2 2017 mkubecek@suse.cz
- tcp: fastopen: avoid negative sk_forward_alloc (bsc#1042286).
- commit 177072a
* Fri Jun  2 2017 jthumshirn@suse.de
- Update
  patches.drivers/0006-RDMA-bnxt_re-HW-workarounds-for-handling-specific-co.patch.
- Update
  patches.drivers/0012-RDMA-bnxt_re-Add-vlan-tag-for-untagged-RoCE-traffic-.patch.
- Update
  patches.drivers/0013-RDMA-bnxt_re-Do-not-free-the-ctx_tbl-entry-if-delete.patch.
  Update to latest patch version.
- commit 3a5f9f8
* Fri Jun  2 2017 mkubecek@suse.cz
- tcp: fastopen: fix rcv_wup initialization for TFO server on
  SYN/data (bsc#1042286).
- tcp: fastopen: call tcp_fin() if FIN present in SYNACK
  (bsc#1042286).
- tcp: fastopen: accept data/FIN present in SYNACK message
  (bsc#1042286).
- commit 36c01f7
* Fri Jun  2 2017 mkubecek@suse.cz
- netfilter: nfnetlink_queue: reject verdict request from
  different portid (bsc#1042286).
- commit 12ad7ab
* Fri Jun  2 2017 mkubecek@suse.cz
- netfilter: nf_ct_expect: remove the redundant slash when policy
  name is empty (bsc#1042286).
- commit 273e925
* Fri Jun  2 2017 mkubecek@suse.cz
- bonding: prevent out of bound accesses (bsc#1042286).
- commit 9f0740b
* Fri Jun  2 2017 mkubecek@suse.cz
- ipv6: fix endianness error in icmpv6_err (bsc#1042286).
- commit 107f862
* Fri Jun  2 2017 mkubecek@suse.cz
- netfilter: nf_dup_ipv6: set again FLOWI_FLAG_KNOWN_NH at
  flowi6_flags (bsc#1042286).
- commit 9d3478e
* Fri Jun  2 2017 mkubecek@suse.cz
- bonding: don't use stale speed and duplex information
  (bsc#1042286).
- commit 53efdd8
* Fri Jun  2 2017 dchang@suse.com
- net/mlx5: Avoid using pending command interface slots
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- commit 1944db4
* Fri Jun  2 2017 dchang@suse.com
- Integrate merged networking patches into sorted section
- commit c8eb8f0
* Thu Jun  1 2017 colyli@suse.de
- bcache: fix calling ida_simple_remove() with incorrect minor
  (bsc#1038085).
- commit f23505b
* Thu Jun  1 2017 tbogendoerfer@suse.de
- Update Patch-mainline tags
- Refresh
  patches.drivers/chelsio-0037-crypto-chcr-Increase-priority-of-AEAD-algos.patch.
- Refresh
  patches.drivers/chelsio-0038-crypto-chcr-Set-hmac_ctrl-bit-to-use-HW-register-HMA.patch.
- Refresh
  patches.drivers/chelsio-0039-crypto-chcr-Fix-txq-ids.patch.
- Refresh
  patches.drivers/chelsio-0040-crypto-chcr-Add-fallback-for-AEAD-algos.patch.
- Refresh
  patches.drivers/chelsio-0041-crypto-chcr-Fix-error-handling-related-to-chcr_alloc.patch.
- Refresh
  patches.drivers/cxgb4-0136-cxgb4-Update-IngPad-and-IngPack-values.patch.
- Refresh
  patches.drivers/cxgb4-0149-cxgb4-save-tid-while-creating-server-filter.patch.
- Refresh
  patches.drivers/cxgb4-0150-cxgb4-avoid-disabling-FEC-by-default.patch.
- Refresh
  patches.drivers/hfi1-qib-0460-IB-hfi1-Force-logical-link-down.patch.
- Refresh
  patches.drivers/hfi1-qib-0461-IB-hfi1-Race-hazard-avoidance-in-user-SDMA-driver.patch.
- Refresh
  patches.drivers/hfi1-qib-0462-IB-hfi1-Cache-registers-during-state-change.patch.
- Refresh
  patches.drivers/hfi1-qib-0463-IB-hfi1-NULL-pointer-dereference-when-freeing-rhasht.patch.
- Refresh
  patches.drivers/hfi1-qib-0464-IB-rdmavt-IB-hfi1-IB-qib-Make-wc-opcode-translation-.patch.
- Refresh
  patches.drivers/hfi1-qib-0465-IB-rdmavt-Add-additional-fields-to-post-send-trace.patch.
- Refresh
  patches.drivers/hfi1-qib-0466-IB-rdmavt-Add-tracing-for-cq-entry-and-poll.patch.
- Refresh
  patches.drivers/hfi1-qib-0467-IB-rdmavt-Add-swqe-completion-trace.patch.
- Refresh
  patches.drivers/hfi1-qib-0468-IB-hfi1-Check-device-id-early-during-init.patch.
- Refresh
  patches.drivers/hfi1-qib-0469-IB-hfi1-Protect-the-global-dev_cntr_names-and-port_c.patch.
- Refresh
  patches.drivers/hfi1-qib-0470-IB-hfi1-Check-for-QSFP-presence-before-attempting-re.patch.
- Refresh
  patches.drivers/hfi1-qib-0471-IB-hfi1-Add-a-patch-value-to-the-firmware-version-st.patch.
- Refresh
  patches.drivers/hfi1-qib-0472-IB-rdmavt-IB-hfi1-Fix-timer-migration-regressions.patch.
- Refresh
  patches.drivers/hfi1-qib-0473-IB-rdmavt-Avoid-reseting-wqe-send_flags-in-unreserve.patch.
- Refresh
  patches.drivers/qed-sp3-0167-qed-Utilize-Firmware-8.15.3.0.patch.
- Refresh
  patches.drivers/qed-sp3-0168-qed-Add-support-for-QL41xxx-adapters.patch.
- Refresh
  patches.drivers/qed-sp3-0177-qedf-fix-wrong-le16-conversion.patch.
- Refresh
  patches.drivers/qed-sp3-0178-qed-Increase-verbosity-of-VF-PF-errors.patch.
- Refresh
  patches.drivers/qed-sp3-0179-qed-Clean-VF-malicious-indication-when-disabling-IOV.patch.
- Refresh
  patches.drivers/qed-sp3-0180-qed-Set-HW-channel-to-ready-before-ACKing-VF.patch.
- Refresh
  patches.drivers/qed-sp3-0181-qed-Correct-default-VF-coalescing-configuration.patch.
- Refresh
  patches.drivers/qed-sp3-0182-qed-Uniform-IOV-queue-validation.patch.
- Refresh
  patches.drivers/qed-sp3-0183-qed-Deprecate-VF-multiple-queue-stop.patch.
- Refresh
  patches.drivers/qed-sp3-0184-qed-Make-qed_iov_mark_vf_flr-return-bool.patch.
- Refresh
  patches.drivers/qed-sp3-0185-qed-Raise-verbosity-of-Malicious-VF-indications.patch.
- Refresh
  patches.drivers/qed-sp3-0186-qed-Always-publish-VF-link-from-leading-hwfn.patch.
- Refresh
  patches.drivers/qed-sp3-0187-qed-Revise-MFW-command-locking.patch.
- Refresh
  patches.drivers/qed-sp3-0188-qed-Pass-src-dst-sizes-when-interacting-with-MFW.patch.
- Refresh
  patches.drivers/qed-sp3-0189-qed-Correct-endian-order-of-MAC-passed-to-MFW.patch.
- Refresh
  patches.drivers/qed-sp3-0190-qed-Reduce-verbosity-of-unimplemented-MFW-messages.patch.
- Refresh
  patches.drivers/qed-sp3-0191-qed-Don-t-waste-SBs-unused-by-RoCE.patch.
- Refresh
  patches.drivers/qed-sp3-0192-qed-Reserve-VF-feature-before-PF.patch.
- Refresh
  patches.drivers/qed-sp3-0193-qed-Correct-HW-stop-flow.patch.
- Refresh
  patches.drivers/qed-sp3-0194-qed-hw_init-to-receive-parameter-struct.patch.
- Refresh
  patches.drivers/qed-sp3-0195-qed-Move-to-new-load-request-scheme.patch.
- Refresh
  patches.drivers/qed-sp3-0196-qed-Send-pf-flr-as-part-of-initialization.patch.
- Refresh
  patches.drivers/qed-sp3-0197-qed-Support-management-based-resource-locking.patch.
- Refresh
  patches.drivers/qed-sp3-0198-qed-Utilize-resource-lock-based-scheme.patch.
- Refresh
  patches.drivers/qed-sp3-0199-qed-Use-BDQ-resource-for-storage-protocols.patch.
- Refresh
  patches.drivers/qed-sp3-0200-qed-Revise-QM-cofiguration.patch.
- Refresh
  patches.drivers/qed-sp3-0201-qed-Fix-TM-block-ILT-allocation.patch.
- Refresh
  patches.drivers/qed-sp3-0202-qed-Correct-TM-ILT-lines-in-presence-of-VFs.patch.
- Refresh
  patches.drivers/qed-sp3-0203-qed-RoCE-doesn-t-need-to-use-SRC.patch.
- Refresh
  patches.drivers/qed-sp3-0204-qed-Manage-with-less-memory-regions-for-RoCE.patch.
- Refresh
  patches.drivers/qed-sp3-0205-qed-Add-a-missing-error-code.patch.
- Refresh
  patches.drivers/qed-sp3-0206-qed-fix-missing-break-in-OOO_LB_TC-case.patch.
- Refresh
  patches.drivers/qed-sp3-0207-qed-Correct-MSI-x-for-storage.patch.
- Refresh
  patches.drivers/qed-sp3-0208-qed-Warn-PTT-usage-by-wrong-hw-function.patch.
- Refresh
  patches.drivers/qed-sp3-0209-qed-Don-t-use-main-ptt-in-unrelated-flows.patch.
- Refresh
  patches.drivers/qed-sp3-0210-qed-Configure-cacheline-size-in-HW.patch.
- Refresh
  patches.drivers/qed-sp3-0211-qed-Don-t-close-the-OUT_EN-during-init.patch.
- Refresh
  patches.drivers/qed-sp3-0212-qed-Add-missing-stat-for-new-isles.patch.
- Refresh
  patches.drivers/qed-sp3-0213-qed-Inform-qedi-the-number-of-possible-CQs.patch.
- Refresh
  patches.drivers/qed-sp3-0214-qed-Provide-iSCSI-statistics-to-management.patch.
- Refresh
  patches.drivers/qed-sp3-0215-qed-Make-OOO-archipelagos-into-an-array.patch.
- Refresh
  patches.drivers/qed-sp3-0217-qed-fix-invalid-use-of-sizeof-in-qed_alloc_qm_data.patch.
- Refresh
  patches.drivers/qed-sp3-0218-qed-Unlock-on-error-in-qed_vf_pf_acquire.patch.
- Refresh
  patches.drivers/qed-sp3-0261-qed-Fix-uninitialized-data-in-aRFS-infrastructure.patch.
- commit 00a92b2
* Thu Jun  1 2017 hare@suse.de
- lpfc: tie lpfc dev_loss_tmo dynamic changes to transport
  (bsc#1041873).
- lpfc: update to revision to 11.4.0.0 (bsc#1041873).
- lpfc: Fix vports not logging into target (bsc#1041873).
- lpfc: Fix PRLI retry handling when target rejects it
  (bsc#1041873).
- lpfc: Null pointer dereference when log_verbose is set to
  0xffffffff (bsc#1041873).
- lpfc: Fix System panic after loading the driver (bsc#1041873).
- lpfc: Fix crash on powering off BFS VM with passthrough device
  (bsc#1041873).
- lpfc: Fix return value of board_mode store routine in case of
  online failure (bsc#1041873).
- lpfc: Fix counters so outstandng NVME IO count is accurate
  (bsc#1041873).
- lpfc: Fix Port going offline after multiple resets
  (bsc#1041873).
- lpfc: Fix nvmet node ref count handling (bsc#1041873).
- lpfc: Fix Lun Priority level shown as NA (bsc#1041873).
- lpfc: Add changes to assist in NVMET debugging (bsc#1041873).
- lpfc: Fix nvme port role handling in sysfs and debugfs handlers
  (bsc#1041873).
- commit 6e80c13
* Thu Jun  1 2017 hare@suse.de
- lpfc: Fix transition nvme-i rport handling to nport only
  (bsc#1041873).
- lpfc: Add nvme initiator devloss support (bsc#1041873).
- commit eb35e15
* Thu Jun  1 2017 hare@suse.de
- s390/cpum_cf: use perf software context for hardware counters
  (bnc#1042017, LTC#154914).
- commit 3973575
* Thu Jun  1 2017 mfleming@suse.de
- sched/fair: Prefer sibiling only if local group is
  under-utilized (bsc#981825).
- commit 802f201
* Thu Jun  1 2017 tiwai@suse.de
- Update iwlwifi ucode versions, rearrange the patch order (FATE#321353).
- commit eb5cbf7
* Thu Jun  1 2017 mkubecek@suse.cz
- ipv6: fix out of bound writes in __ip6_append_data()
  (CVE-2017-9242 bsc#1041431).
- commit 3c59dc6
* Thu Jun  1 2017 jthumshirn@suse.de
- Refresh
  patches.drivers/0126-scsi-lpfc-Avoid-NULL-pointer-dereference-in-lpfc_els.patch.
- commit bd55c4f
* Thu Jun  1 2017 tiwai@suse.de
- blacklist.conf: More iwlwifi blacklist additions (FATE#321353).
- commit cd47a6d
* Thu Jun  1 2017 tiwai@suse.de
- iwlwifi: mvm: fix netdetect starting/stopping for unified images
  (FATE#321353).
- iwlwifi: mvm: fix d3_test with unified D0/D3 images
  (FATE#321353).
- iwlwifi: pcie: mark command queue lock with separate lockdep
  class (FATE#321353).
- iwlwifi: mvm: bail out if CTDP start operation fails
  (FATE#321353).
- iwlwifi: check for valid ethernet address provided by OEM
  (FATE#321353).
- iwlwifi: pcie: fix a race in firmware loading flow
  (FATE#321353).
- iwlwifi: pcie: enable interrupts before releasing the NIC's CPU
  (FATE#321353).
- iwlwifi: mvm: avoid harmless -Wmaybe-uninialized warning
  (FATE#321353).
- iwlwifi: pcie: fix global table size (FATE#321353).
- commit 0763c2e
* Thu Jun  1 2017 glin@suse.com
- netxen_nic: set rcode to the return status from the call to
  netxen_issue_cmd (bsc#966339 FATE#320150).
- bna: integer overflow bug in debugfs (bsc#966321 FATE#320156).
- commit 8391604
* Thu Jun  1 2017 glin@suse.com
- blacklist.conf: blacklist the freescale ethernet driver
- commit 9b79158
* Wed May 31 2017 tiwai@suse.de
- blacklist.conf: Add entries for the recent iwlwifi patches
- commit 96b03f1
* Wed May 31 2017 tiwai@suse.de
- iwlwifi: mvm: writing zero bytes to debugfs causes a crash
  (FATE#321353).
- iwlwifi: pcie: don't increment / decrement a bool (FATE#321353).
- iwlwifi: mvm: don't restart HW if suspend fails with unified
  image (FATE#321353).
- commit 7198845
* Wed May 31 2017 tbogendoerfer@suse.de
- IB/ipoib: Remove redudant label (bsc#1022595 FATE#322350).
- IB/ipoib: remove the unnecessary memory free (bsc#1022595
  FATE#322350).
- IB/ipoib: Remove the unnecessary error check (bsc#1022595
  FATE#322350).
- IB/ipoib: function interface change (bsc#1022595 FATE#322350).
- IB/ipoib: Remove unnecessary returned value check (bsc#1022595
  FATE#322350).
- IB/ipoib: Change list_del to list_del_init in the tx object
  (bsc#1022595 FATE#322350).
- IB/ipoib: Replace list_del of the neigh->list with list_del_init
  (bsc#1022595 FATE#322350).
- IB/ipoib: Use debug prints instead of warnings in RNR WC status
  (bsc#1022595 FATE#322350).
- IB/ipoib: Add detailed error message to dev_queue_xmit call
  (bsc#1022595 FATE#322350).
- IB/ipoib: rtnl_unlock can not come after free_netdev
  (bsc#1022595 FATE#322350).
- IB/ipoib: Fix deadlock over vlan_mutex (bsc#1022595
  FATE#322350).
- IB/ipoib: Set device connection mode only when needed
  (bsc#1022595 FATE#322350).
- IB/ipoib: When given an invalid UD MTU, give debug msg
  (bsc#1022595 FATE#322350).
- IB/ipoib: Remove and fix debug prints after allocation failure
  (bsc#1022595 FATE#322350).
- ipoib: Make ipoib_warn ratelimited (bsc#1022595 FATE#322350).
- IB/ipoib_verbs: Remove deprecated create_singlethread_workqueue
  (bsc#1022595 FATE#322350).
- IB/ipoib: Remove deprecated create_singlethread_workqueue
  (bsc#1022595 FATE#322350).
- IB/ipoib: Use new device FW version string (bsc#1022595
  FATE#322350).
- IB/core: Add IP to GID netlink offload (bsc#1022595
  FATE#322350).
- IB/IPoIB: Fix kernel panic on multicast flow (bsc#1022595
  FATE#322350).
- IB/IPoIB: Move multicast specific code out of ipoib_main.c
  (bsc#1022595 FATE#322350).
- IB/IPoIB: factor out common multicast list removal code
  (bsc#1022595 FATE#322350).
- commit dffee57
* Wed May 31 2017 tiwai@suse.de
- iwlwifi: pcie: extend device reset delay (FATE#321353).
- iwlwifi: Fix firmware name maximum length definition
  (FATE#321353).
- iwlwifi: fix double hyphen in MODULE_FIRMWARE for 8000
  (FATE#321353).
- iwlwifi: add new 8265 series PCI ID (FATE#321353).
- iwlwifi: add new 8265 (FATE#321353).
- iwlwifi: add new 8260 PCI IDs (FATE#321353).
- iwlwifi: mvm: fix accessing Null pointer during fw dump
  collection (FATE#321353).
- iwlwifi: 8000: fix MODULE_FIRMWARE input (FATE#321353).
- iwlwifi: mvm: avoid to WARN about gscan capabilities
  (FATE#321353).
- iwlwifi: add device IDs for the 8265 device (FATE#321353).
- iwlwifi: mvm: update GSCAN capabilities (FATE#321353).
- iwlwifi: mvm: don't try to offload AES-CMAC in AP/IBSS modes
  (FATE#321353).
- iwlwifi: mvm: adapt the firmware assert log to new firmware
  (FATE#321353).
- iwlwifi: pcie: avoid restocks inside rx loop if not emergency
  (FATE#321353).
- iwlwifi: mvm: return the cooling state index instead of the
  budget (FATE#321353).
- iwlwifi: mvm: don't let NDPs mess the packet tracking
  (FATE#321353).
- iwlwifi: add support for getting HW address from CSR
  (FATE#321353).
- iwlwifi: pcie: fine tune number of rxbs (FATE#321353).
- iwlwifi: mvm: ROC: cleanup time event info on FW failure
  (FATE#321353).
- iwlwifi: mvm: add ctdp operations to debugfs (FATE#321353).
- iwlwifi: mvm: extend time event duration (FATE#321353).
- iwlwifi: mvm: set the correct amsdu enum values (FATE#321353).
- iwlwifi: mvm: fix unregistration of thermal in some error flows
  (FATE#321353).
- iwlwifi: refactor the code that reads the MAC address from
  the NVM (FATE#321353).
- iwlwifi: mvm: avoid panics with thermal device usage
  (FATE#321353).
- iwlwifi: pcie: set RB chunk size back to 64 (FATE#321353).
- iwlwifi: pcie: refactor RXBs reclaiming code (FATE#321353).
- iwlwifi: pcie: forbid RTPM on device removal (FATE#321353).
- iwlwifi: mvm: support sw queue start/stop from mvm
  (FATE#321353).
- iwlwifi: mvm: take the transport ref back when leaving
  (FATE#321353).
- iwlwifi: add disable_11ac module param (FATE#321353).
- iwlwifi: mvm: only release the trans ref if d0i3 is supported
  in fw (FATE#321353).
- iwlwifi: mvm: disable DQA support (FATE#321353).
- iwlwifi: pcie: detect and workaround invalid write ptr behavior
  (FATE#321353).
- iwlwifi: mvm: update ucode status before stopping device
  (FATE#321353).
- iwlwifi: support ucode with d0 unified image - regular and
  usniffer (FATE#321353).
- iwlwifi: mvm: Disable beacon storing in  D3 when WOWLAN
  configured (FATE#321353).
- iwlwifi: mvm: kill iwl_mvm_enable_agg_txq (FATE#321353).
- iwlwifi: mvm: take care of padded packets (FATE#321353).
- iwlwifi: mvm: Send power command on BSS_CHANGED_BEACON_INFO
  if needed (FATE#321353).
- iwlwifi: mvm: forbid U-APSD for P2P Client if the firmware
  doesn't support it (FATE#321353).
- iwlwifi: mvm: various trivial cleanups (FATE#321353).
- iwlwifi: pcie: prevent skbs shadowing in iwl_trans_pcie_reclaim
  (FATE#321353).
- iwlwifi: pcie: add pm_prepare and pm_complete ops (FATE#321353).
- iwlwifi: pcie: configure more RFH settings (FATE#321353).
- iwlwifi: mvm: enable VHT MU-MIMO for supported hardware
  (FATE#321353).
- iwlwifi: pcie: fix identation in trans.c (FATE#321353).
- iwlwifi: pcie: Add new configuration to enable MSIX
  (FATE#321353).
- iwlwifi: pcie: aggregate Flow Handler configuration writes
  (FATE#321353).
- iwlwifi: mvm: bump firmware API to 21 (FATE#321353).
- iwlwifi: mvm: rs: fix a theoretical access to uninitialized
  array elements (FATE#321353).
- iwlwifi: mvm: handle pass all scan reporting (FATE#321353).
- iwlwifi: mvm: fix RSS key sizing (FATE#321353).
- iwlwifi: mvm: set the correct descriptor size for tracing
  (FATE#321353).
- iwlwifi: mvm: add registration to cooling device (FATE#321353).
- iwlwifi: mvm: add registration to thermal zone (FATE#321353).
- iwlwifi: mvm: add CT-KILL notification (FATE#321353).
- iwlwifi: pcie: fix erroneous return value (FATE#321353).
- iwlwifi: pcie: fix RF-Kill vs. firmware load race (FATE#321353).
- iwlwifi: dvm: remove a wrong dependency on m (FATE#321353).
- iwlwifi: mvm: allow to disable beacon filtering for AP/GO
  interface (FATE#321353).
- iwlwifi: pcie: update iwl_mpdu_desc fields (FATE#321353).
- iwlwifi: pcie: enable multi-queue rx path (FATE#321353).
- iwlwifi: mvm: support rss queues configuration command
  (FATE#321353).
- iwlwifi: mvm: rs: fix TPC action decision algorithm
  (FATE#321353).
- iwlwifi: mvm: add new ADD_STA command version (FATE#321353).
- iwlwifi: mvm: Remove iwl_mvm_update_beacon_abort (FATE#321353).
- iwlwifi: mvm: Remove bf_vif from iwl_power_vifs (FATE#321353).
- iwlwifi: treat iwl_parse_nvm_data() MAC addr as little endian
  (FATE#321353).
- iwlwifi: mvm: add tlv for multi queue rx support (FATE#321353).
- iwlwifi: mvm: change the check for ADD_STA status (FATE#321353).
- iwlwifi: mvm: add debug print if scan config is ignored
  (FATE#321353).
- iwlwifi: mvm: change access to ieee80211_hdr (FATE#321353).
- iwlwifi: mvm: support setting minimum quota from debugfs
  (FATE#321353).
- iwlwifi: mvm: track low-latency sources separately
  (FATE#321353).
- iwlwifi: mvm: support beacon storing (FATE#321353).
- iwlwifi: mvm: add support for negative temperatures
  (FATE#321353).
- iwlwifi: mvm: fix debugfs signedness warning (FATE#321353).
- iwlwifi: mvm: remove shadowing variable (FATE#321353).
- iwlwifi: mvm: make collecting fw debug data optional
  (FATE#321353).
- iwlwifi: mvm: Add P2P client snoozing (FATE#321353).
- iwlwifi: mvm: add trigger for firmware dump upon TX response
  status (FATE#321353).
- iwlwifi: Document missing module options (FATE#321353).
- iwlwifi: dvm: handle zero brightness for wifi LED (FATE#321353).
- iwlwifi: various comments and code cleanups (FATE#321353).
- iwlwifi: mvm: Do not switch to D3 image on suspend
  (FATE#321353).
- iwlwifi: pcie: add RTPM support when wifi is enabled
  (FATE#321353).
- iwlwifi: pcie: add initial RTPM support for PCI (FATE#321353).
- iwlwifi: pcie: add 9000 series multi queue rx DMA support
  (FATE#321353).
- iwlwifi: pcie: add infrastructure for multi-queue rx
  (FATE#321353).
- iwlwifi: pcie: buffer packets to avoid overflowing Tx queues
  (FATE#321353).
- iwlwifi: fix name of ucode loaded for 8265 series (FATE#321353).
- iwlwifi: mvm: rs: fix TPC statistics handling (FATE#321353).
- iwlwifi: update support for 3168 series firmware and NVM
  (FATE#321353).
- iwlwifi: add device ID for 8265 (FATE#321353).
- iwlwifi: add new 3168 series devices support (FATE#321353).
- iwlwifi: mvm: fix memory leaks in error paths upon fw error dump
  (FATE#321353).
- iwlwifi: mvm: constify the parameters of a few functions in
  fw-dbg.c (FATE#321353).
- iwlwifi: mvm: check minimum temperature notification length
  (FATE#321353).
- iwlwifi: mvm: don't ask beacons when P2P GO vif and no assoc
  sta (FATE#321353).
- iwlwifi: mvm: remove useless WARN_ON and rely on cfg80211's
  combination (FATE#321353).
- iwlwifi: mvm: support A-MSDU in A-MPDU (FATE#321353).
- iwlwifi: mvm: add a non-trigger window to fw dbg triggers
  (FATE#321353).
- iwlwifi: mvm: dump the radio registers when the firmware crashes
  (FATE#321353).
- iwlwifi: mvm: fix extended dwell time (FATE#321353).
- iwlwifi: nvm: fix loading default NVM file (FATE#321353).
- iwlwifi: mvm: bump max API to 20 (FATE#321353).
- iwlwifi: set max firmware version of 7265 to 17 (FATE#321353).
- iwlwifi: mvm: reset mvm->scan_type when firmware is started
  (FATE#321353).
- iwlwifi: mvm: change mcc update API (FATE#321353).
- iwlwifi: mvm: let the firmware choose the antenna for beacons
  (FATE#321353).
- iwlwifi: bail out in case of bad trans state (FATE#321353).
- iwlwifi: fix printf specifier (FATE#321353).
- iwlwifi: remove unused parameter from grab_nic_access
  (FATE#321353).
- iwlwifi: mvm: Change number of associated stations when station
  becomes associated (FATE#321353).
- iwlwifi: Update PCI IDs for 8000 and 9000 series (FATE#321353).
- iwlwifi: mvm: dump more registers upon error (FATE#321353).
- iwlwifi: mvm: infrastructure for frame-release message
  (FATE#321353).
- iwlwifi: mvm: add 9000 series RX processing (FATE#321353).
- iwlwifi: mvm: change iwl_mvm_get_key_sta_id() to return the
  station (FATE#321353).
- iwlwifi: mvm: Add a station in monitor mode (FATE#321353).
- iwlwifi: mvm: add extended dwell time (FATE#321353).
- iwlwifi: mvm: small update in the firmware API (FATE#321353).
- iwlwifi: mvm: support description for user triggered fw dbg
  collection (FATE#321353).
- iwlwifi: mvm: enable L3 filtering (FATE#321353).
- iwlwifi: mvm: refactor the way fw_key_table is handled
  (FATE#321353).
- iwlwifi: 9000: increase the number of queues (FATE#321353).
- iwlwifi: pcie: build an A-MSDU using TSO core (FATE#321353).
- iwlwifi: clear ieee80211_tx_info->driver_data in the op_mode
  (FATE#321353).
- iwlwifi: pcie: re-organize code towards TSO (FATE#321353).
- iwlwifi: mvm: prepare the code towards TSO implementation
  (FATE#321353).
- iwlwifi: pcie: allow to pretend to have Tx CSUM for debug
  (FATE#321353).
- iwlwifi: change the Intel Wireless email address (FATE#321353).
- iwlwifi: dvm: fix compare_const_fl.cocci warnings (FATE#321353).
- iwlwifi: mvm: change protocol offload flows (FATE#321353).
- iwlwifi: expose fw usniffer mode to more utilities
  (FATE#321353).
- iwlwifi: replace d0i3_mode and wowlan_d0i3 with more generic
  variables (FATE#321353).
- iwlwifi: mvm: remove the vif parameter of
  iwl_mvm_configure_bcast_filter() (FATE#321353).
- iwlwifi: avoid d0i3 commands when no/init ucode is loaded
  (FATE#321353).
- iwlwifi: update host command messages to new format
  (FATE#321353).
- iwlwifi: uninline iwl_trans_send_cmd (FATE#321353).
- iwlwifi: block the queues when we send ADD_STA for uAPSD
  (FATE#321353).
- iwlwifi: trans: support a callback for ASYNC commands
  (FATE#321353).
- iwlwifi: pcie: allow the op_mode to block the tx queues
  (FATE#321353).
- iwlwifi: mvm: check iwl_mvm_wowlan_config_key_params() return
  value (FATE#321353).
- iwlwifi: mvm: cleanup roc te on restart cleanup (FATE#321353).
- iwlwifi: mvm: remove an extra tab (FATE#321353).
- iwlwifi: dvm: advertise NETIF_F_SG (FATE#321353).
- iwlwifi: mvm: advertise NETIF_F_SG (FATE#321353).
- iwlwifi: mvm: rs: fix a potential out of bounds access
  (FATE#321353).
- iwlwifi: mvm: configure scheduled scan according to traffic
  conditions (FATE#321353).
- iwlwifi: mvm: set default new STA as non-aggregated
  (FATE#321353).
- iwlwifi: mvm: add an option to start rs from HT/VHT rates
  (FATE#321353).
- iwlwifi: mvm: don't keep an mvm ref when the interface is down
  (FATE#321353).
- iwlwifi: remove IWL_DL_LED (FATE#321353).
- iwlwifi: mvm: ROC: Extend the ROC max delay duration & limit
  ROC duration (FATE#321353).
- iwlwifi: mvm: add 9000-series RX API (FATE#321353).
- iwlwifi: mvm: report wakeup for wowlan (FATE#321353).
- iwlwifi: mvm: rs: fix a warning message (FATE#321353).
- iwlwifi: print index in api/capa flags parsing message
  (FATE#321353).
- iwlwifi: change the Intel Wireless email address (FATE#321353).
- iwlwifi: mvm: Align bt-coex priority with requirements
  (FATE#321353).
- iwlwifi: Add PCI IDs for the new series 8165 (FATE#321353).
- iwlwifi: Add PCI IDs for the new 3168 series (FATE#321353).
- iwlwifi: Add new PCI IDs for 9260 and 5165 series (FATE#321353).
- iwlwifi: mvm: refactor d3 key update functions (FATE#321353).
- iwlwifi: mvm: use firmware station lookup, combine code
  (FATE#321353).
- iwlwifi: mvm: fix incorrect fallthrough in
  iwl_mvm_check_running_scans() (FATE#321353).
- iwlwifi: pcie: remove pointer from debug message (FATE#321353).
- iwlwifi: clean up transport debugfs handling (FATE#321353).
- iwlwifi: mvm: Support setting continuous recording debug mode
  (FATE#321353).
- iwlwifi: mvm: move fw-dbg code to separate file (FATE#321353).
- iwlwifi: mvm: remove unnecessary check in
  iwl_mvm_is_d0i3_supported() (FATE#321353).
- iwlwifi: mvm: flush all used TX queues before suspending
  (FATE#321353).
- iwlwifi: dump prph registers in a common place for all
  transports (FATE#321353).
- iwlwifi: export the _no_grab version of PRPH IO functions
  (FATE#321353).
- iwlwifi: mvm: drop low_latency_agg_frame_cnt_limit
  (FATE#321353).
- iwlwifi: mvm: remove stray nd_config element (FATE#321353).
- iwlwifi: mvm: add bt rrc and ttc to debugfs (FATE#321353).
- iwlwifi: mvm: add bt settings to debugfs (FATE#321353).
- iwlwifi: mvm: remove redundant d0i3 flag from the config struct
  (FATE#321353).
- iwlwifi: mvm: add trigger for firmware dump upon TDLS events
  (FATE#321353).
- iwlwifi: mvm: use build-time assertion for fw trigger ID
  (FATE#321353).
- iwlwifi: mvm: change name of iwl_mvm_d3_update_gtk
  (FATE#321353).
- iwlwifi: generalize d0i3_entry_timeout module parameter
  (FATE#321353).
- iwlwifi: pcie: remove ICT allocation message (FATE#321353).
- iwlwifi: mvm: check FW's response for nvm access write cmd
  (FATE#321353).
- iwlwifi: mvm: ignore LMAC scan notifications when running UMAC
  scans (FATE#321353).
- iwlwifi: mvm: Enable MPLUT only on supported hw (FATE#321353).
- iwlwifi: dvm: remove stray debug code (FATE#321353).
- iwlwifi: mvm: Configure fragmented scan for scheduled scan
  (FATE#321353).
- iwlwifi: trans: make various conversion macros inlines
  (FATE#321353).
- iwlwifi: dvm: remove Kconfig default (FATE#321353).
- iwlwifi: add support for 12K Receive Buffers (FATE#321353).
- iwlwifi: nvm: fix up phy section when reading it (FATE#321353).
- commit 42a26bb
* Wed May 31 2017 tiwai@suse.de
- Update config files: add CONFIG_IWLWIFI_PCIE_RTPM=y
- commit 831e832
* Wed May 31 2017 tiwai@suse.de
- Delete iwlwifi patches once for reapplying series
- commit 2bab5b6
* Wed May 31 2017 mhocko@suse.cz
- mm: do not collapse stack gap into THP (bnc#1039348,
  CVE-2017-1000364).
- mm: enlarge stack guard gap (bnc#1039348, CVE-2017-1000364).
- commit 0b79664
* Wed May 31 2017 jthumshirn@suse.de
- nvmet_fc: cap amount of work allowed in workqueue (bsc#1041877).
- commit 2ebf38d
* Wed May 31 2017 jthumshirn@suse.de
- blacklist.conf: Blacklist af611fd15632 scsi: smartpqi: mark PM functions as __maybe_unused
- commit 07c1689
* Wed May 31 2017 jthumshirn@suse.de
- scsi: smartpqi: cleanup interrupt management (bsc#1038125).
- scsi: smartpqi: set pci completion timeout (bsc#1038125).
- scsi: smartpqi: add in controller checkpoint for controller
  lockups (bsc#1038125).
- scsi: smartpqi: ensure controller is in SIS mode at init
  (bsc#1038125).
- scsi: smartpqi: add supporting events (bsc#1038125).
- scsi: smartpqi: enhance resets (bsc#1038125).
- scsi: smartpqi: add suspend and resume support (bsc#1038125).
- scsi: smartpqi: add heartbeat check (bsc#1038125).
- scsi: smartpqi: correct bdma hw bug (bsc#1038125).
- scsi: smartpqi: add pqi_wait_for_completion_io (bsc#1038125).
- scsi: smartpqi: make pdev pointer names consistent
  (bsc#1038125).
- scsi: smartpqi: eliminate redundant error messages
  (bsc#1038125).
- scsi: smartpqi: correct BMIC identify physical drive
  (bsc#1038125).
- scsi: smartpqi: minor driver cleanup (bsc#1038125).
- scsi: smartpqi: add new PCI device IDs (bsc#1038125).
- scsi: smartpqi: cleanup messages (bsc#1038125).
- scsi: smartpqi: update copyright (bsc#1038125).
- scsi: smartpqi: add ptraid support (bsc#1038125).
- scsi: smartpqi: change return value for LUN reset operations
  (bsc#1038125).
- scsi: smartpqi: enhance kdump (bsc#1038125).
- scsi: smartpqi: remove qdepth calculations for logical volumes
  (bsc#1038125).
- scsi: smartpqi: add lockup action (bsc#1038125).
- scsi: smartpqi: correct aio error path (bsc#1038125).
- scsi: smartpqi: update device offline (bsc#1038125).
- scsi: smartpqi: update rescan worker (bsc#1038125).
- scsi: smartpqi: cleanup controller branding (bsc#1038125).
- scsi: smartpqi: map more raid errors to SCSI errors
  (bsc#1038125).
- scsi: smartpqi: update timeout on admin commands (bsc#1038125).
- scsi: smartpqi: enhance device add and remove messages
  (bsc#1038125).
- scsi: smartpqi: make ioaccel references consistent
  (bsc#1038125).
- scsi: smartpqi: add raid level show (bsc#1038125).
- scsi: smartpqi: cleanup list initialization (bsc#1038125).
- scsi: smartpqi: add module parameters (bsc#1038125).
- scsi: smartpqi: remove writeq/readq function definitions
  (bsc#1038125).
- scsi: smartpqi: bump driver version (bsc#1038125).
- scsi: smartpqi: switch to pci_alloc_irq_vectors (bsc#1038125).
- Delete
  patches.drivers/0019-scsi-smartpqi-set-pci-completion-timeout.patch.
- Delete
  patches.drivers/0020-scsi-smartpqi-add-in-controller-checkpoint-for-contr.patch.
- Delete
  patches.drivers/0021-scsi-smartpqi-ensure-controller-is-in-SIS-mode-at-in.patch.
- Delete
  patches.drivers/0022-scsi-smartpqi-add-supporting-events.patch.
- Delete patches.drivers/0023-scsi-smartpqi-enhance-resets.patch.
- Delete
  patches.drivers/0024-scsi-smartpqi-add-heartbeat-check.patch.
- Delete
  patches.drivers/0025-scsi-smartpqi-correct-bdma-hw-bug.patch.
- Delete
  patches.drivers/0026-scsi-smartpqi-add-pqi_wait_for_completion_io.patch.
- Delete
  patches.drivers/0027-scsi-smartpqi-make-pdev-pointer-names-consistent.patch.
- Delete
  patches.drivers/0028-scsi-smartpqi-eliminate-redundant-error-messages.patch.
- Delete
  patches.drivers/0029-scsi-smartpqi-correct-BMIC-identify-physical-drive.patch.
- Delete
  patches.drivers/0030-scsi-smartpqi-minor-driver-cleanup.patch.
- Delete
  patches.drivers/0031-scsi-smartpqi-add-new-PCI-device-IDs.patch.
- Delete
  patches.drivers/0032-scsi-smartpqi-cleanup-messages.patch.
- Delete
  patches.drivers/0033-scsi-smartpqi-update-copyright.patch.
- Delete
  patches.drivers/0034-scsi-smartpqi-add-ptraid-support.patch.
- Delete
  patches.drivers/0035-scsi-smartpqi-change-return-value-for-LUN-reset-oper.patch.
- Delete patches.drivers/0036-scsi-smartpqi-enhance-kdump.patch.
- Delete
  patches.drivers/0037-scsi-smartpqi-remove-qdepth-calculations-for-logical.patch.
- Delete
  patches.drivers/0038-scsi-smartpqi-add-lockup-action.patch.
- Delete
  patches.drivers/0039-scsi-smartpqi-correct-aio-error-path.patch.
- Delete
  patches.drivers/0040-scsi-smartpqi-update-device-offline.patch.
- Delete
  patches.drivers/0041-scsi-smartpqi-update-rescan-worker.patch.
- Delete
  patches.drivers/0042-scsi-smartpqi-cleanup-controller-branding.patch.
- Delete
  patches.drivers/0043-scsi-smartpqi-map-more-raid-errors-to-SCSI-errors.patch.
- Delete
  patches.drivers/0044-scsi-smartpqi-update-timeout-on-admin-commands.patch.
- Delete
  patches.drivers/0045-scsi-smartpqi-enhance-device-add-and-remove-messages.patch.
- Delete
  patches.drivers/0046-scsi-smartpqi-make-ioaccel-references-consistent.patch.
- Delete
  patches.drivers/0047-scsi-smartpqi-add-raid-level-show.patch.
- Delete
  patches.drivers/0048-scsi-smartpqi-cleanup-list-initialization.patch.
- Delete
  patches.drivers/0049-scsi-smartpqi-add-module-parameters.patch.
- Delete
  patches.drivers/0050-scsi-smartpqi-remove-writeq-readq-function-definitio.patch.
- Delete
  patches.drivers/0051-scsi-smartpqi-bump-driver-version.patch.
- commit 70d6acd
* Wed May 31 2017 tbogendoerfer@suse.de
- IB/srp: Drain the send queue before destroying a QP (bsc#1024296
  FATE#321265).
- IB/srp: Improve an error path (bsc#1024296 FATE#321265).
- IB/srp: Make a diagnostic message more informative (bsc#1024296
  FATE#321265).
- IB/srp: Document locking conventions (bsc#1024296 FATE#321265).
- IB/iser: Protect completion context active_qps update
  (bsc#1024296 FATE#321265).
- IB/srpt: Accept GUIDs as port names (bsc#1024296 FATE#321265).
- IB/isert: fix spelling mistake: "teminating" -> "terminating"
  (bsc#1024296 FATE#321265).
- IB/iser: remove unused variable from iser_conn struct
  (bsc#1024296 FATE#321265).
- IB/iser: Fix sg_tablesize calculation (bsc#1024296 FATE#321265).
- IB/srp: Make writing the add_target sysfs attr interruptible
  (bsc#1024296 FATE#321265).
- IB/srp: Make mapping failures easier to debug (bsc#1024296
  FATE#321265).
- IB/srp: Make login failures easier to debug (bsc#1024296
  FATE#321265).
- IB/srp: Introduce a local variable in srp_add_one() (bsc#1024296
  FATE#321265).
- IB/srpt: Report login failures only once (bsc#1024296
  FATE#321265).
- IB/isert: do not ignore errors in dma_map_single() (bsc#1024296
  FATE#321265).
- ib_isert: log the connection reject message (bsc#1024296
  FATE#321265).
- ib_iser: log the connection reject message (bsc#1024296
  FATE#321265).
- IB/isert: Remove and fix debug prints after allocation failure
  (bsc#1024296 FATE#321265).
- IB/srp: Fix infinite loop when FMR sg.offset != 0 (bsc#1024296
  FATE#321265).
- IB/srp: Remove an unused argument (bsc#1024296 FATE#321265).
- IB/isert: Properly release resources on DEVICE_REMOVAL
  (bsc#1024296 FATE#321265).
- IB/srpt: Update sport->port_guid with each port refresh
  (bsc#1024296 FATE#321265).
- IB/isert: fix error return code in isert_alloc_login_buf()
  (bsc#1024296 FATE#321265).
- IB/isert: Remove an unused member variable (bsc#1024296
  FATE#321265).
- IB/srpt: Simplify srpt_queue_response() (bsc#1024296
  FATE#321265).
- IB/srpt: Limit the number of SG elements per work request
  (bsc#1024296 FATE#321265).
- IB/uverbs: Initialize ib_qp_init_attr with zeros (bsc#1024296
  FATE#321265).
- ib_srpt: Convert to target_alloc_session usage (bsc#1024296
  FATE#321265).
- iser-target: Fix non negative ERR_PTR isert_device_get usage
  (bsc#1024296 FATE#321265).
- commit 26775d5
* Wed May 31 2017 msuchanek@suse.de
- ibmvnic: Reset sub-crqs during driver reset (fate#322021,
  bsc#1040855).
- commit 43858be
* Wed May 31 2017 msuchanek@suse.de
- ibmvnic: Reset tx/rx pools on driver reset (fate#322021,
  bsc#1040855).
- ibmvnic: Reset the CRQ queue during driver reset (fate#322021,
  bsc#1040855).
- commit 1def99d
* Wed May 31 2017 msuchanek@suse.de
- ibmvnic: Check adapter state during ibmvnic_poll (fate#322021,
  bsc#1040855).
- commit 19fdcea
* Wed May 31 2017 msuchanek@suse.de
- ibmvnic: Deactivate RX pool buffer replenishment on H_CLOSED
  (fate#322021, bsc#1040855).
- ibmvnic: Halt TX and report carrier off on H_CLOSED return code
  (fate#322021, bsc#1040855).
- commit 861177a
* Wed May 31 2017 msuchanek@suse.de
- ibmvnic: Non-fatal error handling (fate#322021, bsc#1040855).
- commit eda42ea
* Wed May 31 2017 msuchanek@suse.de
- ibmvnic: Fix cleanup of SKB's on driver close (fate#322021,
  bsc#1040855).
- ibmvnic: Send gratuitous arp on reset (fate#322021,
  bsc#1040855).
- commit c38898f
* Wed May 31 2017 msuchanek@suse.de
- ibmvnic: Handle failover after failed init crq (fate#322021,
  bsc#1040855).
- ibmvnic: Track state of adapter napis (fate#322021,
  bsc#1040855).
- commit 78aec77
* Wed May 31 2017 lhenriques@suse.com
- ceph: memory leak in ceph_direct_read_write callback
  (bsc#1041810).
- commit dc85cc9
* Wed May 31 2017 hare@suse.de
- scsi: be2iscsi: allocate enough memory in
  beiscsi_boot_get_sinfo() (bsc#1038458).
- scsi: be2iscsi: Update the driver version (bsc#1038458).
- scsi: be2iscsi: Update copyright information (bsc#1038458).
- scsi: be2iscsi: Fix queue and connection parameters
  (bsc#1038458).
- scsi: be2iscsi: Fix bad WRB index error (bsc#1038458).
- scsi: be2iscsi: Fix async PDU handling path (bsc#1038458).
- scsi: be2iscsi: Add FUNCTION_RESET during driver unload
  (bsc#1038458).
- scsi: be2iscsi: Fail the sessions immediately after TPE
  (bsc#1038458).
- scsi: be2iscsi: Add TPE recovery feature (bsc#1038458).
- scsi: be2iscsi: Add V1 of EPFW cleanup IOCTL (bsc#1038458).
- scsi: be2iscsi: Fix POST check and reset sequence (bsc#1038458).
- scsi: be2iscsi: Move functions to right files (bsc#1038458).
- scsi: be2iscsi: Add IOCTL to check UER supported (bsc#1038458).
- scsi: be2iscsi: Fix to add timer for UE detection (bsc#1038458).
- scsi: be2iscsi: Fix to make boot discovery non-blocking
  (bsc#1038458).
- scsi: be2iscsi: Fix checks for HBA in error state (bsc#1038458).
- scsi: be2iscsi: Remove isr_lock and dead code (bsc#1038458).
- scsi: be2iscsi: Remove alloc_mcc_tag & beiscsi_pci_soft_reset
  (bsc#1038458).
- scsi: be2iscsi: Check all zeroes IP before issuing IOCTL
  (bsc#1038458).
- scsi: be2iscsi: Handle only NET_PARAM in iface_get_param
  (bsc#1038458).
- scsi: be2iscsi: Rename iface get/set/create/destroy APIs
  (bsc#1038458).
- scsi: be2iscsi: Update iface handle before any set param
  (bsc#1038458).
- scsi: be2iscsi: Move VLAN code to common iface_set_param
  (bsc#1038458).
- scsi: be2iscsi: Fix release of DHCP IP in static mode
  (bsc#1038458).
- scsi: be2iscsi: Fix gateway APIs to support IPv4 & IPv6
  (bsc#1038458).
- scsi: be2iscsi: Set and return right iface v4/v6 states
  (bsc#1038458).
- scsi: be2iscsi: Reduce driver load/unload time (bsc#1038458).
- scsi: be2iscsi: Replace _bh version for mcc_lock spinlock
  (bsc#1038458).
- scsi: be2iscsi: Fix to use correct configuration values
  (bsc#1038458).
- commit 51e3105
* Wed May 31 2017 nborisov@suse.com
- xfs: only return -errno or success from attr  ->put_listent
  (bsc#1041242).
- xfs: in _attrlist_by_handle, copy the cursor back to  userspace
  (bsc#1041242).
- commit 6d8b72d
* Tue May 30 2017 jroedel@suse.de
- x86/signals: Add build-time checks to the siginfo compat code
  (bsc#1041740).
- commit 33bab20
* Tue May 30 2017 lpechacek@suse.com
- xfs: use ->b_state to fix buffer I/O accounting release race
  (bsc#1041160).
- commit f1b9da2
* Tue May 30 2017 lpechacek@suse.com
- xfs: don't assert fail on non-async buffers on ioacct decrement
  (bsc#1041160).
- commit 80bbb7e
* Tue May 30 2017 tiwai@suse.de
- fbdev: fb_defio: Export fb_deferred_io_mmap (bsc#1041697).
- commit 2c8d02b
* Tue May 30 2017 jroedel@suse.de
- x86/mm/pkeys: Fix compact mode by removing protection keys'
  XSAVE buffer manipulation (bsc#1041740).
- commit d98d930
* Tue May 30 2017 yousaf.kaukab@suse.com
- printk: move bsc#1036188 patches to printk section
- commit 28c2b38
* Tue May 30 2017 msuchanek@suse.de
- scsi: cxlflash: Remove the device cleanly in the system shutdown
  path (bsc#1028310, fate#321597, bsc#1034762).
  cherry-pick from SP3
- commit a0ab9a1
* Tue May 30 2017 jroedel@suse.de
- x86/pkeys: Check against max pkey to avoid overflows
  (bsc#1041740).
- x86/mpx: Move bd_addr to mm_context_t (bsc#1041740).
- commit fd07a84
* Tue May 30 2017 duwe@suse.de
- Be prepared to enable ARM64 live patching during SP3 lifetime
  (FATE#322421).
- commit 354b327
* Tue May 30 2017 yousaf.kaukab@suse.com
- printk: fix double printing with earlycon (bsc#1036188).
- printk: rename selected_console -> preferred_console
  (bsc#1036188).
- printk: fix name/type/scope of preferred_console var
  (bsc#1036188).
- commit cf4b44a
* Tue May 30 2017 jthumshirn@suse.de
- scsi: lpfc: Fix crash on PCI hotplug remove path (bsc#1041536).
- commit b8da5e6
* Tue May 30 2017 tiwai@suse.de
- vgacon: dummy implementation for vgacon_text_force
  (bsc#1041697).
- commit 96ceb67
* Tue May 30 2017 hare@suse.de
- loop: fix regression with op_is_write() (bsc#1034157).
- commit 407790b
* Tue May 30 2017 mhocko@suse.cz
- mm: consider memblock reservations for deferred memory
  initialization sizing (bnc#1037575).
- commit 2039af0
* Mon May 29 2017 bp@suse.de
- blacklist.conf: 9c2abe2f7159 MAINTAINERS: gpio-brcmstb: Remove stray '>'
  We don't really care for the MAINTAINERS file.
- commit 0759446
* Mon May 29 2017 bp@suse.de
- blacklist.conf: 4a6772f51489 x86/cpufreq: Remove duplicated TDP MSR macro definitions
  Just duplicated MSR defines, no need to backport.
- commit cd3a4cc
* Mon May 29 2017 mmarek@suse.com
- Merge cluster-network-kmp back to the kernel (fate#323471)
- commit 8db99fd
* Mon May 29 2017 mbrugger@suse.com
- tty: amba-pl011: Don't complain on -EPROBE_DEFER when no irq
  (bsc#1040021).
- commit febd4c3
* Mon May 29 2017 yousaf.kaukab@suse.com
- Refresh
  patches.arch/arm64-0001-arm64-kernel-implement-ACPI-parking-protocol.patch.
  Fix wrong code sequence in acpi_map_gic_cpu_interface()
- commit 61b567f
* Mon May 29 2017 tiwai@suse.de
- mwifiex: Remove unused 'pm_flag' variable (bsc#1031717).
- commit 05ea30f
* Mon May 29 2017 tiwai@suse.de
- drivers/tty: 8250: only call fintek_8250_probe when doing port
  I/O (bsc#1031717).
- commit eee9f91
* Mon May 29 2017 tiwai@suse.de
- platform/x86: fujitsu-laptop: use brightness_set_blocking for
  LED-setting callbacks (bsc#1031717).
- commit 09a7ed3
* Mon May 29 2017 tiwai@suse.de
- PM / wakeirq: Enable dedicated wakeirq for suspend
  (bsc#1031717).
- commit c798313
* Mon May 29 2017 tiwai@suse.de
- ASoC: sti: Fix error handling if of_clk_get() fails
  (bsc#1031717).
- commit 9167edc
* Mon May 29 2017 tiwai@suse.de
- blacklist.conf: add blacklist for cherry-picked commit
- commit 940033f
* Mon May 29 2017 jack@suse.cz
- f2fs: fix bad prefetchw of NULL page (bsc#1012829).
- blacklist.conf: Add commit 33496c3c3d7b
- commit fcd59c2
* Mon May 29 2017 msuchanek@suse.de
- blacklist 43e24e82f352 powerpc/modules: If mprofile-kernel is enabled
  add it to vermagic
- blacklist 61e8a0d5a027 powerpc/pci: Fix endian bug in fixed PHB
  numbering (bsc#989311)
- commit 6a87446
* Mon May 29 2017 mbrugger@suse.com
- supported.conf: mark cavium mdio as supported (bsc#1040902)
- commit 2693c9c
* Mon May 29 2017 mbrugger@suse.com
- supported.conf: mark extcon as supported (bsc#1040903)
- commit 4c4b2bf
* Mon May 29 2017 jthumshirn@suse.de
- nvmet_fc: fix list corruption (bsc#1040701).
- commit 343b71e
* Mon May 29 2017 jthumshirn@suse.de
- scsi: lpfc: Avoid NULL pointer dereference in lpfc_els_abort()
  (bsc#1041171).
- commit 86e3900
* Mon May 29 2017 mgorman@suse.de
- mm: fix <linux/pagemap.h> stray kernel-doc notation (bnc#971975
  VM -- git fixes).
- commit 2b1b095
* Mon May 29 2017 nborisov@suse.com
- xfs: fix off-by-one on max nr_pages in
  xfs_find_get_desired_pgoff() (bsc#1041168).
- xfs: Fix missed holes in SEEK_HOLE implementation (bsc#1041168).
- commit 9b6ac89
* Mon May 29 2017 nborisov@suse.com
- Refresh
  patches.suse/0001-Btrfs-skip-commit-transaction-if-we-don-t-have-enoug.patch.
- commit 74b4e36
* Sat May 27 2017 gqjiang@suse.com
- md-cluster: fix potential lock issue in add_new_disk
  (bsc#1041087).
- commit e3b03bb
* Fri May 26 2017 yousaf.kaukab@suse.com
- Update config files.
- commit 9ceab26
* Fri May 26 2017 agraf@suse.de
- dpaa2: Remove ro_after_init usage (bsc#1041022).
- dpaa2: Use legacy ethtool interface (bsc#1041022).
- dpaa2: Manually check MTU limits (bsc#1041022).
- commit e6517c8
* Fri May 26 2017 yousaf.kaukab@suse.com
- clocksource/arm_arch_timer: Fix arch_timer_mem_find_best_frame()
  (fate#322150).
- arm64/arch_timer: Mark errata handlers as __maybe_unused
  (fate#322150).
- acpi/arm64: Add SBSA Generic Watchdog support in GTDT driver
  (fate#322150).
- clocksource: arm_arch_timer: add GTDT support for memory-mapped
  timer (fate#322150).
- acpi/arm64: Add memory-mapped timer support in GTDT driver
  (fate#322150).
- clocksource: arm_arch_timer: simplify ACPI support code
  (fate#322150).
- acpi/arm64: Add GTDT table parse driver (fate#322150).
- clocksource: arm_arch_timer: split MMIO timer probing
  (fate#322150).
- clocksource: arm_arch_timer: add structs to describe MMIO timer
  (fate#322150).
- clocksource: arm_arch_timer: move arch_timer_needs_of_probing
  into DT init call (fate#322150).
- clocksource: arm_arch_timer: refactor arch_timer_needs_probing
  (fate#322150).
- clocksource: arm_arch_timer: split dt-only rate handling
  (fate#322150).
- clocksource: arm_arch_timer: rework PPI selection (fate#322150).
- clocksource: arm_arch_timer: add a new enum for spi type
  (fate#322150).
- clocksource: arm_arch_timer: move enums and defines to header
  file (fate#322150).
- clocksource: arm_arch_timer: rename the PPI enum (fate#322150).
- clocksource: arm_arch_timer: rename type macros (fate#322150).
- clocksource: arm_arch_timer: clean up printk usage
  (fate#322150).
- arm64: arch_timer: Save cntkctl_el1 as a per-cpu variable
  (fate#322150).
- clocksource/drivers/arm_arch_timer: Control the evtstrm via
  the cmdline (fate#322150).
- clocksource/drivers/arm_arch_timer: Convert init function to
  return error (fate#322150).
- clockevents/drivers/arm_arch_timer: Implement
  - >set_state_oneshot_stopped() (fate#322150).
- clocksource/drivers/arm_arch_timer: Enable and verify MMIO
  access (fate#322150).
- clocksource/drivers/clksrc-probe: Introduce init functions
  with return code (fate#322150).
- of: Add a new macro to declare_of for one parameter function
  returning a value (fate#322150).
- commit 887dcb9
* Fri May 26 2017 agraf@suse.de
- Update config files: Enable dpaa2 network driver
- commit 3a4d9e5
* Fri May 26 2017 agraf@suse.de
- caam: Use old attrs interface (FATE#320030).
- blacklist.conf:
- Update config files.
- supported.conf:
- [media] of: reserved_mem: restore old behavior when no region
  is defined (FATE#320030).
- memremap: don't modify flags (FATE#320030).
- memremap: add MEMREMAP_WC flag (FATE#320030).
- drivers: dma-coherent: use MEMREMAP_WC for DMA_MEMORY_MAP
  (FATE#320030).
- drivers: dma-coherent: use memset_io for DMA_MEMORY_IO mappings
  (FATE#320030).
- caam: Declare PER_CPU variable outside function scope
  (FATE#320030).
- soc/qman: add macros needed by caam/qi driver (FATE#320030).
- powerpc: add io{read,write}64 accessors (FATE#320030).
- arm64: add io{read,write}64be accessors (FATE#320030).
- asm-generic/io.h: add io{read,write}64 accessors (FATE#320030).
- asm-generic/io.h: allow barriers in io{read,write}{16,32}be
  (FATE#320030).
- crypto: caam - fix error return code in caam_qi_init()
  (FATE#320030).
- crypto: caam - fix invalid dereference in caam_rsa_init_tfm()
  (FATE#320030).
- crypto: caam/qi - add ablkcipher and authenc algorithms
  (FATE#320030).
- crypto: caam - add Queue Interface (QI) backend support
  (FATE#320030).
- crypto: caam - fix JR platform device subsequent (re)creations
  (FATE#320030).
- crypto: caam - avoid double inclusion in desc_constr.h
  (FATE#320030).
- crypto: caam - fix state buffer DMA (un)mapping (FATE#320030).
- crypto: caam - abstract ahash request double buffering
  (FATE#320030).
- crypto: caam - fix error path for ctx_dma mapping failure
  (FATE#320030).
- crypto: caam - fix DMA API leaks for multiple setkey() calls
  (FATE#320030).
- crypto: caam - don't dma_map key for hash algorithms
  (FATE#320030).
- crypto: caam - use dma_map_sg() return code (FATE#320030).
- crypto: caam - replace sg_count() with sg_nents_for_len()
  (FATE#320030).
- crypto: caam - check sg_count() return value (FATE#320030).
- crypto: caam - fix HW S/G in ablkcipher_giv_edesc_alloc()
  (FATE#320030).
- crypto: caam - fix JR IO mapping if one fails (FATE#320030).
- crypto: caam - check return code of dma_set_mask_and_coherent()
  (FATE#320030).
- crypto: caam - don't include unneeded headers (FATE#320030).
- crypto: caam - check caam_emi_slow instead of re-lookup platform
  (FATE#320030).
- crypto: caam - fix pointer size for AArch64 boot loader,
  AArch32 kernel (FATE#320030).
- crypto: caam - make aamalg_desc a proper module (FATE#320030).
- crypto: caam - pass key buffers with typesafe pointers
  (FATE#320030).
- crypto: caam - refactor ahash shared descriptor generation
  (FATE#320030).
- crypto: caam - consolidate split key length computation
  (FATE#320030).
- crypto: caam - refactor encryption descriptors generation
  (FATE#320030).
- crypto: caam - remove unneded dependencies on
  CRYPTO_DEV_FSL_CAAM (FATE#320030).
- crypto: caam - rewrite some generic inline append cmds
  (FATE#320030).
- crypto: caam - improve key inlining (FATE#320030).
- crypto: caam - remove superfluous alg_op algorithm param
  (FATE#320030).
- crypto: caam - group algorithm related params (FATE#320030).
- crypto: caam - move append_key_aead() into
  init_sh_desc_key_aead() (FATE#320030).
- crypto: caam - merge identical ahash_final/finup shared desc
  (FATE#320030).
- crypto: caam - constify pointer to descriptor buffer
  (FATE#320030).
- crypto: caam - move sec4_sg_entry to sg_sw_sec4.h (FATE#320030).
- Revert "crypto: caam - get rid of tasklet" (FATE#320030).
- crypto: caam - fix DMA API mapping leak in ablkcipher code
  (FATE#320030).
- crypto: caam - remove unreachable code in report_ccb_status()
  (FATE#320030).
- crypto: caam - trivial code clean-up (FATE#320030).
- crypto: caam - remove unused command from aead givencrypt
  (FATE#320030).
- crypto: caam - remove unused may_sleep in dbg_dump_sg()
  (FATE#320030).
- crypto: caam - fix smatch warnings (FATE#320030).
- crypto: caam - fix sparse warnings (FATE#320030).
- crypto: caam - desc.h fixes (FATE#320030).
- crypto: caam - completely remove error propagation handling
  (FATE#320030).
- crypto: caam - fix type mismatch warning (FATE#320030).
- crypto: caam - add support for iMX6UL (FATE#320030).
- crypto: caam - treat SGT address pointer as u64 (FATE#320030).
- crypto: caam - Unmap region obtained by of_iomap (FATE#320030).
- crypto: caam - fix sg dump (FATE#320030).
- crypto: caam - Move common error handling code in two functions
  (FATE#320030).
- crypto: caam - Delete an unnecessary initialisation in seven
  functions (FATE#320030).
- crypto: caam - Return a value directly in caam_hash_cra_init()
  (FATE#320030).
- crypto: caam - Rename a jump label in five functions
  (FATE#320030).
- crypto: caam - Rename jump labels in ahash_setkey()
  (FATE#320030).
- crypto: caam - Use kmalloc_array() in ahash_setkey()
  (FATE#320030).
- crypto: caam - fix rfc3686(ctr(aes)) IV load (FATE#320030).
- crypto: caam - add missing header dependencies (FATE#320030).
- crypto: caam - avoid kernel warnings on probe failure
  (FATE#320030).
- crypto: caam - get rid of tasklet (FATE#320030).
- crypto: caam - add ahash_edesc_add_src() (FATE#320030).
- crypto: caam - move job descriptor initialisation to
  ahash_edesc_alloc() (FATE#320030).
- crypto: caam - add ahash_edesc_alloc() for descriptor allocation
  (FATE#320030).
- crypto: caam - check and use dma_map_sg() return code
  (FATE#320030).
- crypto: caam - ensure that we clean up after an error
  (FATE#320030).
- crypto: caam - replace sec4_sg pointer with array (FATE#320030).
- crypto: caam - mark the hardware descriptor as cache line
  aligned (FATE#320030).
- crypto: caam - incorporate job descriptor into struct
  ahash_edesc (FATE#320030).
- crypto: caam - ensure descriptor buffers are cacheline aligned
  (FATE#320030).
- crypto: caam - fix DMA API mapping leak (FATE#320030).
- crypto: caam - add support for RSA algorithm (FATE#320030).
- crypto: caam - replace deprecated EXTRA_CFLAGS (FATE#320030).
- crypto: caam - fix misspelled upper_32_bits (FATE#320030).
- crypto: caam - add ARCH_LAYERSCAPE to supported architectures
  (FATE#320030).
- crypto: caam - handle core endianness != caam endianness
  (FATE#320030).
- crypto: caam - fix offset field in hw sg entries (FATE#320030).
- crypto: caam - Staticize caam_jr_shutdown() (FATE#320030).
- crypto: caam - enable LARGE_BURST for enhancing DMA transactions
  size (FATE#320030).
- crypto: caam - pass the correct buffer length (FATE#320030).
- crypto: caam - check return value of sg_nents_for_len
  (FATE#320030).
- arm64: Export arch_setup_dma_ops (FATE#320030).
- phy: Add an mdio_device structure (FATE#320030).
- fsl/fman: take into account all RGMII modes (FATE#320030).
- fsl/fman: enlarge FIFO to allow for the 5th port (FATE#320030).
- fsl/fman: remove wrong free (FATE#320030).
- fsl/fman: set HW parser as BMI next engine (FATE#320030).
- fsl/fman: parse result data is big endian (FATE#320030).
- fsl/fman: fix spelling mistake in variable name
  en_tsu_err_exeption (FATE#320030).
- net: fman: fix build errors when linux/phy*.h is removed from
  net/dsa.h (FATE#320030).
- fsl/fman: enable compilation on ARM64 (FATE#320030).
- fsl/fman: A007273 only applies to PPC SoCs (FATE#320030).
- powerpc: fsl/fman: remove fsl,fman from of_device_ids[]
  (FATE#320030).
- fsl/fman: fix 1G support for QSGMII interfaces (FATE#320030).
- net: fsl/fman: fix fixed-link-phydev reference leak
  (FATE#320030).
- net: fsl/fman: fix phydev reference leak (FATE#320030).
- fsl/fman: fix a leak in tgec_free() (FATE#320030).
- fsl/fman: fix error return code in mac_probe() (FATE#320030).
- fsl/fman: remove leftover comment (FATE#320030).
- fsl/fman: fix return value checking (FATE#320030).
- fsl/fman: simplify redundant condition (FATE#320030).
- fsl/fman: check of_get_phy_mode() return value (FATE#320030).
- fsl/fman: check pcsphy pointer before use (FATE#320030).
- fsl/fman: MEMAC may use QSGMII PHY interface mode (FATE#320030).
- fsl/fman: return a phy_dev pointer from init (FATE#320030).
- fsl/fman: simplify device tree reads (FATE#320030).
- fsl/fman: use of_get_phy_mode() (FATE#320030).
- fsl/fman: small fixes (FATE#320030).
- fsl/fman: fix loadable module compilation (FATE#320030).
- fsl/fman: split lines over 80 characters (FATE#320030).
- fsl fman: Convert to long (FATE#320030).
- commit 6033476
* Fri May 26 2017 agraf@suse.de
- fsl/fman: Workaround for Errata A-007273 (FATE#320030).
- fsl/fman: fix dtsec_set_tx_pause_frames (FATE#320030).
- fsl/fman: Initialize fman->dev earlier (FATE#320030).
- fsl/fman: double free on probe failure (FATE#320030).
- fsl/fman: fix the pause_time test (FATE#320030).
- fsl/fman: allow modular build (FATE#320030).
- fsl/fman: Add FMan MAC driver (FATE#320030).
- fsl/fman: Add FMan Port Support (FATE#320030).
- fsl/fman: Add FMan SP support (FATE#320030).
- fsl/fman: Add FMan MAC support (FATE#320030).
- fsl/fman: Add FMan support (FATE#320030).
- dpaa_eth: use AVOIDBLOCK for Tx confirmation queues
  (FATE#320030).
- dpaa_eth: enable context-A stashing (FATE#320030).
- dpaa_eth: enable multiple Tx traffic classes (FATE#320030).
- dpaa_eth: add four prioritised Tx traffic classes (FATE#320030).
- dpaa_eth: do not ignore port api return value (FATE#320030).
- dpaa_eth: enable Rx checksum offload (FATE#320030).
- dpaa_eth: remove redundant initialization (FATE#320030).
- dpaa_eth: implement ioctl() for PHY-related ops (FATE#320030).
- dpaa_eth: small leak on error (FATE#320030).
- dpaa_eth: Initialize CGR structure before init (FATE#320030).
- dpaa_eth: cleanup after init_phy() failure (FATE#320030).
- net: freescale: dpaa: use new api
  ethtool_{get|set}_link_ksettings (FATE#320030).
- dpaa_eth: remove redundant dependency on FSL_SOC (FATE#320030).
- dpaa_eth: use big endian accessors (FATE#320030).
- dpaa_eth: add trace points (FATE#320030).
- dpaa_eth: add sysfs exports (FATE#320030).
- dpaa_eth: add ethtool statistics (FATE#320030).
- dpaa_eth: add ethtool functionality (FATE#320030).
- dpaa_eth: add support for DPAA Ethernet (FATE#320030).
- fsl/fman: Add FMan MURAM support (FATE#320030).
- devres: add devm_alloc_percpu() (FATE#320030).
- PCI: layerscape: Add LS1046a support (FATE#320030).
- thermal: qoriq: Add thermal management support (FATE#320030).
- of: reserved_mem: add support for using more than one region
  for given device (FATE#320030).
- fsl/soc/qbman: Enable FSL_LAYERSCAPE config on ARM
  (FATE#320030).
- soc/fsl/qbman: Add missing headers on ARM (FATE#320030).
- soc/fsl/qbman: different register offsets on ARM (FATE#320030).
- soc/fsl/qbman: add QMAN_REV32 (FATE#320030).
- soc/fsl/qbman: Rework ioremap() calls for ARM/PPC (FATE#320030).
- soc/fsl/qbman: Fix ARM32 typo (FATE#320030).
- soc/fsl/qbman: Drop L1_CACHE_BYTES compile time check
  (FATE#320030).
- soc/fsl/qbman: Drop set/clear_bits usage (FATE#320030).
- soc/fsl/qbman: Use shared-dma-pool for QMan private memory
  allocations (FATE#320030).
- soc/fsl/qbman: Use shared-dma-pool for BMan private memory
  allocations (FATE#320030).
- commit 3854d7f
* Fri May 26 2017 agraf@suse.de
- soc/qbman: Move dma-mapping.h include to qman_priv.h
  (FATE#320030).
- soc/qbman: Fix implicit header dependency now causing build
  fails (FATE#320030).
- soc/fsl/qbman: Disable IRQs for deferred QBMan work
  (FATE#320030).
- soc/fsl/qe: add EXPORT_SYMBOL for the 2 qe_tdm functions
  (FATE#320030).
- soc/fsl/qe: only apply QE_General4 workaround on affected SoCs
  (FATE#320030).
- soc/fsl/qe: round brg_freq to 1kHz granularity (FATE#320030).
- soc/fsl/qe: get rid of immrbar_virt_to_phys() (FATE#320030).
- soc/qman: export non-programmable FQD fields query
  (FATE#320030).
- soc/qman: add dedicated channel ID for CAAM (FATE#320030).
- soc/qman: export volatile dequeue related structs (FATE#320030).
- soc/fsl/qman: test: use DEFINE_SPINLOCK() (FATE#320030).
- soc/fsl/bman: Use resource_size instead of computation
  (FATE#320030).
- soc/fsl/qe: use builtin_platform_driver (FATE#320030).
- soc: fsl: fix section mismatch build warnings (FATE#320030).
- soc: fsl: add GUTS driver for QorIQ platforms (FATE#320030).
- soc/qman: Handle endianness of h/w descriptors (FATE#320030).
- soc/qman: Clean up CGR CSCN target update operations
  (FATE#320030).
- soc/qman: Change remaining contextB into context_b
  (FATE#320030).
- soc/qbman: Handle endianness of qm/bm_in/out() (FATE#320030).
- soc/qman: Drop unused field from eqcr/dqrr descriptors
  (FATE#320030).
- soc/qman: Fix accesses to fqid, cleanup (FATE#320030).
- soc/qman: Remove unused struct qm_mcc* layouts (FATE#320030).
- soc/qman: Remove redundant checks from qman_create_cgr()
  (FATE#320030).
- soc/qman: test: Don't use dummy platform device for dma mapping
  (FATE#320030).
- soc/qman: Don't add a new platform device for dma mapping
  (FATE#320030).
- soc/qman: test: Fix implementation of fd_cmp() (FATE#320030).
- soc/qman: Fix direct access to fd's addr_lo, use proper accesor
  (FATE#320030).
- soc/qbman: Fix resource leak on portal probing error path
  (FATE#320030).
- soc/qman: Fix h/w resource cleanup error path handling
  (FATE#320030).
- soc/qman: Replace of_get_property() with portable equivalent
  (FATE#320030).
- soc/qman: Check ioremap return value (FATE#320030).
- soc/fsl: fix spelling mistakes in critical error messages
  (FATE#320030).
- arch/powerpc: Add CONFIG_FSL_DPAA to corenetXX_smp_defconfig
  (FATE#320030).
- soc/qman: Add self-test for QMan driver (FATE#320030).
- soc/bman: Add self-test for BMan driver (FATE#320030).
- soc/fsl: Introduce DPAA 1.x QMan device driver (FATE#320030).
- soc/fsl: Introduce DPAA 1.x BMan device driver (FATE#320030).
- soc/fsl/qe: fix gpio save_regs functions (FATE#320030).
- soc/fsl/qe: fix Oops on CPM1 (and likely CPM2) (FATE#320030).
- fsl/qe: use of_property_read_bool (FATE#320030).
- soc/fsl/qe: Use of_adress_to_resource() in get_qe_base()
  (FATE#320030).
- soc/fsl/qe: Use resource_size (FATE#320030).
- fsl/qe: Add QE TDM lib (FATE#320030).
- fsl/qe: setup clock source for TDM mode (FATE#320030).
- fsl/qe: add rx_sync and tx_sync for TDM mode (FATE#320030).
- powerpc: qe_lib-gpio: use gpiochip data pointer (FATE#320030).
- qe: Use GFP_ATOMIC while spin_lock_irqsave is held
  (FATE#320030).
- qe: Make cpm_muram_alloc_common static (FATE#320030).
- qe/ic: fix a buffer overflow error and add check elsewhere
  (FATE#320030).
- powerpc: qe_lib/gpio: Be sure to clamp return value
  (FATE#320030).
- QE: Move QE from arch/powerpc to drivers/soc (FATE#320030).
- QE/CPM: move muram management functions to qe_common
  (FATE#320030).
- CPM/QE: use genalloc to manage CPM/QE muram (FATE#320030).
- genalloc:support allocating specific region (FATE#320030).
- genalloc:support memory-allocation with bytes-alignment to
  genalloc (FATE#320030).
- commit b6ac63f
* Fri May 26 2017 agraf@suse.de
- supported.conf: Add dpaa2 network driver
- commit 6da0700
* Fri May 26 2017 agraf@suse.de
- staging: fsl-dpaa2/eth: Map Tx buffers as bidirectional
  (bsc#1041022).
- staging: fsl-dpaa2/eth: Fix address translations (bsc#1041022).
- staging: fsl-dpaa2/eth: add ETHERNET dependency (bsc#1041022).
- staging: fsl-mc/dpio: add cpu <--> LE conversion for dpaa2_fd
  (bsc#1041022).
- staging: fsl-dpaa2/eth: Add TODO file (bsc#1041022).
- staging: fsl-dpaa2/eth: Add trace points (bsc#1041022).
- staging: fsl-dpaa2/eth: Add driver specific stats (bsc#1041022).
- staging: fsl-dpaa2/eth: Add ethtool support (bsc#1041022).
- staging: fsl-dpaa2/eth: Add Freescale DPAA2 Ethernet driver
  (bsc#1041022).
- staging: fsl-dpaa2/eth: Add APIs for DPNI objects (bsc#1041022).
- staging: fsl-dpaa2/eth: Add Ethernet driver overview document
  (bsc#1041022).
- staging: fsl-mc: bus: add DPCON object APIs (bsc#1041022).
- staging: fsl-mc: bus: dpio: fix alter FQ state command
  (bsc#1041022).
- staging: fsl-mc/dpio: Fix early writing of valid bit
  (bsc#1041022).
- bus: fsl-mc: dpio: add the DPAA2 DPIO object driver
  (bsc#1041022).
- bus: fsl-mc: dpio: add the DPAA2 DPIO service interface
  (bsc#1041022).
- bus: fsl-mc: dpio: add QBMan portal APIs for DPAA2
  (bsc#1041022).
- bus: fsl-mc: dpio: add global dpaa2 definitions (bsc#1041022).
- bus: fsl-mc: dpio: add frame descriptor and scatter/gather APIs
  (bsc#1041022).
- bus: fsl-mc: dpio: add APIs for DPIO objects (bsc#1041022).
- bus: fsl-mc: dpio: add DPIO driver overview document
  (bsc#1041022).
- staging: fsl-mc: fix coding style warning (bsc#1041022).
- staging: fsl-mc: fix warning in DT ranges parser (bsc#1041022).
- staging: fsl-mc: Add missing header (bsc#1041022).
- staging: set msi_domain_ops as __ro_after_init (bsc#1041022).
- staging: fsl-mc: dprc: drop unused APIs (bsc#1041022).
- staging: fsl-mc: dpbp: add a few missing EXPORT_SYMBOL()s
  (bsc#1041022).
- staging: fsl-mc: dpbp: drop unused APIs (bsc#1041022).
- staging: fsl-mc: dpmng: drop unused prototype (bsc#1041022).
- staging: fsl-mc: dpmcp: drop unused APIs (bsc#1041022).
- staging: fsl-mc: remove slab cache for mc devices (bsc#1041022).
- staging: fsl-mc: don't use devres api for refcounted objects
  (bsc#1041022).
- staging: fsl-mc: add device release callback (bsc#1041022).
- staging: fsl-mc: fix device ref counting (bsc#1041022).
- staging: fsl-mc: drop root dprc counting (bsc#1041022).
- staging: fsl-mc: remove unnecessary info prints from bus driver
  (bsc#1041022).
- Staging: fsl-mc: include: mc: Kernel type 'int' preferred over
  's16' (bsc#1041022).
- Staging: fsl-mc: include: mc: Kernel type 's32' preferred over
  'int32_t' (bsc#1041022).
- Staging: fsl-mc: include: mc: Kernel type 's16' preferred over
  'int16_t' (bsc#1041022).
- staging: fsl-mc: uprev binary interface to match MC v10.x
  (bsc#1041022).
- staging: fsl-mc: update copyright dates (bsc#1041022).
- staging: fsl-mc: improve wording in comments (bsc#1041022).
- staging: fsl-mc: cleanup: improve clarity of messages
  (bsc#1041022).
- staging: fsl-mc: improve message clarity by adding __func__
  (bsc#1041022).
- staging: fsl-mc: improve pr_* messages (bsc#1041022).
- staging: fsl-mc: cleanup comment style (bsc#1041022).
- staging: fsl-mc: whitespace cleanup: improve alignment in
  prototypes (bsc#1041022).
- staging: fsl-mc: whitespace cleanup: align function args
  (bsc#1041022).
- staging: fsl-mc: whitespace cleanup: remove extraenous tabs
  (bsc#1041022).
- staging: fsl-mc: whitespace cleanup: remove blank lines
  (bsc#1041022).
- staging: fsl-mc: cleanup: convert uintX_t types to uX
  (bsc#1041022).
- staging: fsl-mc: dprc: shorten DPRC interrupt name
  (bsc#1041022).
- staging: fsl-mc: irq: shorten name of interrupt name
  (bsc#1041022).
- staging: fsl-mc: update Kconfig dependency (bsc#1041022).
- staging: fsl-mc: clean up Kconfig description (bsc#1041022).
- staging: fsl-mc: add missing includes to fsl-mc-private.h
  (bsc#1041022).
- staging: fsl-mc: cleanup: move dpbp and dpcon cmd headers
  (bsc#1041022).
- Staging: fsl-mc: Remove blank lines (bsc#1041022).
- Staging: fsl-mc: Fix unaligned * in block comments
  (bsc#1041022).
- Staging: fsl-mc: Use !x instead of x == NULL (bsc#1041022).
- staging: fsl-mc: remove .owner field for driver (bsc#1041022).
- staging: fsl-mc: use list_del_init instead of
  list_del/INIT_LIST_HEAD (bsc#1041022).
- staging: fsl-mc: convert to use ATTRIBUTE_GROUPS macro
  (bsc#1041022).
- staging: fsl-mc: dprc-cmd: Fix checkpatch warning (bsc#1041022).
- staging: fsl-mc: dpmng-cmd: Fix checkpatch warning
  (bsc#1041022).
- staging: fsl-mc: make order of includes consistent
  (bsc#1041022).
- staging: fsl-mc: explicitly include files where they are needed
  (bsc#1041022).
- staging: fsl-mc: split mc-io definitions into a separate file
  (bsc#1041022).
- staging: fsl-mc: remove unneeded includes (bsc#1041022).
- staging: fsl-mc: move bus definitions from mc.h to mc-bus.h
  (bsc#1041022).
- staging: fsl-mc: remove unneeded forward declarations
  (bsc#1041022).
- staging: fsl-mc: make fsl_mc_get_root_dprc public (bsc#1041022).
- staging: fsl-mc: move bus private definitions into fsl-mc-bus.c
  (bsc#1041022).
- staging: fsl-mc: move dprc-driver private definitions out of
  mc-bus.h (bsc#1041022).
- staging: fsl-mc: create private include for fsl-mc bus
  components (bsc#1041022).
- staging: fsl-mc: move resource pool init/cleanup into allocator
  (bsc#1041022).
- staging: fsl-mc: move allocator private definitions out of
  mc-bus.h (bsc#1041022).
- staging: fsl-mc: improve naming of source files (bsc#1041022).
- staging: fsl-mc: rename mc-private.h to mc-bus.h (bsc#1041022).
- staging: fsl-mc: make bus/mc-bus explicitly non-modular
  (bsc#1041022).
- fsl-mc: add helper macro to determine if a device is of fsl_mc
  type (bsc#1041022).
- staging: fsl-mc: convert mc command build/parse to use C structs
  (bsc#1041022).
- staging: fsl-mc: properly set hwirq in msi set_desc
  (bsc#1041022).
- staging: fsl-mc: dprc: fix ordering problem freeing resources
  in remove of dprc (bsc#1041022).
- staging: fsl-mc: dprc: add missing irq free (bsc#1041022).
- staging: fsl-mc: fix asymmetry in destroy of mc_io
  (bsc#1041022).
- staging: fsl-mc: make fsl_mc_is_root_dprc() global
  (bsc#1041022).
- staging: fsl-mc: export mc_get_version (bsc#1041022).
- staging: fsl-mc: add support for device table matching
  (bsc#1041022).
- staging: fsl-mc: clean up the device id struct (bsc#1041022).
- staging: fsl-mc: implement uevent callback and set the modalias
  (bsc#1041022).
- staging: fsl-mc: add support for the modalias sysfs attribute
  (bsc#1041022).
- staging: fsl-mc: bus: Drop warning (bsc#1041022).
- staging: fsl-mc: return -EINVAL for all fsl_mc_portal_allocate()
  failures (bsc#1041022).
- staging: fsl-mc: add dpmcp version check (bsc#1041022).
- staging: fsl-mc: add quirk handling for dpseci objects < 4.0
  (bsc#1041022).
- staging: fsl-mc: add dprc version check (bsc#1041022).
- staging: fsl-mc: get version of root dprc from MC hardware
  (bsc#1041022).
- staging: fsl-mc: set cacheable flag for added devices if
  applicable (bsc#1041022).
- staging: fsl-mc: set up coherent dma ops for added devices
  (bsc#1041022).
- staging: fsl-mc: don't use object versions to make binding
  decisions (bsc#1041022).
- staging: fsl-mc: update dprc binary interface to v5.1
  (bsc#1041022).
- staging: fsl-mc: update dpbp binary interface to v2.2
  (bsc#1041022).
- staging: fsl-mc: update dpmcp binary interface to v3.0
  (bsc#1041022).
- staging: fsl-mc: DPAA2 overview readme update (bsc#1041022).
- staging: fsl-mc: TODO updates (bsc#1041022).
- staging: fsl-mc: get rid of mutex_locked variables
  (bsc#1041022).
- commit 1d6b190
* Fri May 26 2017 agraf@suse.de
- Delete
  patches.arch/arm64-0001-staging-fsl-mc-read-version-of-root-dprc-from-mc.patch.
- Delete
  patches.arch/arm64-0001-staging-fsl-mc-update-dpmcp-binary-interface-to-v3.0.patch.
- Delete
  patches.arch/arm64-0002-staging-fsl-mc-add-dprc-version-check.patch.
- Delete
  patches.arch/arm64-0002-staging-fsl-mc-update-dpbp-binary-interface-to-v2.2.patch.
- Delete
  patches.arch/arm64-0003-staging-fsl-mc-add-dpmcp-version-check.patch.
- Delete
  patches.arch/arm64-0003-staging-fsl-mc-update-dprc-binary-interface-to-v5.1.patch.
- Delete
  patches.arch/arm64-0004-staging-fsl-mc-change-binding-rules.patch.
- Delete
  patches.arch/arm64-0004-staging-fsl-mc-return-EINVAL-for-all-fsl_mc_portal_a.patch.
- Delete
  patches.arch/arm64-0005-staging-fsl-mc-set-up-coherent-dma-ops-for-added-dev.patch.
- Delete
  patches.arch/arm64-0006-staging-fsl-mc-set-cacheable-flag-for-added-devices-.patch.
- Delete
  patches.arch/arm64-0007-staging-fsl-mc-update-dpcon-binary-interface-to-v2.2.patch.
- Delete
  patches.arch/arm64-0008-staging-fsl-mc-static-inline-function-to-differentia.patch.
- Delete
  patches.arch/arm64-0009-staging-fsl-mc-dprc-device-s-sysfs-rescan-documentat.patch.
- Delete
  patches.arch/arm64-0010-staging-fsl-mc-root-dprc-rescan-attribute-to-sync-ke.patch.
- Delete
  patches.arch/arm64-0011-staging-fsl-mc-fsl-mc-bus-s-sysfs-rescan-documentati.patch.
- Delete
  patches.arch/arm64-0012-staging-fsl-mc-bus-rescan-attribute-to-sync-kernel-w.patch.
- Delete patches.arch/arm64-staging-fsl-mc-bus-Drop-warning.patch.
- commit 4469a1c
* Fri May 26 2017 nborisov@suse.com
- xfs: Split default quota limits by quota type (bsc#104941).
- commit e579335
* Fri May 26 2017 nborisov@suse.com
- xfs: fix eofblocks race with file extending async dio writes
  (bsc#1040929).
- commit f2f11b8
* Fri May 26 2017 jthumshirn@suse.de
- scsi: lpfc: Fix NULL pointer dereference during PCI error
  recovery (bsc#1040814).
- commit 781ace1
* Fri May 26 2017 jslaby@suse.cz
- infiniband: avoid dereferencing uninitialized dst on error path
  (git-fixes).
- blacklist.conf: add one more
- commit b61f08c
* Fri May 26 2017 nborisov@suse.com
- Btrfs: skip commit transaction if we don't have enough pinned
  bytes (bsc#1037186).
- commit a447a6d
* Fri May 26 2017 jslaby@suse.cz
- Linux 4.4.70 (CVE-2016-7913 CVE-2017-7487 bnc#1012382
  bnc#1012985 bnc#1030118 bnc#978907 bsc#1010478 bsc#1031717
  bsc#1034902 bsc#1038879).
- Refresh
  patches.drivers/0001-usb-xhci-add-a-quirk-bit-for-ssic-port-unused.patch.
- Refresh patches.drivers/ext4-provide-ext4_issue_zeroout.patch.
- Refresh
  patches.drivers/mlx4-0029-IB-core-Add-rdma_network_type-to-wc.patch.
- Delete
  patches.drivers/media-cx231xx-audio-fix-NULL-deref-at-probe.
- Delete
  patches.drivers/media-cx231xx-cards-fix-NULL-deref-at-probe.
- Delete patches.drivers/media-dib0700-fix-NULL-deref-at-probe.
- Delete
  patches.drivers/media-gspca-konica-add-missing-endpoint-sanity-check.
- Delete
  patches.drivers/media-s5p-mfc-Fix-unbalanced-call-to-clock-managemen.
- Delete patches.drivers/media-usbvision-fix-NULL-deref-at-probe.
- Delete
  patches.drivers/mwifiex-pcie-fix-cmd_buf-use-after-free-in-remove-re.
- Delete
  patches.fixes/ceph-fix-recursively-call-between-ceph_set_acl-and-_ceph_setattr.patch.
- Delete
  patches.fixes/ipx-call-ipxitf_put-in-ioctl-error-path.patch.
- Delete
  patches.fixes/mm-huge_memory.c-respect-FOLL_FORCE-FOLL_COW-for-thp.patch.
- Delete patches.fixes/xc2028-Fix-use-after-free-bug-properly.
- Delete
  patches.suse/pid_ns-Sleep-in-TASK_INTERRUPTIBLE-in-zap_pid_ns_processes.patch.
- Delete
  patches.suse/sched-fair-Do-not-announce-throttled-next-buddy-in-dequeue_task_fair.patch.
- Delete
  patches.suse/sched-fair-Initialize-throttle_count-for-new-task-groups-lazily.patch.
- Delete
  patches.suse/tracing-kprobes-Enforce-kprobes-teardown-after-testing.patch.
- commit 8e4a191
* Fri May 26 2017 neilb@suse.com
- NFSv4: don't let hanging mounts block other mounts
  (bsc#1040364).
- commit 26ff2a7
* Thu May 25 2017 lduncan@suse.com
- scsi: qedi: Fix endpoint NULL panic during recovery
  (bsc#1039867).
- scsi: qedi: set max_fin_rt default value (bsc#1039867).
- scsi: qedi: Set firmware tcp msl timer value (bsc#1039867).
- scsi: qedi: Fix endpoint NULL panic in qedi_set_path
  (bsc#1039867).
- scsi: qedi: Set dma_boundary to 0xfff (bsc#1039867).
- scsi: qedi: Correctly set firmware max supported BDs
  (bsc#1039867).
- scsi: qedi: Fix bad pte call trace when iscsiuio is stopped
  (bsc#1039867).
- commit 157bfdc
* Thu May 25 2017 msuchanek@suse.de
- powerpc: Avoid taking a data miss on every userspace instruction
  miss (bsc#1039809).
- commit 8afc296
* Thu May 25 2017 nborisov@suse.com
- Btrfs: fix segmentation fault when doing dio read (bsc#1040425).
- Btrfs: fix invalid dereference in btrfs_retry_endio
  (bsc#1040395).
- commit 0bf2f8c
* Wed May 24 2017 oneukum@suse.com
- iwlwifi: pcie: extend device reset delay (FATE#321353).
- iwlwifi: Fix firmware name maximum length definition
  (FATE#321353).
- iwlwifi: fix double hyphen in MODULE_FIRMWARE for 8000
  (FATE#321353).
- iwlwifi: 8000: fix MODULE_FIRMWARE input (FATE#321353).
- commit 1508b26
* Wed May 24 2017 msuchanek@suse.de
- Move fadump patches together in series.conf
- commit d1aa3c7
* Wed May 24 2017 msuchanek@suse.de
- powerpc/fadump: return error when fadump registration fails (bsc#1040567).
- commit 42785d6
* Wed May 24 2017 tiwai@suse.de
- kernel: Export mm_access (bsc#1040550).
- dma-buf: return index of the first signaled fence (v2)
  (bsc#1040550).
- commit 7a14ed3
* Wed May 24 2017 mkubecek@suse.cz
- ipv6/dccp: do not inherit ipv6_mc_list from parent
  (CVE-2017-9076 CVE-2017-9077 bsc#1039885 bsc#1040069).
- commit 9df5b7b
* Wed May 24 2017 mkubecek@suse.cz
- sctp: do not inherit ipv6_{mc|ac|fl}_list from parent
  (CVE-2017-9075 bsc#1039883).
- commit 386013e
* Wed May 24 2017 mkubecek@suse.cz
- ipv6: Check ip6_find_1stfragopt() return value properly
  (CVE-2017-9074 bsc#1039882).
- ipv6: Prevent overrun when parsing v6 header options
  (CVE-2017-9074 bsc#1039882).
- commit 3f1068e
* Wed May 24 2017 mkubecek@suse.cz
- ipx: call ipxitf_put() in ioctl error path (CVE-2017-7487
  bsc#1038879).
- commit 057aaab
* Wed May 24 2017 mkubecek@suse.cz
- dccp/tcp: do not inherit mc_list from parent (CVE-2017-8890
  bsc#1038544).
- commit 10ad0c7
* Wed May 24 2017 hare@suse.de
- scsi: lpfc: Fix PT2PT PRLI reject (bsc#1038075).
- commit 8e17c28
* Wed May 24 2017 jjolly@suse.de
- s390/dasd: allow 0 for path_threshold attribute (bnc#1038912,
  LTC#153770).
- s390/dasd: suppress command reject error for query host access
  command (bnc#1038912, LTC#153591).
- s390/dasd: check if query host access feature is supported
  (bnc#1038912, LTC#153591).
- s390/dasd: remove casts to dasd_*_private (bnc#1038912,
  LTC#153253).
- s390/dasd: make query host access interruptible (bnc#1038912,
  LTC#153126).
- commit 4c3a58a
* Wed May 24 2017 jjolly@suse.de
- s390/dasd: check if query host access feature is supported
  (bsc#1037871).
- commit 151e26b
* Tue May 23 2017 tiwai@suse.de
- drm/i915: Use pagecache write to prepopulate shmemfs from
  pwrite-ioctl (bsc#1040463).
- commit 2767f20
* Tue May 23 2017 tiwai@suse.de
- blacklist.conf: add unapplicable fix commits
- commit 8df49c3
* Tue May 23 2017 tiwai@suse.de
- PKCS#7: fix missing break on OID_sha224 case (bsc#1031717).
- PM / wakeirq: report a wakeup_event on dedicated wekup irq
  (bsc#1031717).
- PM / wakeirq: Fix spurious wake-up events for dedicated wakeirqs
  (bsc#1031717).
- regulator: isl9305: fix array size (bsc#1031717).
- power: bq27xxx: fix register numbers of bq27500 (bsc#1031717).
- dmaengine: dw: fix typo in Kconfig (bsc#1031717).
- mmc: sdhci-pxav3: fix higher speed mode capabilities
  (bsc#1031717).
- commit e286032
* Tue May 23 2017 agraf@suse.de
- net: phy: expose phy_aneg_done API for use by drivers
  (bsc#1040392).
- commit 623e5dc
* Tue May 23 2017 mgorman@suse.de
- blacklist.conf: fix is valid but no difference was measured outside the noise but has a non-zero risk of regressions
- commit 34c6eb6
* Tue May 23 2017 tbogendoerfer@suse.de
- cxgb4: reduce resource allocation in kdump kernel (bsc#1039677).
- commit 2678bdd
* Tue May 23 2017 agraf@suse.de
- amd-xgbe: Fix the ECC-related bit position definitions
  (bsc#1040392).
- Update config files.
- amd-xgbe: Enable IRQs only if napi_complete_done() is true
  (bsc#1040392).
- amd-xgbe: Don't overwrite SFP PHY mod_absent settings
  (bsc#1040392).
- amd-xgbe: Be sure to set MDIO modes on device (re)start
  (bsc#1040392).
- amd-xgbe: Stop the PHY before releasing interrupts
  (bsc#1040392).
- amd-xgbe: Check xgbe_init() return code (bsc#1040392).
- amd-xgbe: Add a hardware quirk for register definitions
  (bsc#1040392).
- amd-xgbe: Update PCI support to use new IRQ functions
  (bsc#1040392).
- amd-xgbe: Fix IRQ processing when running in single IRQ mode
  (bsc#1040392).
- amd-xgbe: Update connection validation for backplane mode
  (bsc#1040392).
- amd-xgbe: Fix maximum GPIO value check (bsc#1040392).
- amd-xgbe: Fix possible uninitialized variable (bsc#1040392).
- amd-xgbe: Fix up some coccinelle identified warnings
  (bsc#1040392).
- amd-xgbe: Fix mask appliciation for Clause 37 register
  (bsc#1040392).
- amd-xgbe: Add support for a KR redriver (bsc#1040392).
- amd-xgbe: Add support for MDIO attached PHYs (bsc#1040392).
- amd-xgbe: Add support for SFP+ modules (bsc#1040392).
- amd-xgbe: Add I2C support for sideband communication
  (bsc#1040392).
- amd-xgbe: Add ECC status support for the device memory
  (bsc#1040392).
- amd-xgbe: Add support for new DMA interrupt mode (bsc#1040392).
- amd-xgbe: Allow for a greater number of Rx queues (bsc#1040392).
- amd-xgbe: Add PCI device support (bsc#1040392).
- amd-xgbe: Add a workaround for Tx timestamp issue (bsc#1040392).
- amd-xgbe: Guard against incorrectly generated interrupts
  (bsc#1040392).
- net: xgbe: use new api ethtool_{get|set}_link_ksettings
  (bsc#1040392).
- amd-xgbe: Prepare for supporting PCI devices (bsc#1040392).
- amd-xgbe: Update how to determine DMA channel status
  (bsc#1040392).
- amd-xgbe: Support for 64-bit management counter registers
  (bsc#1040392).
- amd-xgbe: Prepare for a new PCS register access method
  (bsc#1040392).
- amd-xgbe: Add support for clause 37 auto-negotiation
  (bsc#1040392).
- amd-xgbe: Prepare for introduction of clause 37 autoneg
  (bsc#1040392).
- amd-xgbe: Prepare for working with more than one type of phy
  (bsc#1040392).
- amd-xgbe: Perform priority-based hardware FIFO allocation
  (bsc#1040392).
- amd-xgbe: Prepare for priority-based FIFO allocation
  (bsc#1040392).
- amd-xgbe: Fix formatting of PCS register dump (bsc#1040392).
- amd-xgbe: Fix error return code in xgbe_probe() (bsc#1040392).
- xgbe: constify get_netdev_ops and get_ethtool_ops (bsc#1040392).
- amd-xgbe: Reset running devices after resume from hibernate
  (bsc#1040392).
- net: amd-xgbe: use correct format specifier (bsc#1040392).
- amd-xgbe: Do traffic class setup when called through dcbnl
  (bsc#1040392).
- commit 3e7f7fc
* Tue May 23 2017 tbogendoerfer@suse.de
- qed: Don't log missing management statistics (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- commit d2c5f13
* Tue May 23 2017 aaptel@suse.com
- CIFS: backport prepath matching fix (bsc#799133).
- commit 6f01d02
* Tue May 23 2017 oneukum@suse.com
- blacklist.conf: fixes for drivers not used or for test modes
- commit 80aabf1
* Tue May 23 2017 tiwai@suse.de
- blacklist.conf: add two media backports that may break kabi
- commit 5b55dfa
* Tue May 23 2017 tiwai@suse.de
- [media] usbvision: fix NULL-deref at probe (bsc#1031717).
- [media] am437x-vpfe: fix an uninitialized variable bug
  (bsc#1031717).
- [media] dib0700: fix NULL-deref at probe (bsc#1031717).
- [media] DaVinci-VPFE-Capture: fix error handling (bsc#1031717).
- [media] dvb-usb: avoid link error with dib3000m{b,c|
  (bsc#1031717).
- [media] c8sectpfe: Rework firmware loading mechanism
  (bsc#1031717).
- [media] lirc_imon: do not leave imon_probe() with mutex held
  (bsc#1031717).
- [media] gspca: konica: add missing endpoint sanity check
  (bsc#1031717).
- [media] s5p-mfc: Fix unbalanced call to clock management
  (bsc#1031717).
- [media] exynos4-is: fix a format string bug (bsc#1031717).
- [media] cx23885: uninitialized variable in
  cx23885_av_work_handler() (bsc#1031717).
- [media] sh-vou: clarify videobuf2 dependency (bsc#1031717).
- [media] uvcvideo: Fix empty packet statistic (bsc#1031717).
- [media] b2c2: use IS_REACHABLE() instead of open-coding it
  (bsc#1031717).
- [media] rc: allow rc modules to be loaded if rc-main is not
  a module (bsc#1031717).
- [media] DaVinci-VPBE: Check return value of a setup_if_config()
  call in vpbe_set_output() (bsc#1031717).
- mmc: debugfs: correct wrong voltage value (bsc#1031717).
- commit 4cdb35c
* Tue May 23 2017 yousaf.kaukab@suse.com
- arm64: huawei: update mbigen patchset from upstream
  References: bsc#1039690
- Update
  patches.arch/0018-irqchip-mbigen-Fix-memory-mapping-code.patch
  (bsc#1039690).
- Update
  patches.arch/0019-irqchip-mbigen-Fix-potential-NULL-dereferencing.patch
  (bsc#1039690).
- irqchip/mbigen: Fix the clear register offset calculation
  (bsc#1039690).
- commit c8cd7db
* Tue May 23 2017 mgalbraith@suse.de
- pid_ns: Sleep in TASK_INTERRUPTIBLE in zap_pid_ns_processes (bnc#1012985).
- commit d00d6d2
* Tue May 23 2017 dchang@suse.com
- bpf: don't let ldimm64 leak map addresses on unprivileged
  (bsc#1040279 CVE-2017-9150).
- commit 75c3110
* Tue May 23 2017 mgalbraith@suse.de
- tracing/kprobes: Enforce kprobes teardown after testing (bnc#1012985).
- commit 23e41fb
* Tue May 23 2017 dchang@suse.com
- qlcnic: Update version to 5.3.66 (bsc#1019717 FATE#321698).
- qlcnic: Fix link configuration with autoneg disabled
  (bsc#1019717 FATE#321698).
- commit 0ba9e8f
* Tue May 23 2017 dchang@suse.com
- net/mlx5e: Fix ethtool pause support and advertise reporting
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5e: Use the correct pause values for ethtool advertising
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- commit 80687c1
* Tue May 23 2017 dchang@suse.com
- Integrate a bna follow-up patch into sorted section
- commit 3ff0508
* Mon May 22 2017 tbogendoerfer@suse.de
- target: Fix unknown fabric callback queue-full errors (bsc#
  1024475).
- iscsi-target: Propigate queue_data_in + queue_status errors
  (bsc# 1024475).
- iser-target: Fix queue-full response handling (bsc# 1024475).
- iser-target: avoid posting a recv buffer twice (bsc# 1024475).
- RDMA/iser: Fix possible mr leak on device removal event (bsc#
  1024475).
- commit 0ba695e
* Mon May 22 2017 yousaf.kaukab@suse.com
- iommu, aarch64: Set bypass mode per default (bsc#1039147).
- commit 0a36be8
* Mon May 22 2017 yousaf.kaukab@suse.com
- arm64: dma-mapping: Only swizzle DMA ops for IOMMU_DOMAIN_DMA
  (bsc#1039147).
- commit d8cadc3
* Mon May 22 2017 yousaf.kaukab@suse.com
- arm64/dma-mapping: Remove default domain workaround
  (bsc#1039147).
- Refresh
  patches.drivers/0124-iommu-dma-Avoid-PCI-host-bridge-windows.patch.
- commit 193b258
* Mon May 22 2017 tiwai@suse.de
- Drop the overseen patches.kabi/* from the previous SP2 merge
- commit decb840
* Mon May 22 2017 tbogendoerfer@suse.de
- IB/mthca: switch to pci_alloc_irq_vectors (bsc#1040168).
- IB/mthca: Switch from dma_device to dev.parent (bsc#1040168).
- IB/mthca: Replace pci_pool_alloc by pci_pool_zalloc
  (bsc#1040168).
- IB/mthca: Remove debug prints after allocation failure
  (bsc#1040168).
- IB/mthca: Clean up error unwind flow in mthca_reset()
  (bsc#1040168).
- IB/mthca: NULL arg to pci_dev_put is OK (bsc#1040168).
- IB/mthca: Supprot device FW version string (bsc#1040168).
- commit 85bad7f
* Mon May 22 2017 jthumshirn@suse.de
- blacklist.conf: Blacklist two device-dax fixes
- commit 58a3fac
* Mon May 22 2017 jthumshirn@suse.de
- libnvdimm, pfn: fix 'npfns' vs section alignment (bsc#1040125).
- commit cc1e507
* Mon May 22 2017 jthumshirn@suse.de
- IB/rxe: Update caller's CRC for RXE_MEM_TYPE_DMA memory type
  (bsc#1040073).
- commit 9527513
* Mon May 22 2017 msuchanek@suse.de
- Refresh metadata of ibmvnic patches.
  patches.drivers/ibmvnic-33-Move-login-and-queue-negotiation-into-ibmvni.patch.
  patches.drivers/ibmvnic-34-Move-login-to-its-own-routine.patch.
  patches.drivers/ibmvnic-35-Move-ibmvnic-adapter-intialization-to-its-ow.patch.
  patches.drivers/ibmvnic-36-Correct-ibmvnic-handling-of-device-open-clos.patch.
  patches.drivers/ibmvnic-37-Remove-unused-net_stats-member-from-stru.patch.
  patches.drivers/ibmvnic-38-Remove-debugfs-support.patch.
  patches.drivers/ibmvnic-39-Update-main-crq-initialization-and-release.patch.
  patches.drivers/ibmvnic-40-Create-init-and-release-routines-for-the-bou.patch.
  patches.drivers/ibmvnic-41-Create-init-and-release-routines-for-the-tx-.patch.
  patches.drivers/ibmvnic-42-Create-init-and-release-routines-for-the-rx-.patch.
  patches.drivers/ibmvnic-43-Merge-the-two-release_sub_crq_queue-routines.patch.
  patches.drivers/ibmvnic-44-Create-init-release-routines-for-stats-token.patch.
  patches.drivers/ibmvnic-45-Cleanup-failure-path-in-ibmvnic_open.patch.
  patches.drivers/ibmvnic-46-Report-errors-when-failing-to-release-sub-cr.patch.
  patches.drivers/ibmvnic-47-Fix-ibmvnic_change_mac_addr-struct-format.patch.
  patches.drivers/ibmvnic-48-Unmap-longer-term-buffer-before-free.patch.
  patches.drivers/ibmvnic-49-Fixup-atomic-API-usage.patch.
  patches.drivers/ibmvnic-50-Do-not-disable-IRQ-after-scheduling-tasklet.patch.
  patches.drivers/ibmvnic-51-Remove-inflight-list.patch.
  patches.drivers/ibmvnic-52-Correct-crq-and-resource-releasing.patch.
  patches.drivers/ibmvnic-53-Disable-irq-prior-to-close.patch.
  patches.drivers/ibmvnic-54-Allocate-zero-filled-memory-for-sub-crqs.patch.
  patches.drivers/ibmvnic-55-Remove-unused-bouce-buffer.patch.
  patches.drivers/ibmvnic-56-Set-real-number-of-rx-queues.patch.
  patches.drivers/ibmvnic-57-Insert-header-on-VLAN-tagged-received-frame.patch.
  patches.drivers/ibmvnic-58-Only-retrieve-error-info-if-present.patch.
  patches.drivers/ibmvnic-59-Move-initialization-of-the-stats-token-to-ib.patch.
  patches.drivers/ibmvnic-60-Add-set_link_state-routine-for-setting-adapt.patch.
  patches.drivers/ibmvnic-61-Validate-napi-exist-before-disabling-them.patch.
  patches.drivers/ibmvnic-62-Free-skb-s-in-cases-of-failure-in-transmit.patch.
  patches.drivers/ibmvnic-63-Split-initialization-of-scrqs-to-its-own-rou.patch.
  patches.drivers/ibmvnic-64-Move-initialization-of-sub-crqs-to-ibmvnic_i.patch.
  patches.drivers/ibmvnic-65-Move-resource-initialization-to-its-own-rout.patch.
  patches.drivers/ibmvnic-66-Replace-is_closed-with-state-field.patch.
  patches.drivers/ibmvnic-67-Updated-reset-handling.patch.
  patches.drivers/ibmvnic-68-Delete-napi-s-when-releasing-driver-resource.patch.
  patches.drivers/ibmvnic-69-Whitespace-correction-in-release_rx_pools.patch.
  patches.drivers/ibmvnic-70-Clean-up-tx-pools-when-closing.patch.
  patches.drivers/ibmvnic-71-Wait-for-any-pending-scrqs-entries-at-driver.patch.
  patches.drivers/ibmvnic-72-Check-for-driver-reset-first-in-ibmvnic_xmit.patch.
  patches.drivers/ibmvnic-73-Continue-skb-processing-after-skb-completion.patch.
  patches.drivers/ibmvnic-74-Record-SKB-RX-queue-during-poll.patch.
  patches.drivers/ibmvnic-75-Move-queue-restarting-in-ibmvnic_tx_complete.patch.
- commit 5ee5f67
* Mon May 22 2017 jthumshirn@suse.de
- scsi: lpfc: double lock typo in lpfc_ns_rsp() (bsc#1040073).
- commit fe0c6ab
* Mon May 22 2017 msuchanek@suse.de
- ibmvnic: fix missing unlock on error in __ibmvnic_reset()
  (fate#322021, bsc#1038297, Fixes: ed651a10875f).
- commit 8ed0215
* Mon May 22 2017 jthumshirn@suse.de
- IB/rxe: Cache dst in QP instead of getting it for each send
  (bsc#1040073).
- IB/rxe: Offload CRC calculation when possible (bsc#1040073).
- Refresh
  patches.drivers/hfi1-qib-0369-IB-rxe-Suppress-sparse-warnings.patch.
- commit 4203394
* Mon May 22 2017 hare@suse.de
- dm verity fec: limit error correction recursion (bsc#1040125).
- dm verity fec: fix bufio leaks (bsc#1040125).
- Split off patches to specify correct commit id (bsc#1040073)
- dm: fix dm_target_io leak if clone_bio() returns an error
  (bsc#1040125).
- Refresh
  patches.fixes/dm-remove-unused-mapped_device-argument-from-free_ti.patch.
- dm verity fec: limit error correction recursion (bsc#1040125).
- dm verity fec: fix bufio leaks (bsc#1040125).
- dm verity fec: fix block calculation (bsc#1040125).
- dm round robin: do not use this_cpu_ptr() without having
  preemption disabled (bsc#1040125).
- dm: fix dm_target_io leak if clone_bio() returns an error
  (bsc#1040125).
- libata-scsi: Fixup ata_gen_passthru_sense() (bsc#1040125).
- ahci: disable correct irq for dummy ports (bsc#1040125).
- lpfc: remove incorrect lockdep assertion (bsc#1040125).
- scsi: scsi_dh_alua: Check scsi_device_get() return value
  (bsc#1040125).
- commit 7074219
* Mon May 22 2017 hare@suse.de
- fnic: Return 'DID_IMM_RETRY' if rport is not ready
  (bsc#1035920).
- scsi: fnic: Correcting rport check location in
  fnic_queuecommand_lck (bsc#1035920).
- commit 3d5ae8e
* Mon May 22 2017 tiwai@suse.de
- [media] Add support for dvb usb stick Hauppauge WinTV-soloHD
  (bsc#1040051).
- commit 48968fd
* Mon May 22 2017 hare@suse.de
- dm raid: fix table line argument order in status (bsc#1040073).
- commit 9934c0d
* Mon May 22 2017 hare@suse.de
- scsi: sd: Check for unaligned partial completion (bsc#1040073).
- scsi: Avoid that SCSI queues get stuck (bsc#1040073).
- blk-mq: remap queues when adding/removing hardware queues
  (bsc#1040073).
- blk-mq: Introduce blk_mq_delay_run_hw_queue() (bsc#1040073).
- block: fix leak of q->rq_wb (bsc#1040073).
- mlx5: Fix mlx5_ib_map_mr_sg mr length (bsc#1040073).
- IB/srp: Always initialize use_fast_reg and use_fmr
  (bsc#1040073).
- scsi: qla2xxx: Add fix to read correct register value for
  ISP82xx (bsc#1040073).
- scsi: qla2xxx: Fix crash in qla2xxx_eh_abort on bad ptr
  (bsc#1040073).
- commit c154229
* Mon May 22 2017 jslaby@suse.cz
- Linux 4.4.69 (bnc#1012382 bnc#1031470 bsc#1031717 bsc#977860
  bsc#1036763).
- Revert "mac80211: RX BA support for sta
  max_rx_aggregation_subframes" (kabi).
- Revert "mac80211: pass block ack session timeout to to driver"
  (kabi).
- Revert "wlcore: Add RX_BA_WIN_SIZE_CHANGE_EVENT event" (kabi).
- Refresh
  patches.drivers/pmem-add-wb_cache_pmem-to-the-pmem-api.patch.
- Delete
  patches.drivers/0018-target-convert-acl-change-queue_depth-se_session-reference-usage.
- Delete
  patches.fixes/0001-fs-xattr.c-zero-out-memory-copied-to-userspace-in-ge.patch.
- Delete
  patches.fixes/0002-fs-block_dev-always-invalidate-cleancache-in-invalid.patch.
- Delete
  patches.fixes/ceph-fix-memory-leak-in-_ceph_setxattr.patch.
- Delete
  patches.fixes/crypto-algif_aead-Require-setkey-before-accept-2.
- Delete
  patches.fixes/xen-adjust-early-dom0-p2m-handling-to-xen-hypervisor.patch.
- commit f7a4c4c
* Mon May 22 2017 jthumshirn@suse.de
- Update config files. Remove CONFIG_SMC from all but s390x. (bsc#1039906).
- commit 11bc46f
* Mon May 22 2017 hare@suse.de
- Add missing Git-commit references (bsc#1040073)
- blacklist.conf:
- Refresh
  patches.drivers/0239-blk-mq-update-hardware-and-software-queues-for-sleep.patch.
- Refresh
  patches.fixes/ext4-Mark-superblock-writes-synchronous-for-nobarrie.patch.
- Refresh
  patches.fixes/f2fs-Make-flush-bios-explicitely-sync.patch.
- Refresh
  patches.fixes/jbd2-Fix-dbench4-performance-regression-for-nobarrie.patch.
- commit dbace1a
* Fri May 19 2017 lhenriques@suse.com
- ceph: check i_nlink while converting a file handle to dentry
  (bsc#1039864).
- commit a16dd9a
* Fri May 19 2017 tiwai@suse.de
- Refresh patches.drivers/Bluetooth-Replace-constant-hw_variant-from-Intel-Blu
  and reapply.  Moved to the another section (FATE#321353, bsc#1039814)
- commit 0305a51
* Fri May 19 2017 tiwai@suse.de
- Bluetooth: hci_intel: Fix a wrong comparison (bsc#1039814).
- Bluetooth: btintel: Create common Intel Version Read function
  (bsc#1039814).
- Bluetooth: btintel: Add manufacturing enter/exit helpers
  (bsc#1039814).
- Bluetooth: hci_intel: Use shorter timeout for HCI commands
  (bsc#1039814).
- commit f5cfc75
* Fri May 19 2017 tiwai@suse.de
- Temporarily disable the patch
  patches.drivers/0001-Bluetooth-Replace-constant-hw_variant-from-Intel-Blu.patch
  Applied later again after other dependent patches (bsc#1039814).
- commit 2ab313a
* Thu May 18 2017 yousaf.kaukab@suse.com
- arm64: statically link CONFIG_ACPI_PROCESSOR
  References: bsc#1039722
- commit eaa2459
* Thu May 18 2017 tiwai@suse.de
- drm/i915: Disable tv output on i9x5gm (bsc#1039700).
- commit 830d078
* Thu May 18 2017 yousaf.kaukab@suse.com
- arm64: enable CONFIG_ARM64_LSE_ATOMICS
  References: bsc#1039145
- commit 4656b68
* Thu May 18 2017 tiwai@suse.de
- serial: 8250_mid: Read RX buffer on RX DMA timeout for DNV
  (bsc#1024449).
- serial: 8250_dma: Export serial8250_rx_dma_flush()
  (bsc#1024449).
- serial: 8250: Extract IIR logic steering from rx dma
  (bsc#1024449).
- serial: omap8250: Simplify rx dma completion interface
  (bsc#1024449).
- serial: omap8250: Drop rx buffer sync (bsc#1024449).
- serial: omap8250: Eliminate local in omap8250_runtime_resume()
  (bsc#1024449).
- serial: 8250: Reduce expr in 8250 irq handler (bsc#1024449).
- serial: 8250: Eliminate needless local in irq handlers
  (bsc#1024449).
- dmaengine: hsu: Export hsu_dma_get_status() (bsc#1024449).
- dmaengine: hsu: don't check direction of timeouted channel
  (bsc#1024449).
- dmaengine: hsu: allow more than 3 descriptors (bsc#1024449).
- dmaengine: hsu: correct residue calculation of active descriptor
  (bsc#1024449).
- dmaengine: hsu: set HSU_CH_MTSR to memory width (bsc#1024449).
- dmaengine: hsu: speed up residue calculation (bsc#1024449).
- commit 65872a5
* Thu May 18 2017 dchang@suse.com
- sfc: revert changes to NIC revision numbers (bsc#1017967
  FATE#321663).
- commit 3094821
* Thu May 18 2017 tiwai@suse.de
- Enable CONFIG_SERIAL_8250_EXTENDED & co for Intel HSU (bsc#1024449).
- commit e2a4b38
* Thu May 18 2017 neilb@suse.com
- Refresh
  patches.drivers/0086-block-fs-drivers-remove-rw-argument-from-submit_bio.patch.
- Refresh
  patches.drivers/md-remove-rw-argument-from-submit_bio.patch.
- Refresh
  patches.suse/0015-md-cluster-unregister-thread-if-err-happened.patch.
- Refresh
  patches.suse/0016-md-cluster-fix-locking-when-node-joins-cluster-durin.patch.
  update "Git-commit" line - some errors, some needing (partial)
- commit 2793273
* Wed May 17 2017 lduncan@suse.com
- scsi: cxgb4i: update module description (bsc#1034905).
- commit bd613e4
* Wed May 17 2017 yousaf.kaukab@suse.com
- arm64: add missing hunk of 272d01bd790f
- Refresh
  patches.drivers/0001-arm64-Fix-circular-include-of-asm-lse.h-through-linu.patch.
- Refresh
  patches.drivers/0014-arm64-alternative-add-auto-nop-infrastructure.patch.
- commit ed1c731
* Wed May 17 2017 tbogendoerfer@suse.de
- RDMA/qedr: add support for send+invalidate in poll CQ
  (bsc#1022604 FATE#321747).
- RDMA/qedr: destroy CQ only after HW releases it (bsc#1022604
  FATE#321747).
- RDMA/qedr: enhance destroy flow for GSI QP (bsc#1022604
  FATE#321747).
- RDMA/qedr: properly check atomic capabilities (bsc#1022604
  FATE#321747).
- RDMA/qedr: reset access control when registering a MR
  (bsc#1022604 FATE#321747).
- commit 8bfdeb7
* Wed May 17 2017 jthumshirn@suse.de
- Delete
  patches.drivers/0218-nvme-rdma-add-DELETING-queue-flag.patch.
- Delete
  patches.drivers/0219-nvme-rdma-only-clear-queue-flags-after-successful-co.patch.
  Delete duplicate patches.
- commit b8c963d
* Wed May 17 2017 jthumshirn@suse.de
- Refresh
  patches.drivers/0220-acpi-nfit-fix-extended-status-translations-for-ACPI-.patch.
  Amended commit message explaining the necessity of the re-apply.
- commit cee2a2d
* Wed May 17 2017 jthumshirn@suse.de
- Refresh
  patches.drivers/0127-libnvdimm-pfn-enable-pfn-sysfs-interface-unit-testing.patch.
  Amended patch with explanation of the need for a fixup of the base patch.
- commit 8416e02
* Wed May 17 2017 ghe@suse.com
- dlm: remove lock_sock to avoid scheduling while atomic
  (bsc#1037398).
- dlm: don't save callbacks after accept (bsc#1037398).
- DLM: Save and restore socket callbacks properly (bsc#1037398).
- DLM: Replace nodeid_to_addr with kernel_getpeername
  (bsc#1037398).
- commit ad3caeb
* Wed May 17 2017 jthumshirn@suse.de
- Refresh
  patches.drivers/0123-acpi-nfit-validate-ars_status-output-buffer-size.patch.
- Delete
  patches.drivers/0221-acpi-nfit-validate-ars_status-output-buffer-size.patch.
  Folded spell-fix patch into base patch
- commit dd4bd20
* Wed May 17 2017 tiwai@suse.de
- blacklist.conf: update git-fixes commit
- commit b66bdf7
* Wed May 17 2017 neilb@suse.com
- blacklist.conf:
  updates
- commit 24c2306
* Wed May 17 2017 neilb@suse.com
- sunrpc: Allow xprt->ops->timer method to sleep (git-fixes).
- NFSv4.1: Fix Oopsable condition in server callback races
  (git-fixes).
- commit d81575f
* Wed May 17 2017 neilb@suse.com
- NFS: Use GFP_NOIO for two allocations in writeback (git-fixes).
- commit affc5f3
* Wed May 17 2017 neilb@suse.com
- sunrpc: fix UDP memory accounting (git-fixes).
- commit 7d7d942
* Wed May 17 2017 neilb@suse.com
- ceph: Correctly return NXIO errors from ceph_llseek (git-fixes).
- commit 6fa45be
* Wed May 17 2017 neilb@suse.com
- fs/xattr.c: zero out memory copied to userspace in getxattr
  (git-fixes).
- commit e6da413
* Wed May 17 2017 neilb@suse.com
- NFS: Fix inode corruption in nfs_prime_dcache() (git-fixes).
- commit fa69ba7
* Wed May 17 2017 neilb@suse.com
- fs/block_dev: always invalidate cleancache in invalidate_bdev()
  (git-fixes).
- fs: fix data invalidation in the cleancache during direct IO
  (git-fixes).
- commit 0d80703
* Wed May 17 2017 neilb@suse.com
- sunrpc: Update RPCBIND_MAXNETIDLEN (git-fixes).
- commit 08ecf2b
* Wed May 17 2017 neilb@suse.com
- NFS: Fix missing pg_cleanup after nfs_pageio_cond_complete()
  (git-fixes).
- commit 47254cf
* Wed May 17 2017 neilb@suse.com
- md/raid1: avoid reusing a resync bio after error handling
  (Fate#311379).
- commit 36c4fe6
* Tue May 16 2017 neilb@suse.com
- Update Patch-mainline info, now these have landed
- Refresh patches.suse/0002-md-superblock-changes-for-PPL.patch.
- Refresh
  patches.suse/0003-raid5-ppl-Partial-Parity-Log-write-logging-implement.patch.
- Refresh patches.suse/0004-md-add-sysfs-entries-for-PPL.patch.
- Refresh
  patches.suse/0005-raid5-ppl-load-and-recover-the-log.patch.
- Refresh
  patches.suse/0006-raid5-ppl-support-disk-hot-add-remove-with-PPL.patch.
- Refresh
  patches.suse/0007-raid5-ppl-runtime-PPL-enabling-or-disabling.patch.
- commit 4e57530
* Tue May 16 2017 neilb@suse.com
- raid5-ppl: silence a misleading warning message (fate#321488).
- commit 04220d5
* Tue May 16 2017 tbogendoerfer@suse.de
- qed: Fix uninitialized data in aRFS infrastructure (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- commit bc2a389
* Tue May 16 2017 tbogendoerfer@suse.de
- qede: Split PF/VF ndos (bsc#1019695 FATE#321703 bsc#1019696
  FATE#321702).
- qed: Tell QM the number of tasks (bsc#1019695 FATE#321703
  bsc#1019696 FATE#321702).
- treewide: spelling: correct diffrent and banlance typos
  (bsc#1019695 FATE#321703 bsc#1019696 FATE#321702).
- qede: Fix possible misconfiguration of advertised autoneg value
  (bsc#1019695 FATE#321703 bsc#1019696 FATE#321702).
- qed: Fix overriding of supported autoneg value (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- qed*: Fix possible overflow for status block id field
  (bsc#1019695 FATE#321703 bsc#1019696 FATE#321702).
- qed*: Fix issues in the ptp filter config implementation
  (bsc#1019695 FATE#321703 bsc#1019696 FATE#321702).
- qede: Fix concurrency issue in PTP Tx path processing
  (bsc#1019695 FATE#321703 bsc#1019696 FATE#321702).
- qed: Prevent warning without CONFIG_RFS_ACCEL (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- qed: output the DPM status and WID count (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- qed: align DPI configuration to HW requirements (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- qed: verify RoCE resource bitmaps are released (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- qed: add error handling flow to TID deregistratin posting
  failure (bsc#1019695 FATE#321703 bsc#1019696 FATE#321702).
- qed: remove unused SQ error state (bsc#1019695 FATE#321703
  bsc#1019696 FATE#321702).
- qed: configure the RoCE max message size (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- qed: Acquire/release ptt_ptp lock when enabling/disabling PTP
  (bsc#1019695 FATE#321703 bsc#1019696 FATE#321702).
- qed: Remove the un-needed ptp header file (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- qede: Add support for PTP resource locking (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- qed: Add support for PTP resource locking (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- qed: Add support for MFW resource locking (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- qed: Fix error in the dcbx app meta data initialization
  (bsc#1019695 FATE#321703 bsc#1019696 FATE#321702).
- qed - VF tunnelling support (bsc#1019695 FATE#321703 bsc#1019696
  FATE#321702).
- qed/qede: Add UDP ports in bulletin board (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- qede: Configure UDP ports in local context (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- qede: Disable tunnel offloads for non offloaded UDP ports
  (bsc#1019695 FATE#321703 bsc#1019696 FATE#321702).
- qed/qede: Enable tunnel offloads based on hw configuration
  (bsc#1019695 FATE#321703 bsc#1019696 FATE#321702).
- qed: refactor tunnelling - API/Structs (bsc#1019695 FATE#321703
  bsc#1019696 FATE#321702).
- qed: Add support for static dcbx (bsc#1019695 FATE#321703
  bsc#1019696 FATE#321702).
- qed: Support dcbnl IEEE selector field (bsc#1019695 FATE#321703
  bsc#1019696 FATE#321702).
- qed: Add additional DCBx debug messages (bsc#1019695 FATE#321703
  bsc#1019696 FATE#321702).
- qed: Separate RoCE DCBx support for V2 (bsc#1019695 FATE#321703
  bsc#1019696 FATE#321702).
- qed: Cleanup DCBx unnecessary parameters (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- qed: Fix issue in populating the PFC config paramters
  (bsc#1019695 FATE#321703 bsc#1019696 FATE#321702).
- qed: Fix possible system hang in the dcbnl-getdcbx() path
  (bsc#1019695 FATE#321703 bsc#1019696 FATE#321702).
- qed: Fix sending an invalid PFC error mask to MFW (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- qed: Fix possible error in populating max_tc field (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- qede: allocate enough data for ->arfs_fltr_bmap (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- qede: Add aRFS support (bsc#1019695 FATE#321703 bsc#1019696
  FATE#321702).
- qed: aRFS infrastructure support (bsc#1019695 FATE#321703
  bsc#1019696 FATE#321702).
- qede: Update receive statistic once per NAPI (bsc#1019695
  FATE#321703 bsc#1019696 FATE#321702).
- commit ba5d017
* Tue May 16 2017 tiwai@suse.de
- Delete patches.drivers/ALSA-hda-Don-t-handle-ELD-notify-from-invalid-port.
  The patch is already included in 4.4.7 stable.
- commit 5486de5
* Tue May 16 2017 yousaf.kaukab@suse.com
- PCI: Export host bridge registration interface (bsc#1039149).
- PCI: Allow driver-specific data in host bridge (bsc#1039149).
- PCI: Add pci_register_host_bridge() interface (bsc#1039149).
- commit fbc8b0f
* Tue May 16 2017 tiwai@suse.de
- Correct the reference in the patch (bsc#1038085).
- commit 3ffbe5c
* Tue May 16 2017 mmarek@suse.com
- lib/mpi: mpi_read_raw_data(): fix nbits calculation
  (bsc#1003581).
- lib/mpi: mpi_read_raw_data(): purge redundant clearing of nbits
  (bsc#1003581).
- lib/mpi: mpi_read_raw_from_sgl(): fix out-of-bounds buffer
  access (bsc#1003581).
- lib/mpi: mpi_read_raw_from_sgl(): sanitize meaning of indices
  (bsc#1003581).
- lib/mpi: mpi_read_raw_from_sgl(): fix nbits calculation
  (bsc#1003581).
- lib/mpi: mpi_read_raw_from_sgl(): purge redundant clearing of
  nbits (bsc#1003581).
- lib/mpi: mpi_read_raw_from_sgl(): don't include leading zero
  SGEs in nbytes (bsc#1003581).
- lib/mpi: mpi_read_raw_from_sgl(): replace len argument by nbytes
  (bsc#1003581).
- commit 3b66902
* Tue May 16 2017 jthumshirn@suse.de
- lpfc: update version to 11.2.0.14 (bsc#1037838).
- lpfc: Add MDS Diagnostic support (bsc#1037838).
- lpfc: Fix NVMEI's handling of NVMET's PRLI response attributes
  (bsc#1037838).
- lpfc: Cleanup entry_repost settings on SLI4 queues
  (bsc#1037838).
- lpfc: Fix debugfs root inode "lpfc" not getting deleted on
  driver unload (bsc#1037838).
- lpfc: Fix NVME I+T not registering NVME as a supported FC4 type
  (bsc#1037838).
- lpfc: Added recovery logic for running out of NVMET IO context
  resources (bsc#1037838).
- lpfc: Separate NVMET RQ buffer posting from IO resources
  SGL/iocbq/context (bsc#1037838).
- lpfc: Separate NVMET data buffer pool fir ELS/CT (bsc#1037838).
- lpfc: Fix NMI watchdog assertions when running nvmet IOPS tests
  (bsc#1037838).
- lpfc: Fix NVMEI driver not decrementing counter causing bad
  rport state (bsc#1037838).
- lpfc: Fix nvmet RQ resource needs for large block writes
  (bsc#1037838).
- lpfc: Adding additional stats counters for nvme (bsc#1037838).
- lpfc: Fix system crash when port is reset (bsc#1037838).
- lpfc: Fix used-RPI accounting problem (bsc#1037838).
- commit 6401ee2
* Tue May 16 2017 tiwai@suse.de
- Update git-fixes blacklist
- commit 5fba3a9
* Tue May 16 2017 tiwai@suse.de
- isa: Call isa_bus_init before dependent ISA bus drivers register
  (bsc#1031717).
- commit abba516
* Tue May 16 2017 tiwai@suse.de
- drivers: base: dma-mapping: Fix typo in dmam_alloc_non_coherent
  comments (bsc#1031717).
- commit f9eed6b
* Tue May 16 2017 tiwai@suse.de
- ACPI / APEI: Add missing synchronize_rcu() on NOTIFY_SCI removal
  (bsc#1031717).
- commit bb804e4
* Tue May 16 2017 tiwai@suse.de
- mmc: sdhci: restore behavior when setting VDD via external
  regulator (bsc#1031717).
- commit 6122bc8
* Tue May 16 2017 tiwai@suse.de
- crypto: algif_aead - Require setkey before accept(2)
  (bsc#1031717).
- commit eb0a143
* Tue May 16 2017 tiwai@suse.de
- staging: rtl8188eu: prevent an underflow in
  rtw_check_beacon_data() (bsc#1031717).
- brcmfmac: restore stopping netdev queue when bus clogs up
  (bsc#1031717).
- commit 871a8b3
* Tue May 16 2017 tiwai@suse.de
- [media] staging: media: davinci_vpfe: unlock on error in
  vpfe_reqbufs() (bsc#1031717).
- commit 4dbba98
* Tue May 16 2017 tiwai@suse.de
- locking/ww_mutex: Fix compilation of __WW_MUTEX_INITIALIZER
  (bsc#1031717).
- commit 333a5b5
* Tue May 16 2017 tiwai@suse.de
- ASoC: rt5640: use msleep() for long delays (bsc#1031717).
- commit 29c32b4
* Tue May 16 2017 tiwai@suse.de
- mwifiex: Remove unused 'chan_num' variable (bsc#1031717).
- mwifiex: Removed unused 'pkt_type' variable (bsc#1031717).
- mwifiex: Remove unused 'bcd_usb' variable (bsc#1031717).
- mwifiex: Remove unused 'sta_ptr' variable (bsc#1031717).
- mwifiex: pcie: fix cmd_buf use-after-free in remove/reset
  (bsc#1031717).
- commit 8c2223b
* Tue May 16 2017 tiwai@suse.de
- [media] pvrusb2: reduce stack usage pvr2_eeprom_analyze()
  (bsc#1031717).
- [media] cx231xx-audio: fix NULL-deref at probe (bsc#1031717).
- [media] cx231xx-cards: fix NULL-deref at probe (bsc#1031717).
- commit becdcfb
* Tue May 16 2017 tiwai@suse.de
- Update blacklist of pending i915 fixes
- commit f49bab0
* Tue May 16 2017 tiwai@suse.de
- drm/i915: Nuke debug messages from the pipe update critical
  section (bsc#1031717).
- commit 2778478
* Tue May 16 2017 hare@suse.de
- nvme_fc: add dev_loss_tmo timeout and remoteport resume support
  (bsc#1037838).
- nvme_fc: move remote port get/put/free location (bsc#1037838).
- nvme_fc: change failure code on remoteport connectivity loss
  (bsc#1037838).
- nvme_fc: check connectivity before initiating reconnects
  (bsc#1037838).
- nvme_fc: add dev_loss_tmo to controller (bsc#1037838).
- nvme_fc: add a dev_loss_tmo field to the remoteport
  (bsc#1037838).
- nvme_fc: change ctlr state assignments during reset/reconnect
  (bsc#1037838).
- nvme core: allow controller RESETTING to RECONNECTING transition
  (bsc#1037838).
- nvme_fc: add uevent for auto-connect (bsc#1037838).
- nvme_fc: create fc class and transport device (bsc#1037838).
- nvme_fc: correct nvme status set on abort (bsc#1037838).
- nvme_fcloop: fix port deletes and callbacks (bsc#1037838).
- nvme_fc: remove extra controller reference taken on reconnect
  (bsc#1037838).
- commit 0f38adf
* Tue May 16 2017 hare@suse.de
- nvmet_fc: Add queue create and delete callbacks in LLDD api
  (bsc#1037838).
- nvmet_fc: Reduce work_q count (bsc#1037838).
- nvme_fc: set logging level on resets/deletes (bsc#1037838).
- nvme_fc: revise comment on teardown (bsc#1037838).
- nvme_fc: replace ioabort msleep loop with completion
  (bsc#1037838).
- nvme_fc: Support ctrl_loss_tmo (bsc#1037838).
- nvme_fc: get rid of local reconnect_delay (bsc#1037838).
- commit 1f8e6a6
* Tue May 16 2017 tiwai@suse.de
- blacklist.conf: add unapplicable i915 fixes
- commit bf4ec4b
* Tue May 16 2017 tiwai@suse.de
- drm/i915: Program iboost settings for HDMI/DVI on SKL
  (bsc#1031717).
- drm/i915: Fix mismatched INIT power domain disabling during
  suspend (bsc#1031717).
- drm/i915: Don't touch NULL sg on i915_gem_object_get_pages_gtt()
  error (bsc#1031717).
- drm/i915: relax uncritical udelay_range() (bsc#1031717).
- drm/i915: relax uncritical udelay_range() settings
  (bsc#1031717).
- commit c76ad48
* Tue May 16 2017 hare@suse.de
- nvmet: release the sq ref on rdma read errors (bsc#1037838).
- commit abe0998
* Tue May 16 2017 hare@suse.de
- nvmet-fc: remove target cpu scheduling flag (bsc#1037838).
- nvme-fc: stop queues on error detection (bsc#1037838).
- nvme-fc: require target or discovery role for fc-nvme targets
  (bsc#1037838).
- nvme-fc: correct port role bits (bsc#1037838).
- commit c6535a4
* Tue May 16 2017 hare@suse.de
- nvme: unmap CMB and remove sysfs file in reset path
  (bsc#1037838).
- Refresh
  patches.drivers/0178-nvme-switch-to-use-pci_alloc_irq_vectors.patch.
- commit acbebd9
* Tue May 16 2017 colyli@suse.de
- bcache: fix calling ida_simple_remove() with incorrect minor
  (bsc@1038085).
- commit 13fbc55
* Tue May 16 2017 yousaf.kaukab@suse.com
- tty: pl011: use "qdf2400_e44" as the earlycon name for QDF2400
  E44 (bsc#1039273).
- arm64: traps: fix userspace cache maintenance emulation on a
  tagged pointer (bsc#1039273).
- iommu/dma: Don't reserve PCI I/O windows (bsc#1039273).
- commit 0ade95d
* Tue May 16 2017 yousaf.kaukab@suse.com
- arm64: thunderx2: refresh smmu workaround
- acpica: iort: Update SMMU models for IORT rev. C (bsc#1036060).
- iommu/arm-smmu: Plumb in new ACPI identifiers (bsc#1036060).
- Refresh
  patches.drivers/0002-ACPI-IORT-Fixup-SMMUv3-resource-size-for-Cavium-Thun.patch.
- Refresh
  patches.drivers/0003-iommu-arm-smmu-v3-Add-workaround-for-Cavium-ThunderX.patch.
- Refresh
  patches.drivers/0004-iommu-arm-smmu-v3-Add-workaround-for-Cavium-ThunderX.patch.
- Refresh
  patches.drivers/0008-iommu-arm-smmu-ACPI-Enable-Cavium-SMMU-v3.patch.
- Refresh
  patches.drivers/0009-acpi-iort-thunderx2-enable-smmu-resource-size-errata.patch.
- Delete
  patches.drivers/0001-ACPICA-IORT-Add-Cavium-ThunderX2-SMMUv3-model-defini.patch.
- commit 223b397
* Tue May 16 2017 hare@suse.de
- nvme-scsi: remove nvme_trans_security_protocol (bsc#1037838).
- nvme-scsi: Consider LBA format in IO splitting calculation
  (bsc#1037838).
- nvme-fc: avoid memory corruption caused by calling
  nvmf_free_options() twice (bsc#1037838).
- nvmet-fcloop: mark two symbols static (bsc#1037838).
- nvmet-fc: properly endian swap sq_head (bsc#1037838).
- nvmet-fc: mark the sqhd field as __le16 (bsc#1037838).
- nvmet-fc: fix endianess annoations for nvmet_fc_format_rsp_hdr
  (bsc#1037838).
- nvmet-fc: mark nvmet_fc_handle_fcp_rqst static (bsc#1037838).
- nvme-fc: mark two symbols static (bsc#1037838).
- nvme_fc: add controller reset support (bsc#1037838).
- nvme_fc: add aen abort to teardown (bsc#1037838).
- nvme_fc: fix command id check (bsc#1037838).
- nvme: let dm-mpath distinguish nvme error codes (bsc#1037838).
- nvme: make nvme_error_status private (bsc#1037838).
- commit 4c1fb88
* Tue May 16 2017 hare@suse.de
- nvme: split nvme status from block req->errors (bsc#1037838).
- Refresh
  patches.drivers/0007-lightnvm-refactor-end_io-functions-for-sync.patch.
- Refresh
  patches.drivers/0040-nvme-lightnvm-return-ppa-completion-status.patch.
- Refresh
  patches.drivers/0044-nvme-lightnvm-frees-wrong-cmd-structure.patch.
- Refresh
  patches.drivers/0247-block-split-out-request-only-flags-into-a-new-namesp.patch.
- Refresh
  patches.drivers/0352-block-improve-handling-of-the-magic-discard-payload.patch.
- commit 9201951
* Tue May 16 2017 glin@suse.com
- bna: avoid writing uninitialized data into hw registers
  (bsc#966321 FATE#320156).
- enic: set skb->hash type properly (bsc#922871 fate#318754).
- commit 8a5fd2f
* Tue May 16 2017 mhocko@suse.cz
- ACPI / scan: Drop support for force_remove (bnc#1029607).
- commit 4fa86cb
* Tue May 16 2017 jgross@suse.com
- xen: adjust early dom0 p2m handling to xen hypervisor behavior
  (bnc#1031470).
- commit 795985f
* Mon May 15 2017 hare@suse.de
- nvme/pci: Poll CQ on timeout (bsc#1037838).
- nvmet_fc: Change traddr field separator to a colon
  (bsc#1037838).
- nvmet: convert from kmap to nvmet_copy_from_sgl (bsc#1037838).
- nvme: improve performance for virtual NVMe devices
  (bsc#1037838).
- nvme/pci: Don't set reserved SQ create flags (bsc#1037838).
- nvme-fc: fix status code handling in nvme_fc_fcpio_done
  (bsc#1037838).
- nvme-fc: Fix sqsize wrong assignment based on ctrl MQES
  capability (bsc#1037838).
- nvme-rdma: Fix sqsize wrong assignment based on ctrl MQES
  capability (bsc#1037838).
- nvme-loop: Fix sqsize wrong assignment based on ctrl MQES
  capability (bsc#1037838).
- commit 2b4c780
* Mon May 15 2017 hare@suse.de
- nvme: move the retries count to struct nvme_request
  (bsc#1037838).
- Refresh
  patches.drivers/0247-block-split-out-request-only-flags-into-a-new-namesp.patch.
- commit 8576316
* Mon May 15 2017 hare@suse.de
- nvme: mark nvme_max_retries static (bsc#1037838).
- nvme: cleanup nvme_req_needs_retry (bsc#1037838).
- commit 73aab83
* Mon May 15 2017 hare@suse.de
- nvme: move ->retries setup to nvme_setup_cmd (bsc#1037838).
- Refresh
  patches.drivers/0247-block-split-out-request-only-flags-into-a-new-namesp.patch.
- commit ae827cf
* Mon May 15 2017 tbogendoerfer@suse.de
- qed: Correct doorbell configuration for !4Kb pages
  (bsc#1019695).
- qed: Fix VF removal sequence (bsc#1019695).
- commit ede30ca
* Mon May 15 2017 ohering@suse.de
- renumber some hyperv patches due to upstream crossmerges between 4.11 and 4.12
- commit 53a526d
* Mon May 15 2017 jslaby@suse.cz
- Linux 4.4.68 (FATE#321671 bnc#1012382 bnc#1038043 bsc#1020412
  https://bugs.debian.org/859978 bnc#1038043).
- Delete
  patches.kernel.org/0001-9p-fix-a-potential-acl-leak.patch.
- Delete
  patches.kernel.org/0002-ARM-8452-3-PJ4-make-coprocessor-access-sequences-bui.patch.
- Delete
  patches.kernel.org/0003-cpupower-Fix-turbo-frequency-reporting-for-pre-Sandy.patch.
- Delete
  patches.kernel.org/0004-powerpc-powernv-Fix-opal_exit-tracepoint-opcode.patch.
- Delete
  patches.kernel.org/0005-power-supply-bq24190_charger-Fix-irq-trigger-to-IRQF.patch.
- Delete
  patches.kernel.org/0006-power-supply-bq24190_charger-Call-set_mode_host-on-p.patch.
- Delete
  patches.kernel.org/0007-power-supply-bq24190_charger-Install-irq_handler_thr.patch.
- Delete
  patches.kernel.org/0008-power-supply-bq24190_charger-Call-power_supply_chang.patch.
- Delete
  patches.kernel.org/0009-power-supply-bq24190_charger-Don-t-read-fault-regist.patch.
- Delete
  patches.kernel.org/0010-power-supply-bq24190_charger-Handle-fault-before-sta.patch.
- Delete
  patches.kernel.org/0011-leds-ktd2692-avoid-harmless-maybe-uninitialized-warn.patch.
- Delete
  patches.kernel.org/0012-ARM-OMAP5-DRA7-Fix-HYP-mode-boot-for-thumb2-build.patch.
- Delete
  patches.kernel.org/0013-mwifiex-debugfs-Fix-sometimes-off-by-1-SSID-print.patch.
- Delete
  patches.kernel.org/0014-mwifiex-remove-redundant-dma-padding-in-AMSDU.patch.
- Delete
  patches.kernel.org/0015-mwifiex-Avoid-skipping-WEP-key-deletion-for-AP.patch.
- Delete
  patches.kernel.org/0016-x86-ioapic-Restore-IO-APIC-irq_chip-retrigger-callba.patch.
- Delete
  patches.kernel.org/0017-x86-pci-calgary-Fix-iommu_free-comparison-of-unsigne.patch.
- Delete
  patches.kernel.org/0018-clk-Make-x86-conditional-on-CONFIG_COMMON_CLK.patch.
- Delete
  patches.kernel.org/0019-kprobes-x86-Fix-kernel-panic-when-certain-exception-.patch.
- Delete
  patches.kernel.org/0020-x86-platform-intel-mid-Correct-MSI-IRQ-line-for-watc.patch.
- Delete
  patches.kernel.org/0021-Revert-KVM-nested-VMX-disable-perf-cpuid-reporting.patch.
- Delete
  patches.kernel.org/0022-KVM-nVMX-initialize-PML-fields-in-vmcs02.patch.
- Delete
  patches.kernel.org/0023-KVM-nVMX-do-not-leak-PML-full-vmexit-to-L1.patch.
- Delete
  patches.kernel.org/0024-usb-host-ehci-exynos-Decrese-node-refcount-on-exynos.patch.
- Delete
  patches.kernel.org/0025-usb-host-ohci-exynos-Decrese-node-refcount-on-exynos.patch.
- Delete
  patches.kernel.org/0026-usb-chipidea-Only-read-write-OTGSC-from-one-place.patch.
- Delete
  patches.kernel.org/0027-usb-chipidea-Handle-extcon-events-properly.patch.
- Delete
  patches.kernel.org/0028-USB-serial-keyspan_pda-fix-receive-sanity-checks.patch.
- Delete
  patches.kernel.org/0029-USB-serial-digi_acceleport-fix-incomplete-rx-sanity-.patch.
- Delete
  patches.kernel.org/0030-USB-serial-ssu100-fix-control-message-error-handling.patch.
- Delete
  patches.kernel.org/0031-USB-serial-io_edgeport-fix-epic-descriptor-handling.patch.
- Delete
  patches.kernel.org/0032-USB-serial-ti_usb_3410_5052-fix-control-message-erro.patch.
- Delete
  patches.kernel.org/0033-USB-serial-ark3116-fix-open-error-handling.patch.
- Delete
  patches.kernel.org/0034-USB-serial-ftdi_sio-fix-latency-timer-error-handling.patch.
- Delete
  patches.kernel.org/0035-USB-serial-quatech2-fix-control-message-error-handli.patch.
- Delete
  patches.kernel.org/0036-USB-serial-mct_u232-fix-modem-status-error-handling.patch.
- Delete
  patches.kernel.org/0037-USB-serial-io_edgeport-fix-descriptor-error-handling.patch.
- Delete
  patches.kernel.org/0038-USB-serial-sierra-fix-bogus-alternate-setting-assump.patch.
- Delete
  patches.kernel.org/0039-phy-qcom-usb-hs-Add-depends-on-EXTCON.patch.
- Delete
  patches.kernel.org/0040-serial-8250_omap-Fix-probe-and-remove-for-PM-runtime.patch.
- Delete
  patches.kernel.org/0041-scsi-mac_scsi-Fix-MAC_SCSI-m-option-when-SCSI-m.patch.
- Delete
  patches.kernel.org/0042-scsi-scsi_dh_emc-return-success-in-clariion_std_inqu.patch.
- Delete
  patches.kernel.org/0043-MIPS-R2-on-R6-MULTU-MADDU-MSUBU-emulation-bugfix.patch.
- Delete
  patches.kernel.org/0044-brcmfmac-Ensure-pointer-correctly-set-if-skb-data-lo.patch.
- Delete
  patches.kernel.org/0045-brcmfmac-Make-skb-header-writable-before-use.patch.
- Delete
  patches.kernel.org/0046-staging-wlan-ng-add-missing-byte-order-conversion.patch.
- Delete
  patches.kernel.org/0047-staging-emxx_udc-remove-incorrect-__init-annotations.patch.
- Delete
  patches.kernel.org/0048-ALSA-hda-Fix-deadlock-of-controller-device-lock-at-u.patch.
- Delete
  patches.kernel.org/0049-tcp-do-not-underestimate-skb-truesize-in-tcp_trim_he.patch.
- Delete
  patches.kernel.org/0050-bpf-arm64-fix-jit-branch-offset-related-to-ldimm64.patch.
- Delete
  patches.kernel.org/0051-tcp-fix-wraparound-issue-in-tcp_lp.patch.
- Delete
  patches.kernel.org/0052-tcp-do-not-inherit-fastopen_req-from-parent.patch.
- Delete
  patches.kernel.org/0053-ipv4-ipv6-ensure-raw-socket-message-is-big-enough-to.patch.
- Delete
  patches.kernel.org/0054-rtnetlink-NUL-terminate-IFLA_PHYS_PORT_NAME-string.patch.
- Delete
  patches.kernel.org/0055-ipv6-initialize-route-null-entry-in-addrconf_init.patch.
- Delete
  patches.kernel.org/0056-ipv6-reorder-ip6_route_dev_notifier-after-ipv6_dev_n.patch.
- Delete
  patches.kernel.org/0057-bnxt_en-allocate-enough-space-for-ntp_fltr_bmap.patch.
- Delete
  patches.kernel.org/0058-f2fs-sanity-check-segment-count.patch.
- Delete
  patches.kernel.org/0059-drm-ttm-fix-use-after-free-races-in-vm-fault-handlin.patch.
- Delete
  patches.kernel.org/0060-block-get-rid-of-blk_integrity_revalidate.patch.
- commit 7d59b4c
* Mon May 15 2017 hare@suse.de
- nvme: factor request completion code into a common helper
  (bsc#1037838).
- Refresh
  patches.drivers/0178-nvme-switch-to-use-pci_alloc_irq_vectors.patch.
- Refresh patches.drivers/0206-blk-mq-remove-map_queue.patch.
- Refresh
  patches.drivers/0275-blk-mq-Add-a-kick_requeue_list-argument-to-blk_mq_re.patch.
- Refresh
  patches.drivers/0279-nvme-Use-BLK_MQ_S_STOPPED-instead-of-QUEUE_FLAG_STOP.patch.
- commit 9ca2e00
* Mon May 15 2017 msuchanek@suse.de
- blacklist.conf: 61baf1555512 powerpc/64e: Don't place the stack beyond TASK_SIZE
    we don't build without CONFIG_PPC_BOOK3S_64
- Refresh metadata on
  patches.drivers/tpm-153-tis_core-Choose-appropriate-timeout-for-reading-.patch.
  patches.drivers/tpm-154-crb-Work-around-BIOS-s-that-report-the-wrong-ACP.patch.
  patches.drivers/tpm-155-msleep-delays-replace-with-usleep_range-in-i2c-n.patch.
  patches.drivers/tpm-156-select-CONFIG_CRYPTO.patch.
  patches.drivers/tpm-157-crb-enter-the-low-power-state-upon-device-su.patch.
  patches.drivers/tpm-158-tis_spi-Use-single-function-to-transfer-data.patch.
  patches.drivers/tpm-159-tis_spi-Abort-transfer-when-too-many-wait-states.patch.
  patches.drivers/tpm-160-tis_spi-Check-correct-byte-for-wait-state-indica.patch.
  patches.drivers/tpm-161-tis_spi-Remove-limitation-of-transfers-to-MAX_SP.patch.
  patches.drivers/tpm-162-tis_spi-Add-small-delay-after-last-transfer.patch.
  patches.drivers/tpm-163-crb-map-locality-registers.patch.
  patches.drivers/tpm-164-crb-encapsulate-crb_wait_for_reg_32.patch.
  patches.drivers/tpm-165-move-length-validation-to-tpm_transmit.patch.
  patches.drivers/tpm-166-export-tpm2_flush_context_cmd.patch.
  patches.drivers/tpm-167-validate-TPM-2.0-commands.patch.
  patches.drivers/tpm-168-crb-check-for-bad-response-size.patch.
  patches.drivers/tpm-169-vTPM-Fix-missing-NULL-check.patch.
  patches.drivers/tpm-170-st33zp24-Add-GPIO-ACPI-mapping-table.patch.
  patches.drivers/tpm-171-add-sleep-only-for-retry-in-i2c_nuvoton_write_st.patch.
  patches.drivers/tpm-172-crb-fix-unused-warnings-on-suspend-resume-fu.patch.
  patches.drivers/tpm-173-make-check_locality-return-bool.patch.
  patches.drivers/tpm-174-crb-Enable-TPM-CRB-interface-for-ARM64.patch.
  patches.drivers/tpm-175-crb-remove-a-cruft-constant.patch.
  patches.drivers/tpm-176-fix-handling-of-the-TPM-2.0-event-logs.patch.
- commit 6810fca
* Mon May 15 2017 jlee@suse.com
- Add udev rules to support hot-add/hot-remove on Huawei KunLun (bsc#1030311)
- rpm/80-hotplug-cpu-mem.rules:
- rpm/80-hotremove-acpi-container.rules:
- rpm/kernel-binary.spec.in:
- commit d924ca9
* Mon May 15 2017 hare@suse.de
- blk-mq: Provide freeze queue timeout (bsc#1037838).
- blk-mq: Export blk_mq_freeze_queue_wait (bsc#1037838).
- nvme-fc: drop ctrl for all command completions (bsc#1037838).
- nvme-fc: increment request retries counter before requeuing
  (bsc#1037838).
- nvme-loop: increment request retries counter before requeuing
  (bsc#1037838).
- nvme-rdma: increment request retries counter before requeuing
  (bsc#1037838).
- nvme-loop: retrieve iod from the cqe command_id (bsc#1037838).
- nvme-loop: remove unneeded includes (bsc#1037838).
- nvme-fc: fix module_init (theoretical) error path (bsc#1037838).
- nvme-loop: fix module_init (theoretical) error path
  (bsc#1037838).
- nvme-rdma: fix module_init (theoretical) error path
  (bsc#1037838).
- nvmet: use symbolic constants for log identifiers (bsc#1037838).
- nvmet: Introduced helper routine for controller status check
  (bsc#1037838).
- nvmet: Fixed avoided printing nvmet: twice in error logs
  (bsc#1037838).
- nvme-loop: remove some code duplication (bsc#1037838).
- nvme-rdma: Give some more grace for rdma connection
  establishment (bsc#1037838).
- nvmet-rdma: occasionally flush ongoing controller teardown
  (bsc#1037838).
- nvmet: fix byte swap in nvmet_parse_io_cmd (bsc#1037838).
- nvmet: add missing byte swap in nvmet_get_smart_log
  (bsc#1037838).
- nvme-loop: handle cpu unplug when re-establishing the controller
  (bsc#1037838).
- nvme-rdma: handle cpu unplug when re-establishing the controller
  (bsc#1037838).
- nvmet-rdma: Fix a possible uninitialized variable dereference
  (bsc#1037838).
- nvmet: confirm sq percpu has scheduled and switched to atomic
  (bsc#1037838).
- nvme-loop: fix a possible use-after-free when destroying the
  admin queue (bsc#1037838).
- nvme: Complete all stuck requests (bsc#1037838).
- commit ce09d29
* Mon May 15 2017 hare@suse.de
- nvme: detect NVMe controller in recent MacBooks (bsc#1037838).
- nvme-rdma: add support for host_traddr (bsc#1037838).
- nvmet-rdma: Fix error handling (bsc#1037838).
- nvmet-rdma: use nvme cm status helper (bsc#1037838).
- nvme-rdma: move nvme cm status helper to .h file (bsc#1037838).
- nvme-fc: don't bother to validate ioccsz and iorcsz
  (bsc#1037838).
- commit 0e5464e
* Mon May 15 2017 hare@suse.de
- nvme/pci: No special case for queue busy on IO (bsc#1037838).
- Refresh
  patches.drivers/0352-block-improve-handling-of-the-magic-discard-payload.patch.
- commit 1699d8b
* Fri May 12 2017 hare@suse.de
- nvme/core: Fix race kicking freed request_queue (bsc#1037838).
- nvme/pci: Disable on removal when disconnected (bsc#1037838).
- nvme: make nvmf_register_transport require a create_ctrl
  callback (bsc#1037838).
- nvme: Use CNS as 8-bit field and avoid endianness conversion
  (bsc#1037838).
- nvme: add semicolon in nvme_command setting (bsc#1037838).
- nvmet: avoid dereferencing nvmet_req (bsc#1037838).
- nvme: Make controller state visible via sysfs (bsc#1037838).
- nvmet: Make cntlid globally unique (bsc#1037838).
- nvme: admin-cmd: fix spelling mistake: "Counld" -> "Could"
  (bsc#1037838).
- nvme/pci: Don't mark IOD as aborted if abort wasn't sent
  (bsc#1037838).
- nvme/scsi: don't rely on BLK_MAX_CDB (bsc#1037838).
- nvme-fc: use blk_rq_nr_phys_segments (bsc#1037838).
- nvme-rdma: Switch from dma_device to dev.parent (bsc#1037838).
- nvmet_rdma: log the connection reject message (bsc#1037838).
- nvme-rdma: use rdma connection reject helper functions
  (bsc#1037838).
- nvme-rdma: align to generic ib_event logging helper
  (bsc#1037838).
- nvme-rdma: Make sure to shutdown the controller if we can
  (bsc#1037838).
- nvme-loop: Remove duplicate call to nvme_remove_namespaces
  (bsc#1037838).
- nvme-rdma: Free the I/O tags when we delete the controller
  (bsc#1037838).
- nvme-rdma: Remove duplicate call to nvme_remove_namespaces
  (bsc#1037838).
- nvme-rdma: Don't leak uninitialized memory in connect request
  private data (bsc#1037838).
- commit fb6066f
* Fri May 12 2017 hare@suse.de
- Fixup patch description with correct upstream commit id
  Refresh
  patches.drivers/0139-nvme-remove-rcu-namespace-protection.patch.
- commit 9c5e789
* Fri May 12 2017 msuchanek@suse.de
- [v2,3/3] powerpc/fadump: provide a helpful error message
  (bsc#1037669).
- commit 9da08d1
* Fri May 12 2017 msuchanek@suse.de
- [v2, 2/3] powerpc/fadump: avoid holes in boot memory area when
  fadump is registered (bsc#1037669).
- commit 965b0df
* Fri May 12 2017 msuchanek@suse.de
- [v2,1/3] powerpc/fadump: avoid duplicates in crash memory ranges
  (bsc#1037669).
- commit cdc626f
* Fri May 12 2017 jroedel@suse.de
- iommu/exynos: Block SYSMMU while invalidating FLPD cache
  (bsc#1038848).
- iommu/vt-d: Don't over-free page table directories
  (bsc#1038847).
- iommu: Handle default domain attach failure (bsc#1038846).
- iommu/arm-smmu: Disable stalling faults for all endpoints
  (bsc#1038843).
- iommu/dma: Respect IOMMU aperture when allocating (bsc#1038842).
- commit 42393fa
* Fri May 12 2017 jthumshirn@suse.de
- scsi: smartpqi: bump driver version (bsc#1038125).
- scsi: smartpqi: remove writeq/readq function definitions
  (bsc#1038125).
- scsi: smartpqi: add module parameters (bsc#1038125).
- scsi: smartpqi: cleanup list initialization (bsc#1038125).
- scsi: smartpqi: add raid level show (bsc#1038125).
- scsi: smartpqi: make ioaccel references consistent
  (bsc#1038125).
- scsi: smartpqi: enhance device add and remove messages
  (bsc#1038125).
- scsi: smartpqi: update timeout on admin commands (bsc#1038125).
- scsi: smartpqi: map more raid errors to SCSI errors
  (bsc#1038125).
- scsi: smartpqi: cleanup controller branding (bsc#1038125).
- scsi: smartpqi: update rescan worker (bsc#1038125).
- scsi: smartpqi: update device offline (bsc#1038125).
- scsi: smartpqi: correct aio error path (bsc#1038125).
- scsi: smartpqi: add lockup action (bsc#1038125).
- scsi: smartpqi: remove qdepth calculations for logical volumes
  (bsc#1038125).
- scsi: smartpqi: enhance kdump (bsc#1038125).
- scsi: smartpqi: change return value for LUN reset operations
  (bsc#1038125).
- scsi: smartpqi: add ptraid support (bsc#1038125).
- scsi: smartpqi: update copyright (bsc#1038125).
- scsi: smartpqi: cleanup messages (bsc#1038125).
- scsi: smartpqi: add new PCI device IDs (bsc#1038125).
- scsi: smartpqi: minor driver cleanup (bsc#1038125).
- scsi: smartpqi: correct BMIC identify physical drive
  (bsc#1038125).
- scsi: smartpqi: eliminate redundant error messages
  (bsc#1038125).
- scsi: smartpqi: make pdev pointer names consistent
  (bsc#1038125).
- scsi: smartpqi: add pqi_wait_for_completion_io (bsc#1038125).
- scsi: smartpqi: correct bdma hw bug (bsc#1038125).
- scsi: smartpqi: add heartbeat check (bsc#1038125).
- scsi: smartpqi: enhance resets (bsc#1038125).
- scsi: smartpqi: add supporting events (bsc#1038125).
- scsi: smartpqi: ensure controller is in SIS mode at init
  (bsc#1038125).
- scsi: smartpqi: add in controller checkpoint for controller
  lockups (bsc#1038125).
- scsi: smartpqi: set pci completion timeout (bsc#1038125).
- scsi: smartpqi: correct remove scsi devices (bsc#1038125).
- commit 65ac94f
* Fri May 12 2017 yousaf.kaukab@suse.com
- Delete
  patches.drivers/0006-iommu-Print-a-message-with-the-default-domain-type-c.patch.
  Out-of-tree patch not approved by iommu maintainer
- commit d5d04d3
* Fri May 12 2017 mwilck@suse.com
- Fix Patch-mainline: tags in hpsa series
  exportpatch got those wrong. The patches are in MKP's 4.13/scsi-queue
  branch.
- Refresh
  patches.drivers/0001-hpsa-update-identify-physical-device-structure.patch.
- Refresh
  patches.drivers/0002-hpsa-do-not-get-enclosure-info-for-external-devices.patch.
- Refresh patches.drivers/0003-hpsa-update-reset-handler.patch.
- Refresh patches.drivers/0004-hpsa-do-not-reset-enclosures.patch.
- Refresh
  patches.drivers/0005-hpsa-rescan-later-if-reset-in-progress.patch.
- Refresh
  patches.drivers/0006-hpsa-correct-resets-on-retried-commands.patch.
- Refresh patches.drivers/0007-hpsa-cleanup-reset-handler.patch.
- Refresh
  patches.drivers/0008-hpsa-correct-queue-depth-for-externals.patch.
- Refresh
  patches.drivers/0009-hpsa-separate-monitor-events-from-rescan-worker.patch.
- Refresh
  patches.drivers/0010-hpsa-send-ioaccel-requests-with-0-length-down-raid-path.patch.
- Refresh patches.drivers/0011-hpsa-remove-abort-handler.patch.
- Refresh patches.drivers/0012-hpsa-bump-driver-version.patch.
- commit 4bd36c6
* Fri May 12 2017 mwilck@suse.com
- Refresh scsi: hpsa: bump driver version (bsc#1022600 fate#321928).
- commit 66f60ab
* Fri May 12 2017 mwilck@suse.com
- Refresh scsi: hpsa: remove abort handler (bsc#1022600 fate#321928).
- commit 5ff28d5
* Fri May 12 2017 mwilck@suse.com
- Refresh scsi: hpsa: send ioaccel requests with 0 length down raid path
  (bsc#1022600 fate#321928).
- commit 0746664
* Fri May 12 2017 mwilck@suse.com
- scsi: hpsa: separate monitor events from rescan worker
  (bsc#1022600 fate#321928).
- Renamed and refreshed
  patches.drivers/0009-hpsa-separate-monitor-events-from-heartbeat-worker.patch.
- commit d9c1034
* Fri May 12 2017 mwilck@suse.com
- Refresh scsi: hpsa: correct queue depth for externals (bsc#1022600
  fate#321928).
- commit 4e7cfe9
* Fri May 12 2017 mwilck@suse.com
- Refresh hpsa: cleanup reset handler (bsc#1022600 fate#321928).
- commit 0fe55b3
* Fri May 12 2017 mwilck@suse.com
- Refresh scsi: hpsa: correct resets on retried commands (bsc#1022600
  fate#321928).
- commit e9d041e
* Fri May 12 2017 mwilck@suse.com
- Refresh scsi: hpsa: rescan later if reset in progress (bsc#1022600
  fate#321928).
- commit 6c05cb7
* Fri May 12 2017 mwilck@suse.com
- Refresh scsi: hpsa: do not reset enclosures (bsc#1022600 fate#321928).
- commit 7714160
* Fri May 12 2017 mwilck@suse.com
- Refresh scsi: hpsa: update reset handler (bsc#1022600 fate#321928).
- commit e1482d0
* Fri May 12 2017 mwilck@suse.com
- Refresh scsi: hpsa: do not get enclosure info for external devices
  (bsc#1022600 fate#321928).
- commit e5f8f54
* Fri May 12 2017 mwilck@suse.com
- Refresh scsi: hpsa: update identify physical device structure
  (bsc#1022600 fate#321928).
- commit 47938d2
* Fri May 12 2017 mwilck@suse.com
- hpsa: temporarily disable patch series (bsc#1022600 fate#321928)
  preparing update to v4 of microsemi's patch series for hpsa.
- commit 89b9140
* Thu May 11 2017 jthumshirn@suse.de
- RDMA/bnxt_re: Update the driver version (bsc#1037579).
- RDMA/bnxt_re: Specify RDMA component when allocating stats
  context (bsc#1037579).
- RDMA/bnxt_re: Fixed the max_rd_atomic support for initiator
  and destination QP (bsc#1037579).
- RDMA/bnxt_re: Report supported value to IB stack in query_device
  (bsc#1037579).
- RDMA/bnxt_re: Fix RQE posting logic (bsc#1037579).
- RDMA/bnxt_re: Do not free the ctx_tbl entry if delete GID fails
  (bsc#1037579).
- RDMA/bnxt_re: Add vlan tag for untagged RoCE traffic when PFC
  is configured (bsc#1037579).
- RDMA/bnxt_re: Fix WQE Size posted to HW to prevent it from
  throwing error (bsc#1037579).
- RDMA/bnxt_re: Add HW workaround for avoiding stall for UD QPs
  (bsc#1037579).
- RDMA/bnxt_re: Free doorbell page index (DPI) during dealloc
  ucontext (bsc#1037579).
- RDMA/bnxt_re: Dereg MR in FW before freeing the
  fast_reg_page_list (bsc#1037579).
- RDMA/bnxt_re: Fix race between netdev register and unregister
  events (bsc#1037579).
- RDMA/bnxt_re: HW workarounds for handling specific conditions
  (bsc#1037579).
- RDMA/bnxt_re: Fixing the Control path command and response
  handling (bsc#1037579).
- commit 01f4739
* Thu May 11 2017 jslaby@suse.cz
- 9p: fix a potential acl leak (4.4.68 stable queue).
- ARM: 8452/3: PJ4: make coprocessor access sequences buildable
  in Thumb2 mode (4.4.68 stable queue).
- cpupower: Fix turbo frequency reporting for pre-Sandy Bridge
  cores (4.4.68 stable queue).
- powerpc/powernv: Fix opal_exit tracepoint opcode (4.4.68
  stable queue).
- power: supply: bq24190_charger: Fix irq trigger to
  IRQF_TRIGGER_FALLING (4.4.68 stable queue).
- power: supply: bq24190_charger: Call set_mode_host() on
  pm_resume() (4.4.68 stable queue).
- power: supply: bq24190_charger: Install irq_handler_thread()
  at end of probe() (4.4.68 stable queue).
- power: supply: bq24190_charger: Call power_supply_changed()
  for relevant component (4.4.68 stable queue).
- power: supply: bq24190_charger: Don't read fault register
  outside irq_handle_thread() (4.4.68 stable queue).
- power: supply: bq24190_charger: Handle fault before status on
  interrupt (4.4.68 stable queue).
- leds: ktd2692: avoid harmless maybe-uninitialized warning
  (4.4.68 stable queue).
- ARM: OMAP5 / DRA7: Fix HYP mode boot for thumb2 build (4.4.68
  stable queue).
- mwifiex: debugfs: Fix (sometimes) off-by-1 SSID print (4.4.68
  stable queue).
- mwifiex: remove redundant dma padding in AMSDU (4.4.68 stable
  queue).
- mwifiex: Avoid skipping WEP key deletion for AP (4.4.68
  stable queue).
- x86/ioapic: Restore IO-APIC irq_chip retrigger callback
  (4.4.68 stable queue).
- x86/pci-calgary: Fix iommu_free() comparison of unsigned
  expression >= 0 (4.4.68 stable queue).
- clk: Make x86/ conditional on CONFIG_COMMON_CLK (4.4.68
  stable queue).
- kprobes/x86: Fix kernel panic when certain exception-handling
  addresses are probed (4.4.68 stable queue).
- x86/platform/intel-mid: Correct MSI IRQ line for watchdog device
  (4.4.68 stable queue).
- Revert "KVM: nested VMX: disable perf cpuid reporting"
  (4.4.68 stable queue).
- KVM: nVMX: initialize PML fields in vmcs02 (4.4.68 stable
  queue).
- KVM: nVMX: do not leak PML full vmexit to L1 (4.4.68 stable
  queue).
- usb: host: ehci-exynos: Decrese node refcount on
  exynos_ehci_get_phy() error paths (4.4.68 stable queue).
- usb: host: ohci-exynos: Decrese node refcount on
  exynos_ehci_get_phy() error paths (4.4.68 stable queue).
- usb: chipidea: Only read/write OTGSC from one place (4.4.68
  stable queue).
- usb: chipidea: Handle extcon events properly (4.4.68 stable
  queue).
- USB: serial: keyspan_pda: fix receive sanity checks (4.4.68
  stable queue).
- USB: serial: digi_acceleport: fix incomplete rx sanity check
  (4.4.68 stable queue).
- USB: serial: ti_usb_3410_5052: fix control-message error
  handling (4.4.68 stable queue).
- USB: serial: ftdi_sio: fix latency-timer error handling
  (4.4.68 stable queue).
- USB: serial: mct_u232: fix modem-status error handling (4.4.68
  stable queue).
- USB: serial: io_edgeport: fix descriptor error handling
  (4.4.68 stable queue).
- phy: qcom-usb-hs: Add depends on EXTCON (4.4.68 stable queue).
- serial: 8250_omap: Fix probe and remove for PM runtime (4.4.68
  stable queue).
- scsi: mac_scsi: Fix MAC_SCSI=m option when SCSI=m (4.4.68
  stable queue).
- scsi: scsi_dh_emc: return success in clariion_std_inquiry()
  (4.4.68 stable queue).
- MIPS: R2-on-R6 MULTU/MADDU/MSUBU emulation bugfix (4.4.68
  stable queue).
- brcmfmac: Ensure pointer correctly set if skb data location
  changes (4.4.68 stable queue).
- brcmfmac: Make skb header writable before use (4.4.68 stable
  queue).
- staging: wlan-ng: add missing byte order conversion (4.4.68
  stable queue).
- staging: emxx_udc: remove incorrect __init annotations (4.4.68
  stable queue).
- ALSA: hda - Fix deadlock of controller device lock at unbinding
  (4.4.68 stable queue).
- tcp: do not underestimate skb->truesize in tcp_trim_head()
  (4.4.68 stable queue).
- bpf, arm64: fix jit branch offset related to ldimm64 (4.4.68
  stable queue).
- tcp: fix wraparound issue in tcp_lp (4.4.68 stable queue).
- tcp: do not inherit fastopen_req from parent (4.4.68 stable
  queue).
- ipv4, ipv6: ensure raw socket message is big enough to hold
  an IP header (4.4.68 stable queue).
- rtnetlink: NUL-terminate IFLA_PHYS_PORT_NAME string (4.4.68
  stable queue).
- ipv6: initialize route null entry in addrconf_init() (4.4.68
  stable queue).
- ipv6: reorder ip6_route_dev_notifier after ipv6_dev_notf
  (4.4.68 stable queue).
- f2fs: sanity check segment count (4.4.68 stable queue).
- drm/ttm: fix use-after-free races in vm fault handling (4.4.68
  stable queue).
- block: get rid of blk_integrity_revalidate() (4.4.68 stable
  queue).
- commit 74ca846
* Thu May 11 2017 tbogendoerfer@suse.de
- cxgb4: avoid disabling FEC by default (bsc#1038269).
- commit 52d07e4
* Thu May 11 2017 yousaf.kaukab@suse.com
- acpi: iort: thunderx2: enable smmu resource size errata for A1 silicon (bsc#1035000).
- iommu/arm-smmu, ACPI: Enable Cavium SMMU-v3 (bsc#1035000).
- iommu/arm-smmu, ACPI: Enable Cavium SMMU-v2 (bsc#1035479).
- iommu: Print a message with the default domain type created (bsc#1035479).
- iommu/arm-smmu-v3: Increase SMMU CMD queue poll timeout (bsc#1035479).
- iommu/arm-smmu-v3: Add workaround for Cavium ThunderX2 erratum #126 (bsc#1036060).
- iommu/arm-smmu-v3: Add workaround for Cavium ThunderX2 erratum #74 (bsc#1036060).
- ACPI/IORT: Fixup SMMUv3 resource size for Cavium ThunderX2 SMMUv3 model (bsc#1036060).
- ACPICA: IORT: Add Cavium ThunderX2 SMMUv3 model definition (bsc#1036060).
- commit 7e59ca6
* Thu May 11 2017 pjakobsson@suse.de
- ASoC: hdmi-codec: remove HDMI device unregister (fate#322003).
- commit 1704515
* Thu May 11 2017 pjakobsson@suse.de
- ASoC: hdmi-codec: add channel mapping control (fate#322003).
- ASoC: hdmi-codec: use unsigned type to structure members with
  bit-field (fate#322003).
- ASoC: hdmi-codec: Fix hdmi_of_xlate_dai_name when
  [#]sound-dai-cells = <0> (fate#322003).
- ASoC: codec duplicated callback function goes to component on
  hdmi-codec (fate#322003).
- ASoC: hdmi-codec: enable multi probe for same device
  (fate#322003).
- ASoC: hdmi-codec: callback function will be called with private
  data (fate#322003).
- ASoC: hdmi-codec: Add ELD control (fate#322003).
- ASoC: hdmi-codec: Add hdmi-codec for external HDMI-encoders
  (fate#322003).
- commit 5f9f16a
* Thu May 11 2017 jthumshirn@suse.de
- blk-mq: NVMe 512B/4K+T10 DIF/DIX format returns I/O error on dd with split op (bsc#1038563).
- commit ce96742
* Thu May 11 2017 hare@suse.de
- Delete patches.suse/md-raid10-tracepoints.
  Functionality already present upstream.
- commit fe976ba
* Thu May 11 2017 hare@suse.de
- Forward-port patches for md_monitor functionality (bnc#763402)
- Refresh patches.suse/block-nonblock-causes-failfast.
- Refresh patches.suse/md-display-timeout-error.patch.
- Delete patches.suse/md-abort-pending-requests.
- commit 33111fc
* Thu May 11 2017 jthumshirn@suse.de
- nvme_fc: Add ls aborts on remote port teardown (bsc#1037838).
- nvme_fc: Move LS's to rport (bsc#1037838).
- nvmet_fc: add missing reference in add_port (bsc#1037838).
- commit 57befab
* Thu May 11 2017 yousaf.kaukab@suse.com
- arm64: thunderx2: remove smmu workaround
  Prepare to refresh to v5 of the patchset
- Delete
  patches.drivers/0002-iommu-arm-smmu-ACPI-Enable-Cavium-SMMU-v2.patch.
- Delete
  patches.drivers/0012-iommu-Print-a-message-with-the-default-domain-type-c.patch.
- Delete
  patches.drivers/0014-iommu-arm-smmu-v3-Introduce-smmu-option-PAGE0_REGS_O.patch.
- Delete
  patches.drivers/0015-iommu-arm-smmu-v3-Do-resource-size-checks-based-on-s.patch.
- Delete
  patches.drivers/0016-iommu-arm-smmu-v3-Introduce-smmu-option-USE_SHARED_I.patch.
- Delete
  patches.drivers/0017-ACPICA-IORT-Add-SMMuV3-model-definitions.patch.
- Delete
  patches.drivers/0018-iommu-arm-smmu-v3-For-ACPI-based-device-probing-set-.patch.
- Delete
  patches.drivers/0019-ACPI-IORT-Fixup-SMMUv3-resource-size-for-Cavium-99xx.patch.
- Delete
  patches.drivers/0020-arm64-Documentation-Add-Cavium-ThunderX2-SMMUv3-erra.patch.
- Delete
  patches.drivers/0021-iommu-arm-smmu-ACPI-Enable-Cavium-SMMU-v3.patch.
- Delete
  patches.drivers/0022-iommu-arm-smmu-v3-Increase-SMMU-CMD-queue-poll-timeo.patch.
- commit 5487aed
* Thu May 11 2017 hare@suse.de
- Delete patches.fixes/0001-RAID1-ignore-discard-error.patch
  Patch was already merged upstream.
- commit bc365d2
* Thu May 11 2017 jthumshirn@suse.de
- nvme_fc: Clean up host fcpio done status handling (bsc#1037838).
- nvme_fc: correct LS validation (bsc#1037838).
- nvme_fc: Add check of status_code in ERSP_IU (bsc#1037838).
- commit 6fcdae6
* Thu May 11 2017 hare@suse.de
- Rediff and enable SUSE-specific multipath patches
- Refresh patches.suse/dm-mpath-accept-failed-paths.
- Refresh patches.suse/dm-mpath-no-partitions-feature.
- commit c2aeeba
* Thu May 11 2017 hare@suse.de
- dm mpath: make it easier to detect unintended I/O request flushes (bsc#1011044).
- dm mpath: cleanup QUEUE_IF_NO_PATH bit manipulation by introducing assign_bit() (bsc#1011044).
- dm mpath: micro-optimize the hot path relative to MPATHF_QUEUE_IF_NO_PATH (bsc#1011044).
- dm: introduce enum dm_queue_mode to cleanup related code (bsc#1011044).
- dm mpath: verify __pg_init_all_paths locking assumptions at runtime (bsc#1011044).
- dm mpath: delay requeuing while path initialization is in progress (bsc#1011044).
- dm mpath: avoid that path removal can trigger an infinite loop (bsc#1011044).
- dm mpath: split and rename activate_path() to prepare for its expanded use (bsc#1011044).
- dm mpath: requeue after a small delay if blk_get_request() fails (bsc#1011044).
- commit 07b6dda
* Thu May 11 2017 hare@suse.de
- Delete patches.suse/dm-mpath-fix-race-window-in-do_end_io.patch.
- commit c5434cc
* Wed May 10 2017 msuchanek@suse.de
- powerpc/pseries: Dynamic add entires to associativity lookup
  array (bsc#1038518).
- commit 7230810
* Wed May 10 2017 msuchanek@suse.de
- powerpc/pseries: Move property cloning into its own routine
  (bsc#1038518).
- commit 4d1b70c
* Wed May 10 2017 duwe@suse.de
- crypto: sha-mb - Fix load failure (bsc#1037384).
- commit 8cd473d
* Wed May 10 2017 jthumshirn@suse.de
- nvme-rdma: Support ctrl_loss_tmo (bsc#1038262).
- nvme-rdma: get rid of local reconnect_delay (bsc#1038262).
- nvme-fabrics: Allow ctrl loss timeout configuration
  (bsc#1038262).
- commit c04b9ec
* Wed May 10 2017 mhocko@suse.cz
- mm: adaptive hash table scaling (bnc#1036303).
- mm: drop HASH_ADAPT (bnc#1036303).
- Refresh
  patches.fixes/mm-introduce-arch_reserved_kernel_pages.patch.
- commit 6f1865b
* Wed May 10 2017 jack@suse.cz
- fs: Speedup clean_bdev_aliases() (bsc#1038447).
- commit 2882a26
* Wed May 10 2017 ydfan@suse.com
- smartpqi: limit transfer length to 1MB (bsc#1025461).
- commit de1f6f8
* Wed May 10 2017 jthumshirn@suse.de
- scsi: lpfc: Fix panic on BFS configuration (bsc#1038075).
- commit ca31490
* Wed May 10 2017 dchang@suse.com
- bnxt_en: allocate enough space for ->ntp_fltr_bmap (bsc#1020412
  FATE#321671).
- commit 2abcb22
* Tue May  9 2017 msuchanek@suse.de
- ibmvnic: Move queue restarting in ibmvnic_tx_complete
  (fate#322021, bsc#1038297).
- ibmvnic: Record SKB RX queue during poll (fate#322021,
  bsc#1038297).
- commit 0a7467e
* Tue May  9 2017 msuchanek@suse.de
- ibmvnic: Continue skb processing after skb completion error
  (fate#322021, bsc#1038297).
- commit 6b94242
* Tue May  9 2017 msuchanek@suse.de
- ibmvnic: Check for driver reset first in ibmvnic_xmit
  (fate#322021, bsc#1038297).
- ibmvnic: Wait for any pending scrqs entries at driver close
  (fate#322021, bsc#1038297).
- commit 98ae3af
* Tue May  9 2017 msuchanek@suse.de
- ibmvnic: Clean up tx pools when closing (fate#322021,
  bsc#1038297).
- ibmvnic: Whitespace correction in release_rx_pools (fate#322021,
  bsc#1038297).
- commit 2f3900d
* Tue May  9 2017 msuchanek@suse.de
- ibmvnic: Delete napi's when releasing driver resources
  (fate#322021, bsc#1038297).
- commit 1eb3500
* Tue May  9 2017 msuchanek@suse.de
- ibmvnic: Updated reset handling (fate#322021, bsc#1038297).
- ibmvnic: Replace is_closed with state field (fate#322021,
  bsc#1038297).
- commit 62f8ad1
* Tue May  9 2017 msuchanek@suse.de
- ibmvnic: Move resource initialization to its own routine
  (fate#322021, bsc#1038297).
- commit 00828a0
* Tue May  9 2017 hare@suse.de
- dm-mpath: fix race window in do_end_io() (bsc#1011044).
- commit 9ec7e6e
* Tue May  9 2017 tiwai@suse.de
- iio: hid-sensor: Store restore poll and hysteresis on S3
  (bsc#1031717).
- commit 7c671d8
* Tue May  9 2017 jgross@suse.com
- Input: xen-kbdfront - add module parameter for setting
  resolution (bnc#1020616).
- commit aef6e54
* Tue May  9 2017 jslaby@suse.cz
- Linux 4.4.67 (CVE#2017-7645 bnc#1012382 bsc#1013001 bsc#1034670
  FATE#321597 FATE#321670 bsc#1026030 bsc#1028310).
- blacklist.conf: a commit in fs/crypto
- Refresh
  patches.drivers/028-ASoC-Intel-boards-start-merging-byt-rt5640-drivers.
- Refresh
  patches.drivers/029-ASoC-Intel-boards-merge-DMI-based-quirks-in-bytcr-rt.
- Refresh patches.drivers/ext4-provide-ext4_issue_zeroout.patch.
- Refresh
  patches.drivers/ib-qib-remove-qpn-qp-tables-and-related-variables-fr.patch.
- Delete
  patches.drivers/8250_pci-Fix-potential-use-after-free-in-error-path.patch.
- Delete
  patches.fixes/0002-nfsd4-minor-NFSv2-v3-write-decoding-cleanup.patch.
- Delete
  patches.fixes/0003-nfsd-stricter-decoding-of-write-like-NFSv2-v3-ops.patch.
- commit 0566c1c
* Tue May  9 2017 tiwai@suse.de
- blacklist.conf: ignore drm atomc message patch as we have no crtc name
- commit 2728313
* Tue May  9 2017 tiwai@suse.de
- Add blacklist ids to a couple of i915 driver patches for cherry-picks
- commit b7fd17b
* Tue May  9 2017 tbogendoerfer@suse.de
- qed: Unlock on error in qed_vf_pf_acquire() (bsc#1019695
  FATE#321703).
- qed: fix invalid use of sizeof in qed_alloc_qm_data()
  (bsc#1019695 FATE#321703).
- commit dab929c
* Tue May  9 2017 oneukum@suse.com
- USB: serial: sierra: fix bogus alternate-setting assumption
  (bnc#1038043).
- commit 6213666
* Tue May  9 2017 tbogendoerfer@suse.de
- IB/rdmavt: Avoid reseting wqe send_flags in unreserve
  (FATE#321473).
- IB/rdmavt, IB/hfi1: Fix timer migration regressions
  (FATE#321473).
- IB/hfi1: Add a patch value to the firmware version string
  (FATE#321473).
- IB/hfi1: Check for QSFP presence before attempting reads
  (FATE#321473).
- IB/hfi1: Protect the global dev_cntr_names and port_cntr_names
  (FATE#321473).
- IB/hfi1: Check device id early during init (FATE#321473).
- IB/rdmavt: Add swqe completion trace (FATE#321473).
- IB/rdmavt: Add tracing for cq entry and poll (FATE#321473).
- IB/rdmavt: Add additional fields to post send trace
  (FATE#321473).
- IB/rdmavt, IB/hfi1, IB/qib: Make wc opcode translation driver
  dependent (FATE#321473).
- IB/hfi1: NULL pointer dereference when freeing rhashtable
  (FATE#321473).
- IB/hfi1: Cache registers during state change (FATE#321473).
- IB/hfi1: Race hazard avoidance in user SDMA driver
  (FATE#321473).
- IB/hfi1: Force logical link down (FATE#321473).
- commit 90c4221
* Tue May  9 2017 yousaf.kaukab@suse.com
- arm64: mm: change IOMMU notifier action to attach DMA ops
  (bsc#1034999).
- arm64/dma-mapping: Extend DMA ops workaround to PCI devices
  (bsc#1034999).
- commit 421b6fa
* Tue May  9 2017 oneukum@suse.com
- blacklist.conf: patch removes only dead code, no functional difference
- commit 8266f50
* Tue May  9 2017 oneukum@suse.com
- blacklist.conf: we don't build the chipidea driver
- commit 3f2d249
* Tue May  9 2017 oneukum@suse.com
- USB: serial: ssu100: fix control-message error handling
  (bnc#1038043).
- USB: serial: quatech2: fix control-message error handling
  (bnc#1038043).
- USB: serial: io_edgeport: fix epic-descriptor handling
  (bnc#1038043).
- USB: serial: ark3116: fix open error handling (bnc#1038043).
- commit ba8ca80
* Tue May  9 2017 oneukum@suse.com
- USB: serial: ch341: fix modem-status handling (bnc#1038043).
- USB: serial: ch341: fix baud rate and line-control handling
  (bnc#1038043).
- USB: serial: ch341: fix line settings after reset-resume
  (bnc#1038043).
- USB: serial: ch341: add support for parity, frame length,
  stop bits (bnc#1038043).
- USB: serial: ch341: reinitialize chip on reconfiguration
  (bnc#1038043).
- USB: serial: ch341: add register and USB request definitions
  (bnc#1038043).
- USB: serial: fix compare_const_fl.cocci warnings (bnc#1038043).
- commit 9e37848
* Tue May  9 2017 dchang@suse.com
- i40e: send correct port number to AdminQ when enabling UDP
  tunnels (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247)
- commit 22ccf46
* Tue May  9 2017 dchang@suse.com
- sfc: tx ring can only have 2048 entries for all EF10 NICs
  (bsc#966344 FATE#320139).
- commit f4652a9
* Tue May  9 2017 dchang@suse.com
- IB/mlx5: Decrease verbosity level of ODP errors (bsc#1015342
  FATE#321688 bsc#1015343 FATE#321689).
- IB/mlx5: Fix implicit MR GC (bsc#1015342 FATE#321688 bsc#1015343
  FATE#321689).
- IB/mlx5: Fix UMR size calculation (bsc#1015342 FATE#321688
  bsc#1015343 FATE#321689).
- IB/mlx5: Fix function updating xlt emergency path (bsc#1015342
  FATE#321688 bsc#1015343 FATE#321689).
- IB/mlx5: Add support for active_width and active_speed in RoCE
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- IB/mlx5: Set mlx5_query_roce_port's return value to void
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- IB/core: Add HDR speed enum (bsc#1015342 FATE#321688 bsc#1015343
  FATE#321689).
- IB/mlx5: Add inner spec and IPv6 validation in user's
  flow attribute list (bsc#1015342 FATE#321688 bsc#1015343
  FATE#321689).
- IB/mlx5: Fix wrong use of kfree at bad flow in create_cq_user
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- IB/mlx5: Enlarge autogroup flow table (bsc#1015342 FATE#321688
  bsc#1015343 FATE#321689).
- IB/mlx5: Check supported flow table size (bsc#1015342
  FATE#321688 bsc#1015343 FATE#321689).
- IB/mlx5: Change vma from shared to private (bsc#1015342
  FATE#321688 bsc#1015343 FATE#321689).
- IB/mlx5: Take write semaphore when changing the vma struct
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5e: Fix ETHTOOL_GRXCLSRLALL handling (bsc#1015342
  FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5e: Fix small packet threshold (bsc#1015342 FATE#321688
  bsc#1015343 FATE#321689).
- net/mlx5: Fix UAR memory leak (bsc#1015342 FATE#321688
  bsc#1015343 FATE#321689).
- net/mlx5: E-Switch, Correctly deal with inline mode on
  ConnectX-5 (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- net/mlx5e: Fix race in mlx5e_sw_stats and mlx5e_vport_stats
  (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689).
- commit ef5f1aa
* Tue May  9 2017 gqjiang@suse.com
- md.c:didn't unlock the mddev before return EINVAL in
  array_size_store (bsc#1038143).
- md: MD_CLOSING needs to be cleared after called md_set_readonly
  or do_md_stop (bsc#1038142).
- commit 6f184be
* Mon May  8 2017 tiwai@suse.de
- Revert "IB/rxe: Don't clamp residual length to mtu (bsc#1030941)."
  Revert the bogus patch.
- commit 74c2a2c
* Mon May  8 2017 jthumshirn@suse.de
- IB/rxe: Don't clamp residual length to mtu (bsc#1030941).
- commit 43eab5b
* Mon May  8 2017 tiwai@suse.de
- PCI: pciehp: Prioritize data-link event over presence detect
  (bsc#1031040,bsc#1037483).
- commit 9bd7768
* Mon May  8 2017 jthumshirn@suse.de
- lpfc: Fix memory corruption of the lpfc_ncmd->list pointers
  (bsc#1036896).
- lpfc revison 11.2.0.12 (bsc#1036896).
- Fix Express lane queue creation (bsc#1036896).
- Update ABORT processing for NVMET (bsc#1036896).
- Fix implicit logo and RSCN handling for NVMET (bsc#1036896).
- Add Fabric assigned WWN support (bsc#1036896).
- Fix max_sgl_segments settings for NVME / NVMET (bsc#1036896).
- Fix crash after issuing lip reset (bsc#1036896).
- Fix driver load issues when MRQ=8 (bsc#1036896).
- Remove hba lock from NVMET issue WQE (bsc#1036896).
- Fix nvme initiator handling when not enabled (bsc#1036896).
- Fix driver usage of 128B WQEs when WQ_CREATE is V1
  (bsc#1036896).
- Fix driver unload/reload operation (bsc#1036896).
- Fix PRLI ACC rsp for NVME (bsc#1036896).
- Fix extra line print in rqpair debug print (bsc#1036896).
- Remove NULL ptr check before kfree (bsc#1036896).
- Remove unused defines for NVME PostBuf (bsc#1036896).
- Fix spelling in comments (bsc#1036896).
- Add debug messages for nvme/fcp resource allocation
  (bsc#1036896).
- Fix log message in completion path (bsc#1036896).
- Fix rejected nvme LS Req (bsc#1036896).
- Fix nvme unregister port timeout (bsc#1036896).
- Standardize nvme SGL segment count (bsc#1036896).
- nvmet_fc: Sync NVME LS reject reasons with spec (bsc#1036896).
- nvme_fc: Sync FC-NVME header with standard (bsc#1036896).
- nvmet_fc: Rework target side abort handling (bsc#1036896).
- nvme_fcloop: split job struct from transport for req_release
  (bsc#1036896).
- nvmet_fc: add req_release to lldd api (bsc#1036896).
- nvmet_fc: add target feature flags for upcall isr contexts
  (bsc#1036896).
- nvmet_fc: Clear SG list to avoid double frees (bsc#1036896).
- nvmet_fc: cleanup of abort flag processing in fcp_op_done
  (bsc#1036896).
- commit f76557c
* Mon May  8 2017 tiwai@suse.de
- Update config files: Use SHA256 for IMA default hash (FATE#323287).
- commit 47dc27d
* Mon May  8 2017 oneukum@suse.com
- blacklist.conf: the commit changes only comments
- commit 43587df
* Mon May  8 2017 oneukum@suse.com
- blacklist.conf: commit changes only comments
- commit 1938a8b
* Mon May  8 2017 oneukum@suse.com
- blacklist.conf: we don't support external PHYs in SLE12
- commit 7173b8d
* Mon May  8 2017 oneukum@suse.com
- blacklist.conf: We don't support gadgets in SLE12
- commit f01e799
* Mon May  8 2017 oneukum@suse.com
- blacklist.conf: this fixes only the Kconfig
- commit 364d1f5
* Mon May  8 2017 oneukum@suse.com
- usb: musb: ux500: Fix NULL pointer dereference at system PM
  (bsc#1038033).
- commit fb2f335
* Mon May  8 2017 pjakobsson@suse.de
- drm/hisilicon/hibmc: Add drm_dev_set_unique() for v4.4
  (fate#322061).
- commit ab3e98a
* Mon May  8 2017 bp@suse.de
- blacklist.conf: e883d09c9eb2
- commit 223c1e4
* Mon May  8 2017 lhenriques@suse.com
- ceph: Check that the new inode size is within limits in
  ceph_fallocate() (bsc#1037969).
- commit 241c2c2
* Mon May  8 2017 yousaf.kaukab@suse.com
- i2c: thunderx: Enable HWMON class probing (bsc#1035479).
- commit f8bd36e
* Mon May  8 2017 ghe@suse.com
- ocfs2: fix deadlock issue when taking inode lock at vfs entry
  points (bsc#1004003).
- ocfs2/dlmglue: prepare tracking logic to avoid recursive
  cluster lock (bsc#1004003).
- commit 2fd0839
* Mon May  8 2017 agraf@suse.de
- ceph: fix file open flags on ppc64 (bsc#1022266).
- commit d9e5659
* Sun May  7 2017 pjakobsson@suse.de
- drm/atomic: Don't skip drm_bridge_*() calls if
  !drm_encoder_helper_funcs (fate#322061).
- commit d6843ee
* Sun May  7 2017 pjakobsson@suse.de
- Update config files.
  Add hibmc DRM driver for ARM64 (fate#322061)
- commit 5215235
* Sun May  7 2017 lduncan@suse.com
- kABI: move and hide new cxgbi device owner field (bsc#1018885).
- commit 8d4f96a
* Sat May  6 2017 lduncan@suse.com
- scsi: cxgb4i: libcxgbi: add missing module_put() (bsc#1018885).
- commit 00f27dd
* Fri May  5 2017 jgross@suse.com
- efi: Make for_each_efi_memory_desc_in_map() cope with running
  on Xen (bnc#1034262).
- commit d8dc33d
* Fri May  5 2017 jack@suse.cz
- ext4: avoid unnecessary transaction stalls during writeback
  (bsc#1030310).
- commit 0d5ba6d
* Fri May  5 2017 jack@suse.cz
- md: Make flush bios explicitely sync (bsc#1033750).
- btrfs: Make flush bios explicitely sync (bsc#1033750).
- reiserfs: Make flush bios explicitely sync (bsc#1033750).
- gfs2: Make flush bios explicitely sync (bsc#1033750).
- f2fs: Make flush bios explicitely sync (bsc#1033750).
- ext4: Mark superblock writes synchronous for nobarrier mounts
  (bsc#1033750).
- commit 2eedef7
* Thu May  4 2017 bpoirier@suse.com
- e1000e: Don't return uninitialized stats (bug#1034635).
- commit 7792528
* Thu May  4 2017 tbogendoerfer@suse.de
- iw_cxgb4: Guard against null cm_id in dump_ep/qp (bsc#1026570).
- RDMA/iw_cxgb4: only read markers_enabled mod param once
  (bsc#1026570).
- RDMA/iw_cxgb4: Low resource fixes for Completion queue
  (bsc#1026570).
- RDMA/iw_cxgb4: Add missing error codes for act open cmd
  (bsc#1026570).
- commit c4fb05d
* Thu May  4 2017 tbogendoerfer@suse.de
- crypto: chcr - Fix error handling related to 'chcr_alloc_shash'
  (bsc#1036199).
- crypto: chcr - Add fallback for AEAD algos (bsc#1036199).
- crypto: chcr - Fix txq ids (bsc#1036199).
- crypto: chcr - Set hmac_ctrl bit to use HW register HMAC_CFG
  (bsc#1036199).
- crypto: chcr - Increase priority of AEAD algos (bsc#1036199).
- commit 70ab03c
* Thu May  4 2017 msuchanek@suse.de
- crypto: vmx - fix null dereference in p8_aes_xts_crypt
  (fate#321642).
- commit 3af114b
* Thu May  4 2017 msuchanek@suse.de
- crypto: vmx - Fix aes_p8_xts_decrypt build failure
  (fate#321642).
- commit 5ff4650
* Thu May  4 2017 msuchanek@suse.de
- crypto: vmx - Adding asm subroutines for XTS (fate#321642).
- commit b2fccc0
* Thu May  4 2017 msuchanek@suse.de
- crypto: vmx - Adding support for XTS (fate#321642).
- commit ffcfb2d
* Thu May  4 2017 jslaby@suse.cz
- Linux 4.4.66 (CVE#2017-7645 CVE-2016-7913 CVE-2017-7308
  FATE#320291 bnc#1012382 bsc#1010478 bsc#1031579 bsc#1034670).
- kABI: protect struct snd_fw_async_midi_port (kabi).
- Revert "l2tp: take reference on sessions being dumped" (kabi).
- Delete
  patches.fixes/0001-nfsd-check-for-oversized-NFSv2-v3-arguments.patch.
- Delete
  patches.fixes/media-xc2028-unlock-on-error-in-xc2028_set_config.
- Delete
  patches.fixes/net-packet-fix-overflow-in-check-for-tp_frame_nr.patch.
- Delete
  patches.fixes/net-packet-fix-overflow-in-check-for-tp_reserve.patch.
- Delete
  patches.suse/0026-md-raid1-fix-a-dead-loop-when-read-from-a-WriteMostl.patch.
- commit c6dac51
* Thu May  4 2017 lhenriques@suse.com
- Refresh
  patches.fixes/ceph-fix-recursively-call-between-ceph_set_acl-and-_ceph_setattr.patch.
  Updated patch metadata.
- commit bc813f4
* Thu May  4 2017 hare@suse.de
- loop: zero-fill bio on the submitting cpu (bsc#1034157).
- commit bad212a
* Thu May  4 2017 hare@suse.de
- loop: don't try to use AIO for discards (bsc#1034157).
- commit d1bbce4
* Thu May  4 2017 hare@suse.de
- block: renumber REQ_OP_WRITE_ZEROES (bsc#1034157).
- commit 20cf7e5
* Wed May  3 2017 bpoirier@suse.com
- Cleanup hns patches from Matthias
- commit fae29bf
* Wed May  3 2017 lhenriques@suse.com
- Refresh
  patches.fixes/ceph-fix-recursively-call-between-ceph_set_acl-and-_ceph_setattr.patch.
  Fixed backport after upstream review (4.4 stable).
  Also updated patch metadata.
- commit 983d608
* Wed May  3 2017 yousaf.kaukab@suse.com
- irqchip/mbigen: Fix the clear register offset (fate#322150).
- irqchip/mbigen: Fix potential NULL dereferencing (fate#322150).
- irqchip/mbigen: Fix memory mapping code (fate#322150).
- commit 9d296ac
* Wed May  3 2017 mhocko@suse.cz
- acpi: Fix broken error check in map_processor() (bnc#1037354).
- x86/apic: Prevent pointless warning messages (bnc#1037354).
- x86/acpi: Prevent LAPIC id 0xff from being accounted
  (bnc#1037354).
- commit f9ffce4
* Wed May  3 2017 jlee@suse.com
- efi: Fix for_each_efi_memory_desc_in_map() for empty memmaps
  (bsc#1037312).
- commit 7cee982
* Wed May  3 2017 jroedel@suse.de
- x86/platform/uv/BAU: Implement uv4_wait_completion with
  read_status (bsc#1035024).
- x86/platform/uv/BAU: Add wait_completion to bau_operations
  (bsc#1035024).
- x86/platform/uv/BAU: Add status mmr location fields to
  bau_control (bsc#1035024).
- x86/platform/uv/BAU: Add payload descriptor qualifier
  (bsc#1035024).
- x86/platform/uv/BAU: Add uv_bau_version enumerated constants
  (bsc#1035024).
- x86/platform/uv/BAU: Cleanup bau_operations declaration and
  instances (bsc#1035024).
- x86/platform/uv/BAU: Fix HUB errors by remove initial write
  to sw-ack register (bsc#1035024).
- x86/platform/uv/BAU: Add UV4-specific functions (bsc#1035024).
- x86/platform/uv/BAU: Fix payload queue setup on UV4 hardware
  (bsc#1035024).
- x86/platform/uv/BAU: Disable software timeout on UV4 hardware
  (bsc#1035024).
- x86/platform/uv/BAU: Populate ->uvhub_version with UV4 version
  information (bsc#1035024).
- x86/platform/uv/BAU: Use generic function pointers
  (bsc#1035024).
- x86/platform/uv/BAU: Add generic function pointers
  (bsc#1035024).
- x86/platform/uv/BAU: Convert uv_physnodeaddr() use to
  uv_gpa_to_offset() (bsc#1035024).
- x86/platform/uv/BAU: Clean up pq_init() (bsc#1035024).
- x86/platform/uv/BAU: Clean up and update printks (bsc#1035024).
- x86/platform/uv/BAU: Clean up vertical alignment (bsc#1035024).
- commit 9c3d8db
* Tue May  2 2017 mbrugger@suse.com
- tty: amba-pl011: Fix spurious TX interrupts (bsc#1036586).
- Revert "tty: serial: pl011: add ttyAMA for matching pl011
  console" (bsc#1036586).
- commit b14b9da
* Tue May  2 2017 tiwai@suse.de
- Revert "- md/raid5: sort bios..." (bsc#1037027)
  We revert the recent MD changes due to regressions for RAID0.
- commit 27e2849
* Tue May  2 2017 tiwai@suse.de
- Revert "- md: clear WantReplacement once disk is removed..." (bsc#1037027).
  We revert the recent MD changes due to regressions for RAID0.
- commit d2e1679
* Tue May  2 2017 yousaf.kaukab@suse.com
- arm64: huawei: refresh mbigen patches v2
- irqchip/gic-v3-its: Add IORT hook for platform MSI support
  (fate#322150).
- ACPI/IORT: Fix the indentation in iort_scan_node()
  (fate#322150).
- ACPI/IORT: Add missing comment for iort_dev_find_its_id()
  (fate#322150).
- ACPI/IORT: Rework iort_match_node_callback() return value
  handling (fate#322150).
- irqchip/gic-v3-its: Keep the include header files in alphabetic
  order (fate#322150).
- irqchip/gicv3-its: platform-msi: Refactor its_pmsi_prepare()
  (fate#322150).
- irqchip/gicv3-its: platform-msi: Refactor its_pmsi_init()
  to prepare for ACPI (fate#322150).
- irqchip/gicv3-its: platform-msi: Scan MADT to create platform
  msi domain (fate#322150).
- ACPI/IORT: Rename iort_node_map_rid() to make it generic
  (fate#322150).
- ACPI/IORT: Introduce iort_node_map_platform_id() to retrieve
  dev id (fate#322150).
- ACPI: platform-msi: retrieve devid from IORT (fate#322150).
- ACPI: platform: setup MSI domain for ACPI based platform device
  (fate#322150).
- platform-msi: Make platform_msi_create_device_domain() ACPI
  aware (fate#322150).
- irqchip/mbigen: Drop module owner (fate#322150).
- irqchip/mbigen: Introduce mbigen_of_create_domain()
  (fate#322150).
- irqchip/mbigen: Add ACPI support (fate#322150).
- commit 016c145
* Tue May  2 2017 mbrugger@suse.com
- supported.conf: add support for sdhci-xenon
- commit b878cfb
* Tue May  2 2017 mbrugger@suse.com
- arm64: Update config files.
  Build MMC_SDHCI_XENON as module
- commit 1cb3889
* Tue May  2 2017 mbrugger@suse.com
- mmc: sdhci-xenon: Add SoC PHY PAD voltage control (bsc#1034324).
- mmc: sdhci-xenon: Add support to PHYs of Marvell Xenon SDHC
  (bsc#1034324).
- mmc: sdhci-xenon: Add Marvell Xenon SDHC core functionality
  (bsc#1034324).
- dt: bindings: Add bindings for Marvell Xenon SD Host Controller
  (bsc#1034324).
- mmc: sdhci: Export sdhci_enable_sdio_irq() from sdhci.c
  (bsc#1034324).
- mmc: sdhci: Export sdhci_start_signal_voltage_switch() in
  sdhci.c (bsc#1034324).
- mmc: sdhci: Export sdhci_set_ios() from sdhci.c (bsc#1034324).
- clk: apn806: Turn the eMMC clock as optional for dts backwards
  compatible (bsc#1034324).
- clk: apn806: Add eMMC clock to system controller driver
  (bsc#1034324).
- mmc: sdhci: export sdhci_execute_tuning() (bsc#1034324).
- mmc: sdhci: add standard hw auto retuning support (bsc#1034324).
- commit c889e12
* Tue May  2 2017 nborisov@suse.com
- Btrfs: fix data loss after truncate when using the no-holes feature (bsc#1036214).
- commit 328b08b
* Tue May  2 2017 nborisov@suse.com
- btrfs: fix check_shared for fiemap ioctl (bsc#1037177).
- commit 8a11cba
* Tue May  2 2017 msuchanek@suse.de
- Use make --output-sync feature when available (bsc#1012422).
  The mesages in make output can interleave making it impossible to
  extract warnings reliably. Since version 4 GNU Make supports
  - -output-sync flag that prints output of each sub-command atomically
  preventing this issue. Detect the flag and use it if available.
- commit a6b827d
* Tue May  2 2017 jslaby@suse.cz
- Linux 4.4.65 (CVE-2016-7913 CVE-2016-7917 CVE-2016-8632
  CVE-2016-9083 CVE-2016-9084 CVE-2017-2671 bnc#1012382
  bsc#1007197 bsc#1008831 bsc#1010444 bsc#1010478 bsc#1031003).
- kABI: protect struct mnt_namespace (kabi).
- Delete patches.fixes/media-xc2028-avoid-use-after-free.
- Delete
  patches.fixes/netfilter-nfnetlink-correctly-validate-length-of-bat.patch.
- Delete patches.fixes/ping-implement-proper-locking.patch.
- Delete patches.fixes/tipc-check-minimum-bearer-MTU.patch.
- Delete
  patches.fixes/vfio-pci-fix-integer-overflows-bitmask-check.
- commit c608c53
* Tue May  2 2017 lhenriques@suse.com
- ceph: fix memory leak in __ceph_setxattr() (bsc#1036763).
- commit 18288b5
* Tue May  2 2017 jslaby@suse.cz
- Linux 4.4.64 (FATE#319965 FATE#320485 bnc#1007729 bnc#1012382
  bsc#1036752 bsc#964944).
- Refresh
  patches.drivers/pmem-add-wb_cache_pmem-to-the-pmem-api.patch.
- Refresh
  patches.suse/msft-hv-1093-Drivers-hv-get-rid-of-redundant-messagecount-in-crea.patch.
- Delete
  patches.drivers/0016-block-fix-del_gendisk-vs-blkdev_ioctl-crash.patch.
- Delete
  patches.fixes/VSOCK-Detach-QP-check-should-filter-out-non-matching.patch.
- Delete
  patches.suse/msft-hv-1094-Drivers-hv-don-t-leak-memory-in-vmbus_establish_gpad.patch.
- Delete
  patches.suse/msft-hv-1095-Drivers-hv-get-rid-of-timeout-in-vmbus_open.patch.
- Delete
  patches.suse/msft-hv-1099-Drivers-hv-vmbus-Reduce-the-delay-between-retries-in.patch.
- Delete
  patches.suse/msft-hv-1101-Tools-hv-kvp-ensure-kvp-device-fd-is-closed-on-exec.patch.
- Delete
  patches.suse/msft-hv-1102-Drivers-hv-balloon-keep-track-of-where-ha_region-sta.patch.
- Delete
  patches.suse/msft-hv-1103-Drivers-hv-balloon-account-for-gaps-in-hot-add-regio.patch.
- Delete
  patches.suse/msft-hv-1189-hv-don-t-reset-hv_context.tsc_page-on-crash.patch.
- commit faf8858
* Sat Apr 29 2017 colyli@suse.de
- md: clear WantReplacement once disk is removed (FATE#321488).
- md/raid1: Use a new variable to count flighting sync requests
  (FATE#321488).
- Refresh
  patches.drivers/0058-md-reduce-the-number-of-synchronize_rcu-calls-when-m.patch.
- Refresh patches.drivers/0081-block-kill-off-q-flush_flags.patch.
- Refresh
  patches.drivers/0087-md-cleanup-mddev-flag-clear-for-takeover.patch.
- Refresh
  patches.drivers/0150-md-raid5-remove-over-loading-of-bi_phys_segments.patch.
- Refresh
  patches.drivers/0310-block-bio-pass-bvec-table-to-bio_init.patch.
- Refresh
  patches.suse/0001-raid5-separate-header-for-log-functions.patch.
- Refresh
  patches.suse/0002-md-cluster-remove-a-disk-asynchronously-from-cluster.patch.
- Refresh patches.suse/0002-md-superblock-changes-for-PPL.patch.
- Refresh
  patches.suse/0003-raid5-ppl-Partial-Parity-Log-write-logging-implement.patch.
- Refresh
  patches.suse/0011-raid5-ppl-use-resize_stripes-when-enabling-or-disabl.patch.
- Delete patches.suse/md-expedite-hot-remove.
- commit 5bde800
* Fri Apr 28 2017 mbrugger@suse.com
- Revert "arm64: huawei: refresh mbigen patches"
  This reverts commit 4921b65bfc8c8769a55e5bb99823498ad7395e5a.
- commit b1a3c1f
* Fri Apr 28 2017 yousaf.kaukab@suse.com
- arm64: CN88 and CN99 missing patches
- irqdesc: Add a resource managed version of irq_alloc_descs()
  (bsc#1035000).
- gpio: xlp: Fix vulcan IRQ descriptor allocation (bsc#1035000).
- gpio: Add ACPI support for XLP GPIO controller (bsc#1035000).
- gpio: xlp: use resource management for irqs (bsc#1035000).
- gpio: xlp: Update for ARCH_THUNDER2 (bsc#1035000).
- spi: xlp: Add ACPI support for Vulcan SPI controller
  (bsc#1035000).
- spi: xlp: Fix module autoload for OF registration (bsc#1035000).
- ACPI / APD: Add APM X-Gene ACPI I2C device support
  (bsc#1035000).
- ACPI / APD: Add device HID for Vulcan SPI controller
  (bsc#1035000).
- spi: xlp: update for ARCH_VULCAN2 (bsc#1035000).
- i2c: xlp9xx: update for ARCH_THUNDER2 (bsc#1035000).
- iommu: Print a message with the default domain type created
  (bsc#1035479).
- ahci: thunderx2: Fix for errata that affects stop engine
  (bsc#1035000).
- iommu/arm-smmu-v3: Introduce smmu option PAGE0_REGS_ONLY for
  Silicon errata (bsc#1035000).
- iommu/arm-smmu-v3: Do resource size checks based on smmu option
  PAGE0_REGS_ONLY (bsc#1035000).
- iommu/arm-smmu-v3: Introduce smmu option USE_SHARED_IRQS for
  Silicon errata (bsc#1035000).
- ACPICA: IORT: Add SMMuV3 model definitions (bsc#1035000).
- iommu/arm-smmu-v3: For ACPI based device probing, set relevant
  options for different SMMUv3 implementations (bsc#1035000).
- ACPI/IORT: Fixup SMMUv3 resource size for Cavium 99xx SMMUv3
  model (bsc#1035000).
- arm64: Documentation: Add Cavium ThunderX2 SMMUv3 erratas
  (bsc#1035000).
- iommu/arm-smmu, ACPI: Enable Cavium SMMU-v3 (bsc#1035000).
- iommu/arm-smmu-v3: Increase SMMU CMD queue poll timeout
  (bsc#1035479).
- Refresh
  patches.arch/arm64-kvmthunderxgic-0002-Add-workaround-for-Cavium-Thunder-erratum-30115.patch.
- commit 74d8498
* Fri Apr 28 2017 mkubecek@suse.cz
- VSOCK: Detach QP check should filter out non matching QPs
  (bsc#1036752).
- commit f9a7ac8
* Fri Apr 28 2017 mbrugger@suse.com
- arm64: Update config files.
  Enable kexec/kdump related config options.
- commit 7c42920
* Fri Apr 28 2017 mbrugger@suse.com
- kexec: arm64: Add kernel parameter to enable kexec
  (fate#320671).
- Documentation: dt: chosen properties for arm64 kdump
  (fate#320671).
- Documentation: kdump: describe arm64 port (fate#320671).
- arm64: kdump: provide /proc/vmcore file (fate#320671).
- arm64: kdump: add VMCOREINFO's for user-space tools
  (fate#320671).
- arm64: kdump: implement machine_crash_shutdown() (fate#320671).
- arm64: hibernate: preserve kdump image around hibernation
  (fate#320671).
- arm64: kdump: protect crash dump kernel memory (fate#320671).
- arm64: mm: add set_memory_valid() (fate#320671).
- arm64: kdump: reserve memory for crash dump kernel
  (fate#320671).
- arm64: limit memory regions based on DT property,
  usable-memory-range (fate#320671).
- memblock: add memblock_cap_memory_range() (fate#320671).
- memblock: add memblock_clear_nomap() (fate#320671).
- arm64: relocation testing module (fate#320672).
- arm64:acpi: fix the acpi alignment exception when 'mem='
  specified (fate#320671).
- mm/memblock.c: add new infrastructure to address the mem limit
  issue (fate#320671).
- arm64: ptdump: Indicate whether memory should be faulting
  (fate#320671).
- arm64: Add support for ARCH_SUPPORTS_DEBUG_PAGEALLOC
  (fate#320671).
- efi/libstub/arm*: Set default address and size cells values
  for an empty dtb (fate#320672).
- arm64/kexec: Add pr_debug output (fate#320672).
- arm64/kexec: Enable kexec in the arm64 defconfig (fate#320672).
- arm64/kexec: Add core kexec support (fate#320672).
- arm64: Add new asm macro copy_page (fate#320672).
- arm64: kernel: Include _AC definition in page.h (fate#320672).
- arm64: Fold proc-macros.S into assembler.h (fate#320672).
- arm64: Set UTS_MACHINE in the Makefile (bsc#1010032).
- commit de6a5da
* Fri Apr 28 2017 mbrugger@suse.com
- Delete
  patches.drivers/0001-net-hns-set-relation-between-hns_dsaf-and-hns_mdio.patch.
- commit df42890
* Fri Apr 28 2017 mbrugger@suse.com
- net: hns: support deferred probe when no mdio
  (<1493362187-51671-1-git-send-email-yankejian@huawei.com>
).
- net: hns: support deferred probe when can not obtain irq
  (bsc#1033895
).
- net: hns: fix ethtool_get_strings overflow in hns driver
  (bsc#1034366
).
- commit 1ee8776
* Fri Apr 28 2017 jack@suse.cz
- jbd2: Fix dbench4 performance regression for 'nobarrier' mounts
  (bsc#1033750).
- commit ca74b0e
* Fri Apr 28 2017 neilb@suse.com
- Add CVE tag to references
- commit 913945d
* Fri Apr 28 2017 neilb@suse.com
- nfsd: stricter decoding of write-like NFSv2/v3 ops
  (bsc#1034670).
- nfsd4: minor NFSv2/v3 write decoding cleanup (bsc#1034670).
- nfsd: check for oversized NFSv2/v3 arguments (bsc#1034670).
- commit 02d5eda
* Fri Apr 28 2017 tonyj@suse.de
- perf/x86/intel/rapl: Add Knights Mill CPUID (FATE#321923).
- commit 37cd29e
* Thu Apr 27 2017 colyli@suse.de
- md/raid5: sort bios (FATE#321488).
- md/raid1: use bio_clone_bioset_partial() in case of write behind
  (FATE#321488).
- md: remove unnecessary check on mddev (FATE#321488).
- md: fast clone bio in bio_clone_mddev() (FATE#321488).
- dm block manager: add unlikely() annotations on dm_bufio error
  paths (FATE#321488).
- dm space map common: memcpy the disk root to ensure it's arch
  aligned (FATE#321488).
- dm btree: use GFP_NOFS in dm_btree_del() (FATE#321488).
- dm bitset: introduce cursor api (FATE#321488).
- dm cache metadata: use bitset cursor api to load discard bitset
  (FATE#321488).
- dm cache metadata: add "metadata2" feature (FATE#321488).
- dm cache metadata: name the cache block that couldn't be loaded
  (FATE#321488).
- dm bitset: add dm_bitset_new() (FATE#321488).
- dm cache metadata: use dm_bitset_new() to create the dirty
  bitset in format 2 (FATE#321488).
- dm persistent data: add cursor skip functions to the cursor APIs
  (FATE#321488).
- dm cache metadata: use cursor api in
  blocks_are_clean_separate_dirty() (FATE#321488).
- dm space map metadata: constify dm_space_map structures
  (FATE#321488).
- md/raid5: Don't reinvent the wheel but use existing llist API
  (FATE#321488).
- dm round robin: revert "use percpu 'repeat_count' and
  'current_path'" (FATE#321488).
- md/linear: shutup lockdep warnning (FATE#321488).
- md/raid1: fix write behind issues introduced by
  bio_clone_bioset_partial (FATE#321488).
- dm raid: bump the target version (FATE#321488).
- md/raid10: submit bio directly to replacement disk
  (FATE#321488).
- md: delete dead code (FATE#321488).
- md: don't impose the MD_SB_DISKS limit on arrays without
  metadata (FATE#321488).
- drivers/md/bcache/util.h: remove duplicate inclusion of blkdev.h
  (FATE#321488).
- md: fix super_offset endianness in super_1_rdev_size_change
  (FATE#321488).
- md: fix incorrect use of lexx_to_cpu in does_sb_need_changing
  (FATE#321488).
- md/r5cache: fix set_syndrome_sources() for data in cache
  (FATE#321488).
- md/raid1: fix a trivial typo in comments (FATE#321488).
- dm verity fec: limit error correction recursion (FATE#321488).
- dm cache metadata: fix metadata2 format's
  blocks_are_clean_separate_dirty (FATE#321488).
- dm raid: fix NULL pointer dereference for raid1 without bitmap
  (FATE#321488).
- dm verity fec: fix bufio leaks (FATE#321488).
- dm rq: Avoid that request processing stalls sporadically
  (FATE#321488).
- md/raid5: prioritize stripes for writeback (FATE#321488).
- md/raid5-cache: bump flush stripe batch size (FATE#321488).
- md/r5cache: improve recovery with read ahead page pool
  (FATE#321488).
- md/r5cache: handle R5LOG_PAYLOAD_FLUSH in recovery
  (FATE#321488).
- md/r5cache: generate R5LOG_PAYLOAD_FLUSH (FATE#321488).
- md/raid5: use md_write_start to count stripes, not bios
  (FATE#321488).
- md/raid5: simplfy delaying of writes while metadata is updated
  (FATE#321488).
- md/raid5: call bio_endio() directly rather than queueing for
  later (FATE#321488).
- md/raid5: use bio_inc_remaining() instead of repurposing
  bi_phys_segments as a counter (FATE#321488).
- md/raid5: remove over-loading of ->bi_phys_segments
  (FATE#321488).
- Revert "md/raid5: limit request size according to implementation
  limits" (FATE#321488).
- md/raid1, raid10: move rXbio accounting closer to allocation
  (FATE#321488).
- md/raid10: stop using bi_phys_segments (FATE#321488).
- md/raid1: stop using bi_phys_segment (FATE#321488).
- md/raid5: don't test ->writes_pending in raid5_remove_disk
  (FATE#321488).
- md: factor out set_in_sync() (FATE#321488).
- md: close a race with setting mddev->in_sync (FATE#321488).
- percpu-refcount: support synchronous switch to atomic mode
  (FATE#321488).
- MD: use per-cpu counter for writes_pending (FATE#321488).
- md/raid10: refactor some codes from raid10_write_request
  (FATE#321488).
- md: fix several trivial typos in comments (FATE#321488).
- md: raid1/raid10: don't handle failure of bio_add_page()
  (FATE#321488).
- md: move two macros into md.h (FATE#321488).
- md: prepare for managing resync I/O pages in clean way
  (FATE#321488).
- md: raid1: simplify r1buf_pool_free() (FATE#321488).
- md: raid1: don't use bio's vec table to manage resync pages
  (FATE#321488).
- md: raid1: retrieve page from pre-allocated resync page array
  (FATE#321488).
- md: raid1: use bio helper in process_checks() (FATE#321488).
- md: raid1: move 'offset' out of loop (FATE#321488).
- md: raid1: improve write behind (FATE#321488).
- md: raid10: refactor code of read reshape's .bi_end_io
  (FATE#321488).
- md: raid10: don't use bio's vec table to manage resync pages
  (FATE#321488).
- md: raid10: retrieve page from preallocated resync page array
  (FATE#321488).
- md: raid10: avoid direct access to bvec table in
  handle_reshape_read_error (FATE#321488).
- md/raid1: skip data copy for behind io for discard request
  (FATE#321488).
- md/raid5-cache: fix payload endianness problem in raid5-cache
  (FATE#321488).
- md: raid1: kill warning on powerpc_pseries (FATE#321488).
- md: update slab_cache before releasing new stripes when stripes
  resizing (FATE#321488).
- md/raid6: Fix anomily when recovering a single device in RAID6
  (FATE#321488).
- md/raid10: reset the 'first' at the end of loop (FATE#321488).
- md: MD_CLOSING needs to be cleared after called md_set_readonly
  or do_md_stop (FATE#321488).
- md.c:didn't unlock the mddev before return EINVAL in
  array_size_store (FATE#321488).
- md/raid1: avoid reusing a resync bio after error handling
  (FATE#321488).
- md/raid1: simplify the splitting of requests (FATE#321488).
- md/raid1: simplify alloc_behind_master_bio() (FATE#321488).
- md/raid1: simplify handle_read_error() (FATE#321488).
- md/raid1: factor out flush_bio_list() (FATE#321488).
- md/raid10: simplify the splitting of requests (FATE#321488).
- md/raid10: simplify handle_read_error() (FATE#321488).
- md/raid5: make chunk_aligned_read() split bios more cleanly
  (FATE#321488).
- md/linear: improve bio splitting (FATE#321488).
- md/raid0: fix up bio splitting (FATE#321488).
- md: allow creation of mdNNN arrays via
  md_mod/parameters/new_array (FATE#321488).
- md: support disabling of create-on-open semantics (FATE#321488).
- md-cluster: Fix a memleak in an error handling path
  (FATE#321488).
- md/raid10: wait up frozen array in handle_write_completed
  (FATE#321488).
- md/raid1/10: remove unused queue (FATE#321488).
- blk-mq: Introduce blk_mq_delay_run_hw_queue() (bsc#1033577).
- raid5-ppl: silence a misleading warning message (fate#321488).
- md/raid5: use consistency_policy to remove journal feature
  (FATE#321488).
- raid5-ppl: move no_mem_stripes to struct ppl_conf (fate#321488).
- raid5-ppl: use resize_stripes() when enabling or disabling ppl
  (fate#321488).
- raid5-ppl: partial parity calculation optimization
  (fate#321488).
- raid5-ppl: use a single mempool for ppl_io_unit and header_page
  (fate#321488).
- Refresh patches.drivers/0005-md-r5cache-caching-phase-of-r5cache.patch.
- Refresh patches.drivers/0006-md-r5cache-write-out-phase-and-reclaim-support.patch.
- Refresh patches.drivers/0007-md-r5cache-sysfs-entry-journal_mode.patch.
- Refresh patches.drivers/0009-md-r5cache-disable-write-back-for-degraded-array.patch.
- Refresh patches.drivers/0013-raid5-cache-suspend-reclaim-thread-instead-of-shutdo.patch.
- Refresh patches.drivers/0015-md-r5cache-handle-alloc_page-failure.patch.
- Refresh patches.drivers/0039-md-r5cache-enable-chunk_aligned_read-with-write-back.patch.
- Refresh patches.drivers/0310-block-bio-pass-bvec-table-to-bio_init.patch.
- Refresh patches.suse/0001-raid5-separate-header-for-log-functions.patch.
- Refresh patches.suse/0003-raid5-ppl-Partial-Parity-Log-write-logging-implement.patch.
- Refresh patches.suse/0007-md-cluster-introduce-cluster_check_sync_size.patch.
- commit 6701be7
* Thu Apr 27 2017 dsterba@suse.com
- Btrfs: rename and refresh patches from 4.10
  No code changes.
- commit d640055
* Thu Apr 27 2017 hare@suse.de
- libfc: do not flood console with messages 'libfc: queue full
  ...' (bsc#1035889).
- commit 8087068
* Thu Apr 27 2017 hare@suse.de
- target: fixup error message in
  target_tg_pt_gp_tg_pt_gp_id_store() (bsc#1035889).
- target: fixup error message in
  target_tg_pt_gp_alua_access_type_store() (bsc#1035889).
- commit b4d3da2
* Thu Apr 27 2017 hare@suse.de
- Update config files.
- commit d3a06b8
* Thu Apr 27 2017 dsterba@suse.com
- Fix minor build failure
- Refresh
  patches.suse/0004-btrfs-qgroup-Fix-qgroup-data-leaking-by-using-subtre.patch.
- Refresh
  patches.suse/btrfs-0474-relocation-Fix-leaking-qgroups-numbers-on-data.patch.
- Refresh
  patches.suse/btrfs-0488-fix-endless-loop-in-balancing-block-groups.patch.
  The build failed at patch 474, the code got fixed in later patches. Fix
  that so the incremental builds work again.
- commit c8e5457
* Thu Apr 27 2017 hare@suse.de
- qla2xxx: Update driver version to 9.00.00.00-k
  (bsc#1019675,FATE#321701).
- qla2xxx: Fix delayed response to command for loop mode/direct
  connect (bsc#1019675,FATE#321701).
- qla2xxx: Change scsi host lookup method
  (bsc#1019675,FATE#321701).
- qla2xxx: Add DebugFS node to display Port Database
  (bsc#1019675,FATE#321701).
- qla2xxx: Use IOCB interface to submit non-critical MBX
  (bsc#1019675,FATE#321701).
- qla2xxx: Add async new target notification
  (bsc#1019675,FATE#321701).
- qla2xxx: Export DIF stats via debugfs (bsc#1019675,FATE#321701).
- qla2xxx: Improve T10-DIF/PI handling in driver
  (bsc#1019675,FATE#321701).
- qla2xxx: Allow relogin to proceed if remote login did not finish
  (bsc#1019675,FATE#321701).
- qla2xxx: Fix sess_lock & hardware_lock lock order problem
  (bsc#1019675,FATE#321701).
- qla2xxx: Fix inadequate lock protection for ABTS
  (bsc#1019675,FATE#321701).
- qla2xxx: Fix request queue corruption (bsc#1019675,FATE#321701).
- qla2xxx: Fix memory leak for abts processing
  (bsc#1019675,FATE#321701).
- qla2xxx: Allow vref count to timeout on vport delete
  (bsc#1019675,FATE#321701).
- qla2xxx: Fix a warning reported by the "smatch" static checker
  (bsc#1019675,FATE#321701).
- qla2xxx: Avoid using variable-length arrays
  (bsc#1019675,FATE#321701).
- qla2xxx: Simplify usage of SRB structure in driver
  (bsc#1019675,FATE#321701).
- qla2xxx: Improve RSCN handling in driver
  (bsc#1019675,FATE#321701).
- qla2xxx: Remove unused reverse_ini_mode
  (bsc#1019675,FATE#321701).
- qla2xxx: Add Dual mode support in the driver
  (bsc#1019675,FATE#321701).
- qla2xxx: Add framework for async fabric discovery
  (bsc#1019675,FATE#321701).
- qla2xxx: Track I-T nexus as single fc_port struct
  (bsc#1019675,FATE#321701).
- qla2xxx: Use d_id instead of s_id for more clarity
  (bsc#1019675,FATE#321701).
- qla2xxx: Fix wrong argument in sp done callback
  (bsc#1019675,FATE#321701).
- qla2xxx: Remove SRR code (bsc#1019675,FATE#321701).
- qla2xxx: Make trace flags more readable
  (bsc#1019675,FATE#321701).
- qla2xxx: Cleanup TMF code translation from qla_target
  (bsc#1019675,FATE#321701).
- qla2xxx: Remove direct access of scsi_status field in se_cmd
  (bsc#1019675,FATE#321701).
- scsi: fc: move FC transport's bsg code to bsg-lib
  (bsc#1019675,FATE#321701).
- block: add bsg_job_put() and bsg_job_get()
  (bsc#1019675,FATE#321701).
- scsi: fc: use bsg_job_done (bsc#1019675,FATE#321701).
- scsi: fc: use bsg_softirq_done (bsc#1019675,FATE#321701).
- scsi: fc: Use bsg_destroy_job (bsc#1019675,FATE#321701).
- scsi: change FC drivers to use 'struct bsg_job'
  (bsc#1019675,FATE#321701).
- block: add reference counting for struct bsg_job
  (bsc#1019675,FATE#321701).
- scsi: fc: implement kref backed reference counting
  (bsc#1019675,FATE#321701).
- scsi: libfc: don't set FC_RQST_STATE_DONE before calling
  fc_bsg_jobdone() (bsc#1019675,FATE#321701).
- scsi: fc: provide fc_bsg_to_rport() helper
  (bsc#1019675,FATE#321701).
- scsi: fc: provide fc_bsg_to_shost() helper
  (bsc#1019675,FATE#321701).
- scsi: fc: Export fc_bsg_jobdone and use it in FC drivers
  (bsc#1019675,FATE#321701).
- scsi: don't use fc_bsg_job::request and fc_bsg_job::reply
  directly (bsc#1019675,FATE#321701).
- scsi: Get rid of struct fc_bsg_buffer (bsc#1019675,FATE#321701).
- commit 3f50fd3
* Thu Apr 27 2017 dsterba@suse.com
- btrfs: fix WARNING in btrfs_select_ref_head() (bsc#1012452).
- btrfs: pass correct args to btrfs_async_run_delayed_refs()
  (bsc#1012452).
- Btrfs: kill BUG_ON in do_relocation (bsc#1012452).
- Btrfs: remove unnecessary btrfs_mark_buffer_dirty in split_leaf
  (bsc#1012452).
- btrfs: fix btrfs_no_printk stub helper (bsc#1012452).
- Btrfs: memset to avoid stale content in btree leaf
  (bsc#1012452).
- btrfs: parent_start initialization cleanup (bsc#1012452).
- btrfs: fix a possible umount deadlock (bsc#1012452).
- btrfs: btrfs_debug should consume fs_info when DEBUG is not
  defined (bsc#1012452).
- btrfs: convert send's verbose_printk to btrfs_debug
  (bsc#1012452).
- btrfs: convert pr_* to btrfs_* where possible (bsc#1012452).
- btrfs: convert printk(KERN_* to use pr_* calls (bsc#1012452).
- btrfs: unsplit printed strings (bsc#1012452).
- btrfs: clean the old superblocks before freeing the device
  (bsc#1012452).
- Btrfs: kill BUG_ON in run_delayed_tree_ref (bsc#1012452).
- Btrfs: improve check_node to avoid reading corrupted nodes
  (bsc#1012452).
- Btrfs: add error handling for extent buffer in print tree
  (bsc#1012452).
- Btrfs: remove BUG_ON in start_transaction (bsc#1012452).
- Btrfs: memset to avoid stale content in btree node block
  (bsc#1012452).
- Btrfs: kill BUG_ON()'s in btrfs_mark_extent_written
  (bsc#1012452).
- Btrfs: kill the start argument to read_extent_buffer_pages
  (bsc#1012452).
- Btrfs: add a flags field to btrfs_fs_info (bsc#1012452).
- btrfs: extend btrfs_set_extent_delalloc and its friends to
  support in-band dedupe and subpage size patchset (bsc#1012452).
- btrfs: add dynamic debug support (bsc#1012452).
- Btrfs: remove BUG() in raid56 (bsc#1012452).
- btrfs: create example debugfs file only in debugging build
  (bsc#1012452).
- Btrfs: fix memory leak of block group cache (bsc#1012452).
- btrfs: fix check_direct_IO() for non-iovec iterators (bsc#1012452).
- commit 3cdbc58
* Thu Apr 27 2017 yousaf.kaukab@suse.com
- iommu/arm-smmu, ACPI: Enable Cavium SMMU-v2 (bsc#1035479).
- commit e790761
* Thu Apr 27 2017 yousaf.kaukab@suse.com
- iommu/arm-smmu: Return IOVA in iova_to_phys when SMMU is
  bypassed (bsc#1035479).
- commit 3252939
* Thu Apr 27 2017 msuchanek@suse.de
- ibmvnic: Move initialization of sub crqs to ibmvnic_init
  (fate#322021, bsc#1031512).
- commit b9f538b
* Thu Apr 27 2017 msuchanek@suse.de
- ibmvnic: Split initialization of scrqs to its own routine
  (fate#322021, bsc#1031512).
- commit be998d5
* Thu Apr 27 2017 msuchanek@suse.de
- Move ibmvnic patches to same place as SP3 to make merging additional
  patches easier.
- commit fbc045a
* Thu Apr 27 2017 hare@suse.de
- target/iscsi: Fix unsolicited data seq_end_offset calculation
  (bsc#1036489).
- target/cxgbit: add T6 iSCSI DDP completion feature
  (bsc#1036489).
- target/cxgbit: Enable DDP for T6 only if data sequence and
  pdu are in order (bsc#1036489).
- target/cxgbit: Use T6 specific macros to get ETH/IP hdr len
  (bsc#1036489).
- target/cxgbit: use cxgb4_tp_smt_idx() to get smt idx
  (bsc#1036489).
- target/iscsi: split iscsit_check_dataout_hdr() (bsc#1036489).
- target: Add counters for ABORT_TASK success + failure
  (bsc#1036489).
- iscsi-target: Fix early login failure statistics misses
  (bsc#1036489).
- target: Delete tmr from list before processing (bsc#1036489).
- target: Fix handling of aborted failed commands (bsc#1036489).
- uapi: fix linux/target_core_user.h userspace compilation errors
  (bsc#1036489).
- target: export protocol identifier (bsc#1036489).
- target: Remove command flag CMD_T_DEV_ACTIVE (bsc#1036489).
- target: Remove command flag CMD_T_BUSY (bsc#1036489).
- target: Move session check from target_put_sess_cmd() into
  target_release_cmd_kref() (bsc#1036489).
- target: Inline transport_cmd_check_stop() (bsc#1036489).
- target: Remove an overly chatty debug message (bsc#1036489).
- target: Stop execution if CMD_T_STOP has been set (bsc#1036489).
- target: Correct transport_wait_for_tasks() documentation
  (bsc#1036489).
- target: Make core_tmr_abort_task() consider all commands
  (bsc#1036489).
- target: Remove se_tmr_req.tmr_lun (bsc#1036489).
- target/iscsi: Fix iSCSI task reassignment handling
  (bsc#1036489).
- target/iscsi: Introduce a helper function for TMF translation
  (bsc#1036489).
- target/iscsi: Fix spelling of "reallegiance" (bsc#1036489).
- target/iscsi: Fix spelling of "perform" (bsc#1036489).
- target/iscsi: Fix indentation in
  iscsi_target_start_negotiation() (bsc#1036489).
- target/tcm_fc: Remove a set-but-not-used variable (bsc#1036489).
- iscsi_target: deal with short writes on the tx side
  (bsc#1036489).
- target/user: Fix a data type in tcmu_queue_cmd() (bsc#1036489).
- target: Use NULL instead of 0 to represent a pointer
  (bsc#1036489).
- target: fix potential race window in
  target_sess_cmd_list_waiting() (bsc#1036489).
- iscsi-target: fix iscsi cmd leak (bsc#1036489).
- iscsi-target: fix spelling mistake "Unsolicitied" ->
  "Unsolicited" (bsc#1036489).
- target/user: Fix comments to not refer to data ring
  (bsc#1036489).
- target/user: Return an error if cmd data size is too large
  (bsc#1036489).
- target/user: Use sense_reason_t in tcmu_queue_cmd_ring
  (bsc#1036489).
- target: fix spelling mistake: "limitiation" -> "limitation"
  (bsc#1036489).
- iscsi-target: Fix early sk_data_ready LOGIN_FLAGS_READY race
  (bsc#1036489).
- iscsi-target: graceful disconnect on invalid mapping to iovec
  (bsc#1036489).
- target: need_to_release is always false, remove redundant
  check and kfree (bsc#1036489).
- target: remove sess_kref and ->shutdown_session (bsc#1036489).
- iscsi-target: remove usage of ->shutdown_session (bsc#1036489).
- commit 1af3088
* Thu Apr 27 2017 agraf@suse.de
- arm64: Add workaround for Cavium Thunder erratum 30115
  (bsc#1031492).
- Update config files.
- arm64: Add MIDR values for Cavium cn83XX SoCs (bsc#1031492).
- commit 69a3c5d
* Thu Apr 27 2017 hare@suse.de
- Update commit ids
- Refresh
  patches.fixes/target-tcm_fc-Update-debugging-statements-to-match-l.patch.
- Refresh
  patches.fixes/target-tcm_fc-print-command-pointer-in-debug-message.patch.
- Refresh
  patches.fixes/target-tcm_fc-return-detailed-error-in-ft_sess_creat.patch.
- Refresh
  patches.fixes/target-tcm_fc-use-CPU-affinity-for-responses.patch.
- Refresh
  patches.fixes/tcm_fc-set-and-unset-FCP_SPPF_TARG_FCN.patch.
- commit 1dc8ed1
* Thu Apr 27 2017 mcgrof@suse.com
- xfs: remove racy hasattr check from attr ops (bsc#1035432).
- commit 85c1e2b
* Wed Apr 26 2017 bpoirier@suse.com
- net: thunderx: Switch to pci_alloc_irq_vectors (bsc#1035479).
- Refresh
  patches.drivers/dma-add-calls-for-dma_map_page_attrs-and-dma_unmap_p.patch.
- commit d830160
* Wed Apr 26 2017 yousaf.kaukab@suse.com
- arm64: Cortex-A53 errata workaround: check for kernel addresses
  (bsc#1035997).
- commit 8a4384e
* Wed Apr 26 2017 dsterba@suse.com
- Btrfs: fix emptiness check for dirtied extent buffers at
  check_leaf() (bsc#1012452).
- Btrfs: fix BUG_ON in btrfs_mark_buffer_dirty (bsc#1012452).
- commit b56830d
* Wed Apr 26 2017 tiwai@suse.de
- dell-laptop: Adds support for keyboard backlight timeout AC
  settings (bsc#1013561).
- commit 95e4c2e
* Wed Apr 26 2017 yousaf.kaukab@suse.com
- arm64: Add CNTFRQ_EL0 trap handler (bsc#1035997).
- commit 9b981a2
* Wed Apr 26 2017 yousaf.kaukab@suse.com
- arm64: Allow checking of a CPU-local erratum (bsc#1035997).
- arm64: add ESR_ELx_SYS64_ISS_SYS_OP_MASK define (bsc#1035997).
- arm64: Add CNTVCT_EL0 trap handler (bsc#1035997).
- arm64: ptrace: add XZR-safe regs accessors (bsc#1035997).
- arm64: handle sys and undef traps consistently (bsc#1035997).
- arm64: Refactor sysinstr exception handling (bsc#1035997).
- arm64: trap userspace "dc cvau" cache operation on
  errata-affected core (bsc#1035997).
- arm64: consolidate signal injection on emulation errors
  (bsc#1035997).
- arm64: errata: Calling enable functions for CPU errata too
  (bsc#1035997).
- commit bd98809
* Wed Apr 26 2017 dsterba@suse.com
- btrfs: introduce tickets_id to determine whether asynchronous
  metadata reclaim work makes progress (bsc#1012452).
- btrfs: do not decrease bytes_may_use when replaying extents
  (bsc#1012452).
- btrfs: fix one bug that process may endlessly wait for ticket
  in wait_reserve_ticket() (bsc#1012452).
- Btrfs: kill invalid ASSERT() in process_all_refs()
  (bsc#1012452).
- Btrfs: detect corruption when non-root leaf has zero item
  (bsc#1012452).
- Btrfs: check btree node's nritems (bsc#1012452).
- Btrfs: fix em leak in find_first_block_group (bsc#1012452).
- btrfs: do not background blkdev_put() (bsc#1012452).
- Btrfs: clarify do_chunk_alloc()'s return value (bsc#1012452).
- btrfs: fix fsfreeze hang caused by delayed iputs deal
  (bsc#1012452).
- btrfs: update btrfs_space_info's bytes_may_use timely
  (bsc#1012452).
- btrfs: divide btrfs_update_reserved_bytes() into two functions
  (bsc#1012452).
- btrfs: use correct offset for reloc_inode in
  prealloc_file_extent_cluster() (bsc#1012452).
- btrfs: flush_space: treat return value of do_chunk_alloc
  properly (bsc#1012452).
- Btrfs: add ASSERT for block group's memory leak (bsc#1012452).
- Btrfs: fix memory leak of reloc_root (bsc#1012452).
- commit b345de5
* Wed Apr 26 2017 dsterba@suse.com
- Btrfs: add missing check for writeback errors on fsync
  (bsc#1012452).
- Btrfs: fix __MAX_CSUM_ITEMS (bsc#1012452).
- btrfs: btrfs_abort_transaction, drop root parameter
  (bsc#1012452).
- btrfs: add btrfs_trans_handle->fs_info pointer (bsc#1012452).
- btrfs: btrfs_relocate_chunk pass extent_root to
  btrfs_end_transaction (bsc#1012452).
- btrfs: convert nodesize macros to static inlines (bsc#1012452).
- btrfs: introduce BTRFS_MAX_ITEM_SIZE (bsc#1012452).
- btrfs: copy_to_sk drop unused root parameter (bsc#1012452).
- btrfs: hide test-only member under ifdef (bsc#1012452).
- btrfs: Ratelimit "no csum found" info message (bsc#1012452).
- btrfs: Add ratelimit to btrfs printing (bsc#1012452).
- commit 2fdb208
* Wed Apr 26 2017 msuchanek@suse.de
- ibmvnic: Free skb's in cases of failure in transmit
  (fate#322021, bsc#1031512).
- ibmvnic: Validate napi exist before disabling them (fate#322021,
  bsc#1031512).
- commit 5e744b4
* Wed Apr 26 2017 msuchanek@suse.de
- ibmvnic: Add set_link_state routine for setting adapter link
  state (fate#322021, bsc#1031512).
- ibmvnic: Move initialization of the stats token to ibmvnic_open
  (fate#322021, bsc#1031512).
- commit 82da697
* Wed Apr 26 2017 msuchanek@suse.de
- ibmvnic: Only retrieve error info if present (fate#322021,
  bsc#1031512).
- commit ae5a7aa
* Wed Apr 26 2017 msuchanek@suse.de
- ibmvnic: Insert header on VLAN tagged received frame
  (fate#322021, bsc#1031512).
- ibmvnic: Set real number of rx queues (fate#322021,
  bsc#1031512).
- commit e70fc92
* Wed Apr 26 2017 msuchanek@suse.de
- ibmvnic: Remove unused bouce buffer (fate#322021, bsc#1031512).
- ibmvnic: Allocate zero-filled memory for sub crqs (fate#322021,
  bsc#1031512).
- commit 85e4bcc
* Wed Apr 26 2017 msuchanek@suse.de
- ibmvnic: Disable irq prior to close (fate#322021, bsc#1031512).
- commit d7c3d51
* Wed Apr 26 2017 msuchanek@suse.de
- ibmvnic: Correct crq and resource releasing (fate#322021,
  bsc#1031512).
- ibmvnic: Remove inflight list (fate#322021, bsc#1031512).
- commit 815bed0
* Wed Apr 26 2017 msuchanek@suse.de
- ibmvnic: Do not disable IRQ after scheduling tasklet
  (fate#322021, bsc#1031512).
- ibmvnic: Fixup atomic API usage (fate#322021, bsc#1031512).
- commit 20662d2
* Wed Apr 26 2017 msuchanek@suse.de
- ibmvnic: Unmap longer term buffer before free (fate#322021,
  bsc#1031512).
- commit 8c339d2
* Wed Apr 26 2017 msuchanek@suse.de
- ibmvnic: Fix ibmvnic_change_mac_addr struct format (fate#322021,
  bsc#1031512).
- ibmvnic: Report errors when failing to release sub-crqs
  (fate#322021, bsc#1031512).
- commit 75717d1
* Wed Apr 26 2017 msuchanek@suse.de
- ibmvnic: Cleanup failure path in ibmvnic_open (fate#322021,
  bsc#1031512).
- ibmvnic: Create init/release routines for stats token
  (fate#322021, bsc#1031512).
- commit 418c6f3
* Wed Apr 26 2017 msuchanek@suse.de
- ibmvnic: Merge the two release_sub_crq_queue routines
  (fate#322021, bsc#1031512).
- commit 0e95be5
* Wed Apr 26 2017 msuchanek@suse.de
- ibmvnic: Create init and release routines for the rx pool
  (fate#322021, bsc#1031512).
- ibmvnic: Create init and release routines for the tx pool
  (fate#322021, bsc#1031512).
- commit 3ec99d7
* Wed Apr 26 2017 msuchanek@suse.de
- ibmvnic: Create init and release routines for the bounce buffer
  (fate#322021, bsc#1031512).
- ibmvnic: Update main crq initialization and release
  (fate#322021, bsc#1031512).
- commit 0d8b8e4
* Wed Apr 26 2017 msuchanek@suse.de
- ibmvnic: Remove debugfs support (fate#322021, bsc#1031512).
- commit 1cd5506
* Wed Apr 26 2017 tbogendoerfer@suse.de
- RDMA/qedr: Add uapi header qedr-abi.h (bsc#1022604).
- IB/cxgb3: fix misspelling in header guard (bsc#1022604).
- RDMA/core: Unify style of IOCTL commands (bsc#1022604).
- RDMA/core: Rename RDMA magic number (bsc#1022604).
- RDMA/core: Move HFI1 IOCTL declarations to common file
  (bsc#1022604).
- RDMA/hfi1: Avoid redeclaration error (bsc#1022604).
- RDMA/core: Move legacy MAD IOCTL declarations to common file
  (bsc#1022604).
- RDMA/core: Commonize RDMA IOCTL declarations location
  (bsc#1022604).
- rdma UAPI: Use __kernel_sockaddr_storage (bsc#1022604).
- IB/hns: Move HNS RoCE user vendor structures (bsc#1022604).
- IB/mthca: Move user vendor structures (bsc#1022604).
- IB/nes: Move user vendor structures (bsc#1022604).
- IB/ocrdma: Move user vendor structures (bsc#1022604).
- IB/cxgb4: Move user vendor structures (bsc#1022604).
- IB/cxgb3: Move user vendor structures (bsc#1022604).
- IB/netlink: Add a new local service operation (bsc#1022604).
- i40iw: add entry in rdma_netlink (bsc#1022604).
- commit 01de7db
* Wed Apr 26 2017 duwe@suse.de
- Use up spare in struct module for livepatch (FATE#322421).
- blacklist.conf: ignore simple change in Kconfig help text
- Update ppc64le config files to use KGRAFT.
- powerpc: introduce TIF_KGR_IN_PROGRESS thread flag
  (FATE#322421).
- powerpc/livepatch: Add live patching support on ppc64le
  (FATE#322421).
- KABI: Hide new include in arch/powerpc/kernel/process.c
  (fate#322421).
- powerpc/livepatch: Add livepatch stack to struct thread_info
  (FATE#322421).
- powerpc/livepatch: Add livepatch header (FATE#322421).
- livepatch: Allow architectures to specify an alternate ftrace
  location (FATE#322421).
- ftrace: Make ftrace_location_range() global (FATE#322421).
- powerpc/ftrace: Add Kconfig & Make glue for mprofile-kernel
  (FATE#322421).
- powerpc/modules: Never restore r2 for a mprofile-kernel style
  mcount() call (FATE#322421).
- powerpc/ftrace: Add support for -mprofile-kernel ftrace ABI
  (FATE#322421).
- powerpc/ftrace: Use $(CC_FLAGS_FTRACE) when disabling ftrace
  (FATE#322421).
- powerpc/ftrace: Use generic ftrace_modify_all_code()
  (FATE#322421).
- powerpc/module: Create a special stub for ftrace_caller()
  (FATE#322421).
- powerpc/module: Mark module stubs with a magic value
  (FATE#322421).
- powerpc/module: Only try to generate the ftrace_caller()
  stub once (FATE#322421).
- powerpc: Create a helper for getting the kernel toc value
  (FATE#322421).
- commit 5063e5a
* Wed Apr 26 2017 msuchanek@suse.de
- powerpc/mm: Fix swapper_pg_dir size on 64-bit hash w/64K pages
  (bsc#1027457, fate#322470).
- commit 1974aae
* Wed Apr 26 2017 dsterba@suse.com
- Btrfs: fix panic in balance due to EIO (bsc#1012452).
- Btrfs: fix eb memory leak due to readpage failure (bsc#1012452).
- Btrfs: change BUG_ON()'s to ASSERT()'s in
  backref_cache_cleanup() (bsc#1012452).
- btrfs: fix free space calculation in dump_space_info()
  (bsc#1012452).
- Btrfs: subpage-blocksize: Rate limit scrub error message
  (bsc#1012452).
- btrfs: expand cow_file_range() to support in-band dedup and
  subpage-blocksize (bsc#1012452).
- Btrfs: fix BUG_ON in btrfs_submit_compressed_write
  (bsc#1012452).
- btrfs: make sure device is synced before return (bsc#1012452).
- btrfs: reorg btrfs_close_one_device() (bsc#1012452).
- btrfs: Cleanup compress_file_range() (bsc#1012452).
- Btrfs: cleanup BUG_ON in merge_bio (bsc#1012452).
- btrfs: Fix slab accounting flags (bsc#1012452).
- Btrfs: use the correct struct for BTRFS_IOC_LOGICAL_INO
  (bsc#1012452).
- btrfs: Replace -ENOENT by -ERANGE in btrfs_get_acl()
  (bsc#1012452).
- btrfs: Handle uninitialised inode eviction (bsc#1012452).
- Btrfs: fix read_node_slot to return errors (bsc#1012452).
- Btrfs: fix double free of fs root (bsc#1012452).
- Btrfs: error out if generic_bin_search get invalid arguments
  (bsc#1012452).
- Btrfs: check inconsistence between chunk and block group
  (bsc#1012452).
- btrfs: add missing bytes_readonly attribute file in sysfs
  (bsc#1012452).
- commit 9a2e2fb
* Wed Apr 26 2017 msuchanek@suse.de
- powerpc/mmap: Any hint > 128TB searches the full VA space
  (bsc#1027457, fate#322470).
- commit 4d359f5
* Wed Apr 26 2017 msuchanek@suse.de
- powerpc/mm: Use mm->task_size for boundary checking
  (bsc#1027457, fate#322470).
- commit 762901a
* Wed Apr 26 2017 dsterba@suse.com
- Btrfs: avoid deadlocks during reservations in
  btrfs_truncate_block (bsc#1012452).
- Btrfs: use FLUSH_LIMIT for relocation in reserve_metadata_bytes
  (bsc#1012452).
- Btrfs: fill relocation block rsv after allocation (bsc#1012452).
- Btrfs: always use trans->block_rsv for orphans (bsc#1012452).
- Btrfs: change how we calculate the global block rsv
  (bsc#1012452).
- Btrfs: use root when checking need_async_flush (bsc#1012452).
- Btrfs: don't bother kicking async if there's nothing to reclaim
  (bsc#1012452).
- Btrfs: fix release reserved extents trace points (bsc#1012452).
- Btrfs: add tracepoints for flush events (bsc#1012452).
- Btrfs: fix delalloc reservation amount tracepoint (bsc#1012452).
- Btrfs: trace pinned extents (bsc#1012452).
- Btrfs: introduce ticketed enospc infrastructure (bsc#1012452).
- Btrfs: add tracepoint for adding block groups (bsc#1012452).
- Btrfs: warn_on for unaccounted spaces (bsc#1012452).
- Btrfs: change delayed reservation fallback behavior
  (bsc#1012452).
- Btrfs: always reserve metadata for delalloc extents
  (bsc#1012452).
- Btrfs: fix callers of btrfs_block_rsv_migrate (bsc#1012452).
- Btrfs: add bytes_readonly to the spaceinfo at once
  (bsc#1012452).
- commit e3ef9b3
* Wed Apr 26 2017 dsterba@suse.com
- Btrfs: rename and refresh patches from 4.9
  No code changes.
- commit 0cc55cd
* Wed Apr 26 2017 dchang@suse.com
- bnxt_en: Restrict a PF in Multi-Host mode from changing port
  PHY configuration (bsc#1020412 FATE#321671).
- bnxt_en: Check the FW_LLDP_AGENT flag before allowing DCBX
  host agent (bsc#1020412 FATE#321671).
- bnxt_en: Add 100G link speed reporting for BCM57454 ASIC in
  ethtool (bsc#1020412 FATE#321671).
- bnxt_en: Fix VF attributes reporting (bsc#1020412 FATE#321671).
- bnxt_en: Pass DCB RoCE app priority to firmware (bsc#1020412
  FATE#321671).
- bnxt_en: Cap the msix vector with the max completion rings
  (bsc#1020412 FATE#321671).
- bnxt_en: Add basic ethtool -t selftest support (bsc#1020412
  FATE#321671).
- bnxt_en: Add suspend/resume callbacks (bsc#1020412 FATE#321671).
- bnxt_en: Add ethtool set_wol method (bsc#1020412 FATE#321671).
- bnxt_en: Add ethtool get_wol method (bsc#1020412 FATE#321671).
- bnxt_en: Add pci shutdown method (bsc#1020412 FATE#321671).
- bnxt_en: Add basic WoL infrastructure (bsc#1020412 FATE#321671).
- bnxt_en: Update firmware interface spec to 1.7.6.2 (bsc#1020412
  FATE#321671).
- bnxt_en: Correct the order of arguments to netdev_err() in
  bnxt_set_tpa() (bsc#1020412 FATE#321671).
- bnxt_en: Fix NULL pointer dereference in reopen failure path
  (bsc#1020412 FATE#321671).
- commit fbaaf97
* Wed Apr 26 2017 brogers@suse.com
- KVM: x86: fix NULL deref in vcpu_scan_ioapic (FATE#321335).
- KVM: x86: fix out-of-bounds access in lapic (FATE#321335).
- commit ac0b0aa
* Wed Apr 26 2017 brogers@suse.com
- kvm: introduce KVM_MAX_VCPU_ID (FATE#321335).
- kvm/irqchip: kvm_arch_irq_routing_update renaming split
  (FATE#321335).
- KVM: pass struct kvm to kvm_set_routing_entry (FATE#321335).
- KVM: remove NULL return path for vcpu ids >= KVM_MAX_VCPUS
  (FATE#321335).
- KVM: Unify traced vector format (FATE#321335).
- KVM: use heuristic for fast VCPU lookup by id (FATE#321335).
- KVM: VMX: optimize APIC ID read with APICv (FATE#321335).
- KVM: x86: add a flag to disable KVM x2apic broadcast quirk
  (FATE#321335).
- KVM: x86: add kvm_apic_map_get_dest_lapic (FATE#321335).
- KVM: x86: add KVM_CAP_X2APIC_API (FATE#321335).
- KVM: x86: Add lowest-priority support for vt-d posted-interrupts
  (FATE#321335).
- KVM: x86: bump KVM_MAX_VCPU_ID to 1023 (FATE#321335).
- KVM: x86: dynamic kvm_apic_map (FATE#321335).
- KVM: x86: fix *NULL on invalid low-prio irq (FATE#321335).
- KVM: x86: fix out-of-bounds accesses of rtc_eoi map
  (FATE#321335).
- kvm/x86: Hyper-V synthetic interrupt controller (FATE#321335).
- KVM: x86: Rename kvm_apic_get_reg to kvm_lapic_get_reg
  (FATE#321335).
- KVM: x86: reset APIC ID when enabling LAPIC (FATE#321335).
- KVM: x86: reset lapic base in kvm_lapic_reset (FATE#321335).
- kvm/x86: split ioapic-handled and EOI exit bitmaps
  (FATE#321335).
- KVM: x86: use generic function for MSI parsing (FATE#321335).
- KVM: x86: use hardware-compatible format for APIC ID register
  (FATE#321335).
- KVM: x86: use physical LAPIC array for logical x2APIC
  (FATE#321335).
- KVM: x86: Use vector-hashing to deliver lowest-priority
  interrupts (FATE#321335).
- Refresh
  patches.drivers/0012-svm-implements-update_pi_irte-hook-to-setup-posted-interrupt.
- Refresh
  patches.fixes/0003-kvm-x86-check-dest_map-vector-to-match-eoi-signals-for-rtc.
- Refresh patches.suse/printk-mark_kgr_task_safe.patch.
- commit e4c3658
* Tue Apr 25 2017 dsterba@suse.com
- btrfs: fix crash when tracepoint arguments are freed by wq
  callbacks (bsc#1012452).
- commit 02ea63e
* Tue Apr 25 2017 dbueso@suse.de
- mm,compaction: serialize waitqueue_active() checks (bsc#971975).
- commit 7516afc
* Tue Apr 25 2017 dsterba@suse.com
- Btrfs: rename and refresh patches from 4.8
  Added patches for context:
  * patches.suse/btrfs-0443-plumb-fs_info-into-btrfs_work.patch
  * patches.suse/btrfs-0444-prefix-fsid-to-all-trace-events.patch
  The rest replaced by current upstream version, minor code changes.
- commit 5da4605
* Tue Apr 25 2017 jeffm@suse.com
- Btrfs: don't WARN() in btrfs_transaction_abort() for IO errors
  (bsc#1035866).
- commit 1f304e0
* Tue Apr 25 2017 yousaf.kaukab@suse.com
- arm64: huawei: refresh mbigen patches
- ACPI/IORT: Add missing comment for iort_dev_find_its_id()
  (fate#322150).
- ACPI/IORT: Rework iort_match_node_callback() return value
  handling (fate#322150).
- ACPI/IORT: Rename iort_node_map_rid() to make it generic
  (fate#322150).
- ACPI/IORT: Introduce iort_node_map_platform_id() to retrieve
  dev id (fate#322150).
- ACPI: platform-msi: retrieve devid from IORT (fate#322150).
- ACPI: platform: setup MSI domain for ACPI based platform device
  (fate#322150).
- irqchip/gic-v3-its: Keep the include header files in alphabetic
  order (fate#322150).
- irqchip/gicv3-its: platform-msi: Refactor its_pmsi_prepare()
  (fate#322150).
- irqchip/gicv3-its: platform-msi: Refactor its_pmsi_init()
  to prepare for ACPI (fate#322150).
- irqchip/gicv3-its: platform-msi: Scan MADT to create platform
  msi domain (fate#322150).
- platform-msi: Make platform_msi_create_device_domain() ACPI
  aware (fate#322150).
- irqchip/mbigen: Drop module owner (fate#322150).
- irqchip/mbigen: Introduce mbigen_of_create_domain()
  (fate#322150).
- ACPI/IORT: Fix the indentation in iort_scan_node()
  (fate#322150).
- irqchip/mbigen: Add ACPI support (fate#322150).
- Delete
  patches.arch/0002-ACPI-IORT-Add-missing-comment-for-iort_dev_find_its_id.patch.
- Delete
  patches.arch/0003-ACPI-IORT-Rework-iort_match_node_callback-return-value-handling.patch.
- Delete
  patches.arch/0004-irqchip-gic-v3-its-keep-the-include-header-files-in-alphabetic-order.patch.
- Delete
  patches.arch/0005-irqchip-gicv3-its-platform-msi-refactor-its_pmsi_prepare.patch.
- Delete
  patches.arch/0006-irqchip-gicv3-its-platform-msi-refactor-its_pmsi_init-to-prepare-for-ACPI.patch.
- Delete
  patches.arch/0007-irqchip-gicv3-its-platform-msi-scan-MADT-to-create-platform-msi-domain.patch.
- Delete
  patches.arch/0008-ACPI-IORT-Rename-iort_node_map_rid-to-make-it-generic.patch.
- Delete
  patches.arch/0009-ACPI-IORT-Introduce-iort_node_map_platform_id-to-retrieve-dev-id.patch.
- Delete
  patches.arch/0010-ACPI-platform-msi-retrieve-dev-id-from-IORT.patch.
- Delete
  patches.arch/0011-ACPI-platform-setup-MSI-domain-for-ACPI-based-platform-device.patch.
- Delete
  patches.arch/0012-msi-platform-make-platform_msi_create_device_domain-ACPI-aware.patch.
- Delete patches.arch/0013-irqchip-mbigen-drop-module-owner.patch.
- Delete
  patches.arch/0014-irqchip-mbigen-introduce-mbigen_of_create_domain.patch.
- commit 4921b65
* Tue Apr 25 2017 mbrugger@suse.com
- x86/efi: Don't try to reserve runtime regions (bsc#1036037).
- mmc: dw_mmc: Don't allow Runtime PM for SDIO cards
  (bsc#1036037).
- pwm: rockchip: State of PWM clock should synchronize with PWM
  enabled state (bsc#1036037).
- commit 135231f
* Tue Apr 25 2017 mmarek@suse.com
- rpm/SLES-UEFI-SIGN-Certificate-2048.crt: Update the certificate (bsc#1035922)
- commit 1095e19
* Tue Apr 25 2017 jkosina@suse.cz
- perf/x86/intel/uncore: Remove SBOX support for Broadwell server
  (bsc#1035887).
- commit 0f034f1
* Tue Apr 25 2017 colyli@suse.de
- seq_file: reset iterator to first record for zero offset
  (bsc#1034654).
- commit ab630ef
* Tue Apr 25 2017 bpoirier@suse.com
- thunderx followup patches for SLE12-SP3 (bsc#1035479)
  f9aa9dc7d2d0 Merge git://git.kernel.org/pub/scm/linux/kernel/git/davem/net (v4.10-rc1)
  This commit has important merge resolution for thunder
  83abb7d7c91f net: thunderx: Fix IOMMU translation faults (v4.11-rc3)
  depends on 0495c3d36794 from the following series
  8a3385d2d47c arch/arc: add option to skip sync on DMA mapping (v4.10-rc1)
  fc1b138de791 arch/arm: add option to skip sync on DMA map and unmap (v4.10-rc1)
  e8b4762c2258 arch/avr32: add option to skip sync on DMA map (v4.10-rc1)
  8c16a2e209d5 arch/blackfin: add option to skip sync on DMA map (v4.10-rc1)
  64c596b59c72 arch/c6x: add option to skip sync on DMA map and unmap (v4.10-rc1)
  34f8be79a772 arch/frv: add option to skip sync on DMA map (v4.10-rc1)
  b8a346dd472a arch/hexagon: Add option to skip DMA sync as a part of mapping (v4.10-rc1)
  5140d2344f10 arch/m68k: add option to skip DMA sync as a part of mapping (v4.10-rc1)
  38bdbdc7e391 arch/metag: add option to skip DMA sync as a part of map and unmap (v4.10-rc1)
  98ac2fc274e0 arch/microblaze: add option to skip DMA sync as a part of map and unmap (v4.10-rc1)
  9f318d470e37 arch/mips: add option to skip DMA sync as a part of map and unmap (v4.10-rc1)
  abdf4799dac6 arch/nios2: add option to skip DMA sync as a part of map and unmap (v4.10-rc1)
  043b42bcbbc6 arch/openrisc: add option to skip DMA sync as a part of mapping (v4.10-rc1)
  f50a2bd298b4 arch/parisc: add option to skip DMA sync as a part of map and unmap (v4.10-rc1)
  6f774809612d arch/powerpc: add option to skip DMA sync as a part of mapping (v4.10-rc1)
  a08120017d7d arch/sh: add option to skip DMA sync as a part of mapping (v4.10-rc1)
  68bbc28f616c arch/sparc: add option to skip DMA sync as a part of map and unmap (v4.10-rc1)
  33c77e53d838 arch/tile: add option to skip DMA sync as a part of map and unmap (v4.10-rc1)
  4bfa135abec9 arch/xtensa: add option to skip DMA sync as a part of mapping (v4.10-rc1)
  0495c3d36794 dma: add calls for dma_map_page_attrs and dma_unmap_page_attrs (v4.10-rc1)
  5be5955425c2 igb: update driver to make use of DMA_ATTR_SKIP_CPU_SYNC (v4.10-rc1)
  not related to thunder but it was skipped earlier
  because of the missing api, so add it now
  All of the above commits, adjusted for the absence of
  00085f1efa38 dma-mapping: use unsigned long for dma_attrs (v4.8-rc1)
  3a9024f52c2e net: thunderx: Enable TSO and checksum offloads for ipv6 (remotes/net-next/master)
  ce211b172b1e net: thunderx: Switch to pci_alloc_irq_vectors (remotes/net-next/master)
  pci_enable_msix() is not going away in the SP3 4.4 kernel
  skipped
- Merge git://git.kernel.org/pub/scm/linux/kernel/git/davem/net
  (bsc#1035479).
- arch/arc: add option to skip sync on DMA mapping (bsc#1035479).
- arch/arm: add option to skip sync on DMA map and unmap
  (bsc#1035479).
- arch/avr32: add option to skip sync on DMA map (bsc#1035479).
- arch/blackfin: add option to skip sync on DMA map (bsc#1035479).
- arch/c6x: add option to skip sync on DMA map and unmap
  (bsc#1035479).
- arch/frv: add option to skip sync on DMA map (bsc#1035479).
- arch/hexagon: Add option to skip DMA sync as a part of mapping
  (bsc#1035479).
- arch/m68k: add option to skip DMA sync as a part of mapping
  (bsc#1035479).
- arch/metag: add option to skip DMA sync as a part of map and
  unmap (bsc#1035479).
- arch/microblaze: add option to skip DMA sync as a part of map
  and unmap (bsc#1035479).
- arch/mips: add option to skip DMA sync as a part of map and
  unmap (bsc#1035479).
- arch/nios2: add option to skip DMA sync as a part of map and
  unmap (bsc#1035479).
- arch/openrisc: add option to skip DMA sync as a part of mapping
  (bsc#1035479).
- arch/parisc: add option to skip DMA sync as a part of map and
  unmap (bsc#1035479).
- arch/powerpc: add option to skip DMA sync as a part of mapping
  (bsc#1035479).
- arch/sh: add option to skip DMA sync as a part of mapping
  (bsc#1035479).
- arch/sparc: add option to skip DMA sync as a part of map and
  unmap (bsc#1035479).
- arch/tile: add option to skip DMA sync as a part of map and
  unmap (bsc#1035479).
- arch/xtensa: add option to skip DMA sync as a part of mapping
  (bsc#1035479).
- dma: add calls for dma_map_page_attrs and dma_unmap_page_attrs
  (bsc#1035479).
- igb: update driver to make use of DMA_ATTR_SKIP_CPU_SYNC
  (bsc#1024361 FATE#321242 bsc#1024365 FATE#321243).
- net: thunderx: Enable TSO and checksum offloads for ipv6
  (bsc#1035479).
- net: thunderx: Fix IOMMU translation faults (bsc#1035479).
- Refresh
  patches.drivers/igb-update-code-to-better-handle-incrementing-page-c.patch.
- Refresh
  patches.drivers/mm-rename-__page_frag-functions-to-__page_frag_cache.patch.
- commit 100bed4
* Mon Apr 24 2017 yousaf.kaukab@suse.com
- EDAC, thunderx: Remove unused code (bsc#1035479).
- EDAC, thunderx: Change LMC index calculation (bsc#1035479).
- EDAC, thunderx: Fix L2C MCI interrupt disable (bsc#1035479).
- EDAC, thunderx: Add Cavium ThunderX EDAC driver (bsc#1035479).
- commit d54a7dc
* Mon Apr 24 2017 yousaf.kaukab@suse.com
- arm64: thunderx: remove edac driver
  Prepare to backport mainline driver
- commit 3b05354
* Mon Apr 24 2017 tiwai@suse.de
- Disable CONFIG_POWER_SUPPLY_DEBUG in debug kernel (bsc#1031500).
- commit 3f2b92f
* Mon Apr 24 2017 yousaf.kaukab@suse.com
- arm64: unistd32.h: wire up missing syscalls for compat tasks
  (bsc#1020907).
- generic syscalls: wire up preadv2 and pwritev2 syscalls
  (bsc#1020907).
- commit 4dce8be
* Mon Apr 24 2017 bp@suse.de
- x86/mce: Make the MCE notifier a blocking one (fate#319858).
- commit 8e7128f
* Mon Apr 24 2017 tiwai@suse.de
- Refresh patches.drivers/drm-i915-Fix-bogus-dig_port_map-assignment-for-pre-H
  Blacklist the cherry-picked commit
- commit a459b5c
* Mon Apr 24 2017 dsterba@suse.com
- Btrfs: fix an integer overflow check (bsc#1012452).
- commit b2079a7
* Mon Apr 24 2017 dsterba@suse.com
- Btrfs: Force stripesize to the value of sectorsize
  (bsc#1012452).
- btrfs: fix disk_i_size update bug when fallocate() fails
  (bsc#1012452).
- Btrfs: fix error handling in map_private_extent_buffer
  (bsc#1012452).
- Btrfs: fix error return code in btrfs_init_test_fs()
  (bsc#1012452).
- Btrfs: don't do nocow check unless we have to (bsc#1012452).
- btrfs: fix deadlock in delayed_ref_async_start (bsc#1012452).
- Btrfs: track transid for delayed ref flushing (bsc#1012452).
- Btrfs: btrfs_check_super_valid: Allow 4096 as stripesize
  (bsc#1012452).
- btrfs: remove build fixup for qgroup_account_snapshot
  (bsc#1012452).
- btrfs: use new error message helper in qgroup_account_snapshot
  (bsc#1012452).
- btrfs: avoid blocking open_ctree from cleaner_kthread
  (bsc#1012452).
- Btrfs: don't BUG_ON() in btrfs_orphan_add (bsc#1012452).
- Btrfs: check if extent buffer is aligned to sectorsize
  (bsc#1012452).
- commit 75e1d72
* Mon Apr 24 2017 jthumshirn@suse.de
- libnvdimm: band aid btt vs clear poison locking (FATE#321135).
- libnvdimm: fix blk free space accounting (FATE#321135).
- libnvdimm, namespace: do not delete namespace-id 0
  (FATE#321135).
- IB/srp: fix invalid indirect_sg_entries parameter value
  (bsc#1023764).
- scsi: aacraid: Fix potential null access (bsc#1022607,
  FATE#321673).
- commit 293ee26
* Mon Apr 24 2017 jthumshirn@suse.de
- scsi: lpfc: fix building without debugfs support (FATE#321664,
  bsc#1017969).
- commit c61f93c
* Mon Apr 24 2017 yousaf.kaukab@suse.com
- PCI/ACPI: Add ThunderX pass2.x 2nd node MCFG quirk
  (bsc#1035479).
- PCI/ACPI: Tidy up MCFG quirk whitespace (bsc#1035479).
- PCI: Avoid generating invalid ThunderX2 DMA aliases
  (bsc#1035479).
- PCI: Add device flag PCI_DEV_FLAGS_BRIDGE_XLATE_ROOT
  (bsc#1035479).
- PCI: Apply Cavium ACS quirk only to CN81xx/CN83xx/CN88xx devices
  (bsc#1035479).
- PCI: Add ACS quirk for all Cavium devices (bsc#1035479).
- iommu: Allow default domain type to be set on the kernel
  command line (bsc#1035479).
- iommu/arm-smmu-v3: Install bypass STEs for IOMMU_DOMAIN_IDENTITY
  domains (bsc#1035479).
- iommu/arm-smmu-v3: Make arm_smmu_install_ste_for_dev return void
  (bsc#1035479).
- iommu/arm-smmu: Install bypass S2CRs for IOMMU_DOMAIN_IDENTITY
  domains (bsc#1035479).
- iommu/arm-smmu: Restrict domain attributes to UNMANAGED domains
  (bsc#1035479).
- iommu/arm-smmu: Fix 16-bit ASID configuration (bsc#1035479).
- iommu/arm-smmu: Print message when Cavium erratum 27704 was
  detected (bsc#1035479).
- commit 8e4e277
* Mon Apr 24 2017 yousaf.kaukab@suse.com
- arm64: thunderx2: remove pci workaround
  Prepare to bring in upstream patch
- commit c478074
* Mon Apr 24 2017 jslaby@suse.cz
- Linux 4.4.63 (CVE-2017-2596 CVE-2017-6353 CVE-2017-7618
  bnc#1012382 boo#1011250 bsc#1019148 bsc#1022785 bsc#1027066
  bsc#1033340).
- kABI: protect cgroup include in kernel/kthread (kabi).
- blacklist.conf: add one more
- Revert "acpi, nfit, libnvdimm: fix interleave set cookie
  calculation (64-bit comparison)" (kabi).
- Refresh
  patches.drivers/0037-libnvdimm-nfit-centralize-command-status-translation.patch.
- Refresh patches.kabi/kabi-protect-struct-task_struct.patch.
- Refresh
  patches.suse/sched-provide-rtkthreads-rtworkqueues-boot-options.patch.
- Delete
  patches.drivers/ibmveth-0004-calculate-gso_segs-for-large-packets.patch.
- Delete
  patches.fixes/0001-SUNRPC-fix-refcounting-problems-with-auth_gss-messag.patch.
- Delete
  patches.fixes/crypto-ahash-Fix-EINPROGRESS-notification-callback.
- Delete patches.fixes/kvm-fix-page-struct-leak-in-handle_vmon.
- Delete
  patches.fixes/sctp-deny-peeloff-operation-on-asocs-with-threads-sl.patch.
- commit cd65558
* Sat Apr 22 2017 agraf@suse.de
- Delete patches.arch/kvmarm-sp3-0003-kvm-arm-arm64-Fix-locking-for-kvm_free_stage2_pgd.patch. (bsc#1034339)
- commit 5ad8494
* Fri Apr 21 2017 agraf@suse.de
- kvm: better MWAIT emulation for guests (bsc#1031142).
- commit e7bdf5d
* Fri Apr 21 2017 dsterba@suse.com
- btrfs: Use correct format specifier (bsc#1012452).
- commit 8afec66
* Fri Apr 21 2017 dsterba@suse.com
- Btrfs: add validadtion checks for chunk loading (bsc#1012452).
- Btrfs: add more validation checks for superblock (bsc#1012452).
- Btrfs: clear uptodate flags of pages in sys_array eb
  (bsc#1012452).
- Btrfs: end transaction if we abort when creating uuid root
  (bsc#1012452).
- btrfs: Use __u64 in exported linux/btrfs.h (bsc#1012452).
- Btrfs: Fix integer overflow when calculating bytes_per_bitmap
  (bsc#1012452).
- commit 4e509dc
* Fri Apr 21 2017 dsterba@suse.com
- Btrfs: fix race between device replace and read repair
  (bsc#1012452).
- Btrfs: fix race between device replace and discard
  (bsc#1012452).
- Btrfs: fix race between device replace and chunk allocation
  (bsc#1012452).
- Btrfs: fix race setting block group back to RW mode during
  device replace (bsc#1012452).
- Btrfs: fix unprotected assignment of the left cursor for device
  replace (bsc#1012452).
- Btrfs: fix race setting block group readonly during device
  replace (bsc#1012452).
- commit 3a4d6a9
* Fri Apr 21 2017 dsterba@suse.com
- Btrfs: fix race between device replace and block group removal
  (bsc#1012452).
- commit dd7587d
* Fri Apr 21 2017 dsterba@suse.com
- Btrfs: fix race between readahead and device replace/removal
  (bsc#1012452).
- commit 61461d8
* Fri Apr 21 2017 dsterba@suse.com
- Rename btrfs-8069-fix-handling-of-faults-from-btrfs_copy_from_us
- commit 424515b
* Fri Apr 21 2017 dsterba@suse.com
- btrfs: sink gfp parameter to convert_extent_bit (bsc#1012452).
- commit 235027c
* Fri Apr 21 2017 dsterba@suse.com
- btrfs: make state preallocation more speculative in
  __set_extent_bit (bsc#1012452).
- btrfs: untangle gotos a bit in convert_extent_bit (bsc#1012452).
- btrfs: untangle gotos a bit in __clear_extent_bit (bsc#1012452).
- btrfs: untangle gotos a bit in __set_extent_bit (bsc#1012452).
- commit dd7afe7
* Fri Apr 21 2017 mkubecek@suse.cz
- supported.conf: mark network traffic control modules as supported (bsc#1034907)
- commit 802f19c
* Fri Apr 21 2017 dsterba@suse.com
- btrfs: sink gfp parameter to set_record_extent_bits
  (bsc#1012452).
- btrfs: sink gfp parameter to set_extent_new (bsc#1012452).
- btrfs: sink gfp parameter to set_extent_defrag (bsc#1012452).
- btrfs: sink gfp parameter to set_extent_delalloc (bsc#1012452).
- btrfs: sink gfp parameter to clear_extent_dirty (bsc#1012452).
- btrfs: sink gfp parameter to clear_record_extent_bits
  (bsc#1012452).
- btrfs: sink gfp parameter to clear_extent_bits (bsc#1012452).
- btrfs: sink gfp parameter to set_extent_bits (bsc#1012452).
- btrfs: scrub: Set bbio to NULL before calling btrfs_map_block
  (bsc#1012452).
- Btrfs: fix unexpected return value of fiemap (bsc#1012452).
- Btrfs: free sys_array eb as soon as possible (bsc#1012452).
- commit dbdc6ab
* Fri Apr 21 2017 dsterba@suse.com
- Btrfs: add semaphore to synchronize direct IO writes with fsync
  (bsc#1012452).
- Refresh
  patches.suse/btrfs-fix-lockdep-warning-about-log_mutex.patch.
- commit ec02660
* Fri Apr 21 2017 mkubecek@suse.cz
- supported.conf: add/update comments
  No functional change.
- commit 3a40d0b
* Fri Apr 21 2017 dsterba@suse.com
- Btrfs: fix race between block group relocation and nocow writes
  (bsc#1012452).
- commit 8b9cca2
* Fri Apr 21 2017 dsterba@suse.com
- Btrfs: fix race between fsync and direct IO writes for prealloc
  extents (bsc#1012452).
- commit 8b049cf
* Fri Apr 21 2017 dsterba@suse.com
- Btrfs: don't do unnecessary delalloc flushes when relocating
  (bsc#1012452).
- Btrfs: don't wait for unrelated IO to finish before relocation
  (bsc#1012452).
- commit 9be048c
* Fri Apr 21 2017 dsterba@suse.com
- btrfs: uapi/linux/btrfs_tree.h, use __u8 and __u64
  (bsc#1012452).
- btrfs: uapi/linux/btrfs_tree.h migration, item types and defines
  (bsc#1012452).
- btrfs: uapi/linux/btrfs.h migration, move struct
  btrfs_ioctl_defrag_range_args (bsc#1012452).
- btrfs: uapi/linux/btrfs.h migration, move balance flags
  (bsc#1012452).
- btrfs: uapi/linux/btrfs.h migration, move feature flags
  (bsc#1012452).
- btrfs: uapi/linux/btrfs.h migration, document subvol flags
  (bsc#1012452).
- btrfs: uapi/linux/btrfs.h migration, qgroup limit flags
  (bsc#1012452).
- btrfs: uapi/linux/btrfs.h migration, move BTRFS_LABEL_SIZE
  (bsc#1012452).
- btrfs: cleanup assigning next active device with a check
  (bsc#1012452).
- btrfs: s_bdev is not null after missing replace (bsc#1012452).
- btrfs: refactor btrfs_dev_replace_start for reuse (bsc#1012452).
- btrfs: use fs_info directly (bsc#1012452).
- btrfs: rename flags for vol args v2 (bsc#1012452).
- btrfs: rename btrfs_find_device_by_user_input (bsc#1012452).
- btrfs: use existing device constraints table btrfs_raid_array
  (bsc#1012452).
- commit c6a20c3
* Fri Apr 21 2017 tbogendoerfer@suse.de
- cxgb4: MU requested by Chelsio (bsc#1021424).
- Update config files.
- supported.conf: added drivers/net/ethernet/chelsio/libcxgb/libcxgb
- cxgb4: Fix issue while re-registering VF mgmt netdev
  (bsc#1021424).
- cxgb4/cxgb4vf: Add set VF mac address support (bsc#1021424).
- cxgb4: Add port description for new cards (bsc#1021424).
- cxgb4/cxgb4vf: Display 25G and 100G link speed (bsc#1021424).
- cxgb4: Synchronize access to mailbox (bsc#1021424).
- cxgb4: Support compressed error vector for T6 (bsc#1021424).
- scsi: cxgb4i: libcxgbi: cxgb4: add T6 iSCSI completion feature
  (bsc#1021424).
- cxgb4/cxgb4vf: Assign netdev->dev_port with port ID
  (bsc#1021424).
- cxgb4/cxgb4vf: Remove deprecated module parameters
  (bsc#1021424).
- cxgb4: Add PCI device ID for new adapter (bsc#1021424).
- cxgb4: do not call napi_hash_del() (bsc#1021424).
- cxgb4: correct device ID of T6 adapter (bsc#1021424).
- cxgb4/cxgb4vf: Allocate more queues for 25G and 100G adapter
  (bsc#1021424).
- cxgb4: Add control net_device for configuring PCIe VF
  (bsc#1021424).
- libcxgb: add library module for Chelsio drivers (bsc#1021424).
- cxgb4: update latest firmware version supported (bsc#1021424).
- cxgb4: Enable SR-IOV configuration via PCI sysfs interface
  (bsc#1021424).
- cxgb4: Reset dcb state machine and tx queue prio only if dcb
  is enabled (bsc#1021424).
- cxgb4: Check for firmware errors in the mailbox command loop
  (bsc#1021424).
- cxgb4: Don't sleep when mbox cmd is issued from interrupt
  context (bsc#1021424).
- cxgb4: Add support to enable logging of firmware mailbox
  commands (bsc#1021424).
- cxgb4: Decode link down reason code obtained from firmware
  (bsc#1021424).
- cxgb4: Don't assume FW_PORT_CMD reply is always port info msg
  (bsc#1021424).
- cxgb4: DCB message handler needs to use correct portid to
  netdev mapping (bsc#1021424).
- cxgb4: Refactor t4_port_init function (bsc#1021424).
- cxgb4: Properly decode port module type (bsc#1021424).
- cxgb4: Add llseek operation for flash debugfs entry
  (bsc#1021424).
- cxgb4: add new routine to get adapter info (bsc#1021424).
- commit 2a2de38
* Fri Apr 21 2017 pmladek@suse.com
- printk: Switch to the sync mode when an emergency message is
  printed (bsc#1034995).
- commit 00e8409
* Fri Apr 21 2017 mkubecek@suse.cz
- supported.conf: fix paths of ipvs modules
- commit 36c79b4
* Fri Apr 21 2017 dsterba@suse.com
- btrfs: introduce raid-type to error-code table, for minimum
  device constraint (bsc#1012452).
- btrfs: pass number of devices to btrfs_check_raid_min_devices
  (bsc#1012452).
- btrfs: rename __check_raid_min_devices (bsc#1012452).
- btrfs: optimize check for stale device (bsc#1012452).
- btrfs: introduce device delete by devid (bsc#1012452).
- btrfs: make use of btrfs_scratch_superblocks() in
  btrfs_rm_device() (bsc#1012452).
- btrfs: enhance btrfs_find_device_by_user_input() to check
  device path (bsc#1012452).
- btrfs: make use of btrfs_find_device_by_user_input()
  (bsc#1012452).
- btrfs: create helper btrfs_find_device_by_user_input()
  (bsc#1012452).
- btrfs: clean up and optimize __check_raid_min_device()
  (bsc#1012452).
- btrfs: create helper function __check_raid_min_devices()
  (bsc#1012452).
- btrfs: create a helper function to read the disk super
  (bsc#1012452).
- btrfs: GFP_NOFS does not GFP_HIGHMEM (bsc#1012452).
- btrfs: switch to common message helpers in open_ctree, adjust
  messages (bsc#1012452).
- btrfs: kill unused writepage_io_hook callback (bsc#1012452).
- btrfs: pass the right error code to the btrfs_std_error
  (bsc#1012452).
- Btrfs: Refactor btrfs_lock_cluster() to kill compiler warning
  (bsc#1012452).
- btrfs: remove save_error_info() (bsc#1012452).
- btrfs: Simplify conditions about compress while mapping btrfs
  flags to inode flags (bsc#1012452).
- btrfs: move error handling code together in ctree.h
  (bsc#1012452).
- btrfs: remove unused function btrfs_assert() (bsc#1012452).
- btrfs: rename btrfs_std_error to btrfs_handle_fs_error
  (bsc#1012452).
- btrfs: fix memory leak during RAID 5/6 device replacement
  (bsc#1012452).
- btrfs: build fixup for qgroup_account_snapshot (bsc#1012452).
- Btrfs: fix fspath error deallocation (bsc#1012452).
- btrfs: make find_workspace warn if there are no workspaces
  (bsc#1012452).
- btrfs: make find_workspace always succeed (bsc#1012452).
- btrfs: preallocate compression workspaces (bsc#1012452).
- btrfs: rename and document compression workspace members
  (bsc#1012452).
- btrfs: fix int32 overflow in shrink_delalloc() (bsc#1012452).
- btrfs: don't force mounts to wait for cleaner_kthread to delete
  one or more subvolumes (bsc#1012452).
- btrfs: ioctl: reorder exclusive op check in RM_DEV
  (bsc#1012452).
- btrfs: add write protection to SET_FEATURES ioctl (bsc#1012452).
- btrfs: fix lock dep warning move scratch super outside of
  chunk_mutex (bsc#1012452).
- btrfs: Fix BUG_ON condition in scrub_setup_recheck_block()
  (bsc#1012452).
- Btrfs: remove BUG_ON()'s in btrfs_map_block (bsc#1012452).
- Btrfs: fix divide error upon chunk's stripe_len (bsc#1012452).
- btrfs: sysfs: protect reading label by lock (bsc#1012452).
- btrfs: add check to sysfs handler of label (bsc#1012452).
- btrfs: add read-only check to sysfs handler of features
  (bsc#1012452).
- btrfs: reuse existing variable in scrub_stripe, reduce stack
  usage (bsc#1012452).
- btrfs: use dynamic allocation for root item in create_subvol
  (bsc#1012452).
- btrfs: clone: use vmalloc only as fallback for nodesize bufer
  (bsc#1012452).
- btrfs: send: use vmalloc only as fallback for clone_sources_tmp
  (bsc#1012452).
- btrfs: send: use vmalloc only as fallback for clone_roots
  (bsc#1012452).
- btrfs: send: use temporary variable to store allocation size
  (bsc#1012452).
- btrfs: send: use vmalloc only as fallback for read_buf
  (bsc#1012452).
- btrfs: send: use vmalloc only as fallback for send_buf
  (bsc#1012452).
- btrfs: fix lock dep warning, move scratch dev out of
  device_list_mutex and uuid_mutex (bsc#1012452).
- btrfs: send: silence an integer overflow warning (bsc#1012452).
- btrfs: avoid overflowing f_bfree (bsc#1012452).
- btrfs: fix mixed block count of available space (bsc#1012452).
- btrfs: allow balancing to dup with multi-device (bsc#1012452).
- Btrfs: do not create empty block group if we have allocated data
  (bsc#1012452).
- Btrfs: __btrfs_buffered_write: Pass valid file offset when
  releasing delalloc space (bsc#1012452).
- Btrfs: cleanup error handling in extent_write_cached_pages
  (bsc#1012452).
- Btrfs: make mapping->writeback_index point to the last written
  page (bsc#1012452).
- commit 9f4cb53
* Fri Apr 21 2017 dsterba@suse.com
- Btrfs: rename and refresh patches from 4.7
  No code changes.
- commit bcf5bba
* Fri Apr 21 2017 tbogendoerfer@suse.de
- net: core: use __ethtool_get_ksettings (bsc#1034912).
- commit c7a2db0
* Thu Apr 20 2017 jeffm@suse.com
- overlayfs: compat, fix incorrect dentry use in ovl_rename2
  (bsc#1032400).
- commit 776e7bd
* Thu Apr 20 2017 tiwai@suse.de
- crypto: ahash - Fix EINPROGRESS notification callback
  (CVE-2017-7618,bsc#1033340).
- commit d88890e
* Thu Apr 20 2017 jeffm@suse.com
- Reorder btrfs patches.
  No code changes.
- commit a1b1784
* Thu Apr 20 2017 jeffm@suse.com
- patches.suse/btrfs-fix-btrfs_compat_ioctl-failures-on-non-compat-ioctls:
  Update patch tags and reorder.
- commit da79042
* Thu Apr 20 2017 jeffm@suse.com
- Revert "btrfs: qgroup: Move half of the qgroup accounting time out of"
  This reverts commit f69c1d0f6254c73529a48fd2f87815d047ad7288.
- commit 61d7d65
* Thu Apr 20 2017 jeffm@suse.com
- Revert "Revert "btrfs: qgroup: Move half of the qgroup accounting time"
  This reverts commit 8567943ca56d937acfc417947cba917de653b09c.
- commit 79d1296
* Thu Apr 20 2017 dsterba@suse.com
- Btrfs: fix delalloc accounting after copy_from_user faults
  (bsc#1012452).
- Btrfs: fix handling of faults from btrfs_copy_from_user
  (bsc#1012452).
- commit f16a935
* Thu Apr 20 2017 mbrugger@suse.com
- hns: set relation between hns_roce and hns_enet_drv
  (bsc#1033895).
- net: hns: set relation between hns_dsaf and hns_mdio
  (bsc#1033895).
- commit 39b85f7
* Thu Apr 20 2017 dsterba@suse.com
- btrfs: Reset IO error counters before start of device replacing
  (bsc#1012452).
- commit fbad721
* Thu Apr 20 2017 dsterba@suse.com
- btrfs: fallback to vmalloc in btrfs_compare_tree (bsc#1012452).
- btrfs: Output more info for enospc_debug mount option
  (bsc#1012452).
- Btrfs: fix invalid reference in replace_path (bsc#1012452).
- Btrfs: Improve FL_KEEP_SIZE handling in fallocate (bsc#1012452).
- btrfs: do not write corrupted metadata blocks to disk
  (bsc#1012452).
- btrfs: csum_tree_block: return proper errno value (bsc#1012452).
- btrfs: make sure we stay inside the bvec during
  __btrfs_lookup_bio_sums (bsc#1012452).
- btrfs: Print Warning only if ENOSPC_DEBUG is enabled
  (bsc#1012452).
- Btrfs: fix listxattrs not listing all xattrs packed in the
  same item (bsc#1012452).
- Btrfs: fix extent_same allowing destination offset beyond i_size
  (bsc#1012452).
- btrfs: avoid uninitialized variable warning (bsc#1012452).
- btrfs: fix build warning (bsc#1012452).
- btrfs: use proper type for failrec in extent_state
  (bsc#1012452).
- btrfs: remove redundant error check (bsc#1012452).
- Btrfs: fix lockdep deadlock warning due to dev_replace
  (bsc#1012452).
- Btrfs: check reserved when deciding to background flush
  (bsc#1012452).
- Btrfs: add transaction space reservation tracepoints
  (bsc#1012452).
- Btrfs: fix truncate_space_check (bsc#1012452).
- Btrfs: change how we update the global block rsv (bsc#1012452).
- btrfs: reada: ignore creating reada_extent for a non-existent
  device (bsc#1012452).
- btrfs: reada: avoid undone reada extents in btrfs_reada_wait
  (bsc#1012452).
- btrfs: reada: limit max works count (bsc#1012452).
- btrfs: reada: simplify dev->reada_in_flight processing
  (bsc#1012452).
- btrfs: reada: Fix a debug code typo (bsc#1012452).
- btrfs: reada: Jump into cleanup in direct way for
  __readahead_hook() (bsc#1012452).
- btrfs: reada: Use fs_info instead of root in __readahead_hook's
  argument (bsc#1012452).
- btrfs: reada: Pass reada_extent into __readahead_hook directly
  (bsc#1012452).
- btrfs: reada: move reada_extent_put to place after
  __readahead_hook() (bsc#1012452).
- btrfs: reada: Remove level argument in severial functions
  (bsc#1012452).
- btrfs: reada: bypass adding extent when all zone failed
  (bsc#1012452).
- btrfs: reada: add all reachable mirrors into reada device list
  (bsc#1012452).
- btrfs: reada: Move is_need_to_readahead contition earlier
  (bsc#1012452).
- btrfs: reada: Avoid many times of empty loop (bsc#1012452).
- btrfs: reada: Add missed segment checking in reada_find_zone
  (bsc#1012452).
- btrfs: reada: reduce additional fs_info->reada_lock in
  reada_find_zone (bsc#1012452).
- btrfs: reada: Fix in-segment calculation for reada
  (bsc#1012452).
- btrfs: switch to kcalloc in btrfs_cmp_data_prepare
  (bsc#1012452).
- btrfs: extent same: use GFP_KERNEL for page array allocations
  (bsc#1012452).
- btrfs: device add and remove: use GFP_KERNEL (bsc#1012452).
- btrfs: readdir: use GFP_KERNEL (bsc#1012452).
- btrfs: fallocate: use GFP_KERNEL (bsc#1012452).
- btrfs: let callers of btrfs_alloc_root pass gfp flags
  (bsc#1012452).
- btrfs: scrub: use GFP_KERNEL on the submission path
  (bsc#1012452).
- btrfs: reada: use GFP_KERNEL everywhere (bsc#1012452).
- btrfs: send: use GFP_KERNEL everywhere (bsc#1012452).
- Btrfs: btrfs_ioctl_clone: Truncate complete page after
  performing clone operation (bsc#1012452).
- Btrfs: Clean pte corresponding to page straddling i_size
  (bsc#1012452).
- Btrfs: Fix block size returned to user space (bsc#1012452).
- Btrfs: Limit inline extents to root->sectorsize (bsc#1012452).
- Btrfs: btrfs_submit_direct_hook: Handle map_length < bio vector
  length (bsc#1012452).
- Btrfs: Use (eb->start, seq) as search key for tree modification
  log (bsc#1012452).
- Btrfs: Search for all ordered extents that could span across
  a page (bsc#1012452).
- Btrfs: btrfs_page_mkwrite: Reserve space in sectorsized units
  (bsc#1012452).
- Btrfs: fallocate: Work with sectorsized blocks (bsc#1012452).
- Btrfs: Direct I/O read: Work on sectorsized blocks
  (bsc#1012452).
- Btrfs: Compute and look up csums based on sectorsized blocks
  (bsc#1012452).
- Btrfs: __btrfs_buffered_write: Reserve/release extents aligned
  to block size (bsc#1012452).
- commit b62ab57
* Thu Apr 20 2017 dsterba@suse.com
- Btrfs: rename and refresh patches from 4.6
  No code changes.
- commit eee5823
* Thu Apr 20 2017 msuchanek@suse.de
- Follow upstream order with the Power9 cpuid patches
- Refresh patches.arch/powerpc-Add-POWER9-cputable-entry.patch.
- Refresh patches.arch/powerpc-powernv-Create-separate-subcores-CPU-feature.patch.
- commit 3181c05
* Thu Apr 20 2017 tbogendoerfer@suse.de
- cxgb4: save tid while creating server filter (bsc#1035077).
- commit 4ebd388
* Thu Apr 20 2017 msuchanek@suse.de
- powerpc/64s: Remove SAO feature from Power9 DD1 (fate#321439).
- commit bfa1bbd
* Thu Apr 20 2017 lhenriques@suse.com
- ceph: fix recursively call between ceph_set_acl and
  __ceph_setattr (bsc#1034902).
- commit db85ac0
* Thu Apr 20 2017 msuchanek@suse.de
- powerpc/64s: Remove ICSWX feature from Power9 (fate#321439).
- commit 0bd40e7
* Wed Apr 19 2017 bpoirier@suse.com
- Backport more changes related to centralized min/max MTU checking
  The following two commits
  61e84623ace3 net: centralize net_device min/max MTU checking (v4.10-rc1)
  a52ad514fdf3 net: deprecate eth_change_mtu, remove usage (v4.10-rc1)
  were backported in preparation for the release of SLE12-SP3. Those
  changes were followed upstream by related changes to many drivers and
  features, as well as followups. Not all of those were included in
  individual network driver backports. This led to some problems
  (bsc#1033962). This commit adds all related changes up to what is in the
  current -net branch (acf167f3f249).
  61e84623ace3 net: centralize net_device min/max MTU checking (v4.10-rc1)
  a52ad514fdf3 net: deprecate eth_change_mtu, remove usage (v4.10-rc1)
  above two, already applied as part of "bsc#1022912 FATE#321246"
  a0e65de71527 net: report right mtu value in error message (v4.10-rc1)
  67bef9428018 ethernet/atheros: use core min/max MTU checking (v4.10-rc1)
  e1c6dccaf3af ethernet/broadcom: use core min/max MTU checking (v4.10-rc1)
  already applied as part of "bsc#1020412 FATE#321671"
  91c527a55664 ethernet/intel: use core min/max MTU checking (v4.10-rc1)
  already applied as part of "bsc#1024361 FATE#321242
  bsc#1024365 FATE#321243"
  5777987e0f4b ethernet/marvell: use core min/max MTU checking (v4.10-rc1)
  already applied as part of "bsc#1032150"
  b80f71f5816f ethernet/mellanox: use core min/max MTU checking (v4.10-rc1)
  already applied as part of "bsc#1015336 FATE#321685
  bsc#1015337 FATE#321686 bsc#1015340 FATE#321687"
  caff2a87f60a ethernet/qlogic: use core min/max MTU checking (v4.10-rc1)
  already applied as part of "bsc#1019717 FATE#321698"
  c7315a95c2a3 ethernet/realtek: use core min/max MTU checking (v4.10-rc1)
  540bfe30dc3f ethernet/sun: use core min/max MTU checking (v4.10-rc1)
  adjusted for the absence of
  31762eaa0d08 ldmvsw: Split sunvnet driver into common code (v4.6-rc1)
  f7ad72bfceb9 ethernet/dlink: use core min/max MTU checking (v4.10-rc1)
  18c310fb9583 ethernet/neterion: use core min/max MTU checking (v4.10-rc1)
  109cc16526c6 ethernet/cavium: use core min/max MTU checking (v4.10-rc1)
  adjusted for the absence of
  d07a147f00de netdev: Move octeon/octeon_mgmt driver to cavium directory. (v4.6-rc1)
  depends on
  4c2743f9ac00 liquidio: MTU limits (v4.8-rc1)
  3d5d96acfeb9 ethernet/ibm: use core min/max MTU checking (v4.10-rc1)
  f58f0817d78a ethernet/tile: use core min/max MTU checking (v4.10-rc1)
  1281a2c7b814 ethernet/toshiba: use core min/max MTU checking (v4.10-rc1)
  44770e1180de ethernet: use core min/max MTU checking (v4.10-rc1)
  already applied as part of "bsc#1019684 FATE#321695"
  cd94e519dc5d ethernet/sfc: use core min/max MTU checking (v4.10-rc1)
  already applied as part of "bsc#1017967 FATE#321663"
  d894be57ca92 ethernet: use net core MTU range checking in more drivers (v4.10-rc1)
  already applied as part of "bsc#1027968"
  f77f0aee4da4 net: use core MTU range checking in USB NIC drivers (v4.10-rc1)
  depends on
  05a56487174d net: cdc_ncm: update datagram size after changing mtu (v4.7-rc1)
  9c22b4a34edd net: use core MTU range checking in wireless drivers (v4.10-rc1)
  adjusted paths for the absence of
  30fe0f9b8c75 atmel: move under atmel vendor directory (v4.5-rc1)
  30db0ca8bc78 airo: move under cisco vendor directory (v4.5-rc1)
  367a1092b555 ipw2x00: move under intel vendor directory (v4.5-rc1)
  eb4f98d5deb9 hostap: move under intersil vendor directory (v4.5-rc1)
  2be45b66dee0 orinoco: move under intersil vendor directory (v4.5-rc1)
  8b6b4135e4fb net: use core MTU range checking in WAN drivers (v4.10-rc1)
  91572088e3fd net: use core MTU range checking in core net infra (v4.10-rc1)
  depends on
  aeee0e66c6b4 geneve: Refine MTU limit (v4.5-rc6)
  d5d5e8d55732 geneve: fix max_mtu setting (v4.7-rc7)
  d0c2c9973ecd net: use core MTU range checking in virt drivers (v4.10-rc1)
  adjusted for the absence of
  14de9d114a82 virtio-net: Add initial MTU advice feature (v4.8-rc1)
  depends on (for context):
  c06a278344ad staging: unisys: iochannel fix spacing around operators (v4.5-rc1)
  b3e3893e1253 net: use core MTU range checking in misc drivers (v4.10-rc1)
  depends on
  16bbec3a50ef fjes: Enhance changing MTU related work (v4.7-rc1)
  92444bb366ab rapidio/rionet: add capability to change MTU (v4.6-rc1)
  ab738ff1991d usb: gadget: ether: Allow changing the MTU (v4.5-rc1)
  46b3ef4cdf6f s390/net: use net core MTU range checking (v4.10-rc1)
  b96f9afee4eb ipv4/6: use core net MTU range checking (v4.10-rc1)
  adjusted for the absence of
  058214a4d1df ip6_tun: Add infrastructure for doing encapsulation (v4.7-rc1)
  8b1efc0f83f1 net: remove MTU limits on a few ether_setup callers (v4.10-rc1)
  701470babace batman-adv: Revert "use core MTU range checking in misc drivers" (v4.10-rc1)
  5d48f00d836a firewire: net: fix maximum possible MTU (v4.10-rc1)
  110447f8269a ethernet: fix min/max MTU typos (v4.10-rc1)
  already applied as part of "bsc#1015416 bsc#1027968"
  350b4e33b893 drivers: net: xgene: Add change_mtu function (v4.10-rc1)
  already applied as part of "bsc#1019351"
  e82621e329b6 nlmon: use core MTU range checking in nlmon driver (v4.10-rc1)
  25e3e84b183a dummy: expend mtu range for dummy device (v4.10-rc1)
  f39f0d1e1e93 ibmvnic: Fix initial MTU settings (v4.10)
  already applied as part of "bsc#1015416 bsc#1027968"
  c61fb99cae51 bnxt_en: Add RX page mode support. (v4.11-rc1)
  already applied as part of "bsc#1020412 FATE#321671"
  425df17ce3a2 openvswitch: Set internal device max mtu to ETH_MAX_MTU. (v4.11-rc1)
  5513e16421cb net: ethernet: aquantia: Fixes for aq_ndev_change_mtu (v4.11-rc1)
  depends on
  97bde5c4f909 net: ethernet: aquantia: Support for NIC-specific code (v4.11-rc1)
  which is not present, skipped
  31c05415f5b4 bonding: use ETH_MAX_MTU as max mtu (v4.11-rc1)
  3331aa378e9b team: use ETH_MAX_MTU as max mtu (v4.11-rc3)
  fe36cbe0671e virtio_net: clear MTU when out of range (v4.11-rc7)
  depends on
  14de9d114a82 virtio-net: Add initial MTU advice feature (v4.8-rc1)
  which is not present, skipped
- batman-adv: Revert "use core MTU range checking in misc drivers"
  (bsc#1033962).
- bonding: use ETH_MAX_MTU as max mtu (bsc#1033962).
- dummy: expend mtu range for dummy device (bsc#1033962).
- ethernet/atheros: use core min/max MTU checking (bsc#1033962).
- ethernet/cavium: use core min/max MTU checking (bsc#1033962).
- ethernet/dlink: use core min/max MTU checking (bsc#1033962).
- ethernet/ibm: use core min/max MTU checking (bsc#1033962).
- ethernet/neterion: use core min/max MTU checking (bsc#1033962).
- ethernet/realtek: use core min/max MTU checking (bsc#1033962).
- ethernet/sun: use core min/max MTU checking (bsc#1033962).
- ethernet/tile: use core min/max MTU checking (bsc#1033962).
- ethernet/toshiba: use core min/max MTU checking (bsc#1033962).
- firewire: net: fix maximum possible MTU (bsc#1033962).
- fjes: Enhance changing MTU related work (bsc#1033962).
- geneve: Refine MTU limit (bsc#1033962).
- geneve: fix max_mtu setting (bsc#1033962).
- ipv4/6: use core net MTU range checking (bsc#1033962).
- liquidio: MTU limits (bsc#1033962).
- net: cdc_ncm: update datagram size after changing mtu
  (bsc#1033962).
- net: remove MTU limits on a few ether_setup callers
  (bsc#1033962).
- net: report right mtu value in error message (bsc#1033962).
- net: use core MTU range checking in USB NIC drivers
  (bsc#1033962).
- net: use core MTU range checking in WAN drivers (bsc#1033962).
- net: use core MTU range checking in core net infra
  (bsc#1033962).
- net: use core MTU range checking in misc drivers (bsc#1033962).
- net: use core MTU range checking in virt drivers (bsc#1033962).
- net: use core MTU range checking in wireless drivers
  (bsc#1033962).
- nlmon: use core MTU range checking in nlmon driver
  (bsc#1033962).
- openvswitch: Set internal device max mtu to ETH_MAX_MTU
  (bsc#1033962).
- rapidio/rionet: add capability to change MTU (bsc#1033962).
- s390/net: use net core MTU range checking (bsc#1033962).
- staging: unisys: iochannel fix spacing around operators
  (bsc#1033962).
- team: use ETH_MAX_MTU as max mtu (bsc#1033962).
- usb: gadget: ether: Allow changing the MTU (bsc#1033962).
- Refresh
  patches.drivers/tilepro-Fix-non-void-return-from-void-function.patch.
- commit 8a70fee
* Wed Apr 19 2017 jthumshirn@suse.de
- Refresh
  patches.drivers/0002-aacraid-remove-wildcard-for-series-9-controllers.patch.
  Add Git-commit and Patch mainline tags.
- commit b238ee8
* Wed Apr 19 2017 jthumshirn@suse.de
- scsi: qedi: Add PCI device-ID for QL41xxx adapters
  (bsc#1032992).
- commit d441433
* Wed Apr 19 2017 jroedel@suse.de
- x86/platform/uv: Fix calculation of Global Physical Address
  (bsc#1031147).
- commit 32e1794
* Wed Apr 19 2017 lhenriques@suse.com
- ceph: fix recursively call between ceph_set_acl and
  __ceph_setattr (bsc#1034902).
- commit ed706e7
* Wed Apr 19 2017 jroedel@suse.de
- Refresh
  patches.fixes/0001-acpi-ioapic-clear-on-stack-resource-before-using-it.
- Delete
  patches.fixes/0002-acpi-remove-platform-devices-from-a-bus-on-removal.
  (cherry picked from commit 98ee986cbd4cdc3efb185009e4b70dbc7a30a3dc)
- Refresh
  patches.fixes/0001-acpi-ioapic-clear-on-stack-resource-before-using-it.
- Delete
  patches.fixes/0002-acpi-remove-platform-devices-from-a-bus-on-removal.
- commit 3e97e34
* Wed Apr 19 2017 ohering@suse.de
- Drivers: hv: vmbus: Raise retry/wait limits in vmbus_post_msg()
  (fate#320485, bsc#1023287, bsc#1028217).
- commit db62b54
* Wed Apr 19 2017 jthumshirn@suse.de
- scsi: return correct blkprep status code in case scsi_init_io()
  fails (bsc#1033214).
- Refresh
  patches.drivers/0352-block-improve-handling-of-the-magic-discard-payload.patch.
- commit c520f31
* Wed Apr 19 2017 neilb@suse.com
- block: copy NOMERGE flag from bio to request (bsc#1030070).
- commit f617462
* Tue Apr 18 2017 brogers@suse.com
- kvm: x86: Add AVX512_4VNNIW and AVX512_4FMAPS support
  (FATE#323110).
- x86/cpuid: Provide get_scattered_cpuid_leaf() (FATE#323110).
- x86/cpuid: Cleanup cpuid_regs definitions (FATE#323110).
- commit 9797933
* Tue Apr 18 2017 bpoirier@suse.com
- bnxt_en: Fix DMA unmapping of the RX buffers in XDP mode during
  shutdown (bsc#1020412 FATE#321671).
- x86/tsc: Fix ART for TSC_KNOWN_FREQ (bsc#969470 FATE#319819).
- net: phy: Fix typo for MDIO module boilerplate comment
  (bsc#1026030 FATE#321670).
- ixgbe: Fix incorrect bitwise operations of PTP Rx timestamp
  flags (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- net/sched: cls_flower: Use masked key when calling HW offloads
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- of_mdio: fix device reference leak in of_phy_find_device
  (bsc#1026030 FATE#321670).
- commit 0302642
* Tue Apr 18 2017 bpoirier@suse.com
- of: of_mdio: Add marvell, 88e1145 to whitelist of PHY
  compatibilities (bsc#1026030 FATE#321670).
- commit bf07443
* Tue Apr 18 2017 msuchanek@suse.de
- scsi: ipr: do not set DID_PASSTHROUGH on CHECK CONDITION
  (bsc#1034419).
- commit 6e72271
* Tue Apr 18 2017 msuchanek@suse.de
- Reverting fate#321840 - proposed kernel interface rejected upstream.
- commit f8af1d2
* Tue Apr 18 2017 mhocko@suse.cz
- mem-hotplug: fix node spanned pages when we have a movable node
  (bnc#1034671).
- commit a823ba8
* Tue Apr 18 2017 jslaby@suse.cz
- Linux 4.4.62 (CVE-2017-7308 bnc#1012382 bsc#1019148 bsc#1020817
  bsc#1028017 bsc#1031579).
- Delete
  patches.drivers/0056-blk-mq-Avoid-memory-reclaim-when-remapping-queues.patch.
- Delete
  patches.drivers/ibmveth-0003-set-correct-gso_size-and-gso_type.patch.
- Delete
  patches.fixes/net-mlx4_core-Fix-racy-CQ-Completion-Queue-free.patch.
- Delete
  patches.fixes/net-mlx4_core-Fix-when-to-save-some-qp-context-flags.patch.
- Delete patches.fixes/net-mlx4_en-Fix-bad-WQE-issue.patch.
- Delete
  patches.fixes/net-packet-fix-overflow-in-check-for-priv-area-size.patch.
- commit 13ed1d6
* Tue Apr 18 2017 jslaby@suse.cz
- Linux 4.4.61 (CVE-2017-7261 CVE-2017-7294 CVE-2017-7616
  bnc#1012382 bnc#1033336 boo#1031052 boo#1031440 bsc#1028883).
- kABI: restore ttm_ref_object_add parameters (kabi).
- Delete
  patches.drivers/drm-vmwgfx-NULL-pointer-dereference-in-vmw_surface_define_ioctl.patch.
- Delete
  patches.drivers/drm-vmwgfx-fix-integer-overflow-in-vmw_surface_define_ioctl.patch.
- Delete
  patches.fixes/0001-sysfs-be-careful-of-error-returns-from-ops-show.patch.
- Delete
  patches.fixes/mm-mempolicy.c-fix-error-handling-in-set_mempolicy-a.patch.
- commit 5cf4364
* Tue Apr 18 2017 tabraham@suse.com
- vmxnet3: segCnt can be 1 for LRO packets (bsc#988065).
- commit 4bf9ffb
* Tue Apr 18 2017 tbogendoerfer@suse.de
- qed* - bump drivers to version 8.10.10.63 (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- commit 8c63fb2
* Tue Apr 18 2017 jthumshirn@suse.de
- block: fix bio_will_gap() for first bvec with offset
  (bsc#1033577).
- commit 3d54ce2
* Mon Apr 17 2017 brogers@suse.com
- KVM: VMX: enable guest access to LMCE related MSRs
  (FATE#321331).
- KVM: VMX: validate individual bits of guest
  MSR_IA32_FEATURE_CONTROL (FATE#321331).
- KVM: VMX: move msr_ia32_feature_control to vcpu_vmx
  (FATE#321331).
- commit 6803953
* Mon Apr 17 2017 brogers@suse.com
- blacklist.conf: blacklist 9770404a which was subsequently reverted
- commit e0c6874
* Mon Apr 17 2017 brogers@suse.com
- blacklist.conf: blacklist 9770404a which was subsequently reverted
- commit 0e170c2
* Mon Apr 17 2017 brogers@suse.com
- KVM: svm: add support for RDTSCP (bsc#1033117).
- commit b1b8f82
* Mon Apr 17 2017 brogers@suse.com
- KVM: svm: add support for RDTSCP (bsc#1033117).
- commit 312a45e
* Mon Apr 17 2017 lhenriques@suse.com
- libceph: fix crush_decode() for older maps (FATE#322288).
- ceph: tidy some white space in get_nonsnap_parent()
  (FATE#322288).
- crush: fix dprintk compilation (FATE#322288).
- crush: do is_out test only if we do not collide (FATE#322288).
- libceph: pass reply buffer length through ceph_osdc_call()
  (FATE#322288).
- rbd: kill rbd_image_header::{crypt_type,comp_type}
  (FATE#322288).
- rbd: use kstrndup() in rbd_header_from_disk() (FATE#322288).
- libceph: bump CEPH_PG_MAX_SIZE to 32 (FATE#322288).
- libceph: don't go through with the mapping if the PG is too wide
  (FATE#322288).
- crush: merge working data and scratch (FATE#322288).
- crush: remove mutable part of CRUSH map (FATE#322288).
- libceph: add osdmap_set_crush() helper (FATE#322288).
- libceph: remove unneeded stddef.h include (FATE#322288).
- ceph: do a LOOKUP in d_revalidate instead of GETATTR
  (FATE#322288).
- ceph: call update_dentry_lease even when r_locked dir is not
  set (FATE#322288).
- ceph: vet the target and parent inodes before updating dentry
  lease (FATE#322288).
- ceph: don't update_dentry_lease unless we actually got one
  (FATE#322288).
- ceph: add a new flag to indicate whether parent is locked
  (FATE#322288).
- ceph: convert bools in ceph_mds_request to a new r_req_flags
  field (FATE#322288).
- ceph: drop session argument to ceph_fill_trace (FATE#322288).
- ceph: remove "Debugging hook" from ceph_fill_trace
  (FATE#322288).
- ceph: avoid calling ceph_renew_caps() infinitely (FATE#322288).
- ceph: make sure flushing inode in proper session's cap_flushing
  list (FATE#322288).
- ceph: update readpages osd request according to size of pages
  (FATE#322288).
- ceph: fix bogus endianness change in ceph_ioctl_set_layout
  (FATE#322288).
- libceph: include linux/sched.h into crypto.c directly
  (FATE#322288).
- ceph: avoid updating mds_wanted too frequently (FATE#322288).
- ceph: set io_pages bdi hint (FATE#322288).
- ceph: fix description for rsize and rasize mount options
  (FATE#322288).
- ceph: fix spelling mistake: "enabing" -> "enabling"
  (FATE#322288).
- ceph: cleanup ACCESS_ONCE -> READ_ONCE (FATE#322288).
- ceph: pass parent inode info to ceph_encode_dentry_release if
  we have  it (FATE#322288).
- ceph: fix unsafe dcache access in ceph_encode_dentry_release
  (FATE#322288).
- ceph: pass parent dir ino info to build_dentry_path
  (FATE#322288).
- ceph: clean up unsafe d_parent accesses in build_dentry_path
  (FATE#322288).
- ceph: clean up unsafe d_parent access in __choose_mds
  (FATE#322288).
- ceph_tcp_sendpage(): use ITER_BVEC sendmsg (FATE#322288).
- ceph: switch to sock_recvmsg() (FATE#322288).
- commit 9f035c6
* Sat Apr 15 2017 jeffm@suse.com
- overlayfs: compat, use correct dentry to detect compat mode
  in ovl_compat_is_whiteout (bsc#1032400).
- commit 808c32e
* Sat Apr 15 2017 bpoirier@suse.com
- net: phy: Fix phy_mac_interrupt() (bsc#1034300).
- commit caf2b5e
* Fri Apr 14 2017 bpoirier@suse.com
- mlx5 backport for SLE12-SP3 (bsc#1015342 FATE#321688 bsc#1015343 FATE#321689)
- blacklist.conf:
- Update config files.
- Refresh
  patches.drivers/0023-IB-new-common-API-for-draining-queues.patch.
- Refresh
  patches.drivers/0378-partitions-efi-Fix-integer-overflow-in-GPT-size-calc.patch.
- Refresh
  patches.drivers/IB-Query-ports-via-the-core-instead-of-direct-into-t.patch.
- Refresh
  patches.drivers/IB-mlx4-Move-user-vendor-structures.patch.
- Refresh
  patches.drivers/clocksource-Use-a-plain-u64-instead-of-cycle_t.patch.
- Refresh
  patches.drivers/ethernet-mellanox-use-core-min-max-MTU-checking.patch.
- Refresh
  patches.drivers/hfi1-qib-0303-IB-core-Add-Raw-Scatter-FCS-device-capability.patch.
- Refresh
  patches.drivers/hfi1-qib-0320-IB-core-Introduce-Work-Queue-object-and-its-verbs.patch.
- Refresh
  patches.drivers/hfi1-qib-0325-IB-uverbs-Extend-create-QP-to-get-RWQ-indirection-ta.patch.
- Refresh
  patches.drivers/hfi1-qib-0337-IB-core-Expose-RSS-related-capabilities.patch.
- Refresh
  patches.drivers/hfi1-qib-0338-IB-uverbs-Expose-RSS-related-capabilities.patch.
- Refresh
  patches.drivers/hfi1-qib-0405-IB-uverbs-Add-support-for-flow-tag.patch.
- Refresh
  patches.drivers/mlx4-0006-mlx5-add-busy-polling-support.patch.
- Refresh
  patches.drivers/mlx5-0192-mlx5-avoid-unused-variable-warning.patch.
- Refresh
  patches.drivers/mlx5-0193-net-mlx5-Fix-MLX5_CMD_OP_MAX-to-be-defined-correctly.patch.
- Refresh
  patches.drivers/mlx5-0195-net-mlx5-Fix-flow-steering-NIC-capabilities-check.patch.
- Refresh
  patches.drivers/mlx5-0196-net-mlx5-E-Switch-Use-the-correct-free-function.patch.
- Refresh
  patches.drivers/mlx5-0197-net-mlx5-E-Switch-Use-the-correct-error-check-on-ret.patch.
- Refresh
  patches.drivers/mlx5-0198-net-mlx5-E-Switch-Modify-node-guid-on-vf-set-MAC.patch.
- Refresh
  patches.drivers/mlx5-0200-IB-core-Fix-bit-curruption-in-ib_device_cap_flags-st.patch.
- Refresh
  patches.drivers/mlx5-0203-net-mlx5e-Check-for-BlueFlame-capability-before-allo.patch.
- Refresh
  patches.drivers/mlx5-0208-net-mlx5e-Validate-BW-weight-values-of-ETS.patch.
- Refresh
  patches.drivers/net-add-a-hardware-buffer-management-helper-API.patch.
- Refresh
  patches.drivers/net-make-ndo_get_stats64-a-void-function.patch.
- Refresh
  patches.drivers/net-mlx5-Fix-teardown-errors-that-happen-in-pci-erro.patch.
- Refresh
  patches.drivers/ptp_clock-Allow-for-it-to-be-optional.patch.
- Refresh
  patches.fixes/net-mlx5-Fix-autogroups-groups-num-not-decreasing.patch.
- supported.conf:
- Delete
  patches.drivers/hfi1-qib-0319-IB-uverbs-Initialize-ib_qp_init_attr-with-zeros.patch.
- Delete
  patches.drivers/mlx5-0001-Add-appropriate-linux-prefetch.h-include-for-prefetc.patch.
  7d5e14237a55 net/mlx5: Update mlx5_ifc hardware features (v4.7-rc1)
  237cd218099c net/mlx5: Introduce device queue counters (v4.7-rc1)
  593cf33829ad net/mlx5e: Allocate set of queue counters per netdev (v4.7-rc1)
  d8c9660dac62 net/mlx5e: Use only close NUMA node for default RSS (v4.7-rc1)
  2f48af128d9a net/mlx5e: Use function pointers for RX data path handling (v4.7-rc1)
  461017cb006a net/mlx5e: Support RX multi-packet WQE (Striding RQ) (v4.7-rc1)
  d3c9bc2743dc net/mlx5e: Added ICO SQs (v4.7-rc1)
  bc77b240b3c5 net/mlx5e: Add fragmented memory support for RX multi packet WQE (v4.7-rc1)
  c5adb96f6c4a net/mlx5e: Use napi_alloc_skb for RX SKB allocations (v4.7-rc1)
  1bfec31627bf net/mlx5e: Remove redundant barrier (v4.7-rc1)
  e20a0db30454 net/mlx5e: Delay skb->data access (v4.7-rc1)
  54984407564e net/mlx5e: Add ethtool counter for RX buffer allocation failures (v4.7-rc1)
  269e6b3af3bf net/mlx5e: Report additional error statistics in get stats ndo (v4.7-rc1)
  9218b44dcc05 net/mlx5e: Statistics handling refactoring (v4.7-rc1)
  8075cb72382b net/mlx5e: Rename VPort counters (v4.7-rc1)
  cf678570d5a1 net/mlx5e: Add per priority group to PPort counters (v4.7-rc1)
  121fcdc84d82 net/mlx5e: Add link down events counter (v4.7-rc1)
  0e405443e803 net/mlx5e: Improve set features ndo resiliency (v4.7-rc1)
  94cb1ebbafd5 net/mlx5e: Add support for RXALL netdev feature (v4.7-rc1)
  da54d24ec3ef net/mlx5e: Add ethtool support for interface identify (LED blinking) (v4.7-rc1)
  bb64143eee8c net/mlx5e: Add ethtool support for dump module EEPROM (v4.7-rc1)
  363501145e3f net/mlx5e: Add ethtool support for rxvlan-offload (vlan stripping) (v4.7-rc1)
  1b223dd39162 net/mlx5e: Fix checksum handling for non-stripped vlan packets (v4.7-rc1)
  6b87663fbe4a net/mlx5e: avoid stack overflow in mlx5e_open_channels (v4.7-rc1)
  01a14098d337 net/mlx5e: Call vxlan_get_rx_port() with rtnl lock (v4.7-rc1)
  1da366964ec9 net/mlx5e: Direct TIR per RQ (v4.7-rc1)
  d745098cedb3 net/mlx5: Introduce modify flow rule destination (v4.7-rc1)
  a257b94a18f7 net/mlx5: Set number of allowed levels in priority (v4.7-rc1)
  d63cd28608bb net/mlx5: Add user chosen levels when allocating flow tables (v4.7-rc1)
  13de6c106cdd net/mlx5: Support different attributes for priorities in namespace (v4.7-rc1)
  acff797cd187 net/mlx5e: Refactor mlx5e flow steering structs (v4.7-rc1)
  33cfaaa8f36f net/mlx5e: Split the main flow steering table (v4.7-rc1)
  5a7b27eb9cf3 net/mlx5: Initializing CPU reverse mapping (v4.7-rc1)
  1cabe6b0965e net/mlx5e: Create aRFS flow tables (v4.7-rc1)
  18c908e477dc net/mlx5e: Add accelerated RFS support (v4.7-rc1)
  45bf454ae884 net/mlx5e: Enabling aRFS mechanism (v4.7-rc1)
  b49663c8fb49 net/mlx5e: Add support for UDP tunnel segmentation with outer checksum offload (v4.7-rc1)
  depends on
  802ab55adc39 GSO: Support partial segmentation offload (v4.7-rc1)
  from the series merged in edd93cd72741 ("Merge branch
  'gro-fixed-id-gso-partial'", v4.7-rc1)
  skipped, too many dependencies
  f3ed653cd419 net/mlx5e: Fix IPv6 tunnel checksum offload (v4.7-rc1)
  fbc4a69b562e net/mlx5e: Fix aRFS compilation dependency (v4.7-rc1)
  efdc810ba39d net/mlx5: Flow steering, Add vport ACL support (v4.7-rc1)
  831cae1daead net/mlx5: E-Switch, Replace vport spin lock with synchronize_irq() (v4.7-rc1)
  761e205b559b net/mlx5: E-Switch, Fix error flow memory leak (v4.7-rc1)
  already applied as part of "bsc#966170 FATE#320225 bsc#966172
  FATE#320226", moved
  5742df0f7dbe net/mlx5: E-Switch, Introduce VST vport ingress/egress ACLs (v4.7-rc1)
  dfcb1ed3c331 net/mlx5: E-Switch, Vport ingress/egress ACLs rules for VST mode (v4.7-rc1)
  f942380c1239 net/mlx5: E-Switch, Vport ingress/egress ACLs rules for spoofchk (v4.7-rc1)
  01f51f224725 net/mlx5: E-Switch, Enable/disable ACL tables on demand (v4.7-rc1)
  586cfa7f1d58 net/mlx5: E-Switch, Use vport event handler for vport cleanup (v4.7-rc1)
  78a9199b7105 net/mlx5: E-Switch, Add promiscuous and allmulti FDB flowtable groups (v4.7-rc1)
  a35f71f27a61 net/mlx5: E-Switch, Implement promiscuous rx modes vf request handling (v4.7-rc1)
  1edc57e2b3d3 net/mlx5: E-Switch, Implement trust vf ndo (v4.7-rc1)
  1de1d449c6cf mlx5: Fix merge errors. (v4.7-rc1)
  7219ab34f184 net/mlx5e: CQE compression (v4.7-rc1)
  d9d9f156f380 net/mlx5e: Expand WQE stride when CQE compression is enabled (v4.7-rc1)
  b797a684b0dd net/mlx5e: Enable CQE compression when PCI is slower than link (v4.7-rc1)
  42ca502e179d net/mlx5_core: Use a macro in mlx5_command_str() (v4.7-rc1)
  9dc0b289c4c0 net/mlx5_core: Firmware commands to support flow counters (v4.7-rc1)
  bd5251dbf156 net/mlx5_core: Introduce flow steering destination of type counter (v4.7-rc1)
  43a335e055bb net/mlx5_core: Flow counters infrastructure (v4.7-rc1)
  aad7e08d39bd net/mlx5e: Hardware offloaded flower filter statistics support (v4.7-rc1)
  depends on the following commits that come earlier in the same
  series:
  380407023526 net/sched: Enable netdev drivers to update statistics of offloaded actions (v4.7-rc1)
  9fea47d93bcc net/sched: act_gact: Update statistics when offloaded to hardware (v4.7-rc1)
  10cbc6843446 net/sched: cls_flower: Hardware offloaded filters statistics support (v4.7-rc1)
  followed up by
  e6790fd86110 mlx5: avoid unused variable warning
  already applied as part of "bsc#966170 FATE#320225
  bsc#966172 FATE#320226"
  c19ca6cb4c08 treewide: Fix typos in printk (v4.7-rc1)
  c01e01597cbd treewide: Fix typos in printk (v4.7-rc1)
  0139aa7b7fa1 mm: rename _count, field of the struct page, to _refcount (v4.7-rc1)
  depends on
  fe896d187894 mm: introduce page reference manipulation functions (v4.6-rc1)
  skipped treewide change
  c16aea129bf7 net/mlx5: Fix mlx5 ifc cmd_hca_cap bad offsets (v4.7-rc1)
  skipped, already present as
  e1c9c62 net/mlx5: Fix mlx5 ifc cmd_hca_cap bad offsets (v4.7-rc1)
  80835cba4b85 net/mlx5: Update mlx5_ifc hardware features (v4.7-rc1)
  skipped, already present as
  7d5e14237a55 net/mlx5: Update mlx5_ifc hardware features (v4.7-rc1)
  ff2ba9936591 IB/core: Add passing an offset into the SG to ib_map_mr_sg (v4.7-rc1)
  already applied as part of "bnc#1024296,FATE#321265"
  9aa8b3217ed3 IB/core: Enhance ib_map_mr_sg() (v4.7-rc1)
  already applied as part of "bnc#993388,FATE#321732"
  6cbac1e4cd0e IB/mlx5: Allow mapping the free running counter on PROT_EXEC (v4.7-rc1)
  already applied as part of "bsc#966170 FATE#320225 bsc#966172
  FATE#320226"
  37aa5c36aa70 IB/mlx5: Add UARs write-combining and non-cached mapping (v4.7-rc1)
  358e42ea66e2 IB/mlx5: Add Scatter FCS support for Raw Packet QP (v4.7-rc1)
  Part of the series that also includes
  0b24e5ac93c2 IB/core: Add extended device capability flags (v4.7-rc1)
  45686f2d6535 IB/core: Add Raw Scatter FCS device capability (v4.7-rc1)
  b531b9094819 IB/core: Add Scatter FCS create flag (v4.7-rc1)
  above three, already applied as part of "FATE#321231
  FATE#321473 FATE#322153 FATE#322149", moved
  cff5a0f3a3cd IB/mlx5: Report Scatter FCS device capability when supported (v4.7-rc1)
  94c6825e0ff7 net/mlx5_core: Use tasklet for user-space CQ completion events (v4.7-rc1)
  c16d2750a08c IB/mlx5: Fire the CQ completion handler from tasklet (v4.7-rc1)
  47355b3cd7d3 IB/core: Fix bit curruption in ib_device_cap_flags structure (v4.7-rc3)
  c7e162a41748 IB/core: Make all casts in ib_device_cap_flags enum consistent (v4.7-rc3)
  already applied as part of "FATE#321231 FATE#321473
  FATE#322153 FATE#322149", moved
  da6d6ba3c6f0 IB/mlx5: Set flow steering capability bit (v4.7-rc3)
  2788cf3bd90a IB/mlx5: Return PORT_ERR in Active to Initializing tranisition (v4.7-rc3)
  already present via -stable d1859e0e73e5 (v4.4.19)
  c0fcebf55289 IB/mlx5: Fix FW version diaplay in sysfs (v4.7-rc3)
  bc5c6eed0510 IB/mlx5: Limit query HCA clock (v4.7-rc3)
  already applied as part of "bsc#966170 FATE#320225 bsc#966172
  FATE#320226"
  0540d8148d41 IB/mlx5: Fix returned values of query QP (v4.7-rc3)
  already present via -stable cbbfde038e42 (v4.4.19)
  2cc6ad5f2130 IB/mlx5: Check BlueFlame HCA support (v4.7-rc3)
  9ea578528656 IB/mlx5: Fix entries checks in mlx5_ib_create_cq (v4.7-rc3)
  already present via -stable bae7400e1e13 (v4.4.19)
  3c4c37746c91 IB/mlx5: Fix entries check in mlx5_ib_resize_cq (v4.7-rc3)
  already present via -stable a25be0f972d7 (v4.4.19)
  d3ae2bdeba9b IB/mlx5: Fix pkey_index length in the QP path record (v4.7-rc3)
  f879ee8d900f IB/mlx5: Fix alternate path code (v4.7-rc3)
  418f8399a8be net/mlx5: Fix the size of modify QP mailbox (v4.7-rc3)
  9cd3411c42c5 net/mlx5: Fix masking of reserved bits in XRCD number (v4.7-rc3)
  86d56a1a6b73 net/mlx5: Fix MLX5_CMD_OP_MAX to be defined correctly (v4.7-rc3)
  2fee37a47ceb net/mlx5: Fix root flow table update (v4.7-rc3)
  876d634d19e4 net/mlx5: Fix flow steering NIC capabilities check (v4.7-rc3)
  previous three, already applied as part of "bsc#966170
  FATE#320225 bsc#966172 FATE#320226"
  bd02ef8eec0b net/mlx5: Fix E-Switch flow steering capabilities check (v4.7-rc3)
  3fe3d819d501 net/mlx5: E-Switch, Use the correct free() function (v4.7-rc3)
  3f42ac664872 net/mlx5: E-Switch, Use the correct error check on returned pointers (v4.7-rc3)
  above two, already applied as part of "bsc#966170 FATE#320225
  bsc#966172 FATE#320226"
  25fff58cb24c net/mlx5: E-Switch, Fix vport enable flow (v4.7-rc3)
  23898c763f4a net/mlx5: E-Switch, Modify node guid on vf set MAC (v4.7-rc3)
  already applied as part of "bsc#966170 FATE#320225 bsc#966172
  FATE#320226"
  62e3c24ac4f0 net/mlx5: E-Switch, always set mc_promisc for allmulti vports (v4.7-rc3)
  811afeaa3797 net/mlx5e: Use ndo_stop explicitly at shutdown flow (v4.7-rc3)
  already applied as part of "bsc#966170 FATE#320225 bsc#966172
  FATE#320226"
  0ca00fc1f808 net/mlx5e: Fix blue flame quota logic (v4.7-rc3)
  c9b254955b9f IB/mlx5: Fix post send fence logic (v4.7-rc5)
  already present via -stable f868cae619b0 (v4.4.19)
  00bf534fce23 IB/mlx5: Fix wrong naming of port_rcv_data counter (v4.7-rc5)
  already applied as part of "bsc#966170 FATE#320225 bsc#966172
  FATE#320226"
  f299a02d5f13 net/mlx5: use mlx5_buf_alloc_node instead of mlx5_buf_alloc in mlx5_wq_ll_create (v4.7-rc6)
  5be1ea899da4 net/mlx5: Update command strings (v4.7-rc6)
  7092fe866907 net/mlx5: Add ConnectX-5 PCIe 4.0 to list of supported devices (v4.7-rc6)
  e0f46eb9f64c net/mlx5e: Change enum to better reflect usage (v4.7-rc6)
  fd4782c21359 net/mlx5e: Check for BlueFlame capability before allocating SQ uar (v4.7-rc6)
  9ceec359e4eb net/mlx5e: Prevent adding the same vxlan port (v4.7-rc6)
  above two, already applied as part of "bsc#966170 FATE#320225
  bsc#966172 FATE#320226"
  ed80ec4c179d net/mlx5e: Fix number of PFC counters reported to ethtool (v4.7-rc6)
  bfe6d8d1d433 net/mlx5e: Reorganize ethtool statistics (v4.7-rc6)
  0d834442cc24 net/mlx5: Fix teardown errors that happen in pci error handler (v4.7-rc7)
  already applied as part of "bsc#1001169"
  c1d4d2e92ad6 net/mlx5: Avoid calling sleeping function by the health poll thread (v4.7-rc7)
  5adff6a08862 net/mlx5: Fix incorrect page count when in internal error (v4.7-rc7)
  d57847dc4177 net/mlx5: Fix wait_vital for VFs and remove fixed sleep (v4.7-rc7)
  9cba4ebcf374 net/mlx5: Fix potential deadlock in command mode change (v4.7-rc7)
  65ee67084589 net/mlx5: Add timeout handle to commands with callback (v4.7-rc7)
  29429f3300a3 net/mlx5e: Timeout if SQ doesn't flush during close (v4.7-rc7)
  3947ca185999 net/mlx5e: Implement ndo_tx_timeout callback (v4.7-rc7)
  6cd392a082de net/mlx5e: Handle RQ flush in error cases (v4.7-rc7)
  e3a19b53cbb0 net/mlx5e: Copy all L2 headers into inline segment (v4.7-rc7)
  7ccdd0841b30 net/mlx5e: Fix select queue callback (v4.7-rc7)
  cdcf11212b22 net/mlx5e: Validate BW weight values of ETS (v4.7-rc7)
  above two, already applied as part of "bsc#966170 FATE#320225
  bsc#966172 FATE#320226"
  87424ad52d76 net/mlx5e: Log link state changes (v4.7-rc7)
  eae033c1b867 net/mlx5: Avoid setting unused var when modifying vport node GUID (v4.7-rc7)
  already applied as part of "bsc#966170 FATE#320225 bsc#966172
  FATE#320226"
  2c1ccc993707 net/mlx5e: Fix TX Timeout to detect queues stuck on BQL (v4.7)
  c3b7c5c95043 net/mlx5e: start/stop all tx queues upon open/close netdev (v4.7)
  882b0f2fba83 net/mlx5e: Fix del vxlan port command buffer memset (v4.7)
  already applied as part of "bsc#966170 FATE#320225 bsc#966172
  FATE#320226"
  7486216b3a0b {net,IB}/mlx5: mlx5_ifc updates (v4.8-rc1)
  974c3f3000d8 mlx5_en: Replace ndo_add/del_vxlan_port with ndo_add/del_udp_enc_port (v4.8-rc1)
  depend on
  e7b3db5e60e8 net: Combine GENEVE and VXLAN port notifiers into single functions (v4.8-rc1)
  part of the series merged in 832dfd1f76f0 ("Merge branch
  'tunnel-offload-future-proof'", v4.8-rc1).
  skipped, too many dependencies
  1466cc5b23d1 net/mlx5: Rate limit tables support (v4.8-rc1)
  507f0c817f7a net/mlx5e: Add TXQ set max rate support (v4.8-rc1)
  resolved conflict as in 30d0844bdcea
  4e59e2888139 net/mlx5e: Introduce net device priv flags infrastructure (v4.8-rc1)
  9908aa292971 net/mlx5e: CQE based moderation (v4.8-rc1)
  cb3c7fd4f839 net/mlx5e: Support adaptive RX coalescing (v4.8-rc1)
  667daedaecd1 net/mlx5e: Toggle link only after modifying port parameters (v4.8-rc1)
  4a50e35b04c9 net/mlx5e: Add missing 50G baseSR2 link mode (v4.8-rc1)
  665bc53969d7 net/mlx5e: Use new ethtool get/set link ksettings API (v4.8-rc1)
  depends on
  89da45b8b5b2 ethtool: Add 50G baseSR2 link mode (v4.8-rc1)
  52244d960755 net/mlx5e: Report correct auto negotiation and allow toggling (v4.8-rc1)
  6ab36e35f112 net/mlx5: E-Switch, Add operational mode to the SRIOV e-Switch (v4.8-rc1)
  69697b6e2086 net/mlx5: E-Switch, Add support for the sriov offloads mode (v4.8-rc1)
  3aa335724f07 net/mlx5: E-Switch, Add miss rule for offloads mode (v4.8-rc1)
  ab22be9ba30a net/mlx5: E-Switch, Add API to create send-to-vport rules (v4.8-rc1)
  acbc2004d712 net/mlx5: Introduce offloads steering namespace (v4.8-rc1)
  c116c6eec6f7 net/mlx5: E-Switch, Add offloads table (v4.8-rc1)
  fed9ce22bf8a net/mlx5: E-Switch, Add API to create vport rx rules (v4.8-rc1)
  08f4b5918b2d net/devlink: Add E-Switch mode control (v4.8-rc1)
  depends on (for enum devlink_attr consistency)
  bf7974710a40 devlink: add shared buffer configuration (v4.7-rc1)
  depends on
  1fc2257e837f devlink: share user_ptr pointer for both devlink and devlink_port (v4.7-rc1)
  followed up by
  de33efd0fb7f devlink: fix sb register stub in case devlink is disabled
  df38dafd2559 devlink: implement shared buffer occupancy monitoring interface (v4.7-rc1)
  feae908744d7 net/mlx5: Add devlink interface (v4.8-rc1)
  depends on
  bfcd3a466172 Introduce devlink infrastructure (v4.6-rc1)
  This was skipped during SP2.
  3d1cbe839ac3 net: mellanox: add DEVLINK dependencies (v4.6-rc1)
  c930a3ad7453 net/mlx5e: Add devlink based SRIOV mode changes (v4.8-rc1)
  b50d292b4399 net/mlx5e: Create NIC global resources only once (v4.8-rc1)
  724b2aa15126 net/mlx5e: TIRs management refactoring (v4.8-rc1)
  398f33511e97 net/mlx5e: Mark enabled RQTs instances explicitly (v4.8-rc1)
  6bfd390ba546 net/mlx5e: Add support for multiple profiles (v4.8-rc1)
  Adjusted for the absence of
  974c3f3000d8 mlx5_en: Replace ndo_add/del_vxlan_port with ndo_add/del_udp_enc_port (v4.8-rc1)
  127ea380acc9 net/mlx5: Add Representors registration API (v4.8-rc1)
  cb67b832921c net/mlx5e: Introduce SRIOV VF representors (v4.8-rc1)
  c5bb17302e73 net/mlx5: Refactor mlx5_add_flow_rule (v4.8-rc1)
  fba53f7b5719 net/mlx5: Introduce mlx5_flow_steering structure (v4.8-rc1)
  0da2d66666d3 net/mlx5: Properly remove all steering objects (v4.8-rc1)
  6dc6071cfcde net/mlx5e: Add ethtool flow steering support (v4.8-rc1)
  1174fce8d141 net/mlx5e: Support l3/l4 flow type specs in ethtool flow steering (v4.8-rc1)
  f913a72aa008 net/mlx5e: Add support to get ethtool flow rules (v4.8-rc1)
  fe6b9bd9ebd6 net/mlx5e: Expose RDMA VPort counters to ethtool (v4.8-rc1)
  e989d5a532ce net/mlx5e: Expose flow control counters to ethtool (v4.8-rc1)
  29cc6679076a net/mlx5: Store counters in rbtree instead of list (v4.8-rc1)
  a351a1b03bf1 net/mlx5: Introduce bulk reading of flow counters (v4.8-rc1)
  55130287875c net/mlx5e: Offload TC flow counters only when supported (v4.8-rc1)
  1033665e63b6 net/mlx5: E-Switch, Use two priorities for SRIOV offloads mode (v4.8-rc1)
  3d80d1a2f59a net/mlx5: E-Switch, Add API to configure rules for the offloaded mode (v4.8-rc1)
  5c40348c69f3 net/mlx5e: Adjustments in the TC offload code towards reuse for SRIOV (v4.8-rc1)
  8438884d4ab4 net/switchdev: Export the same parent ID service function (v4.8-rc1)
  03a9d11e6eeb net/mlx5e: Add TC drop and mirred/redirect action parsing for SRIOV offloads (v4.8-rc1)
  adb4c123f88d net/mlx5e: Add TC HW support for FDB (SRIOV e-switch) offloads (v4.8-rc1)
  d957b4e38388 net/mlx5e: Add TC offload support for the VF representors netdevice (v4.8-rc1)
  44fafdaa757c net/mlx5: Use PTR_ERR_OR_ZERO() to simplify the code (v4.8-rc1)
  ae76715d153e net/mlx5e: Check the minimum inline header mode before xmit (v4.8-rc1)
  cff92d7c7ebd net/mlx5e: Query minimum required header copy during xmit (v4.8-rc1)
  0a91605cda88 net/mlx5_core/health: Remove deprecated create_singlethread_workqueue (v4.8-rc1)
  16bd020147ab net/mlx5: Export required core functions to support RSS (v4.8-rc1)
  5fd251c8b4c5 IB/core: Introduce Work Queue object and its verbs (v4.8-rc1)
  f213c0527210 IB/uverbs: Add WQ support (v4.8-rc1)
  above two, already applied as part of "FATE#321231 FATE#321473
  FATE#322153 FATE#322149", moved
  79b20a6c3014 IB/mlx5: Add receive Work Queue verbs (v4.8-rc1)
  6d39786bf116 IB/core: Introduce Receive Work Queue indirection table (v4.8-rc1)
  de019a94049d IB/uverbs: Introduce RWQ Indirection table (v4.8-rc1)
  above two, already applied as part of "FATE#321231 FATE#321473
  FATE#322153 FATE#322149", moved
  c5f9092936fe IB/mlx5: Add Receive Work Queue Indirection table operations (v4.8-rc1)
  a9017e232ff9 IB/core: Extend create QP to get indirection table (v4.8-rc1)
  c70285f880e8 IB/uverbs: Extend create QP to get RWQ indirection table (v4.8-rc1)
  above two, already applied as part of "FATE#321231 FATE#321473
  FATE#322153 FATE#322149", moved
  28d6137008b2 IB/mlx5: Add RSS QP support (v4.8-rc1)
  7c2344c3bbf9 IB/mlx5: Implements disassociate_ucontext API (v4.8-rc1)
  89ea94a7b6c4 IB/mlx5: Reset flow support for IB kernel ULPs (v4.8-rc1)
  4c2aae712cb0 IB/core: Add IPv6 support to flow steering (v4.8-rc1)
  already applied as part of "FATE#321231 FATE#321473
  FATE#322153 FATE#322149", moved
  026bae0cb428 IB/mlx5: Enable flow steering for IPv6 traffic (v4.8-rc1)
  402ca53644ff IB/mlx5: Report mlx5 TSO capabilities when querying device (v4.8-rc1)
  e3353c268b06 IB/mlx5: Fix MODIFY_QP command input structure (v4.8-rc1)
  already present via -stable 02773ea7edda (v4.4.19)
  af1ba291c5e4 {net, IB}/mlx5: Refactor internal SRQ API (v4.8-rc1)
  0837e86a7a34 IB/mlx5: Add per port counters (v4.8-rc1)
  0ad17a8f7fa0 IB/mlx5: Add port protocol stats (v4.8-rc1)
  c73428230d98 IB/mlx5: Support device FW version string (v4.8-rc1)
  619615005e2f IB/mlx5: Fix duplicate const warning (v4.8-rc1)
  b0ffeb537f3a IB/mlx5: Fix iteration overrun in GSI qps (v4.8-rc1)
  already applied as part of "bsc#966170 FATE#320225 bsc#966172
  FATE#320226"
  321a9e3ebccb IB/mlx5: Fix port counter ID association to QP offset (v4.8-rc1)
  22dc13c837c3 net_sched: convert tcf_exts from list to pointer array (v4.8-rc3)
  fixes a85a970af265 net_sched: move tc_action into tcf_common
  (v4.8-rc1) which is not included
  skipped
  82d200cc6fc8 IB/mlx5: Remove superfluous include of io-mapping.h (v4.8-rc4)
  13f9bba7cd4f net/mlx5e: Set port MTU on netdev creation rather on open (v4.8-rc5)
  506753b0b409 net/mlx5e: Optimization for MTU change (v4.8-rc5)
  1061c90f5249 net/mlx5: Fix pci error recovery flow (v4.8-rc5)
  2c0f8ce1b584 net/mlx5: Added missing check of msg length in verifying its signature (v4.8-rc5)
  already present via -stable c03c024fd36d (v4.4.23)
  6c3b4f90861c net/mlx5: Update last-use statistics for flow rules (v4.8-rc5)
  1dbd0d373ac3 net/mlx5e: Use correct flow dissector key on flower offloading (v4.8-rc5)
  already applied as part of "bsc#966170 FATE#320225 bsc#966172
  FATE#320226"
  dbe413e3bb93 net/mlx5e: Retrieve the switchdev id from the firmware only once (v4.8-rc5)
  ef78618b9d29 net/mlx5: E-Switch, Return the correct devlink e-switch mode (v4.8-rc5)
  1a8ee6f25b10 net/mlx5: E-Switch, Set the send-to-vport rules in the correct table (v4.8-rc5)
  f96750f8d6bd net/mlx5: E-Switch, Avoid ACLs in the offloads mode (v4.8-rc5)
  fe4c988bdd1c net/mlx5e: Limit UMR length to the device's limitation (v4.8-rc5)
  f2fde18c52a7 net/mlx5e: Don't wait for RQ completions on close (v4.8-rc5)
  8484f9ed13b2 net/mlx5e: Don't post fragmented MPWQE when RQ is disabled (v4.8-rc5)
  6e8dd6d6f4bd net/mlx5e: Don't wait for SQ completions on close (v4.8-rc5)
  cc8e9ebf9526 net/mlx5e: Fix ethtool -g/G rx ring parameter report with striding RQ (v4.8-rc5)
  c8cf78fe100b net/mlx5e: Add ethtool counter for TX xmit_more (v4.8-rc5)
  bf50082c15eb net/mlx5e: Fix memory leak if refreshing TIRs fails (v4.8-rc5)
  1722b9694ecf net/mlx5: Add error prints when validate ETS failed (v4.8-rc5)
  already applied as part of "bsc#966170 FATE#320225 bsc#966172
  FATE#320226"
  e5835f2833b1 net/mlx5: Increase number of ethtool steering priorities (v4.8-rc5)
  fffd68734dc6 IB/mlx5: Fix the size parameter to find_first_bit (v4.8-rc6)
  24be409beede IB/mlx5: Return EINVAL when caller specifies too many SGEs (v4.8-rc6)
  b2a232d21f30 IB/mlx5: Simplify code by removing return variable (v4.8-rc6)
  d9f88e5ab9a7 IB/mlx5: Use TIR number based on selector (v4.8-rc6)
  dbdf7d4e7f91 IB/mlx5: Don't return errors from poll_cq (v4.8-rc6)
  0dbf657c3993 net/mlx5e: Fix xmit_more counter race issue (v4.8-rc7)
  e7e31ca43d6b net/mlx5e: Move an_disable_cap bit to a new position (v4.8-rc7)
  7abc2110779b net/mlx5e: Prevent casting overflow (v4.8-rc7)
  4e39883d9c74 net/mlx5e: Fix global PFC counters replication (v4.8-rc7)
  cd17d230dd06 net/mlx5e: Fix parsing of vlan packets when updating lro header (v4.8-rc7)
  7fae6655a0c8 IB/mlx5: Enable MAD_IFC commands for IB ports only (v4.8-rc7)
  already applied as part of "bsc#996027"
  ee3da804ad1b IB/mlx5: Set source mac address in FTE (v4.8-rc7)
  already applied as part of "bsc#966170 FATE#320225 bsc#966172
  FATE#320226"
  babd6134a54d net/mlx5: Fix flow counter bulk command out mailbox allocation (v4.8-rc8)
  4eea37d7b920 net/mlx5: E-Switch, Fix error flow in the SRIOV e-switch init code (v4.8-rc8)
  6c419ba8e258 net/mlx5: E-Switch, Handle mode change failures (v4.8-rc8)
  6f0b826da4a3 mlx5/core: Use memdup_user() rather than duplicating its implementation (v4.9-rc1)
  04ed5ad5db68 net/mlx5: Init/Teardown hca commands via mlx5 ifc (v4.9-rc1)
  20ed51c643b6 net/mlx5: Access register and MAD IFC commands via mlx5 ifc (v4.9-rc1)
  732ef5ad8ff6 net/mlx5: PD and UAR commands via mlx5 ifc (v4.9-rc1)
  20bb566bda7b net/mlx5: MCG commands via mlx5 ifc (v4.9-rc1)
  a533ed5e179c net/mlx5: Pages management commands via mlx5 ifc (v4.9-rc1)
  73b626c182df net/mlx5: EQ commands via mlx5 ifc (v4.9-rc1)
  278277866334 {net,IB}/mlx5: CQ commands via mlx5 ifc (v4.9-rc1)
  ec22eb53106b {net,IB}/mlx5: MKey/PSV commands via mlx5 ifc (v4.9-rc1)
  Conflict with fe4c988bdd1c resolved according to 6abdd5f5935f
  ("Merge
  git://git.kernel.org/pub/scm/linux/kernel/git/davem/net",
  v4.9-rc1)
  09a7d9eca1a6 {net,IB}/mlx5: QP/XRCD commands via mlx5 ifc (v4.9-rc1)
  1a412fb1caa2 {net,IB}/mlx5: Modify QP commands via mlx5 ifc (v4.9-rc1)
  c4f287c4a6ac net/mlx5: Unify and improve command interface (v4.9-rc1)
  2974ab6e8bd8 net/mlx5: Improve driver log messages (v4.9-rc1)
  9def7121bed3 net/mlx5: Enable setting minimum inline header mode for VFs (v4.9-rc1)
  7adbde2035c2 net/mlx5: Update mlx5_ifc.h for vxlan encap/decap (v4.9-rc1)
  575ddf5888ea net/mlx5: Introduce alloc_encap and dealloc_encap commands (v4.9-rc1)
  83b502a12e82 net/mlx5: Modify RQ bitmask from mlx5 ifc (v4.9-rc1)
  2e353b3468ec net/mlx5: Update struct mlx5_ifc_xrqc_bits (v4.9-rc1)
  8cca30a7f914 net/mlx5: Expose mlx5e_link_mode (v4.9-rc1)
  d5beb7f2aff4 net/mlx5: Separate query_port_proto_oper for IB and EN (v4.9-rc1)
  84df61ebc69b net/mlx5: Add HW interfaces used by LAG (v4.9-rc1)
  7907f23adc18 net/mlx5: Implement RoCE LAG feature (v4.9-rc1)
  depends on 764f5e544118 ("net: add info struct for LAG
  changeupper", v4.5-rc1) from the series merged in c5b8b34c3f41
  ("Merge branch 'bonding-team-offload'", v4.5-rc1)
  b03804e7c3ad net: Check CHANGEUPPER notifier return value (v4.5-rc1)
  3952af4d5034 bonding: add 802.3ad support for 100G speeds (v4.5-rc1)
  c981e4213e9d net: add netif_is_team_master helper (v4.5-rc1)
  f7f019ee6d11 net: add netif_is_team_port helper (v4.5-rc1)
  7be61833042e net: add netif_is_lag_master helper (v4.5-rc1)
  e0ba1414f310 net: add netif_is_lag_port helper (v4.5-rc1)
  6dffb0447c25 net: propagate upper priv via netdev_master_upper_dev_link (v4.5-rc1)
  29bf24afb290 net: add possibility to pass information about upper device via notifier (v4.5-rc1)
  764f5e544118 net: add info struct for LAG changeupper (v4.5-rc1)
  8fd728566a35 team: fill-up LAG changeupper info struct and pass it along (v4.5-rc1)
  41f0b0496466 bonding: fill-up LAG changeupper info struct and pass it along (v4.5-rc1)
  Adjusted because of the presence of
  03d84a5f83a6 bonding: Prevent IPv6 link local address on enslaved devices (v4.5-rc1)
  backported as -stable 1338c946e62d (v4.4.1)
  04d482660a07 net: introduce change lower state notifier (v4.5-rc1)
  fb1b2e3ce53a net: introduce lower state changed info structure for LAG lowers (v4.5-rc1)
  7d259505299c team: rtnl_lock for options set (v4.5-rc1)
  3a0d6c5af5e5 team: implement lower state change propagation (v4.5-rc1)
  5d397061ca20 bonding: allow notifications for bond_set_slave_link_state (v4.5-rc1)
  f7c7eb7f7af7 bonding: implement lower state change propagation (v4.5-rc1)
  57beaca8ecd7 bonding: set inactive flags on release (v4.5-rc1)
  c5b9b518adab mlxsw: spectrum: Add set_rx_mode ndo stub (v4.5-rc1)
  8060646a0fd1 mlxsw: core: Add support for packets received from LAG port (v4.5-rc1)
  d2292e8761be mlxsw: pci: Implement LAG processing for received packets (v4.5-rc1)
  d1d40be084c6 mlxsw: reg: Add link aggregation configuration registers definitions (v4.5-rc1)
  e4bfbae29a19 mlxsw: reg: Add definition of LAG unicast record for SFD register (v4.5-rc1)
  3b71571c0123 mlxsw: reg: Add definition of LAG unicast record for SFN register (v4.5-rc1)
  0d65fc13042f mlxsw: spectrum: Implement LAG port join/leave (v4.5-rc1)
  followed up by
  82a06429ae21 mlxsw: spectrum: fix some error handling
  4dc236c31733 mlxsw: spectrum: Handle port leaving LAG while bridged
  depends on
  7f71eb46a485 mlxsw: spectrum: Split vFID range in two (v4.5-rc1)
  which is not present, skipped
  51554db2d23f mlxsw: spectrum: Fix rollback order in LAG join failure
  8a1ab5d76639 mlxsw: spectrum: Implement FDB add/remove/dump for LAG (v4.5-rc1)
  followed up by
  45827d780aab mlxsw: spectrum: Notify bridge's FDB only based on learning_sync
  304f51584f45 mlxsw: spectrum: Dump LAG FDB records only once
  depends on
  6ff64f6f9242 switchdev: Pass original device to port netdev driver (v4.5-rc1)
  which is not present, skipped
  745812065cf3 mlxsw: spectrum: Implement LAG tx enabled lower state change (v4.5-rc1)
  6a32047a441b net/mlx5: Get RoCE netdev (v4.9-rc1)
  db60b80273c5 net/mlx5e: Avoid port remapping of mlx5e netdev TISes (v4.9-rc1)
  edb31b168675 net/mlx5: LAG and SRIOV cannot be used together (v4.9-rc1)
  aaff1bea16bb net/mlx5: LAG demux flow table support (v4.9-rc1)
  3e75d4ebaae7 net/mlx5: Add LAG flow steering namespace (v4.9-rc1)
  3bc34f3bcb08 net/mlx5: Vport LAG creation support (v4.9-rc1)
  917b41aab7b3 net/mlx5: Configure IB devices according to LAG state (v4.9-rc1)
  cea824d41652 net/mlx5: Introduce sniffer steering hardware capabilities (v4.9-rc1)
  87d22483ce68 net/mlx5: Add sniffer namespaces (v4.9-rc1)
  d62292e85028 net/mlx5: Skip waiting for vf pages in internal error (v4.9-rc1)
  6b6adee3dad2 net/mlx5: SRIOV core code refactoring (v4.9-rc1)
  737a234bb638 net/mlx5: Introduce attach/detach to interface API (v4.9-rc1)
  59211bd3b632 net/mlx5: Split the load/unload flow into hardware and software flows (v4.9-rc1)
  acab721b5d8d net/mlx5: Implement SRIOV attach/detach flows (v4.9-rc1)
  62a9b90ad83e net/mlx5: Implement eswitch attach/detach flows (v4.9-rc1)
  c2d6e31a0008 net/mlx5: Align sriov/eswitch modules with the new load/unload flow. (v4.9-rc1)
  1ab2068a4c66 net/mlx5: Implement vports admin state backup/restore (v4.9-rc1)
  26e59d8077a3 net/mlx5e: Implement mlx5e interface attach/detach callbacks (v4.9-rc1)
  9df30601c843 net/mlx5e: Restore vlan filter after seamless reset (v4.9-rc1)
  f1ee87fe55c8 net/mlx5: Organize device list API in one place (v4.9-rc1)
  7e426671704d net/mlx5e: Single flow order-0 pages for Striding RQ (v4.9-rc1)
  a5a0c590166e net/mlx5e: Introduce API for RX mapped pages (v4.9-rc1)
  previous two, adjusted for the absence of
  0139aa7b7fa1 mm: rename _count, field of the struct page, to _refcount (v4.7-rc1)
  4415a0319f92 net/mlx5e: Implement RX mapped page cache for page recycle (v4.9-rc1)
  766a0e978fc2 net/mlx5: clean function declarations in eswitch.c up (v4.9-rc1)
  efee95f42b5d ptp_clock: future-proofing drivers against PTP subsystem becoming optional (v4.9-rc1)
  already applied as part of "bsc#1024361 FATE#321242
  bsc#1024365 FATE#321243"
  1bfecfca565c net/mlx5e: Build RX SKB on demand (v4.9-rc1)
  21c59685dd17 net/mlx5e: Union RQ RX info per RQ type (v4.9-rc1)
  e4b85508072b net/mlx5e: Slightly reduce hardware LRO size (v4.9-rc1)
  2fc4bfb7250d net/mlx5e: Dynamic RQ type infrastructure (v4.9-rc1)
  86994156c736 net/mlx5e: XDP fast RX drop bpf programs support (v4.9-rc1)
  depends on 59d3656d5bf5 ("bpf: add bpf_prog_add api for bulk
  prog refcnt", v4.8-rc1) from the series merged in 22b3548861fb
  ("Merge branch 'xdp'", v4.8-rc1)
  skipped, too many dependencies
  f10b7cc7707f net/mlx5e: Have a clear separation between different SQ types (v4.9-rc1)
  b5503b994ed5 net/mlx5e: XDP TX forwarding support (v4.9-rc1)
  35b510e257f7 net/mlx5e: XDP TX xmit more (v4.9-rc1)
  above two, depends on 86994156c736
  skipped, like that one
  53e89941ba2a net_sched: act_vlan: add helper inlines to access tcf_vlan info (v4.9-rc1)
  9deb2241f19f net/mlx5: E-Switch, Set the vport when registering the uplink rep (v4.9-rc1)
  bac9b6aa1df7 net/mlx5: E-Switch, Set vport representor fields explicitly on registration (v4.9-rc1)
  e33dfe316cf3 net/mlx5: E-Switch, Allow fine tuning of eswitch vport push/pop vlan (v4.9-rc1)
  776b12b674db net/mlx5: Put elements related to offloaded TC rule in one struct (v4.9-rc1)
  8515c581dfa5 net/mlx5e: Refactor retrival of skb from rx completion element (cqe) (v4.9-rc1)
  f5f82476090f net/mlx5: E-Switch, Support VLAN actions in the offloads mode (v4.9-rc1)
  8b32580df1cb net/mlx5e: Add TC vlan action for SRIOV offloads (v4.9-rc1)
  095b6cfd69ce net/mlx5e: Add TC vlan match parsing (v4.9-rc1)
  depends on f6a66927692e ("flow_dissector: Get vlan priority in
  addition to vlan id", v4.9-rc1) from the series merged in
  fb36938de4d6 ("Merge branch 'flow-dissector-vlan-tag'",
  v4.9-rc1)
  d5709f7ab776 flow_dissector: For stripped vlan, get vlan info from skb->vlan_tci (v4.9-rc1)
  followed up by
  3805a938a6c2 flow_dissector: Check skb for VLAN only if skb specified.
  depends on
  fe19c4f971a5 vlan: Check for vlan ethernet types for 8021.q or 802.1ad (v4.9-rc1)
  bc72f3dd89e0 flow_dissector: fix vlan tag handling
  f6a66927692e flow_dissector: Get vlan priority in addition to vlan id (v4.9-rc1)
  339ba878cfb0 net_sched: flower: Avoid dissection of unmasked keys (v4.9-rc1)
  9399ae9a6cb2 net_sched: flower: Add vlan support (v4.9-rc1)
  followed up by
  0b498a527783 net_sched: fix use of uninitialized ethertype variable in cls_flower
  956af37102b5 net_sched: act_vlan: Add priority option (v4.9-rc1)
  79aab093a0b5 net: Update API for VF vlan protocol 802.1ad support (v4.9-rc1)
  already applied as part of "bsc#1015336 FATE#321685
  bsc#1015337 FATE#321686 bsc#1015340 FATE#321687"
  803783849fed mlx5: Add ndo_poll_controller() implementation (v4.9-rc1)
  d0debb76df18 net/mlx5e: shut up maybe-uninitialized warning (v4.9-rc1)
  ed082d36a7b2 IB/core: add support to create a unsafe global rkey to ib_create_pd (v4.9-rc1)
  already applied as part of "bnc#1024296,FATE#321265"
  ccf20562601d IB/core: Expose RSS related capabilities (v4.9-rc1)
  47adf2f4f580 IB/uverbs: Expose RSS related capabilities (v4.9-rc1)
  above two, already applied as part of "FATE#321231 FATE#321473
  FATE#322153 FATE#322149", moved
  31f69a82b456 IB/mlx5: Expose RSS related capabilities (v4.9-rc1)
  0680efa21478 IB/mlx5: Refactor raw packet QP modify function (v4.9-rc1)
  eb49ab0c5f3d IB/mlx5: Add port counter support for raw packet QP (v4.9-rc1)
  7055a29471ee IB/mlx5: Fix steering resource leak (v4.9-rc1)
  already applied as part of "bsc#966170 FATE#320225 bsc#966172
  FATE#320226"
  5497adc63213 IB/mlx5: Save flow table priority handler instead of index (v4.9-rc1)
  dd063d0e6c78 IB/mlx5: Fix coverity warning (v4.9-rc1)
  d9d4980af21d IB/mlx5: Increase flow table reference count in create rule (v4.9-rc1)
  cc0e5d42351d IB/mlx5: Add sniffer support to steering (v4.9-rc1)
  c47ac6aee6df IB/mlx5: Add validation to flow specifications parsing (v4.9-rc1)
  15dfbd6b4f05 IB/uverbs: Add support to extend flow steering specifications (v4.9-rc1)
  989a3a8f91ba IB/uverbs: Add more fields to IPv4 flow specification (v4.9-rc1)
  a72c6a2b0e69 IB/core: Add more fields to IPv6 flow specification (v4.9-rc1)
  above three, already applied as part of "FATE#321231
  FATE#321473 FATE#322153 FATE#322149", moved
  ca0d47538528 IB/mlx5: Add support in TOS and protocol to flow steering (v4.9-rc1)
  466fa6d2e364 IB/mlx5: Add support of more IPv6 fields to flow steering (v4.9-rc1)
  350d0e4c7e4b IB/mlx5: Track asynchronous events on a receive work queue (v4.9-rc1)
  5ec8c83e3ad3 IB/mlx5: Port events in RoCE now rely on netdev events (v4.9-rc1)
  9ef9c640f4c5 IB/mlx5: Merge vports flow steering during LAG (v4.9-rc1)
  88621dfe9067 IB/mlx5: Port status track LAG master, when LAG is active (v4.9-rc1)
  4babcf97c551 IB/mlx5: Set unique device name on LAG (v4.9-rc1)
  13eab21f92de IB/mlx5: LAG QP load balancing (v4.9-rc1)
  3c856c82adc2 IB/mlx5: Remove deprecated create_singlethread_workqueue (v4.9-rc1)
  72a36d114187 IB/mlx5/odp: Remove deprecated create_singlethread_workqueue (v4.9-rc1)
  bd99fdea420b IB/{core,hw}: Add constant for node_desc (v4.9-rc1)
  already applied as part of "FATE#321231 FATE#321473"
  3085e29e2f83 IB/mlx5: Move and decouple user vendor structures (v4.9-rc1)
  b8a4ddb2e8f4 net/mlx5: Add MLX5_ARRAY_SET64 to fix BUILD_BUG_ON (v4.9-rc1)
  b47bd6ea4063 {net, ib}/mlx5: Make cache line size determination at runtime. (v4.9-rc4)
  bba1574c2f11 net/mlx5: Always Query HCA caps after setting them (v4.9-rc4)
  eccec8da3b4e net/mlx5: Keep autogroups list ordered (v4.9-rc4)
  32dba76a7a31 net/mlx5: Fix autogroups groups num not decreasing (v4.9-rc4)
  previous two, already applied as part of "bsc#966170
  FATE#320225 bsc#966172 FATE#320226"
  e83d6955fe42 net/mlx5: Correctly initialize last use of flow counters (v4.9-rc4)
  2b029556667a net/mlx5e: Choose best nearest LRO timeout (v4.9-rc4)
  5e1e93c70473 net/mlx5e: Unregister netdev before detaching it (v4.9-rc4)
  247f139cdae7 net/mlx5: Change the acl enable prototype to return status (v4.9-rc4)
  2241007b3d78 net/mlx5: Clear health sick bit when starting health poll (v4.9-rc4)
  05ac2c0b7438 net/mlx5: Fix race between PCI error handlers and health work (v4.9-rc4)
  04c0c1ab38e9 net/mlx5: PCI error recovery health care simulation (v4.9-rc4)
  6b276190c50a net/mlx5: Avoid passing dma address 0 to firmware (v4.9-rc4)
  42fb18fd5852 net/mlx5: Simplify a test (v4.9-rc6)
  87dc02551c50 net/mlx5e: Fix XDP error path of mlx5e_open_channel() (v4.9-rc6)
  d7a0ecab380c net/mlx5e: Re-arrange XDP SQ/CQ creation (v4.9-rc6)
  previous two, fix b5503b994ed5
  skipped, like that one
  abd3277287c7 net/mlx5e: Disallow changing name-space for VF representors (v4.9-rc6)
  358d79a47e5a net/mlx5e: Handle matching on vlan priority for offloaded TC rules (v4.9-rc6)
  ee39fbc4447d net/mlx5: E-Switch, Set the actions for offloaded rules properly (v4.9-rc6)
  0e97a34083a0 net/mlx5: Fix invalid pointer reference when prof_sel parameter is invalid (v4.9-rc6)
  90be7c8ab728 IB/mlx5: Fix memory leak in query device (v4.9-rc6)
  efd7f40082a0 IB/mlx5: Validate requested RQT size (v4.9-rc6)
  16b0e0695a73 IB/mlx5: Use cache line size to select CQE stride (v4.9-rc6)
  already present via -stable 734039913373 (v4.4.35)
  6bc1a656ab9f IB/mlx5: Resolve soft lock on massive reg MRs (v4.9-rc6)
  dbaaff2a2caa IB/mlx5: Fix fatal error dispatching (v4.9-rc6)
  already present via -stable c524185c81d4 (v4.4.35)
  a1ab8402d15d IB/mlx5: Fix NULL pointer dereference on debug print (v4.9-rc6)
  5e7dfeb75866 net/mlx5: drop duplicate header delay.h (v4.9-rc7)
  f663ad986239 net/mlx5: Verify module parameters (v4.9)
  9e5b2fc1d39b net/mlx5: Remove duplicate pci dev name print (v4.9)
  f9c14e46748b net/mlx5: Fix query ISSI flow (v4.9)
  b8335d91b472 net/mlx5e: Don't notify HW when filling the edge of ICO SQ (v4.9)
  3c8591d593a3 net/mlx5e: Don't flush SQ on error (v4.9)
  c0f1147d14e4 net/mlx5e: Change the SQ/RQ operational state to positive logic (v4.9)
  Adjusted for the absence of
  86994156c736 net/mlx5e: XDP fast RX drop bpf programs support (v4.9-rc1)
  b5503b994ed5 net/mlx5e: XDP TX forwarding support (v4.9-rc1)
  d33695fbfab7 net: mlx5: Fix Kconfig help text (v4.9)
  5724b8b56947 net/sched: tc_mirred: Rename public predicates 'is_tcf_mirred_redirect' and 'is_tcf_mirred_mirror' (v4.10-rc1)
  depends on (for context)
  56a20680f703 net/sched: act_mirred: Add helper inlines to access tcf_mirred info. (v4.8-rc1)
  Adjusted for the absence of
  763b4b70afcd mlxsw: spectrum: Add support in matchall mirror TC offloading (v4.8-rc1)
  b80f71f5816f ethernet/mellanox: use core min/max MTU checking (v4.10-rc1)
  bdc379249c5b IB/mlx5: Skip handling unknown events (v4.10-rc1)
  5579e1519bad net/mlx5: Update struct mlx5_ifc_xrqc_bits (v4.10-rc1)
  dd257efb1e0f net/mlx5: Ensure SRQ physical address structure endianness (v4.10-rc1)
  6887a825dc5c net/mlx5: Fix length of async_event_mask (v4.10-rc1)
  86490d9a5969 net/mlx5: Add ConnectX-5 PCIe 4.0 VF device ID (v4.10-rc1)
  813f854053c2 net/mlx5: Introduce TSAR manipulation firmware commands (v4.10-rc1)
  1bd27b11c1df net/mlx5: Introduce E-switch QoS management (v4.10-rc1)
  bd77bf1cb595 net/mlx5: Add SRIOV VF max rate configuration support (v4.10-rc1)
  0fd758d6112f net/mlx5: Don't unlock fte while still using it (v4.10-rc1)
  0501fc477c2b net/mlx5: Use fte status to decide on firmware command (v4.10-rc1)
  814fb8754155 net/mlx5: Refactor find_flow_rule (v4.10-rc1)
  a62249857779 net/mlx5: Group similer rules under the same fte (v4.10-rc1)
  74491de93712 net/mlx5: Add multi dest support (v4.10-rc1)
  ae05831424ed net/mlx5: Add option to add fwd rule with counter (v4.10-rc1)
  e37a79e5d4ca net/mlx5e: Add tc support for FWD rule with counter (v4.10-rc1)
  9ce183b4c4d2 net/sched: act_tunnel_key: add helper inlines to access tcf_tunnel_key (v4.10-rc1)
  depends on d0f6dd8a914f from the series merged in d1ba24feb466
  ("Merge branch 'act_tunnel_key'", v4.9-rc1)
  d817f432c2ab net/ip_tunnels: Introduce tunnel_id_to_key32() and key32_to_tunnel_id() (v4.9-rc1)
  Dropped vxlan changes because of the absence of
  54bfd872bf16 vxlan: keep flags and vni in network byte order (v4.6-rc1)
  2ff378b7474f net/dst: Utility functions to build dst_metadata without supplying an skb (v4.9-rc1)
  Adjusted for the absence of
  134611446dc6 ip_tunnel: add support for setting flow label via collect metadata (v4.6-rc1)
  bc3103f1ed40 net/sched: cls_flower: Classify packet in ip tunnels (v4.9-rc1)
  Adjusted for the absence of
  e69985c67c33 net/sched: cls_flower: Introduce support in SKIP SW flag (v4.8-rc1)
  d0f6dd8a914f net/sched: Introduce act_tunnel_key (v4.9-rc1)
  Depends on
  a85a970af265 net_sched: move tc_action into tcf_common (v4.8-rc1)
  skipped, too many dependencies
  ae9f83ac2456 net/mlx5: Move alloc/dealloc encap commands declarations to common header file (v4.10-rc1)
  43f93839e359 net/mlx5: Check max encap header size capability (v4.10-rc1)
  c9f1b073d0d7 net/mlx5: Add creation flags when adding new flow table (v4.10-rc1)
  66958ed906b8 net/mlx5: Support encap id when setting new steering entry (v4.10-rc1)
  conflict resolved according to
  bb598c1b8c9b Merge git://git.kernel.org/pub/scm/linux/kernel/git/davem/net (v4.10-rc1)
  bbd00f7e2349 net/mlx5e: Add TC tunnel release action for SRIOV offloads (v4.10-rc1)
  depends on d0f6dd8a914f from the series merged in d1ba24feb466
  ("Merge branch 'act_tunnel_key'", v4.9-rc1)
  d817f432c2ab net/ip_tunnels: Introduce tunnel_id_to_key32() and key32_to_tunnel_id() (v4.9-rc1)
  skipped, as noted above for the same series
  4a25730eb202 net/mlx5e: Add ndo_udp_tunnel_add to VF representors (v4.10-rc1)
  depend on
  e7b3db5e60e8 net: Combine GENEVE and VXLAN port notifiers into single functions (v4.8-rc1)
  part of the series merged in 832dfd1f76f0 ("Merge branch
  'tunnel-offload-future-proof'", v4.8-rc1).
  skipped, too many dependencies
  a54e20b4fcae net/mlx5e: Add basic TC tunnel set action for SRIOV offloads (v4.10-rc1)
  depends on
  b3f63c3 net/mlx5e: Add netdev support for VXLAN tunneling (v4.6-rc1)
  skipped, like that one
  d30d9ccbfac7 net/mlx5e: remove napi_hash_del() calls (v4.10-rc1)
  0ac3ea70897f net/mlx5: Make the command interface cache more flexible (v4.10-rc1)
  4ce3bf2fa8ba net/mlx5: Port module event hardware structures (v4.10-rc1)
  d4eb4cd78b07 net/mlx5: Add handling for port module event (v4.10-rc1)
  bedb7c909c19 net/mlx5e: Add port module event counters to ethtool stats (v4.10-rc1)
  0dbc6fe09fbe net/mlx5: Set driver version infrastructure (v4.10-rc1)
  012e50e109fd net/mlx5: Set driver version into firmware (v4.10-rc1)
  7f503169cabd net/mlx5: Add MPCNT register infrastructure (v4.10-rc1)
  9c7262399ba1 net/mlx5e: Expose PCIe statistics to ethtool (v4.10-rc1)
  97bc402db782 bpf, mlx5: fix mlx5e_create_rq taking reference on prog (v4.10-rc1)
  c54c06290428 bpf, mlx5: fix various refcount issues in mlx5e_xdp_set (v4.10-rc1)
  a055c19be98b bpf, mlx5: drop priv->xdp_prog reference on netdev cleanup (v4.10-rc1)
  above three, fix 86994156c736
  skipped, like that one
  3df5b3c67546 net: Add net-device param to the get offloaded stats ndo (v4.10-rc1)
  depends on
  2c9d85d4d82d netdevice: Add offload statistics ndo (v4.9-rc1)
  69ae6ad2ff37 net: core: Add offload stats to if_stats_msg (v4.9-rc1)
  depends on
  10c9ead9f3c6 rtnetlink: add new RTM_GETSTATS message to dump link stats (v4.7-rc1)
  depends on
  35c5845957c7 net: Add helpers for 64-bit aligning netlink attributes. (v4.7-rc1)
  skipped, too many dependencies
  370bad0f9a52 net/mlx5e: Support HW (offloaded) and SW counters for SRIOV switchdev mode (v4.10-rc1)
  depends on 3df5b3c67546
  skipped, like that one
  20a1ea674783 net/mlx5e: Support VF vport link state control for SRIOV switchdev mode (v4.10-rc1)
  59bfde01fab0 devlink: Add E-Switch inline mode control (v4.10-rc1)
  34e4e9907866 net/mlx5: Enable to query min inline for a specific vport (v4.10-rc1)
  bffaa916588e net/mlx5: E-Switch, Add control for inline mode (v4.10-rc1)
  de0af0bf64fc net/mlx5e: Enforce min inline mode when offloading flows (v4.10-rc1)
  eafa6abd99ea net/mlx5: remove a duplicate condition (v4.10-rc1)
  80653f73c53d net/mlx5e: Add qos capability check (v4.10-rc1)
  3a6a931dfb8e net/mlx5e: Support DCBX CEE API (v4.10-rc1)
  820c2c5e773d net/mlx5e: Read ETS settings directly from firmware (v4.10-rc1)
  341c5ee2fb78 net/mlx5: Add DCBX firmware commands support (v4.10-rc1)
  e207b7e99176 net/mlx5e: ConnectX-4 firmware support for DCBX (v4.10-rc1)
  0eca995f3ede net/mlx5e: Add DCBX control interface (v4.10-rc1)
  d605d6686dc7 net/mlx5e: Add support for ethtool self diagnostics test (v4.10-rc1)
  0952da791c97 net/mlx5e: Add support for loopback selftest (v4.10-rc1)
  59ece1c96939 net/mlx5e: Moves pflags to priv->params (v4.10-rc1)
  9bcc86064bb5 net/mlx5e: Add CQE compression user control (v4.10-rc1)
  fec668d36d10 ethernet :mellanox :mlx5: Replace pci_pool_alloc by pci_pool_zalloc (v4.10-rc1)
  1c1b522808a1 net/mlx5e: Implement Fragmented Work Queue (WQ) (v4.10-rc1)
  3608ae77c098 net/mlx5e: Move function mlx5e_create_umr_mkey (v4.10-rc1)
  ec8b9981ad3f net/mlx5e: Create UMR MKey per RQ (v4.10-rc1)
  53636068d8d6 net/mlx5e: Remove redundant hashtable lookup in configure flower (v4.10-rc1)
  86a33ae1ca06 net/mlx5e: Correct cleanup order when deleting offloaded TC rules (v4.10-rc1)
  961e8979ec35 net/mlx5e: Refactor tc del flow to accept mlx5e_tc_flow instance (v4.10-rc1)
  5067b6020770 net/mlx5e: Remove flow encap entry in the correct place (v4.10-rc1)
  fixes a54e20b4fcae [!]
  skipped, like that one
  366cbf2f4604 bpf, xdp: drop rcu_read_lock from bpf_prog_run_xdp and move to caller (v4.10-rc1)
  fixes 86994156c736
  skipped, like that one
  d709b2a18676 net/mlx5e: skip loopback selftest with !CONFIG_INET (v4.10-rc1)
  718f13e72be4 net/mlx5e: Bring back representor's ndos that were accidentally removed (v4.10-rc1)
  fixes 370bad0f9a52
  skipped, like that one
  726293f1f851 net/mlx5e: Save the represntor netdevice as part of the representor (v4.10-rc1)
  ebe06875ff1f net/mlx5e: Support adding ingress tc rule when egress device flag is set (v4.10-rc1)
  depends on
  7091d8c7055d net/sched: cls_flower: Add offload support using egress Hardware device (v4.10-rc1)
  depends on
  3036dab670ba net/sched: cls_flower: Provide a filter to replace/destroy hardware filter functions (v4.10-rc1)
  depends on
  e8eb36cd8ca9 net/sched: flower: Return error when hw can't offload and skip_sw is set (v4.8-rc1)
  doesn't apply...
  skipped, too many dependencies
  3f7d0eb42d59 net/mlx5e: Offload TC matching on packets being IP fragments (v4.10-rc1)
  17bedab27231 bpf: xdp: Allow head adjustment in XDP prog (v4.10-rc1)
  depends on 86994156c736
  skipped, like that one
  9afd895271d9 net/mlx5e: use %%pad format string for dma_addr_t (v4.10-rc1)
  d1cbfd771ce8 ptp_clock: Allow for it to be optional (v4.10-rc1)
  already applied as part of "bsc#1015336 FATE#321685
  bsc#1015337 FATE#321686 bsc#1015340 FATE#321687"
  0886d8f0b7c9 IB/mlx5: Remove debug prints after allocation failure (v4.10-rc1)
  2d2215888d75 IB/mlx5: Replace numerical constant with predefined MACRO (v4.10-rc1)
  578e72647ba5 IB/mlx5: Fix atomic cap in indirect UMR (v4.10-rc1)
  86695a6582e3 IB/mlx5: Put non zero value in max_ah (v4.10-rc1)
  acbda523884d IB/mlx5: Wait for all async command completions to complete (v4.10-rc1)
  already present via -stable 4ffb36efe22c (v4.4.45)
  288c01b746aa IB/mlx5: Fix reported max SGE calculation (v4.10-rc1)
  762f899ae787 IB/mlx5: Limit mkey page size to 2GB (v4.10-rc1)
  c226dc22ec49 net/mlx5: Report multi packet WQE capabilities (v4.10-rc1)
  191ded4a4d99 IB/mlx5: Report mlx5 multi packet WQE caps during query (v4.10-rc1)
  7e43a2a5bae3 IB/mlx5: Report mlx5 CQE compression caps during query (v4.10-rc1)
  1cbe6fc86ccf IB/mlx5: Add support for CQE compressing (v4.10-rc1)
  0dbf3332b7b6 IB/core: Add flow spec tunneling support (v4.10-rc1)
  76bd23b34204 IB/core: Align structure ib_flow_spec_type (v4.10-rc1)
  above two,
  already applied as part of "FATE#321231 FATE#321473
  FATE#322153 FATE#322149", moved
  a0cb4c759af1 IB/uverbs: Add support for Vxlan protocol (v4.10-rc1)
  ffb30d8f107b IB/mlx5: Support Vxlan tunneling specification (v4.10-rc1)
  fbf46860b19d IB/core: Introduce inner flow steering (v4.10-rc1)
  already applied as part of "FATE#321231 FATE#321473
  FATE#322153 FATE#322149", moved
  2d1e697e9b71 IB/mlx5: Add support to match inner packet fields (v4.10-rc1)
  c90ea9d8e511 IB/core: Change ib_resolve_eth_dmac to use it in create AH (v4.10-rc1)
  already applied as part of "FATE#321231 FATE#321473
  FATE#322153 FATE#322149", moved
  6ad279c5a2e5 IB/mlx5: Report that device has udata response in create_ah (v4.10-rc1)
  477864c8fcd9 IB/core: Let create_ah return extended response to user (v4.10-rc1)
  already applied as part of "FATE#322149"
  5097e71f3eda IB/mlx5: Use kernel driver to help userspace create ah (v4.10-rc1)
  41c450fd8da5 IB/mlx5: Make create/destroy_ah available to userspace (v4.10-rc1)
  c73b7911de97 IB/mlx5: Assign SRQ type earlier (v4.10-rc1)
  afd02cd3a9b6 IB/mlx5: Avoid system crash when enabling many VFs (v4.10-rc1)
  b216af408c98 IB/mlx5: Use u64 for UMR length (v4.10-rc1)
  d012f5d6f859 IB/mlx5: Refactor registration to netdev notifier (v4.10-rc1)
  45f95acd6322 IB/mlx5: Rename RoCE related helpers to reflect being Eth ones (v4.10-rc1)
  ca5b91d63192 IB/mlx5: Support RAW Ethernet when RoCE is disabled (v4.10-rc1)
  d949167d68b3 IB/mlx5: Report mlx5 packet pacing capabilities when querying device (v4.10-rc1)
  528e5a1bd3f0 IB/core: Support rate limit for packet pacing (v4.10-rc1)
  189aba99e700 IB/uverbs: Extend modify_qp and support packet pacing (v4.10-rc1)
  7d29f349a4b9 IB/mlx5: Properly adjust rate limit on QP state transitions (v4.10-rc1)
  14ab8896f5d9 IB/mlx5: avoid bogus -Wmaybe-uninitialized warning (v4.10-rc1)
  626bc02d4d33 mlx5: Use { } instead of { 0 } to init struct (v4.10-rc1)
  3d6bdf162585 mlx5: Remove a set-but-not-used variable (v4.10-rc1)
  1974ab9d9d5b mlx5, calc_sq_size(): Make a debug message more informative (v4.10-rc1)
  f7fb138389aa net/mlx5: use rb_entry() (v4.10-rc1)
  a5a1d1c2914b clocksource: Use a plain u64 instead of cycle_t (v4.10-rc1)
  9da34cd34e85 net/mlx5: Disable RoCE on the e-switch management port under switchdev mode (v4.10-rc3)
  883371c453b9 net/mlx5: Check FW limitations on log_max_qp before setting it (v4.10-rc3)
  already present via -stable 18d971f84c84 (v4.4.43)
  689a248df83b net/mlx5: Cancel recovery work in remove flow (v4.10-rc3)
  d151d73dcc99 net/mlx5: Avoid shadowing numa_node (v4.10-rc3)
  already present via -stable 1ff0308f33ce (v4.4.43)
  077b1e8069b9 net/mlx5: Mask destination mac value in ethtool steering rules (v4.10-rc3)
  9b8c514291a8 net/mlx5: Release FTE lock in error flow (v4.10-rc3)
  ccce1700263d net/mlx5: Prevent setting multicast macs for VFs (v4.10-rc3)
  465db5dab86d Revert "net/mlx5e: Expose PCIe statistics to ethtool" (v4.10-rc3)
  1efbd205b3cc Revert "net/mlx5: Add MPCNT register infrastructure" (v4.10-rc3)
  4525a45bfad5 net/mlx5e: Check ets capability before initializing ets settings (v4.10-rc3)
  610e89e05c3f net/mlx5e: Don't sync netdev state when not registered (v4.10-rc3)
  37f304d10030 net/mlx5e: Disable netdev after close (v4.10-rc3)
  cd3776638003 net/mlx5e: Properly handle offloading of source udp port for IP tunnels (v4.10-rc4)
  2fcd82e9be13 net/mlx5e: Warn when rejecting offload attempts of IP tunnels (v4.10-rc4)
  above two, fix a54e20b4fcae and bbd00f7e2349
  skipped, like those two
  a42485eb0ee4 net/mlx5e: TC ipv4 tunnel encap offload error flow fixes (v4.10-rc4)
  fixes a54e20b4fcae
  skipped, like that one
  2e72eb438ce5 net/mlx5e: Properly get address type of encapsulation IP headers (v4.10-rc4)
  fixes bbd00f7e2349
  skipped, like that one
  0827444d052b net/mlx5e: Set inline mode requirements for matching on IP fragments (v4.10-rc4)
  a757d108dc1a net/mlx5e: Fix kbuild warnings for uninitialized parameters (v4.10-rc4)
  fixes a54e20b4fcae
  skipped, like that one
  5e86397abe10 net/mlx5e: Properly handle FW errors while adding TC rules (v4.10-rc4)
  3deef8cea3ef net/mlx5e: Un-register uplink representor on nic_disable (v4.10-rc4)
  0bbcc0a8fc39 net/mlx5e: Remove WARN_ONCE from adaptive moderation code (v4.10-rc4)
  5e44fca50470 net/mlx5: Only cancel recovery work when cleaning up device (v4.10-rc4)
  abeffce90c7f net/mlx5e: Fix a -Wmaybe-uninitialized warning (v4.10-rc5)
  fixes a42485eb0ee4 and a757d108dc1a
  skipped, like those two
  639e9e94160e net/mlx5e: Remove unnecessary checks when setting num channels (v4.10-rc6)
  ad05df399f33 net/mlx5e: Remove unused variable (v4.10-rc6)
  e048fc50d7bd net/mlx5e: Do not recycle pages from emergency reserve (v4.10-rc6)
  9eb7892351a3 net/mlx5: Change ENOTSUPP to EOPNOTSUPP (v4.10-rc7)
  eff596da4878 net/mlx5: Return EOPNOTSUPP when failing to get steering name-space (v4.10-rc7)
  5403dc703ff2 net/mlx5: E-Switch, Err when retrieving steering name-space fails (v4.10-rc7)
  5bae8c031053 net/mlx5: E-Switch, Re-enable RoCE on mode change only after FDB destroy (v4.10-rc7)
  3e621b19b0bb net/mlx5e: Support TC encapsulation offloads with upper devices (v4.10-rc7)
  fixes a54e20b4fcae
  skipped, like that one
  1d3398facd08 net/mlx5e: Modify TIRs hash only when it's needed (v4.10-rc7)
  a100ff3eef19 net/mlx5e: Fix update of hash function/key via ethtool (v4.10-rc7)
  d15118af2683 net/mlx5e: Check ets capability before ets query FW command (v4.10-rc7)
  fed06ee89b78 net/mlx5e: Disable preemption when doing TC statistics upcall (v4.10)
  7b13558f2427 net/mlx5: Fix offset naming for reserved fields in hca_cap_bits (v4.11-rc1)
  9f885201f274 IB/mlx5: Reorder code in query device command (v4.11-rc1)
  d5ea2df9cefa IB/mlx5: Add helper mlx5_ib_post_send_wait (v4.11-rc1)
  bcda1aca7712 net/mlx5: Support new MR features (v4.11-rc1)
  3161625589c1 IB/mlx5: Refactor UMR post send format (v4.11-rc1)
  c438fde1c288 IB/mlx5: Add support for big MRs (v4.11-rc1)
  7d0cc6edcc70 IB/mlx5: Add MR cache for large UMR regions (v4.11-rc1)
  223cdc724290 net/mlx5: Update PAGE_FAULT_RESUME layout (v4.11-rc1)
  d9aaed838765 {net,IB}/mlx5: Refactor page fault handling (v4.11-rc1)
  17d2f88f92ce IB/mlx5: Add ODP atomics support (v4.11-rc1)
  aa8e08d2f523 IB/mlx5: Improve MR check (v4.11-rc1)
  bc1f44709cf2 net: make ndo_get_stats64 a void function (v4.11-rc1)
  already partially applied as part of "bsc#1027968"
  adjusted for the absence of
  370bad0f9a52 net/mlx5e: Support HW (offloaded) and SW counters for SRIOV switchdev mode (v4.10-rc1)
  de8d6e02efbd IB/mlx5: Fix kernel to user leak prevention logic (v4.11-rc1)
  f4044dac63e9 IB/mlx5: Fix error handling order in create_kernel_qp (v4.11-rc1)
  2f5ff26478ad mlx5: Fix naming convention with respect to UARs (v4.11-rc1)
  0b80c14f0097 IB/mlx5: Fix retrieval of index to first hi class bfreg (v4.11-rc1)
  a6d51b68611e net/mlx5: Introduce blue flame register allocator (v4.11-rc1)
  0118717583cd net/mlx5: Add interface to get reference to a UAR (v4.11-rc1)
  5fe9dec0d045 IB/mlx5: Use blue flame register allocator in mlx5_ib (v4.11-rc1)
  b037c29a8056 IB/mlx5: Allow future extension of libmlx5 input data (v4.11-rc1)
  30aa60b3bd12 IB/mlx5: Support 4k UAR for libmlx5 (v4.11-rc1)
  f502d834950a net/mlx5: Activate support for 4K UARs (v4.11-rc1)
  d8bec2b29a82 net/mlx5e: Support bpf_xdp_adjust_head() (v4.11-rc1)
  depends on 86994156c736
  skipped, like that one
  f82eed452399 net/mlx5: Remove information print after attempt to load mlx5_ib module (v4.11-rc1)
  712bfef60912 net/mlx5: Fix version printout in case of health issue (v4.11-rc1)
  f9a1ef720e9e net/mlx5: Add MTPPS and MTPPSE registers infrastructure (v4.11-rc1)
  ee7f12205abc net/mlx5e: Implement 1PPS support (v4.11-rc1)
  105433659d39 net/mlx5: Add support to s-tag in mlx5 firmware interface (v4.11-rc1)
  8a271746a264 net/mlx5e: Receive s-tagged packets in promiscuous mode (v4.11-rc1)
  cfdcbceaeffc net/mlx5: Expose PCAM, MCAM registers infrastructure (v4.11-rc1)
  c835ad64683b net/mlx5: Implement PCAM, MCAM access register commands (v4.11-rc1)
  71862561f3a6 net/mlx5: Query and cache PCAM, MCAM registers on initialization (v4.11-rc1)
  d8dc0508c50f net/mlx5: Add PPCNT physical layer statistical group infrastructure (v4.11-rc1)
  5db0a4f64c04 net/mlx5e: Expose physical layer statistical counters to ethtool (v4.11-rc1)
  8ed1a6306dc7 net/mlx5: Add MPCNT register infrastructure (v4.11-rc1)
  0f7f348192a9 net/mlx5e: Expose PCIe statistics to ethtool (v4.11-rc1)
  701052c57819 net/mlx5: Move cached hca caps to designated caps struct (v4.11-rc1)
  3dd69e3dd219 net/mlx5e: Reorder update stats (v4.11-rc1)
  073ff3c8e6ac net/mlx5: Use exact encap header size for the FW input buffer (v4.11-rc1)
  19f4440141af net/mlx5e: Add TC offloads matching on IPv6 encapsulation headers (v4.11-rc1)
  depends on
  bbd00f7e2349 net/mlx5e: Add TC tunnel release action for SRIOV offloads (v4.10-rc1)
  skipped, like that one
  75c33da82736 net/mlx5e: TC ipv4 tunnel encap offload cosmetic changes (v4.11-rc1)
  76f7444dd5a4 net/mlx5e: Use the full tunnel key info for encapsulation offload house-keeping (v4.11-rc1)
  9a941117fb76 net/mlx5e: Maximize ip tunnel key usage on the TC offloading path (v4.11-rc1)
  ce99f6b97fcd net/mlx5e: Support SRIOV TC encapsulation offloads for IPv6 tunnels (v4.11-rc1)
  above four, depend on
  a54e20b4fcae net/mlx5e: Add basic TC tunnel set action for SRIOV offloads (v4.10-rc1)
  skipped, like that one
  264d7bf3c1cf net/mlx5: E-Switch, Enlarge the FDB size for the switchdev mode (v4.11-rc1)
  c9497c98901c net/mlx5: Add support for setting VF min rate (v4.11-rc1)
  8c7245a60ef8 net/mlx5: Push min-inline mode resolution helper into the core (v4.11-rc1)
  7898489880f5 IB/mlx5: Enable Eth VFs to query their min-inline value for user-space (v4.11-rc1)
  b4e029da29ce net/mlx5e: Reduce memory consumption on kdump kernel (v4.11-rc1)
  adjusted for the presence of
  ad05df399f33 net/mlx5e: Remove unused variable (v4.10-rc6)
  5eb0249b4352 net/mlx5e: CQE compression control code reuse (v4.11-rc1)
  a67edbf4fb6d bpf: add initial bpf tracepoints (v4.11-rc1)
  depends on
  b5503b994ed5 net/mlx5e: XDP TX forwarding support (v4.9-rc1)
  skipped, like that one
  321fa4ffd94e net/mlx5e: fix another maybe-uninitialized false-positive (v4.11-rc1)
  fixes ce99f6b97fcd
  skipped, like that one
  a61d5ce9cc56 net/mlx5: Fix static checker warnings (v4.11-rc1)
  f32f5bd2eb7e net/mlx5: Configure cache line size for start and end padding (v4.11-rc1)
  2b31f7ae5f64 net/mlx5: TX WQE update (v4.11-rc1)
  adjusted for the absence of
  b5503b994ed5 net/mlx5e: XDP TX forwarding support (v4.9-rc1)
  a6f402e49901 net/mlx5e: Tx, no inline copy on ConnectX-5 (v4.11-rc1)
  b70149dd7dc9 net/mlx5e: XDP Tx, no inline copy on ConnectX-5 (v4.11-rc1)
  depends on
  b5503b994ed5 net/mlx5e: XDP TX forwarding support (v4.9-rc1)
  skipped, like that one
  8ca967ab6767 net/mlx5e: Bring back bfreg uar map dedicated pointer (v4.11-rc1)
  0fd27a88c2e4 IB/mlx5: Fix out-of-bound access (v4.11-rc1)
  12bbf1ea7e3b IB/mlx5: Return error for unsupported signature type (v4.11-rc1)
  45bded2c216d IB/mlx5: Verify that Q counters are supported (v4.11-rc1)
  c43f1112c068 IB/mlx5: Add additional checks before processing MADs (v4.11-rc1)
  1e0e50b6177b IB/mlx5: Avoid SMP MADs from VFs (v4.11-rc1)
  ed88451e1f2d IB/mlx5: Assign DSCP for R-RoCE QPs Address Path (v4.11-rc1)
  5abb0da9cd43 IB/mlx5: Remove deprecated module parameter (v4.11-rc1)
  e04a01837729 net/mlx5: Consolidate flow rules regardless their flow tag (v4.11-rc1)
  460d019860cc IB/core: Introduce flow tag specification (v4.11-rc1)
  94e03f11ad1f IB/uverbs: Add support for flow tag (v4.11-rc1)
  above two, already applied as part of "FATE#321231 FATE#321473
  FATE#322153 FATE#322149", moved
  2ac693f9953a IB/mlx5: Add flow tag support (v4.11-rc1)
  1ffd3a26f890 IB/mlx5: Replace ENOTSUPP usage with EOPNOTSUPP (v4.11-rc1)
  7c16f4777949 IB/mlx5: Expose Q counters groups only if they are supported by FW (v4.11-rc1)
  23a6964e3adb IB/mlx5: Add port counter support for Receive WQs (v4.11-rc1)
  ebaaee253ad3 IB/core: Expose vlan offloads capabilities (v4.11-rc1)
  10bac72be105 IB/core: Enable WQ creation and modification with cvlan offload (v4.11-rc1)
  9c2b270e69da IB/core: Enable QP creation with cvlan offload (v4.11-rc1)
  27b0df1175d5 IB/core: Add scatter FCS flag to use in WQ creation (v4.11-rc1)
  5f23d4265f8e IB/uverbs: Expose vlan offloads capabilities (v4.11-rc1)
  af1cb95d2e34 IB/uverbs: Enable WQ creation and modification with cvlan offload (v4.11-rc1)
  9e1b161f3b8f IB/uverbs: Enable QP creation with cvlan offload (v4.11-rc1)
  above seven, already applied as part of "FATE#321231 FATE#321473
  FATE#322153 FATE#322149", moved
  e8161334403e IB/mlx5: Expose vlan offloads capabilities (v4.11-rc1)
  b1f74a8437a3 IB/mlx5: Enable WQ creation and modification with cvlan offload (v4.11-rc1)
  e4cc4fa7cca9 IB/mlx5: Enable QP creation with cvlan offload (v4.11-rc1)
  4be6da1e5b8d IB/mlx5: Support creation of a WQ with scatter FCS offload (v4.11-rc1)
  25bf14d6f589 IB/core: Add implicit MR flag (v4.11-rc1)
  d07d1d70ce1a IB/umem: Update on demand page (ODP) support (v4.11-rc1)
  d9d0674c0f8a IB/umem: Indicate that process is being terminated (v4.11-rc1)
  above three, already applied as part of "FATE#321231 FATE#321473
  FATE#322153 FATE#322149", moved
  94990b498969 IB/mlx5: Add null_mkey access (v4.11-rc1)
  49780d42dfc9 IB/mlx5: Expose MR cache for mlx5_ib (v4.11-rc1)
  81713d3788d2 IB/mlx5: Add implicit MR support (v4.11-rc1)
  72cd57178f34 IB/mlx5: Support raw packet protocol (v4.11-rc1)
  c4550c63b363 IB: Query ports via the core instead of direct into the driver (v4.11-rc1)
  already applied as part of "bsc#1015336 FATE#321685
  bsc#1015337 FATE#321686 bsc#1015340 FATE#321687"
  d8030b0de03e IB/mlx5: Fix blue flame buffer size calculation (v4.11-rc1)
  cdbe33d0f82d IB/mlx5: Fix configuration of port capabilities (v4.11-rc1)
  18bcf742fbb0 net/mlx5e: s390 system compilation fix (v4.11-rc1)
  replaces
  patches.drivers/mlx5-0001-Add-appropriate-linux-prefetch.h-include-for-prefetc.patch
  6f08a22c5fb2 net/mlx5e: Register/unregister vport representors on interface attach/detach (v4.11-rc1)
  4078e637c12f net/mlx5e: Do not reduce LRO WQE size when not using build_skb (v4.11-rc1)
  b0d4660b4cc5 net/mlx5e: Fix broken CQE compression initialization (v4.11-rc1)
  6dc4b54e7728 net/mlx5e: Update MPWQE stride size when modifying CQE compress state (v4.11-rc1)
  36154be40a28 net/mlx5e: Fix wrong CQE decompression (v4.11-rc1)
  9b0c289ec4a5 IB/mlx5: Switch from dma_device to dev.parent (v4.11-rc1)
  adjusted for conflicts with
  7d0cc6edcc70 IB/mlx5: Add MR cache for large UMR regions (v4.11-rc1)
  6e84f31522f9 sched/headers: Prepare for new header dependencies before moving code to <linux/sched/mm.h> (v4.11-rc1)
  0881e7bd341e sched/headers: Prepare to move the get_task_struct()/put_task_struct() and related APIs from <linux/sched.h> to <linux/sched/task.h> (v4.11-rc1)
  Above two are part of the series merged in 1827adb11ad2
  ("Merge branch 'WIP.sched-core-for-linus' of
  git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip",
  v4.11-rc1)
  skipped, as in mlx4 backport
  0253f2681f44 net/mlx5e: add IPV6 dependency (v4.11-rc3)
  af36370569eb net/mlx5: Fix create autogroup prev initializer (v4.11-rc3)
  5d47f6c89d56 net/mlx5: Don't save PCI state when PCI error is detected (v4.11-rc3)
  33e21c59526e net/mlx5e: remove IEEE/CEE mode check when setting DCBX mode (v4.11-rc3)
  65ba8fb7d5c6 net/mlx5e: Avoid wrong identification of rules on deletion (v4.11-rc3)
  ea29bd304d7b net/mlx5e: Fix loopback selftest (v4.11-rc3)
  1f30a86c5809 net/mlx5: Add missing entries for set/query rate limit commands (v4.11-rc4)
  d85cdccbb3fe net/mlx5e: Change the TC offload rule add/del code path to be per NIC or E-Switch (v4.11-rc4)
  adjusted for the absence of
  a54e20b4fcae net/mlx5e: Add basic TC tunnel set action for SRIOV offloads (v4.10-rc1)
  375f51e2b5b7 net/mlx5: E-Switch, Don't allow changing inline mode when flows are configured (v4.11-rc4)
  09c91ddf2cd3 net/mlx5e: Use the proper UAPI values when offloading TC vlan actions (v4.11-rc4)
  1ad9a00ae0ef net/mlx5e: Avoid supporting udp tunnel port ndo for VF reps (v4.11-rc4)
  fixes 4a25730eb202
  skipped, like that one
  5f40b4ed975c net/mlx5: Increase number of max QPs in default profile (v4.11-rc4)
  already present via -stable 9d1894cba25c (v4.4.58)
  d3a4e4da54c7 net/mlx5e: Count GSO packets correctly (v4.11-rc4)
  8ab7e2ae15d8 net/mlx5e: Count LRO packets correctly (v4.11-rc4)
  already present via -stable fdcee7c1e2f8 (v4.4.58)
  812755d69efc uapi: fix rdma/mlx5-abi.h userspace compilation errors (v4.11-rc4)
  e497ec680c4c net/mlx5: Avoid dereferencing uninitialized pointer (v4.11-rc6)
- commit e643594
* Fri Apr 14 2017 enadolski@suse.com
- Revert "btrfs: qgroup: Move half of the qgroup accounting time
  out of" (bsc#1017461 bsc#1033885).
- commit 8567943
* Fri Apr 14 2017 dmulder@suse.com
- cifs: packet signing broken after encryption backport (bsc#1033924)
- commit 22afc9a
* Thu Apr 13 2017 tbogendoerfer@suse.de
- Update config files.
  built-in NET_XGENE, MDIO_XGENE (and depending modules) to fix bsc#1033621
- commit e2eb44d
* Thu Apr 13 2017 msuchanek@suse.de
- powerpc/perf: Use Instruction Counter value (fate#321438,
  [2017-04-10] Pending SUSE Kerne Fixes).
- commit 354ce3d
* Thu Apr 13 2017 msuchanek@suse.de
- powerpc/perf: Fix perf_get_data_addr() for power9 DD1
  (fate#321438, [2017-04-10] Pending SUSE Kerne Fixes).
- commit 31e8588
* Thu Apr 13 2017 msuchanek@suse.de
- powerpc/perf: Handle sdar_mode for marked event in power9
  (fate#321438, [2017-04-10] Pending SUSE Kerne Fixes).
- commit 87393de
* Thu Apr 13 2017 msuchanek@suse.de
- powerpc/perf: Avoid FAB_*_MATCH checks for power9 (fate#321438,
  [2017-04-10] Pending SUSE Kerne Fixes).
- commit d86a06d
* Thu Apr 13 2017 msuchanek@suse.de
- powerpc/perf: Add restrictions to PMC5 in power9 DD1
  (fate#321438, [2017-04-10] Pending SUSE Kerne Fixes).
- commit 7b68520
* Thu Apr 13 2017 msuchanek@suse.de
- powerpc/perf: Use PM_INST_DISP for generic instructions sample
  (fate#321438, [2017-04-10] Pending SUSE Kerne Fixes).
- commit e8f1840
* Thu Apr 13 2017 msuchanek@suse.de
- powerpc/perf: Add alternative event table and function for
  power9 (fate#321438, [2017-04-10] Pending SUSE Kerne Fixes).
- commit f9d4635
* Thu Apr 13 2017 msuchanek@suse.de
- powerpc/perf: Add PM_INST_DISP event to Power9 event list
  (fate#321438, [2017-04-10] Pending SUSE Kerne Fixes).
- commit 4f181d1
* Thu Apr 13 2017 msuchanek@suse.de
- powerpc/book3s: Add a cpu table entry for different POWER9 revs
  (fate#321439).
- commit eed50d4
* Thu Apr 13 2017 msuchanek@suse.de
- powerpc/powernv: Create separate subcores CPU feature bit
  (fate#321439).
- commit 0db63fb
* Thu Apr 13 2017 msuchanek@suse.de
- powerpc/perf: Factor out event_alternative function
  (fate#321438, [2017-04-10] Pending SUSE Kerne Fixes).
- commit 56a1736
* Thu Apr 13 2017 msuchanek@suse.de
- powerpc/perf: Use MSR to report privilege level on P9 DD1
  (fate#321438, [2017-04-10] Pending SUSE Kerne Fixes).
- commit 19077e3
* Thu Apr 13 2017 msuchanek@suse.de
- powerpc/perf: macros for power9 format encoding (fate#321438,
  [2017-04-10] Pending SUSE Kerne Fixes).
- commit 2293498
* Thu Apr 13 2017 msuchanek@suse.de
- powerpc/perf: power9 raw event format encoding (fate#321438,
  [2017-04-10] Pending SUSE Kerne Fixes).
- commit 20a9a07
* Thu Apr 13 2017 msuchanek@suse.de
- powerpc/perf: update attribute_group data structure
  (fate#321438, [2017-04-10] Pending SUSE Kerne Fixes).
- commit 2ee418f
* Thu Apr 13 2017 msuchanek@suse.de
- powerpc/perf: factor out the event format field (fate#321438,
  [2017-04-10] Pending SUSE Kerne Fixes).
- commit 7d23aa6
* Thu Apr 13 2017 msuchanek@suse.de
- tpm: fix RC value check in tpm2_seal_trusted (bsc#1034048,
  Pending fixes 2017-04-10).
- commit da1a7f3
* Thu Apr 13 2017 msuchanek@suse.de
- tpm: fix: set continueSession attribute for the unseal operation
  (bsc#1034048, Pending fixes 2017-04-10).
- commit cbe38e9
* Thu Apr 13 2017 msuchanek@suse.de
- tpm: fix checks for policy digest existence in
  tpm2_seal_trusted() (bsc#1034048, Pending fixes 2017-04-10).
- commit 9f7632d
* Thu Apr 13 2017 ydfan@suse.com
- hpsa: limit transfer length to 1MB (bsc#1025461).
- commit 2d5dd08
* Thu Apr 13 2017 tiwai@suse.de
- Update config files: fix arm64/vanilla config
- commit e4e189f
* Thu Apr 13 2017 mgorman@suse.de
- thp: fix MADV_DONTNEED vs. numa balancing race (bnc#1027974).
- thp: reduce indentation level in change_huge_pmd()
  (bnc#1027974).
- commit 9655b84
* Thu Apr 13 2017 yousaf.kaukab@suse.com
- crypto: rockchip - use devm_add_action_or_reset() (fate#322003).
- Update config files.
- supported.conf:
- crypto: rockchip - add hash support for crypto engine in rk3288
  (fate#322003).
- crypto: rockchip - fix possible deadlock (fate#322003).
- crypto: rockchip - add crypto driver for rk3288 (fate#322003).
- crypto: hash - add zero length message hash for shax and md5
  (fate#322003).
- clk: rockchip: add a clock-type for muxes based in the grf
  (fate#322003).
- pinctrl: rockchip: make it explicitly non-modular (fate#322003).
- Fix permissions of drivers/power/avs/rockchip-io-domain.c
  (fate#322003).
- commit 6a512ba
* Thu Apr 13 2017 neilb@suse.com
- md: handle read-only member devices better (bsc#1033281).
- commit 3258f68
* Wed Apr 12 2017 bpoirier@suse.com
- Marvell mvpp2 backport for SLE12-SP3 (bsc#1032150)
- Update config files.
- Refresh
  patches.drivers/net-mvneta-Add-network-support-for-Armada-3700-SoC.patch.
- supported.conf:
  c2bb7bc5c007 net: mvpp2: Return correct error codes (v4.5-rc6)
  b7854efce20b net: mvpp2: replace MVPP2_CPU_D_CACHE_LINE_SIZE with L1_CACHE_BYTES (v4.6-rc2)
  d82b0c21d44d net: mvpp2: fix maybe-uninitialized warning (v4.6-rc2)
  4a0a12d27ca5 net: mvpp2: use cache_line_size() to get cacheline size (v4.6-rc2)
  8e07269de1fd net: ethernet: mvpp2: use phydev from struct net_device (v4.8-rc1)
  fb773e975e80 net: ethernet: mvpp2: use phy_ethtool_{get|set}_link_ksettings (v4.8-rc1)
  ccb80393c484 ethernet: marvell: mvpp2: add missing of_node_put after calling of_parse_phandle (v4.8-rc1)
  e8f967c3d884 mvpp2: use correct size for memset (v4.9-rc7)
  5777987e0f4b ethernet/marvell: use core min/max MTU checking (v4.10-rc1)
  00606c498664 net: ethernet: mvpp2: Implement ethtool::nway_reset (v4.10-rc1)
  a0627f776a45 net: marvell: Allow drivers to be built with COMPILE_TEST (v4.10-rc1)
  followed up by
  06b37b650cf8 marvell: mark mvneta and mvpp2 32-bit only
  f34dacccb412 net: mvneta: Only disable mvneta_bm for 64-bits (v4.10-rc1)
  no "fixes" tag but needed for mvneta
  0e85663b887a net: mvneta: select GENERIC_ALLOCATOR
  8354491c9d5b net: mvpp2: fix dma unmapping of TX buffers for fragments (v4.10-rc1)
  already present via -stable 9f11a0ab6a96 (v4.4.41)
  bc1f44709cf2 net: make ndo_get_stats64 a void function (v4.11-rc1)
  already applied as part of "bsc#1027968"
  6ad20165d376 drivers: net: generalize napi_complete_done() (v4.11-rc1)
  already applied as part of "bsc#1019680 FATE#321692
  bsc#1019680 FATE#321692"
  177c8d1c96eb net: mvpp2: Fix a memory leak in error handling path (v4.11-rc1)
  239a3b663647 net: mvpp2: fix DMA address calculation in mvpp2_txq_inc_put() (v4.11-rc1)
  already present via -stable b57ffb2a8466 (v4.4.54)
  d63f9e41f981 net: mvpp2: remove useless arguments in mvpp2_rx_{pkts, time}_coal_set (v4.11-rc1)
  f8b0d5f8cc10 net: mvpp2: handle too large value handling in mvpp2_rx_pkts_coal_set() (v4.11-rc1)
  ab42676af052 net: mvpp2: handle too large value in mvpp2_rx_time_coal_set() (v4.11-rc1)
  36fb7435b6ac net: mvpp2: release reference to txq_cpu[] entry after unmapping (v4.11-rc1)
  5dfa9e8337b1 net: mvpp2: remove unused 'tx_skb' field of 'struct mvpp2_tx_queue' (v4.11-rc1)
  7ef7e1d949cd net: mvpp2: drop useless fields in mvpp2_bm_pool and related code (v4.11-rc1)
  3eb2d9982288 net: mvpp2: simplify mvpp2_bm_bufs_add() (v4.11-rc1)
  a8c249a71dca net: mvpp2: remove unused register definitions (v4.11-rc1)
  31d7677b9130 net: mvpp2: fix indentation of MVPP2_EXT_GLOBAL_CTRL_DEFAULT (v4.11-rc1)
  8138affc4999 net: mvpp2: simplify MVPP2_PRS_RI_* definitions (v4.11-rc1)
  0e0372816b9c net: mvpp2: switch to build_skb() in the RX path (v4.11-rc1)
  d3158807e8d6 net: mvpp2: enable building on 64-bit platforms (v4.11-rc1)
  20396136fbe5 net: mvpp2: use "dma" instead of "phys" where appropriate (net-next)
  aeb3d1109afa net: mvpp2: remove support for buffer header (net-next)
  df905f2e21b4 net: mvpp2: remove unused register definition MVPP2_TXQ_THRESH_REG (net-next)
  4d6c2a677fe5 net: mvpp2: remove mvpp2_txq_pend_desc_num_get() function (net-next)
  4e4a105f1fde net: mvpp2: store physical address of buffer in rx_desc->buf_cookie (net-next)
  ac3dd2778269 net: mvpp2: add and use accessors for TX/RX descriptors (net-next)
  faca92479802 net: mvpp2: add hw_version field in "struct mvpp2" (net-next)
  054f6372dc9c net: mvpp2: introduce an intermediate union for the TX/RX descriptors (net-next)
  e7c5359f2eed net: mvpp2: introduce PPv2.2 HW descriptors and adapt accessors (net-next)
  d01524d8abab net: mvpp2: adjust the allocation/free of BM pools for PPv2.2 (net-next)
  5eac892ac937 net: mvpp2: adapt the mvpp2_rxq_*_pool_set functions to PPv2.2 (net-next)
  3d9017d9449b net: mvpp2: adapt mvpp2_defaults_set() to PPv2.2 (net-next)
  b02f31fbf92d net: mvpp2: adjust mvpp2_{rxq, txq}_init for PPv2.2 (net-next)
  a786841df72e net: mvpp2: handle register mapping and access for PPv2.2 (net-next)
  2697582144dd net: mvpp2: handle misc PPv2.1/PPv2.2 differences (net-next)
  6763ce3127ed net: mvpp2: add AXI bridge initialization for PPv2.2 (net-next)
  a73fef100275 net: mvpp2: rework RXQ interrupt group initialization for PPv2.2 (net-next)
  59b9a31ede18 net: mvpp2: adapt rxq distribution to PPv2.2 (net-next)
  fceb55d41508 net: mvpp2: add support for an additional clock needed for PPv2.2 (net-next)
  2067e0a13cfe net: mvpp2: set dma mask and coherent dma mask on PPv2.2 (net-next)
  fc5e1550e5c3 net: mvpp2: finally add the PPv2.2 compatible string (net-next)
- commit fdf7d0a
* Wed Apr 12 2017 bpoirier@suse.com
- net: mvneta: set rx mode during resume if interface is running
  (fate#319899).
- net: mvneta: add RGMII_RXID and RGMII_TXID support
  (fate#319899).
- net: mvneta: support suspend and resume (fate#319899).
- net: mvneta: make mvneta_eth_tool_ops static (fate#319899).
- net: mvneta: fix build errors when linux/phy*.h is removed
  from net/dsa.h (fate#319899).
- net: mvneta: implement .set_wol and .get_wol (fate#319899).
- commit 814eee8
* Wed Apr 12 2017 tonyj@suse.de
- perf jevents: guard _GNU_SOURCE (FATE#319936, bsc#1030064S).
- perf vendor events intel: Add uncore_arb JSON support
  (FATE#319936, bsc#1030064).
- perf vendor events intel: Add missing space in json descriptions
  (FATE#319936, bsc#1030064).
- perf vendor events intel: Update Intel uncore JSON event files
  (FATE#319936, bsc#1030064).
- perf vendor events intel: Add uncore events for Haswell Server
  processor (FATE#319936, bsc#1030064).
- perf vendor events intel: Add uncore events for Broadwell Server
  (FATE#319936, bsc#1030064).
- perf vendor events intel: Add uncore events for IvyBridge Server
  (FATE#319936, bsc#1030064).
- perf vendor events intel: Add uncore events for Sandy Bridge
  Server (FATE#319936, bsc#1030064).
- perf vendor events intel: Add uncore events for Broadwell DE
  (FATE#319936, bsc#1030064).
- perf tools: Add a simple expression parser for JSON
  (FATE#319936, bsc#1030064).
- perf pmu: Support event aliases for non cpu// pmus (FATE#319936,
  bsc#1030064).
- perf tools: Rename parse_events__free_terms() to
  parse_events_terms__delete() (FATE#319936, bsc#1030064).
- perf tools: Free the terms list_head in
  parse_events__free_terms() (FATE#319936, bsc#1030064).
- perf tools: Use perf_event_terms__purge() for non-malloced terms
  (FATE#319936, bsc#1030064).
- perf tools: Introduce parse_events_terms__purge() (FATE#319936,
  bsc#1030064).
- perf tools: Unlink entries from terms list (FATE#319936,
  bsc#1030064).
- perf pmu: Factor out scale conversion code (FATE#319936,
  bsc#1030064).
- perf tools: Omit unnecessary cast in perf_pmu__parse_scale
  (FATE#319936, bsc#1030064).
- perf tools: Fix locale handling in pmu parsing (FATE#319936,
  bsc#1030064).
- perf pmu: Support per pmu json aliases (FATE#319936,
  bsc#1030064).
- perf jevents: Add support for parsing uncore json files
  (FATE#319936, bsc#1030064).
- perf jevents: Parse eventcode as number (FATE#319936,
  bsc#1030064).
- perf vendor events: Support couple more POWER8 PVRs in mapfile
  (FATE#319936, bsc#1030064).
- perf vendor events: Add power8 PMU events (FATE#319936,
  bsc#1030064).
- perf vendor events: Add WestmereEX V2 event file (FATE#319936,
  bsc#1030064).
- perf vendor events: Add WestmereEP-SP V2 event file
  (FATE#319936, bsc#1030064).
- perf vendor events: Add WestmereEP-DP V2 event file
  (FATE#319936, bsc#1030064).
- perf vendor events: Add SandyBridge V15 event file (FATE#319936,
  bsc#1030064).
- perf vendor events: Add Silvermont V13 event file (FATE#319936,
  bsc#1030064).
- perf vendor events: Add Skylake V24 event file (FATE#319936,
  bsc#1030064).
- perf vendor events: Add NehalemEX V2 event file (FATE#319936,
  bsc#1030064).
- perf vendor events: Add NehalemEP V2 event file (FATE#319936,
  bsc#1030064).
- perf vendor events: Add KnightsLanding V9 event file
  (FATE#319936, bsc#1030064).
- perf vendor events: Add Jaketown V20 event file (FATE#319936,
  bsc#1030064).
- perf vendor events: Add IvyTown V19 event file (FATE#319936,
  bsc#1030064).
- perf vendor events: Add IvyBridge V18 event file (FATE#319936,
  bsc#1030064).
- perf vendor events: Add HaswellX V17 event file (FATE#319936,
  bsc#1030064).
- perf vendor events: Add Haswell V24 event file (FATE#319936,
  bsc#1030064).
- perf vendor events: Add Goldmont V8 event file (FATE#319936,
  bsc#1030064).
- perf vendor events: Add Bonnell V4 event file (FATE#319936,
  bsc#1030064).
- perf vendor events: Add BroadwellX V10 event file (FATE#319936,
  bsc#1030064).
- perf vendor events: Add Broadwell V17 event file (FATE#319936,
  bsc#1030064).
- perf vendor events: Add BroadwellDE V5 event file (FATE#319936,
  bsc#1030064).
- perf jevents: Fix Intel JSON fixed counter conversions
  (FATE#319936, bsc#1030064).
- perf pmu-events: Add Skylake frontend MSR support (FATE#319936,
  bsc#1030064).
- perf pmu-events: Fix fixed counters on Intel (FATE#319936,
  bsc#1030064).
- perf tools: Make alias matching case-insensitive (FATE#319936,
  bsc#1030064).
- perf tools: Add README for info on parsing JSON/map files
  (FATE#319936, bsc#1030064).
- perf list jevents: Add support for event list topics
  (FATE#319936, bsc#1030064).
- perf list: Support long jevents descriptions (FATE#319936,
  bsc#1030064).
- perf jevents: Add support for long descriptions (FATE#319936,
  bsc#1030064).
- perf pmu: Add override support for event list CPUID
  (FATE#319936, bsc#1030064).
- perf list: Add a --no-desc flag (FATE#319936, bsc#1030064).
- perf tools: Query terminal width and use in perf list
  (FATE#319936, bsc#1030064).
- perf pmu: Support alias descriptions (FATE#319936, bsc#1030064).
- perf jevents: Handle header line in mapfile (FATE#319936,
  bsc#1030064).
- perf tools: Support CPU id matching for x86 v2 (FATE#319936,
  bsc#1030064).
- perf powerpc: Support CPU ID matching for Powerpc (FATE#319936,
  bsc#1030064).
- perf pmu: Use pmu_events table to create aliases (FATE#319936,
  bsc#1030064).
- perf jevents: guard _GNU_SOURCE (FATE#319936, bsc#1030064S).
- perf jevents: Program to convert JSON file (FATE#319936,
  bsc#1030064).
- perf tools: Add jsmn `jasmine' JSON parser (FATE#319936,
  bsc#1030064).
- perf build: Add EXTRA_LDFLAGS option to makefile (FATE#319936,
  bsc#1030064).
- commit ef2a8e7
* Wed Apr 12 2017 tonyj@suse.de
- bsc#1032592; perf hsw oops at startup
  drop topology changes (dependant),  rework exit_box and other code to not
  require.  Will resequence patch numbers once beta2 testng indicates changes
  are stable
- Update
  patches.suse/0018-perf-x86-intel-uncore-locate-specific-box-by-checking-full-device-info.patch.
- Delete
  patches.suse/0013-x86-topology-create-logical-package-id.patch.
- Delete
  patches.suse/0014-perf-x86-uncore-track-packages-not-per-cpu-data.patch.
- Delete
  patches.suse/0025-x86-topology-fix-logical-package-mapping.patch.
- Delete
  patches.suse/0026-x86-topology-fix-intel-ht-disable.patch.
- Delete
  patches.suse/0027-x86-topology-use-total_cpus-not-nr_cpu_ids-for-logical-packages.patch.
- Delete patches.suse/0028-x86-topology-fix-amd-core-count.patch.
- Delete
  patches.suse/0029-perf-x86-intel-uncore-remove-warn_on_once-in-uncore_pci_probe.patch.
- Delete
  patches.suse/0030-arch-x86-handle-non-enumerated-cpu-after-physical-hotplug.patch.
- Delete
  patches.suse/0031-perf-x86-intel-uncore-fix-hardcoded-socket-0-assumption-in-the-haswell-init-code.patch.
- commit 8bfd6c8
* Wed Apr 12 2017 pjakobsson@suse.de
- drm/hisilicon/hibmc: Fix wrong pointer passed to PTR_ERR()
  (fate#322061).
- commit eb8db5f
* Wed Apr 12 2017 tiwai@suse.de
- Refresh patches.suse/scsi_error-count-medium-access-timeout-only-once-per.patch.
  Move the patch to SCSI section and reenable it.
- commit 8fb530d
* Wed Apr 12 2017 bp@suse.de
- x86/CPU/AMD: Fix Zen SMT topology (bsc#1027512).
- commit ae25d02
* Wed Apr 12 2017 msuchanek@suse.de
- powerpc/mm: Enable mappings above 128TB (bsc#1027457,
  fate#322470).
- commit ddc9478
* Wed Apr 12 2017 msuchanek@suse.de
- powerpc/mm: Switch some TASK_SIZE checks to use mm_context
  addr_limit (bsc#1027457, fate#322470).
- powerpc/pseries: Skip using reserved virtual address range
  (bsc#1027457, fate#322470).
- commit e23a94d
* Wed Apr 12 2017 msuchanek@suse.de
- powerpc/mm/hash: Store addr_limit in PACA (bsc#1027457,
  fate#322470).
- commit f313774
* Wed Apr 12 2017 msuchanek@suse.de
- powerpc/mm: Add addr_limit to mm_context and use it to derive
  max slice index (bsc#1027457, fate#322470).
- commit d95dbb4
* Wed Apr 12 2017 msuchanek@suse.de
- powerpc/mm/hash: Increase VA range to 128TB (bsc#1027457,
  fate#322470).
- commit 899b9ac
* Wed Apr 12 2017 msuchanek@suse.de
- powerpc/mm/hash: Convert mask to unsigned long (bsc#1027457,
  fate#322470).
- powerpc/mm/hash: Support 68 bit VA (bsc#1027457, fate#322470).
- commit eb554d5
* Wed Apr 12 2017 msuchanek@suse.de
- powerpc/mm/hash: Check for non-kernel address in
  get_kernel_vsid() (bsc#1027457, fate#322470).
- commit 8a54ce2
* Wed Apr 12 2017 msuchanek@suse.de
- powerpc/mm/hash: Use context ids 1-4 for the kernel
  (bsc#1027457, fate#322470).
- commit 8877a62
* Wed Apr 12 2017 msuchanek@suse.de
- powerpc/mm: Split radix vs hash mm context initialisation
  (bsc#1027457, fate#322470).
- commit ef489c5
* Wed Apr 12 2017 msuchanek@suse.de
- powerpc/mm/hash: Pull hash constants into
  hash__alloc_context_id() (bsc#1027457, fate#322470).
- commit 38984a4
* Wed Apr 12 2017 msuchanek@suse.de
- powerpc/mm/hash: Abstract context id allocation for KVM
  (bsc#1027457, fate#322470).
- powerpc/mm/slice: Update slice mask printing to use bitmap
  printing (bsc#1027457, fate#322470).
- commit 0aad3a6
* Wed Apr 12 2017 msuchanek@suse.de
- powerpc/mm/slice: Move slice_mask struct definition to slice.c
  (bsc#1027457, fate#322470).
- commit 9cbd89c
* Wed Apr 12 2017 msuchanek@suse.de
- powerpc/mm: Remove checks that TASK_SIZE_USER64 is too small
  (bsc#1027457, fate#322470).
- commit 368d0a8
* Wed Apr 12 2017 msuchanek@suse.de
- powerpc/mm: Move copy_mm_to_paca to paca.c (bsc#1027457,
  fate#322470).
- commit 21bb396
* Wed Apr 12 2017 msuchanek@suse.de
- powerpc/mm/slice: Update the function prototype (bsc#1027457,
  fate#322470).
- powerpc/mm/slice: Convert slice_mask high slice to a bitmap
  (bsc#1027457, fate#322470).
- commit 8c1f255
* Wed Apr 12 2017 msuchanek@suse.de
- powerpc/mm/slice: Fix off-by-1 error when computing slice mask
  (bsc#1027457, fate#322470).
- commit a60b975
* Wed Apr 12 2017 mbrugger@suse.com
- Update config files.
  Enable SERIAL_MVEBU_UART and SERIAL_MVEBU_CONSOLE for arm64, else disalbe.
- commit f7451fc
* Wed Apr 12 2017 mbrugger@suse.com
- serial: mvebu-uart: free the IRQ in ->shutdown() (bsc#1032150).
- drivers/tty: make serial/mvebu-uart.c explicitly non-modular
  (bsc#1032150).
- serial: mvebu-uart: fix platform_no_drv_owner.cocci warnings
  (bsc#1032150).
- serial: mvebu-uart: initial support for Armada-3700 serial port
  (bsc#1032150).
- commit f71c7b9
* Wed Apr 12 2017 tbogendoerfer@suse.de
- qed: Make OOO archipelagos into an array (bsc#1019695
  FATE#321703).
- qed: Provide iSCSI statistics to management (bsc#1019695
  FATE#321703).
- qed: Inform qedi the number of possible CQs (bsc#1019695
  FATE#321703).
- qed: Add missing stat for new isles (bsc#1019695 FATE#321703).
- qed: Don't close the OUT_EN during init (bsc#1019695
  FATE#321703).
- qed: Configure cacheline size in HW (bsc#1019695 FATE#321703).
- qed: Don't use main-ptt in unrelated flows (bsc#1019695
  FATE#321703).
- qed: Warn PTT usage by wrong hw-function (bsc#1019695
  FATE#321703).
- qed: Correct MSI-x for storage (bsc#1019695 FATE#321703).
- qed: fix missing break in OOO_LB_TC case (bsc#1019695
  FATE#321703).
- qed: Add a missing error code (bsc#1019695 FATE#321703).
- qed: Manage with less memory regions for RoCE (bsc#1019695
  FATE#321703).
- qed: RoCE doesn't need to use SRC (bsc#1019695 FATE#321703).
- qed: Correct TM ILT lines in presence of VFs (bsc#1019695
  FATE#321703).
- qed: Fix TM block ILT allocation (bsc#1019695 FATE#321703).
- qed: Revise QM cofiguration (bsc#1019695 FATE#321703).
- qed: Use BDQ resource for storage protocols (bsc#1019695
  FATE#321703).
- qed: Utilize resource-lock based scheme (bsc#1019695
  FATE#321703).
- qed: Support management-based resource locking (bsc#1019695
  FATE#321703).
- qed: Send pf-flr as part of initialization (bsc#1019695
  FATE#321703).
- qed: Move to new load request scheme (bsc#1019695 FATE#321703).
- qed: hw_init() to receive parameter-struct (bsc#1019695
  FATE#321703).
- qed: Correct HW stop flow (bsc#1019695 FATE#321703).
- qed: Reserve VF feature before PF (bsc#1019695 FATE#321703).
- qed: Don't waste SBs unused by RoCE (bsc#1019695 FATE#321703).
- qed: Reduce verbosity of unimplemented MFW messages (bsc#1019695
  FATE#321703).
- qed: Correct endian order of MAC passed to MFW (bsc#1019695
  FATE#321703).
- qed: Pass src/dst sizes when interacting with MFW (bsc#1019695
  FATE#321703).
- qed: Revise MFW command locking (bsc#1019695 FATE#321703).
- qed: Always publish VF link from leading hwfn (bsc#1019695
  FATE#321703).
- qed: Raise verbosity of Malicious VF indications (bsc#1019695
  FATE#321703).
- qed: Make qed_iov_mark_vf_flr() return bool (bsc#1019695
  FATE#321703).
- qed: Deprecate VF multiple queue-stop (bsc#1019695 FATE#321703).
- qed: Uniform IOV queue validation (bsc#1019695 FATE#321703).
- qed: Correct default VF coalescing configuration (bsc#1019695
  FATE#321703).
- qed: Set HW-channel to ready before ACKing VF (bsc#1019695
  FATE#321703).
- qed: Clean VF malicious indication when disabling IOV
  (bsc#1019695 FATE#321703).
- qed: Increase verbosity of VF -> PF errors (bsc#1019695
  FATE#321703).
- commit 776e4ff
* Wed Apr 12 2017 lhenriques@suse.com
- ceph: fix endianness bug in frag_tree_split_cmp (FATE#322288).
- ceph: fix endianness of getattr mask in ceph_d_revalidate
  (FATE#322288).
- libceph: make sure ceph_aes_crypt() IV is aligned (FATE#322288).
- ceph: fix ceph_get_caps() interruption (FATE#322288).
- ceph: fix get_oldest_context() (FATE#322288).
- ceph: fix mds cluster availability check (FATE#322288).
- ceph: avoid creating orphan object when checking pool permission
  (FATE#322288).
- ceph: properly set issue_seq for cap release (FATE#322288).
- ceph: add flags parameter to send_cap_msg (FATE#322288).
- ceph: update cap message struct version to 10 (FATE#322288).
- ceph: define new argument structure for send_cap_msg
  (FATE#322288).
- ceph: move xattr initialzation before the encoding past the
  ceph_mds_caps (FATE#322288).
- ceph: fix minor typo in unsafe_request_wait (FATE#322288).
- ceph: record truncate size/seq for snap data writeback
  (FATE#322288).
- ceph: check availability of mds cluster on mount (FATE#322288).
- ceph: try getting buffer capability for readahead/fadvise
  (FATE#322288).
- ceph: fix scheduler warning due to nested blocking
  (FATE#322288).
- ceph: fix printing wrong return variable in
  ceph_direct_read_write() (FATE#322288).
- crush: include mapper.h in mapper.c (FATE#322288).
- libceph: no need to drop con->mutex for ->get_authorizer()
  (FATE#322288).
- libceph: drop len argument of *verify_authorizer_reply()
  (FATE#322288).
- libceph: no need for GFP_NOFS in ceph_monc_init() (FATE#322288).
- libceph: stop allocating a new cipher on every crypto request
  (FATE#322288).
- libceph: uninline ceph_crypto_key_destroy() (FATE#322288).
- libceph: remove now unused ceph_*{en,de}crypt*() functions
  (FATE#322288).
- libceph: Remove unnecessary ivsize variables (FATE#322288).
- libceph: Use skcipher (FATE#322288).
- libceph: switch ceph_x_decrypt() to ceph_crypt() (FATE#322288).
- libceph: switch ceph_x_encrypt() to ceph_crypt() (FATE#322288).
- libceph: tweak calcu_signature() a little (FATE#322288).
- libceph: rename and align ceph_x_authorizer::reply_buf
  (FATE#322288).
- libceph: introduce ceph_crypt() for in-place en/decryption
  (FATE#322288).
- libceph: introduce ceph_x_encrypt_offset() (FATE#322288).
- libceph: old_key in process_one_ticket() is redundant
  (FATE#322288).
- libceph: ceph_x_encrypt_buflen() takes in_len (FATE#322288).
- fix ceph_write_end() (FATE#322288).
- crypto: skcipher - Add helper to zero stack request
  (FATE#322288).
- commit 89811ab
* Wed Apr 12 2017 yousaf.kaukab@suse.com
- arm64: enable thunderx-mmc and update config
- Update config files.
- supported.conf:
- commit 1bfcf18
* Wed Apr 12 2017 tbogendoerfer@suse.de
- RDMA: Adding ethertype ETH_P_IBOE (bsc#1022604 FATE#321747).
- commit 0924791
* Wed Apr 12 2017 yousaf.kaukab@suse.com
- MAINTAINERS: Add entry for Cavium MMC driver (fate#321995).
- mmc: cavium: Support DDR mode for eMMC devices (fate#321995).
- mmc: cavium: Add scatter-gather DMA support (fate#321995).
- mmc: cavium: Add MMC PCI driver for ThunderX SOCs (fate#321995).
- mmc: cavium: Add core MMC driver for Cavium SOCs (fate#321995).
- dt-bindings: mmc: Add Cavium SOCs MMC bindings (fate#321995).
- mmc: core: Invent MMC_CAP_3_3V_DDR (fate#321995).
- mmc: sdhci: Remove redundant runtime PM calls (fate#321995).
- mmc: tmio: Remove redundant runtime PM calls (fate#321995).
- mmc: sdhci-pci: Remove redundant runtime PM calls (fate#321995).
- mmc: sdhci-acpi: Remove redundant runtime PM calls
  (fate#321995).
- mmc: omap_hsmmc: Remove redundant runtime PM calls
  (fate#321995).
- mmc: mediatek: Remove redundant runtime PM calls (fate#321995).
- mmc: atmel-mci: Remove redundant runtime PM calls (fate#321995).
- mmc: mmci: Remove redundant runtime PM calls (fate#321995).
- mmc: core: Remove MMC_CAP_RUNTIME_RESUME as it's redundant
  (fate#321995).
- mmc: core: Make runtime resume default behavior for MMC/SD
  (fate#321995).
- commit 95b9004
* Wed Apr 12 2017 pjakobsson@suse.de
- supported.conf: Add hibmc_drm (fate#322061)
- commit d4259a6
* Wed Apr 12 2017 mbrugger@suse.com
- clk: mvebu: mark root clocks in AP806/CP110 system-controller
  drivers (bsc#1032150).
- arm64: marvell: enable the Marvell PIC driver (bsc#1032150).
- irqchip/mvebu-pic: New driver for Marvell Armada 7K/8K PIC
  (bsc#1032150).
- Refresh
  patches.arch/0003-irqchip-qcom-Add-IRQ-combiner-driver.patch
- commit 9c87fed
* Wed Apr 12 2017 tiwai@suse.de
- ALSA: hda - Add the pin / port mapping on Intel ILK and VLV
  (bsc#1033784).
- ALSA: hda - Add a sanity check of pin / port mapping on i915
  HDMI/DP (bsc#1033784).
- ALSA: hda - Fix missing ELD update at unplugging (bsc#1033784).
- ALSA: hda - Update BCLK also at hotplug for i915 HSW/BDW
  (bsc#1033784).
- ALSA: hda - Fix inconsistent monitor_present state until repoll
  (bsc#1033784).
- ALSA: hda - Fix regression of monitor_present flag in eld proc
  file (bsc#1033784).
- ALSA: hda - Fix spurious kernel WARNING on Baytrail HDMI
  (bsc#1033784).
- ALSA: hda - Fix forgotten HDMI monitor_present update
  (bsc#1033784).
- ALSA: hda - Don't handle ELD notify from invalid port
  (bsc#1033784).
- ALSA: hda - Move audio component accesses to hdac_i915.c
  (bsc#1033784).
- ALSA: hda - Use component ops for i915 HDMI/DP audio jack
  handling (bsc#1033784).
- ALSA: hda - Fix superfluous HDMI jack repoll (bsc#1033784).
- ALSA: hda - Split ELD update code from hdmi_present_sense()
  (bsc#1033784).
- ALSA: hda - Do zero-clear in snd_hdmi_parse_eld() itself
  (bsc#1033784).
- ALSA: hda - Skip ELD notification during PM process
  (bsc#1033784).
- drm/i915: Fix bogus dig_port_map[] assignment for pre-HSW
  (bsc#1033784).
- drm/i915: Add reverse mapping between port and intel_encoder
  (bsc#1033784).
- drm/i915: Add get_eld audio component (bsc#1033784).
- commit cb03ace
* Wed Apr 12 2017 pjakobsson@suse.de
- drm/hisilicon/hibmc: mark PM functions __maybe_unused
  (fate#322061).
- drm/hisilicon/hibmc: Checking for NULL instead of IS_ERR()
  (fate#322061).
- drm/hisilicon/hibmc: Add support for vblank interrupt
  (fate#322061).
- drm/hisilicon/hibmc: Add support for VDAC (fate#322061).
- drm/hisilicon/hibmc: Add support for display engine
  (fate#322061).
- drm/hisilicon/hibmc: Add support for frame buffer (fate#322061).
- drm/hisilicon/hibmc: Add video memory management (fate#322061).
- drm/hisilicon/hibmc: Add hisilicon hibmc drm master driver
  (fate#322061).
- commit e20b9e1
* Wed Apr 12 2017 jack@suse.cz
- ext4: fix use-after-iput when fscrypt contexts are inconsistent
  (bsc#1012829).
- blacklist.conf: Blacklist f2fs fix
- commit b12fdf7
* Wed Apr 12 2017 lhenriques@suse.com
- ceph: don't set req->r_locked_dir in ceph_d_revalidate
  (FATE#322288).
- libceph: fix legacy layout decode with pool 0 (FATE#322288).
- ceph: fix non static symbol warning (FATE#322288).
- ceph: fix uninitialized dentry pointer in ceph_real_mount()
  (FATE#322288).
- ceph: fix readdir vs fragmentation race (FATE#322288).
- crush: remove redundant local variable (FATE#322288).
- crush: don't normalize input of crush_ln iteratively
  (FATE#322288).
- libceph: ceph_build_auth() doesn't need ceph_auth_build_hello()
  (FATE#322288).
- libceph: use CEPH_AUTH_UNKNOWN in ceph_auth_build_hello()
  (FATE#322288).
- rbd: use kmalloc_array() in rbd_header_from_disk()
  (FATE#322288).
- ceph: use list_move instead of list_del/list_add (FATE#322288).
- ceph: handle CEPH_SESSION_REJECT message (FATE#322288).
- ceph: avoid accessing / when mounting a subpath (FATE#322288).
- ceph: fix mandatory flock check (FATE#322288).
- ceph: fix error handling of start_read() (FATE#322288).
- rbd: add rbd_obj_request_error() helper (FATE#322288).
- rbd: img_data requests don't own their page array (FATE#322288).
- rbd: rework rbd_img_obj_exists_submit() error paths
  (FATE#322288).
- rbd: don't crash or leak on errors in
  rbd_img_obj_parent_read_full_callback() (FATE#322288).
- rbd: move bumping img_request refcount into
  rbd_obj_request_submit() (FATE#322288).
- rbd: mark the original request as done if stat request fails
  (FATE#322288).
- rbd: clean up asserts in rbd_img_obj_request_submit() helpers
  (FATE#322288).
- rbd: change rbd_obj_request_submit() signature (FATE#322288).
- rbd: add force close option (FATE#322288).
- rbd: add 'config_info' sysfs rbd device attribute (FATE#322288).
- rbd: add 'snap_id' sysfs rbd device attribute (FATE#322288).
- rbd: add 'cluster_fsid' sysfs rbd device attribute
  (FATE#322288).
- rbd: add 'client_addr' sysfs rbd device attribute (FATE#322288).
- rbd: print capacity in decimal and features in hex
  (FATE#322288).
- rbd: introduce a per-device ordered workqueue (FATE#322288).
- libceph: rename ceph_client_id() -> ceph_client_gid()
  (FATE#322288).
- libceph: support for blacklisting clients (FATE#322288).
- libceph: support for lock.lock_info (FATE#322288).
- libceph: support for advisory locking on RADOS objects
  (FATE#322288).
- libceph: add ceph_osdc_call() single-page helper (FATE#322288).
- libceph: support for CEPH_OSD_OP_LIST_WATCHERS (FATE#322288).
- libceph: rename ceph_entity_name_encode() ->
  ceph_auth_entity_name_encode() (FATE#322288).
- libceph: async MON client generic requests (FATE#322288).
- commit 82489ae
* Wed Apr 12 2017 hare@suse.de
- scsi_error: count medium access timeout only once per EH run
  (bsc#993832, bsc#1032345).
- commit c6db00e
* Wed Apr 12 2017 hare@suse.de
- scsi_transport_fc: fixup race condition in
  fc_rport_final_delete() (bsc#1013887).
- scsi_transport_fc: do not call queue_work under lock
  (bsc#1013887).
- scsi_transport_fc: return -EBUSY for deleted vport
  (bsc#1013887).
- commit 26dc9ca
* Wed Apr 12 2017 mgorman@suse.de
- Delete
  patches.suse/cpuidle-menu-Fall-back-to-polling-if-next-timer-event-is-near.patch.
  bnc#1032610
  The patch is a micro-optimisation on some machines that is marginal but a major
  regression on others, particularly older machines.
- commit 4d70f4d
* Wed Apr 12 2017 msuchanek@suse.de
- Refresh metadata patches.suse/powerpc-increase-RMA-size
- commit 20ceaaf
* Wed Apr 12 2017 mkubecek@suse.cz
- Update mainline references:
  patches.fixes/net-packet-fix-overflow-in-check-for-priv-area-size.patch.
  patches.fixes/net-packet-fix-overflow-in-check-for-tp_frame_nr.patch.
  patches.fixes/net-packet-fix-overflow-in-check-for-tp_reserve.patch.
  patches.fixes/ping-implement-proper-locking.patch.
- commit e3362f6
* Wed Apr 12 2017 mkubecek@suse.cz
- netfilter: arp_tables: fix invoking 32bit "iptable -P INPUT
  ACCEPT" failed in 64bit kernel (CVE-2016-4997 CVE-2016-4998
  bsc#986362 bsc#986365).
- commit b23c719
* Tue Apr 11 2017 msuchanek@suse.de
- ibmvnic: use max_mtu instead of req_mtu for MTU range check
  (bsc#1031512).
- commit 2192646
* Tue Apr 11 2017 yousaf.kaukab@suse.com
- supported.conf: add i2c-rk3x
- commit 016e703
* Tue Apr 11 2017 msuchanek@suse.de
- powerpc/fadump: Update fadump documentation (bsc#1032141).
- powerpc/fadump: Reserve memory at an offset closer to bottom
  of RAM (bsc#1032141).
- commit ce16de5
* Tue Apr 11 2017 yousaf.kaukab@suse.com
- arm64: rk3399: enable i2c host in config
  bsc#1033323
- commit fb16d47
* Tue Apr 11 2017 yousaf.kaukab@suse.com
- Documentation: synopsys-dw-mshc: add binding for reset-names
  (bsc#1033484).
- commit ee0144b
* Tue Apr 11 2017 yousaf.kaukab@suse.com
- mmc: sdhci-of-arasan: fix incorrect timeout clock (bsc#1033484).
- mmc: sdhci-of-arasan: add sdhci_arasan_voltage_switch for
  arasan, 5.1 (bsc#1033484).
- mmc: core: changes frequency to hs_max_dtr when selecting
  hs400es (bsc#1033484).
- mmc: core: switch to 1V8 or 1V2 for hs400es mode (bsc#1033484).
- mmc: core: don't try to switch block size for dual rate mode
  (bsc#1033484).
- mmc: sdhci-of-arasan: Fix non static symbol warning
  (bsc#1033484).
- mmc: sdhci-of-arasan: Set controller to test mode when no CD
  bit (bsc#1033484).
- mmc: sdio: deploy error handling instead of triggering BUG_ON
  (bsc#1033484).
- mmc: block: remove the check of packed for packed request
  routine (bsc#1033484).
- mmc: sdhci-of-arasan: Revert: Always power the PHY off/on when
  clock changes (bsc#1033484).
- mmc: core: Allow hosts to specify non-support for SD commands
  (bsc#1033484).
- mmc: core: Introduce MMC_CAP2_NO_SDIO cap (bsc#1033484).
- mmc: core: expose MMC_CAP2_NO_* to dt (bsc#1033484).
- mmc: core: Allow hosts to specify non-support for MMC commands
  (bsc#1033484).
- mmc: mmc: Fix HS switch failure in mmc_select_hs400()
  (bsc#1033484).
- mmc: sdhci-of-arasan: Add ability to export card clock
  (bsc#1033484).
- mmc: sdhci-of-arasan: implement enhanced strobe callback
  (bsc#1033484).
- mmc: debugfs: add HS400 enhanced strobe description
  (bsc#1033484).
- mmc: core: implement enhanced strobe support (bsc#1033484).
- mmc: core: add mmc-hs400-enhanced-strobe support (bsc#1033484).
- mmc: sdhci-of-arasan: fix missing sdhci_pltfm_free for err
  handling (bsc#1033484).
- mmc: sdhci-of-arasan: use sdhci_pltfm_init for private
  allocation (bsc#1033484).
- mmc: sdhci-of-arasan: fix clk issue in sdhci_arasan_remove()
  (bsc#1033484).
- mmc: sdio_cis: fix unknown tuple for CISTPL_SDIO_STD
  (bsc#1033484).
- mmc: dw_mmc: improve dw_mci_reset a bit (bsc#1033484).
- mmc: dw_mmc: move mci_send_cmd forward to avoid declaration
  (bsc#1033484).
- mmc: dw_mmc: remove declaration of dw_mci_card_busy
  (bsc#1033484).
- mmc: dw_mmc: move dw_mci_get_cd forward to avoid declaration
  (bsc#1033484).
- mmc: dw_mmc: move dw_mci_ctrl_reset forward to avoid declaration
  (bsc#1033484).
- mmc: dw_mmc: move dw_mci_reset forward to avoid declaration
  (bsc#1033484).
- mmc: dw_mmc: improve the timeout polling code (bsc#1033484).
- mmc: dw_mmc: silent verbose log when calling from PM context
  (bsc#1033484).
- mmc: dw_mmc: Add fifo watermark alignment property
  (bsc#1033484).
- mmc: dw_mmc: Add fifo address property (bsc#1033484).
- mmc: dw_mmc: display the clock message only one time when card
  is polling (bsc#1033484).
- mmc: dw_mmc: add the debug message for polling and non-removable
  (bsc#1033484).
- mmc: dw_mmc: check the "present" variable before checking flags
  (bsc#1033484).
- mmc: dw_mmc: add missing codes for runtime resume (bsc#1033484).
- mmc: dw_mmc: exynos: fix to call suspend callback (bsc#1033484).
- mmc: dw_mmc: remove the unnecessary mmc_data structure
  (bsc#1033484).
- mmc: dw_mmc: use the cookie's enum values for post/pre_req()
  (bsc#1033484).
- mmc: dw_mmc: call the dw_mci_prep_stop_abort() by default
  (bsc#1033484).
- mmc: dw_mmc: use the hold register when send stop command
  (bsc#1033484).
- mmc: dw_mmc: change the DW_MCI_FREQ_MIN from 400K to 100K
  (bsc#1033484).
- mmc: dw_mmc: fix the debug message for checking card's present
  (bsc#1033484).
- mmc: dw_mmc: display the real register value on debugfs
  (bsc#1033484).
- mmc: dw_mmc: fix spelling mistake in dev_dbg message
  (bsc#1033484).
- mmc: dw_mmc: remove system PM callback (bsc#1033484).
- mmc: dw_mmc-pltfm: deploy runtime PM facilities (bsc#1033484).
- mmc: dw_mmc-pci: deploy runtime PM facilities (bsc#1033484).
- mmc: dw_mmc-exynos: deploy runtime PM facilities (bsc#1033484).
- mmc: dw_mmc-k3: deploy runtime PM facilities (bsc#1033484).
- mmc: dw_mmc: disable biu clk if possible (bsc#1033484).
- mmc: core: expose the capability of gpio card detect
  (bsc#1033484).
- mmc: dw_mmc: fix the error handling for dma operation
  (bsc#1033484).
- mmc: dw_mmc: add the "reset" as name of reset controller
  (bsc#1033484).
- mmc: dw_mmc: remove the deprecated "supports-highspeed" property
  (bsc#1033484).
- mmc: dw_mmc: minor cleanup for dw_mci_adjust_fifoth
  (bsc#1033484).
- mmc: dw_mmc: use macro to define ring buffer size (bsc#1033484).
- mmc: dw_mmc: fix misleading error print if failing to do DMA
  transfer (bsc#1033484).
- mmc: dw_mmc: avoid race condition of cpu and IDMAC
  (bsc#1033484).
- mmc: dw_mmc: split out preparation of desc for IDMAC32 and
  IDMAC64 (bsc#1033484).
- mmc: dw_mmc: k3: UHS-SD card for Hisilicon Hikey (bsc#1033484).
- mmc: dw_mmc: return -EILSEQ for EBE and SBE error (bsc#1033484).
- mmc: dw_mmc: add reset support to dwmmc host controller
  (bsc#1033484).
- mmc: dw_mmc: remove the unnecessary IS_ERR() checking for
  ciu/biu clock (bsc#1033484).
- mmc: dw_mmc: remove parsing for each slot subnode (bsc#1033484).
- mmc: dw_mmc: exynos: Warn if HS400 is being used on
  non-Exynos5420 chipset (bsc#1033484).
- mmc: dw_mmc: fix the spamming log message (bsc#1033484).
- mmc: dw_mmc: rockchip: unset the MMC_CAP_ERASE flag
  (bsc#1033484).
- mmc: dw_mmc: set to MMC_CAP_ERASE by default (bsc#1033484).
- mmc: dw_mmc: fix unmap sg twice when finding data err
  (bsc#1033484).
- mmc: dw_mmc: add the card write threshold for HS400 mode
  (bsc#1033484).
- mmc: dw_mmc: remove the quirks flags (bsc#1033484).
- mmc: dw_mmc: exynos: fix the NULL pointer dereference error
  (bsc#1033484).
- mmc: dw_mmc: remove UBSAN warning in dw_mci_setup_bus()
  (bsc#1033484).
- mmc: dw_mmc: Wait for data transfer after response errors
  (bsc#1033484).
- mmc: dw_mmc: fix 32bit little-endian access of des1 field
  (bsc#1033484).
- mmc: dw_mmc: Consider HLE errors to be data and command errors
  (bsc#1033484).
- mmc: dw_mmc: k3: add MMC_CAP_CMD23 (bsc#1033484).
- mmc: dw_mmc: check card present before starting request
  (bsc#1033484).
- mmc: dw_mmc: remove redundant of set_bit and clear_bit
  (bsc#1033484).
- mmc: host: use the defined function to check whether card is
  removable (bsc#1033484).
- mmc: dw_mmc: fix the wrong max_blk_size (bsc#1033484).
- mmc: dw_mmc: remove setup_clock callback (bsc#1033484).
- mmc: dw_mmc-exynos: remove dw_mci_exynos_setup_clock
  (bsc#1033484).
- mmc: dw_mmc: exynos: add the function for controlling SMU
  (bsc#1033484).
- mmc: dw_mmc: fix num_slots setting (bsc#1033484).
- mmc: dw_mmc: remove repetitive clear interrupt (bsc#1033484).
- mmc: dw_mmc: fix err handle of dw_mci_probe (bsc#1033484).
- mmc: dw_mmc: remove DW_MCI_QUIRK_BROKEN_CARD_DETECTION quirk
  (bsc#1033484).
- mmc: dw_mmc: add hw_reset support (bsc#1033484).
- mmc: dw_mmc: remove the prepare_command hook (bsc#1033484).
- mmc: dw_mmc: remove the MMC_DATA_STREAM flag (bsc#1033484).
- mmc: dw_mmc: remove the unused quirks (bsc#1033484).
- commit ffb82b3
* Tue Apr 11 2017 msuchanek@suse.de
- tpm: fix handling of the TPM 2.0 event logs (bsc#1020645,
  fate#321435, fate#321507, fate#321600, Pending fixes
  2017-04-10).
- commit e015a87
* Tue Apr 11 2017 msuchanek@suse.de
- tpm_crb: remove a cruft constant (bsc#1020645, fate#321435,
  fate#321507, fate#321600, Pending fixes 2017-04-10).
- commit 36e9393
* Tue Apr 11 2017 msuchanek@suse.de
- tpm/tpm_crb: Enable TPM CRB interface for ARM64 (bsc#1020645,
  fate#321435, fate#321507, fate#321600, fate#320512).
- tpm: make check_locality return bool (bsc#1020645, fate#321435,
  fate#321507, fate#321600, Pending fixes 2017-04-10).
- commit dbb1db8
* Tue Apr 11 2017 msuchanek@suse.de
- tpm/tpm_crb: fix unused warnings on suspend/resume functions
  (bsc#1020645, fate#321435, fate#321507, fate#321600, Pending
  fixes 2017-04-10).
- commit 9aff114
* Tue Apr 11 2017 msuchanek@suse.de
- tpm: add sleep only for retry in i2c_nuvoton_write_status()
  (bsc#1020645, fate#321435, fate#321507, fate#321600, Pending
  fixes 2017-04-10).
- commit 6a55a02
* Tue Apr 11 2017 msuchanek@suse.de
- tpm/st33zp24: Add GPIO ACPI mapping table (bsc#1020645,
  fate#321435, fate#321507, fate#321600, Pending fixes
  2017-04-10).
- commit 0b068d5
* Tue Apr 11 2017 msuchanek@suse.de
- vTPM: Fix missing NULL check (bsc#1020645, fate#321435,
  fate#321507, fate#321600, Pending fixes 2017-04-10).
- tpm_crb: check for bad response size (bsc#1020645, fate#321435,
  fate#321507, fate#321600, Pending fixes 2017-04-10).
- commit b4448bc
* Tue Apr 11 2017 msuchanek@suse.de
- tpm: validate TPM 2.0 commands (bsc#1020645, fate#321435,
  fate#321507, fate#321600, Pending fixes 2017-04-10).
- commit d7555d8
* Tue Apr 11 2017 msuchanek@suse.de
- tpm: export tpm2_flush_context_cmd (bsc#1020645, fate#321435,
  fate#321507, fate#321600, Pending fixes 2017-04-10).
- commit f26403f
* Tue Apr 11 2017 msuchanek@suse.de
- tpm: move length validation to tpm_transmit() (bsc#1020645,
  fate#321435, fate#321507, fate#321600, Pending fixes
  2017-04-10).
- commit 268de45
* Tue Apr 11 2017 msuchanek@suse.de
- tpm_crb: encapsulate crb_wait_for_reg_32 (bsc#1020645,
  fate#321435, fate#321507, fate#321600, Pending fixes
  2017-04-10).
- commit f9e9b32
* Tue Apr 11 2017 msuchanek@suse.de
- tpm_crb: map locality registers (bsc#1020645, fate#321435,
  fate#321507, fate#321600, fate#319899, fate#320700).
- tpm_tis_spi: Add small delay after last transfer (bsc#1020645,
  fate#321435, fate#321507, fate#321600, Pending fixes
  2017-04-10).
- commit 8f3ad10
* Tue Apr 11 2017 msuchanek@suse.de
- tpm_tis_spi: Remove limitation of transfers to MAX_SPI_FRAMESIZE
  bytes (bsc#1020645, fate#321435, fate#321507, fate#321600,
  Pending fixes 2017-04-10).
- commit 1aab195
* Tue Apr 11 2017 msuchanek@suse.de
- tpm_tis_spi: Check correct byte for wait state indicator
  (bsc#1020645, fate#321435, fate#321507, fate#321600, Pending
  fixes 2017-04-10).
- commit 4f4a144
* Tue Apr 11 2017 msuchanek@suse.de
- tpm_tis_spi: Abort transfer when too many wait states are
  signaled (bsc#1020645, fate#321435, fate#321507, fate#321600,
  Pending fixes 2017-04-10).
- commit bbf2ad8
* Tue Apr 11 2017 msuchanek@suse.de
- tpm_tis_spi: Use single function to transfer data (bsc#1020645,
  fate#321435, fate#321507, fate#321600, Pending fixes
  2017-04-10).
- commit 484333f
* Tue Apr 11 2017 msuchanek@suse.de
- tpm/tpm_crb: enter the low power state upon device suspend
  (bsc#1020645, fate#321435, fate#321507, fate#321600, Pending
  fixes 2017-04-10).
- tpm: select CONFIG_CRYPTO (bsc#1020645, fate#321435,
  fate#321507, fate#321600, Pending fixes 2017-04-10).
- commit 978accf
* Tue Apr 11 2017 msuchanek@suse.de
- tpm: msleep() delays - replace with usleep_range() in i2c
  nuvoton driver (bsc#1020645, fate#321435, fate#321507,
  fate#321600, Pending fixes 2017-04-10).
- commit cf603ca
* Tue Apr 11 2017 msuchanek@suse.de
- tpm crb: Work around BIOS's that report the wrong ACPI region
  size (bsc#1020645, fate#321435, fate#321507, fate#321600,
  fate#319899, fate#320700).
- commit 26c45bc
* Tue Apr 11 2017 msuchanek@suse.de
- tpm_tis_core: Choose appropriate timeout for reading burstcount
  (bsc#1020645, fate#321435, fate#321507, fate#321600, Pending
  fixes 2017-04-10).
- commit 993f793
* Tue Apr 11 2017 msuchanek@suse.de
- tpm: declare tpm2_get_pcr_allocation() as static (bsc#1020645,
  fate#321435, fate#321507, fate#321600, Pending fixes
  2017-04-10).
- commit ffb208e
* Tue Apr 11 2017 msuchanek@suse.de
- tpm: Fix expected number of response bytes of TPM1.2 PCR Extend
  (bsc#1020645, fate#321435, fate#321507, fate#321600, Pending
  fixes 2017-04-10).
- tpm xen: drop unneeded chip variable (bsc#1020645, fate#321435,
  fate#321507, fate#321600, Pending fixes 2017-04-10).
- commit 8b2bb86
* Tue Apr 11 2017 msuchanek@suse.de
- tpm: fix misspelled "facilitate" in module parameter description
  (bsc#1020645, fate#321435, fate#321507, fate#321600, Pending
  fixes 2017-04-10).
- commit 1a801b6
* Tue Apr 11 2017 msuchanek@suse.de
- tpm_tis: fix the error handling of init_tis() (bsc#1020645,
  fate#321435, fate#321507, fate#321600, Pending fixes
  2017-04-10).
- commit 255db54
* Tue Apr 11 2017 msuchanek@suse.de
- tpm: silence an array overflow warning (bsc#1020645,
  fate#321435, fate#321507, fate#321600, Pending fixes
  2017-04-10).
- commit fe1cb40
* Tue Apr 11 2017 msuchanek@suse.de
- tpm: fix the type of owned field in cap_t (bsc#1020645,
  fate#321435, fate#321507, fate#321600, Pending fixes
  2017-04-10).
- commit 4f04ca5
* Tue Apr 11 2017 msuchanek@suse.de
- tpm: add securityfs support for TPM 2.0 firmware event log
  (bsc#1020645, fate#321435, fate#321507, fate#321600, Pending
  fixes 2017-04-10).
- tpm: enhance read_log_of() to support Physical TPM event log
  (bsc#1020645, fate#321435, fate#321507, fate#321600, Pending
  fixes 2017-04-10).
- commit 39d7c92
* Tue Apr 11 2017 msuchanek@suse.de
- tpm: enhance TPM 2.0 PCR extend to support multiple banks
  (bsc#1020645, fate#321435, fate#321507, fate#321600, Pending
  fixes 2017-04-10).
- commit ab9798b
* Tue Apr 11 2017 msuchanek@suse.de
- tpm: implement TPM 2.0 capability to get active PCR banks
  (bsc#1020645, fate#321435, fate#321507, fate#321600, Pending
  fixes 2017-04-10).
- commit f74de6f
* Tue Apr 11 2017 msuchanek@suse.de
- tpm: fix RC value check in tpm2_seal_trusted (bsc#1020645,
  fate#321435, fate#321507, fate#321600, Pending fixes
  2017-04-10).
- commit 6f256c9
* Tue Apr 11 2017 msuchanek@suse.de
- tpm_tis: fix iTPM probe via probe_itpm() function (bsc#1020645,
  fate#321435, fate#321507, fate#321600, Pending fixes
  2017-04-10).
- tpm: Begin the process to deprecate user_read_timer
  (bsc#1020645, fate#321435, fate#321507, fate#321600, Pending
  fixes 2017-04-10).
- commit 4ef5f85
* Tue Apr 11 2017 msuchanek@suse.de
- tpm: remove tpm_read_index and tpm_write_index from tpm.h
  (bsc#1020645, fate#321435, fate#321507, fate#321600, Pending
  fixes 2017-04-10).
- commit 22ccd7d
* Tue Apr 11 2017 msuchanek@suse.de
- tpm: Check size of response before accessing data (bsc#1020645,
  fate#321435, fate#321507, fate#321600, Pending fixes
  2017-04-10).
- commit 8762685
* Tue Apr 11 2017 msuchanek@suse.de
- tpm_tis: use default timeout value if chip reports it as zero
  (bsc#1020645, fate#321435, fate#321507, fate#321600, Pending
  fixes 2017-04-10).
- commit 44cf601
* Tue Apr 11 2017 msuchanek@suse.de
- tpm: Do not print an error message when doing TPM auto startup
  (bsc#1020645, fate#321435, fate#321507, fate#321600, Pending
  fixes 2017-04-10).
- commit 85ae548
* Tue Apr 11 2017 msuchanek@suse.de
- tpm, tpm_crb: Handle 64-bit resource in crb_check_resource()
  (bsc#1020645, fate#321435, fate#321507, fate#321600, fate#320512).
- tpm/tpm_tis_spi: drop duplicate header module.h (bsc#1020645,
  fate#321435, fate#321507, fate#321600, Pending fixes
  2017-04-10).
- commit d923ce5
* Tue Apr 11 2017 msuchanek@suse.de
- tpm/st33zp24: Remove unneeded linux/miscdevice.h include
  (bsc#1020645, fate#321435, fate#321507, fate#321600, Pending
  fixes 2017-04-10).
- commit 8b51d7b
* Tue Apr 11 2017 msuchanek@suse.de
- tpm/vtpm: fix kdoc warnings (bsc#1020645, fate#321435,
  fate#321507, fate#321600, Pending fixes 2017-04-10).
- commit 80f9004
* Tue Apr 11 2017 msuchanek@suse.de
- tmp: use pdev for parent device in tpm_chip_alloc (bsc#1020645,
  fate#321435, fate#321507, fate#321600, Pending fixes
  2017-04-10).
- commit 03e45de
* Tue Apr 11 2017 msuchanek@suse.de
- tpm/tpm2-chip: fix kdoc errors (bsc#1020645, fate#321435,
  fate#321507, fate#321600, Pending fixes 2017-04-10).
- tpm: add kdoc for tpm_transmit and tpm_transmit_cmd
  (bsc#1020645, fate#321435, fate#321507, fate#321600, Pending
  fixes 2017-04-10).
- commit 258c9f8
* Tue Apr 11 2017 mbrugger@suse.com
- efi/fdt: Avoid FDT manipulation after ExitBootServices()
  (bsc#1033584).
- commit 171fe06
* Tue Apr 11 2017 mwilck@suse.com
- hpsa: bump driver version (bsc#1022600 fate#321928).
- commit 80bf611
* Tue Apr 11 2017 mwilck@suse.com
- hpsa: remove abort handler (bsc#1022600 fate#321928).
- commit 96bdeb5
* Tue Apr 11 2017 mwilck@suse.com
- hpsa: send ioaccel requests with 0 length down raid path
  (bsc#1022600 fate#321928).
- commit d4d0f4d
* Tue Apr 11 2017 mwilck@suse.com
- hpsa: separate monitor events from heartbeat worker (bsc#1022600
  fate#321928).
- commit 14d5d60
* Tue Apr 11 2017 mwilck@suse.com
- hpsa: correct queue depth for externals (bsc#1022600
  fate#321928).
- commit 83e25f1
* Tue Apr 11 2017 mwilck@suse.com
- hpsa: cleanup reset handler (bsc#1022600 fate#321928).
- commit c111549
* Tue Apr 11 2017 mwilck@suse.com
- hpsa: correct resets on retried commands (bsc#1022600
  fate#321928).
- commit 613a596
* Tue Apr 11 2017 mwilck@suse.com
- hpsa: rescan later if reset in progress (bsc#1022600
  fate#321928).
- commit 01086e9
* Tue Apr 11 2017 mwilck@suse.com
- hpsa: do not reset enclosures (bsc#1022600 fate#321928).
- commit 7b36639
* Tue Apr 11 2017 mwilck@suse.com
- hpsa: update reset handler (bsc#1022600 fate#321928).
- commit df75254
* Tue Apr 11 2017 mwilck@suse.com
- hpsa: do not get enclosure info for external devices
  (bsc#1022600 fate#321928).
- commit 0d2299b
* Tue Apr 11 2017 mwilck@suse.com
- hpsa: update identify physical device structure (bsc#1022600
  fate#321928).
- commit c04a635
* Tue Apr 11 2017 agraf@suse.de
- arm64: Relocate screen_info.lfb_base on PCI BAR allocation
  (bsc#975159, bsc#1033559).
- commit 8df029f
* Tue Apr 11 2017 tiwai@suse.de
- drm/i915: Introduce Kabypoint PCH for Kabylake H/DT
  (bsc#1032581).
- commit 12e740d
* Tue Apr 11 2017 tbogendoerfer@suse.de
- Adpat staging/rdma drivers to IB/core: Let create_ah return
  extended response to user (bsc#1030230).
- Fix changed get_user_pages() arguments (bsc#1030230).
- Commit 507f6afa3ab6 struct ib_class_port_info; this commit
  fixes staging/rdma drivers (bsc#1030230).
- commit 8bff2b4
* Tue Apr 11 2017 mhocko@suse.cz
- mm, memory_hotplug: consider offline memblocks removable
  (bnc#1030659).
- commit b154d6d
* Tue Apr 11 2017 yousaf.kaukab@suse.com
- i2c: ibm_iic: rename i2c_timings struct due to clash with
  generic version (bsc#1033323).
- commit ecf427d
* Tue Apr 11 2017 yousaf.kaukab@suse.com
- i2c: add generic routine to parse DT for timing information
  (bsc#1033323).
- pinctrl: rockchip: use gpiochip data pointer (bsc#1033335).
- PM / Domains: Allow holes in genpd_data.domains array
  (bsc#1033306).
- commit 62bdb71
* Tue Apr 11 2017 jthumshirn@suse.de
- PCI: pciehp: Leave power indicator on when enabling
  already-enabled slot (bsc#1032425).
- commit 0296d3c
* Tue Apr 11 2017 mhocko@suse.cz
- mm/mempolicy.c: fix error handling in set_mempolicy and mbind
  (bnc#1033336, CVE-2017-7616).
- commit 9183913
* Tue Apr 11 2017 bpoirier@suse.com
- ethtool: Set cmd field in ETHTOOL_GLINKSETTINGS response to
  wrong nwords (fate#322061).
- hns_enet: use cpumask_var_t for on-stack mask (fate#322061).
- net: hns: Add ACPI support to check SFP present (fate#322061).
- net: hns: Adjust the SBM module buffer threshold (fate#322061).
- net: hns: Avoid Hip06 chip TX packet line bug (fate#322061).
- net: hns: Correct HNS RSS key set function (fate#322061).
- net: hns: Fix the device being used for dma mapping during TX
  (fate#322061).
- net: hns: Fix the implementation of irq affinity function
  (fate#322061).
- net: hns: Fix to adjust buf_size of ring according to mtu
  (fate#322061).
- net: hns: Fix to conditionally convey RX checksum flag to stack
  (fate#322061).
- net: hns: Modify GMAC init TX threshold value (fate#322061).
- net: hns: Optimize hns_nic_common_poll for better performance
  (fate#322061).
- net: hns: Optimize the code for GMAC pad and crc Config
  (fate#322061).
- net: hns: Remove redundant mac table operations (fate#322061).
- net: hns: Remove redundant mac_get_id() (fate#322061).
- net: hns: Remove redundant memset during buffer release
  (fate#322061).
- net: hns: Remove the redundant adding and deleting mac function
  (fate#322061).
- net: hns: Replace netif_tx_lock to ring spin lock (fate#322061).
- net: hns: Simplify the exception sequence in hns_ppe_init()
  (fate#322061).
- net: hns: Some checkpatch.pl script & warning fixes
  (fate#322061).
- net: hns: avoid gcc-7.0.1 warning for uninitialized data
  (fate#322061).
- net: hns: bug fix of ethtool show the speed (fate#322061).
- net: hns: fix uninitialized data use (fate#322061).
  793cf87de9d1 ethtool: Set cmd field in ETHTOOL_GLINKSETTINGS response to wrong nwords (v4.6-rc1)
  b85ea006b6be net: hns: Fix the device being used for dma mapping during TX (v4.10-rc8)
  a17f1861b5ea net: hns: fix uninitialized data use (v4.11-rc6)
  834a61d455ff net: hns: avoid gcc-7.0.1 warning for uninitialized data (v4.11-rc6)
  b917078c1c10 net: hns: Add ACPI support to check SFP present (v4.11-rc6)
  ba2d079131b4 net: hns: Fix the implementation of irq affinity function (remotes/net-next/master)
  depends on (for context)
  ff3edc9b8efc hns_enet: use cpumask_var_t for on-stack mask (v4.11-rc1)
  87ff7e1f460d net: hns: Modify GMAC init TX threshold value (remotes/net-next/master)
  de99208cc7ce net: hns: Optimize the code for GMAC pad and crc Config (remotes/net-next/master)
  fb0672d11634 net: hns: Remove redundant memset during buffer release (remotes/net-next/master)
  4b7cdecaa441 net: hns: bug fix of ethtool show the speed (remotes/net-next/master)
  36eedfde1a36 net: hns: Optimize hns_nic_common_poll for better performance (remotes/net-next/master)
  b29bd41259f3 net: hns: Fix to adjust buf_size of ring according to mtu (remotes/net-next/master)
  f2aaed557ecf net: hns: Replace netif_tx_lock to ring spin lock (remotes/net-next/master)
  64ec10dc2ab8 net: hns: Correct HNS RSS key set function (remotes/net-next/master)
  040a3800aac0 net: hns: Remove the redundant adding and deleting mac function (remotes/net-next/master)
  20f0d4f736b7 net: hns: Remove redundant mac_get_id() (remotes/net-next/master)
  9f1607b8b53e net: hns: Remove redundant mac table operations (remotes/net-next/master)
  a2185587ade7 net: hns: Simplify the exception sequence in hns_ppe_init() (remotes/net-next/master)
  76b588bc523b net: hns: Adjust the SBM module buffer threshold (remotes/net-next/master)
  820c90cb3e2e net: hns: Avoid Hip06 chip TX packet line bug (remotes/net-next/master)
  b4957ab0826f net: hns: Some checkpatch.pl script & warning fixes (remotes/net-next/master)
  depends on (for context)
  862b3d2090ae net: hns: Fix to conditionally convey RX checksum flag to stack (v4.10-rc1)
- commit df86d26
* Tue Apr 11 2017 agraf@suse.de
- arm/arm64: KVM: Take mmap_sem in stage2_unmap_vm (bsc#1033418).
- arm/arm64: KVM: Take mmap_sem in kvm_arch_prepare_memory_region
  (bsc#1033418).
- kvm: arm/arm64: Fix locking for kvm_free_stage2_pgd
  (bsc#1033418).
- KVM: arm64: Ensure LRs are clear when they should be
  (bsc#1033418).
- KVM: arm64: Fix the issues when guest PMCCFILTR is configured
  (bsc#1033418).
- arm64: KVM: pmu: Fix AArch32 cycle counter access (bsc#1033418).
- KVM: arm/arm64: timer: Check for properly initialized timer
  on init (bsc#1033418).
- arm64: KVM: pmu: Reset PMSELR_EL0.SEL to a sane value before
  entering the guest (bsc#1033418).
- KVM: arm/arm64: Fix occasional warning from the timer work
  function (bsc#1033418).
- KVM: arm/arm64: vgic: Fix deadlock on error handling
  (bsc#1033418).
- KVM: arm/arm64: Remove struct vgic_irq pending field
  (bsc#1033418).
- wait.[ch]: Introduce the simple waitqueue (swait) implementation
  (bsc#1033418).
- KVM: Use simple waitqueue for vcpu->wq (bsc#1033418).
- arm64: Fix misspellings in comments (bsc#1033418).
- kvm arm/arm64: Remove trailing whitespace from headers
  (bsc#1033418).
- KVM: use list_for_each_entry_safe (bsc#1033418).
- KVM: Protect device ops->create and list_add with kvm->lock
  (bsc#1033418).
- KVM: Remove deprecated create_singlethread_workqueue
  (bsc#1033418).
- arm/kvm: excise redundant cache maintenance (bsc#1033418).
- arm64/kvm: remove unused stub functions (bsc#1033418).
- arm64: KVM: VHE: reset PSTATE.PAN on entry to EL2 (bsc#1033418).
- arm64: KVM: Move kvm_vcpu_get_condition out of emulate.c
  (bsc#1033418).
- arm64: KVM: Move the AArch32 conditional execution to common
  code (bsc#1033418).
- arm: KVM: Use common AArch32 conditional execution code
  (bsc#1033418).
- arm64: KVM: Make kvm_skip_instr32 available to HYP
  (bsc#1033418).
- arm64: KVM: vgic-v2: Add the GICV emulation infrastructure
  (bsc#1033418).
- arm64: KVM: vgic-v2: Add GICV access from HYP (bsc#1033418).
- arm64: KVM: vgic-v2: Enable GICV access from HYP if access
  from guest is unsafe (bsc#1033418).
- arm64: KVM: Rename HCR_VA to HCR_VSE (bsc#1033418).
- arm64: KVM: Preserve pending vSError in world switch
  (bsc#1033418).
- arm64: KVM: Add Virtual Abort injection helper (bsc#1033418).
- arm64: KVM: Add exception code to report EL1 asynchronous aborts
  (bsc#1033418).
- arm64: KVM: Add EL1 async abort handler (bsc#1033418).
- arm64: KVM: Route asynchronous aborts (bsc#1033418).
- arm64: KVM: Allow an exit code to be tagged with an SError
  (bsc#1033418).
- arm64: KVM: Inject a Virtual SError if it was pending
  (bsc#1033418).
- arm64: KVM: Handle async aborts delivered while at EL2
  (bsc#1033418).
- arm: KVM: Preserve pending Virtual Abort in world switch
  (bsc#1033418).
- arm: KVM: Add Virtual Abort injection helper (bsc#1033418).
- arm: KVM: Add HYP async abort handler (bsc#1033418).
- arm: KVM: Allow an exit code to be tagged with a Virtual Abort
  (bsc#1033418).
- arm: KVM: Handle async aborts delivered while at HYP
  (bsc#1033418).
- arm: KVM: Inject a Virtual Abort if it was pending
  (bsc#1033418).
- arm: KVM: Drop unreachable HYP abort handlers (bsc#1033418).
- arm/arm64: KVM: Inject virtual abort when guest exits on
  external abort (bsc#1033418).
- arm/arm64: KVM: Remove external abort test from MMIO handling
  (bsc#1033418).
- arm64: KVM: Inject a vSerror if detecting a bad GICV access
  at EL2 (bsc#1033418).
- KVM: ARM: cleanup kvm_timer_hyp_init (bsc#1033418).
- arm64/kvm: use {read,write}_sysreg() (bsc#1033418).
- kvm: add stubs for arch specific debugfs support (bsc#1033418).
- arm64: KVM: Use static keys for selecting the GIC backend
  (bsc#1033418).
- arm64: KVM: Move GIC accessors to arch_gicv3.h (bsc#1033418).
- arm64: KVM: Move vgic-v3 save/restore to virt/kvm/arm/hyp
  (bsc#1033418).
- KVM: arm64: vgic-its: Introduce config option to guard ITS
  specific code (bsc#1033418).
- KVM: arm: vgic: Fix compiler warnings when built for 32-bit
  (bsc#1033418).
- KVM: arm: vgic: Support 64-bit data manipulation on 32-bit
  host systems (bsc#1033418).
- ARM: Move system register accessors to asm/cp15.h (bsc#1033418).
- ARM: KVM: Support vgic-v3 (bsc#1033418).
- arm64: KVM: Remove duplicating init code for setting VMID
  (bsc#1033418).
- KVM: arm64: Require in-kernel irqchip for PMU support
  (bsc#1033418).
- arm64: KVM: Take S1 walks into account when determining S2
  write faults (bsc#1033418).
- arm/arm64: KVM: Map the BSS at HYP (bsc#1033418).
- KVM: arm/arm64: vgic: Prevent access to invalid SPIs
  (bsc#1033418).
- KVM: arm/arm64: vgic: Kick VCPUs when queueing already pending
  IRQs (bsc#1033418).
- KVM: arm64: vgic-its: Fix compatibility with 32-bit
  (bsc#1033418).
- ARM: KVM: Support vGICv3 ITS (bsc#1033418).
- arm/arm64: KVM: Clean up useless code in kvm_timer_enable
  (bsc#1033418).
- KVM: arm/arm64: vgic-v2: Limit ITARGETSR bits to number of VCPUs
  (bsc#1033418).
- KVM: arm64: Access CNTHCTL_EL2 bit fields correctly on VHE
  systems (bsc#1033418).
- KVM: arm/arm64: vgic: Add debugfs vgic-state file (bsc#1033418).
- KVM: arm/arm64: vgic: Implement support for userspace access
  (bsc#1033418).
- KVM: arm/arm64: vgic: Add distributor and redistributor access
  (bsc#1033418).
- KVM: arm/arm64: vgic: Introduce find_reg_by_id() (bsc#1033418).
- KVM: arm/arm64: vgic: Introduce VENG0 and VENG1 fields to vmcr
  struct (bsc#1033418).
- KVM: arm/arm64: vgic: Implement VGICv3 CPU interface access
  (bsc#1033418).
- KVM: arm/arm64: vgic: Implement KVM_DEV_ARM_VGIC_GRP_LEVEL_INFO
  ioctl (bsc#1033418).
- arm/arm64: KVM: Stop propagating cacheability status of a
  faulted page (bsc#1033418).
- arm/arm64: KVM: Get rid of KVM_MEMSLOT_INCOHERENT (bsc#1033418).
- KVM: arm/arm64: Remove kvm_vgic_inject_mapped_irq (bsc#1033418).
- arm64: KVM: Save/restore the host SPE state when
  entering/leaving a VM (bsc#1033418).
- KVM: arm/arm64: vgic: Stop injecting the MSI occurrence twice
  (bsc#1033418).
- KVM: arm/arm64: Abstract virtual timer context into separate
  structure (bsc#1033418).
- KVM: arm/arm64: Move cntvoff to each timer context
  (bsc#1033418).
- KVM: arm/arm64: Decouple kvm timer functions from virtual timer
  (bsc#1033418).
- KVM: arm/arm64: Add the EL1 physical timer context
  (bsc#1033418).
- KVM: arm/arm64: Initialize the emulated EL1 physical timer
  (bsc#1033418).
- KVM: arm/arm64: Update the physical timer interrupt level
  (bsc#1033418).
- KVM: arm/arm64: Set a background timer to the earliest timer
  expiration (bsc#1033418).
- KVM: arm/arm64: Set up a background timer for the physical
  timer emulation (bsc#1033418).
- KVM: arm64: Add the EL1 physical timer access handler
  (bsc#1033418).
- KVM: arm/arm64: Emulate the EL1 phys timer registers
  (bsc#1033418).
- arm64: KVM: VHE: Clear HCR_TGE when invalidating guest TLBs
  (bsc#1033418).
- KVM: arm/arm64: vgic-v3: Don't pretend to support IRQ/FIQ bypass
  (bsc#1033418).
- KVM: arm/arm64: Let vcpu thread modify its own active state
  (bsc#1033418).
- arm: KVM: Survive unknown traps from guests (bsc#1033418).
- arm64: KVM: Survive unknown traps from guests (bsc#1033418).
- KVM: arm/arm64: VGIC: Fix command handling while ITS being
  disabled (bsc#1033418).
- KVM: arm/arm64: Enable KVM_CAP_NR_MEMSLOTS on arm/arm64
  (bsc#1033418).
- KVM: arm/arm64: Remove KVM_PRIVATE_MEM_SLOTS definition that
  are unused (bsc#1033418).
- KVM: arm64: Increase number of user memslots to 512
  (bsc#1033418).
- KVM: arm/arm64: Cleanup the arch timer code's irqchip checking
  (bsc#1033416).
- KVM: arm/arm64: Add ARM user space interrupt signaling ABI
  (bsc#1033416).
- KVM: arm/arm64: Support arch timers with a userspace gic
  (bsc#1033416).
- KVM: arm/arm64: Report PMU overflow interrupts to userspace
  irqchip (bsc#1033416).
- KVM: arm/arm64: Advertise support for KVM_CAP_ARM_USER_IRQ
  (bsc#1033416).
- irqchip/gic-v3: Add missing system register definitions
  (bsc#1033418).
- arm64: cpufeature: Don't enforce system-wide SPE capability
  (bsc#1033418).
- arm64: sysreg: replace open-coded mrs_s/msr_s with
  {read,write}_sysreg_s (bsc#1033418).
- arm64: sysreg: Fix use of XZR in write_sysreg_s (bsc#1033418).
- arm64: sysreg: allow write_sysreg to use XZR (bsc#1033418).
- KVM: Remove unnecessary debugfs dentry references (bsc#1033418).
- KVM: Create debugfs dir and stat files for each VM
  (bsc#1033418).
- commit 147fcc9
* Mon Apr 10 2017 msuchanek@suse.de
- ibmvnic: Fix initial MTU settings (bsc#1031512).
- commit d2a5b29
* Mon Apr 10 2017 bpoirier@suse.com
- Refresh
  patches.drivers/0033-IB-core-Let-create_ah-return-extended-response-to-us.patch.
  Update the create_ah function in one staging driver which was removed
  upstream.
  CC [M]  drivers/staging/rdma/amso1100/c2_provider.o
  drivers/staging/rdma/amso1100/c2_provider.c: In function ‘c2_register_device’:
  drivers/staging/rdma/amso1100/c2_provider.c:840:23: warning: assignment from incompatible pointer type [-Wincompatible-pointer-types]
  dev->ibdev.create_ah = c2_ah_create;
    ^
- commit 18a5120
* Mon Apr 10 2017 lhenriques@suse.com
- ceph: do not modify fi->frag in need_reset_readdir()
  (FATE#322288).
- ceph: initialize pathbase in the !dentry case in
  encode_caps_cb() (FATE#322288).
- rbd: nuke the 32-bit pool id check (FATE#322288).
- ceph: fix null pointer dereference in ceph_flush_snaps()
  (FATE#322288).
- libceph: using kfree_rcu() to simplify the code (FATE#322288).
- ceph: fix symbol versioning for ceph_monc_do_statfs
  (FATE#322288).
- ceph: Correctly return NXIO errors from ceph_llseek
  (FATE#322288).
- ceph: Mark the file cache as unreclaimable (FATE#322288).
- ceph: optimize cap flush waiting (FATE#322288).
- ceph: cleanup ceph_flush_snaps() (FATE#322288).
- ceph: kick cap flushes before sending other cap message
  (FATE#322288).
- ceph: introduce an inode flag to indicates if snapflush is
  needed (FATE#322288).
- ceph: avoid sending duplicated cap flush message (FATE#322288).
- ceph: unify cap flush and snapcap flush (FATE#322288).
- ceph: use list instead of rbtree to track cap flushes
  (FATE#322288).
- ceph: update types of some local varibles (FATE#322288).
- ceph: include 'follows' of pending snapflush in cap reconnect
  message (FATE#322288).
- ceph: update cap reconnect message to version 3 (FATE#322288).
- ceph: mount non-default filesystem by name (FATE#322288).
- libceph: fsmap.user subscription support (FATE#322288).
- ceph: handle LOOKUP_RCU in ceph_d_revalidate (FATE#322288).
- ceph: allow dentry_lease_is_valid to work under RCU walk
  (FATE#322288).
- ceph: clear d_fsinfo pointer under d_lock (FATE#322288).
- ceph: remove ceph_mdsc_lease_release (FATE#322288).
- ceph: don't use ->d_time (FATE#322288).
- ceph: fix spelling mistake: "resgister" -> "register"
  (FATE#322288).
- ceph: fix NULL dereference in ceph_queue_cap_snap()
  (FATE#322288).
- ceph: wait unsafe sync writes for evicting inode (FATE#322288).
- ceph: fix use-after-free bug in ceph_direct_read_write()
  (FATE#322288).
- ceph: reduce i_nr_by_mode array size (FATE#322288).
- ceph: set user pages dirty after direct IO read (FATE#322288).
- ceph: rados pool namespace support (FATE#322288).
- libceph: make sure redirect does not change namespace
  (FATE#322288).
- libceph: rados pool namespace support (FATE#322288).
- libceph: introduce reference counted string (FATE#322288).
- libceph: define new ceph_file_layout structure (FATE#322288).
- libceph: add start en/decoding block helpers (FATE#322288).
- libceph: add an ONSTACK initializer for oids (FATE#322288).
- libceph: fix some missing includes (FATE#322288).
- commit fded08d
* Mon Apr 10 2017 bpoirier@suse.com
- Refresh
  patches.drivers/treewide-replace-dev-trans_start-update-with-helper.patch.
  As reported in bsc#1033076, there was a trans_start update left over
  after 860e9538a948 ("treewide: replace dev->trans_start update with
  helper", v4.7-rc1).
- commit 9d4daa7
* Mon Apr 10 2017 mbrugger@suse.com
- arm64: dma-mapping: Fix dma_mapping_error() when bypassing
  SWIOTLB (bsc#1033275).
- arm64: Fix swiotlb fallback allocation (bsc#1033272).
- swiotlb: Export swiotlb_max_segment to users (bsc#1033272).
- swiotlb: Add swiotlb=noforce debug option (bsc#1033272).
- swiotlb: Convert swiotlb_force from int to enum (bsc#1033272).
- x86, swiotlb: Simplify pci_swiotlb_detect_override()
  (bsc#1033272).
- commit aaa8b2b
* Mon Apr 10 2017 jthumshirn@suse.de
- Refresh
  patches.drivers/0352-block-improve-handling-of-the-magic-discard-payload.patch.
  Correctly calculate a request's physical segments (bsc#1033214)
- commit 243f89a
* Mon Apr 10 2017 mbrugger@suse.com
- efi/libstub/arm*: Pass latest memory map to the kernel
  (bsc#1033267).
- ARM: 8631/1: clkdev: Detect errors in clk_hw_register_clkdev()
  for mass registration (bsc#1033266).
- PCI: xgene: Fix double free on init error (bsc#1033276).
- IB/hns: include linux/module.h (bsc#1033278).
- dmaengine: rcar-dmac: unmap slave resource when channel is freed
  (bsc#1033271).
- dma-debug: fix ia64 build, use PHYS_PFN (bsc#1033264).
- clk: rockchip: Remove useless init of "grf" to -EPROBE_DEFER
  (bsc#1033270).
- clk: rockchip: add "," to mux_pll_src_apll_dpll_gpll_usb480m_p
  on rk3036 (bsc#1033279).
- mmc: dw_mmc: force setup bus if active slots exist
  (bsc#1033273).
- commit 06fe92f
* Mon Apr 10 2017 tbogendoerfer@suse.de
- i40iw: Set maj_err and min_err in i40iw_sc_cqp_create
  (bsc#1024376 FATE#321249).
- i40iw: fix some indenting in i40iw_sc_vsi_init() (bsc#1024376
  FATE#321249).
- IB/i40iw: Remove a superfluous assignment statement (bsc#1024376
  FATE#321249).
- RDMA/i40iw: use designated initializers (bsc#1024376
  FATE#321249).
- i40iw: Set 128B as the only supported RQ WQE size (bsc#1024376
  FATE#321249).
- i40iw: Reorganize structures to align with HW capabilities
  (bsc#1024376 FATE#321249).
- i40iw: Fix incorrect check for error (bsc#1024376 FATE#321249).
- i40iw: Assign MSS only when it is a new MTU (bsc#1024376
  FATE#321249).
- i40iw: Fix race condition in terminate timer's handler
  (bsc#1024376 FATE#321249).
- i40iw: Fix memory leak in CQP destroy when in reset (bsc#1024376
  FATE#321249).
- i40iw: Fix QP flush to not hang on empty queues or failure
  (bsc#1024376 FATE#321249).
- i40iw: Fix double free of QP (bsc#1024376 FATE#321249).
- i40iw: Use correct src address in memcpy to rdma stats counters
  (bsc#1024376 FATE#321249).
- i40iw: Remove macros I40IW_STAG_KEY_FROM_STAG and
  I40IW_STAG_INDEX_FROM_STAG (bsc#1024376 FATE#321249).
- i40iw: Add request for reset on CQP timeout (bsc#1024376
  FATE#321249).
- i40iw: Code cleanup, remove check of PBLE pages (bsc#1024376
  FATE#321249).
- i40iw: Correctly fail loopback connection if no listener
  (bsc#1024376 FATE#321249).
- i40iw: Fill in IRD value when on connect request (bsc#1024376
  FATE#321249).
- i40iw: Set TOS field in IP header (bsc#1024376 FATE#321249).
- i40iw: Add NULL check for ibqp event handler (bsc#1024376
  FATE#321249).
- i40iw: Replace list_for_each_entry macro with safe version
  (bsc#1024376 FATE#321249).
- i40iw: Add IP addr handling on netdev events (bsc#1024376
  FATE#321249).
- i40iw: Add missing cleanup on device close (bsc#1024376
  FATE#321249).
- i40iw: Add 2MB page support (bsc#1024376 FATE#321249).
- i40iw: Utilize physically mapped memory regions (bsc#1024376
  FATE#321249).
- i40iw: Fix incorrect assignment of SQ head (bsc#1024376
  FATE#321249).
- i40iw: Remove variable flush_code and check to set qp->sq_flush
  (bsc#1024376 FATE#321249).
- i40iw: Remove check on return from device_init_pestat()
  (bsc#1024376 FATE#321249).
- i40iw: Use runtime check for IS_ENABLED(CONFIG_IPV6)
  (bsc#1024376 FATE#321249).
- i40iw: Use actual page size (bsc#1024376 FATE#321249).
- i40iw: Remove NULL check for cm_node->iwdev (bsc#1024376
  FATE#321249).
- i40iw: Remove checks for more than 48 bytes inline data
  (bsc#1024376 FATE#321249).
- i40iw: Query device accounts for internal rsrc (bsc#1024376
  FATE#321249).
- i40iw: Optimize inline data copy (bsc#1024376 FATE#321249).
- i40iw: Fix for LAN handler removal (bsc#1024376 FATE#321249).
- i40iw: Correct values for max_recv_sge, max_send_sge
  (bsc#1024376 FATE#321249).
- i40iw: Use vector when creating CQs (bsc#1024376 FATE#321249).
- i40iw: Convert page_size to encoded value (bsc#1024376
  FATE#321249).
- i40iw: Set MAX IRD, MAX ORD size to max supported value
  (bsc#1024376 FATE#321249).
- i40iw: Remove workaround for pre-production errata (bsc#1024376
  FATE#321249).
- i40iw: Enable message packing (bsc#1024376 FATE#321249).
- i40iw: Add Quality of Service support (bsc#1024376 FATE#321249).
- IB/i40iw: Remove debug prints after allocation failure
  (bsc#1024376 FATE#321249).
- i40iw_cm: Remove deprecated create_singlethread_workqueue
  (bsc#1024376 FATE#321249).
- i40iw_main: Remove deprecated create_singlethread_workqueue
  (bsc#1024376 FATE#321249).
- IB/i40iw: Support device FW version string (bsc#1024376
  FATE#321249).
- commit d6e7373
* Mon Apr 10 2017 tbogendoerfer@suse.de
- qedf: fix wrong le16 conversion (bsc#1019691, FATE#321745).
- commit 6131c2e
* Mon Apr 10 2017 mbrugger@suse.com
- clk: Return errors from clk providers in
  __of_clk_get_from_provider() (bsc#1033258).
- usb: of: fix build breakage on !OF (bsc#1033254).
- irqchip/mbigen: Checking for IS_ERR() instead of NULL
  (bsc#1033256).
- pwm: Fix pwm_apply_args() (bsc#1033257).
- pwm: Improve args checking in pwm_apply_state() (bsc#1033257).
- commit 3562224
* Mon Apr 10 2017 mbrugger@suse.com
- blacklist.conf: ignore Documentation fix
- commit 0f4fa64
* Mon Apr 10 2017 mhocko@suse.cz
- mm, memory_hotplug: use node instead of zone in
  can_online_high_movable (bnc#1030659).
- mm: drop page_initialized check from get_nid_for_pfn
  (bnc#1030659).
- mm, memory_hotplug: get rid of is_zone_device_section
  (bnc#1030659).
- mm, memory_hotplug: split up register_one_node (bnc#1030659).
- mm, memory_hotplug: do not associate hotadded memory to zones
  until online (bnc#1030659).
- mm, memory_hotplug: fix the section mismatch warning
  (bnc#1030659).
- mm, memory_hotplug: remove unused cruft after memory hotplug
  rework (bnc#1030659).
- Refresh
  patches.drivers/0018-mm-introduce-find_dev_pagemap.patch.
- Refresh
  patches.drivers/0019-x86-mm-introduce-vmem_altmap-to-augment-vmemmap_populate.patch.
- Refresh
  patches.drivers/0112-devm_memremap_pages-fix-vmem_altmap-lifetime-alignment-handling.patch.
- commit 865688f
* Mon Apr 10 2017 tbogendoerfer@suse.de
- qed: Enable iSCSI Out-of-Order (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702).
- qed: Correct out-of-bound access in OOO history (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702).
- qed: Fix interrupt flags on Rx LL2 (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702).
- qed: Free previous connections when releasing iSCSI (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702).
- qed: Fix mapping leak on LL2 rx flow (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702).
- qed: Prevent creation of too-big u32-chains (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702).
- qed: Align CIDs according to DORQ requirement (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702).
- qed: Fix copy of uninitialized memory (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702).
- qed*: Add support for QL41xxx adapters (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702).
- qed*: Utilize Firmware 8.15.3.0 (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702).
- commit 30e9165
* Mon Apr 10 2017 tbogendoerfer@suse.de
- debugfs: improve DEFINE_DEBUGFS_ATTRIBUTE for !CONFIG_DEBUG_FS
  (FATE#321231 FATE#321473).
- blacklist.conf:
  df4565f9ebdc kernel/kcov.c is not part of SLE12-SP3 kernel
- staging/android: sync_debug: unproxify debugfs files' fops
  (FATE#321231 FATE#321473).
- debugfs: add support for self-protecting attribute file fops
  (FATE#321231 FATE#321473).
- debugfs: open_proxy_open(): avoid double fops release
  (FATE#321231 FATE#321473).
- debugfs: full_proxy_open(): free proxy on ->open() failure
  (FATE#321231 FATE#321473).
- commit 860645e
* Mon Apr 10 2017 msuchanek@suse.de
- net: ibmvnic: Remove unused net_stats member from struct
  ibmvnic_adapter (fate#322021, bsc#1031512).
- ibmvnic: Correct ibmvnic handling of device open/close
  (fate#322021, bsc#1031512).
- commit 883daad
* Mon Apr 10 2017 msuchanek@suse.de
- ibmvnic: Move ibmvnic adapter intialization to its own routine
  (fate#322021, bsc#1031512).
- ibmvnic: Move login to its own routine (fate#322021,
  bsc#1031512).
- commit ec96e6a
* Mon Apr 10 2017 msuchanek@suse.de
- ibmvnic: Move login and queue negotiation into ibmvnic_open
  (fate#322021, bsc#1031512).
- ibmvnic: Free tx/rx scrq pointer array when releasing sub-crqs
  (fate#322021, bsc#1031512).
- commit d29b7e1
* Mon Apr 10 2017 msuchanek@suse.de
- ibmvnic: Allocate number of rx/tx buffers agreed on by firmware
  (fate#322021, bsc#1031512).
- commit 775e9e3
* Mon Apr 10 2017 msuchanek@suse.de
- ibmvnic: Fix overflowing firmware/hardware TX queue
  (fate#322021, bsc#1031512).
- ibmvnic: Make CRQ interrupt tasklet wait for all capabilities
  crqs (fate#322021, bsc#1031512).
- commit 6b13cfd
* Mon Apr 10 2017 msuchanek@suse.de
- ibmvnic: Use common counter for capabilities checks
  (fate#322021, bsc#1031512).
- ibmvnic: Handle processing of CRQ messages in a tasklet
  (fate#322021, bsc#1031512).
- commit 537fa06
* Mon Apr 10 2017 msuchanek@suse.de
- ibmvnic: Fix endian errors in error reporting output
  (fate#322021, bsc#1031512).
- commit 47c1540
* Mon Apr 10 2017 msuchanek@suse.de
- ibmvnic: Fix endian error when requesting device capabilities
  (fate#322021, bsc#1031512).
- ibmvnic: Call napi_disable instead of napi_enable in failure
  path (fate#322021, bsc#1031512).
- commit 65886d1
* Mon Apr 10 2017 msuchanek@suse.de
- ibmvnic: Initialize completion variables before starting work
  (fate#322021, bsc#1031512).
- commit ab0e3e0
* Mon Apr 10 2017 jslaby@suse.cz
- Linux 4.4.60 (CVE-2017-7187 bnc#1012382 bsc#1030213
  bsc#1028819).
- Refresh
  patches.drivers/0001-blk-mq-add-a-flags-parameter-to-blk_mq_alloc_request.patch.
- Refresh
  patches.drivers/mpt3sas-Never-block-the-Enclosure-device.patch.
- Refresh
  patches.fixes/0003-RAID1-a-new-I-O-barrier-implementation-to-remove-res.patch.
- Delete
  patches.fixes/0003-acpi-don-t-create-a-platform_device-for-ioapic-ioxapic.
- Delete
  patches.fixes/scsi-sg-check-length-passed-to-sg_next_cmd_len.patch.
- commit 8fc9be0
* Mon Apr 10 2017 mgalbraith@suse.de
- Fix blacklisting of 0c313cb20732
- commit 6a39396
* Mon Apr 10 2017 neilb@suse.com
- sysfs: be careful of error returns from ops->show()
  (bsc#1028883).
- commit 0190a1f
* Sat Apr  8 2017 mmarek@suse.cz
- blacklist.conf: Split SP2 and SP3 entries to ease merging
- commit 679dfd0
* Sat Apr  8 2017 colyli@suse.de
- Delete patches.suse/0089-sched-core-Remove-set_task_state.patch,
  this patch does no real effect, and many important developers suggest
  to drop it from SLE12-SP3.
- commit 42a319b
* Fri Apr  7 2017 mbrugger@suse.com
- clk: mvebu: adjust clock handling for the CP110 system
  controller (bsc#1032150).
- commit c0d58a0
* Fri Apr  7 2017 mbrugger@suse.com
- serial: 8250_dw: Avoid "too much work" from bogus rx timeout
  interrupt (bsc#1032150).
- serial: 8250_dw: fix wrong logic in dw8250_check_lcr()
  (bsc#1032150).
- serial: 8250_dw: remove leftover definitions (bsc#1032150).
- serial: 8250_dw: remove redundant 'else' keyword (bsc#1032150).
- serial: 8250_dw: Do not use readl/writel before checking port
  iotype (bsc#1032150).
- serial: 8250_dw: Add support for big-endian MMIO accesses
  (bsc#1032150).
- serial: 8250_dw: Avoid serial_outx code duplicate with new
  dw8250_check_lcr() (bsc#1032150).
- commit dd42600
* Fri Apr  7 2017 tbogendoerfer@suse.de
- RDMA: Don't reference kernel private header from UAPI header
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- blacklist.conf:
  9d262d95114c sparc32: Export vac_cache_size to fix build error
  Only valid for sparc32 builds, which we don't
  d3ea54785385 rdma: fix buggy code that the compiler warns about
  Already part of
  patches.drivers/ib-rdmavt-add-completion-queue-functions.patch
- commit 13c80bc
* Fri Apr  7 2017 tbogendoerfer@suse.de
- IB/qib: fix false-postive maybe-uninitialized warning
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/device: Convert ib-comp-wq to be CPU-bound (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/cq: Don't process more than the given budget (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/rxe: increment msn only when completing a request
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/rxe: Update documentation link (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/rxe: double free on error (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- infiniband: Fix alignment of mmap cookies to support VIPT
  caching (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/core: Protect against self-requeue of a cq work item
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/core: Add support for draining IB_POLL_DIRECT completion
  queues (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/hfi1: use size_t for passing array length (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/hfi1: Code reuse with memdup_copy (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/hfi1, qib, rdmavt: Move AETH defines to rdma/ib_hdrs.h
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/hfi1: Add rvt_rnr_tbl_to_usec function (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/hfi1: Do not set physical link state if DC is in the shutdown
  state (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/hfi1: Modify logging frequency of DCC errors (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/rdmavt, IB/hfi1, IB/qib: Correct ack count for passive
  (RTR) QPs (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/qib: Updates to use rdmavt's SGE helper routines (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/hfi1, rdmavt: Move SGE state helper routines into rdmavt
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/hfi1, rdmavt: Update copy_sge to use boolean arguments
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/qib: Use new rdmavt timers (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/hfi1: Use new rdmavt timers (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/rdmavt: Adding timer logic to rdmavt (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/hfi1, qib, rdmavt: Move AETH credit functions into rdmavt
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/hfi1, qib, rdmavt: Move two IB event functions into rdmavt
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/hfi1: Check upper-case EFI variables (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/hfi1: Reduce oversized fields in struct hfi1_packet
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/hfi1: Add additional fields to qp_stats (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/hfi1: Allocate context data on memory node (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/rdmavt: Use per-CPU reference count for MRs (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/hfi1: Access hfi1_ibport through rcd pointer (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/hfi1: Correct error calldown locking (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/hfi1: Use static CTLE with Preset 6 for integrated HFIs
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/hfi1: Ensure read of producer s_head is correct (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/hfi1: Process qp wait list in IRQ thread periodically
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/hfi1: Correct defered count after processing qp_wait_list
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/rxe: use setup_timer to simplify the code (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/cma: Destination and source addr families must match
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/cma: Add default RoCE TOS to CMA configfs (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/umem: Indicate that process is being terminated (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/umem: Update on demand page (ODP) support (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/core: Add implicit MR flag (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/uverbs: Enable QP creation with cvlan offload (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/uverbs: Enable WQ creation and modification with cvlan
  offload (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/uverbs: Expose vlan offloads capabilities (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/core: Add scatter FCS flag to use in WQ creation (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/core: Enable QP creation with cvlan offload (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/core: Enable WQ creation and modification with cvlan offload
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/core: Expose vlan offloads capabilities (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/uverbs: Add support for flow tag (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/core: Introduce flow tag specification (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/rxe: Fix resid update (FATE#321231 FATE#321473 FATE#322153
  FATE#322149).
- IB/core: Add inline function to validate port (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/cma: Fix reversed test (FATE#321231 FATE#321473 FATE#322153
  FATE#322149).
- IB/qib: Remove empty function (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- RDMA/core: create struct ib_port_cache (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/cma: Allow port reuse for rdma_id (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/cma: Add debug messages to error flows (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/mad: Add port_num to error message (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/core: Fix typo in comment (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/core: Initialize ib_device.dev.parent earlier (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/qib: Remove DMA mapping code (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/hf1: Remove DMA mapping code (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/core: Change the type of an ib_dma_alloc_coherent() argument
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/core: Remove ib_dma_*map_single_attrs() (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- RDMA/cma: use cached port state when bind loopback (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- RDMA/cma: resolve to first active ib port (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- RDMA/core: export ib_get_cached_port_state (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- RDMA/core: add port state cache (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- RDMA/qib: use rb_entry() (FATE#321231 FATE#321473 FATE#322153
  FATE#322149).
- RDMA/hfi1: drop pci_link_reset() (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/rxe: Fix an skb leak (FATE#321231 FATE#321473 FATE#322153
  FATE#322149).
- IB/rxe: Remove a pointless indirection layer (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/rxe: Fix reference leaks in memory key invalidation code
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/rxe: Fix a MR reference leak in check_rkey() (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/rxe: Generate a completion for all failed work requests
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/rxe: Introduce functions for queue draining (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/rxe: Add a runtime check in alloc_index() (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/rxe: Issue warnings once (FATE#321231 FATE#321473 FATE#322153
  FATE#322149).
- IB/rxe: Let the compiler check the type of the cleanup functions
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/rxe: Enable type checking on SKB_TO_PKT() and PKT_TO_SKB()
  arguments (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/rxe: Remove superfluous casts (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/rxe: Remove an unused variable and an unused argument
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/rxe: Remove an unused function (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/rxe: Constify the pool name (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/rxe: Suppress sparse warnings (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/core: fix unmap_sg argument (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/core: Issue DREQ when receiving REQ/REP for stale QP
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/rdmavt: Avoid queuing work into a destroyed cq kthread worker
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- rdma_cm: add rdma_consumer_reject_data helper function
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- rdma_cm: add rdma_is_consumer_reject() helper function
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- rdma_cm: add rdma_reject_msg() helper function (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/uverbs: Extend modify_qp and support packet pacing
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/core: Support rate limit for packet pacing (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/core: Change ib_resolve_eth_dmac to use it in create AH
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/core: Introduce inner flow steering (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/core: Align structure ib_flow_spec_type (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/core: Add flow spec tunneling support (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/core: Remove debug prints after allocation failure
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/mad: Remove debug prints after allocation failure
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/core: Save QP in ib_flow structure (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/core: Add missing check for addr_resolve callback return
  value (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/core: Set routable RoCE gid type for ipv4/ipv6 networks
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/rdmvat: Organize hot path calldowns into a single cacheline
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- infiniband: shut up a maybe-uninitialized warning (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/core: Improve ib_map_mr_sg() documentation (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/iwcm: Remove deprecated create_singlethread_workqueue
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/addr: Remove deprecated create_singlethread_workqueue
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/cma: Remove deprecated create_singlethread_workqueue
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/ucma: Remove deprecated create_singlethread_workqueue
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/multicast: Remove deprecated create_singlethread_workqueue
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/mad: Remove deprecated create_singlethread_workqueue
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/sa : Remove deprecated create_singlethread_workqueue
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/core: Add more fields to IPv6 flow specification (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/uverbs: Add more fields to IPv4 flow specification
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/uverbs: Add support to extend flow steering specifications
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/uverbs: Expose RSS related capabilities (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/core: Expose RSS related capabilities (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/core: Use memdup_user() rather than duplicating its
  implementation (FATE#321231 FATE#321473 FATE#322153
  FATE#322149).
- IB/core: Support for CMA multicast join flags (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/sa: Add cached attribute containing SM information to SA port
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- Use smaller 512 byte messages for portmapper messages
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- iw_cm: free cm_id resources on the last deref (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/core: Add flow control to the portmapper netlink calls
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/core, RDMA RW API: Do not exceed QP SGE send limit
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/core: Make rdma_rw_ctx_init() initialize all used fields
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB core: Add port_xmit_wait counter (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/core: Export a common fw_ver sysfs entry (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/core: Add IPv6 support to flow steering (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/uverbs: Extend create QP to get RWQ indirection table
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/core: Extend create QP to get indirection table (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/uverbs: Introduce RWQ Indirection table (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/core: Introduce Receive Work Queue indirection table
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/uverbs: Add WQ support (FATE#321231 FATE#321473 FATE#322153
  FATE#322149).
- IB/core: Introduce Work Queue object and its verbs (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/uverbs: Initialize ib_qp_init_attr with zeros (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/cma: Make the code easier to verify (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/core: Make all casts in ib_device_cap_flags enum consistent
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/core: Initialize sysfs attributes before sysfs create group
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/core: fix error unwind in sysfs hw counters code (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/core: Fix array length allocation (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/mad: Fix indentation (FATE#321231 FATE#321473 FATE#322153
  FATE#322149).
- RDMA/core: Fix indentation (FATE#321231 FATE#321473 FATE#322153
  FATE#322149).
- IB/core: fix null pointer deref and mem leak in error handling
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/core: fix an error code in ib_core_init() (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/core: Register SA ibnl client during ib_core initialization
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/SA: Integrate ib_sa module into ib_core module (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/MAD: Integrate ib_mad module into ib_core module (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/core: Integrate IB address resolution module into core
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/core: Do not require CAP_NET_ADMIN for packet sniffing
  (FATE#321231 FATE#321473 FATE#322153 FATE#322149).
- IB/core: Add Scatter FCS create flag (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- IB/core: Add Raw Scatter FCS device capability (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/core: Add extended device capability flags (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- IB/core: Remove unnecessary check in ibnl_rcv_msg (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- iwcm: Fix a sparse warning (FATE#321231 FATE#321473 FATE#322153
  FATE#322149).
- IB/rdmavt: Fix adaptive pio hang (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- iwpm: crash fix for large connections test (FATE#321231
  FATE#321473 FATE#322153 FATE#322149).
- net: rdma: use __ethtool_get_ksettings (FATE#321231 FATE#321473
  FATE#322153 FATE#322149).
- commit 24af445
* Fri Apr  7 2017 jthumshirn@suse.de
- nvme: Delete created IO queues on reset (bsc#1031717).
- commit 053abb0
* Fri Apr  7 2017 jthumshirn@suse.de
- blacklist.conf: Add ed10858 ("scsi: smartpqi: fix time handling") to blacklist
- commit 6e326b6
* Fri Apr  7 2017 jthumshirn@suse.de
- Refresh: patches.drivers/ses-Fix-SAS-device-detection-in-enclosure.patch, add
  mainline commit ID
- commit 2bbfd19
* Fri Apr  7 2017 dchang@suse.com
- fm10k: remove FM10K_FLAG_DEBUG_STATS (bsc#1024375 FATE#321248).
- fm10k: report the receive timestamp in FM10K_CB(skb)->tstamp
  (bsc#1024375 FATE#321248).
- fm10k: Limit dma sync of RX buffers to actual packet size
  (bsc#1024375 FATE#321248).
- fm10k: bump version number (bsc#1024375 FATE#321248).
- fm10k: do not clear global mailbox interrupt bits (bsc#1024375
  FATE#321248).
- fm10k: request reset when mbx->state changes (bsc#1024375
  FATE#321248).
- fm10k: remove extraneous variable definition in fm10k_ethtool.c
  (bsc#1024375 FATE#321248).
- fm10k-shared: use mac-> instead of hw->mac (bsc#1024375
  FATE#321248).
- fm10k: wrap long line for alloc_workqueue (bsc#1024375
  FATE#321248).
- fm10k: use generic ethtool_op_get_ts_info callback (bsc#1024375
  FATE#321248).
- fm10k: don't re-map queues when a mailbox message suffices
  (bsc#1024375 FATE#321248).
- fm10k: don't clear the RXQCTL register when enabling or
  disabling queues (bsc#1024375 FATE#321248).
- fm10k: remove unnecessary extra parenthesis around ((~value))
  (bsc#1024375 FATE#321248).
- fm10k: don't try to stop queues if we've lost hw_addr
  (bsc#1024375 FATE#321248).
- fm10k: don't continue probe if PCI device not in normal IO state
  (bsc#1024375 FATE#321248).
- fm10k: print error code when pci_enable_device_mem fails during
  probe (bsc#1024375 FATE#321248).
- fm10k: NAPI polling routine must return actual work done
  (bsc#1024375 FATE#321248).
- fm10k: prefer READ_ONCE instead of ACCESS_ONCE (bsc#1024375
  FATE#321248).
- fm10k: remove fm10k_get_reta_size from namespace (bsc#1024375
  FATE#321248).
- fm10k: use variadic form of alloc_workqueue (bsc#1024375
  FATE#321248).
- fm10k: use software values when checking for Tx hangs in hot
  path (bsc#1024375 FATE#321248).
- fm10k: fix PCI device enable_cnt leak in .io_slot_reset
  (bsc#1024375 FATE#321248).
- fm10k: bump version number (bsc#1024375 FATE#321248).
- fm10k: return proper error code when pci_enable_msix_range fails
  (bsc#1024375 FATE#321248).
- fm10k: force link to remain down for at least a second on
  resume events (bsc#1024375 FATE#321248).
- fm10k: implement request_lport_map pointer (bsc#1024375
  FATE#321248).
- fm10k: check if PCIe link is restored (bsc#1024375 FATE#321248).
- fm10k: enable bus master after every reset (bsc#1024375
  FATE#321248).
- fm10k: use common flow for suspend and resume (bsc#1024375
  FATE#321248).
- fm10k: implement reset_notify handler for PCIe FLR events
  (bsc#1024375 FATE#321248).
- fm10k: use common reset flow when handling io errors from PCI
  stack (bsc#1024375 FATE#321248).
- fm10k: implement prepare_suspend and handle_resume (bsc#1024375
  FATE#321248).
- fm10k: split fm10k_reinit into two functions (bsc#1024375
  FATE#321248).
- fm10k: wait for queues to drain if stop_hw() fails once
  (bsc#1024375 FATE#321248).
- fm10k: only warn when stop_hw fails with
  FM10K_ERR_REQUESTS_PENDING (bsc#1024375 FATE#321248).
- fm10k: use actual hardware registers when checking for pending
  Tx (bsc#1024375 FATE#321248).
- fm10k: perform data path reset even when switch is not ready
  (bsc#1024375 FATE#321248).
- fm10k: don't stop reset due to FM10K_ERR_REQUESTS_PENDING
  (bsc#1024375 FATE#321248).
- fm10k: Reset mailbox global interrupts (bsc#1024375
  FATE#321248).
- fm10k: prevent multiple threads updating statistics (bsc#1024375
  FATE#321248).
- fm10k: avoid possible null pointer dereference in
  fm10k_update_stats (bsc#1024375 FATE#321248).
- fm10k: no need to continue in fm10k_down if __FM10K_DOWN
  already set (bsc#1024375 FATE#321248).
- fm10k: Remove create_workqueue (bsc#1024375 FATE#321248).
- fm10k: fix incorrect index calculation in fm10k_write_reta
  (bsc#1024375 FATE#321248).
- fm10k: Align Rx buffers to 512B blocks (bsc#1024375
  FATE#321248).
- fm10k: don't use BIT() macro where the value isn't a bitmask
  (bsc#1024375 FATE#321248).
- fm10k: protect fm10k_open in fm10k_io_resume with rtnl_lock
  (bsc#1024375 FATE#321248).
- fm10k: fix incorrect IPv6 extended header checksum (bsc#1024375
  FATE#321248).
- fm10k: consistently use Intel(R) for driver names (bsc#1024375
  FATE#321248).
- fm10k: fix possible null pointer deref after kcalloc
  (bsc#1024375 FATE#321248).
- fm10k: Reset multicast mode when deleting lport (bsc#1024375
  FATE#321248).
- fm10k: update comment regarding reserved bits check (bsc#1024375
  FATE#321248).
- fm10k: use different name than FM10K_VLAN_CLEAR for override
  bit (bsc#1024375 FATE#321248).
- fm10k: use 8bit notation instead of 10bit notation for diagram
  (bsc#1024375 FATE#321248).
- fm10k: fix documentation of fm10k_tlv_parse_attr (bsc#1024375
  FATE#321248).
- fm10k: do not disable PCI device in fm10k_io_error_detected
  (bsc#1024375 FATE#321248).
- fm10k: correctly handle LPORT_MAP error (bsc#1024375
  FATE#321248).
- fm10k: Fix multicast mode sync issues (bsc#1024375 FATE#321248).
- fm10k: drop 1588 support (bsc#1024375 FATE#321248).
- fm10k: prevent RCU issues during AER events (bsc#1024375
  FATE#321248).
- fm10k: use DRV_SUMMARY to reduce code duplication (bsc#1024375
  FATE#321248).
- fm10k: Add support for bulk Tx cleanup & cleanup boolean logic
  (bsc#1024375 FATE#321248).
- fm10k: remove debug-statistics support (bsc#1024375
  FATE#321248).
- fm10k: add helper functions to set strings and data for ethtool
  stats (bsc#1024375 FATE#321248).
- fm10k: use ethtool_rxfh_indir_default for default redirection
  table (bsc#1024375 FATE#321248).
- fm10k: fix a minor typo in some comments (bsc#1024375
  FATE#321248).
- fm10k: correctly clean up when init_queueing_scheme fails
  (bsc#1024375 FATE#321248).
- fm10k: prevent possibly uninitialized variable (bsc#1024375
  FATE#321248).
- fm10k: add helper functions to set strings and data for ethtool
  stats (bsc#1024375 FATE#321248).
- fm10k: free MBX IRQ before clearing interrupt scheme
  (bsc#1024375 FATE#321248).
- fm10k: print error message when stop_hw fails (bsc#1024375
  FATE#321248).
- fm10k: base queue scheme covered by RSS (bsc#1024375
  FATE#321248).
- fm10k: don't initialize service task until later in probe
  (bsc#1024375 FATE#321248).
- fm10k: prevent null pointer dereference of msix_entries table
  (bsc#1024375 FATE#321248).
- fm10k: use ether_addr_copy to copy MAC address (bsc#1024375
  FATE#321248).
- fm10k: cleanup SPACE_BEFORE_TAB checkpatch warning (bsc#1024375
  FATE#321248).
- fm10k: demote BUG_ON() to WARN_ON() where appropriate
  (bsc#1024375 FATE#321248).
- fm10k: cleanup remaining right-bit-shifted 1 (bsc#1024375
  FATE#321248).
- fm10k: Move constants to the right of binary operators
  (bsc#1024375 FATE#321248).
- commit 0508fc2
* Fri Apr  7 2017 mmarek@suse.com
- Update vanilla configs (restore CONFIG_DM_DEBUG_BLOCK_STACK_TRACING=n)
- commit 2aa0152
* Fri Apr  7 2017 lduncan@suse.com
- iscsi-target: Return error if unable to add network portal
  (bsc#1032803).
- sbp-target: Fix second argument of percpu_ida_alloc()
  (bsc#1032803).
- commit bedf3ef
* Thu Apr  6 2017 mbrugger@suse.com
- x86: boot: rename reserve_bios_regions (bsc#1031345).
- Delete
  patches.arch/qcom-0019-x86-rtc-Replace-paravirt-rtc-check-with-platform-leg.patch.
- Delete
  patches.arch/qcom-0020-x86-init-Use-a-platform-legacy-quirk-for-EBDA.patch.
- Delete
  patches.arch/qcom-0021-x86-init-Rename-EBDA-code-file.patch.
- Delete
  patches.arch/qcom-0029-x86-boot-Reorganize-and-clean-up-the-BIOS-area-reser.patch.
- commit 30d51ff
* Thu Apr  6 2017 colyli@suse.de
- MIPS: sysmips: Remove duplicated include from syscall.c
  (FATE#321488).
- md/r5cache: Check array size in r5l_init_log (FATE#321488).
- md/r5cache: move some code to raid5.h (FATE#321488).
- md/r5cache: State machine for raid5-cache write back mode
  (FATE#321488).
- md/r5cache: caching phase of r5cache (FATE#321488).
- md/r5cache: write-out phase and reclaim support (FATE#321488).
- md/r5cache: sysfs entry journal_mode (FATE#321488).
- md/r5cache: handle FLUSH and FUA (FATE#321488).
- md/r5cache: disable write back for degraded array (FATE#321488).
- md/r5cache: refactoring journal recovery code (FATE#321488).
- md/r5cache: r5cache recovery: part 1 (FATE#321488).
- md/r5cache: r5cache recovery: part 2 (FATE#321488).
- raid5-cache: suspend reclaim thread instead of shutdown
  (FATE#321488).
- md: stop write should stop journal reclaim (FATE#321488).
- md/r5cache: handle alloc_page failure (FATE#321488).
- md/r5cache: enable IRQs on error path (FATE#321488).
- raid5-cache: add another check conditon before replaying one
  stripe (FATE#321488).
- raid5-cache: don't set STRIPE_R5C_PARTIAL_STRIPE flag while
  load stripe into cache (FATE#321488).
- md/raid5-cache: remove unnecessary function parameters
  (FATE#321488).
- md/raid5-cache: use ring add to prevent overflow (FATE#321488).
- md/raid5-cache: release the stripe_head at the appropriate
  location (FATE#321488).
- md/raid5-cache: remove the unnecessary next_cp_seq field from
  the r5l_log (FATE#321488).
- md/raid5-cache: do not need to set STRIPE_PREREAD_ACTIVE
  repeatedly (FATE#321488).
- md/r5cache: run_no_space_stripes() when R5C_LOG_CRITICAL ==
  0 (FATE#321488).
- md/raid5-cache: adjust the write position of the empty block
  if no data blocks (FATE#321488).
- md/r5cache: do r5c_update_log_state after log recovery
  (FATE#321488).
- md/raid5-cache: no recovery is required when create super-block
  (FATE#321488).
- md/raid5-cache: fix crc in rewrite_data_only_stripes()
  (FATE#321488).
- md/r5cache: after recovery, increase journal seq by 10000
  (FATE#321488).
- md/raid5-cache: removes unnecessary write-through mode judgments
  (FATE#321488).
- md/r5cache: simplify handling of sh->log_start in recovery
  (FATE#321488).
- md/r5cache: assign conf->log before r5l_load_log()
  (FATE#321488).
- md/r5cache: fix spelling mistake on "recoverying" (FATE#321488).
- md/raid5-cache: delete meaningless code (FATE#321488).
- md/r5cache: read data into orig_page for prexor of cached data
  (FATE#321488).
- md/raid5: move comment of fetch_block to right location
  (FATE#321488).
- md/r5cache: flush data only stripes in r5l_recovery_log()
  (FATE#321488).
- md/r5cache: shift complex rmw from read path to write path
  (FATE#321488).
- md/r5cache: enable chunk_aligned_read with write back cache
  (FATE#321488).
- md/r5cache: improve journal device efficiency (FATE#321488).
- md/raid5-cache: stripe reclaim only counts valid stripes
  (FATE#321488).
- md/raid5-cache: exclude reclaiming stripes in reclaim check
  (FATE#321488).
- md: disable WRITE SAME if it fails in underlayer disks
  (FATE#321488).
- bcache: Remove deprecated create_workqueue (FATE#321488).
- md: fail if mddev->bio_set can't be created (FATE#321488).
- bcache: Remove redundant parameter for cache_alloc()
  (FATE#321488).
- bcache: update document info (FATE#321488).
- bcache: Remove redundant block_size assignment (FATE#321488).
- bcache: register_bcache(): call blkdev_put() when cache_alloc()
  fails (FATE#321488).
- bcache: pr_err: more meaningful error message when nr_stripes
  is invalid (FATE#321488).
- dm block manager: make block locking optional (FATE#321488).
- dm rq: fix a race condition in rq_completed() (FATE#321488).
- dm rq: replace 'bio->bi_vcnt == 1' with !bio_multiple_segments
  (FATE#321488).
- dm io: use bvec iterator helpers to implement .get_page and
  .next_page (FATE#321488).
- dm crypt: use bio_add_page() (FATE#321488).
- dm crypt: rename crypt_setkey_allcpus to crypt_setkey
  (FATE#321488).
- dm verity: fix incorrect error message (FATE#321488).
- dm cache metadata: remove an extra newline in DMERR and code
  (FATE#321488).
- dm cache: add missing cache device name to DMERR in
  set_cache_mode() (FATE#321488).
- dm raid: correct error messages on old metadata validation
  (FATE#321488).
- dm crypt: constify crypt_iv_operations structures (FATE#321488).
- dm mpath: add m->hw_handler_name NULL pointer check in
  parse_hw_handler() (FATE#321488).
- dm mpath: add checks for priority group count to avoid invalid
  memory access (FATE#321488).
- dm mpath: change return type of pg_init_all_paths() from int
  to void (FATE#321488).
- dm mpath: do not modify *__clone if blk_mq_alloc_request()
  fails (FATE#321488).
- dm table: simplify dm_table_determine_type() (FATE#321488).
- dm bufio: avoid sleeping while holding the dm_bufio lock
  (FATE#321488).
- dm bufio: don't take the lock in dm_bufio_shrink_count
  (FATE#321488).
- dm bufio: drop the lock when doing GFP_NOIO allocation
  (FATE#321488).
- dm: use blk_set_queue_dying() in __dm_destroy() (FATE#321488).
- dm rq: simplify use_blk_mq initialization (FATE#321488).
- dm ioctl: use offsetof() instead of open-coding it
  (FATE#321488).
- dm array: remove a dead assignment in
  populate_ablock_with_values() (FATE#321488).
- dm crypt: add ability to use keys from the kernel key retention
  service (FATE#321488).
- dm mpath: use hw_handler_params if attached hw_handler is same
  as requested (FATE#321488).
- dm raid: don't allow "write behind" with raid4/5/6
  (FATE#321488).
- dm space map metadata: skip useless memcpy in
  metadata_ll_init_index() (FATE#321488).
- dm space map: always set ev if sm_ll_mutate() succeeds
  (FATE#321488).
- dm crypt: reject key strings containing whitespace chars
  (FATE#321488).
- md: takeover should clear unrelated bits (FATE#321488).
- md: separate flags for superblock changes (FATE#321488).
- dm flakey: introduce "error_writes" feature (FATE#321488).
- Replace <asm/uaccess.h> with <linux/uaccess.h> globally
  (FATE#321488).
- md/raid10: Refactor raid10_make_request (FATE#321488).
- md: cleanup mddev flag clear for takeover (FATE#321488).
- md/raid5: Use correct IS_ERR() variation on pointer check
  (FATE#321488).
- dm raid: fix transient device failure processing (FATE#321488).
- dm raid: be prepared to accept arbitrary '- -' tuples
  (FATE#321488).
- Documentation: dm raid: define data_offset status field
  (FATE#321488).
- dm raid: add raid4/5/6 journaling support (FATE#321488).
- dm raid: use read_disk_sb() throughout (FATE#321488).
- dm raid: use mddev rather than rdev->mddev (FATE#321488).
- dm raid: cleanup awkward branching in raid_message() option
  processing (FATE#321488).
- block: add a op_is_flush helper (FATE#321488).
- md: cleanup bio op / flags handling in raid1_write_request
  (FATE#321488).
- block: simplify blk_init_allocated_queue (FATE#321488).
- dm: remove incomplete BLOCK_PC support (FATE#321488).
- dm mpath: cleanup -Wbool-operation warning in choose_pgpath()
  (FATE#321488).
- dm rq: cope with DM device destruction while in
  dm_old_request_fn() (FATE#321488).
- dm crypt: replace RCU read-side section with rwsem
  (FATE#321488).
- dm: don't allow ioctls to targets that don't map to whole
  devices (FATE#321488).
- raid5: only dispatch IO from raid5d for harddisk raid
  (FATE#321488).
- dm raid: fix raid "check" regression due to improper cleanup
  in raid_message() (FATE#321488).
- sched/core: Remove set_task_state() (FATE#321488).
- Update config files.
- Refresh patches.arch/0021-arm64-KVM-Turn-system-register-numbers-to-an-enum.patch.
- Refresh patches.arch/0078-extable-add-support-for-relative-extables-to-search-.patch.
- Refresh patches.arch/0115-ARM-KVM-Turn-CP15-defines-to-an-enum.patch.
- Refresh patches.drivers/0130-block-drivers-fs-rename-REQ_FLUSH-to-REQ_PREFLUSH.patch.
- Refresh patches.drivers/0175-block-rename-bio-bi_rw-to-bi_opf.patch.
- Refresh patches.drivers/0258-block-fs-use-REQ_-flags-directly.patch.
- Refresh patches.fixes/0001-md-ensure-md-devices-are-freed-before-module-is-unlo.patch.
- Refresh patches.fixes/dm-mpath-eliminate-use-of-spinlock-in-IO-fast-paths.patch.
- Refresh patches.fixes/dm-mpath-move-trigger_event-member-to-the-end-of-str.patch.
- Refresh patches.fixes/dm-mpath-switch-to-using-bitops-for-state-flags.patch.
- Refresh patches.fixes/dm-mpath-use-atomic_t-for-counting-members-of-struct.patch.
- Refresh patches.suse/0001-PM-hibernate-Fix-2G-size-issue-of-snapshot-image-ver.patch.
- Refresh patches.suse/0003-PCI-Lock-down-BAR-access-when-securelevel-is-enabled.patch.
- Refresh patches.suse/0003-raid5-ppl-Partial-Parity-Log-write-logging-implement.patch.
- Refresh patches.suse/0005-raid5-ppl-load-and-recover-the-log.patch.
- Refresh patches.suse/0007-acpi-Ignore-acpi_rsdp-kernel-parameter-when-securele.patch.
- Refresh patches.suse/0007-raid5-ppl-runtime-PPL-enabling-or-disabling.patch.
- Refresh patches.suse/0009-uswsusp-Disable-when-securelevel-is-set.patch.
- Refresh patches.suse/0012-md-cluster-change-resync-lock-from-asynchronous-to-s.patch.
- Refresh patches.suse/0014-PM-hibernate-Allow-user-trigger-hibernation-key-re-g.patch.
- Refresh patches.suse/0014-md-cluster-wake-up-thread-to-continue-recovery.patch.
- Refresh patches.suse/0015-PM-hibernate-Bypass-verification-logic-on-legacy-BIO.patch.
- Refresh patches.suse/0015-md-cluster-unregister-thread-if-err-happened.patch.
- Refresh patches.suse/0016-md-cluster-fix-locking-when-node-joins-cluster-durin.patch.
- Refresh patches.suse/0020-md-cluster-always-setup-in-memory-bitmap.patch.
- Refresh patches.suse/0021-md-cluster-sync-bitmap-when-node-received-RESYNCING-.patch.
- Refresh patches.suse/0022-md-cluster-bitmap-fix-wrong-calcuation-of-offset.patch.
- Refresh patches.suse/0023-md-cluster-bitmap-fix-wrong-page-num-in-bitmap_file_.patch.
- Refresh patches.suse/0024-md-cluster-bitmap-unplug-bitmap-to-sync-dirty-pages-.patch.
- Refresh patches.suse/kgr-0008-mark-task_safe-in-some-kthreads.patch.
- Refresh patches.suse/stack-unwind.patch.
- commit 71bb629
* Thu Apr  6 2017 lpechacek@suse.com
- supported.conf: Bugzilla and FATE references for dcdbas and dell_rbu
- commit f0869cc
* Thu Apr  6 2017 yousaf.kaukab@suse.com
- ahci: qoriq: correct the sata ecc setting error (bsc#1032730).
- ahci: qoriq: added ls2088a platforms support (bsc#1032730).
- ahci: qoriq: report error when ecc register address is missing
  in dts (bsc#1032730).
- ahci: qoriq: added a condition to enable dma coherence
  (bsc#1032730).
- commit b54cb6f
* Thu Apr  6 2017 oneukum@suse.com
- HID: usbhid: Quirk a AMI virtual mouse and keyboard with
  ALWAYS_POLL (bsc#1022340).
- commit d6fc111
* Thu Apr  6 2017 mkubecek@suse.cz
- l2tp: hold tunnel socket when handling control frames in
  l2tp_ip and l2tp_ip6 (bsc#1028415).
- commit 284e5ab
* Thu Apr  6 2017 mbrugger@suse.com
- xgene_enet: remove bogus forward declarations (bsc#1032673).
- arm64: hugetlb: fix the wrong return value for
  huge_ptep_set_access_flags (bsc#1032681).
- arm64: hugetlb: fix the wrong address for several functions
  (bsc#1032681).
- arm64: hugetlb: remove the wrong pmd check in find_num_contig()
  (bsc#1032681).
- commit d79329f
* Thu Apr  6 2017 ohering@suse.de
- blacklist.conf: 73667e31a153 x86/hyperv: Hide unused label
- Drivers: hv: util: don't forget to init host_ts.lock
  (bsc#1031206).
- hv_utils: implement Hyper-V PTP source (bsc#1031206).
- hv: export current Hyper-V clocksource (bsc#1031206).
- commit 27b40cd
* Thu Apr  6 2017 mmarek@suse.cz
- arm: Use full path in KBUILD_IMAGE definition (bsc#1010032).
- arm64: Use full path in KBUILD_IMAGE definition (bsc#1010032).
- commit 862ad31
* Thu Apr  6 2017 jthumshirn@suse.de
- acpi, nfit: remove unnecessary newline (FATE#321135).
- acpi, nfit: allow specifying a default DSM family (FATE#321135).
- acpi, nfit: allow override of built-in bitmasks for nvdimm DSMs
  (FATE#321135).
- commit 58845a3
* Thu Apr  6 2017 dchang@suse.com
- i40e: Do not enable NAPI on q_vectors that have no rings
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- atle1: remove LLTX support and TX_UNLOCKED (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- Refresh
  patches.drivers/i40e-i40evf-Clean-up-feature-flags.patch.
- Refresh patches.drivers/net-remove-dev-trans_start.patch.
- commit de9addd
* Wed Apr  5 2017 bpoirier@suse.com
- Refresh
  patches.drivers/treewide-replace-dev-trans_start-update-with-helper.patch.
  Add missing hunks due to renamed files.
- commit 7fca33f
* Wed Apr  5 2017 mwilck@suse.com
- scsi: scsi_dh_alua: Check scsi_device_get() return value
  (bsc#1028985).
- commit 2eb8763
* Wed Apr  5 2017 mwilck@suse.com
- scsi: hpsa: change driver version (bsc#1022600 bsc#1028971
  fate#321928).
- commit 292a44f
* Wed Apr  5 2017 mwilck@suse.com
- scsi: hpsa: update pci ids (bsc#1022600 bsc#1028971
  fate#321928).
- commit 4074d25
* Wed Apr  5 2017 mwilck@suse.com
- scsi: hpsa: fix volume offline state (bsc#1022600 bsc#1028971
  fate#321928).
- commit 9293d55
* Wed Apr  5 2017 mwilck@suse.com
- scsi: hpsa: do not timeout reset operations (bsc#1022600
  bsc#1028971 fate#321928).
- commit 0dfbf10
* Wed Apr  5 2017 mwilck@suse.com
- scsi: hpsa: limit outstanding rescans (bsc#1022600 bsc#1028971
  fate#321928).
- commit cb7c4c3
* Wed Apr  5 2017 pjakobsson@suse.de
- io-mapping: Fixup for different names of writecombine
  (fate#321223).
- uapi: add missing install of sync_file.h (fate#321223).
- blacklist.conf: Blacklist duplicate
- Refresh
  patches.drivers/0003-io-mapping.h-s-PAGE_KERNEL_IO-PAGE_KERNEL.patch.
- commit 07cde15
* Wed Apr  5 2017 lhenriques@suse.com
- cephfs backports from v4.7 to SLE12-SP3
- ceph: Get rid of d_find_alias in ceph_set_acl (FATE#322288).
- ceph: Propagate dentry down to inode_change_ok() (FATE#322288).
- ceph: Switch to generic xattr handlers (FATE#322288).
- ceph: kill __ceph_removexattr() (FATE#322288).
- rbd: get/put img_request in rbd_img_request_submit()
  (FATE#322288).
- libceph: make ceph_osdc_put_request() accept NULL (FATE#322288).
- libceph: grab snapc in ceph_osdc_alloc_request() (FATE#322288).
- libceph: move message allocation out of
  ceph_osdc_alloc_request() (FATE#322288).
- libceph: change how osd_op_reply message size is calculated
  (FATE#322288).
- libceph: variable-sized ceph_object_id (FATE#322288).
- rbd: use header_oid instead of header_name (FATE#322288).
- libceph: nuke unused fields and functions (FATE#322288).
- libceph: open-code remove_{all,old}_osds() (FATE#322288).
- libceph: DEFINE_RB_FUNCS macro (FATE#322288).
- libceph: rename ceph_oloc_oid_to_pg() (FATE#322288).
- libceph: ceph_osds, ceph_pg_to_up_acting_osds() (FATE#322288).
- libceph: rename ceph_calc_pg_primary() (FATE#322288).
- libceph: make pgid_cmp() global (FATE#322288).
- libceph: pi->min_size, pi->last_force_request_resend
  (FATE#322288).
- libceph: introduce ceph_osd_request_target, calc_target()
  (FATE#322288).
- libceph: switch to calc_target(), part 1 (FATE#322288).
- libceph: switch to calc_target(), part 2 (FATE#322288).
- libceph: drop msg argument from ceph_osdc_callback_t
  (FATE#322288).
- libceph: redo callbacks and factor out MOSDOpReply decoding
  (FATE#322288).
- libceph: move schedule_delayed_work() in ceph_osdc_init()
  (FATE#322288).
- libceph: schedule tick from ceph_osdc_init() (FATE#322288).
- libceph: allocate dummy osdmap in ceph_osdc_init()
  (FATE#322288).
- libceph: handle_one_map() (FATE#322288).
- libceph: osd_init() and osd_cleanup() (FATE#322288).
- libceph: allocate ceph_osd with GFP_NOFAIL (FATE#322288).
- libceph: protect osdc->osd_lru list with a spinlock
  (FATE#322288).
- libceph: a major OSD client update (FATE#322288).
- libceph: request_init() and request_release_checks()
  (FATE#322288).
- libceph: wait_request_timeout() (FATE#322288).
- rbd: rbd_dev_header_unwatch_sync() variant (FATE#322288).
- libceph: support for subscribing to "mdsmap.<id>" maps
  (FATE#322288).
- ceph: multiple filesystem support (FATE#322288).
- ceph: CEPH_FEATURE_MDSENC support (FATE#322288).
- ceph: renew caps for read/write if mds session got killed
  (FATE#322288).
- ceph: don't call truncate_pagecache in ceph_writepages_start
  (FATE#322288).
- ceph: don't show symlink target in debugfs/mdsc (FATE#322288).
- ceph: report mount root in session metadata (FATE#322288).
- ceph: use CEPH_MDS_OP_RMXATTR request to remove xattr
  (FATE#322288).
- ceph: search cache postion for dcache readdir (FATE#322288).
- ceph: remove unnecessary checks in __dcache_readdir
  (FATE#322288).
- ceph: simplify 'offset in frag' (FATE#322288).
- ceph: define struct for dir entry in readdir reply
  (FATE#322288).
- ceph: define 'end/complete' in readdir reply as bit flags
  (FATE#322288).
- ceph: record 'offset' for each entry of readdir result
  (FATE#322288).
- ceph: don't forbid marking directory complete after forward seek
  (FATE#322288).
- ceph: using hash value to compose dentry offset (FATE#322288).
- ceph: fix inode reference leak (FATE#322288).
- ceph: don't assume frag tree splits in mds reply are sorted
  (FATE#322288).
- ceph: fix dir_auth check in ceph_fill_dirfrag() (FATE#322288).
- ceph: keep leaf frag when updating fragtree (FATE#322288).
- ceph: improve fragtree change detection (FATE#322288).
- ceph: make logical calculation functions return bool
  (FATE#322288).
- ceph: block non-fatal signals for fault/page_mkwrite
  (FATE#322288).
- ceph: make fault/page_mkwrite return VM_FAULT_OOM for -ENOMEM
  (FATE#322288).
- ceph: handle -EAGAIN returned by ceph_update_writeable_page()
  (FATE#322288).
- libceph: make ceph_osdc_wait_request() uninterruptible
  (FATE#322288).
- ceph: make ceph_update_writeable_page() uninterruptible
  (FATE#322288).
- ceph: handle interrupted ceph_writepage() (FATE#322288).
- ceph: SetPageError() for writeback pages if writepages fails
  (FATE#322288).
- ceph: don't use truncate_pagecache() to invalidate read cache
  (FATE#322288).
- ceph: fix wake_up_session_cb() (FATE#322288).
- libceph: change ceph_osdmap_flag() to take osdc (FATE#322288).
- libceph: put request only if it's done in handle_reply()
  (FATE#322288).
- libceph: use %%s instead of %%pE in dout()s (FATE#322288).
- ceph: call __fscache_uncache_page() if readpages fails
  (FATE#322288).
- ceph: avoid unnecessary fscache invalidation/revlidation
  (FATE#322288).
- ceph: disable fscache when inode is opened for write
  (FATE#322288).
- ceph: improve fscache revalidation (FATE#322288).
- ceph: use i_version to check validity of fscache (FATE#322288).
- ceph: fix d_obtain_alias() misuses (FATE#322288).
- commit c1120a6
* Wed Apr  5 2017 mwilck@suse.com
- scsi: hpsa: update check for logical volume status (bsc#1022600
  bsc#1028971 fate#321928).
- commit 2f1773c
* Wed Apr  5 2017 jthumshirn@suse.de
- libnvdimm: fix SMART Health DSM payload definition
  (FATE#321256).
- commit 0bc019d
* Wed Apr  5 2017 jthumshirn@suse.de
- fs/dax: remove wmb_pmem() (FATE#321390).
- nfit: don't override return value of nfit_mem_init
  (FATE#321390).
- commit a747a0a
* Wed Apr  5 2017 hare@suse.de
- i2c: ismt: Add Intel DNV PCI ID (FATE#321011).
- commit 4eccfee
* Wed Apr  5 2017 jthumshirn@suse.de
- device-dax: fix private mapping restriction, permit read-only
  (bsc#1031717).
- acpi, nfit: fix extended status translations for ACPI DSMs
  (bsc#1031717).
- libnvdimm, pfn: fix memmap reservation size versus 4K alignment
  (bsc#1031717).
- acpi, nfit: fix acpi_nfit_flush_probe() crash (bsc#1031717).
- commit 2331b5f
* Wed Apr  5 2017 mkubecek@suse.cz
- Update patches.fixes/ping-implement-proper-locking.patch references (add CVE-2017-2671).
- commit f35248f
* Wed Apr  5 2017 jroedel@suse.de
- x86/signals: Fix lower/upper bound reporting in compat siginfo
  (fate#321300).
- x86/signals: Add missing signal_compat code for x86 features
  (fate#321300).
- commit 2ae9930
* Wed Apr  5 2017 mhocko@suse.cz
- mm/memblock.c: fix memblock_next_valid_pfn() (bnc#1031200).
- mm: page_alloc: skip over regions of invalid pfns where possible
  (bnc#1031200).
- commit 6543a1f
* Wed Apr  5 2017 yousaf.kaukab@suse.com
- PCI: thunder-pem: Fix legacy firmware PEM-specific resources
  (fate#322326).
- commit 0f51c82
* Wed Apr  5 2017 jthumshirn@suse.de
- scsi: qedf: Fix crash due to unsolicited FIP VLAN response
  (bsc#1019691, FATE#321745).
- commit 3cb3f47
* Wed Apr  5 2017 jthumshirn@suse.de
- blacklist.conf: Blacklist 1afca6b ("scsi: qedf: fixup compilation warning
  about atomic_t usage")
- commit ac9fa47
* Wed Apr  5 2017 jthumshirn@suse.de
- Update config files.
- supported.conf: Add QLogic qedf FCoE HBA to supported modules.
- commit 34c8ccc
* Tue Apr  4 2017 jthumshirn@suse.de
- scsi: qedf: Add QLogic FastLinQ offload FCoE driver framework
  (bsc#1019691, FATE#321745).
- commit 3d6670b
* Tue Apr  4 2017 jthumshirn@suse.de
- series.conf: move misplaced qedi backport
  qedi backport was misplaced in SLE12-SP2 section, move to SLE12-SP3, where it belongs
- commit 8fb1712
* Tue Apr  4 2017 jthumshirn@suse.de
- scsi: qedi: fix build error without DEBUG_FS (bsc#1004527,
  FATE#321744).
- commit 74cc5cd
* Tue Apr  4 2017 mkubecek@suse.cz
- netfilter: allow logging from non-init namespaces (bsc#970083).
- commit 9495c0f
* Tue Apr  4 2017 mkubecek@suse.cz
- bonding: fix 802.3ad aggregator reselection (bsc#1029514).
- commit 217edf9
* Tue Apr  4 2017 jthumshirn@suse.de
- scsi: libfc: Do not take rdata->rp_mutex when processing a
  - FC_EX_CLOSED ELS response (bsc#1023764).
- scsi: fcoe: Harden CVL handling when we have not logged into
  the fabric (bsc#1023764).
- scsi: libfc: Revert " libfc: use offload EM instance again
  instead jumping to next EM" (bsc#1023764).
- scsi: libfc: use error code for fc_rport_error() (bsc#1023764).
- scsi: libfc: Rework PRLI handling (bsc#1023764).
- scsi: libfc: reset timeout on queue full (bsc#1023764).
- scsi: libfc: Check xid when looking up REC exchanges
  (bsc#1023764).
- scsi: fcoe: FIP debugging (bsc#1023764).
- scsi: fcoe: correct sending FIP VLAN packets on VLAN 0
  (bsc#1023764).
- scsi: fcoe: Fixup missing initialisation in fcoe_dcb_create()
  (bsc#1023764).
- scsi: libfc: Replace ->seq_els_rsp_send callback with function
  call (bsc#1023764).
- scsi: libfc: Replace ->lport_reset callback with function call
  (bsc#1023764).
- scsi: libfc: Replace ->lport_recv with function call
  (bsc#1023764).
- scsi: libfc: Replace ->exch_seq_send callback with function call
  (bsc#1023764).
- scsi: libfc: Replace ->rport_destroy callback with function call
  (bsc#1023764).
- scsi: libfc: Replace ->rport_lookup callback with function call
  (bsc#1023764).
- scsi: libfc: Replace ->rport_create callback with function call
  (bsc#1023764).
- scsi: libfc: Replace ->rport_login callback with function call
  (bsc#1023764).
- scsi: libfc: Replace ->rport_logoff callback with function call
  (bsc#1023764).
- scsi: libfc: Replace ->rport_recv_req callback with function
  call (bsc#1023764).
- scsi: libfc: Replace ->rport_flush_queue callback with function
  call (bsc#1023764).
- scsi: libfc: Remove fc_rport_init() (bsc#1023764).
- scsi: libfc: Replace ->seq_send callback with function call
  (bsc#1023764).
- scsi: libfc: Replace ->seq_exch_abort callback with function
  call (bsc#1023764).
- scsi: libfc: Replace ->exch_done callback with function call
  (bsc#1023764).
- scsi: libfc: Replace ->seq_start_next callback with function
  call (bsc#1023764).
- scsi: libfc: Replace ->seq_set_resp callback with direct
  function call (bsc#1023764).
- scsi: libfc: Replace ->seq_assign callback with function call
  (bsc#1023764).
- scsi: libfc: Replace ->seq_release callback with function call
  (bsc#1023764).
- scsi: libfc: Don't have fc_exch_find log errors on a new
  exchange (bsc#1023764).
- scsi: libfc: Remove an unneeded condition (bsc#1023764).
- Refresh
  patches.drivers/0032-tcm_fc-convert-to-target_scf_ack_kref-i-o-tmr-krefs.
- commit c48f265
* Tue Apr  4 2017 jack@suse.cz
- config: Disable new writeback throttling logic for single-queue devices
  Disable new writeback throttling logic for single-queue devices as it
  may interact badly with IO scheduling that also happens for these
  devices and we don't want to be experimenting too much in SLE12 SP3
  (bsc#1030310).
- commit 4fc5607
* Tue Apr  4 2017 mkubecek@suse.cz
- ping: implement proper locking (bsc#1031003).
- commit 6c19bf0
* Tue Apr  4 2017 mkubecek@suse.cz
- Update patches.kernel.org/patch-4.4.58-59 references (add CVE-2017-7184 bsc#1030573).
- commit 48ca3fc
* Tue Apr  4 2017 tbogendoerfer@suse.de
- qedr driver update (bsc#1022604 FATE#321747).
- Update config files (position of CONFIG_INFINBIBAND moved).
- supported.conf: added qedr module
- IB: Query ports via the core instead of direct into the driver
  (bsc#1022604 FATE#321747).
- RDMA/qedr: Dispatch port active event from qedr_add (bsc#1022604
  FATE#321747).
- RDMA/qedr: Fix and simplify memory leak in PD alloc (bsc#1022604
  FATE#321747).
- RDMA/qedr: Fix RDMA CM loopback (bsc#1022604 FATE#321747).
- RDMA/qedr: Fix formatting (bsc#1022604 FATE#321747).
- RDMA/qedr: Mark three functions as static (bsc#1022604
  FATE#321747).
- RDMA/qedr: Don't reset QP when queues aren't flushed
  (bsc#1022604 FATE#321747).
- RDMA/qedr: Don't spam dmesg if QP is in error state (bsc#1022604
  FATE#321747).
- RDMA/qedr: Remove CQ spinlock from CM completion handlers
  (bsc#1022604 FATE#321747).
- RDMA/qedr: Return max inline data in QP query result
  (bsc#1022604 FATE#321747).
- RDMA/qedr: Return success when not changing QP state
  (bsc#1022604 FATE#321747).
- RDMA/qedr: Fix MTU returned from QP query (bsc#1022604
  FATE#321747).
- IB/qedr: Switch from dma_device to dev.parent (bsc#1022604
  FATE#321747).
- RDMA/qedr: restructure functions that create/destroy QPs
  (bsc#1022604 FATE#321747).
- qedr: Always notify the verb consumer of flushed CQEs
  (bsc#1022604 FATE#321747).
- qedr: clear the vendor error field in the work completion
  (bsc#1022604 FATE#321747).
- qedr: post_send/recv according to QP state (bsc#1022604
  FATE#321747).
- qedr: ignore inline flag in read verbs (bsc#1022604
  FATE#321747).
- qedr: modify QP state to error when destroying it (bsc#1022604
  FATE#321747).
- qedr: return correct value on modify qp (bsc#1022604
  FATE#321747).
- qedr: return error if destroy CQ failed (bsc#1022604
  FATE#321747).
- qedr: configure the number of CQEs on CQ creation (bsc#1022604
  FATE#321747).
- qedr: remove pointless NULL check in qedr_post_send()
  (bsc#1022604 FATE#321747).
- qedr: Use list_move_tail instead of list_del/list_add_tail
  (bsc#1022604 FATE#321747).
- qedr: Fix possible memory leak in qedr_create_qp() (bsc#1022604
  FATE#321747).
- qedr: return -EINVAL if pd is null and avoid null ptr
  dereference (bsc#1022604 FATE#321747).
- IB/core: Let create_ah return extended response to user
  (bsc#1022604 FATE#321747).
- qedr: Add events support and register IB device (bsc#1022604
  FATE#321747).
- qedr: Add GSI support (bsc#1022604 FATE#321747).
- qedr: Add LL2 RoCE interface (bsc#1022604 FATE#321747).
- qedr: Add support for data path (bsc#1022604 FATE#321747).
- qedr: Add support for memory registeration verbs (bsc#1022604
  FATE#321747).
- qedr: Add support for QP verbs (bsc#1022604 FATE#321747).
- qedr: Add support for PD,PKEY and CQ verbs (bsc#1022604
  FATE#321747).
- qedr: Add support for user context verbs (bsc#1022604
  FATE#321747).
- qedr: Add support for RoCE HW init (bsc#1022604 FATE#321747).
- qedr: Add RoCE driver framework (bsc#1022604 FATE#321747).
- commit 93935d3
* Tue Apr  4 2017 mkubecek@suse.cz
- net/packet: fix overflow in check for tp_reserve (CVE-2017-7308
  bsc#1031579).
- net/packet: fix overflow in check for tp_frame_nr (CVE-2017-7308
  bsc#1031579).
- net/packet: fix overflow in check for priv area size
  (CVE-2017-7308 bsc#1031579).
- commit 8d98b4e
* Tue Apr  4 2017 mbrugger@suse.com
- arm64: Update config files.
  Enable ARMADA_AP806_SYSCON, ARMADA_CP110_SYSCON and MVEBU_ODMI
- commit 1a77c8b
* Tue Apr  4 2017 mbrugger@suse.com
- irqchip/mvebu-odmi: Add new driver for platform MSI on Marvell
  7K/8K (bsc#1032150).
- Refresh
  patches.drivers/0025-irqchip-gic-Return-IRQ_SET_MASK_OK_DONE-in-the-set_a.patch.
- Refresh
  patches.arch/0003-irqchip-qcom-Add-IRQ-combiner-driver.patch
- commit 91a3aba
* Tue Apr  4 2017 jthumshirn@suse.de
- scsi: qedi: Fix memory leak in tmf response processing
  (bsc#1004527, FATE#321744).
- Update config files.
- supported.conf: Add qedi.ko
- scsi: qedi: Fix possible memory leak in qedi_iscsi_update_conn()
  (bsc#1004527, FATE#321744).
- scsi: qedi: return via va_end to match corresponding va_start
  (bsc#1004527, FATE#321744).
- scsi: qedi: fix build, depends on UIO (bsc#1004527,
  FATE#321744).
- scsi: qedi: Add QLogic FastLinQ offload iSCSI driver framework
  (bsc#1004527, FATE#321744).
- commit 9b82503
* Tue Apr  4 2017 bpoirier@suse.com
- net: mvneta: bm: fix dependencies again (fate#319899).
- commit 723a965
* Mon Apr  3 2017 jroedel@suse.de
- blacklist.conf: Blacklist e64d5fbe5625
- commit 523fdef
* Mon Apr  3 2017 mstaudt@suse.de
- drm/vmwgfx: fix integer overflow in vmw_surface_define_ioctl()
  (boo#1031440 CVE-2017-7294).
- drm/vmwgfx: NULL pointer dereference in
  vmw_surface_define_ioctl() (boo#1031052 CVE-2017-7261).
- commit 560498d
* Mon Apr  3 2017 mbrugger@suse.com
- clk: fixed-rate: add clk_hw_unregister_fixed_rate()
  (bsc#1032150).
- clk: add clk_unregister_fixed_rate() (bsc#1032150).
- clk: add clk_unregister_fixed_factor() (bsc#1032150).
- arm64: marvell: enable AP806 and CP110 syscon driver
  (bsc#1032150).
- arm64: update ARCH_MVEBU for Marvell Armada 7K/8K support
  (bsc#1032150).
- commit 7281ad7
* Mon Apr  3 2017 yousaf.kaukab@suse.com
- tty: pl011: fix earlycon work-around for QDF2400 erratum 44
  (fate#320512).
- tty: amba-pl011: Add earlycon support for SBSA UART
  (fate#320512).
- arm64: fix NULL dereference in have_cpu_die() (fate#320512).
- commit e13d6d1
* Mon Apr  3 2017 ohering@suse.de
- x86/hyperv: Hide unused label (fate#320485).
- Drivers: hv: restore TSC page cleanup before kexec
  (fate#320485).
- commit eeeb462
* Mon Apr  3 2017 ohering@suse.de
- Update commit hash of a hv patch that was merged twice to simplify bookkeeping
- commit 1b415ed
* Mon Apr  3 2017 tbogendoerfer@suse.de
- qed*: backport driver
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- Update config files.
- qed: Fix race with multiple VFs (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed*: Fix link indication race (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Don't allocate SBs using main PTT (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Prevent index problems in loopback test (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Reflect PF link when initializing VF (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Free netdevice only after stoping slowpath (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Initialize lock and slowpath workqueue early (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Reserve doorbell BAR space for present CPUs (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Don't free a QP more than once (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Read queue state before releasing buffer (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Release CQ resource under lock on failure (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Add support for hardware offloaded FCoE (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Add driver support for PTP (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Add infrastructure for PTP support (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- drivers: net: generalize napi_complete_done() (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: avoid possible stack overflow in qed_ll2_acquire_connection
  (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702 bsc#1022604
  FATE#321747).
- qed: Replace memset with eth_zero_addr (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed*: Advance driver versions to 8.10.10.20 (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Conserve RDMA resources when !QEDR (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Support Multicast on Tx-switching (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed*: Add support for ndo_set_vf_trust (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed*: RSS indirection based on queue-handles (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Remove unnecessary datapath dereference (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede - mark SKB as encapsulated (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Postpone reallocation until NAPI end (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed*: Change maximal number of queues (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed*: Update to dual-license (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: fix old-style function definition (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: fix general protection fault may occur on probe
  (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702 bsc#1022604
  FATE#321747).
- net: ethernet: qlogic: set error code on failure (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: use reset to set network header (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Add iSCSI out of order packet handling (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Add support for hardware offloaded iSCSI (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Better utilize the qede_x_queue (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Don't check netdevice for rx-hash (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed*: Handle-based L2-queues (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Revise state locking scheme (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Refactor data-path Rx flow (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Refactor statistics gathering (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Remove 'num_tc' (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qed: Optimize qed_chain datapath usage (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Optimize aggregation information size (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Correct rdma params configuration (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: configure ll2 RoCE v1/v2 flavor correctly (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Prevent stack corruption on MFW interaction (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Correct VF mac number (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qede: Don't override priv_flags (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Learn resources from management firmware (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Use VF-queue feature (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qed: Learn of RDMA capabilities per-device (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Decouple ethtool caps from qed (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed*: Add support for WoL (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qed: Add nvram selftest (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qed*: Management firmware - notifications and defaults
  (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702 bsc#1022604
  FATE#321747).
- qede: Fix statistics' strings for Tx/Rx queues (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Fix out-of-bound fastpath memory access (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Fix incorrrect usage of APIs for un-mapping DMA memory
  (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702 bsc#1022604
  FATE#321747).
- qed: Zero-out the buffer paased to dcbx_query() API (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Reconfigure rss indirection direction table when rss count
  is updated (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702
  bsc#1022604 FATE#321747).
- qed*: Reduce the memory footprint for Rx path (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Loopback implementation should ignore the normal traffic
  (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702 bsc#1022604
  FATE#321747).
- qede: Do not allow RSS config for 100G devices (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: get_channels() need to populate max tx/rx coalesce values
  (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702 bsc#1022604
  FATE#321747).
- qed: Use list_move_tail instead of list_del/list_add_tail
  (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702 bsc#1022604
  FATE#321747).
- qed: Remove useless set memory to zero use memset() (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Fix possible race when reading firmware return code
  (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702 bsc#1022604
  FATE#321747).
- qed: Handle malicious VFs events (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Allow chance for fast ramrod completions (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed*: Allow unicast filtering (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Prevent GSO on long Geneve headers (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: GSO support for tunnels with outer csum (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Pass MAC hints to VFs (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qed: Additional work toward cleaning C=1 (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed*: Fix Kconfig dependencies with INFINIBAND_QEDR (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Fix static checker warning (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: fix old-style function definition (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Fix to use list_for_each_entry_safe() when delete items
  (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702 bsc#1022604
  FATE#321747).
- qed: Add RoCE ll2 & GSI support (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Add support for memory registeration verbs (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Add support for QP verbs (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: PD,PKEY and CQ verb support (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Add support for RoCE hw init (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Add qedr framework (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qed: Add Light L2 support (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qed: Fix stack corruption on probe (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: mark symbols static where possible (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: mark qede_set_features() static (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed*: Add support for the ethtool get_regs operation
  (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702 bsc#1022604
  FATE#321747).
- qed: Add support for debug data collection (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: add missing header dependencies (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Add infrastructure for debug data collection (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Remove OOM messages (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qed: fix kzalloc-simple.cocci warnings (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Clear dcbx memory buffers before the usage (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Set selection-field while configuring the app entry in
  ieee mode (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702
  bsc#1022604 FATE#321747).
- qed*: Disallow dcbx configuration for VF interfaces (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: hide 32-bit compile warning (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Add support for Tx/Rx-only queues (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Fix address macros (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qed: Change locking scheme for VF channel (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed*: Add support for VFs over legacy PFs (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Prevent VFs from pause flooding (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Add support for legacy VFs (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: utilize FW 8.10.10.0 (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qede: Fix forcing high speeds (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed*: Fix pause setting (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qede: Fix Tx timeout due to xmit_more (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Add support for NCSI statistics (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Add support for per-queue stats (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Add support for capturing additional stats in
  ethtool-stats display (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qed*: Add and modify some prints (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed*: Trivial modifications (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qed*: Semantic changes (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qed: Fix possible memory leak in qed_dcbnl_get_ieee_pfc()
  (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702 bsc#1022604
  FATE#321747).
- qed*: Add support for ethtool link_ksettings callbacks
  (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702 bsc#1022604
  FATE#321747).
- qed: Update app count when adding a new dcbx app entry to
  the table (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702
  bsc#1022604 FATE#321747).
- qed: Add dcbx app support for IEEE Selection Field (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Use ieee mfw-mask to get ethtype in ieee-dcbx mode
  (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702 bsc#1022604
  FATE#321747).
- qed: Remove the endian-ness conversion for pri_to_tc value
  (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702 bsc#1022604
  FATE#321747).
- qed: Use DEFINE_SPINLOCK() for spinlock (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Fail driver load in 100g MSI mode (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Fix error return code in qed_resc_alloc() (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: do not use unitialized variable (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Prevent over-usage of vlan credits by PF (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Correct min bandwidth for 100g (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Reset statistics on explicit down (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Don't over-do producer cleanup for Rx (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Bump up driver version to 8.10.1.20 (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Utilize xmit_more (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qede: qede_poll refactoring (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qede: Add support for handling IP fragmented packets
  (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702 bsc#1022604
  FATE#321747).
- qed: Protect the doorbell BAR with the write barriers
  (bsc#1019695 FATE#321703 bsc#1019699 FATE#321702 bsc#1022604
  FATE#321747).
- qede: Fix the static checker warnings (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Fix static checker warnings (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Add support for coalescing config read/update (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Add support for coalescing config read/update (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Fix returning unlimited SPQ entries (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed*: Don't reset statistics on inner reload (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Prevent VF from Tx-switching 'promisc' (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Correct default vlan behavior (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Add dcbnl support (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qed: Add dcbnl support (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qed: Add support for query/config dcbx (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: potential overflow in qed_cxt_src_t2_alloc() (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: PF to reply to unknown messages (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: PF enforce MAC limitation of VFs (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Move doorbell calculation from VF to PF (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Make PF more robust against malicious VF (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: PF-VF resource negotiation (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Relax VF firmware requirements (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Fix next-ptr chains for BE / 32-bit (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Initialize hardware for new protocols (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Add iscsi/rdma personalities (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Add common HSI for new protocols (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Revisit chain implementation (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: fix qed_fill_link() error handling (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Don't config min BW on 100g on link flap (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Prevent 100g from working in MSI (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Add missing 100g init mode (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Save min/max accross dcbx-change (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Don't expose self-test for VFs (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Reload on GRO changes (bsc#1019695 FATE#321703 bsc#1019699
  FATE#321702 bsc#1022604 FATE#321747).
- qede: Fix VF minimum BW setting (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qed: Reset the enable flag for eth protocol (bsc#1019695
  FATE#321703 bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- qede: Fix DMA address APIs usage (bsc#1019695 FATE#321703
  bsc#1019699 FATE#321702 bsc#1022604 FATE#321747).
- commit e6593e4
* Mon Apr  3 2017 ohering@suse.de
- rename a bunch of hyperv patches after changes to extract-upstream script
- commit ad73776
* Mon Apr  3 2017 hare@suse.de
- IB/core: correctly handle rdma_rw_init_mrs() failure
  (bsc#1024474).
- commit 9a03ba1
* Mon Apr  3 2017 bp@suse.de
- x86/mce: Fix copy/paste error in exception table entries
  (fate#319858).
- commit 012a106
* Mon Apr  3 2017 jdelvare@suse.de
- Rename 0018-mfd-lpss-Fix-Intel-Kaby-Lake-PCH-H-properties.patch
  for consistency.
- commit 382366d
* Mon Apr  3 2017 jdelvare@suse.de
- Swap 0018-mfd-lpss-Fix-Intel-Kaby-Lake-PCH-H-properties.patch and
  mfd-lpss-Add-Intel-Kaby-Lake-PCH-H-PCI-IDs.patch to match upstream
  order.
- Refresh
  patches.drivers/0018-mfd-lpss-Fix-Intel-Kaby-Lake-PCH-H-properties.patch.
- Refresh
  patches.drivers/mfd-lpss-Add-Intel-Kaby-Lake-PCH-H-PCI-IDs.patch.
- commit 0ac1d9d
* Mon Apr  3 2017 ohering@suse.de
- netvsc: fix race during initialization (fate#320485).
- Drivers: hv: vmbus: Don't leak memory when a channel is
  rescinded (fate#320485).
- Drivers: hv: vmbus: Don't leak channel ids (fate#320485).
- Drivers: hv: util: don't forget to init host_ts.lock
  (fate#320485).
- Drivers: hv: util: move waiting for release to
  hv_utils_transport itself (fate#320485).
- vmbus: remove hv_event_tasklet_disable/enable (fate#320485).
- vmbus: use rcu for per-cpu channel list (fate#320485).
- netvsc: handle select_queue when device is being removed
  (fate#320485).
- scsi: storvsc: Workaround for virtual DVD SCSI version
  (fate#320485).
- commit bd27e3d
* Mon Apr  3 2017 ohering@suse.de
- netvsc: fix use-after-free in netvsc_change_mtu() (fate#320485).
- netvsc: fix typo on statistics (fate#320485).
- vmbus: replace modulus operation with subtraction (fate#320485).
- vmbus: constify parameters where possible (fate#320485).
- vmbus: expose hv_begin/end_read (fate#320485).
- vmbus: remove conditional locking of vmbus_write (fate#320485).
- vmbus: add direct isr callback mode (fate#320485).
- vmbus: change to per channel tasklet (fate#320485).
- vmbus: put related per-cpu variable together (fate#320485).
- vmbus: callback is in softirq not workqueue (fate#320485).
- vmbus: remove unused kickq argument to sendpacket (fate#320485).
- vmbus: remove no longer used signal_policy (fate#320485).
- vmbus: drop no longer used kick_q argument (fate#320485).
- vmbus: use kernel bitops for traversing interrupt mask
  (fate#320485).
- commit bde90e9
* Mon Apr  3 2017 ohering@suse.de
- Drivers: hv: util: Fix a typo (fate#320485).
- hv_utils: implement Hyper-V PTP source (fate#320485).
- hv: export current Hyper-V clocksource (fate#320485).
- Drivers: hv: Fix the bug in generating the guest ID
  (fate#320485).
- scsi: storvsc: remove bogus code to transfer struct scatterlist
  (fate#320485).
- Drivers: hv: Log the negotiated IC versions (fate#320485).
- Drivers: hv: vmbus: Use all supported IC versions to negotiate
  (fate#320485).
- Drivers: hv: balloon: add a fall through comment to
  hv_memory_notifier() (fate#320485).
- Drivers: hv: restore hypervcall page cleanup before kexec
  (fate#320485).
- hv_util: switch to using timespec64 (fate#320485).
- netvsc: call netif_receive_skb (fate#320485).
- netvsc: simplify get next send section (fate#320485).
- netvsc: report per-channel stats in ethtool statistics
  (fate#320485).
- netvsc: account for packets/bytes transmitted after completion
  (fate#320485).
- commit 8419a5e
* Mon Apr  3 2017 oneukum@suse.com
- device property: Avoid potential dereferences of invalid
  pointers (FATE#321194 FATE#321228).
- commit d9c7a36
* Mon Apr  3 2017 hare@suse.de
- blacklist.conf: Add non-applicable patches (bsc#1032047)
- commit fc2040e
* Mon Apr  3 2017 hare@suse.de
- genirq: Fix missing irq allocation affinity hint (bsc#1032047).
- PCI/MSI: Check for NULL affinity mask in pci_irq_get_affinity()
  (bsc#1032047).
- PCI/MSI: Don't apply affinity if there aren't enough vectors
  left (bsc#1032047).
- PCI/MSI: Return failure when msix_setup_entries() fails
  (bsc#1032047).
- scsi: fix memory leak of sdpk on when gd fails to allocate
  (bsc#1032047).
- mmc: fix use-after-free of struct request (bsc#1032047).
- bdev: fix NULL pointer dereference (bsc#1032047).
- block: Initialize bd_bdi on inode initialization (bsc#1032047).
- cfq-iosched: don't call wbt_disable_default() with IRQs disabled
  (bsc#1032047).
- x86: Use compat version for preadv2 and pwritev2 (bsc#1032047).
- dm table: fix 'all_blk_mq' inconsistency when an empty table
  is loaded (bsc#1032047).
- dm table: an 'all_blk_mq' table must be loaded for a blk-mq
  DM device (bsc#1032047).
- dm raid: fix discard support regression (bsc#1032047).
- dm raid: fix data corruption on reshape request (bsc#1032047).
- IB/srpt: Reduce QP buffer size (bsc#1032047).
- IB/srp: Fix srp_map_sg_dma() (bsc#1032047).
- IB/srp: fix mr allocation when the device supports sg gaps
  (bsc#1032047).
- IB/SRP: Avoid using IB_MR_TYPE_SG_GAPS (bsc#1032047).
- commit 52b1682
* Mon Apr  3 2017 ohering@suse.de
- netvsc: eliminate per-device outstanding send counter
  (fate#320485).
- netvsc: simplify rndis_filter_remove (fate#320485).
- netvsc: don't pass void * to internal device_add (fate#320485).
- commit 93a31b0
* Mon Apr  3 2017 ohering@suse.de
- netvsc: optimize receive path (fate#320485).
- netvsc: group all per-channel state together (fate#320485).
- netvsc: remove unused variables (fate#320485).
- netvsc: enhance transmit select_queue (fate#320485).
- netvsc: allow get/set of RSS indirection table (fate#320485).
- netvsc: allow more flexible setting of number of channels
  (fate#320485).
- netvsc: add ethtool ops to get/set RSS key (fate#320485).
- netvsc: report rss field values (fate#320485).
- netvsc: report number of rx queues in ethtool (fate#320485).
- netvsc: negotiate checksum and segmentation parameters
  (fate#320485).
- commit 9a1c67e
* Mon Apr  3 2017 jthumshirn@suse.de
- scsi: sg: check length passed to SG_NEXT_CMD_LEN (bsc#1030213,
  CVE-2017-7187).
- commit d84bc79
* Mon Apr  3 2017 tiwai@suse.de
- Update patch tag of patches.kernel.org/patch-4.4.58-59 (CVE-2017-7374 bsc#1032006).
- commit 738803f
* Mon Apr  3 2017 ohering@suse.de
- netvsc: remove no longer needed receive staging buffers
  (fate#320485).
- Input: serio - drop unnecessary calls to device_init_wakeup
  (fate#320485).
- commit d7fac9a
* Mon Apr  3 2017 ohering@suse.de
- Drivers: hv: vmbus: Cleanup hyperv_vmbus.h (fate#320485).
- Drivers: hv: vmbus: Define an APIs to manage interrupt state
  (fate#320485).
- Drivers: hv: vmbus: Define an API to retrieve virtual processor
  index (fate#320485).
- Drivers: hv: vmbus: Define APIs to manipulate the synthetic
  interrupt controller (fate#320485).
- commit 5db84e2
* Mon Apr  3 2017 ohering@suse.de
- Rename a hyperv patch, 433e19cf3 was merged twice upstream
- commit 2ba8825
* Sat Apr  1 2017 gqjiang@suse.com
- Refresh
  patches.fixes/0001-md-ensure-md-devices-are-freed-before-module-is-unlo.patch.
- commit e237bbd
* Sat Apr  1 2017 bpoirier@suse.com
- drivers: add explicit interrupt.h includes (FATE#320512).
- net: qcom/emac: optimize QDF2400 SGMII RX/TX impedence values
  (FATE#320512).
- net: qcom/emac: fix a sizeof() typo (FATE#320512).
- net: qcom/emac: add ethtool support for setting ring parameters
  (FATE#320512).
- net: qcom/emac: add ethtool support for reading hardware
  registers (FATE#320512).
- net: qcom/emac: fix semicolon.cocci warnings (FATE#320512).
- net: qcom/emac: add ethool support for setting pause parameters
  (FATE#320512).
- net: qcom/emac: add an error interrupt handler for the sgmii
  (FATE#320512).
- net: qcom/emac: remove extraneous wake-on-lan code
  (FATE#320512).
- net: qcom/emac: do not call emac_mac_start twice (FATE#320512).
- net: qcom/emac: always use autonegotiation to configure the
  SGMII link (FATE#320512).
- net: qcom/emac: display the phy driver info after we connect
  (FATE#320512).
- net: qcom/emac: claim the irq only when the device is opened
  (FATE#320512).
- net: qcom/emac: rename emac_phy to emac_sgmii and move it
  (FATE#320512).
- Revert "net: qcom/emac: configure the external phy to allow
  pause frames" (FATE#320512).
- net: Remove usage of net_device last_rx member (FATE#320512).
- commit b26c7e2
* Sat Apr  1 2017 bpoirier@suse.com
- net: mvneta: bm: clarify dependencies (fate#319899).
- Update config files.
- commit 907e4e4
* Sat Apr  1 2017 bpoirier@suse.com
- net: mvneta: Fix lacking spinlock initialization (fate#319899).
- net: remove a dubious unlikely() clause (fate#321947).
- commit 6f0a60e
* Fri Mar 31 2017 bpoirier@suse.com
- bnxt followup for SLE12-SP3
  b356a2e729ce bnxt_en: Remove busy poll logic in the driver. (v4.11-rc1)
  e7b956910299 bnxt_en: Use napi_complete_done() (v4.11-rc1)
  9d8bc09766f1 bnxt_en: Improve the IRQ disable sequence during shutdown. (v4.11-rc1)
  68515a186cf8 bnxt_en: Fix and clarify link_info->advertising. (v4.11-rc1)
  5910906ca9ee bnxt_en: Refactor TPA code path. (v4.11-rc1)
  8fdefd63c203 bnxt_en: Add function to get vnic capability. (v4.11-rc1)
  8079e8f107bf bnxt_en: Refactor code that determines RFS capability. (v4.11-rc1)
  ae10ae740ad2 bnxt_en: Add new hardware RFS mode. (v4.11-rc1)
  8427af811a2f bnxt_en: Assign additional vnics to VFs. (v4.11-rc1)
  dda0e7465f04 bnxt_en: Add IPV6 hardware RFS support. (v4.11-rc1)
  391be5c27364 bnxt_en: Implement new scheme to reserve tx rings. (v4.11-rc1)
  486b5c22ea1d bnxt_en: Set default completion ring for async events. (v4.11-rc1)
  bdbd1eb59c56 bnxt_en: Handle no aggregation ring gracefully. (v4.11-rc1)
  bc1f44709cf2 net: make ndo_get_stats64 a void function (v4.11-rc1)
  already applied as part of "bsc#1027968"
  5944701df90d net: remove useless memset's in drivers get_stats64 (v4.11-rc1)
  already applied as part of "bsc#1019351"
  b742995445fb bnxt_en: Fix compiler warnings when CONFIG_RFS_ACCEL is not defined. (v4.11-rc1)
  341138c3e6af bnxt_en: Clear TPA flags when BNXT_FLAG_NO_AGG_RINGS is set. (v4.11-rc1)
  f183886c0d79 bnxt_en: Update to firmware interface spec to 1.6.1. (v4.11-rc1)
  5ad2cbeed74b bnxt_en: Add support for ethtool -p. (v4.11-rc1)
  2f5938467bd7 bnxt_en: Add the ulp_sriov_cfg hooks for bnxt_re RDMA driver. (v4.11-rc1)
  6ad20165d376 drivers: net: generalize napi_complete_done() (v4.11-rc1)
  already applied as part of "bsc#1019680 FATE#321692
  bsc#1019680 FATE#321692"
  6bb19474391d bnxt_en: Refactor rx SKB function. (v4.11-rc1)
  11cd119d31a7 bnxt_en: Don't use DEFINE_DMA_UNMAP_ADDR to store DMA address in RX path. (v4.11-rc1)
  745fc05c9db1 bnxt_en: Add bp->rx_dir field for rx buffer DMA direction. (v4.11-rc1)
  b3dba77cf0ac bnxt_en: Parameterize RX buffer offsets. (v4.11-rc1)
  c61fb99cae51 bnxt_en: Add RX page mode support. (v4.11-rc1)
  4e5dbbda4c40 bnxt_en: Use event bit map in RX path. (v4.11-rc1)
  d1e7925e6d80 bnxt_en: Centralize logic to reserve rings. (v4.11-rc1)
  a960dec98861 bnxt_en: Add tx ring mapping logic. (v4.11-rc1)
  5f4492493e75 bnxt_en: Add a set of TX rings to support XDP. (v4.11-rc1)
  fa3e93e86cc3 bnxt_en: Refactor tx completion path. (v4.11-rc1)
  c6d30e8391b8 bnxt_en: Add basic XDP support. (v4.11-rc1)
  38413406277f bnxt_en: Add support for XDP_TX action. (v4.11-rc1)
  previous two, depend on
  a7862b45849f net: add ndo to setup/query xdp prog in adapter rx (v4.8-rc1)
  from the series merged in 22b3548861fb ("Merge branch 'xdp'",
  v4.8-rc1).
  skipped, too many dependencies
  bac9a7e0f5d6 bnxt_en: Update to firmware interface spec 1.7.0. (v4.11-rc1)
  cb4d1d626145 bnxt_en: Retry failed NVM_INSTALL_UPDATE with defragmentation flag. (v4.11-rc1)
  a79a5276aa2f bnxt_en: Fix ethtool -l pre-set max combined channel. (v4.11-rc1)
  964fd4801d40 bnxt_en: Allow NETIF_F_NTUPLE to be enabled on VFs. (v4.11-rc1)
  61aad724ec0a bnxt_en: Add hardware NTUPLE filter for encapsulated packets. (v4.11-rc1)
  33dac24abbd5 bnxt_en: Do not setup PHY unless driving a single PF. (v4.11-rc1)
  e70c752f88ed bnxt_en: Print FEC settings as part of the linkup dmesg. (v4.11-rc1)
  b451c8b69e70 bnxt_en: Fix bnxt_setup_tc() error message. (v4.11-rc1)
  32b40798c1b4 bnxt_en: Added PCI IDs for BCM57452 and BCM57454 ASICs (v4.11-rc1)
  4e00338a6199 bnxt_en: Reject driver probe against all bridge devices (v4.11-rc1)
  daf1f1e78411 bnxt_en: Fix NULL pointer dereference in a failure path during open. (v4.11-rc1)
  17086399c113 bnxt_en: fix pci cleanup in bnxt_init_one() failure path (v4.11-rc1)
  1faaa78f36cb bnxt_en: use eth_hw_addr_random() (v4.11-rc1)
  3c2217a675ba bnxt_en: Perform function reset earlier during probe. (v4.11-rc3)
  b386cd362ffe bnxt_en: Call bnxt_ulp_stop() during tx timeout. (v4.11-rc3)
  bc39f885a9c3 bnxt_en: Check if firmware LLDP agent is running. (v4.11-rc3)
  520ad89a54ed bnxt_en: Ignore 0 value in autoneg supported speed from firmware. (v4.11-rc3)
  db690328a7df RDMA/bnxt_re: fix for "bnxt_en: Update to firmware interface spec 1.7.0." (v4.11-rc1)
- commit e97c6d1
* Fri Mar 31 2017 bpoirier@suse.com
- Fix multiple failures when building bnxt_re partway through the series
  1)
  drivers/infiniband/hw/bnxt_re/main.c:57:22: fatal error: bnxt_ulp.h: No such file or directory
  [#]include "bnxt_ulp.h"
    ^
  compilation terminated.
  make[1]: *** [scripts/Makefile.build:259: drivers/infiniband/hw/bnxt_re/main.o] Error 1
  The patches should come after the backport of
  a588e4580a7e bnxt_en: Add interface to support RDMA driver. (v4.10-rc1)
  2)
  In file included from include/linux/completion.h:11:0,
    from include/linux/rcupdate.h:43,
    from include/linux/sysctl.h:25,
    from include/linux/timer.h:242,
    from include/linux/workqueue.h:8,
    from include/linux/pm.h:25,
    from ./arch/x86/include/asm/apic.h:5,
    from ./arch/x86/include/asm/smp.h:12,
    from include/linux/smp.h:59,
    from include/linux/percpu.h:6,
    from include/linux/context_tracking_state.h:4,
    from include/linux/vtime.h:4,
    from include/linux/hardirq.h:7,
    from include/linux/interrupt.h:12,
    from drivers/infiniband/hw/bnxt_re/qplib_rcfw.c:38:
  drivers/infiniband/hw/bnxt_re/qplib_rcfw.c: In function ‘bnxt_qplib_rcfw_wait_for_resp’:
  include/linux/wait.h:363:9: error: ‘TASK_UNINTERRUPTIBLE’ undeclared (first use in this function)
    TASK_UNINTERRUPTIBLE, 0, timeout,   \
    ^
  bnxt_re doesn't build until
  patches.fixes/02-ratelimit-extend-to-print-suppressed-messages-on-release.patch
  is applied, because of the following change in the latter:
  +++ b/include/linux/ratelimit.h
  @@ -2,11 +2,15 @@
  [#]define _LINUX_RATELIMIT_H
  [#]include <linux/param.h>
  +#include <linux/sched.h>
  Upstream,
  6b1d174b0c27 ratelimit: extend to print suppressed messages on release (v4.8-rc1)
  comes before
  1ac5a4047975 RDMA/bnxt_re: Add bnxt_re RoCE driver (v4.11-rc1)
  Move the ratelimit patches up in the series.
- commit 45efe95
* Fri Mar 31 2017 rgoldwyn@suse.com
- btrfs: qgroups: Retry after commit on getting EDQUOT
  (bsc#1019614).
- commit eba5988
* Fri Mar 31 2017 rgoldwyn@suse.com
- btrfs: Change qgroup_meta_rsv to 64bit (bsc#1019614).
- btrfs: allow unlink to exceed subvolume quota (bsc#1019614).
- commit 72bd484
* Fri Mar 31 2017 mbrugger@suse.com
- scsi: hisi_sas: fix SATA dependency (fate#322150).
- commit c9a792a
* Fri Mar 31 2017 tiwai@suse.de
- Linux 4.4.59 (bnc#1012382,CVE-2017-7184).
  Obsoleted patches:
  patches.fixes/xfrm_user-validate-XFRM_MSG_NEWAE-XFRMA_REPLAY_ESN_V.patch
  patches.fixes/xfrm_user-validate-XFRM_MSG_NEWAE-incoming-ESN-size-.patch
- commit 60050ff
* Fri Mar 31 2017 tiwai@suse.de
- Linux 4.4.58 (FATE#320485 bnc#1007962 bnc#1012382 bsc#1009911
  bsc#1013001 bsc#1021474 bsc#1023888 bsc#1024234).
  Refreshed patch:
  patches.arch/arm64-Relocate-screen_info.lfb_base-on-PCI-BAR-alloc.patch.
  Obsoleted patches:
  patches.drivers/fbcon-Fix-vc-attr-at-deinit.
  patches.drivers/igb-Workaround-for-igb-i210-firmware-issue.patch
  patches.drivers/igb-add-i211-to-i210-PHY-workaround.patch
  patches.drivers/media-uvcvideo-uvc_scan_fallback-for-webcams-with-br
  patches.drivers/serial-8250_pci-Detach-low-level-driver-during-PCI-error-recovery.patch
  patches.fixes/0002-raid10-increment-write-counter-after-bio-is-split.patch
  patches.fixes/crypto-algif_hash-avoid-zero-sized-array.patch
  patches.fixes/xfs-don-t-allow-di_size-with-high-bit-set.patch
  patches.fixes/xfs-fix-up-xfs_swap_extent_forks-inline-extent-handling.patch
  patches.suse/msft-hv-1177-x86-hyperv-Handle-unknown-NMIs-on-one-CPU-when-unkno.patch
- commit f22bf68
* Fri Mar 31 2017 yousaf.kaukab@suse.com
- irqchip/qcom: Fix error handling (fate#320512).
- commit 2fc3b2d
* Fri Mar 31 2017 jthumshirn@suse.de
- RDMA/bnxt_re: add DCB dependency (bsc#1020413, FATE#321905).
- Update config files.
- supported.conf: Add Broadcom RoCE driver bnxt_re.ko
- RDMA/bnxt_re: Add bnxt_re driver build support (bsc#1020413,
  FATE#321905).
- RDMA/bnxt_re: Add bnxt_re RoCE driver (bsc#1020413,
  FATE#321905).
- commit 225eaac
* Fri Mar 31 2017 hare@suse.de
- scsi: libcxgbi: return error if interface is not up
  (bsc#1005779,FATE#321659).
- scsi: cxgb4i: libcxgbi: add missing module_put()
  (bsc#1005779,FATE#321659).
- scsi: cxgb4i: libcxgbi: add active open cmd for T6 adapters
  (bsc#1005779,FATE#321659).
- scsi: cxgb4i: use cxgb4_tp_smt_idx() to get smt_idx
  (bsc#1005779,FATE#321659).
- scsi: cxgb4i: Add a missing call to neigh_release
  (bsc#1005779,FATE#321659).
- scsi: libcxgbi: fix incorrect DDP resource cleanup
  (bsc#1005779,FATE#321659).
- scsi: cxgb4i: Set completion bit in work request
  (bsc#1005779,FATE#321659).
- cxgb3i, cxgb4i: fix symbol not declared sparse warning
  (bsc#1005779,FATE#321659).
- libcxgb: export ppm release and tagmask set api
  (bsc#1005779,FATE#321659).
- cxgb3i: add iSCSI DDP support (bsc#1005779,FATE#321659).
- cxgb4i,libcxgbi: add iSCSI DDP support
  (bsc#1005779,FATE#321659).
- cxgb3i,cxgb4i,libcxgbi: remove iSCSI DDP support
  (bsc#1005779,FATE#321659).
- commit 46dc4f9
* Fri Mar 31 2017 yousaf.kaukab@suse.com
- vfio: Fix handling of error returned by
  'vfio_group_get_from_dev()' (fate#320512).
- commit 983ce09
* Fri Mar 31 2017 yousaf.kaukab@suse.com
- Documentation/watchdog: check return value for magic close
  (fate#320512).
- init/Kconfig: keep Expert users menu together (fate#320512).
- genirq: Fix missing return value in irq_destroy_ipi()
  (fate#320512).
- genirq: Dont allow affinity mask to be updated on IPIs
  (fate#320512).
- iommu: Disambiguate MSI region types (fate#320512).
- ACPI/IORT: Fix the error return code in
  iort_add_smmu_platform_device() (fate#320512).
- commit 1b74c51
* Fri Mar 31 2017 yousaf.kaukab@suse.com
- arm64: kernel: Fix unmasked debug exceptions when restoring
  mdscr_el1 (fate#320512).
- arm64: kaslr: Fix up the kernel image alignment (fate#320512).
- arm64: remove wrong CONFIG_PROC_SYSCTL ifdef (fate#320512).
- KVM: arm/arm64: vgic: Don't notify EOI for non-SPIs
  (fate#320512).
- arm64: kaslr: fix breakage with CONFIG_MODVERSIONS=y
  (fate#320512).
- KVM: arm/arm64: vgic: Don't flush/sync without a working vgic
  (fate#320512).
- arm64: avoid TLB conflict with CONFIG_RANDOMIZE_BASE
  (fate#320512).
- arm64: fix KASLR boot-time I-cache maintenance (fate#320512).
- commit a6a42c0
* Fri Mar 31 2017 hare@suse.de
- scsi: be2iscsi: Use GFP_ATOMIC under spin lock
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Update driver version (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Add warning message for unsupported adapter
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Reinit SGL handle, CID tables after TPE
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Add checks to validate CID alloc/free
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Remove wq_name from beiscsi_hba
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Remove unused struct members
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Remove redundant receive buffers posting
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Fix iSCSI cmd cleanup IOCTL
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Add checks to validate completions
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Set WRB invalid bit for SkyHawk
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Take iscsi_task ref in abort handler
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Fix for crash in beiscsi_eh_device_reset
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Fix use of invalidate command table req
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: set errno on error path
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: allocate enough memory in
  beiscsi_boot_get_sinfo() (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Replace _bh with _irqsave/irqrestore
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: mark symbols static where possible
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Add missing unlock for mbox_lock
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Remove redundant iscsi_wrb desc memset
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Fix error return code (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Update the driver version
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Update copyright information
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Fix queue and connection parameters
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Fix bad WRB index error
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Fix async PDU handling path
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Add FUNCTION_RESET during driver unload
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Fail the sessions immediately after TPE
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Add TPE recovery feature
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Add V1 of EPFW cleanup IOCTL
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Fix POST check and reset sequence
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Move functions to right files
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Add IOCTL to check UER supported
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Fix to add timer for UE detection
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Fix to make boot discovery non-blocking
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Fix checks for HBA in error state
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Remove isr_lock and dead code
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Remove alloc_mcc_tag & beiscsi_pci_soft_reset
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Check all zeroes IP before issuing IOCTL
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Handle only NET_PARAM in iface_get_param
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Rename iface get/set/create/destroy APIs
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Update iface handle before any set param
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Move VLAN code to common iface_set_param
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Fix release of DHCP IP in static mode
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Fix gateway APIs to support IPv4 & IPv6
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Set and return right iface v4/v6 states
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Reduce driver load/unload time
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Replace _bh version for mcc_lock spinlock
  (bsc#1021122,FATE#321676).
- scsi: be2iscsi: Fix to use correct configuration values
  (bsc#1021122,FATE#321676).
- commit cccb453
* Fri Mar 31 2017 lhenriques@suse.com
- cephfs backports from v4.6 to SLE12-SP3
- ceph: don't bother with d_rehash() in splice_dentry()
  (FATE#322288).
- ceph_fill_trace(): don't bother with d_instantiate(dn, NULL)
  (FATE#322288).
- libceph: move debugfs initialization into __ceph_open_session()
  (FATE#322288).
- libceph: decouple hunting and subs management (FATE#322288).
- libceph: revamp subs code, switch to SUBSCRIBE2 protocol
  (FATE#322288).
- libceph: pick a different monitor when reconnecting
  (FATE#322288).
- libceph: monc ping rate is 10s (FATE#322288).
- libceph: monc hunt rate is 3s with backoff up to 30s
  (FATE#322288).
- libceph: introduce and switch to reopen_session() (FATE#322288).
- libceph: reschedule tick in mon_fault() (FATE#322288).
- libceph: behave in mon_fault() if cur_mon < 0 (FATE#322288).
- ceph: encode ctime in cap message (FATE#322288).
- ceph: don't enable rbytes mount option by default (FATE#322288).
- ceph: remove useless BUG_ON (FATE#322288).
- libceph: add helper that duplicates last extent operation
  (FATE#322288).
- ceph: scattered page writeback (FATE#322288).
- ceph: replace CURRENT_TIME by current_fs_time() (FATE#322288).
- ceph: fix a wrong comparison (FATE#322288).
- ceph: kill ceph_empty_snapc (FATE#322288).
- libceph: use sizeof_footer() more (FATE#322288).
- ceph: avoid updating directory inode's i_size accidentally
  (FATE#322288).
- ceph: remove unnecessary NULL check (FATE#322288).
- ceph: fix mounting same fs multiple times (FATE#322288).
- ceph: don't request vxattrs from MDS (FATE#322288).
- ceph: fix security xattr deadlock (FATE#322288).
- ceph: kill ceph_get_dentry_parent_inode() (FATE#322288).
- ceph: use lookup request to revalidate dentry (FATE#322288).
- ceph: use kmem_cache_zalloc (FATE#322288).
- libceph: use KMEM_CACHE macro (FATE#322288).
- libceph: make authorizer destruction independent of
  ceph_auth_client (FATE#322288).
- rbd: use KMEM_CACHE macro (FATE#322288).
- rbd: fix rbd map vs notify races (FATE#322288).
- Refresh
  patches.drivers/libceph-support-bidirectional-requests.patch.
- commit d961588
* Fri Mar 31 2017 yousaf.kaukab@suse.com
- arm64: kernel: avoid literal load of virtual address with MMU
  off (fate#320512).
- arm64: Change cpu_resume() to enable mmu early then access
  sleep_sp by va (fate#320512).
- arm64: suspend: Reconfigure PSTATE after resume from idle
  (fate#320512).
- arm64: kernel: Rework finisher callback out of
  __cpu_suspend_enter() (fate#320512).
- arm64: kasan: clear stale stack poison (fate#320512).
- arm64: Only select ARM64_MODULE_PLTS if MODULES=y (fate#320512).
- arm64: fix invalidation of wrong __early_cpu_boot_status
  cacheline (fate#320512).
- arm64: kasan: Fix zero shadow mapping overriding kernel image
  shadow (fate#320512).
- arm64: kasan: Use actual memory node when populating the kernel
  image shadow (fate#320512).
- commit e6ef7f9
* Fri Mar 31 2017 pmladek@suse.com
- kgr: Mark eeh_event_handler() kthread safe using a timeout
  (bsc#1031662).
- locking/semaphore: Add down_interruptible_timeout()
  (bsc#1031662).
- commit 61b3523
* Fri Mar 31 2017 tbogendoerfer@suse.de
- supported.conf:
- added new module drivers/net/ethernet/chelsio/libcxgb/libcxgb.ko
- commit 0794995
* Fri Mar 31 2017 hare@suse.de
- Update config files.
- commit eb1add9
* Fri Mar 31 2017 hare@suse.de
- scsi: qla2xxx: Fix ql_dump_buffer (bsc#1019675,FATE#321701).
- scsi: qla2xxx: fix spelling mistake: "seperator" -> "separator"
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Fix Regression introduced by
  pci_alloc_irq_vectors_affinity call (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Fix response queue count for Target mode
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Cleaned up queue configuration code
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Avoid that issuing a LIP triggers a kernel crash
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Fix a recently introduced memory leak
  (bsc#1019675,FATE#321701).
- qla2xxx: Disable out-of-order processing by default in firmware
  (bsc#1019675,FATE#321701).
- qla2xxx: Fix erroneous invalid handle message
  (bsc#1019675,FATE#321701).
- qla2xxx: Reduce exess wait during chip reset
  (bsc#1019675,FATE#321701).
- qla2xxx: Terminate exchange if corrupted
  (bsc#1019675,FATE#321701).
- qla2xxx: Collect additional information to debug fw dump
  (bsc#1019675,FATE#321701).
- qla2xxx: Reset reserved field in firmware options to 0
  (bsc#1019675,FATE#321701).
- qla2xxx: Set tcm_qla2xxx version to automatically track qla2xxx
  version (bsc#1019675,FATE#321701).
- qla2xxx: Include ATIO queue in firmware dump when in target mode
  (bsc#1019675,FATE#321701).
- qla2xxx: Fix wrong IOCB type assumption
  (bsc#1019675,FATE#321701).
- qla2xxx: Avoid that building with W=1 triggers complaints
  about set-but-not-used variables (bsc#1019675,FATE#321701).
- qla2xxx: Move two arrays from header files to .c files
  (bsc#1019675,FATE#321701).
- qla2xxx: Declare an array with file scope static
  (bsc#1019675,FATE#321701).
- qla2xxx: Fix indentation (bsc#1019675,FATE#321701).
- scsi: qla2xxx: remove irq_affinity_notifier
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: fix MSI-X vector affinity
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: rename {vendor|hba}_indentifer to
  {vendor|hba}_identifer (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Fix apparent cut-n-paste error
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: make msix_entries const
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: silence -Wformat-security warning
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Get mutex lock before checking optrom_state
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Fix Target mode handling with Multiqueue changes
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Add Block Multi Queue functionality
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Add multiple queue pair functionality
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Utilize
  pci_alloc_irq_vectors/pci_free_irq_vectors calls
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: Only allow operational MBX to proceed during
  RESET (bsc#1019675,FATE#321701).
- qla2xxx: Add an #include directive (bsc#1019675,FATE#321701).
- scsi: qla2xxx: do not abort all commands in the adapter during
  EEH recovery (bsc#1019675,FATE#321701).
- scsi: qla2xxx: fix invalid DMA access after command aborts in
  PCI device remove (bsc#1019675,FATE#321701).
- scsi: qla2xxx: do not queue commands when unloading
  (bsc#1019675,FATE#321701).
- scsi: qla2xxx: fix spelling mistake "retyring" -> "retrying"
  (bsc#1019675,FATE#321701).
- qla2xxx: small cleanup in qla2x00_wait_for_hba_ready()
  (bsc#1019675,FATE#321701).
- qla2xxx: Update driver version to 8.07.00.38-k
  (bsc#1019675,FATE#321701).
- qla2xxx: Fix BBCR offset (bsc#1019675,FATE#321701).
- qla2xxx: Fix duplicate message id (bsc#1019675,FATE#321701).
- qla2xxx: Disable the adapter and skip error recovery in case
  of register disconnect (bsc#1019675,FATE#321701).
- qla2xxx: Separate ISP type bits out from device type
  (bsc#1019675,FATE#321701).
- qla2xxx: Correction to function qla26xx_dport_diagnostics()
  (bsc#1019675,FATE#321701).
- qla2xxx: Add support to handle Loop Init error Asynchronus event
  (bsc#1019675,FATE#321701).
- qla2xxx: Let DPORT be enabled purely by nvram
  (bsc#1019675,FATE#321701).
- qla2xxx: Add bsg interface to support statistics counter reset
  (bsc#1019675,FATE#321701).
- qla2xxx: Add bsg interface to support D_Port Diagnostics
  (bsc#1019675,FATE#321701).
- qla2xxx: Check for device state before unloading the driver
  (bsc#1019675,FATE#321701).
- qla2xxx: Properly reset firmware statistics
  (bsc#1019675,FATE#321701).
- qla2xxx: Properly initialize IO statistics
  (bsc#1019675,FATE#321701).
- qla2xxx: Make debug buffer log easier to view
  (bsc#1019675,FATE#321701).
- qla2xxx: Add module parameter alternate/short names
  (bsc#1019675,FATE#321701).
- qla2xxx: Shutdown board on thermal shutdown aen
  (bsc#1019675,FATE#321701).
- qla2xxx: Add ram area DDR for fwdump template entry T262
  (bsc#1019675,FATE#321701).
- qla2xxx: Remove sysfs node fw_dump_template
  (bsc#1019675,FATE#321701).
- scsi/qla2xxx: Remove erroneous unused macro
  qla82xx_get_temp_val1() (bsc#1019675,FATE#321701).
- tcm_qla2xxx Add SCSI command jammer/discard capability
  (bsc#1019675,FATE#321701).
- tcm_qla2xxx: introduce a private sess_kref
  (bsc#1019675,FATE#321701).
- qla2xxx: Remove use of 'struct timeval'
  (bsc#1019675,FATE#321701).
- qla2xxx: Indicate out-of-memory with -ENOMEM
  (bsc#1019675,FATE#321701).
- qla2xxx: avoid maybe_uninitialized warning
  (bsc#1019675,FATE#321701).
- qla2xxx: Add DebugFS node for target sess list
  (bsc#1019675,FATE#321701).
- tcm_qla2xxx: Convert to target_alloc_session usage
  (bsc#1019675,FATE#321701).
- commit 356ea44
* Fri Mar 31 2017 hare@suse.de
- target: make close_session optional (bsc#1019675,FATE#321701).
- target: make ->shutdown_session optional
  (bsc#1019675,FATE#321701).
- target: remove acl_stop (bsc#1019675,FATE#321701).
- target: consolidate and fix session shutdown
  (bsc#1019675,FATE#321701).
- commit 93e9515
* Fri Mar 31 2017 tbogendoerfer@suse.de
- Update config files.
- Enable CHELSIO_LIB
- Removed CHELSIO_T4_UWIRE which is obsolete now
- commit 78a3236
* Fri Mar 31 2017 ohering@suse.de
- Drivers: hv: vmbus: Define APIs to manipulate the event page
  (fate#320485).
- Drivers: hv: vmbus: Define APIs to manipulate the message page
  (fate#320485).
- Drivers: hv: vmbus: Get rid of an unsused variable
  (fate#320485).
- Drivers: hv: util: Use hv_get_current_tick() to get current tick
  (fate#320485).
- Drivers: hv: vmbus: Restructure the clockevents code
  (fate#320485).
- Drivers: hv: vmbus: Move the code to signal end of message
  (fate#320485).
- Drivers: hv: vmbus: Move the check for hypercall page setup
  (fate#320485).
- Drivers: hv: vmbus: Move the crash notification function
  (fate#320485).
- Drivers: hv: vmbus: Move the extracting of Hypervisor version
  information (fate#320485).
- Drivers: hv: vmbus: Consolidate all Hyper-V specific clocksource
  code (fate#320485).
- Drivers: hv: vmbus: Move Hypercall invocation code out of
  common code (fate#320485).
- Drivers: hv vmbus: Move Hypercall page setup out of common code
  (fate#320485).
- Drivers: hv: vmbus: Move the definition of generate_guest_id()
  (fate#320485).
- Drivers: hv: vmbus: Move the definition of
  hv_x64_msr_hypercall_contents (fate#320485).
- commit b5bd7f1
* Fri Mar 31 2017 ohering@suse.de
- Drivers: hv: vmbus: Fix a rescind handling bug (fate#320485).
- Drivers: hv: vmbus: Raise retry/wait limits in vmbus_post_msg()
  (fate#320485).
- scsi: storvsc: Enable multi-queue support (fate#320485).
- scsi: storvsc: Remove the restriction on max segment size
  (fate#320485).
- scsi: storvsc: Enable tracking of queue depth (fate#320485).
- uio-hv-generic: store physical addresses instead of virtual
  (fate#320485).
- uio-hv-generic: new userspace i/o driver for VMBus
  (fate#320485).
- vmbus: add support for dynamic device id's (fate#320485).
- commit 2ac325a
* Fri Mar 31 2017 tbogendoerfer@suse.de
- cxgb4: Update IngPad and IngPack values (bsc#321658 FATE#1005778
  bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: update latest firmware version supported (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- iw_cxgb4: clean up send_connect() (bsc#321658 FATE#1005778
  bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: Remove redundant code in t4_uld_clean_up() (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: Add new T5 and T6 pci device id's (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: Increase max number of tc u32 links (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: Update proper netdev stats for rx drops (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- target/cxgbit: Use T6 specific macro to set the force bit
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- target/cxgbit: Fix endianness annotations (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: get rid of custom busy poll code (bsc#321658 FATE#1005778
  bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: Fix uld_send() for ctrl pkts (bsc#321658 FATE#1005778
  bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: update latest firmware version supported (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- RDMA/core: Add the function ib_mtu_int_to_enum (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- iw_cxgb4: Guard against null cm_id in dump_ep/qp (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- IB/cxgb4: Set dev.parent instead of dma_device (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: hide unused warnings (bsc#321658 FATE#1005778 bsc#321660
  FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: Implement ndo_get_phys_port_id for mgmt dev (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: Shutdown adapter if firmware times out or errors out
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- cxgb4: Remove redundant memset before memcpy (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: Fix misleading packet/frame count stats (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- RDMA/cxgb4: Use AF_INET for sin_family field (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: Initialize mbox lock and list for mgmt dev (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- iw_cxgb4: do not send RX_DATA_ACK CPLs after close/abort
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- iw_cxgb4: free EQ queue memory on last deref (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- iw_cxgb4: refactor sq/rq drain logic (bsc#321658 FATE#1005778
  bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: Add port description for new cards (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4/cxgb4vf: Display 25G and 100G link speed (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: Synchronize access to mailbox (bsc#321658 FATE#1005778
  bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: Support compressed error vector for T6 (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- libcxgb: fix error check for ip6_route_output() (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- iw_cxgb4: set correct FetchBurstMax for QPs (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- scsi: cxgb4i: libcxgbi: cxgb4: add T6 iSCSI completion feature
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- cxgb4/cxgb4vf: Assign netdev->dev_port with port ID (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4/cxgb4vf: Remove deprecated module parameters (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- iw_cxgb4: Fix error return code in c4iw_rdev_open() (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- IB/cxgb4: Remove debug prints after allocation failure
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- cxgb4: Add PCI device ID for new adapter (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: fix memory leak on txq_info (bsc#321658 FATE#1005778
  bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- iw_cxgb4: invalidate the mr when posting a read_w_inv wr
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- iw_cxgb4: set *bad_wr for post_send/post_recv errors (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: do not call napi_hash_del() (bsc#321658 FATE#1005778
  bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: correct device ID of T6 adapter (bsc#321658 FATE#1005778
  bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: Fix error handling in alloc_uld_rxqs() (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: Fix number of queue sets corssing the limit (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: fix memory leak of qe on error exit path (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- iw_cxgb4: add fast-path for small REG_MR operations (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: advertise support for FR_NSMR_TPTE_WR (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- iw_cxgb4: Remove deprecated create_singlethread_workqueue
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- cxgb4: unexport cxgb4_dcb_enabled (bsc#321658 FATE#1005778
  bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: mark cxgb_setup_tc() static (bsc#321658 FATE#1005778
  bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: mark symbols static where possible (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: fix -ve error check on a signed iq (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: fix signed wrap around when decrementing index idx
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- cxgb4: Convert to use simple_open() (bsc#321658 FATE#1005778
  bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: add support for drop and redirect actions (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: add support for offloading u32 filters (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: add parser to translate u32 filters to internal spec
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- cxgb4: add common api support for configuring filters
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- cxgb4: move common filter code to separate file (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4/cxgb4vf: Allocate more queues for 25G and 100G adapter
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- cxgb4: Fix return value check in cfg_queues_uld() (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- libcxgb,iw_cxgb4,cxgbit: add cxgb_mk_rx_data_ack() (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- libcxgb,iw_cxgb4,cxgbit: add cxgb_mk_abort_rpl() (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- libcxgb,iw_cxgb4,cxgbit: add cxgb_mk_abort_req() (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- libcxgb, iw_cxgb4, cxgbit: add cxgb_mk_close_con_req()
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- libcxgb,iw_cxgb4,cxgbit: add cxgb_mk_tid_release() (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- libcxgb,iw_cxgb4,cxgbit: add cxgb_compute_wscale() (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- libcxgb,iw_cxgb4,cxgbit: add cxgb_best_mtu() (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- libcxgb,iw_cxgb4,cxgbit: add cxgb_is_neg_adv() (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- libcxgb,iw_cxgb4,cxgbit: add cxgb_find_route6() (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- libcxgb,iw_cxgb4,cxgbit: add cxgb_find_route() (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- libcxgb,iw_cxgb4,cxgbit: add cxgb_get_4tuple() (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- iw_cxgb4: block module unload until all ep resources are
  released (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780
  bsc#321661 FATE#1005781).
- iw_cxgb4: call dev_put() on l2t allocation failure (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- IB/cxgb4: Make _free_qp static to silence build warning
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- cxgb4/cxgb4vf: fix spelling mistake "provissioned" ->
  "provisioned" (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780
  bsc#321661 FATE#1005781).
- cxgb4: Remove unused including <linux/version.h> (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- iw_cxgb4: Fix cxgb4 arm CQ logic w/IB_CQ_REPORT_MISSED_EVENTS
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- cxgb4: add support for tx max rate limiting (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: add support for per queue tx scheduling (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: add support for tx traffic scheduling classes (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- iw_cxgb4: use the MPA initiator's IRD if < our ORD (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- iw_cxgb4: limit IRD/ORD advertised to ULP by device max
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- cxgb4: Simplify the return expression (bsc#321658 FATE#1005778
  bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- iw_cxgb4: don't block in destroy_qp awaiting the last deref
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- iw_cxgb4: explicitly move the qp to ERROR state during flush
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- iw_cxgb4: stop MPA_REPLY timer when disconnecting (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: Use kfree_skb instead of kfree (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- libcxgb: remove unused including <linux/version.h> (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- libcxgb: add library module for Chelsio drivers (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4/cxgb4vf: Add link mode mask API to cxgb4 and cxgb4vf
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- cxgb4: update latest firmware version supported (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- IB/cxgb4: Support device FW version string (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: Low resource fixes for Completion queue
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- RDMA/iw_cxgb4: Low resource fixes for Memory registration
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- RDMA/iw_cxgb4: Low resource fixes for connection manager
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- RDMA/iw_cxgb4: Add missing error codes for act open cmd
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- RDMA/iw_cxgb4: clean up c4iw_reject_cr() (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: allocate enough space for debugfs "qps" dump
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- RDMA/iw_cxgb4: only read markers_enabled mod param once
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- iw_cxgb4: Convert a __force cast (bsc#321658 FATE#1005778
  bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: Add arp failure handlers to
  send_mpa_reply/reject() (bsc#321658 FATE#1005778 bsc#321660
  FATE#1005780 bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: Always wake up waiter in c4iw_peer_abort_intr()
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- RDMA/iw_cxgb4: Handle ret value of process_mpa_reply() in
  rx_data (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780
  bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: atomic find and reference for listening endpoints
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- RDMA/iw_cxgb4: Handle ULP accept/reject during ABORTING
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- RDMA/iw_cxgb4: Release ep for for FPDU_MODE and MPA_REQ_RCVD in
  process_timeout (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780
  bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: Free skb in case of arp failure in
  _c4iw_free_ep() (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780
  bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: atomically lookup ep and get a reference
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- RDMA/iw_cxgb4: Handle return value of c4iw_ofld_send()
  in abort_arp_failure() (bsc#321658 FATE#1005778 bsc#321660
  FATE#1005780 bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: in process_timeout() don't move ep state to
  ABORTING (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780
  bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: handle return value of c4iw_l2t_send() and
  send_mpa_req() (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780
  bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: stop_ep_timer() after MPA negotiation (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: Do not stop timer in case of incomplete messages
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- RDMA/iw_cxgb4: parent_ep has to be dereferenced in case of
  passive accept failure (bsc#321658 FATE#1005778 bsc#321660
  FATE#1005780 bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: set the correct FID value in DSGL commands
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- RDMA/iw_cxgb4: Correct RFC number of MPA (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: Add few history bits for ep (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: Reset dcb state machine and tx queue prio only if dcb
  is enabled (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780
  bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: remove abort_connection() usage from ep_timeout()
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- RDMA/iw_cxgb4: move QP -> ERROR on fatal disconnect errors
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- RDMA/iw_cxgb4: don't use abort_connection in
  process_mpa_request() (bsc#321658 FATE#1005778 bsc#321660
  FATE#1005780 bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: remove abort_connection() usage from
  accept/reject (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780
  bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: free resources when send_flowc() fails
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- RDMA/iw_cxgb4: remove connection abort from process_mpa_reply
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- RDMA/iw_cxgb4: ensure eps don't get freed while the mutex
  is held (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780
  bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: stop ep timer on close failure (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- RDMA/iw_cxgb4: release ep resources on accept arp failure
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- cxgb4: Check for firmware errors in the mailbox command loop
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- cxgb4: Don't sleep when mbox cmd is issued from interrupt
  context (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780
  bsc#321661 FATE#1005781).
- cxgb4: Decode link down reason code obtained from firmware
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- cxgb4: Don't assume FW_PORT_CMD reply is always port info msg
  (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780 bsc#321661
  FATE#1005781).
- cxgb4: DCB message handler needs to use correct portid to
  netdev mapping (bsc#321658 FATE#1005778 bsc#321660 FATE#1005780
  bsc#321661 FATE#1005781).
- cxgb4: Refactor t4_port_init function (bsc#321658 FATE#1005778
  bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: Properly decode port module type (bsc#321658 FATE#1005778
  bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- cxgb4: Add llseek operation for flash debugfs entry (bsc#321658
  FATE#1005778 bsc#321660 FATE#1005780 bsc#321661 FATE#1005781).
- commit 285c3a7
* Fri Mar 31 2017 yousaf.kaukab@suse.com
- arm64: Fix circular include of asm/lse.h through
  linux/jump_label.h (fate#320512).
- Refresh
  patches.arch/0003-arm64-cpu_errata-Add-capability-to-advertise-Cortex-.patch.
- Refresh
  patches.arch/0422-arm64-Work-around-Falkor-erratum-1009.patch.
- Refresh
  patches.drivers/0010-arm64-Use-static-keys-for-CPU-features.patch.
- Refresh
  patches.drivers/0011-arm64-Add-hypervisor-safe-helper-for-checking-consta.patch.
- Refresh
  patches.drivers/0015-arm64-Work-around-Falkor-erratum-1003.patch.
- commit f82fbe8
* Fri Mar 31 2017 jthumshirn@suse.de
- block: mtip32xx: set error code on failure (FATE#321538).
- Block: mtip32xx: Improvement in code readability when
  memdup_user() fails (FATE#321538).
- mtip32xx: mark symbols static where possible (FATE#321538).
- commit 49f2864
* Fri Mar 31 2017 lpechacek@suse.com
- doc/README.SUSE: update links to KMP manual
- commit e922faa
* Fri Mar 31 2017 mbrugger@suse.com
- IB/hns: Fix the IB device name (fate#322150).
- IB/hns: Fix the bug when free cq (fate#322150).
- IB/hns: Delete the redundant memset operation (fate#322150).
- IB/hns: Fix the bug of setting port mtu (fate#322150).
- IB/hns: Fix the bug when free mr (fate#322150).
- IB/hns: Fix the bug when destroy qp (fate#322150).
- IB/hns: Fix for Checkpatch.pl comment style errors
  (fate#322150).
- IB/hns: Implement the add_gid/del_gid and optimize the GIDs
  management (fate#322150).
- IB/hns: Change qpn allocation to round-robin mode (fate#322150).
- IB/hns: Modify query info named port_num when querying RC QP
  (fate#322150).
- IB/hns: Modify the macro for the timeout when cmd process
  (fate#322150).
- IB/hns: Fix the bug for qp state in hns_roce_v1_m_qp()
  (fate#322150).
- IB/hns: Modify the condition of notifying hardware loopback
  (fate#322150).
- IB/hns: add self loopback for CM (fate#322150).
- IB/hns: Optimize the logic of allocating memory using APIs
  (fate#322150).
- IB/hns: Add code for refreshing CQ CI using TPTR (fate#322150).
- IB/hns: Add the interface for querying QP1 (fate#322150).
- scsi: hisi_sas: add is_sata_phy_v2_hw() (fate#322150).
- scsi: hisi_sas: use dev_is_sata to identify SATA or SAS disk
  (fate#322150).
- scsi: hisi_sas: check hisi_sas_lu_reset() error message
  (fate#322150).
- scsi: hisi_sas: release SMP slot in lldd_abort_task
  (fate#322150).
- scsi: hisi_sas: add hisi_sas_clear_nexus_ha() (fate#322150).
- scsi: hisi_sas: rename hisi_sas_link_timeout_{enable,
  disable}_link (fate#322150).
- scsi: hisi_sas: handle PHY UP+DOWN simultaneous irq
  (fate#322150).
- scsi: hisi_sas: some modifications to v2 hw reg init values
  (fate#322150).
- scsi: hisi_sas: process error codes according to their priority
  (fate#322150).
- scsi: hisi_sas: remove task free'ing for timeouts (fate#322150).
- scsi: hisi_sas: fix some sas_task.task_state_lock locking
  (fate#322150).
- scsi: hisi_sas: free slots after hardreset (fate#322150).
- scsi: hisi_sas: check for SAS_TASK_STATE_ABORTED in slot
  complete (fate#322150).
- scsi: hisi_sas: hardreset for SATA disk in LU reset
  (fate#322150).
- scsi: hisi_sas: modify hisi_sas_abort_task() for SSP
  (fate#322150).
- scsi: hisi_sas: modify error handling for v2 hw (fate#322150).
- scsi: hisi_sas: only reset link for PHY_FUNC_LINK_RESET
  (fate#322150).
- scsi: hisi_sas: error hisi_sas_task_prep() when port down
  (fate#322150).
- scsi: hisi_sas: remove hisi_sas_port_deformed() (fate#322150).
- scsi: hisi_sas: add softreset function for SATA disk
  (fate#322150).
- scsi: hisi_sas: move PHY init to hisi_sas_scan_start()
  (fate#322150).
- scsi: hisi_sas: add controller reset (fate#322150).
- scsi: hisi_sas: add to_hisi_sas_port() (fate#322150).
- scsi: hisi_sas: decrease running_req in
  hisi_sas_slot_task_free() (fate#322150).
- scsi: hisi_sas: fix probe ordering problem (fate#322150).
- scsi: hisi_sas: downgrade internal abort exit print
  (fate#322150).
- scsi: hisi_sas: modify hard reset for directed-attached disk
  (fate#322150).
- scsi: hisi_sas: downgrade refclk message (fate#322150).
- scsi: hisi_sas: modify some values of ITCT table (fate#322150).
- scsi: hisi_sas: workaround v2 hw SATA IO timeout issue
  (fate#322150).
- scsi: hisi_sas: lock sensitive region in hisi_sas_slot_abort()
  (fate#322150).
- scsi: hisi_sas: lock sensitive regions when servicing CQ
  interrupt (fate#322150).
- scsi: hisi_sas: service v2 hw CQ ISR with tasklet (fate#322150).
- scsi: hisi_sas: support deferred probe for v2 hw (fate#322150).
- scsi: hisi_sas: fix free'ing in probe and remove (fate#322150).
- commit 5f23560
* Fri Mar 31 2017 mhocko@suse.cz
- cgroup/pids: remove spurious suspicious RCU usage warning
  (bnc#1031831).
- commit 5719888
* Fri Mar 31 2017 mbenes@suse.cz
- blacklist.conf:
  Blacklist unneeded commit, because of a partial backport.
- commit 60efbb8
* Fri Mar 31 2017 jthumshirn@suse.de
- pm80xx: Remove bogus address masking in pm8001_ioremap()
  (bsc#1022606, FATE#321674).
- pm8001: fix typo (bsc#1022606, FATE#321674).
- scsi: pm8001: Mark symbols static where possible (bsc#1022606,
  FATE#321674).
- commit 1f8305b
* Fri Mar 31 2017 hare@suse.de
- Fixup compilation warning in net/smc/smc_rx.c (FATE#322375)
  Refresh
  patches.arch/s390-sles12sp3-00-09-13-smc-receive-data-from-RMBE.patch.
- commit c088707
* Fri Mar 31 2017 ohering@suse.de
- Delete suse-hv-storvsc-sg_tablesize.patch due to lack of i386 kernel
- commit 868aa41
* Fri Mar 31 2017 ohering@suse.de
- fix order of includes in a hyperv patch
- commit a8ee0a9
* Fri Mar 31 2017 dchang@suse.com
- be2net: Fix endian issue in logical link config command
  (bsc#1021121 FATE#321675).
- sfc: fix IPID endianness in TSOv2 (bsc#1017967 FATE#321663).
- drivers: fix dev->trans_start removal fallout (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- commit 84ed8f4
* Fri Mar 31 2017 neilb@suse.com
- NFS: flush out dirty data on file fput() (bsc#1021762).
- commit ca806ee
* Fri Mar 31 2017 bpoirier@suse.com
- net: hwbm: Fix unbalanced spinlock in error case (fate#319899).
- bus: mvebu-mbus: use %%pa to print phys_addr_t (fate#319899).
- commit eb695d0
* Thu Mar 30 2017 tiwai@suse.de
- drm/i915: Fix crash after S3 resume with DP MST mode change
  (bsc#1029634).
- commit 5b26c6f
* Thu Mar 30 2017 tiwai@suse.de
- drm/i915: Only enable hotplug interrupts if the display
  interrupts are enabled (bsc#1031717).
- commit df57c08
* Thu Mar 30 2017 mbrugger@suse.com
- genirq: Skip chained interrupt trigger setup if type is
  IRQ_TYPE_NONE (fate#322150).
- commit 1048cef
* Thu Mar 30 2017 jgross@suse.com
- xen: Use machine addresses in /sys/kernel/vmcoreinfo when PV
  (bsc#1014136)
- commit 2900590
* Thu Mar 30 2017 mbrugger@suse.com
- genirq: Use irq type from irqdata instead of irqdesc
  (fate#322150).
- genirq: Correctly configure the trigger on chained interrupts
  (fate#322150).
- commit ceda7d0
* Thu Mar 30 2017 jthumshirn@suse.de
- nvme: lightnvm: frees wrong cmd structure (bsc#993388,
  FATE#321732).
- blacklist.conf: Add 2cfe199ca5a8 ('nvme-rdma: add back dependency on
  CONFIG_BLOCK') to blacklist
- commit 535f406
* Thu Mar 30 2017 mbrugger@suse.com
- tty: amba-pl011: uart_amba_port is not available with earlycon
  function (fate#322150).
- commit 2b5b41c
* Thu Mar 30 2017 jthumshirn@suse.de
- efi: Remove unnecessary (and buggy) .memmap initialization
  from the Xen EFI driver (bsc#1031693).
- commit 35b4d05
* Thu Mar 30 2017 jthumshirn@suse.de
- scsi: fnic: bug fix for fip.fip_subcode in
  fnic_fcoe_send_vlan_req (bsc#1030195, FATE#319759).
- scsi: fnic: Adding debug IO and Abort latency counter to fnic
  stats (bsc#1030195, FATE#319759).
- scsi: fnic: Adding Check Condition counter to misc fnicstats
  (bsc#1030195, FATE#319759).
- scsi: fnic: Avoid false out-of-order detection for aborted
  command (bsc#1030195, FATE#319759).
- scsi: fnic: Fix for "Number of Active IOs" in fnicstats becoming
  negative (bsc#1030195, FATE#319759).
- scsi: fnic: minor cleanup in fnic_fcpio_itmf_cmpl_handler,
  removing else case (bsc#1030195, FATE#319759).
- scsi: fnic: Ratelimit printks to avoid flooding when vlan is
  not set by the switch.i (bsc#1030195, FATE#319759).
- scsi: fnic: Avoid sending reset to firmware when another reset
  is in progress (bsc#1030195, FATE#319759).
- scsi: fnic: Correcting rport check location in
  fnic_queuecommand_lck (bsc#1030195, FATE#319759).
- scsi: fnic: use kernel's '%%pM' format option to print MAC
  (bsc#1030195, FATE#319759).
- commit ecf9a2e
* Thu Mar 30 2017 oneukum@suse.com
- Refresh
  patches.drivers/0017-mfd-intel-lpss-Pass-SDA-hold-time-to-I2C-host-contro.patch.
- Refresh
  patches.drivers/0018-mfd-lpss-Fix-Intel-Kaby-Lake-PCH-H-properties.patch.
- Delete
  patches.drivers/0001-mfd-lpss-Fix-Intel-Kaby-Lake-PCH-H-properties.patch.
- Delete
  patches.drivers/0003-mfd-lpss-Add-Intel-Kaby-Lake-PCH-H-PCI-IDs.patch.
  Unified split patches needed for two FATEs
- commit 9bbe8b2
* Thu Mar 30 2017 hare@suse.de
- supported.conf: mark smc_diag as supported (FATE#322375)
- commit c83ee3b
* Thu Mar 30 2017 hare@suse.de
- Fixup compilation error in net/smc/smc_tx.c (FATE#322375)
  Refresh
  patches.arch/s390-sles12sp3-00-09-12-smc-send-data-through-RDMA.patch.
- commit 69b9b9d
* Thu Mar 30 2017 hare@suse.de
- Fixup compilation error in net/smc/smc_ib.c (FATE#322375)
  Refresh
  patches.arch/s390-sles12sp3-00-09-08-smc-work-request-WR-base-for-use-by-LLC-and-CDC.patch.
- commit bd05dfa
* Thu Mar 30 2017 hare@suse.de
- Enable SMR-R for s390x and x86_64 (FATE#322375)
- commit d2efdf7
* Thu Mar 30 2017 hare@suse.de
- smc: some potential use after free bugs (FATE#322375,
  LTC#150642, bsc#1029832).
- smc: ETH_ALEN as memcpy length for mac addresses (FATE#322375,
  LTC#150642, bsc#1029832).
- smc: netlink interface for SMC sockets (FATE#322375, LTC#150642,
  bsc#1029832).
- smc: socket closing and linkgroup cleanup (FATE#322375,
  LTC#150642, bsc#1029832).
- smc: receive data from RMBE (FATE#322375, LTC#150642,
  bsc#1029832).
- smc: send data (through RDMA) (FATE#322375, LTC#150642,
  bsc#1029832).
- smc: connection data control (CDC) (FATE#322375, LTC#150642,
  bsc#1029832).
- smc: link layer control (LLC) (FATE#322375, LTC#150642,
  bsc#1029832).
- smc: initialize IB transport incl. PD, MR, QP, CQ, event, WR
  (FATE#322375, LTC#150642, bsc#1029832).
- smc: work request (WR) base for use by LLC and CDC (FATE#322375,
  LTC#150642, bsc#1029832).
- smc: remote memory buffers (RMBs) (FATE#322375, LTC#150642,
  bsc#1029832).
- smc: connection and link group creation (FATE#322375,
  LTC#150642, bsc#1029832).
- smc: CLC handshake (incl. preparation steps) (FATE#322375,
  LTC#150642, bsc#1029832).
- smc: establish pnet table management (FATE#322375, LTC#150642,
  bsc#1029832).
- smc: introduce SMC as an IB-client (FATE#322375, LTC#150642,
  bsc#1029832).
- smc: establish new socket family (FATE#322375, LTC#150642,
  bsc#1029832).
- net: introduce keepalive function in struct proto (FATE#322375,
  LTC#150642, bsc#1029832).
- commit 618bf7d
* Thu Mar 30 2017 mbrugger@suse.com
- arm64: Update config files. (bsc#1029158)
  Enable ARMV8_DEPRECATED and
  SWP_EMULATION
  CP15_BARRIER_EMULATION
  SETEND_EMULATION
- commit bf74b60
* Thu Mar 30 2017 jroedel@suse.de
- iommu/vt-d: Make sure IOMMUs are off when intel_iommu=off
  (bsc#1031208).
- commit 92af5a4
* Thu Mar 30 2017 hare@suse.de
- scsi: csiostor: Fix completion usage (bsc#1005776,FATE#32656).
- commit 81f1ef1
* Thu Mar 30 2017 hare@suse.de
- Rediff megaraid_sas patches after update (bsc#1018001,FATE#321669)
- megaraid_sas: Fallback to older scanning if no disks are found
  (bnc#870440).
- megaraid_sas: boot hangs while LD is offline (bnc#698102).
- Delete
  patches.drivers/megaraid-sas-boot-hangs-while-LD-is-offline.patch.
- Delete
  patches.drivers/megaraid_sas-Fallback-to-older-scanning-if-not-disks.patch.
- commit 5a1e4d1
* Thu Mar 30 2017 msuchanek@suse.de
- scsi: ipr: Driver version 2.6.4 (bsc#1031555, fate#321595).
- scsi: ipr: Fix SATA EH hang (bsc#1031555, fate#321595).
- commit f7eb182
* Thu Mar 30 2017 msuchanek@suse.de
- scsi: ipr: Error path locking fixes (bsc#1031555, fate#321595).
- scsi: ipr: Fix abort path race condition (bsc#1031555,
  fate#321595).
- commit e9a13a2
* Thu Mar 30 2017 msuchanek@suse.de
- scsi: ipr: Remove redundant initialization (bsc#1031555,
  fate#321595).
- commit 98e2260
* Thu Mar 30 2017 msuchanek@suse.de
- scsi: ipr: Fix missed EH wakeup (bsc#1031555, fate#321595).
- commit 9f731bb
* Thu Mar 30 2017 hare@suse.de
- Revert "scsi: megaraid_sas: Enable or Disable Fast path based
  on the PCI Threshold Bandwidth" (bsc#1018001,FATE#321669).
- scsi: megaraid-sas: request irqs later
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: 128 MSIX Support (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: 32 bit descriptor fire cmd optimization
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Add new pci device Ids for SAS3.5 Generic
  Megaraid Controllers (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Add the Support for SAS3.5 Generic Megaraid
  Controllers Capabilities (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Bail out the driver load if ld_list_query
  fails (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Big endian RDPQ mode fix
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Change RAID_1_10_RMW_CMDS to
  RAID_1_PEER_CMDS and set value to 2 (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Change build_mpt_mfi_pass_thru to return
  void (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Change max_cmd from u32 to u16 in all
  functions (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Cleanup VD_EXT_DEBUG and SPAN_DEBUG related
  debug prints (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Do not fire DCMDs during PCI shutdown/detach
  (bsc#1018001,FATE#321669).
- megaraid_sas: Do not fire MR_DCMD_PD_LIST_QUERY to controllers
  which do not support it (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Do not set fp_possible if TM
  capable for non-RW syspdIO, change fp_possible to bool
  (bsc#1018001,FATE#321669).
- megaraid_sas: Downgrade two success messages to info
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Driver version upgrade
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: During OCR, if get_ctrl_info fails do not
  continue with OCR (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Dynamic Raid Map Changes for SAS3.5 Generic
  Megaraid Controllers (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: EEDP Escape Mode Support for SAS3.5 Generic
  Megaraid Controllers (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Enable or Disable Fast path based on the
  PCI Threshold Bandwidth (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Fix the search of first memory bar
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Implement the PD Map support for SAS3.5
  Generic Megaraid Controllers (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: In validate raid map, raid capability is not
  converted to cpu format for all lds (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Increase internal command pool
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Indentation and smatch warning fixes
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: MR_TargetIdToLdGet u8 to u16 and avoid
  invalid raid-map access (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: NVME Interface detection and prop settings
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: NVME fast path io support
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: NVME interface target prop added
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: RAID map is accessed for SYS PDs when
  use_seqnum_jbod_fp is not set (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Refactor MEGASAS_IS_LOGICAL macro using sdev
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Remove unused pd_index from
  megasas_build_ld_nonrw_fusion (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: SAS3.5 Generic Megaraid Controllers Stream
  Detection and IO Coalescing (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: SAS3.5 Generic Megaraid Controllers Fast
  Path for RAID 1/10 Writes (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Send SYNCHRONIZE_CACHE for VD to firmware
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Send correct PhysArm to FW for R1 VD
  downgrade (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Use DID_REQUEUE (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Use memdup_user() rather than duplicating
  its implementation (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: Use synchronize_irq to wait for IRQs to
  complete (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: add correct return type check for ldio
  hint logic for raid1 (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: add in missing white space in error message
  text (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: add in missing white spaces in error
  messages text (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: add print in device removal path
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: array overflow in megasas_dump_frame()
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: avoid unaligned access in ioctl path
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: big endian support changes
  (bsc#1018001,FATE#321669).
- megaraid_sas: call ISR function to clean up pending replies
  in OCR path (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: change issue_dcmd to return void from int
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: clean function declarations in
  megaraid_sas_base.c up (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: cpu select rework (bsc#1018001,FATE#321669).
- megaraid_sas: driver version upgrade (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: driver version upgrade
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: driver version upgrade
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: driver version upgrade
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: enable intx only if msix request fails
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: enhance debug logs in OCR context
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: handle dma_addr_t right on 32-bit
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: latest controller OCR capability from FW
  before sending shutdown DCMD (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: ldio_outstanding variable is not decremented
  in completion path (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: max_fw_cmds are decremented twice, remove
  duplicate (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: megasas_get_request_descriptor always
  return valid desc (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: megasas_return_cmd does not memset IO
  frame to zero (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: raid 1 fast path code optimize
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: raid 1 write performance for large io
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: raid6 also require cpuSel check same as
  raid5 (bsc#1018001,FATE#321669).
- megaraid_sas: reduce memory footprints in kdump mode
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: reduce size of fusion_context and use
  vmalloc if kmalloc fails (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: set pd_after_lb from MR_BuildRaidContext
  and initialize pDevHandle to MR_DEVHANDLE_INVALID
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: set residual bytes count during IO
  completion (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: switch to pci_alloc_irq_vectors
  (bsc#1018001,FATE#321669).
- megaraid_sas: task management code optimizations
  (bsc#1018001,FATE#321669).
- scsi: megaraid_sas: update can_queue only if the new value is
  less (bsc#1018001,FATE#321669).
- commit 87de137
* Thu Mar 30 2017 msuchanek@suse.de
- scsi: ipr: Driver version 2.6.4 (bsc#1031555, fate#321595).
- commit 2e930a5
* Thu Mar 30 2017 msuchanek@suse.de
- scsi: ipr: Fix SATA EH hang (bsc#1031555, fate#321595).
- scsi: ipr: Error path locking fixes (bsc#1031555, fate#321595).
- commit 45e0226
* Thu Mar 30 2017 msuchanek@suse.de
- scsi: ipr: Fix abort path race condition (bsc#1031555,
  fate#321595).
- commit 703e928
* Thu Mar 30 2017 msuchanek@suse.de
- scsi: ipr: Remove redundant initialization (bsc#1031555,
  fate#321595).
- commit 312d22f
* Thu Mar 30 2017 msuchanek@suse.de
- scsi: ipr: Fix missed EH wakeup (bsc#1031555, fate#321595).
- commit 49ef409
* Thu Mar 30 2017 bp@suse.de
- x86/ras/therm_throt: Do not log a fake MCE for thermal events
  (bsc#1028027).
- commit 66f88ca
* Thu Mar 30 2017 dchang@suse.com
- be2net: get rid of custom busy poll code (bsc#1021121
  FATE#321675).
- commit 5e68762
* Thu Mar 30 2017 jeffm@suse.com
- Btrfs: fix comparison in __btrfs_map_block() (bsc#1028765).
- commit a121285
* Thu Mar 30 2017 lma@suse.com
- PCI: Work around Intel Sunrise Point PCH incorrect ACS
  capability (bsc#1030057).
- PCI: Reverse standard ACS vs device-specific ACS enabling
  (bsc#1030057).
- commit 15196f9
* Thu Mar 30 2017 bpoirier@suse.com
- Integrate ibmvnic patches into sorted network backports section
- commit 73392aa
* Wed Mar 29 2017 mbrugger@suse.com
- arm64: Update config files.
  Enable TCG_CRB as a module
- commit 5b6255f
* Wed Mar 29 2017 mbrugger@suse.com
- ACPICA: Update TPM2 ACPI table (fate#320512).
- tpm/tpm_crb: Enable TPM CRB interface for ARM64 (fate#320512).
- tpm, tpm_crb: Handle 64-bit resource in crb_check_resource()
  (fate#320512).
- tpm_crb: map locality registers (fate#319899 fate#320700).
- tpm crb: Work around BIOS's that report the wrong ACPI region
  size (fate#319899 fate#320700).
- commit 9c8d0b8
* Wed Mar 29 2017 yousaf.kaukab@suse.com
- jump_label: Make it possible for arches to invoke
  jump_label_init() earlier (fate#320512).
- commit 9b4a745
* Wed Mar 29 2017 msuchanek@suse.de
- net: ibmvnic: Remove unused net_stats member from struct
  ibmvnic_adapter (fate#322021, bsc#1031512).
- ibmvnic: Correct ibmvnic handling of device open/close
  (fate#322021, bsc#1031512).
- commit 54110fb
* Wed Mar 29 2017 msuchanek@suse.de
- ibmvnic: Move ibmvnic adapter intialization to its own routine
  (fate#322021, bsc#1031512).
- commit f169a03
* Wed Mar 29 2017 msuchanek@suse.de
- ibmvnic: Move login to its own routine (fate#322021,
  bsc#1031512).
- commit e6d8494
* Wed Mar 29 2017 msuchanek@suse.de
- ibmvnic: Move login and queue negotiation into ibmvnic_open
  (fate#322021, bsc#1031512).
- ibmvnic: Free tx/rx scrq pointer array when releasing sub-crqs
  (fate#322021, bsc#1031512).
- commit c83dde9
* Wed Mar 29 2017 msuchanek@suse.de
- ibmvnic: Allocate number of rx/tx buffers agreed on by firmware
  (fate#322021, bsc#1031512).
- commit e10def5
* Wed Mar 29 2017 msuchanek@suse.de
- ibmvnic: Fix overflowing firmware/hardware TX queue
  (fate#322021, bsc#1031512).
- commit 55a3fcc
* Wed Mar 29 2017 msuchanek@suse.de
- ibmvnic: Make CRQ interrupt tasklet wait for all capabilities
  crqs (fate#322021, bsc#1031512).
- ibmvnic: Use common counter for capabilities checks
  (fate#322021, bsc#1031512).
- commit 3b469d8
* Wed Mar 29 2017 msuchanek@suse.de
- ibmvnic: Handle processing of CRQ messages in a tasklet
  (fate#322021, bsc#1031512).
- commit a56c2a4
* Wed Mar 29 2017 msuchanek@suse.de
- ibmvnic: Fix endian errors in error reporting output
  (fate#322021, bsc#1031512).
- commit 7b51de0
* Wed Mar 29 2017 msuchanek@suse.de
- ibmvnic: Fix endian error when requesting device capabilities
  (fate#322021, bsc#1031512).
- ibmvnic: Call napi_disable instead of napi_enable in failure
  path (fate#322021, bsc#1031512).
- commit 99ba0be
* Wed Mar 29 2017 msuchanek@suse.de
- ibmvnic: Initialize completion variables before starting work
  (fate#322021, bsc#1031512).
- commit 84952f9
* Wed Mar 29 2017 msuchanek@suse.de
- net: ibm: ibmvnic: use new api ethtool_{get|set}_link_ksettings
  (fate#322021, bsc#1031512).
- commit 016b0fb
* Wed Mar 29 2017 hare@suse.de
- scsi: mpt3sas: Avoid sleeping in interrupt context
  (bsc#1017972,FATE#321666).
- scsi: mpt3sas: Force request partial completion alignment
  (bsc#1017972,FATE#321666).
- scsi: mpt3sas: Updating driver version to v15.100.00.00
  (bsc#1017972,FATE#321666).
- scsi: mpt3sas: Fix Firmware fault state 0x2100 during heavy
  4K RR FIO stress test (bsc#1017972,FATE#321666).
- scsi: mpt3sas: Fix for Crusader to achieve product targets
  with SAS devices (bsc#1017972,FATE#321666).
- scsi: mpt3sas: Added print to notify cable running at a degraded
  speed (bsc#1017972,FATE#321666).
- scsi: mpt3sas: fix hang on ata passthrough commands
  (bsc#1017972,FATE#321666).
- scsi: mpt3sas: Recognize and act on iopriority info
  (bsc#1017972,FATE#321666).
- scsi: mpt3sas: fix some spelling mistakes in message and
  comments (bsc#1017972,FATE#321666).
- scsi: mpt3sas: Bump driver version as "14.101.00.00"
  (bsc#1017972,FATE#321666).
- scsi: mpt3sas: Fix for Endianness issue
  (bsc#1017972,FATE#321666).
- scsi: mpt3sas: Use the new MPI 2.6 32-bit Atomic Request
  Descriptors for SAS35 devices (bsc#1017972,FATE#321666).
- scsi: mpt3sas: set EEDP-escape-flags for SAS35 devices
  (bsc#1017972,FATE#321666).
- scsi: mpt3sas: Increased/Additional MSIX support for SAS35
  devices (bsc#1017972,FATE#321666).
- scsi: mpt3sas: Added Device ID's for SAS35 devices and updated
  MPI header (bsc#1017972,FATE#321666).
- scsi: mpt3sas: Bump driver version as "14.100.00.00"
  (bsc#1017972,FATE#321666).
- scsi: mpt3sas: Remove unused macro "MPT_DEVICE_TLR_ON"
  (bsc#1017972,FATE#321666).
- scsi: mpt3sas: Implement device_remove_in_progress check in
  IOCTL path (bsc#1017972,FATE#321666).
- scsi: mpt3sas: Fix for incorrect numbers for MSIX
  vectors enabled when non RDPQ card is enumerated first
  (bsc#1017972,FATE#321666).
- scsi: mpt3sas: Fix for improper info displayed in var log, while
  blocking or unblocking the device (bsc#1017972,FATE#321666).
- mpt3sas: Fix warnings exposed by W=1 (bsc#1017972,FATE#321666).
- mpt3sas: Eliminate dead sleep_flag code
  (bsc#1017972,FATE#321666).
- mpt3sas: Eliminate conditional locking in
  mpt3sas_scsih_issue_tm() (bsc#1017972,FATE#321666).
- mpt3sas: avoid mpt3sas_transport_port_add NULL parent_dev
  (bsc#1017972,FATE#321666).
- mpt3sas: set num_phys after allocating phy space
  (bsc#1017972,FATE#321666).
- mpt3sas: add missing curly braces (bsc#1017972,FATE#321666).
- mpt3sas: Used "synchronize_irq()"API to synchronize timed-out
  IO & TMs (bsc#1017972,FATE#321666).
- mpt3sas: Set maximum transfer length per IO to 4MB for VDs
  (bsc#1017972,FATE#321666).
- mpt3sas: Updating mpt3sas driver version to 13.100.00.00
  (bsc#1017972,FATE#321666).
- mpt3sas: Fix initial Reference tag field for 4K PI drives
  (bsc#1017972,FATE#321666).
- mpt3sas: Handle active cable exception event
  (bsc#1017972,FATE#321666).
- mpt3sas: Update MPI header to 2.00.42 (bsc#1017972,FATE#321666).
- mpt3sas: Remove usage of 'struct timeval'
  (bsc#1017972,FATE#321666).
- mpt3sas: Don't overreach ioc->reply_post during initialization
  (bsc#1017972,FATE#321666).
- commit 7ca9c53
* Wed Mar 29 2017 oneukum@suse.com
- Bluetooth: Replace constant hw_variant from Intel Bluetooth
  firmware filename (FATE#321353).
- commit 088d78e
* Wed Mar 29 2017 pjakobsson@suse.de
- io-mapping.h: s/PAGE_KERNEL_IO/PAGE_KERNEL/ (fate#321223).
- commit c9b1da8
* Wed Mar 29 2017 oneukum@suse.com
- mfd: lpss: Fix Intel Kaby Lake PCH-H properties (FATE#321228).
- mfd: intel-lpss: Pass SDA hold time to I2C host controller
  driver (FATE#321228).
- mfd: intel-lpss: Add support for passing device properties
  (FATE#321228).
- mfd: core: propagate device properties to sub devices drivers
  (FATE#321228).
- driver core: platform: Add support for built-in device
  properties (FATE#321228).
- device property: helper macros for property entry creation
  (FATE#321228).
- device property: convert to use match_string() helper
  (FATE#321228).
- device property: fix for a case of use-after-free (FATE#321228).
- device property: fwnode->secondary may contain ERR_PTR(-ENODEV)
  (FATE#321228).
- device property: avoid allocations of 0 length (FATE#321228).
- device property: the secondary fwnode needs to depend on the
  primary (FATE#321228).
- device property: Take a copy of the property set (FATE#321228).
- device property: Fallback to secondary fwnode if primary misses
  the property (FATE#321228).
- device property: improve readability of macros (FATE#321228).
- device property: keep single value inplace (FATE#321228).
- device property: refactor built-in properties support
  (FATE#321228).
- device property: rename helper functions (FATE#321228).
- device property: always check for fwnode type (FATE#321228).
- commit 6208b61
* Wed Mar 29 2017 yousaf.kaukab@suse.com
- PCI: Add ACS quirk for Qualcomm QDF2400 and QDF2432
  (fate#320512).
- commit 67dcc0f
* Wed Mar 29 2017 yousaf.kaukab@suse.com
- irqchip/gicv3-its: Add workaround for QDF2400 ITS erratum 0065
  (fate#320512).
- Update config files.
- commit 9b6f34c
* Wed Mar 29 2017 mbrugger@suse.com
- arm64: Avoid clobbering mm in erratum workaround on QDF2400
  (fate#320512).
- arm64: mm: only initialize swiotlb when necessary (fate#320512).
- commit 90df0cd
* Wed Mar 29 2017 pjakobsson@suse.de
- io-mapping: Always create a struct to hold metadata about the
  io-mapping (fate#321223).
- io-mapping: Specify mapping size for io_mapping_map_wc()
  (fate#321223).
- commit 4eedad7
* Wed Mar 29 2017 dchang@suse.com
- i40e, i40evf backport for SLE12-SP3 (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247)
- Changed version from 1.6.21 to 1.6.25 (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- Merge commit de0ba9a0d890 of
  git://git.kernel.org/pub/scm/linux/kernel/git/davem/net
  (bsc#1024346 FATE#321239).
- bpf: allow bpf_csum_diff to feed bpf_l3_csum_replace as well
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Add Clause22 implementation (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Add DeviceID for X722 QSFP+ (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Add FEC for 25g (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: Add RSS configuration to virtual channel (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Add VF promiscuous mode driver support (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Add a call to set the client interface down (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Add allmulti support for the VF (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Add bus number info to i40e_bus_info struct (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Add common function for finding VSI by type (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Add device capability which defines if update is available
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Add functions which apply correct PHY access method for
  read and write operation (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: Add missing \n to end of dev_err message (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Add new device ID for X722 (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Add promiscuous on VLAN support (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Add protocols over MCTP to i40e_aq_discover_capabilities
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Add support for 25G devices (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Add support for HMC resource and profile for X722
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Add support for configuring VF RSS (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Add support for disabling all link and change bits needed
  for PHY interactions (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: Add vf-true-promisc-support priv flag (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Added code to prevent double resets (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Allow RSS Hash set with less than four parameters
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Assure that adminq is alive in debug mode (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Bit test mask correction (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Blink LED on 1G BaseT boards (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Bump version from 1.5.10 to 1.5.16 (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Change comment to reflect correct function name
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Change some init flow for the client (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Change the default for VFs to be not privileged
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Change unknown event error msg to ignore message
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Check client is open before calling client ops
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Clean up MSIX IRQs before suspend (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Clean up dead code (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: Clean up handling of msglevel flags and debug parameter
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Code cleanup in i40e_add_fdir_ethtool (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Correct UDP packet header for non_tunnel-ipv6 (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Correcting mutex usage in client code (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Deprecating unused macro (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Disable link polling (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: Don't notify client of VF reset during VF creation
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Driver prints log message on link speed change
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Drop code for unsupported flow types (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Drop extra copy of function (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Drop packet split receive routine (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Drop redundant Rx descriptor processing code (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Enable Geneve offload for FW API ver > 1.4 for XL710/X710
  devices (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Error handling for link event (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Explicitly write platform-specific mac address after PF
  reset (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Expose 'trust' flag to userspace via ndo_get_vf_config
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Fix Adaptive ITR enabling (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Fix Flow Director raw_buf cleanup (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Fix RSS to not be limited by the number of CPUs
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Fix a bug where a client close can be called before
  an open is complete (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: Fix bit logic error in failure case (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Fix byte ordering in ARP NS code for X722 (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Fix client interaction (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Fix configure TCs after initial DCB disable (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Fix errors resulted while turning off TSO (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Fix for division by zero (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Fix for ethtool Supported link modes (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Fix for extra byte swap in tunnel setup (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Fix for long link down notification time (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Fix for supported link modes in 10GBaseT PHY's
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Fix kernel panic on enable/disable LLDP (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Fix static analysis tool warning (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Fix to check for NULL (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: Fix to show correct Advertised Link Modes when link is
  down (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Fix uninitialized variable (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Fix up return code (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: Force register writes to mitigate sync issues with iwarp
  VF driver (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Implement the API function for aq_set_switch_config
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Implementation of ERROR state for NVM update state machine
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Increase minimum number of allocated VSI (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Initialize pointer in client_release function (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Input set mask constants for RSS, flow director, and
  flex bytes (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Inserting a HW capability display info (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Invoke softirqs after napi_reschedule (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Leave debug_mask cleared at init (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Limit TX descriptor count in cases where frag size
  is greater than 16K (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: Limit the number of MAC and VLAN addresses that can be
  added for VFs (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Lower some message levels (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Make VF resets more reliable (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Make struct i40e_stats const (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Move HW flush (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: Move NVM event wait check to NVM code (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Move NVM variable out of AQ struct (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Move the mutex lock in i40e_client_unregister (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Notify VFs of all resets (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: PTP - avoid aggregate return warnings (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Pass unknown PHY type for unknown PHYs (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Patch to support trusted VF (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Prevent falling to promiscuous if the VF is not trusted
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Quick refactor to start moving data off stack and into Tx
  buffer info (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Refactor ethtool get_settings (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Refactor receive routine (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Removal of workaround for simple MAC address filter
  deletion (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Remove 100 Mbps SGMII support for X722 (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Remove FPK HyperV VF device ID (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Remove HMC AQ API implementation (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Remove MSIx only if created (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Remove XSTRINGIFY macro definitions and uses (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Remove device ID 0x37D4 (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Remove timer and task only if created (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Remove unreachable code (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Remove unused function i40e_vsi_lookup (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Remove unused variable (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Remove zero check (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: Removing unnecessary code which caused supported link
  mode bug (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Reorder logic for coalescing RS bits (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Request PHY media event at reset time (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Restrict VF poll mode to only single function mode devices
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Rewrite Flow Director busy wait loop (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Save PCI state before suspend (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Save link FEC info from link up event (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Save more link abilities when using ethtool (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Save off VSI resource count when updating VSI (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Specify AQ event opcode to wait for (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Split Flow Director descriptor config into separate
  function (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Strip out debugfs hook for Flow Director filter
  programming (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: Test memory before ethtool alloc succeeds (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: Update device ids for X722 (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Use consistent type for vf_id (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: Use list_move instead of list_del/list_add (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: When searching all MAC/VLAN filters, ignore removed
  filters (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: add VSI info to macaddr messages (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: add encap csum VF offload flag (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: add functions to control default VSI (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: add hw struct local variable (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: add interrupt rate limit verbosity (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: add missing link advertise setting (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: allow i40e_update_filter_state to skip broadcast filters
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: avoid O(n^2) loop when deleting all filters (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: avoid duplicate private flags definitions (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: avoid looping to check whether we're in VLAN mode
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: avoid potential null pointer dereference when assigning
  len (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: avoid race condition when sending filters to firmware
  for addition (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: call ndo_stop() instead of dev_close() when running
  offline selftest (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: change Rx hang message into a WARN_ONCE (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: change message to only appear when extra debug info is
  wanted (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: check conflicting ntuple/sideband rules when re-enabling
  ATR (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: check for and deal with non-contiguous TCs (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: check if vectors are already depleted when doing VMDq
  allocation (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: cleanup ATR auto_disable_flags use (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: clear mac filter count on reset (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: constify i40e_client_ops structure (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: convert to cpu from le16 to generate switch_id correctly
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: correct check for reading TSYNINDX from the receive
  descriptor (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: defeature support for PTP L4 frame detection on XL710
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: delete filter after adding its replacement when converting
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: disable MSI-X interrupts if we cannot reserve enough
  vectors (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: don't add broadcast filter for VFs (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: don't allow i40e_vsi_(add|kill)_vlan to operate when VID<1
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: don't allow reduction of channels below active FD rules
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: don't check params until after checking for client
  instance (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: don't truncate match_method assignment (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: don't warn every time we clear an Rx timestamp register
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: drop is_vf and is_netdev fields in struct i40e_mac_filter
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: enable VSI broadcast promiscuous mode instead of
  adding broadcast filter (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: enable mc magic pkt wakeup during power down (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: factor out addition/deletion of VLAN per each MAC address
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: fix MAC filters when removing VLANs (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: fix MSI-X vector redistribution if hw limit is reached
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: fix confusing dmesg info for ethtool -L option
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: fix deleting mac filters (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: fix disable overflow promiscuous mode (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: fix "dump port" command when NPAR enabled (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: fix lookup table when RSS disabled/enabled (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: fix memory leak (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: fix misleading indentation (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: fix missing DA cable check (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: fix panic on SPARC while changing num of desc (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: fix setting user defined RSS hash key (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: fix sideband flow director vector allocation (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: fix trivial typo in naming of i40e_sync_filters_subtask
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: fold the i40e_is_vsi_in_vlan check into
  i40e_put_mac_in_vlan (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: group base mode VF offload flags (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e/i40evf: Add support for IPIP and SIT offloads (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Add support for bulk free in Tx cleanup
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Add txring_txq function to match fm10k and ixgbe
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Allow up to 12K bytes of data per Tx descriptor
  instead of 8K (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf : Bump driver version from 1.5.5 to 1.5.10
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Bump patch from 1.4.25 to 1.5.1 (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Bump patch from 1.5.1 to 1.5.2 (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Bump patch from 1.5.2 to 1.5.5 (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Bump version from 1.5.16 to 1.6.4 (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf-Bump version from 1.6.11 to 1.6.12 (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Changed version from 1.6.16 to 1.6.19 (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Changed version from 1.6.19 to 1.6.21 (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf : Changed version from 1.6.25 to 1.6.27 (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Changed version to 1.6.16 (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e/i40evf: Clean up feature flags (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e/i40evf: Drop unused tx_ring argument (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Faster RX via avoiding FCoE (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Fix TSO checksum pseudo-header adjustment
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Fix i40e_rx_checksum (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e/i40evf: Fix indentation (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e/i40evf: Limit DMA sync of RX buffers to actual packet size
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Move stack var deeper (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e/i40evf: Moves skb from i40e_rx_buffer to i40e_ring
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Only offload VLAN tag if enabled (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Refactor tunnel interpretation (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Remove I40E_MAX_USER_PRIORITY define (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Remove reference to ring->dtype (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Remove unused hardware receive descriptor code
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: Reset VLAN filter count when resetting (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf-bump version to 1.6.11 (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e/i40evf: eliminate i40e_pull_tail() (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e/i40evf: fix I40E_MASK signed shift overflow warnings
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: fix interrupt affinity bug (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e/i40evf: napi_poll must return the work done (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: properly report Rx packet hash (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e/i40evf: remove useless initializer (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e/i40evf: replace for memcpy with single memcpy call in
  ethtool (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: implement __i40e_del_filter and use where applicable
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: lie to the VF (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: lock service task correctly (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: make use of BIT() macro to prevent left shift of signed
  values (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: make use of __dev_uc_sync and __dev_mc_sync (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: mark the value passed to csum_replace_by_diff as __wsum
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: move all updates for VLAN mode into i40e_sync_vsi_filters
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: move i40e_put_mac_in_vlan and i40e_del_mac_all_vlan
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: no need to check is_vsi_in_vlan before calling
  i40e_del_mac_all_vlan (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: properly cleanup on allocation failure in
  i40e_sync_vsi_filters (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: properly convert le16 value to CPU format (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: recalculate vsi->active_filters from hash contents
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: refactor AQ CMD buffer debug printing (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: refactor Rx filter handling (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: refactor i40e_put_mac_in_vlan to avoid changing f->vlan
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: refactor i40e_update_filter_state to avoid passing aq_err
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: refactor macro INTRL_USEC_TO_REG (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: refactor tail_bump check (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: remove a stray unlock (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40e: remove code to handle dev_addr specially (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: remove duplicate add/delete adminq command code for
  filters (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: remove duplicate device id from PCI table (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: remove error_param_int label from
  i40e_vc_config_promiscuous_mode_msg (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: remove redundant check on vsi->active_vlans (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: remove second check of VLAN_N_VID in i40e_vlan_rx_add_vid
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: remove unnecessary __packed (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: remove unnecessary call to i40e_update_link_info
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: remove unused function (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: removed unreachable code (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: removing unreachable code (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: rename i40e_put_mac_in_vlan and i40e_del_mac_all_vlan
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: reopen client after reset (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: replace PTP Rx timestamp hang logic (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: reset RX csum error stat with other pf stats (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: restore workaround for removing default MAC filter
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: return correct opcode to VF (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: set broadcast promiscuous mode for each active VLAN
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: set context to use VSI RSS LUT for SR-IOV (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: set default VSI without a reset (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: simplify txd use count calculation (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40e: store MAC/VLAN filters in a hash with the MAC Address
  as key (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: update comment explaining where FDIR buffers are freed
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: use a mutex instead of spinlock in PTP user entry points
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: use (add|rm)_vlan_all_mac helper functions when changing
  PVID (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: use alloc_workqueue instead of
  create_singlethread_workqueue (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: use matching format identifiers (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40e: use unsigned printf format specifier for active_filters
  count (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: use valid online CPU on q_vector initialization
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: when adding or removing MAC filters, correctly handle
  VLANs (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40e: write HENA for VFs (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40evf: Add additional check for reset (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40evf: Add driver support for promiscuous mode (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40evf: Add longer wait after remove module (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40evf: Allocate Rx buffers properly (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40evf: Allow PF driver to configure RSS (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40evf: Be much more verbose about what we can and cannot
  offload (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40evf: Don't Panic (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40evf: Drop packet split receive routine (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40evf: Fix VLAN features (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40evf: Fix get_rss_aq (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40evf: Fix link state event handling (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40evf: Move some i40evf_reset_task code to separate function
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40evf: Open RDMA Client after reset (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40evf: RSS Hash Option parameters (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40evf: add comment (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40evf: add hyperv dev ids (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40evf: add missing rtnl_lock() around
  i40evf_set_interrupt_capability (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40evf: always activate correct MAC address filter (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40evf: avoid an extra msleep while (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40evf: check for msix_entries null dereference (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40evf: don't overflow buffer (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40evf: enable adaptive interrupt throttling (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- i40evf: free rings in remove function (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40evf: make use of BIT() macro to avoid signed left shift
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40evf: properly handle VLAN features (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40evf: protect against NULL msix_entries and q_vectors pointers
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40evf: refactor receive routine (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40evf: remove dead code (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40evf: remove unnecessary error checking against
  i40e_shutdown_adminq (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40evf: remove unnecessary error checking against
  i40evf_up_complete (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40evf: remove unused device ID (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- i40evf: report link speed (bsc#1024346 FATE#321239 bsc#1024373
  FATE#321247).
- i40evf: support queue-specific settings for interrupt moderation
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- i40evf: track outstanding client request (bsc#1024346
  FATE#321239 bsc#1024373 FATE#321247).
- net: remove dev->trans_start (bsc#1024346 FATE#321239
  bsc#1024373 FATE#321247).
- scripts/spelling.txt: add "varible" pattern and fix typo
  instances (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- Refresh
  patches.drivers/i40e-Don-t-notify-client-s-for-DCB-changes-on-all-VS.patch.
- Update patches.drivers/i40e-Remove-redundant-memset.patch
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- Refresh
  patches.drivers/i40e-fix-broken-i40e_config_rss_aq-function.patch.
- Update
  patches.drivers/i40e-move-i40e_vsi_config_rss-below-i40e_get_rss_aq.patch
  (bsc#1024346 FATE#321239 bsc#1024373 FATE#321247).
- Refresh
  patches.drivers/net-Update-API-for-VF-vlan-protocol-802.1ad-support.patch
- commit 72e4e5f
* Wed Mar 29 2017 neilb@suse.com
- badblocks: badblocks_set/clear update unacked_exist
  (fate#321488).
- badblocks: fix overlapping check for clearing (fate#321488).
- commit 624d670
* Tue Mar 28 2017 bpoirier@suse.com
- Integrate post-SP2 mlx4 patches into sorted section
  Many more mlx4 patches will be interleaved in that section and we want to
  reduce context conflicts.
- commit e8883a1
* Tue Mar 28 2017 bpoirier@suse.com
- Integrate post-v4.6 mlx5 patches into sorted section
  Many more mlx5 patches will be interleaved in that section and we want to
  reduce context conflicts.
- commit 2c3c442
* Tue Mar 28 2017 bp@suse.de
- x86/mce: Don't print MCEs when mcelog is active (bsc#1013994).
- commit ca05d62
* Tue Mar 28 2017 bpoirier@suse.com
- net/mlx4_core: Avoid delays during VF driver device shutdown
  (bsc#1028017).
- net/mlx4_core: Use cq quota in SRIOV when creating completion
  EQs (bsc#1028017).
- net/mlx4_core: Avoid command timeouts during VF driver device
  shutdown (bsc#1028017).
- net/mlx4_core: Fix when to save some qp context flags for
  dynamic VST to VGT transitions (bsc#1028017).
- net/mlx4_core: Fix racy CQ (Completion Queue) free
  (bsc#1028017).
- net/mlx4_en: Fix bad WQE issue (bsc#1028017).
- Revert "net/mlx4_en: Avoid unregister_netdev at shutdown flow"
  (bsc#1028017).
- commit 39373b9
* Tue Mar 28 2017 bpoirier@suse.com
- Refresh
  patches.drivers/0001-badblocks-add-core-badblock-management-code.patch.
- Refresh
  patches.drivers/0011-irq_poll-make-blk-iopoll-available-outside-the-block-layer.patch.
  Fix build breakage when building partway through series:
  CC [M]  drivers/net/ethernet/mellanox/mlx4/cmd.o
  In file included from include/rdma/ib_mad.h:42:0,
  from include/rdma/ib_smi.h:40,
  from drivers/net/ethernet/mellanox/mlx4/cmd.c:44:
  include/rdma/ib_verbs.h:52:28: fatal error: linux/irq_poll.h: No such file or directory
  [#]include <linux/irq_poll.h>
  ^
  compilation terminated.
  irq_poll.h is introduced by
  511cbce2ff8b irq_poll: make blk-iopoll available outside the block layer (v4.5-rc1)
  in
  patches/patches.drivers/0011-irq_poll-make-blk-iopoll-available-outside-the-block-layer.patch
- commit cd1830e
* Tue Mar 28 2017 tiwai@suse.de
- PCI: pciehp: Prioritize data-link event over presence detect
  (bsc#1031040).
- commit 00aef65
* Tue Mar 28 2017 yousaf.kaukab@suse.com
- arm64: Work around Falkor erratum 1003 (fate#320512).
- Update config files.
- arm64: alternative: add auto-nop infrastructure (fate#320512).
- arm64: fix "dc cvau" cache operation on errata-affected core
  (fate#320512).
- Revert "arm64: alternatives: add enable parameter to conditional
  asm macros" (fate#320512).
- arm64: Add hypervisor safe helper for checking constant
  capabilities (fate#320512).
- arm64: Use static keys for CPU features (fate#320512).
- jump_labels: Allow array initialisers (fate#320512).
- tty: acpi/spcr: QDF2400 E44 checks for wrong OEM revision
  (fate#320512).
- tty: pl011: Work around QDF2400 E44 stuck BUSY bit
  (fate#320512).
- tty: serial: pl011: add ttyAMA for matching pl011 console
  (fate#320512).
- tty: amba-pl011: add .get_fifosize for ZTE device (fate#320512).
- tty: amba-pl011: define flag register bits for ZTE device
  (fate#320512).
- tty: amba-pl011: Use 32-bit accesses for SBSA UART
  (fate#320512).
- serial: amba-pl011: mark vendor_zte as __maybe_unused
  (fate#320512).
- tty: amba-pl011: add support for ZTE UART (EXPERIMENTAL)
  (fate#320512).
- commit 53f4e7a
* Tue Mar 28 2017 hare@suse.de
- Enable dm-switch module (FATE#321463)
  Update config files.
- commit c93024a
* Tue Mar 28 2017 mbrugger@suse.com
- mfd: intel_quark_i2c_gpio: Use clkdev_create() (fate#319899
  fate#320700).
- commit 9649721
* Mon Mar 27 2017 mbrugger@suse.com
- supported.conf: Mark fpga-region and fpga-bridge as supported
- commit 13f477e
* Mon Mar 27 2017 mbrugger@suse.com
- Update config files.
  arm64: Enable GS_FPGABOOT, FPGA_REGION and FPGA_BRIDGE set as module
  ppc: Don't enable FPGA_BRIDGE
- commit 964811c
* Mon Mar 27 2017 mbrugger@suse.com
- fpga: fpga-region: device tree control for FPGA (fate#322047).
- fpga: add fpga bridge framework (fate#322047).
- add sysfs document for fpga bridge class (fate#322047).
- fpga-mgr: add fpga image information struct (fate#322047).
- fpga: add bindings document for fpga region (fate#322047).
- doc: fpga-mgr: add fpga image info to api (fate#322047).
- fpga: add method to get fpga manager from device (fate#322047).
- of/overlay: add of overlay notifications (fate#322047).
- drivers/of: Export OF changeset functions (fate#322047).
- commit 8505ec7
* Mon Mar 27 2017 mbrugger@suse.com
- supported.conf: Mark spi-orion as supported
- commit ea12841
* Mon Mar 27 2017 mbrugger@suse.com
- arm64: Update config files.
  Enable SPI_ORION as module
- commit 74ba7c0
* Mon Mar 27 2017 mbrugger@suse.com
- spi: orion: Fix return value check in orion_spi_probe()
  (fate#319899 fate#320700).
- spi: orion: Add direct access mode (fate#319899 fate#320700).
- spi: spi-orion: enable the driver on ARCH_MVEBU platforms
  (fate#319899 fate#320700).
- commit f886be4
* Mon Mar 27 2017 mbrugger@suse.com
- supported.conf: Marc i2c-mv64xxx as supported
- commit 1d34b46
* Mon Mar 27 2017 mbrugger@suse.com
- arm64: Update config files.
  Enable I2C_MV64XXX as module.
- commit 5e3774c
* Mon Mar 27 2017 mbrugger@suse.com
- i2c: mv64xxx: remove CONFIG_HAVE_CLK conditionals (fate#319899
  fate#320700).
- i2c: mv64xxx: use clk_{prepare_enable,disable_unprepare}
  (fate#319899 fate#320700).
- i2c: mv64xxx: handle probe deferral for the clock (fate#319899
  fate#320700).
- i2c: mv64xxx: enable the driver on ARCH_MVEBU (fate#319899
  fate#320700).
- usb: host: xhci: plat: change type of mvebu init_quirk()
  (fate#319899 fate#320700).
- usb: host: xhci: plat: move mvebu init_quirk() to
  xhci_plat_setup() (fate#319899 fate#320700).
- commit 6a781a2
* Mon Mar 27 2017 bpoirier@suse.com
- net: thunderx: Allow IPv6 frames with zero UDP checksum
  (FATE#322326).
- net: thunderx: Fix invalid mac addresses for node1 interfaces
  (FATE#322326).
- net: thunderx: Fix LMAC mode debug prints for QSGMII mode
  (FATE#322326).
- commit 7ff6f40
* Mon Mar 27 2017 mbrugger@suse.com
- supported.conf: mark sdhci-pxav3 as supported
- commit 2724799
* Mon Mar 27 2017 bpoirier@suse.com
- Delete
  patches.fixes/pci-correctly-cast-mem_base-in-pci_read_bridge_mmio_.patch.
- Delete
  patches.suse/mlx4-Do-not-BUG_ON-if-device-reset-failed.patch.
  These patches were introduced as temporary fixes for SP2 GMC. They can be
  removed now that the following upstream fix has been integrated:
  e42010d8207f ("PCI: Set Read Completion Boundary to 128 iff Root Port
  supports it (_HPX)", v4.9-rc8) backported as -stable ac6e42d7a720 (v4.4.37)
- commit dd07fc3
* Mon Mar 27 2017 mbrugger@suse.com
- arm64: Update config files.
  Enable MMC_SDHCI_PXAV3
- commit 74b4091
* Mon Mar 27 2017 mbrugger@suse.com
- mmc: sdhci: Rename sdhci_set_power() to sdhci_set_power_noreg()
  (fate#319899 fate#320700).
- mmc: sdhci-pxav3: Remove non needed #ifdef CONFIG_PM for
  dev_pm_ops (fate#319899 fate#320700).
- mmc: sdhci: Fix regression setting power on Trats2 board
  (fate#319899 fate#320700).
- mmc: sdhci-pxav3: use sdhci_pltfm_init for private allocation
  (fate#319899 fate#320700).
- mmc: sdhci-pxav3: fix higher speed mode capabilities
  (fate#319899 fate#320700).
- mmc: sdhci: restore behavior when setting VDD via external
  regulator (fate#319899 fate#320700).
- commit c0d3fe6
* Mon Mar 27 2017 mbrugger@suse.com
- arm64: Update config files.
  Enable PCIE_ARMADA_8K and ARMADA_37XX_CLK
- commit b11c88d
* Mon Mar 27 2017 mbrugger@suse.com
- clk: mvebu: adjust AP806 CPU clock frequencies to production
  chip (fate#319899 fate#320700).
- clk: mvebu: make ap806-system-controller explicitly non-modular
  (fate#319899 fate#320700).
- clk: mvebu: make cp110-system-controller explicitly non-modular
  (fate#319899 fate#320700).
- clk: mvebu: migrate CP110 system controller to clk_hw API and
  registration (fate#319899 fate#320700).
- clk: mvebu: armada-37xx-periph: Fix the clock gate flag
  (fate#319899 fate#320700).
- clk: mvebu: armada-37xx-periph: Fix the clock provider
  registration (fate#319899 fate#320700).
- clk: mvebu: dynamically allocate resources in Armada CP110
  system controller (fate#319899 fate#320700).
- clk: mvebu: fix setting unwanted flags in CP110 gate clock
  (fate#319899 fate#320700).
- clk: mvebu: Add clk support for the orion5x SoC mv88f5181
  (fate#319899 fate#320700).
- clk: mvebu: Remove redundant dev_err call in
  armada_3700_periph_clock_probe() (fate#319899 fate#320700).
- clk: mvebu: Add the peripheral clock driver for Armada 3700
  (fate#319899 fate#320700).
- clk: mvebu Add the time base generator clocks for Armada 3700
  (fate#319899 fate#320700).
- clk: mvebu: Add the xtal clock for Armada 3700 SoC (fate#319899
  fate#320700).
- clk: mvebu: armada-39x: add clk description for supported
  interfaces (fate#319899 fate#320700).
- clk: mvebu: new driver for Armada CP110 system controller
  (fate#319899 fate#320700).
- clk: mvebu: new driver for Armada AP806 system controller
  (fate#319899 fate#320700).
- clk: mvebu: Remove CLK_IS_ROOT (fate#319899 fate#320700).
- clk: mvebu: Move corediv config to mvebu config (fate#319899
  fate#320700).
- clk: mvebu: Remove corediv clock from Armada XP (fate#319899
  fate#320700).
- clk: mvebu: Mark ioremapped memory as __iomem (fate#319899
  fate#320700).
- clk: add Dove PLL divider support for GPU, VMeta and AXI clocks
  (fate#319899 fate#320700).
- arm64: marvell: enable Armada 3700 clock drivers (fate#319899
  fate#320700).
- clk: unconditionally recurse into clk/mvebu/ (fate#319899
  fate#320700).
- ARM: 8503/1: clk_register_clkdev: remove format string interface
  (fate#319899 fate#320700).
- clk: fixed-rate: Add hw based registration APIs (fate#319899
  fate#320700).
- clk: gpio: Add hw based registration APIs (fate#319899
  fate#320700).
- clk: composite: Add hw based registration APIs (fate#319899
  fate#320700).
- clk: fractional-divider: Add hw based registration APIs
  (fate#319899 fate#320700).
- clk: fixed-factor: Add hw based registration APIs (fate#319899
  fate#320700).
- clk: mux: Add hw based registration APIs (fate#319899
  fate#320700).
- clk: gate: Add hw based registration APIs (fate#319899
  fate#320700).
- clk: divider: Add hw based registration APIs (fate#319899
  fate#320700).
- clkdev: Add clk_hw based registration APIs (fate#319899
  fate#320700).
- clk: Add clk_hw OF clk providers (fate#319899 fate#320700).
- clk: Add {devm_}clk_hw_{register,unregister}() APIs (fate#319899
  fate#320700).
- clkdev: Remove clk_register_clkdevs() (fate#319899 fate#320700).
- clk: move the common clock's to_clk_*(_hw) macros to
  clk-provider.h (fate#319899 fate#320700).
- PCI: armada: Reorder struct armada8k_pcie (fate#319899
  fate#320700).
- PCI: armada: Pass device-specific struct to internal functions
  (fate#319899 fate#320700).
- PCI: armada: Use generic DesignWare accessors (fate#319899
  fate#320700).
- PCI: armada: Remove redundant struct armada8k_pcie.base
  (fate#319899 fate#320700).
- PCI: armada: Add local base pointer (fate#319899 fate#320700).
- PCI: armada: Remove unused platform data (fate#319899
  fate#320700).
- PCI: aardvark: Remove unused platform data (fate#319899
  fate#320700).
- PCI: aardvark: Add local struct device pointers (fate#319899
  fate#320700).
- PCI: aardvark: Fix pci_remap_iospace() failure path (fate#319899
  fate#320700).
- PCI: aardvark: Remove redundant dev_err call in
  advk_pcie_probe() (fate#319899 fate#320700).
- PCI: aardvark: host controller merge (fate#319899 fate#320700).
- PCI: armada: Add driver for Marvell Armada 7K/8K PCIe controller
  (fate#319899 fate#320700).
- PCI: designware: Add generic dw_pcie_wait_for_link()
  (fate#319899 fate#320700).
- commit 748c0eb
* Mon Mar 27 2017 bp@suse.de
- x86/platform: Remove warning message for duplicate NMI handlers
  (bsc#1029220).
- commit 2422a65
* Mon Mar 27 2017 jslaby@suse.cz
- Linux 4.4.57 (FATE#320485 LTC#141626 bnc#1012382 bnc#978056
  bnc#980892 bnc#981634 bnc#987899 bnc#988281 bsc#1029986
  bsc#991173).
- Revert "give up on gcc ilog2() constant optimizations" (kabi).
- kABI: protect struct iscsi_conn (kabi).
- Refresh
  patches.drivers/0027-usb-core-switch-bus-numbering-to-using-idr.patch.
- Refresh
  patches.suse/msft-hv-0922-hv_netvsc-move-subchannel-existence-check-to-netvsc_.patch.
- Refresh
  patches.suse/msft-hv-1010-Drivers-hv-vmbus-avoid-wait_for_completion-on-crash.patch.
- Delete
  patches.arch/s390-sles12sp2-01-05-pci-fix-use-after-free-in-dma_init.patch.
- Delete
  patches.drivers/0001-USB-don-t-free-bandwidth_mutex-too-early.patch.
- Delete
  patches.drivers/0001-usb-core-hub-hub_port_init-lock-controller-instead-o.patch.
- Delete
  patches.drivers/cxlflash-02-Increase-cmd_per_lun-for-better-throughput.
- Delete
  patches.fixes/0001-kernek-fork.c-allocate-idle-task-for-a-CPU-always-on.patch.
- Delete
  patches.fixes/ext4-fix-fencepost-in-s_first_meta_bg-validation.patch.
- Delete
  patches.suse/msft-hv-0982-hv_netvsc-use-skb_get_hash-instead-of-a-homegrown-im.patch.
- Delete
  patches.suse/msft-hv-1042-Drivers-hv-balloon-don-t-crash-when-memory-is-added-.patch.
- Delete
  patches.suse/msft-hv-1092-Drivers-hv-avoid-vfree-on-crash.patch.
- commit 9673b6b
* Mon Mar 27 2017 jack@suse.cz
- xfs: don't take the IOLOCK exclusive for direct I/O page
  invalidation (bsc#1015609).
- commit cbf955a
* Mon Mar 27 2017 oneukum@suse.com
- i2c-designware: increase timeout (bsc#1011913).
- commit f658e3a
* Mon Mar 27 2017 dchang@suse.com
- e1000: call ndo_stop() instead of dev_close() when running
  offline selftest (bsc#1024371 FATE#321245).
- commit b16d003
* Mon Mar 27 2017 neilb@suse.com
- md: superblock changes for PPL (fate#321488).
- raid5: separate header for log functions (fate#321488).
- raid5-ppl: Partial Parity Log write logging implementation
  (fate#321488).
- md: add sysfs entries for PPL (fate#321488).
- raid5-ppl: load and recover the log (fate#321488).
- raid5-ppl: support disk hot add/remove with PPL (fate#321488).
- raid5-ppl: runtime PPL enabling or disabling (fate#321488).
- Refresh patches.drivers/0081-block-kill-off-q-flush_flags.patch.
- commit 3b5e681
* Mon Mar 27 2017 dchang@suse.com
- be2net backport for SLE12-SP3 (bsc#1021121 FATE#321675)
- be2net: Add DEVSEC privilege to SET_HSW_CONFIG command
  (bsc#1021121 FATE#321675).
- be2net: Avoid redundant addition of mac address in HW
  (bsc#1021121 FATE#321675).
- be2net: Enable VF link state setting for BE3 (bsc#1021121
  FATE#321675).
- be2net: Fix TX stats for TSO packets (bsc#1021121 FATE#321675).
- be2net: Fix mac address collision in some configurations
  (bsc#1021121 FATE#321675).
- be2net: Increase skb headroom size to 256 bytes (bsc#1021121
  FATE#321675).
- be2net: Issue COMMON_RESET_FUNCTION cmd during driver unload
  (bsc#1021121 FATE#321675).
- be2net: NCSI FW section should be properly updated with ethtool
  for BE3 (bsc#1021121 FATE#321675).
- be2net: Provide an alternate way to read pf_num for BEx chips
  (bsc#1021121 FATE#321675).
- be2net: Support UE recovery in BEx/Skyhawk adapters (bsc#1021121
  FATE#321675).
- be2net: Update Copyright string in be_hw.h (bsc#1021121
  FATE#321675).
- be2net: Update the driver version to 11.1.0.0 (bsc#1021121
  FATE#321675).
- be2net: do not call napi_hash_del() (bsc#1021121 FATE#321675).
- be2net: don't delete MAC on close on unprivileged BE3 VFs
  (bsc#1021121 FATE#321675).
- be2net: fix MAC addr setting on privileged BE3 VFs (bsc#1021121
  FATE#321675).
- be2net: fix accesses to unicast list (bsc#1021121 FATE#321675).
- be2net: fix initial MAC setting (bsc#1021121 FATE#321675).
- be2net: fix non static symbol warnings (bsc#1021121
  FATE#321675).
- be2net: fix status check in be_cmd_pmac_add() (bsc#1021121
  FATE#321675).
- be2net: fix unicast list filling (bsc#1021121 FATE#321675).
- be2net: mark symbols static where possible (bsc#1021121
  FATE#321675).
- be2net: replace polling with sleeping in the FW completion path
  (bsc#1021121 FATE#321675).
- benet: stricter vxlan offloading check in be_features_check
  (bsc#1021121 FATE#321675).
- net: emulex: benet: use new api ethtool_{get|set}_link_ksettings
  (bsc#1021121 FATE#321675).
- commit 20f0085
* Sat Mar 25 2017 bpoirier@suse.com
- Integrate post-SP2 cxgb4 patches into sorted section
  Many more cxgb4 patches will be interleaved in that section and we want to
  reduce context conflicts.
- commit 7c44889
* Fri Mar 24 2017 bpoirier@suse.com
- mlx4 backport for SLE12-SP3
- Refresh
  patches.drivers/clocksource-Use-a-plain-u64-instead-of-cycle_t.patch.
- Refresh
  patches.drivers/net-make-ndo_get_stats64-a-void-function.patch.
  0c5c3252c43c mlx4: protect mlx4_en_start_port in mlx4_en_restart with rtnl_lock (v4.7-rc1)
  already applied as part of "bsc#966191 FATE#320230", moved
  3c9346b24001 net/mlx4_en: Add support for UDP tunnel segmentation with outer checksum offload (v4.7-rc1)
  Part of the series merged in 53da5b47cb6e ("Merge branch
  'tunnel-features-and-gso-partial'", v4.7-rc1)
  Depends on the series merged in edd93cd72741 ("Merge branch
  'gro-fixed-id-gso-partial'", v4.7-rc1)
  skipped, too many dependencies
  09067122db3b net/mlx4_en: Add support for inner IPv6 checksum offloads and TSO (v4.7-rc1)
  adjusted for the absence of a188222b6ed2 ("net: Rename
  NETIF_F_ALL_CSUM to NETIF_F_CSUM_MASK", v4.5-rc1)
  73898db04301 net/mlx4: Avoid wrong virtual mappings (v4.7-rc1)
  2bb07e155bb3 net/mlx4_core: Fix access to uninitialized index (v4.7-rc1)
  above two, already applied as part of "bsc#966191 FATE#320230", moved
  35fc7b7dacc1 IB/mlx4: printk fix (v4.7-rc1)
  ff2ba9936591 IB/core: Add passing an offset into the SG to ib_map_mr_sg (v4.7-rc1)
  9aa8b3217ed3 IB/core: Enhance ib_map_mr_sg() (v4.7-rc1)
  above two, already applied as part of "bnc#1024296,FATE#321265"
  aa70345369e2 IB/mlx4: trivial fix of spelling mistake on "argument" (v4.7-rc1)
  same change as 35fc7b7dacc1, skipped
  ee71b9681df6 IB/mlx4: Use list_for_each_entry_safe (v4.7-rc1)
  04ef0f1a0169 IB/mlx4: Fix unaligned access in send_reply_to_slave (v4.7-rc1)
  63a664b7e92b net/mlx4_en: fix tx_dropped bug (v4.7-rc2)
  45acbac609e7 net/mlx4_en: clear some TX ring stats in mlx4_en_clear_stats() (v4.7-rc2)
  9ed17db17fb0 net/mlx4_en: get rid of ret_stats (v4.7-rc2)
  f73a6f439fca net/mlx4_en: get rid of private net_device_stats (v4.7-rc2)
  above four, already applied as part of "bsc#966191 FATE#320230", moved
  ca920f5b67f1 IB/mlx4: Fix device managed flow steering support test (v4.7-rc3)
  8c5122e45a10 IB/mlx4: Properly initialize GRH TClass and FlowLabel in AHs (v4.7-rc5)
  already present via -stable 75012a8866cc (v4.4.16)
  f2940e2c76bb IB/mlx4: Fix the SQ size of an RC QP (v4.7-rc5)
  already present via -stable 155c27dd5575 (v4.4.19)
  a6100603a4a8 IB/mlx4: Fix error flow when sending mads under SRIOV (v4.7-rc5)
  already present via -stable d057209617da (v4.4.19)
  5533c18ab02b IB/mlx4: Verify port number in flow steering create flow (v4.7-rc5)
  5b420d9cf738 IB/mlx4: Fix memory leak if QP creation failed (v4.7-rc5)
  already present via -stable fd8c10a80ee7 (v4.4.19)
  cbc9355a939b IB/mlx4: Prevent cross page boundary allocation (v4.7-rc5)
  0c5ddb51e8f7 net/mlx4_en: initialize cmd.context_lock spinlock earlier (v4.7-rc6)
  already applied as part of "bsc#966191 FATE#320230", moved
  a547224dceed mlx4e: Do not attempt to offload VXLAN ports that are unrecognized (v4.7-rc6)
  adjusted for the absence of a188222b6ed2 ("net: Rename
  NETIF_F_ALL_CSUM to NETIF_F_CSUM_MASK", v4.5-rc1)
  93c098af0945 net/mlx4_en: Fix the return value of a failure in VLAN VID add/kill (v4.7-rc6)
  9d7693118055 net/mlx4_en: Avoid unregister_netdev at shutdown flow (v4.7-rc6)
  30f56e3ced0f net/mlx4_en: Move filters cleanup to a proper location (v4.7)
  ec25bc04ed8e net/mlx4_en: Add resilience in low memory systems (v4.7)
  7d71e994cdef net/mlx4_en: mlx4_en_netpoll() should schedule TX, not RX (v4.8-rc1)
  f7d3c1cbe34b net/mlx4_en: fix ethtool -x (v4.8-rc1)
  Above six, already applied as part of "bsc#966191 FATE#320230", moved
  a831274a1346 mlx4_en: Replace ndo_add/del_vxlan_port with ndo_add/del_udp_enc_port (v4.8-rc1)
  Part of the series merged in 832dfd1f76f0 ("Merge branch
  'tunnel-offload-future-proof'", v4.8-rc1).
  skipped, way too many dependencies
  af7d51852631 net/mlx4_en: Add DCB PFC support through CEE netlink commands (v4.8-rc1)
  5d4de16c6db6 net/mlx4: Fix some indent inconsistancy (v4.8-rc1)
  already applied as part of "bsc#966191 FATE#320230", moved
  47a38e155037 net/mlx4_en: add support for fast rx drop bpf program (v4.8-rc1)
  d576acf0a228 net/mlx4_en: add page recycle to prepare rx ring for tx support (v4.8-rc1)
  224e92e02a76 net/mlx4_en: break out tx_desc write into separate function (v4.8-rc1)
  9ecc2d86171a net/mlx4_en: add xdp forwarding and data write support (v4.8-rc1)
  Above four, part of the series merged in 22b3548861fb ("Merge
  branch 'xdp'", v4.8-rc1).
  skipped, xdp... lol (too many dependencies)
  cb7386d37eae net/mlx4_en: use READ_ONCE when freeing xdp_prog (v4.8-rc1)
  depends on
  47a38e155037 net/mlx4_en: add support for fast rx drop bpf program (v4.8-rc1)
  skipped, like that one
  9b022a6e0f26 net/mlx4_core: Check device state before unregistering it (v4.8-rc1)
  already applied as part of "bsc#966191 FATE#320230", moved
  d8dab00de9b7 io-mapping: Specify mapping size for io_mapping_map_wc() (v4.8-rc1)
  depends on i915 changes that are missing (72e96d6450c0,
  da6ca0347d51, ...?)
  skipped
  e9db59fcd28a IB/mlx4: Support device FW version string (v4.8-rc1)
  0c87b672098b IB/mlx4: Don't use GFP_ATOMIC for CQ resize struct (v4.8-rc1)
  c7c122ed67e4 net/mlx4: Add diagnostic counters capability bit (v4.8-rc1)
  bfaf31687c26 net/mlx4: Query performance and diagnostics counters (v4.8-rc1)
  3f85f2aaabf7 IB/mlx4: Add diagnostic hardware counters (v4.8-rc1)
  e6a00f6684c9 IB/mlx4: Make function use_tunnel_data return void (v4.8-rc4)
  5412352fcd8f IB/mlx4: Return EAGAIN for any error in mlx4_ib_poll_one (v4.8-rc4)
  25b64fc5f2c0 Revert "IB/mlx4: Return EAGAIN for any error in mlx4_ib_poll_one" (v4.8-rc6)
  20697434b6ea IB/mlx4: Don't return errors from poll_cq (v4.8-rc6)
  74a9e9054456 net/mlx4_en: Fix the return value of mlx4_en_dcbnl_set_all() (v4.8-rc7)
  c67707174134 net/mlx4_en: Fix the return value of mlx4_en_dcbnl_set_state() (v4.8-rc7)
  564ed9b18708 net/mlx4_en: Fixes for DCBX (v4.8-rc7)
  7a61fc86af4a net/mlx4_en: Fix panic on xmit while port is down (v4.8-rc7)
  already applied as part of "bsc#966191 FATE#320230", moved
  e5ac40cd66c2 IB/mlx4: Fix incorrect MC join state bit-masking on SR-IOV (v4.8-rc7)
  already present via -stable 5626aff4b5f5 (v4.4.24)
  baa0be7026e2 IB/mlx4: Fix code indentation in QP1 MAD flow (v4.8-rc7)
  already present via -stable 061a9f3e88e4 (v4.4.24)
  8ec07bf8a8b5 IB/mlx4: Use correct subnet-prefix in QP1 mads under SR-IOV (v4.8-rc7)
  already present via -stable 6bec514a1e08 (v4.4.24)
  69d269d38910 IB/mlx4: Diagnostic HW counters are not supported in slave mode (v4.8-rc7)
  2a292822f00f net/mlx4_en: fix off by one in error handling (v4.8-rc8)
  fba1296624bf net/mlx4_core: Fix to clean devlink resources (v4.8-rc8)
  Depends on the series merged in 7f66ee41566d ("Merge branch
  'devlink'", v4.6-rc1), specifically, fixes
  09d4d087cd48 mlx4: Implement devlink interface (v4.6-rc1)
  which was skipped during SP2
  skipped
  326fe02d1ed6 net/mlx4_en: protect ring->xdp_prog with rcu_read_lock (v4.9-rc1)
  fixes
  d576acf0a228 net/mlx4_en: add page recycle to prepare rx ring for tx support (v4.8-rc1)
  skipped, like that one
  95357907ae73 mlx4: fix XDP_TX is acting like XDP_PASS on TX ring full (v4.9-rc1)
  fixes
  9ecc2d86171a net/mlx4_en: add xdp forwarding and data write support (v4.8-rc1)
  skipped, like that one
  5737f6c92681 mlx4: add missed recycle opportunity for XDP_TX on TX failure (v4.9-rc1)
  fixes
  95357907ae73 mlx4: fix XDP_TX is acting like XDP_PASS on TX ring full (v4.9-rc1)
  skipped, like that one
  de3d6fa81e68 net/mlx4_en: Add branch prediction hints in RX data-path (v4.9-rc1)
  57c970c2e8d8 net/mlx4_en: Fix wrong indentation (v4.9-rc1)
  30353bfc43a1 net/mlx4_core: Use RCU to perform radix tree lookup for SRQ (v4.9-rc1)
  a7e1f04905e5 net/mlx4_core: Fix deadlock when switching between polling and event fw commands (v4.9-rc1)
  efee95f42b5d ptp_clock: future-proofing drivers against PTP subsystem becoming optional (v4.9-rc1)
  already applied as part of "bsc#1024361 FATE#321242
  bsc#1024365 FATE#321243"
  c9cc599a96a6 net/mlx4_core: Fix QUERY FUNC CAP flags (v4.9-rc1)
  7c3d21c8153c net/mlx4_core: Preparation for VF vlan protocol 802.1ad (v4.9-rc1)
  0815fe3a86a0 net/mlx4_en: Disable vlan HW acceleration when in VF vlan protocol 802.1ad mode (v4.9-rc1)
  79aab093a0b5 net: Update API for VF vlan protocol 802.1ad support (v4.9-rc1)
  followed up by
  fa34cd94fb01 net: rtnl: avoid uninitialized data in IFLA_VF_VLAN_LIST handling
  775f4f05501b net: rtnl: info leak in rtnl_fill_vfinfo()
  b42959dc35a5 net/mlx4: Add VF vlan protocol 802.1ad support (v4.9-rc1)
  5038056e6bd4 mlx4: remove unused fields (v4.9-rc1)
  ed082d36a7b2 IB/core: add support to create a unsafe global rkey to ib_create_pd (v4.9-rc1)
  already applied as part of "bnc#1024296,FATE#321265"
  1f02a09c3804 IB/mlx4: Add validation to flow specifications parsing (v4.9-rc1)
  41cd3944057a IB/mlx4: Remove deprecated create_singlethread_workqueue (v4.9-rc1)
  90b14b3237ba IB/mlx4/mad: Remove deprecated create_singlethread_workqueue (v4.9-rc1)
  fcf621dd2ba2 IB/mlx4/mcg: Remove deprecated create_singlethread_workqueue (v4.9-rc1)
  fb6375d7e6e7 IB/mlx4/alias_GUID: Remove deprecated create_singlethread_workqueue (v4.9-rc1)
  bd99fdea420b IB/{core,hw}: Add constant for node_desc (v4.9-rc1)
  already applied as part of "FATE#321231 FATE#321473"
  9ce28a20eec5 IB/mlx4: Move user vendor structures (v4.9-rc1)
  fd10ed8e6f42 IB/mlx4: Fix possible vl/sl field mismatch in LRH header in QP1 packets (v4.9-rc1)
  fixed conflict as in b9044ac8292f ("Merge tag 'for-linus' of
  git://git.kernel.org/pub/scm/linux/kernel/git/dledford/rdma",
  v4.9-rc1)
  958b3d396d7f net/mlx4_en: fixup xdp tx irq to match rx (v4.9-rc4)
  fixes
  9ecc2d86171a net/mlx4_en: add xdp forwarding and data write support (v4.8-rc1)
  skipped, like that one
  a4256bc9ec36 IB/mlx4: avoid a -Wmaybe-uninitialize warning (v4.9-rc4)
  aa0c08feae81 net/mlx4_core: Fix the resource-type enum in res tracker to conform to FW spec (v4.9-rc4)
  33a1f8b196dc net/mlx4_core: Avoid setting ports to auto when only one port type is supported (v4.9-rc4)
  Adjusted for the absence of
  b2facd95ab96 mlx4: Implement port type setting via devlink interface (v4.6-rc1)
  72da2e911f79 net/mlx4_core: Change the default value of enable_qos (v4.9-rc4)
  4850cf458157 net/mlx4_en: Resolve dividing by zero in 32-bit system (v4.9-rc4)
  8d59de8f7bb3 net/mlx4_en: Process all completions in RX rings after port goes up (v4.9-rc4)
  9d2afba05872 net/mlx4_en: Fix panic during reboot (v4.9-rc4)
  81d184199e32 net/mlx4_core: Do not access comm channel if it has not yet been initialized (v4.9-rc4)
  6f2e0d2c3bf0 net/mlx4: Fix firmware command timeout during interrupt test (v4.9-rc4)
  d2582a03939e net/mlx4_en: Fix potential deadlock in port statistics flow (v4.9-rc4)
  eb4b67882599 net/mlx4_en: Save slave ethtool stats command (v4.9-rc4)
  f91d718156fe Revert "net/mlx4_en: Fix panic during reboot" (v4.9-rc6)
  37995116fecf IB/mlx4: Check gid_index return value (v4.9-rc6)
  already present via -stable 41664d7077e9 (v4.4.35)
  593ff73bcfdc IB/mlx4: Fix create CQ error flow (v4.9-rc6)
  already present via -stable 7cf5b7882184 (v4.4.35)
  b6e01232e256 net/mlx4_en: Free netdev resources under state lock (v4.9-rc7)
  b4353708f5a1 Revert "net/mlx4_en: Avoid unregister_netdev at shutdown flow" (v4.9-rc8)
  44b911e77793 net/mlx4: Fix uninitialized fields in rule when adding promiscuous mode to device managed flow steering (v4.9-rc8)
  b80f71f5816f ethernet/mellanox: use core min/max MTU checking (v4.10-rc1)
  limited to mlx4
  ccc109b8ed24 net/mlx4_en: Add TX_XDP for CQ types (v4.10-rc1)
  67f8b1dcb9ee net/mlx4_en: Refactor the XDP forwarding rings scheme (v4.10-rc1)
  15fca2c8eb41 net/mlx4_en: Add ethtool statistics for XDP cases (v4.10-rc1)
  Above three form the series merged in 55454e9e5c92 ("Merge
  branch 'mlx4-XDP-tx-refactor'", v4.10-rc1)
  skipped, as for previous xdp changes
  c540594f864b bpf, mlx4: fix prog refcount in mlx4_en_try_alloc_resources error path (v4.10-rc1)
  fixes
  67f8b1dcb9ee net/mlx4_en: Refactor the XDP forwarding rings scheme (v4.10-rc1)
  skipped, like that one
  2e713283751f net/mlx4_en: use napi_complete_done() return value (v4.10-rc1)
  bb07fafaec70 net/mlx4_en: remove napi_hash_del() call (v4.10-rc1)
  Adjusted for the absence of
  ccc109b8ed24 net/mlx4_en: Add TX_XDP for CQ types (v4.10-rc1)
  dad42c3038a5 mlx4: avoid unnecessary dirtying of critical fields (v4.10-rc1)
  Adjusted for the absence of
  67f8b1dcb9ee net/mlx4_en: Refactor the XDP forwarding rings scheme (v4.10-rc1)
  9ecc2d86171a net/mlx4_en: add xdp forwarding and data write support (v4.8-rc1)
  e3f42f845390 mlx4: reorganize struct mlx4_en_tx_ring (v4.10-rc1)
  Adjusted for the absence of
  9ecc2d86171a net/mlx4_en: add xdp forwarding and data write support (v4.8-rc1)
  b9972d2205f6 mlx4: do not use priv->stats_lock in mlx4_en_auto_moderation() (v4.10-rc1)
  40931b85113d mlx4: give precise rx/tx bytes/packets counters (v4.10-rc1)
  Adjusted for the absence of
  15fca2c8eb41 net/mlx4_en: Add ethtool statistics for XDP cases (v4.10-rc1)
  77d1337bf635 ethernet :mellanox :mlx4: Replace pci_pool_alloc by pci_pool_zalloc (v4.10-rc1)
  7f7bf1606fa8 mlx4: fix use-after-free in mlx4_en_fold_software_stats() (v4.10-rc1)
  690291093a54 mlx4: use reset to set mac header (v4.10-rc1)
  17bedab27231 bpf: xdp: Allow head adjustment in XDP prog (v4.10-rc1)
  followed up by
  529ec6ac2665 virtio_net: reject XDP programs using header adjustment
  b45f0674b997 mlx4: xdp: Allow raising MTU up to one page minus eth and vlan hdrs (v4.10-rc1)
  ea3349a03519 mlx4: xdp: Reserve headroom for receiving packet when XDP prog is active (v4.10-rc1)
  Above three, part of the series merged in 293bfa9b4861 ("Merge
  branch 'xdp-head-adjustment'", v4.10-rc1)
  skipped, as for previous xdp changes
  d1cbfd771ce8 ptp_clock: Allow for it to be optional (v4.10-rc1)
  depends on
  237e3ad0f195 Kconfig: Introduce the "imply" keyword (v4.10-rc1)
  32ce5ac867bf Kconfig: Regenerate *.c_shipped files after previous changes (v4.10-rc1)
  15d4626e498c IB/mlx4: Remove debug prints after allocation failure (v4.10-rc1)
  af4295c117b8 IB/mlx4: Set traffic class in AH (v4.10-rc1)
  already present via -stable 1be54a4ec45a (v4.4.45)
  850d8fd76507 IB/mlx4: Handle IPv4 header when demultiplexing MAD (v4.10-rc1)
  befcabcd530e IB/mlx4: Handle well-known-gid in mad_demux processing (v4.10-rc1)
  731e0415b4af IB/mlx4: Put non zero value in max_ah device attribute (v4.10-rc1)
  6fa26208206c IB/mlx4: Fix port query for 56Gb Ethernet links (v4.10-rc1)
  already present via -stable f1c9169478ca (v4.4.45)
  1f22e454df2e IB/mlx4: When no DMFS for IPoIB, don't allow NET_IF QPs (v4.10-rc1)
  already present via -stable ea470497eb31 (v4.4.45)
  bf08e884bfd5 IB/mlx4: Check if GRH is available before using it (v4.10-rc1)
  477864c8fcd9 IB/core: Let create_ah return extended response to user (v4.10-rc1)
  already applied as part of "FATE#322149"
  c482af646d08 IB/mlx4: Fix out-of-range array index in destroy qp flow (v4.10-rc1)
  already present via -stable c7a40c48f7a5 (v4.4.45)
  e98172462f0b IB/mlx4: avoid a -Wmaybe-uninitialize warning (v4.10-rc1)
  same change as a4256bc9ec36, skipped
  b42dde478bca IB/mlx4: Rework special QP creation error path (v4.10-rc1)
  46d0703fac3f IB/mlx4: fix improper return value (v4.10-rc1)
  c19e4b9037fa net/mlx4_core: Use device ID defines (v4.10-rc1)
  depends on
  7254383341bc PCI: Add Mellanox device IDs (v4.10-rc1)
  a5a1d1c2914b clocksource: Use a plain u64 instead of cycle_t (v4.10-rc1)
  already applied as part of "bsc#1024361 FATE#321242
  bsc#1024365 FATE#321243"
  added more mlx4 changes
  eb9def61be71 net/mlx4_en: Fix user prio field in XDP forward (v4.10-rc2)
  depends on
  67f8b1dcb9ee net/mlx4_en: Refactor the XDP forwarding rings scheme (v4.10-rc1)
  skipped, like that one
  3b01fe7f91c8 net/mlx4_core: Use-after-free causes a resource leak in flow-steering detach (v4.10-rc3)
  6496bbf0ec48 net/mlx4_en: Fix bad WQE issue (v4.10-rc3)
  c1d5f8ff80ea net/mlx4: Remove BUG_ON from ICM allocation routine (v4.10-rc3)
  61b6034c6cfd net/mlx4_en: Fix type mismatch for 32-bit systems (v4.10-rc3)
  10b1c04e9222 net/mlx4_core: Fix raw qp flow steering rules under SRIOV (v4.10-rc3)
  9f9b74ef8967 mlx4: Return EOPNOTSUPP instead of ENOTSUPP (v4.10-rc4)
  fixes
  b45f0674b997 mlx4: xdp: Allow raising MTU up to one page minus eth and vlan hdrs (v4.10-rc1)
  skipped, like that one
  8cf699ec849f mlx4: do not call napi_schedule() without care (v4.10-rc5)
  291c566a2891 net/mlx4_core: Fix racy CQ (Completion Queue) free (v4.10-rc5)
  7c3945bc2073 net/mlx4_core: Fix when to save some qp context flags for dynamic VST to VGT transitions (v4.10-rc5)
  9577b174cd03 net/mlx4_core: Eliminate warning messages for SRQ_LIMIT under SRIOV (v4.10-rc5)
  e91ef71dfe83 net/mlx4_en: Remove unnecessary checks when setting num channels (v4.10-rc6)
  d585df1c5ccf net/mlx4_core: Avoid command timeouts during VF driver device shutdown (v4.10-rc7)
  f32b20e89e82 mlx4: Fix memory leak after mlx4_en_update_priv() (v4.10-rc8)
  Adjusted for the absence of
  67f8b1dcb9ee net/mlx4_en: Refactor the XDP forwarding rings scheme (v4.10-rc1)
  770f82253dbd mlx4: xdp_prog becomes inactive after ethtool '-L' or '-G' (v4.10-rc8)
  fixes
  47a38e155037 net/mlx4_en: add support for fast rx drop bpf program (v4.8-rc1)
  skipped, like that one
  bd4ce941c8d5 mlx4: Invoke softirqs after napi_reschedule (v4.10-rc8)
  already present via -stable f46f344841ec (v4.4.50)
  bc1f44709cf2 net: make ndo_get_stats64 a void function (v4.11-rc1)
  followed up by
  380043b9dee4 net: netcp: correct netcp_get_stats function signature
  fixes
  6a8162e99ef3 net: netcp: store network statistics in 64 bits (v4.11-rc1)
  which is not present, skipped
  b65b09aa7908 tilepro: Fix non-void return from void function
  dceeab0e5258 mlx4: support __GFP_MEMALLOC for rx (v4.11-rc1)
  3704eb6f6fd0 net/mlx4: use rb_entry() (v4.11-rc1)
  a67edbf4fb6d bpf: add initial bpf tracepoints (v4.11-rc1)
  the changes in mlx4 depend on
  47a38e155037 net/mlx4_en: add support for fast rx drop bpf program (v4.8-rc1)
  skipped, like that one
  72b8eaab245e net/mlx4: Replace ENOSYS with better fitting error codes (v4.11-rc1)
  38353364015c net/mlx4_core: Device revision support (v4.11-rc1)
  ae5a2e29d11e net/mlx4_core: Add resource alloc/dealloc debugging (v4.11-rc1)
  4b5e5b7ececc net/mlx4_core: Get num_tc using netdev_get_num_tc (v4.11-rc1)
  297e1cf29eac net/mlx4_en: Adding support of turning off link autonegotiation via ethtool (v4.11-rc1)
  Adjusted for the absence of
  3d8f7cc78d0e net: mlx4: use new ETHTOOL_G/SSETTINGS API (v4.6-rc1)
  40fb4fc1e18b net/mlx4_en: Pass user MTU value to Firmware at set port command (v4.11-rc1)
  bf1f9396831c net/mlx4_en: Check the enabling mtu flag in SET_PORT wrapper flow (v4.11-rc1)
  1f8176f7352a net/mlx4_en: Check the enabling pptx/pprx flags in SET_PORT wrapper flow (v4.11-rc1)
  73cfb2a2e49e net/mlx4_en: fix a condition (v4.11-rc1)
  99f5711e7c15 mlx4: do not use rwlock in fast path (v4.11-rc1)
  01f0f4253469 mlx4: do not fire tasklet unless necessary (v4.11-rc1)
  f5a57723371f mlx4: fix potential divide by 0 in mlx4_en_auto_moderation() (v4.11-rc1)
  3608b13ccc51 mlx4: reduce OOM risk on arches with large pages (v4.11-rc1)
  69ae543969ab RDMA: Adding ethertype ETH_P_IBOE (v4.11-rc1)
  Adjusted ocrdma changes for the absence of
  6b0626679d81 RDMA/ocrdma: Support RoCE-v2 in the UD path (v4.6-rc1)
  bc63f9d55806 IB/mlx4: Support raw packet protocol (v4.11-rc1)
  depends on
  aa773bd49541 IB/core: Add raw packet protocol (v4.11-rc1)
  c4550c63b363 IB: Query ports via the core instead of direct into the driver (v4.11-rc1)
  Adjusted ocrdma changes for the absence of
  e1614869d370 RDMA/ocrdma: Export udp encapsulation capability (v4.6-rc1)
  depends on
  ce1e055fb9ab IB: Add protocol for USNIC (v4.11-rc1)
  850b74151433 IB/mlx4: Remove unused variable from function declaration (v4.11-rc1)
  a748d60df32e IB/mlx4: Take source GID by index from HW GID table (v4.11-rc1)
  423b3aecf290 net/mlx4: Change ENOTSUPP to EOPNOTSUPP (v4.11-rc1)
  745d8ae4622c net/mlx4: Spoofcheck and zero MAC can't coexist (v4.11-rc1)
  95f1ba9a24af net/mlx4_core: Fix VF overwrite of module param which disables DMFS on new probed PFs (v4.11-rc1)
  6ed63d845e78 net/mlx4_core: Use cq quota in SRIOV when creating completion EQs (v4.11-rc1)
  7f0137e2ef9f net/mlx4_en: Use __skb_fill_page_desc() (v4.11-rc1)
  d66c88a8fcf7 IB/mlx4: Switch from dma_device to dev.parent (v4.11-rc1)
  47d3a07528ec net/mlx4_en: fix overflow in mlx4_en_init_timestamp() (v4.11-rc1)
  6e84f31522f9 sched/headers: Prepare for new header dependencies before moving code to <linux/sched/mm.h> (v4.11-rc1)
  0881e7bd341e sched/headers: Prepare to move the get_task_struct()/put_task_struct() and related APIs from <linux/sched.h> to <linux/sched/task.h> (v4.11-rc1)
  Above two are part of the series merged in 1827adb11ad2
  ("Merge branch 'WIP.sched-core-for-linus' of
  git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip",
  v4.11-rc1)
  skipped, way too much impact for almost no benefit to mlx4
  b2d0fe35471d net/mlx4: && vs & typo (v4.11-rc1)
  4cbe4dac82e4 net/mlx4_core: Avoid delays during VF driver device shutdown (remotes/net/master)
- commit 6c194b4
* Fri Mar 24 2017 pjakobsson@suse.de
- vga_switcheroo: Add helper for deferred probing (fate#321223).
- vga_switcheroo: Add support for switching only the DDC
  (fate#321223).
- vga_switcheroo: Add handler flags infrastructure (fate#321223).
- vgaarb: remove bogus checks (fate#321223).
- commit 4de04b1
* Fri Mar 24 2017 tiwai@suse.de
- Update config files: fix s390x/vanilla config for CONFIG_SFC
- commit 70787e3
* Fri Mar 24 2017 yousaf.kaukab@suse.com
- PCI: thunder-pem: Add legacy firmware support for Cavium
  ThunderX host controller (fate#322326).
- PCI: thunder-pem: Use Cavium assigned hardware ID for ThunderX
  host controller (fate#322326).
- PCI: thunder-pem: Add support for cn81xx and cn83xx SoCs
  (fate#322326).
- PCI: thunder: Don't clobber read-only bits in bridge config
  registers (fate#322326).
- add basic register-field manipulation macros (fate#322326).
- i2c: thunderx: ACPI support for clock settings (fate#322326).
- i2c: thunderx: Replace pci_enable_msix() (fate#322326).
- commit 14558b7
* Fri Mar 24 2017 mmarek@suse.com
- Refresh
  patches.arch/0139-ARM-KVM-Move-kvm-hyp-hyp.h-to-include-asm-kvm_hyp.h.patch.
  Use git format-patch --no-renames.
- commit 334b085
* Fri Mar 24 2017 yousaf.kaukab@suse.com
- arm64: increase NR_CPUS to 256
  References: fate#322326
- commit c3d601e
* Fri Mar 24 2017 mmarek@suse.com
- Refresh patches.kernel.org/patch-4.4.52-53 with git diff --no-renames
- commit ef125fd
* Fri Mar 24 2017 dchang@suse.com
- Update config files: fix s390x/vanilla config for sfc update (bsc#1017967 FATE#321663)
- commit f0f17ca
* Fri Mar 24 2017 jthumshirn@suse.de
- scsi: lpfc: Finalize Kconfig options for nvme (FATE#321664,
  bsc#1017969).
- commit dc4f18a
* Fri Mar 24 2017 jthumshirn@suse.de
- scsi: lpfc: Add shutdown method for kexec (FATE#321664,
  bsc#1017969).
- scsi: lpfc: revise version number to 11.2.0.10 (FATE#321664,
  bsc#1017969).
- scsi: lpfc: code cleanups in NVME initiator discovery
  (FATE#321664, bsc#1017969).
- scsi: lpfc: code cleanups in NVME initiator base (FATE#321664,
  bsc#1017969).
- scsi: lpfc: correct rdp diag portnames (FATE#321664,
  bsc#1017969).
- scsi: lpfc: remove dead sli3 nvme code (FATE#321664,
  bsc#1017969).
- scsi: lpfc: correct double print (FATE#321664, bsc#1017969).
- scsi: lpfc: Rename LPFC_MAX_EQ_DELAY to
  LPFC_MAX_EQ_DELAY_EQID_CNT (FATE#321664, bsc#1017969).
- scsi: lpfc: Rework lpfc Kconfig for NVME options (FATE#321664,
  bsc#1017969).
- scsi: lpfc: Fix eh_deadline setting for sli3 adapters
  (FATE#321664, bsc#1017969).
- scsi: lpfc: add NVME exchange aborts (FATE#321664, bsc#1017969).
- scsi: lpfc: Fix nvme allocation bug on failed
  nvme_fc_register_localport (FATE#321664, bsc#1017969).
- scsi: lpfc: Fix IO submission if WQ is full (FATE#321664,
  bsc#1017969).
- scsi: lpfc: Fix NVME CMD IU byte swapped word 1 problem
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Fix RCTL value on NVME LS request and response
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Fix crash during Hardware error recovery on SLI3
  adapters (FATE#321664, bsc#1017969).
- scsi: lpfc: fix missing spin_unlock on sql_list_lock
  (FATE#321664, bsc#1017969).
- scsi: lpfc: don't dereference dma_buf->iocbq before null check
  (FATE#321664, bsc#1017969).
- scsi: lpfc: sanity check hrq is null before dereferencing it
  (FATE#321664, bsc#1017969).
- scsi: lpfc: remove redundant assignment of sgel (FATE#321664,
  bsc#1017969).
- scsi: lpfc: replace init_timer by setup_timer (FATE#321664,
  bsc#1017969).
- commit a5b95c8
* Fri Mar 24 2017 dchang@suse.com
- enic: Remove local ndo_busy_poll() implementation (bsc#1030005
  FATE#319758).
- enic: set skb->hash type properly (bsc#1030005 FATE#319758).
- enic: fix rq disable (bsc#1030005 FATE#319758).
- net: enic: use correct type specifier (bsc#1030005 FATE#319758).
- net: ethernet: enic: move to new ethtool api
  {get|set}_link_ksettings (bsc#1030005 FATE#319758).
- cisco: enic: Update logging macros and uses (bsc#1030005
  FATE#319758).
- commit 0f1c861
* Fri Mar 24 2017 dchang@suse.com
- Reorder patches in network driver series
  Correct wrong patches order of qlcnic update (bsc#1019717 FATE#321698)
- Refresh
  patches.drivers/net-constify-netif_is_-helpers-net_device-param.patch
- Refresh
  patches.drivers/qede-Add-get-set-rx-copy-break-tunable-support.patch
- commit 53a4e55
* Fri Mar 24 2017 dchang@suse.com
- Update
  patches.drivers/drivers-net-generalize-napi_complete_done.patch
  (bsc#1019680 FATE#321692 bsc#1019680 FATE#321692).
- commit 4f8ed66
* Fri Mar 24 2017 bpoirier@suse.com
- Refresh
  patches.drivers/0033-IB-core-Let-create_ah-return-extended-response-to-us.patch.
  In
  patches.drivers/0033-IB-core-Let-create_ah-return-extended-response-to-us.patch
  we find the following changes:
  drivers/infiniband/hw/qedr/verbs.c           | 3548 ++++++++++++++++++++++++++
  drivers/infiniband/hw/qedr/verbs.h           |  102 +
  whereas commit 477864c8fcd9 ("IB/core: Let create_ah return extended
  response to user", v4.10-rc1) has the following, more modest, changes:
  drivers/infiniband/hw/qedr/verbs.c           |  3 ++-
  drivers/infiniband/hw/qedr/verbs.h           |  3 ++-
  It looks like the soft-roce backport when wild on those files, probably
  because they don't exist at point in series.conf.
- commit 9fbc2a2
* Thu Mar 23 2017 jack@suse.cz
- ext4: fix fencepost in s_first_meta_bg validation (bsc#1029986).
- commit 8009015
* Thu Mar 23 2017 jroedel@suse.de
- x86/platform/uv/BAU: Implement uv4_wait_completion with
  read_status (bsc#1030141 fate#321943).
- x86/platform/uv/BAU: Add wait_completion to bau_operations
  (bsc#1030141 fate#321943).
- x86/platform/uv/BAU: Add status mmr location fields to
  bau_control (bsc#1030141 fate#321943).
- x86/platform/uv/BAU: Cleanup bau_operations declaration and
  instances (bsc#1030141 fate#321943).
- x86/platform/uv/BAU: Add payload descriptor qualifier
  (bsc#1030141 fate#321943).
- x86/platform/uv/BAU: Add uv_bau_version enumerated constants
  (bsc#1030141 fate#321943).
- x86/platform/uv/BAU: Fix HUB errors by remove initial write
  to sw-ack register (bsc#1030141 fate#321943).
- commit 24dcc9b
* Thu Mar 23 2017 mbrugger@suse.com
- arm64: Update config files.
  Enable ARM64_ERRATUM_858921
- commit a4c882c
* Thu Mar 23 2017 mbrugger@suse.com
- arm64: arch_timer: Add HISILICON_ERRATUM_161010101 ACPI matching
  data (fate#322150).
- arm64: arch_timer: Allow erratum matching with ACPI OEM
  information (fate#322150).
- arm64: arch_timer: Workaround for Cortex-A73 erratum 858921
  (fate#322150).
- arm64: arch_timer: Enable CNTVCT_EL0 trap if workaround is
  enabled (fate#322150).
- arm64: arch_timer: Move clocksource_counter and co around
  (fate#322150).
- arm64: arch_timer: Allows a CPU-specific erratum to only affect
  a subset of CPUs (fate#322150).
- arm64: arch_timer: Make workaround methods optional
  (fate#322150).
- arm64: arch_timer: Rework the set_next_event workarounds
  (fate#322150).
- arm64: arch_timer: Get rid of erratum_workaround_set_sne
  (fate#322150).
- arm64: arch_timer: Move arch_timer_reg_read/write around
  (fate#322150).
- arm64: arch_timer: Add erratum handler for CPU-specific
  capability (fate#322150).
- arm64: arch_timer: Add erratum handler for globally defined
  capability (fate#322150).
- arm64: arch_timer: Add infrastructure for multiple erratum
  detection methods (fate#322150).
- arm64: cpu_errata: Add capability to advertise Cortex-A73
  erratum 858921 (fate#322150).
- arm64: cpu_errata: Allow an erratum to be match for all
  revisions of a core (fate#322150).
- arm64: Define Cortex-A73 MIDR (fate#322150).
- arm64: fix includes for smp.h (fate#322150).
- arm64: factor out current_stack_pointer (fate#322150).
- arm64: Verify CPU errata work arounds on hotplugged CPU
  (fate#322150).
- irqchip/gic: Restore CPU interface checking (fate#322150).
- arm64: Allow a capability to be checked on a single CPU
  (fate#322150).
- arm64: cpufeature: Add scope for capability check (fate#322150).
- clocksource/drivers/arm_arch_timer: Map frame with
  of_io_request_and_map() (fate#322003).
- clocksource/drivers/arm_arch_timer: Don't assume clock runs
  in suspend (fate#322003).
- commit b438f72
* Thu Mar 23 2017 jroedel@suse.de
- mm: unexport __get_user_pages_unlocked() (bsc#1027260).
- mm: add locked parameter to get_user_pages_remote()
  (bsc#1027260).
- mm: fix up get_user_pages* comments (bsc#1027260).
- mm: unexport __get_user_pages() (bsc#1027260).
- mm: replace get_user_pages_remote() write/force parameters
  with gup_flags (bsc#1027260).
- mm: replace get_user_pages() write/force parameters with
  gup_flags (bsc#1027260).
- mm: replace get_user_pages_locked() write/force parameters
  with gup_flags (bsc#1027260).
- mm: replace get_user_pages_unlocked() write/force parameters
  with gup_flags (bsc#1027260).
- mm: remove write/force parameters from
  __get_user_pages_unlocked() (bsc#1027260).
- mm: remove write/force parameters from __get_user_pages_locked()
  (bsc#1027260).
- mm/gup: Remove the macro overload API migration helpers from
  the get_user*() APIs (bsc#1027260).
- mm/gup: Switch all callers of get_user_pages() to not pass
  tsk/mm (bsc#1027260).
- mm/gup: Overload get_user_pages() functions (bsc#1027260).
- mm: retire GUP WARN_ON_ONCE that outlived its usefulness
  (bsc#1027260).
- commit ea940f1
* Thu Mar 23 2017 mkubecek@suse.cz
- xfrm_user: validate XFRM_MSG_NEWAE incoming ESN size harder
  (CVE-2017-7184 bsc#1030573).
- xfrm_user: validate XFRM_MSG_NEWAE XFRMA_REPLAY_ESN_VAL
  replay_window (CVE-2017-7184 bsc#1030573).
- commit abf9241
* Thu Mar 23 2017 dchang@suse.com
- qlogic: netxen: constify bin_attribute structures (bsc#1019682
  FATE#321697).
- net: qlogic: netxen: use new api
  ethtool_{get|set}_link_ksettings (bsc#1019682 FATE#321697).
- commit 1553c12
* Thu Mar 23 2017 dchang@suse.com
- switchdev: Fix return value of switchdev_port_fdb_dump()
  (bsc#1019717 FATE#321698).
- commit 089543c
* Thu Mar 23 2017 dchang@suse.com
- scripts/spelling.txt: add "partiton" pattern and fix typo
  instances (bsc#1019717 FATE#321698).
- qlogic: qlcnic_sysfs: constify bin_attribute structures
  (bsc#1019717 FATE#321698).
- net: qlogic: qlcnic: use new api
  ethtool_{get|set}_link_ksettings (bsc#1019717 FATE#321698).
- qlcnic: Fix a memory leak in error handling path (bsc#1019717
  FATE#321698).
- net-next: treewide use is_vlan_dev() helper function
  (bsc#1019717 FATE#321698).
- net: constify netif_is_* helpers net_device param (bsc#1019717
  FATE#321698).
- ethernet/qlogic: use core min/max MTU checking (bsc#1019717
  FATE#321698).
- qede: Add get/set rx copy break tunable support (bsc#1019717
  FATE#321698).
- rtnetlink: fdb dump: optimize by saving last interface markers
  (bsc#1019717 FATE#321698).
- net: ndo_fdb_dump should report -EMSGSIZE to rtnl_fdb_dump
  (bsc#1019717 FATE#321698).
- net: qlcnic: avoid superfluous assignement (bsc#1019717
  FATE#321698).
- net: qlcnic: don't set unused function argument (bsc#1019717
  FATE#321698).
- qlcnic: use the correct ring in
  qlcnic_83xx_process_rcv_ring_diag() (bsc#1019717 FATE#321698).
- commit ee1ccda
* Thu Mar 23 2017 dchang@suse.com
- bna: add missing per queue ethtool stat (bsc#1019684
  FATE#321695).
- bna: change type of bna_id to atomic_t (bsc#1019684
  FATE#321695).
- bna: fix crash in bnad_get_strings() (bsc#1019684 FATE#321695).
- bna: remove global bnad_list_mutex (bsc#1019684 FATE#321695).
- bna: remove useless linked list (bsc#1019684 FATE#321695).
- bna: use designated initializers (bsc#1019684 FATE#321695).
- ethernet: use core min/max MTU checking (bsc#1019684
  FATE#321695).
- net: bna: use correct type specifications (bsc#1019684
  FATE#321695).
- net: bna: use correct type specifier (2) (bsc#1019684
  FATE#321695).
- net: brocade: bna: use new api ethtool_{get|set}_link_ksettings
  (bsc#1019684 FATE#321695).
- Update patches.fixes/bna-Add-synchronization-for-tx-ring.patch
  (bsc#993739 bsc#1019684 FATE#321695).
- commit 98eb955
* Thu Mar 23 2017 enadolski@suse.com
- btrfs: qgroup: Move half of the qgroup accounting time out of
  commit trans (bsc#1017461).
- commit f69c1d0
* Thu Mar 23 2017 enadolski@suse.com
- btrfs: backref: Fix soft lockup in __merge_refs function
  (bsc#1017641).
- commit fbcab5d
* Wed Mar 22 2017 tiwai@suse.de
- Update config files: fix s390x/vanilla config for the recent dma-buf changes
- commit db5a666
* Wed Mar 22 2017 jroedel@suse.de
- ACPI: Don't create a platform_device for IOAPIC/IOxAPIC
  (bsc#1028819).
- ACPI: Remove platform devices from a bus on removal
  (bsc#1028819).
- ACPI, ioapic: Clear on-stack resource before using it
  (bsc#1028819).
- commit 75f124d
* Wed Mar 22 2017 tbogendoerfer@suse.de
- Rename global variable "unsupported" to "suse_unsupported" to avoid a clash
  with upstream code (commit 578b46b9383c) needed  for backport of cxgb4
  driver (FATE#321658 bsc#1005778)
- Refresh
  patches.suse/module-Inform-user-when-loading-externally-supported.patch.
- Refresh patches.suse/supported-flag.
- commit 44361ec
* Wed Mar 22 2017 jslaby@suse.cz
- Linux 4.4.56 (bnc#1012382 bsc#969755).
- Delete
  patches.fixes/0001-futex-Fix-potential-use-after-free-in-FUTEX_REQUEUE_.patch.
- Delete
  patches.fixes/0002-futex-Add-missing-error-handling-to-FUTEX_REQUEUE_PI.patch.
- commit 27d4d10
* Wed Mar 22 2017 tbogendoerfer@suse.de
- net: qlogic: qlge: use new api ethtool_{get|set}_link_ksettings
  (bsc#1019687 FATE#321699).
- net: qlge: remove superfluous statement (bsc#1019687
  FATE#321699).
- qlge: Replace create_singlethread_workqueue with
  alloc_ordered_workqueue (bsc#1019687 FATE#321699).
- commit a9eb71a
* Wed Mar 22 2017 pjakobsson@suse.de
- x86_64: Update config files
  Add config for CONFIG_SYNC_FILE and CONFIG_SW_SYNC
- commit af3ba1e
* Wed Mar 22 2017 pjakobsson@suse.de
- dma-buf/sync_file: Add back the u64_to_user_ptr() macro
  (fate#321223).
- dma-buf/sync_file: free fences array in num_fences is 1
  (fate#321223).
- dma-buf/sync_file: Increment refcount of fence when all are
  signaled (fate#321223).
- dma-buf/sync-file: Avoid enable fence signaling if
  poll(.timeout=0) (fate#321223).
- reservation: fix small comment typo (fate#321223).
- dma-buf: fix kernel-doc warning and typos (fate#321223).
- dma-buf: Wait on the reservation object when sync'ing before
  CPU access (fate#321223).
- dma-buf/fence: kerneldoc: remove spurious section header
  (fate#321223).
- dma-buf/sync_file: only enable fence signalling on poll()
  (fate#321223).
- dma-buf/sync_file: add sync_file_get_fence() (fate#321223).
- dma-buf/sync_file: refactor fence storage in struct sync_file
  (fate#321223).
- dma-buf/fence-array: add fence_is_array() (fate#321223).
- include/linux: fix excess fence.h kernel-doc notation
  (fate#321223).
- dma-buf/sw_sync: de-stage SW_SYNC (fate#321223).
- staging/android: add Doc for SW_SYNC ioctl interface
  (fate#321223).
- staging/android: prepare sw_sync files for de-staging
  (fate#321223).
- staging/android: move trace/sync.h to sync_trace.h
  (fate#321223).
- staging/android: do not let userspace trigger WARN_ON
  (fate#321223).
- dma-buf: Release module reference on creation failure
  (fate#321223).
- dma-buf/sync_file: improve Kconfig description for Sync Files
  (fate#321223).
- dma-buf: remove dma_buf_debugfs_create_file() (fate#321223).
- dma-buf: remove dma_buf directory on bufinfo file creation
  errors (fate#321223).
- dma-buf: propagate errors from dma_buf_describe() on debugfs
  read (fate#321223).
- dma-buf/sync_file: fix build warning with context format type
  (fate#321223).
- dma-buf/fence: add signal_on_any to the fence array v2
  (fate#321223).
- dma-buf/fence: add fence_array fences v6 (fate#321223).
- dma-buf/fence: make fence context 64 bit v2 (fate#321223).
- staging/android: add DEBUG_FS dependence on Kconfig
  (fate#321223).
- staging/android: rename sync.h to sync_debug.h (fate#321223).
- staging/android: remove drv_name from sync_timeline
  (fate#321223).
- staging/android: remove sync_timeline_destroy() (fate#321223).
- staging/android: remove 'destroyed' member from struct
  sync_timeline (fate#321223).
- staging/android: make sw_ioctl info internal to sw_sync.c
  (fate#321223).
- staging/android: make sync_timeline internal to sw_sync
  (fate#321223).
- staging/android: clean up #includes in the sync framework
  (fate#321223).
- staging/android: move sw_sync related code to sw_sync.c
  (fate#321223).
- staging/android: bring struct sync_pt back (fate#321223).
- staging/android: remove size arg of sync_timeline_create()
  (fate#321223).
- staging/android: remove unnecessary check for fence
  (fate#321223).
- staging/android: rename android_fence to timeline_fence
  (fate#321223).
- staging/android: remove sw_sync.[ch] files (fate#321223).
- staging/android: remove sw_sync_timeline and sw_sync_pt
  (fate#321223).
- staging/android: remove struct sync_timeline_ops (fate#321223).
- staging/android: remove .{fence, timeline}_value_str() from
  timeline_ops (fate#321223).
- staging/android: store last signaled value on sync timeline
  (fate#321223).
- dma-buf: use vma_pages() (fate#321223).
- fence: add missing descriptions for fence (fate#321223).
- reservation: add headerdoc comments (fate#321223).
- dma-buf: headerdoc fixes (fate#321223).
- reservation: add reservation_object_get_excl_rcu()
  (fate#321223).
- dma-buf/sync_file: de-stage sync_file (fate#321223).
- dma-buf/sync_file: de-stage sync_file headers (fate#321223).
- staging/android: prepare sync_file for de-staging (fate#321223).
- staging/android: remove name arg from sync_file_create()
  (fate#321223).
- staging/android: make sync_file_fdget() static (fate#321223).
- staging/android: make sync_file_merge() static (fate#321223).
- staging/android: move sync_file functions comments to sync.c
  (fate#321223).
- staging/android: drop sync_file_install() and sync_file_put()
  (fate#321223).
- staging/android: refactor SYNC IOCTLs (fate#321223).
- dma-buf/fence: fix fence_is_later v2 (fate#321223).
- dma-buf: Update docs for SYNC ioctl (fate#321223).
- dma-buf, drm, ion: Propagate error code from
  dma_buf_start_cpu_access() (fate#321223).
- dma-buf: Add ioctls to allow userspace to flush (fate#321223).
- dma-buf: Remove range-based flush (fate#321223).
- staging: android: Remove unneeded else following a return
  (fate#321223).
- drivers/staging/android: don't use modular references in
  sync_debug.c (fate#321223).
- staging/android: remove len field from struct sync_fence_info
  (fate#321223).
- staging/android: remove driver_data from struct sync_fence_info
  (fate#321223).
- staging/android: rename sync_file_info_data to sync_file_info
  (fate#321223).
- staging/android: rename sync_pt_info to sync_fence_info
  (fate#321223).
- staging/android: remove SYNC_WAIT ioctl (fate#321223).
- staging/android: remove sync_fence_create_dma() (fate#321223).
- staging/android: remove pointless sync_timeline_signal at
  destroy phase (fate#321223).
- staging/android: remove unused var from sync_timeline_signal()
  (fate#321223).
- staging/android: remove struct sync_pt (fate#321223).
- staging/android: rename 'sync_pt' to 'fence' in struct
  sync_fence_cb (fate#321223).
- staging/android: rename sync_fence to sync_file (fate#321223).
- staging/android: move SW_SYNC_USER to a debugfs file
  (fate#321223).
- staging/android: create a 'sync' dir for debugfs information
  (fate#321223).
- staging/android: remove not used sync_timeline ops
  (fate#321223).
- staging/android: sync: remove interfaces that are not used
  (fate#321223).
- staging/android: fix sync framework documentation (fate#321223).
- Staging: android: Fix brace coding style warning in sync_debug.c
  (fate#321223).
- android: unconditionally remove callbacks in sync_fence_free()
  (fate#321223).
- staging/android/sync: add sync_fence_create_dma (fate#321223).
- staging/android/sync: Support sync points created from
  dma-fences (fate#321223).
- staging: android: properly align function arguments
  (fate#321223).
- staging: android: replace explicit NULL comparison
  (fate#321223).
- commit 74ad076
* Wed Mar 22 2017 trenn@suse.com
- cpufreq: intel_pstate: Add Knights Mill CPUID (fate#321921).
- cpufreq: intel_pstate: Add more out-of-band IDs (fate#321921).
- cpufreq: intel_pstate: Broxton support.
  Broxton support is commented out via +trenn in series.conf
  This is because it's not explicitly part of a feature and it
  could not get tested. Still the relevant code can now easily
  be switched on later if needed.
- x86/cpufreq: Use Intel family name macros for the intel_pstate
  cpufreq driver (fate#321921).
- commit 52c0337
* Wed Mar 22 2017 lpechacek@suse.com
- supported.conf: Add tcp_westwood as supported module (fate#322432)
- commit 3b8d718
* Wed Mar 22 2017 bpoirier@suse.com
- net: intel: e100: use new api ethtool_{get|set}_link_ksettings
  (bsc#1024368 FATE#321244).
- net: mii: report 0 for unknown lp_advertising (bsc#1024368
  FATE#321244).
- net: mii: add generic function to support ksetting support
  (bsc#1024368 FATE#321244).
- commit cabff6a
* Tue Mar 21 2017 jslaby@suse.cz
- Linux 4.4.55 (bnc#1012382 bnc#977572).
- Revert "nfit, libnvdimm: fix interleave set cookie calculation"
  (kabi).
- Delete patches.fixes/mvsas-fix-misleading-indentation.patch.
- commit b5ebc09
* Tue Mar 21 2017 hare@suse.de
- Fixup DRBD build errors (bsc#1030226)
  Refresh
  patches.drivers/0134-2nd-block-add-a-separate-operation-type-for-sec.patch.
- commit 8e0b251
* Tue Mar 21 2017 dbueso@suse.de
- futex: Add missing error handling to FUTEX_REQUEUE_PI
  (bsc#969755).
- futex: Fix potential use-after-free in FUTEX_REQUEUE_PI
  (bsc#969755).
- commit 6d28fd2
* Tue Mar 21 2017 hare@suse.de
- Fixup block-layer backports for f2fs (bsc#1030234)
- Refresh patches.drivers/0100-f2fs-use-bio-op-accessors.patch.
- Refresh
  patches.drivers/0258-block-fs-use-REQ_-flags-directly.patch.
- Refresh
  patches.drivers/0326-fs-simplify-the-generic_write_sync-prototype.patch.
- commit 18a7aeb
* Mon Mar 20 2017 hare@suse.de
- Remove obsolete patch block-copy-bi_vcnt-in-_bio_clone_fast (bsc#1030312)
- Refresh patches.drivers/0175-block-rename-bio-bi_rw-to-bi_opf.patch. - Delete patches.fixes/block-copy-bi_vcnt-in-_bio_clone_fast.
- commit 7b1a1a8
* Mon Mar 20 2017 oneukum@suse.com
- mfd: lpss: Add Intel Kaby Lake PCH-H PCI IDs (FATE#321228).
- mfd: lpss: Fix Intel Kaby Lake PCH-H properties (FATE#321228).
- commit 8d53faf
* Mon Mar 20 2017 mhocko@suse.cz
- mm/huge_memory.c: respect FOLL_FORCE/FOLL_COW for thp
  (bnc#1030118).
- commit 9cd1a61
* Mon Mar 20 2017 tbogendoerfer@suse.de
- IB/rdmavt: Only put mmap_info ref if it exists (FATE#321231
  FATE#321473).
- IB/mad: Eliminate redundant SM class version defines for OPA
  (FATE#321231 FATE#321473).
- IB/hfi1: Define platform_config_table_limits once (FATE#321231
  FATE#321473).
- IB/hfi1: constify mmu_notifier_ops structure (FATE#321231
  FATE#321473).
- IB/rdmavt, IB/hfi1, IB/qib: Add inlines for mtu division
  (FATE#321231 FATE#321473).
- IB/hfi1,IB/qib: use rvt swqe mr deref helper (FATE#321231
  FATE#321473).
- IB/rdmavt: Add swqe mr deref helper (FATE#321231 FATE#321473).
- IB/hfi1: Avoid credit return allocation for cpu-less NUMA nodes
  (FATE#321231 FATE#321473).
- IB/hfi1,IB/qib: Use new send completion helper (FATE#321231
  FATE#321473).
- IB/rdmavt: Add a send completion helper (FATE#321231
  FATE#321473).
- IB/qib: Use standard refcount wrapper for QPs (FATE#321231
  FATE#321473).
- IB/hfi1: Use reference count wrapper for MRs (FATE#321231
  FATE#321473).
- IB/hfi1: Replace qp->refcount release code with standard driver
  wrapper (FATE#321231 FATE#321473).
- IB/hfi1: Preserve external device completed bit (FATE#321231
  FATE#321473).
- IB/hfi1: Remove critical section gap in sc_buffer_alloc()
  (FATE#321231 FATE#321473).
- IB/hfi1: Remove usage of qp->s_cur_sge (FATE#321231
  FATE#321473).
- IB/rdmavt: Add trace of MR segs (FATE#321231 FATE#321473).
- IB/hfi1: Add special setting for low power AOC (FATE#321231
  FATE#321473).
- IB/hfi1: Remove definition of unused hfi1_affinity struct
  (FATE#321231 FATE#321473).
- IB/hfi1: Remove dependence on qp->s_cur_size (FATE#321231
  FATE#321473).
- IB/hfi1: Show statistics counters under IB stats interface
  (FATE#321231 FATE#321473).
- IB/core: Make device counter infrastructure dynamic (FATE#321231
  FATE#321473).
- IB/rdmavt: Fix trace hierarchy (FATE#321231 FATE#321473).
- IB/hfi1: Disable header suppression for short packets
  (FATE#321231 FATE#321473).
- IB/hfi1: Export 8051 memory and LCB registers via debugfs
  (FATE#321231 FATE#321473).
- IB/hfi1: Use non-atomic __test_and_clear_bit in hot path
  (FATE#321231 FATE#321473).
- IB/hfi1: Fix dc8051 multiple qword memory reads (FATE#321231
  FATE#321473).
- IB/hfi1: Read new EPROM format (FATE#321231 FATE#321473).
- infiniband: remove WARN that is not kernel bug (FATE#321231
  FATE#321473).
- IB/qib: Remove debug prints after allocation failure
  (FATE#321231 FATE#321473).
- IB/hfi1: Remove debug prints after allocation failure
  (FATE#321231 FATE#321473).
- IB/hfi1: Optimize pio_buf and send_context structs (FATE#321231
  FATE#321473).
- IB/hfi1: Get rid of divide in pio buffer allocator (FATE#321231
  FATE#321473).
- IB/hfi1: Add active channel and backplane support for integrated
  devices (FATE#321231 FATE#321473).
- IB/hfi1: Optimize devdata cachelines (FATE#321231 FATE#321473).
- IB/hfi1: Unify access to GUID entries (FATE#321231 FATE#321473).
- IB/hfi1: Optimize pio cachelines (FATE#321231 FATE#321473).
- IB/hfi1: Optimize lkey validation structures (FATE#321231
  FATE#321473).
- IB/hfi1: Inline sdma_txclean() for verbs pio (FATE#321231
  FATE#321473).
- IB/hfi1: Add unique txwait_lock for txreq events (FATE#321231
  FATE#321473).
- IB/hfi1: Remove incorrect IS_ERR check (FATE#321231
  FATE#321473).
- IB/hfi1: Prevent hardware counter names from being cut off
  (FATE#321231 FATE#321473).
- IB/hfi1: Fix ECN processing in prescan_rxq (FATE#321231
  FATE#321473).
- IB/hfi1: Fix status error code for unsupported packets
  (FATE#321231 FATE#321473).
- IB/hfi1: Relocate rcvhdrcnt module parameter check (FATE#321231
  FATE#321473).
- IB/hfi1: Fix rnr_timer addition (FATE#321231 FATE#321473).
- IB/hfi1: Delete unused lock (FATE#321231 FATE#321473).
- IB/hfi1: Clean up unused argument (FATE#321231 FATE#321473).
- IB/hfi1: Remove leftover snoop references (FATE#321231
  FATE#321473).
- IB/hfi1: Fix a potential memory leak in hfi1_create_ctxts()
  (FATE#321231 FATE#321473).
- IB/hfi1: Return ENODEV for unsupported PCI device ids
  (FATE#321231 FATE#321473).
- IB/hfi1: Fix an Oops on pci device force remove (FATE#321231
  FATE#321473).
- IB/hfi1: Fix integrity check flags default values (FATE#321231
  FATE#321473).
- IB/hfi1: Remove redundant sysfs irq affinity entry (FATE#321231
  FATE#321473).
- IB/rdmavt: rdmavt can handle non aligned page maps (FATE#321231
  FATE#321473).
- IB/{core,hw}: Add constant for node_desc (FATE#321231
  FATE#321473).
- IB/qib: Remove deprecated create_singlethread_workqueue
  (FATE#321231 FATE#321473).
- IB/rdmavt: Trivial function comment corrected (FATE#321231
  FATE#321473).
- IB/hfi1: Fix trace of atomic ack (FATE#321231 FATE#321473).
- IB/hfi1: Update SMA ingress checks for response packets
  (FATE#321231 FATE#321473).
- IB/hfi1: Use EPROM platform configuration read (FATE#321231
  FATE#321473).
- IB/hfi1: Add ability to read platform config from the EPROM
  (FATE#321231 FATE#321473).
- IB/hfi1: Restore EPROM read ability (FATE#321231 FATE#321473).
- IB/hfi1: Add new debugfs sdma_cpu_list file (FATE#321231
  FATE#321473).
- IB/hfi1: Add irq affinity notification handler (FATE#321231
  FATE#321473).
- IB/hfi1: Add a new VL sysfs attribute for sdma engines
  (FATE#321231 FATE#321473).
- IB/hfi1: Add sysfs interface for affinity setup (FATE#321231
  FATE#321473).
- IB/hfi1: Fix resource release in context allocation (FATE#321231
  FATE#321473).
- IB/hfi1: Remove unused variable from devdata (FATE#321231
  FATE#321473).
- IB/hfi1: Cleanup tasklet refs in comments (FATE#321231
  FATE#321473).
- IB/hfi1: Adjust hardware buffering parameter (FATE#321231
  FATE#321473).
- IB/hfi1: Act on external device timeout (FATE#321231
  FATE#321473).
- IB/hfi1: Fix defered ack race with qp destroy (FATE#321231
  FATE#321473).
- IB/hfi1: Combine shift copy and byte copy for SGE reads
  (FATE#321231 FATE#321473).
- IB/hfi1: Do not read more than a SGE length (FATE#321231
  FATE#321473).
- IB/hfi1: Extend i2c timeout (FATE#321231 FATE#321473).
- IB/hfi1: Increase default settings of max_cqes and max_qps
  (FATE#321231 FATE#321473).
- IB/hfi1: Remove filtering of Set(PkeyTable) in HFI SMA
  (FATE#321231 FATE#321473).
- IB/qib: Remove qpt_mask global (FATE#321231 FATE#321473).
- IB/hfi1: Consolidate pio control masks into single definition
  (FATE#321231 FATE#321473).
- IB/rdmavt, IB/hfi1: Add lockdep asserts for lock debug
  (FATE#321231 FATE#321473).
- IB/rdmavt: Add qp init function (FATE#321231 FATE#321473).
- IB/rdmavt: Move reset calldown to reset path (FATE#321231
  FATE#321473).
- IB/hfi1: Move iowait_init() to priv allocate (FATE#321231
  FATE#321473).
- IB/rdmavt: Correct sparse annotation (FATE#321231 FATE#321473).
- IB/hfi1: Fix locking scheme for affinity settings (FATE#321231
  FATE#321473).
- IB/hfi1: Fix user-space buffers mapping with IOMMU enabled
  (FATE#321231 FATE#321473).
- IB/hfi1: Fix the count of user packets submitted to an SDMA
  engine (FATE#321231 FATE#321473).
- IB/hfi1: Move serdes tune inside link start function
  (FATE#321231 FATE#321473).
- IB/qib,IB/hfi: Use core common header file (FATE#321231
  FATE#321473).
- IB/core: Add ib headers for general use (FATE#321231
  FATE#321473).
- IB/rdmavt, IB/qib, IB/hfi1: Use new QP put get routines
  (FATE#321231 FATE#321473).
- IB/rdmavt: Add functions to get and release QP references
  (FATE#321231 FATE#321473).
- IB/rdmavt: Don't vfree a kzalloc'ed memory region (FATE#321231
  FATE#321473).
- IB/hfi1: Rework debugfs to use SRCU (FATE#321231 FATE#321473).
- debugfs: prevent access to removed files' private data
  (FATE#321231 FATE#321473).
- debugfs: prevent access to possibly dead file_operations at
  file open (FATE#321231 FATE#321473).
- IB/hfi1: Make n_krcvqs be an unsigned long integer (FATE#321231
  FATE#321473).
- IB/hfi1: Add QSFP sanity pre-check (FATE#321231 FATE#321473).
- IB/hfi1: Fix AHG KDETH Intr shift (FATE#321231 FATE#321473).
- IB/hfi1: Fix SGE length for misaligned PIO copy (FATE#321231
  FATE#321473).
- IB/hfi1: Fix the size parameter to find_first_bit (FATE#321231
  FATE#321473).
- IB/hfi1: Clean up type used and casting (FATE#321231
  FATE#321473).
- IB/qib: Use memdup_user() rather than duplicating its
  implementation (FATE#321231 FATE#321473).
- IB/hfi1: Fix mm_struct use after free (FATE#321231 FATE#321473).
- IB/rdmvat: Fix double vfree() in rvt_create_qp() error path
  (FATE#321231 FATE#321473).
- IB/hfi1: Improve J_KEY generation (FATE#321231 FATE#321473).
- IB/hfi1: Return invalid field for non-QSFP CableInfo queries
  (FATE#321231 FATE#321473).
- IB/hfi1: Add missing error code assignment before test
  (FATE#321231 FATE#321473).
- IB/hfi1: Using kfree_rcu() to simplify the code (FATE#321231
  FATE#321473).
- IB/hfi1: Validate header in set_armed_active (FATE#321231
  FATE#321473).
- IB/hfi1: Pass packet ptr to set_armed_active (FATE#321231
  FATE#321473).
- IB/hfi1: Fetch monitor values on-demand for CableInfo query
  (FATE#321231 FATE#321473).
- IB/hfi1,IB/qib: Fix qp_stats sleep with rcu read lock held
  (FATE#321231 FATE#321473).
- IB/hfi1: Remove duplicated include from affinity.c (FATE#321231
  FATE#321473).
- IB/hfi1: Allocate cpu mask on the heap to silence warning
  (FATE#321231 FATE#321473).
- IB/hfi1: NULL arg to sc_return_credits is OK (FATE#321231
  FATE#321473).
- IB/hfi1: Disable by default (FATE#321231 FATE#321473).
- IB/rdmavt: Disable by default (FATE#321231 FATE#321473).
- IB/hfi1: Add cache evict LRU list (FATE#321231 FATE#321473).
- IB/hfi1: Fix memory leak during unexpected shutdown (FATE#321231
  FATE#321473).
- IB/hfi1: Remove unneeded mm argument in remove function
  (FATE#321231 FATE#321473).
- IB/hfi1: Consistently call ops->remove outside spinlock
  (FATE#321231 FATE#321473).
- IB/hfi1: Use evict mmu rb operation (FATE#321231 FATE#321473).
- IB/hfi1: Add evict operation to the mmu rb handler (FATE#321231
  FATE#321473).
- IB/hfi1: Fix TID caching actions (FATE#321231 FATE#321473).
- IB/hfi1: Make the cache handler own its rb tree root
  (FATE#321231 FATE#321473).
- IB/hfi1: Make use of mm consistent (FATE#321231 FATE#321473).
- IB/hfi1: Fix user SDMA racy user request claim (FATE#321231
  FATE#321473).
- IB/hfi1: Fix error condition that needs to clean up (FATE#321231
  FATE#321473).
- IB/hfi1: Release node on insert failure (FATE#321231
  FATE#321473).
- IB/hfi1: Validate SDMA user iovector count (FATE#321231
  FATE#321473).
- IB/hfi1: Validate SDMA user request index (FATE#321231
  FATE#321473).
- IB/hfi1: Use the same capability state for all shared contexts
  (FATE#321231 FATE#321473).
- IB/hfi1: Prevent null pointer dereference (FATE#321231
  FATE#321473).
- IB/hfi1: Rename TID mmu_rb_* functions (FATE#321231
  FATE#321473).
- IB/hfi1: Remove unneeded empty check in hfi1_mmu_rb_unregister()
  (FATE#321231 FATE#321473).
- IB/hfi1: Restructure hfi1_file_open (FATE#321231 FATE#321473).
- IB/hfi1: Make iovec loop index easy to understand (FATE#321231
  FATE#321473).
- IB/hfi1: Use "false" not 0 (FATE#321231 FATE#321473).
- IB/hfi1: Remove unused sub-context parameter (FATE#321231
  FATE#321473).
- IB/hfi1: Consolidate __mmu_rb_remove and hfi1_mmu_rb_remove
  (FATE#321231 FATE#321473).
- IB/hfi1: Always expect ops functions (FATE#321231 FATE#321473).
- IB/hfi1: Add parameter names to callback declarations
  (FATE#321231 FATE#321473).
- IB/hfi1: Add parameter names to function declarations
  (FATE#321231 FATE#321473).
- IB/hfi1: Remove unused function hfi1_mmu_rb_search (FATE#321231
  FATE#321473).
- IB/hfi1: Remove unused uctxt->subpid and uctxt->pid (FATE#321231
  FATE#321473).
- IB/hfi1: Fix minor format error (FATE#321231 FATE#321473).
- IB/hfi1: Expand reported serial number (FATE#321231
  FATE#321473).
- IB/hfi1: Allow for non-double word multiple message sizes for
  user SDMA (FATE#321231 FATE#321473).
- IB/rdmavt: Eliminate redundant opcode test in mr ref clear
  (FATE#321231 FATE#321473).
- IB/hfi1: Handle kzalloc failure in init_pervl_scs (FATE#321231
  FATE#321473).
- IB/qib, IB/hfi1: Fix grh creation in ud loopback (FATE#321231
  FATE#321473).
- IB/hfi1: Use hdr2sc function to calculate 5-bit SC (FATE#321231
  FATE#321473).
- IB/hfi1: Cleanup UD packet handler (FATE#321231 FATE#321473).
- IB/hfi1: Rename hfi1_pio_header to hfi1_sdma_header (FATE#321231
  FATE#321473).
- IB/hfi1: Rename struct ahg_ib_header to struct hfi1_ahg_info
  (FATE#321231 FATE#321473).
- IB/hfi1: Remove unused elements from struct ahg_ib_header
  (FATE#321231 FATE#321473).
- IB/hfi1: Reset QSFP on every run through channel tuning
  (FATE#321231 FATE#321473).
- IB/hfi1: Ignore QSFP interrupts until power stabilizes
  (FATE#321231 FATE#321473).
- IB/hfi1: Disable external device configuration requests
  (FATE#321231 FATE#321473).
- IB/rdmavt, hfi1: Fix NFSoRDMA failure with FRMR enabled
  (FATE#321231 FATE#321473).
- IB/hfi1: Add the capability for reserved operations (FATE#321231
  FATE#321473).
- IB/hfi1: Fix trace message units (FATE#321231 FATE#321473).
- IB/hfi1: Add sysfs entry to override SDMA interrupt affinity
  (FATE#321231 FATE#321473).
- IB/hfi1: Add static PCIe Gen3 CTLE tuning (FATE#321231
  FATE#321473).
- IB/hfi1: Fix "suspicious rcu_dereference_check() usage" warnings
  (FATE#321231 FATE#321473).
- IB/rdmavt: Add missing spin_lock_init call for rdi->n_cqs_lock
  (FATE#321231 FATE#321473).
- IB/hfi1: Read all firmware versions (FATE#321231 FATE#321473).
- IB/hfi1: Explain state complete frame details (FATE#321231
  FATE#321473).
- IB/hfi1: Modify the default number of kernel receive conexts
  (FATE#321231 FATE#321473).
- IB/hfi1: Add support for extended memory management (FATE#321231
  FATE#321473).
- IB/hfi1: Work request processing for fast register mr and
  invalidate (FATE#321231 FATE#321473).
- IB/hfi1: Handle send with invalidate opcode in the RC recv path
  (FATE#321231 FATE#321473).
- IB/rdmavt: Handle local operations in post send (FATE#321231
  FATE#321473).
- IB/rdmavt: Add mechanism to invalidate MR keys (FATE#321231
  FATE#321473).
- IB/rdmavt: Add support for ib_map_mr_sg (FATE#321231
  FATE#321473).
- IB/hfi1: Pull FECN/BECN processing to a common place
  (FATE#321231 FATE#321473).
- IB/hfi1: Fix to fully initialize send context area (FATE#321231
  FATE#321473).
- IB/hfi1: Fix integrity errors counter value calculation
  (FATE#321231 FATE#321473).
- IB/rdmavt: Use new driver specific post send table (FATE#321231
  FATE#321473).
- IB/qib: Add qib post send table (FATE#321231 FATE#321473).
- IB/hfi1: Add hfi1 post send tables (FATE#321231 FATE#321473).
- IB/rdmavt: Add data structures and routines for table driven
  post send (FATE#321231 FATE#321473).
- IB/hfi1: Correct receive packet handler assignment (FATE#321231
  FATE#321473).
- IB/hfi1: Improve SDMA engine assignment for user SDMA
  (FATE#321231 FATE#321473).
- IB/hfi1: Remove TWSI references (FATE#321231 FATE#321473).
- IB/hfi1: Use built-in i2c bit-shift bus adapter (FATE#321231
  FATE#321473).
- IB/hfi1: Refine user process affinity algorithm (FATE#321231
  FATE#321473).
- IB/hfi1: Reserve and collapse CPU cores for contexts
  (FATE#321231 FATE#321473).
- IB/hfi1: Add global structure for affinity assignments
  (FATE#321231 FATE#321473).
- IB/hfi1: Add counter to track unsupported packets drop
  (FATE#321231 FATE#321473).
- IB/hfi1: Add VL XmitDiscards counters to the opapmaquery
  (FATE#321231 FATE#321473).
- IB/hfi1: Fix trace sparse errors (FATE#321231 FATE#321473).
- IB/hfi1: Separate tracepoints into specific headers (FATE#321231
  FATE#321473).
- IB/hfi1: Fix typo (FATE#321231 FATE#321473).
- IB/hfi1: Remove unnecessary done label in hfi1_write_iter
  (FATE#321231 FATE#321473).
- IB/hfi1: Clean up port state structure definition (FATE#321231
  FATE#321473).
- IB/hfi1: Fix sleep inside atomic issue in init_asic_data
  (FATE#321231 FATE#321473).
- IB/hfi1: Correct issues with sc5 computation (FATE#321231
  FATE#321473).
- IB/hfi1: Add device FW version string (FATE#321231 FATE#321473).
- IB/core: Add get FW version string to the core (FATE#321231
  FATE#321473).
- IB/rdmavt: Correct qp_priv_alloc() return value test
  (FATE#321231 FATE#321473).
- IB/hfi1: Don't zero out qp->s_ack_queue in rvt_reset_qp
  (FATE#321231 FATE#321473).
- IB/hfi1: Fix deadlock with txreq allocation slow path
  (FATE#321231 FATE#321473).
- IB/hfi1: Send a pkey change event on driver pkey update
  (FATE#321231 FATE#321473).
- IB/hfi1: Remove FULL_MGMT_P_KEY from pkey table at link up
  (FATE#321231 FATE#321473).
- IB/hfi1: Fix potential buffer overflow (FATE#321231
  FATE#321473).
- IB/hfi1: Fix potential NULL ptr dereference (FATE#321231
  FATE#321473).
- IB/qib: Prevent context loss (FATE#321231 FATE#321473).
- IB/hfi1: Prevent context loss (FATE#321231 FATE#321473).
- IB/hfi1: Increase packet egress timeout (FATE#321231
  FATE#321473).
- IB/rdmavt: Correct warning during QPN allocation (FATE#321231
  FATE#321473).
- IB/rdmavt: Correct required callback functions for MODIFY_QP
  (FATE#321231 FATE#321473).
- IB/hfi1: Fix credit return threshold adjustment (FATE#321231
  FATE#321473).
- IB/hfi1: Suppress sparse warnings (FATE#321231 FATE#321473).
- IB/hfi1: Use bit 0 instead of bit 1 (FATE#321231 FATE#321473).
- IB/hfi1: Fix indentation (FATE#321231 FATE#321473).
- IB/rdmavt: Annotate rvt_reset_qp() (FATE#321231 FATE#321473).
- IB/hfi1: Avoid large frame size warning (FATE#321231
  FATE#321473).
- IB/hfi1: fix some indenting (FATE#321231 FATE#321473).
- IB/hfi1: Fix pio map initialization (FATE#321231 FATE#321473).
- IB/hfi1: Update pkey table properly after link down or FM start
  (FATE#321231 FATE#321473).
- IB/rdamvt: Fix rdmavt s_ack_queue sizing (FATE#321231
  FATE#321473).
- IB/hfi1: Add tracing support for send with invalidate opcode
  (FATE#321231 FATE#321473).
- IB/hfi1, qib: Add ieth to the packet header definitions
  (FATE#321231 FATE#321473).
- IB/hfi1: Move driver out of staging (FATE#321231 FATE#321473).
- IB/hfi1: Do not free hfi1 cdev parent structure early
  (FATE#321231 FATE#321473).
- IB/hfi1: Add trace message in user IOCTL handling (FATE#321231
  FATE#321473).
- IB/hfi1: Remove write(), use ioctl() for user cmds (FATE#321231
  FATE#321473).
- IB/hfi1: Add ioctl() interface for user commands (FATE#321231
  FATE#321473).
- IB/hfi1: Remove unused user command (FATE#321231 FATE#321473).
- IB/hfi1: Remove snoop/diag interface (FATE#321231 FATE#321473).
- IB/hfi1: Remove EPROM functionality from data device
  (FATE#321231 FATE#321473).
- IB/hfi1: Remove UI char device (FATE#321231 FATE#321473).
- IB/hfi1: Remove multiple device cdev (FATE#321231 FATE#321473).
- IB/hfi1: Remove anti-pattern in cdev init (FATE#321231
  FATE#321473).
- IB/hfi1: Fix bug that blocks process on exit after port bounce
  (FATE#321231 FATE#321473).
- IB/qib: Remove unused qib_7322_intr_msgs[] (FATE#321231
  FATE#321473).
- IB/hfi1: Remove unnecessary comment (FATE#321231 FATE#321473).
- IB/hfi1: Fix sdma_event_names[] build warning (FATE#321231
  FATE#321473).
- IB/rdmavt: Use kzalloc_node (FATE#321231 FATE#321473).
- IB/rdmavt: Insure QP vmalloc variants zero memory (FATE#321231
  FATE#321473).
- IB/hfi1: Fix an interval RB node reference count leak
  (FATE#321231 FATE#321473).
- staging/rdma/hfi1: use RCU_INIT_POINTER() when NULLing
  (FATE#321231 FATE#321473).
- IB/hfi1: Change hfi1_init loop to preserve error returns
  (FATE#321231 FATE#321473).
- IB/hfi1: Keep SC_USER as the last send context type (FATE#321231
  FATE#321473).
- IB/hfi1: Immediately apply congestion setting MAD (FATE#321231
  FATE#321473).
- IB/hfi1: Correct log message strings (FATE#321231 FATE#321473).
- IB/rdmavt: Increase CQ callback thread priority (FATE#321231
  FATE#321473).
- IB/hfi1: Fix hfi_rcvhdr tracepoint (FATE#321231 FATE#321473).
- IB/hfi1: Remove unnecessary header (FATE#321231 FATE#321473).
- IB/hfi1: Improve performance of interval RB trees (FATE#321231
  FATE#321473).
- IB/hfi1: Remove no-op QSFP reset code (FATE#321231 FATE#321473).
- IB/hfi1: Correct external device configuration shift
  (FATE#321231 FATE#321473).
- IB/hfi1: Wait for QSFP modules to initialize (FATE#321231
  FATE#321473).
- IB/hfi1: Ignore non-temperature warnings on a downed link
  (FATE#321231 FATE#321473).
- IB/qib: Use cache inhibitted and guarded mapping on powerpc
  (FATE#321231 FATE#321473).
- IB/hfi1: Serialize hrtimer function calls (FATE#321231
  FATE#321473).
- IB/hfi1: Fix MAD port poll for active cables (FATE#321231
  FATE#321473).
- IB/hfi1: Correctly report neighbor link down reason (FATE#321231
  FATE#321473).
- IB/hfi1: Use the neighbor link down reason only when valid
  (FATE#321231 FATE#321473).
- IB/hfi1: Ignore link downgrade with 0 lanes (FATE#321231
  FATE#321473).
- IB/hfi1: Add RSM rule for user FECN handling (FATE#321231
  FATE#321473).
- IB/hfi1: Create a routine to set a receive side mapping rule
  (FATE#321231 FATE#321473).
- IB/hfi1: Move QOS decision logic into its own function
  (FATE#321231 FATE#321473).
- IB/hfi1: Extract RSM map table init from QOS (FATE#321231
  FATE#321473).
- IB/hfi1: Reduce kernel context pio buffer allocation
  (FATE#321231 FATE#321473).
- IB/hfi1: Change default number of user contexts (FATE#321231
  FATE#321473).
- IB/hfi1: Use global defines for upper bits in opcode
  (FATE#321231 FATE#321473).
- IB/hfi1: Fix double QSFP resource acquire on cache refresh
  (FATE#321231 FATE#321473).
- IB/hfi1: Guard against concurrent I2C access across all chains
  (FATE#321231 FATE#321473).
- IB/hfi1: Remove module presence check outside pre-LNI checks
  (FATE#321231 FATE#321473).
- IB/hfi1: Always turn on CDRs for low power QSFP modules
  (FATE#321231 FATE#321473).
- IB/hfi1: Check P_KEY for all sent packets from user mode
  (FATE#321231 FATE#321473).
- IB/hfi1: Adjust default MTU to be 10KB (FATE#321231
  FATE#321473).
- IB/hfi1: Simplify init_qpmap_table() (FATE#321231 FATE#321473).
- IB/hfi1: Correctly obtain the full service class (FATE#321231
  FATE#321473).
- IB/hfi1: Fix QOS rule mappings (FATE#321231 FATE#321473).
- IB/hfi1: Remove invalid QOS check (FATE#321231 FATE#321473).
- IB/hfi1: Fix QOS num_vl bit width (FATE#321231 FATE#321473).
- IB/hfi1: Fix i2c resource reservation checks (FATE#321231
  FATE#321473).
- IB/hfi1: Fix sysfs file offset usage (FATE#321231 FATE#321473).
- IB/rdmavt,hfi1,qib: Fix memory leak (FATE#321231 FATE#321473).
- IB/hfi1: Fix buffer cache races which may cause corruption
  (FATE#321231 FATE#321473).
- IB/hfi1: Extract and reinsert MMU RB node on lookup (FATE#321231
  FATE#321473).
- IB/hfi1: Correctly compute node interval (FATE#321231
  FATE#321473).
- IB/hfi1: Protect the interval RB tree when cleaning up
  (FATE#321231 FATE#321473).
- IB/hfi1: Fix memory leak in user ExpRcv and SDMA (FATE#321231
  FATE#321473).
- IB/hfi1: Don't remove list entries if they are not in a list
  (FATE#321231 FATE#321473).
- IB/hfi1: Use kernel default llseek for ui device (FATE#321231
  FATE#321473).
- IB/rdmavt: Fix send scheduling (FATE#321231 FATE#321473).
- IB/hfi1: Prevent unpinning of wrong pages (FATE#321231
  FATE#321473).
- IB/hfi1: Fix deadlock caused by locking with wrong scope
  (FATE#321231 FATE#321473).
- IB/hfi1: Prevent NULL pointer deferences in caching code
  (FATE#321231 FATE#321473).
- staging/rdma/hfi1: select CRC32 (FATE#321231 FATE#321473).
- commit 658404e
* Mon Mar 20 2017 mmarek@suse.com
- Fix f2fs build error in patches.drivers/0248-block-better-op-and-flags-encoding.patch.
- commit 5871a66
* Mon Mar 20 2017 acho@suse.com
- The patch back-ports the crypto_skcipher to crypto_blkcipher,
  skcipher was introduced after 4.4 and the patch modifies the
  functions using it (bsc#1022743 FATE#322540).
- Update config files.
- supported.conf:
- crypto: chcr - Fix Smatch Complaint (bsc#1022743 FATE#322540).
- crypto: chcr - Fix wrong typecasting (bsc#1022743 FATE#322540).
- crypto: chcr - Change algo priority (bsc#1022743 FATE#322540).
- crypto: chcr - Change cra_flags for cipher algos (bsc#1022743
  FATE#322540).
- crypto: chcr - Use cipher instead of Block Cipher in gcm setkey
  (bsc#1022743 FATE#322540).
- crypto: chcr - fix itnull.cocci warnings (bsc#1022743
  FATE#322540).
- crypto: chcr - Change flow IDs (bsc#1022743 FATE#322540).
- crypto: chcr - Fix key length for RFC4106 (bsc#1022743
  FATE#322540).
- crypto: chcr - Check device is allocated before use (bsc#1022743
  FATE#322540).
- crypto: chcr - Fix panic on dma_unmap_sg (bsc#1022743
  FATE#322540).
- crypto: chcr - checking for IS_ERR() instead of NULL
  (bsc#1022743 FATE#322540).
- crypto: chcr - Add AEAD algos (bsc#1022743 FATE#322540).
- crypto: chcr - Move tfm ctx variable to request context
  (bsc#1022743 FATE#322540).
- crypto: chcr - Use SHASH_DESC_ON_STACK (bsc#1022743
  FATE#322540).
- crypto: chcr - Adjust Dest. buffer size (bsc#1022743
  FATE#322540).
- crypto: chcr - Calculate Reverse round key in setkey callback
  (bsc#1022743 FATE#322540).
- crypto: chcr - Remove dynamic allocation (bsc#1022743
  FATE#322540).
- crypto: chcr - Fixes Unchecked dereference inside function
  (bsc#1022743 FATE#322540).
- crypto: chcr - Added new structure chcr_wr (bsc#1022743
  FATE#322540).
- crypto: chcr - Cosmetic change (bsc#1022743 FATE#322540).
- crypto: chcr - Fix memory corruption (bsc#1022743 FATE#322540).
- cxgb4: Allocate Tx queues dynamically (bsc#1022743 FATE#322540).
- chcr/cxgb4i/cxgbit/RDMA/cxgb4: Allocate resources dynamically
  for all cxgb4 ULD's (bsc#1022743 FATE#322540).
- chcr: Fix non static symbol warning (bsc#1022743 FATE#322540).
- crypto: Added Chelsio Menu to the Kconfig file (bsc#1022743
  FATE#322540).
- chcr: Support for Chelsio's Crypto Hardware (bsc#1022743
  FATE#322540).
- cxgb4: Add support for ndo_get_vf_config (bsc#1022743
  FATE#322540).
- cxgb4: Fix issue while re-registering VF mgmt netdev
  (bsc#1022743 FATE#322540).
- cxgb4: Register changes and fw defines for crypto (bsc#1022743
  FATE#322540).
- cxgb4: Add support for dynamic allocation of resources for ULD
  (bsc#1022743 FATE#322540).
- cxgb4/cxgb4vf: Add set VF mac address support (bsc#1022743
  FATE#322540).
- cxgb4: Add control net_device for configuring PCIe VF
  (bsc#1022743 FATE#322540).
- cxgb4: Enable SR-IOV configuration via PCI sysfs interface
  (bsc#1022743 FATE#322540).
- cxgb4: Add support to enable logging of firmware mailbox
  commands (bsc#1022743 FATE#322540).
- cxgb4: add new routine to get adapter info (bsc#1022743
  FATE#322540).
- commit 0c4f542
* Mon Mar 20 2017 alnovak@suse.cz
- x86/ioapic: Ignore root bridges without a companion ACPI device
  (bsc#1027153, bsc#1027616).
- x86/ioapic: Fix IOAPIC failing to request resource (bsc#1027153,
  bsc#1027616).
- x86/ioapic: Fix lost IOAPIC resource after hot-removal and
  hotadd (bsc#1027153, bsc#1027616).
- x86/ioapic: Fix setup_res() failing to get resource
  (bsc#1027153, bsc#1027616).
- x86/ioapic: fix kABI (hide added include) (bsc#1027153,
  bsc#1027616).
- commit 771cb05
* Mon Mar 20 2017 neilb@suse.com
- NFS: don't try to cross a mountpount when there isn't one there
  (bsc#1028041).
- commit 8cf6504
* Sun Mar 19 2017 hare@suse.de
- block: Unhash block device inodes on gendisk destruction
  (bsc#1020989,FATE#322379).
- block: Use pointer to backing_dev_info from request_queue
  (bsc#1020989,FATE#322379).
- block: Dynamically allocate and refcount backing_dev_info
  (bsc#1020989,FATE#322379).
- block: Make blk_get_backing_dev_info() safe without open bdev
  (bsc#1020989,FATE#322379).
- block: Get rid of blk_get_backing_dev_info()
  (bsc#1020989,FATE#322379).
- scsi, block: fix duplicate bdi name registration crashes
  (bsc#1020989,FATE#322379).
- block: Move bdev_unhash_inode() after invalidate_partition()
  (bsc#1020989,FATE#322379).
- block: Unhash also block device inode for the whole device
  (bsc#1020989,FATE#322379).
- block: Revalidate i_bdev reference in bd_aquire()
  (bsc#1020989,FATE#322379).
- Delete
  patches.drivers/0388-block-Make-blk_get_backing_dev_info-safe-without-ope.patch.
- Delete
  patches.drivers/0389-block-Revalidate-i_bdev-reference-in-bd_aquire.patch.
- commit b449296
* Sun Mar 19 2017 hare@suse.de
- Delete patches.fixes/scsi-use-blk_rq_payload_bytes.patch.
- commit 859605f
* Sun Mar 19 2017 hare@suse.de
- filemap: remove pos variables in generic_file_read_iter
  (bsc#1020989,FATE#322379).
- filemap: remove the pos argument to generic_file_direct_write
  (bsc#1020989,FATE#322379).
- xfs: eliminate the pos variable in xfs_file_dio_aio_write
  (bsc#1020989,FATE#322379).
- direct-io: remove the offset argument to dio_complete
  (bsc#1020989,FATE#322379).
- fs: add IOCB_SYNC and IOCB_DSYNC (bsc#1020989,FATE#322379).
- fs: simplify the generic_write_sync prototype
  (bsc#1020989,FATE#322379).
- ceph: use generic_write_sync (bsc#1020989,FATE#322379).
- fs: add RWF_DSYNC aand RWF_SYNC (bsc#1020989,FATE#322379).
- nfsd: use RWF_SYNC (bsc#1020989,FATE#322379).
- fs: Provide function to unmap metadata for a range of blocks
  (bsc#1020989,FATE#322379).
- direct-io: Use clean_bdev_aliases() instead of handmade
  iteration (bsc#1020989,FATE#322379).
- ext4: Use clean_bdev_aliases() instead of iteration
  (bsc#1020989,FATE#322379).
- ext2: Use clean_bdev_aliases() instead of iteration
  (bsc#1020989,FATE#322379).
- fs: Add helper to clean bdev aliases under a bh and use it
  (bsc#1020989,FATE#322379).
- fs: Remove unmap_underlying_metadata (bsc#1020989,FATE#322379).
- block: make __blkdev_direct_IO_sync() support O_SYNC/DSYNC
  (bsc#1020989,FATE#322379).
- block: new direct I/O implementation (bsc#1020989,FATE#322379).
- block_dev: Fixed direct I/O bio sector calculation
  (bsc#1020989,FATE#322379).
- block: clear all of bi_opf in bio_set_op_attrs
  (bsc#1020989,FATE#322379).
- block_dev: get rid of blksize bits calculation
  (bsc#1020989,FATE#322379).
- block: drbd: remove impossible failure handling
  (bsc#1020989,FATE#322379).
- block: floppy: use bio_add_page() (bsc#1020989,FATE#322379).
- target: avoid accessing .bi_vcnt directly
  (bsc#1020989,FATE#322379).
- bcache: debug: avoid accessing .bi_io_vec directly
  (bsc#1020989,FATE#322379).
- fs: logfs: convert to bio_add_page() in sync_request()
  (bsc#1020989,FATE#322379).
- fs: logfs: use bio_add_page() in __bdev_writeseg()
  (bsc#1020989,FATE#322379).
- fs: logfs: use bio_add_page() in do_erase()
  (bsc#1020989,FATE#322379).
- fs: logfs: remove unnecesary check (bsc#1020989,FATE#322379).
- block: add async variant of blkdev_issue_zeroout
  (bsc#1020989,FATE#322379).
- block: add support for REQ_OP_WRITE_ZEROES
  (bsc#1020989,FATE#322379).
- blk-wbt: don't throttle discard or write zeroes
  (bsc#1020989,FATE#322379).
- block: improve handling of the magic discard payload
  (bsc#1020989,FATE#322379).
- blk-mq: add blk_mq_start_stopped_hw_queue()
  (bsc#1020989,FATE#322379).
- blk-mq: abstract out blk_mq_dispatch_rq_list() helper
  (bsc#1020989,FATE#322379).
- elevator: make the rqhash helpers exported
  (bsc#1020989,FATE#322379).
- blk-flush: run the queue when inserting blk-mq flush
  (bsc#1020989,FATE#322379).
- blk-stat: fix a few cases of missing batch flushing
  (bsc#1020989,FATE#322379).
- block_dev: don't update file access position for sync direct IO
  (bsc#1020989,FATE#322379).
- block: Remove unused member (busy) from struct blk_queue_tag
  (bsc#1020989,FATE#322379).
- block: allow WRITE_SAME commands with the SG_IO ioctl
  (bsc#1020989,FATE#322379).
- block: check partition alignment (bsc#1020989,FATE#322379).
- block: add back plugging in __blkdev_direct_IO
  (bsc#1020989,FATE#322379).
- genhd: remove dead and duplicated scsi code
  (bsc#1020989,FATE#322379).
- clean_bdev_aliases: Prevent cleaning blocks that are not in
  block range (bsc#1020989,FATE#322379).
- block: Make wbt_wait() definition consistent with declaration
  (bsc#1020989,FATE#322379).
- block: Avoid that sparse complains about context imbalance in
  __wbt_wait() (bsc#1020989,FATE#322379).
- block: fix up io_poll documentation (bsc#1020989,FATE#322379).
- do_direct_IO: Use inode->i_blkbits to compute block count to
  be cleaned (bsc#1020989,FATE#322379).
- block: relax check on sg gap (bsc#1020989,FATE#322379).
- direct-io: fix direct write stale data exposure from concurrent
  buffered read (bsc#1020989,FATE#322379).
- blk-mq: make mq_ops a const pointer (bsc#1020989,FATE#322379).
- block: Rename blk_queue_zone_size and bdev_zone_size
  (bsc#1020989,FATE#322379).
- block: add blk_rq_payload_bytes (bsc#1020989,FATE#322379).
- scsi: use blk_rq_payload_bytes (bsc#1020989,FATE#322379).
- nvme: use blk_rq_payload_bytes (bsc#1020989,FATE#322379).
- sd: remove __data_len hack for WRITE SAME
  (bsc#1020989,FATE#322379).
- block: don't try to discard from __blkdev_issue_zeroout
  (bsc#1020989,FATE#322379).
- partitions/efi: Fix integer overflow in GPT size calculation
  (bsc#1020989,FATE#322379).
- sbitmap: use smp_mb__after_atomic() in sbq_wake_up()
  (bsc#1020989,FATE#322379).
- sbitmap: fix wakeup hang after sbq resize
  (bsc#1020989,FATE#322379).
- blk-mq: stop hardware queue in blk_mq_delay_queue()
  (bsc#1020989,FATE#322379).
- block: Initialize cfqq->ioprio_class in cfq_get_queue()
  (bsc#1020989,FATE#322379).
- blk-throttle: Adjust two function calls together with a variable
  assignment (bsc#1020989,FATE#322379).
- cfq-iosched: Adjust one function call together with a variable
  assignment (bsc#1020989,FATE#322379).
- block: fix use after free in __blkdev_direct_IO
  (bsc#1020989,FATE#322379).
- Revert "sd: remove __data_len hack for WRITE SAME"
  (bsc#1020989,FATE#322379).
- block: don't try Write Same from __blkdev_issue_zeroout
  (bsc#1020989,FATE#322379).
- block: Make blk_get_backing_dev_info() safe without open bdev
  (bsc#1020989,FATE#322379).
- block: Revalidate i_bdev reference in bd_aquire()
  (bsc#1020989,FATE#322379).
- commit c6157db
* Sat Mar 18 2017 hare@suse.de
- Refresh
  patches.drivers/0247-block-split-out-request-only-flags-into-a-new-namesp.patch.
- commit b601a40
* Fri Mar 17 2017 bp@suse.de
- x86/cpufeature: Enable RING3MWAIT for Knights Mill
  (fate#321940).
- x86/cpufeature: Enable RING3MWAIT for Knights Landing
  (fate#321940).
- x86/cpufeature: Add RING3MWAIT to CPU features (fate#321940).
- x86/elf: Add HWCAP2 to expose ring 3 MONITOR/MWAIT
  (fate#321940).
- x86/msr: Add MSR_MISC_FEATURE_ENABLES and RING3MWAIT bit
  (fate#321940).
- commit 89a89cc
* Fri Mar 17 2017 ohering@suse.de
- PCI: hv: Use device serial number as PCI domain (fate#320485,
  bug#1028217).
- PCI: hv: Fix wslot_to_devfn() to fix warnings on device removal
  (fate#320485, bug#1028217).
- Drivers: hv: vmbus: Prevent sending data on a rescinded channel
  (fate#320485, bug#1028217).
- commit feccc28
* Fri Mar 17 2017 ohering@suse.de
- add mainline tag to one hyperv patch
- commit 5e98967
* Fri Mar 17 2017 jjolly@suse.de
- s390/mm: fix zone calculation in arch_add_memory() (bnc#1025683,
  LTC#152318).
- s390/kmsg: add missing kmsg descriptions (bnc#1025683,
  LTC#151573).
- commit 46ce2c1
* Fri Mar 17 2017 yousaf.kaukab@suse.com
- of, numa: Return NUMA_NO_NODE from disable of_node_to_nid()
  if nid not possible (fate#321953).
- commit d621f59
* Thu Mar 16 2017 bp@suse.de
- kvm: x86: Expose Intel VPOPCNTDQ feature to guest (fate#322396).
- x86/cpufeature: Add AVX512_VPOPCNTDQ feature (fate#322396).
- commit b20f037
* Wed Mar 15 2017 msuchanek@suse.de
- cxl: Fix coredump generation when cxl_get_fd() is used
  (bsc#1028310, fate#321597).
- commit 7b96292
* Wed Mar 15 2017 alnovak@suse.cz
- x86/ioapic: Support hot-removal of IOAPICs present during boot
  (bsc#1027153, bsc#1027616).
- x86/ioapic: Change prototype of acpi_ioapic_add() (bsc#1027153,
  bsc#1027616).
- x86/ioapic: Simplify ioapic_setup_resources() (bsc#1027153,
  bsc#1027616).
- x86/ioapic: Fix incorrect pointers in ioapic_setup_resources()
  (bsc#1027153, bsc#1027616).
- commit 6eed736
* Wed Mar 15 2017 mbenes@suse.cz
- taint/module: Clean up global and module taint flags handling
  (fate#313296).
- module: move add_taint_module() to a header file (fate#313296).
- kgr: remove all arch-specific kgraft header files (fate#313296).
- kgr/module: make a taint flag module-specific (fate#313296).
- Refresh
  patches.suse/0013-PM-hibernate-Add-configuration-to-enforce-signature-.patch.
- commit 27074be
* Wed Mar 15 2017 colyli@suse.de
- md/raid1: add rcu protection to rdev in fix_read_error
  (References: bsc#998106,bsc#1020048,bsc#982783).
- md/raid1: Refactor raid1_make_request
  (bsc#998106,bsc#1020048,bsc#982783).
- RAID1: a new I/O barrier implementation to remove resync window
  (bsc#998106,bsc#1020048,bsc#982783).
- md/raid1: fix a use-after-free bug
  (bsc#998106,bsc#1020048,bsc#982783).
- md/raid1: handle flush request correctly
  (bsc#998106,bsc#1020048,bsc#982783).
- RAID1: avoid unnecessary spin locks in I/O barrier code
  (bsc#998106,bsc#1020048,bsc#982783).
- Delete patches.fixes/0001-md-raid1-fix-IO-can-block-resync-indefinitely.patch.
- Delete patches.fixes/0003-md-lockless-I-O-submission-for-RAID1.patch.
- commit 5ccdb1a
* Wed Mar 15 2017 jslaby@suse.cz
- Linux 4.4.54 (CVE-2017-2636 bnc#1012382 bnc#1015840
  bnc#1027565).
- Revert "target: Fix NULL dereference during LUN lookup +
  active I/O shutdown" (kabi).
- Refresh patches.drivers/mm-dax-pmem-introduce-pfn_t.patch.
- Delete
  patches.fixes/TTY-n_hdlc-fix-lockdep-false-positive.patch.
- Delete
  patches.fixes/tty-n_hdlc-get-rid-of-racy-n_hdlc.tbuf.patch.
- commit b5c35df
* Wed Mar 15 2017 gqjiang@suse.com
- md: move bitmap_destroy to the beginning of __md_stop
  (fate#320864).
- Refresh
  patches.suse/0001-md-cluster-free-md_cluster_info-if-node-leave-cluste.patch.
- Refresh
  patches.suse/0002-md-cluster-remove-useless-memset-from-gather_all_res.patch.
- Refresh
  patches.suse/0003-md-move-funcs-from-pers-resize-to-update_size.patch.
- Refresh
  patches.suse/0004-md-cluster-use-sync-way-to-handle-METADATA_UPDATED-m.patch.
- Refresh
  patches.suse/0006-md-cluster-add-CHANGE_CAPACITY-message-type.patch.
- Refresh
  patches.suse/0007-md-cluster-introduce-cluster_check_sync_size.patch.
- Refresh
  patches.suse/0008-md-cluster-add-the-support-for-resize.patch.
- Delete
  patches.suse/0005-md-move-bitmap_destroy-before-__md_stop.patch.
- commit 6f2cafa
* Wed Mar 15 2017 bpoirier@suse.com
- Refresh
  patches.drivers/0001-badblocks-add-core-badblock-management-code.patch.
- Refresh
  patches.drivers/0011-irq_poll-make-blk-iopoll-available-outside-the-block-layer.patch.
  Fix build breakage when building partway through series:
  CC [M]  drivers/net/ethernet/mellanox/mlx4/cmd.o
  In file included from include/rdma/ib_mad.h:42:0,
  from include/rdma/ib_smi.h:40,
  from drivers/net/ethernet/mellanox/mlx4/cmd.c:44:
  include/rdma/ib_verbs.h:52:28: fatal error: linux/irq_poll.h: No such file or directory
  [#]include <linux/irq_poll.h>
  ^
  compilation terminated.
  irq_poll.h is introduced by
  511cbce2ff8b irq_poll: make blk-iopoll available outside the block layer (v4.5-rc1)
  in
  patches/patches.drivers/0011-irq_poll-make-blk-iopoll-available-outside-the-block-layer.patch
- commit a367b77
* Tue Mar 14 2017 pjakobsson@suse.de
- x86/io: add interface to reserve io memtype for a resource range. (v1.1) (fate#321223).
- drm: Add new DCS commands in the enum list (fate#321223).
- async: export current_is_async() (fate#321223).
- commit 47bb8e1
* Tue Mar 14 2017 mkubecek@suse.cz
- Update patches.kernel.org/patch-4.4.37-38 (add CVE-2016-10200 bsc#1028415).
- commit f88cfd2
* Tue Mar 14 2017 yousaf.kaukab@suse.com
- x86: kallsyms: disable absolute percpu symbols on !SMP
  (fate#320512).
- kallsyms: don't overload absolute symbol type for percpu symbols
  (fate#320512).
- Refresh
  patches.arch/0088-kallsyms-add-support-for-relative-offsets-in-kallsym.patch.
- commit 4a6a93e
* Tue Mar 14 2017 jbeulich@suse.com
- xen-blkfront: correct maximum segment accounting (bsc#1018263).
- xen-blkfront: free resources if xlvbd_alloc_gendisk fails.
- xen-blkfront: don't call talk_to_blkback when already connected
  to blkback.
- xen/blkfront: Fix crash if backend doesn't follow the right
  states.
- commit aede962
* Tue Mar 14 2017 yousaf.kaukab@suse.com
- x86: update configs after CONFIG_KALLSYMS_BASE_RELATIVE fix
- commit c458c02
* Tue Mar 14 2017 jlee@suse.com
- x86/efi: Add support for EFI_MEMORY_ATTRIBUTES_TABLE
  (fate#320588).
- efi: Introduce the EFI_MEM_ATTR bit and set it from the memory
  attributes table (fate#320588).
- efi: Make EFI_MEMORY_ATTRIBUTES_TABLE initialization common
  across all architectures (fate#320588).
- x86/efi: Always map the first physical page into the EFI
  pagetables (fate#320588).
- x86/efi: Fix EFI memmap pointer size warning (fate#320588).
- x86/efi: Use kmalloc_array() in efi_call_phys_prolog()
  (fate#320588).
- x86/efi: Map in physical addresses in efi_map_region_fixed
  (fate#320588).
- x86/efi: Only map RAM into EFI page tables if in mixed-mode
  (fate#320588).
- x86/efi: Only map kernel text for EFI mixed mode (fate#320588).
- efi: Iterate over efi.memmap in for_each_efi_memory_desc()
  (fate#320588).
- x86/efi: Map EFI_MEMORY_{XP,RO} memory region bits to EFI page
  tables (fate#320588).
- x86/mm/pat: Don't implicitly allow _PAGE_RW in
  kernel_map_pages_in_pgd() (fate#320588).
- Documentation/x86: Update EFI memory region description
  (fate#320588).
- x86/mm/pat: Ensure cpa->pfn only contains page frame numbers
  (fate#320588).
- x86/mm: Page align the '_end' symbol to avoid pfn conversion
  bugs (fate#320588).
- commit f19eff7
* Tue Mar 14 2017 jlee@suse.com
- Refresh patches.suse/0014-efi-Add-EFI_SECURE_BOOT-bit.patch. (fate#320588)
- commit 9a99626
* Tue Mar 14 2017 mkubecek@suse.cz
- l2tp: fix address test in __l2tp_ip6_bind_lookup()
  (bsc#1028415).
- l2tp: fix lookup for sockets not bound to a device in l2tp_ip
  (bsc#1028415).
- l2tp: fix racy socket lookup in l2tp_ip and l2tp_ip6 bind()
  (bsc#1028415).
- l2tp: hold socket before dropping lock in l2tp_ip{, 6}_recv()
  (bsc#1028415).
- l2tp: lock socket before checking flags in connect()
  (bsc#1028415).
- commit ec64edf
* Tue Mar 14 2017 mkubecek@suse.cz
- bnx2x: allow adding VLANs while interface is down (bsc#1027273).
- commit b354a34
* Tue Mar 14 2017 mkubecek@suse.cz
- config: enable also CONFIG_IPV6_PIMSM_V2 to match IPv4 (bsc#1010755)
- commit b1f5fd8
* Mon Mar 13 2017 jslaby@suse.cz
- Linux 4.4.53 (bnc#1012382 bsc#977860 bnc#897662 bsc#1018446).
- kABI: protect struct se_node_acl (kabi).
- Revert "RDMA/core: Fix incorrect structure packing for booleans"
  (kabi).
- Refresh patches.drivers/0012-target-remove-an-unused-variable.
- Refresh
  patches.drivers/0018-target-convert-acl-change-queue_depth-se_session-reference-usage.
- Refresh patches.fixes/ext4-convert-to-mbcache2.patch.
- Refresh patches.suse/loop-Compability-for-older-releases.patch.
- Refresh
  patches.suse/loop-Enable-correct-physical-blocksize.patch.
- Refresh
  patches.suse/loop-Pass-logical-blocksize-in-lo_init-0-ioctl-field.patch.
- Refresh
  patches.suse/msft-hv-0980-storvsc-Tighten-up-the-interrupt-path.patch.
- Refresh
  patches.suse/msft-hv-1013-Drivers-hv-util-Pass-the-channel-information-during-.patch.
- Refresh
  patches.suse/msft-hv-1112-Drivers-hv-utils-Continue-to-poll-VSS-channel-after-.patch.
- Delete
  patches.drivers/0019-target-obtain-se_node_acl-acl_kref-during-get_initiator_node_acl.
- Delete
  patches.fixes/0001-md-linear-fix-a-race-between-linear_add-and-linear_congested.patch.
- Delete
  patches.fixes/sd-get-disk-reference-in-sd_check_events.patch.
- commit 2369e69
* Mon Mar 13 2017 mkubecek@suse.cz
- config: enable IPv6 multicast routing (bsc#1010755)
  While the reasoning in bugzilla is rather weak (basically just failing
  automated test checking for the feature, without any real user actually
  asking for it), I see little reason to have multicast routing enabled
  for IPv4 and disabled for IPv6.
- commit 4f46c9b
* Sat Mar 11 2017 mwilck@suse.com
- scsi_dh_alua: do not call BUG_ON when updating port group
  (bsc#1028340).
- scsi_dh_alua: Do not retry for unmapped device (bsc#1012910).
- commit d6340e4
* Sat Mar 11 2017 mwilck@suse.com
- scsi: hpsa: remove coalescing settings for ioaccel2
  (bsc#1028971).
- scsi: hpsa: use designated initializers (bsc#1028971).
- scsi: hpsa: remove memory allocate failure message
  (bsc#1028971).
- scsi: hpsa: fallback to use legacy REPORT PHYS command
  (bsc#1028971).
- scsi: hpsa: use %%phN for short hex dumps (bsc#1028971).
- scsi: hpsa: add 'ctlr_num' sysfs attribute (bsc#1028971).
- scsi: hpsa: correct logical resets (bsc#1028971).
- scsi: hpsa: Remove unneeded void pointer cast (bsc#1028971).
- scsi: hpsa: correct call to hpsa_do_reset (bsc#1028971).
- scsi: hpsa: correct scsi 6byte lba calculation (bsc#1028971).
- scsi: hpsa: Check for null devices in ioaccel (bsc#1028971).
- scsi: hpsa: Prevent sending bmic commands to externals
  (bsc#1028971).
- scsi: hpsa: Check for vpd support before sending (bsc#1028971).
- scsi: hpsa: Check for null device pointers (bsc#1028971).
- scsi: hpsa: Determine device external status earlier
  (bsc#1028971).
- hpsa: correct lun data caching bitmap definition (bsc#1028971,
  bsc#1022600).
- commit 7c9eb32
* Fri Mar 10 2017 mmarek@suse.cz
- Disable CONFIG_CRYPTO_CRC32_ARM64 on arm64/vanilla
  It does not build with the SLE12 gcc.
- commit 7ab8439
* Fri Mar 10 2017 mbrugger@suse.com
- irqdomain: Don't set type when mapping an IRQ (fate#322150).
- genirq: Look-up percpu trigger type if not specified by caller
  (fate#322150).
- genirq: Look-up trigger type if not specified by caller
  (fate#322150).
- irqdomain: Fix handling of type settings for existing mappings
  (fate#322150).
- commit 6830395
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Enable PCI device ID for future IBM CXL Flash
  AFU (bsc#1028310, fate#321597).
- commit f100627
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Cancel scheduled workers before stopping AFU
  (bsc#1028310, fate#321597).
- commit 88fcc32
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Cleanup prints (bsc#1028310, fate#321597).
- commit b8668e4
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Support SQ Command Mode (bsc#1028310,
  fate#321597).
- scsi: cxlflash: Refactor context reset to share reset logic
  (bsc#1028310, fate#321597).
- commit e46d9d7
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Migrate scsi command pointer to AFU command
  (bsc#1028310, fate#321597).
- commit 8134243
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Migrate IOARRIN specific routines to function
  pointers (bsc#1028310, fate#321597).
- scsi: cxlflash: Cleanup queuecommand() (bsc#1028310,
  fate#321597).
- commit 29040d6
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Cleanup send_tmf() (bsc#1028310, fate#321597).
- commit 53c7be6
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Remove AFU command lock (bsc#1028310,
  fate#321597).
- scsi: cxlflash: Wait for active AFU commands to timeout upon
  tear down (bsc#1028310, fate#321597).
- commit b2c10f5
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Remove private command pool (bsc#1028310,
  fate#321597).
- commit 355be37
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Use cmd_size for private commands (bsc#1028310,
  fate#321597).
- scsi: cxlflash: Allocate memory instead of using command pool
  for AFU sync (bsc#1028310, fate#321597).
- commit 7b0ee2a
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Remove unused buffer from AFU command
  (bsc#1028310, fate#321597).
- commit cdb94f3
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Avoid command room violation (bsc#1028310,
  fate#321597).
- commit 21d68fb
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Improve context_reset() logic (bsc#1028310,
  fate#321597).
- scsi: cxlflash: Fix crash in cxlflash_restore_luntable()
  (bsc#1028310, fate#321597).
- commit 68fdd47
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Set sg_tablesize to 1 instead of SG_NONE
  (bsc#1028310, fate#321597).
- commit a4de840
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Fix context reference tracking on detach
  (bsc#1028310, fate#321597).
- scsi: cxlflash: Refactor WWPN setup (bsc#1028310, fate#321597).
- commit 0693cbd
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Improve EEH recovery time (bsc#1028310,
  fate#321597).
- commit e544760
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Fix to avoid EEH and host reset collisions
  (bsc#1028310, fate#321597).
- scsi: cxlflash: Remove the device cleanly in the system shutdown
  path (bsc#1028310, fate#321597).
- commit 7332843
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Scan host only after the port is ready for I/O
  (bsc#1028310, fate#321597).
- commit 70dfccb
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Update documentation (bsc#1028310, fate#321597).
- scsi: cxlflash: Remove adapter file descriptor cache
  (bsc#1028310, fate#321597).
- commit 1b2ee62
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Transition to application close model
  (bsc#1028310, fate#321597).
- commit b92a0aa
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Add kref to context (bsc#1028310, fate#321597).
- scsi: cxlflash: Cache owning adapter within context
  (bsc#1028310, fate#321597).
- commit e455d5b
* Fri Mar 10 2017 msuchanek@suse.de
- scsi: cxlflash: Avoid mutex when destroying context
  (bsc#1028310, fate#321597).
- commit 594dddf
* Fri Mar 10 2017 yousaf.kaukab@suse.com
- usb: host: xhci-plat: Make enum xhci_plat_type start at a non
  zero value (fate#321826).
- commit e0766d9
* Fri Mar 10 2017 tbogendoerfer@suse.de
- cxgb4vf: don't offload Rx checksums for IPv6 fragments
  (bsc#1026692).
- commit 88526ea
* Fri Mar 10 2017 msuchanek@suse.de
- powerpc: Blacklist GCC 5.4 6.1 and 6.2 (boo#1028895).
- commit e8877b7
* Fri Mar 10 2017 jthumshirn@suse.de
- scsi: lpfc: use proper format string for dma_addr_t
  (FATE#321664, bsc#1017969).
- scsi: lpfc: use div_u64 for 64-bit division (FATE#321664,
  bsc#1017969).
- scsi: lpfc: Update lpfc version to 11.2.0.7 (FATE#321664,
  bsc#1017969).
- scsi: lpfc: Update copyrights (FATE#321664, bsc#1017969).
- scsi: lpfc: NVME Target: Add debugfs support (FATE#321664,
  bsc#1017969).
- scsi: lpfc: NVME Target: bind to nvmet_fc api (FATE#321664,
  bsc#1017969).
- scsi: lpfc: NVME Target: Merge into FC discovery (FATE#321664,
  bsc#1017969).
- scsi: lpfc: NVME Target: Receive buffer updates (FATE#321664,
  bsc#1017969).
- scsi: lpfc: NVME Target: Base modifications (FATE#321664,
  bsc#1017969).
- scsi: lpfc: NVME Initiator: Add debugfs support (FATE#321664,
  bsc#1017969).
- scsi: lpfc: NVME Initiator: bind to nvme_fc api (FATE#321664,
  bsc#1017969).
- scsi: lpfc: NVME Initiator: Merge into FC discovery
  (FATE#321664, bsc#1017969).
- scsi: lpfc: NVME Initiator: Base modifications (FATE#321664,
  bsc#1017969).
- scsi: lpfc: refactor debugfs queue dump routines (FATE#321664,
  bsc#1017969).
- scsi: lpfc: refactor debugfs queue prints (FATE#321664,
  bsc#1017969).
- scsi: lpfc: minor code cleanups (FATE#321664, bsc#1017969).
- scsi: lpfc: Correct WQ creation for pagesize (FATE#321664,
  bsc#1017969).
- scsi: lpfc: Fix lpfc_wwn_set return code check (FATE#321664,
  bsc#1017969).
- scsi: lpfc: Replace BUG() with BUG_ON() (FATE#321664,
  bsc#1017969).
- scsi: lpfc: Set elsiocb contexts to NULL after freeing it
  (FATE#321664, bsc#1017969).
- scsi: lpfc: avoid double free of resource identifiers
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Reinstate lpfc_soft_wwn parameter (FATE#321664,
  bsc#1017969).
- scsi: lpfc: lpfc version change to 11.2.0.4 (FATE#321664,
  bsc#1017969).
- scsi: lpfc: Add missing memory barrier (FATE#321664,
  bsc#1017969).
- scsi: lpfc: Correct oops on vport port resets (FATE#321664,
  bsc#1017969).
- scsi: lpfc: Deprecate lpfc_prot_sg_seg_cnt parameter
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Fix Xlane dynamic LUN set for LUN priority
  (FATE#321664, bsc#1017969).
- scsi: lpfc: FCoE VPort enable-disable does not bring up the
  VPort (FATE#321664, bsc#1017969).
- scsi: lpfc: Correct host name in symbolic_name field
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Correct issue leading to oops during link reset
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Deprecate lpfc_soft_wwn parameter (FATE#321664,
  bsc#1017969).
- scsi: lpfc: Correct error in setting OS Driver Version with FW
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Clear the VendorVersion in the PLOGI/PLOGI ACC
  payload (FATE#321664, bsc#1017969).
- scsi: lpfc: Replace pci_pool_alloc by pci_pool_zalloc
  (FATE#321664, bsc#1017969).
- scsi: lpfc: fix oops/BUG in lpfc_sli_ringtxcmpl_put()
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Use %%zd format string for size_t (FATE#321664,
  bsc#1017969).
- scsi: lpfc: lpfc version changed to 11.2.0.2 (FATE#321664,
  bsc#1017969).
- scsi: lpfc: Fix fw download on SLI-4 FC adapters (FATE#321664,
  bsc#1017969).
- scsi: lpfc: Synchronize link speed with boot driver
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Correct panics with eh_timeout and eh_deadline
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Fix lost target in pt-to-pt connect (FATE#321664,
  bsc#1017969).
- scsi: lpfc: Revise strings with full lpfc parameter name
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Code cleanup for lpfc_sriov_nr_virtfn parameter
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Code cleanup for lpfc_max_scsicmpl_time parameter
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Code cleanup for lpfc_topology parameter
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Code cleanup for lpfc_aer_support parameter
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Code cleanup for lpfc_enable_rrq parameter
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Code clean up for lpfc_iocb_cnt parameter
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Make lpfc_prot_xxx params per hba parameters
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Set driver environment data on adapter (FATE#321664,
  bsc#1017969).
- scsi: lpfc: Fix sg_reset on SCSI device causing kernel crash
  (FATE#321664, bsc#1017969).
- scsi: lpfc: Correct embedded io wq element size (FATE#321664,
  bsc#1017969).
- scsi: lpfc: Fix few small typos in lpfc_scsi.c (FATE#321664,
  bsc#1017969).
- scsi: lpfc: Mark symbols static where possible (FATE#321664,
  bsc#1017969).
- lpfc: Fix possible NULL pointer dereference (FATE#321664,
  bsc#1017969).
- scsi: lpfc: avoid harmless comparison warning (FATE#321664,
  bsc#1017969).
- lpfc: call lpfc_sli_validate_fcp_iocb() with the hbalock held
  (FATE#321664, bsc#1017969).
- lpfc: Update lpfc version to 11.2.0.0 (FATE#321664,
  bsc#1017969).
- lpfc: Copyright updates (FATE#321664, bsc#1017969).
- lpfc: Disable FDMI probing if not connected to a fabric
  (FATE#321664, bsc#1017969).
- lpfc: Correct issue with ioremap() call on 32bit kernel
  (FATE#321664, bsc#1017969).
- lpfc: Re-organize source for easier driver attribute management
  (FATE#321664, bsc#1017969).
- lpfc: Remove global lpfc_sli_mode attribute in leiu of per-hba
  lpfc_sli_mode (FATE#321664, bsc#1017969).
- lpfc: Remove global lpfc_delay_discovery attribute in leiu of
  per-hba lpfc_delay_discovery (FATE#321664, bsc#1017969).
- lpfc: Remove global lpfc_enable_npiv attribute in leiu of
  per-hba lpfc_enable_npiv (FATE#321664, bsc#1017969).
- lpfc: Correct Port reset resulting in FC port going offline
  (FATE#321664, bsc#1017969).
- lpfc: Add support for XLane LUN priority (FATE#321664,
  bsc#1017969).
- lpfc: Correct RDP response Revision location (FATE#321664,
  bsc#1017969).
- lpfc: Re-organize source for easier device-id management
  (FATE#321664, bsc#1017969).
- lpfc: Correct FCOE discovery to avoid loss of storage devices
  after system reboot (FATE#321664, bsc#1017969).
- lpfc: Fix SLI mode 2 config failure (FATE#321664, bsc#1017969).
- lpfc: Add MDS Diagnostics Support (FATE#321664, bsc#1017969).
- lpfc: Add sysfs proc_name support (FATE#321664, bsc#1017969).
- lpfc: Reject RDP ELS if port has no login (FATE#321664,
  bsc#1017969).
- lpfc: Correct Buffer credit descriptor values in RDP response
  (FATE#321664, bsc#1017969).
- lpfc: Add recovery from adapter parity errors on some SLI4
  adapters (FATE#321664, bsc#1017969).
- lpfc: Correct RDP response sizing issue (FATE#321664,
  bsc#1017969).
- lpfc: Fix Transgression Flag of Optical Element descriptor
  for RDP on Linux (FATE#321664, bsc#1017969).
- lpfc: Use pci_(request|release)_mem_regions (FATE#321664,
  bsc#1017969).
- lpfc: remove incorrect lockdep assertion (FATE#321664,
  bsc#1017969).
- commit b8a2e8b
* Thu Mar  9 2017 jslaby@suse.cz
- tty: n_hdlc: get rid of racy n_hdlc.tbuf (bnc#1027565
  CVE-2017-2636).
- commit cc5d011
* Thu Mar  9 2017 mstaudt@suse.de
- drm/ast: Call open_key before enable_mmio in POST code
  (bsc#1028158).
- drm/ast: Fix test for VGA enabled (bsc#1028158).
- drm/ast: POST code for the new AST2500 (bsc#1028158).
- drm/ast: Rename ast_init_dram_2300 to ast_post_chip_2300
  (bsc#1028158).
- drm/ast: Factor mmc_test code in POST code (bsc#1028158).
- drm/ast: Fixed vram size incorrect issue on POWER (bsc#1028158).
- drm/ast: Base support for AST2500 (bsc#1028158).
- drm/ast: Fix calculation of MCLK (bsc#1028158).
- drm/ast: Remove spurious include (bsc#1028158).
- drm/ast: const'ify mode setting tables (bsc#1028158).
- drm/ast: Handle configuration without P2A bridge (bsc#1028158).
- drm/ast: Fix AST2400 POST failure without BMC FW or VBIOS
  (bsc#1028158).
- drm/ast: Fixed system hanged if disable P2A (bsc#1028158).
- drm/ast: Add local 'fb' variables (bsc#1028158).
- drm/ast: make fbdev support really optional (bsc#1028158).
- drm/ast: Delete an unnecessary check before
  drm_gem_object_unreference_unlocked() (bsc#1028158).
- drm/ast: Remove useless drm_fb_get_bpp_depth() call
  (bsc#1028158).
- commit b2b42a8
* Thu Mar  9 2017 jthumshirn@suse.de
- aacraid: use kmemdup (bsc#1022607, FATE#321673).
- scsi: aacraid: mark aac_src_select_comm() static (bsc#1022607,
  FATE#321673).
- scsi: aacraid: Remove duplicate irq management code
  (bsc#1022607, FATE#321673).
- scsi: aacraid: Added aacraid.h include guard (bsc#1022607,
  FATE#321673).
- scsi: aacraid: added support for init_struct_8 (bsc#1022607,
  FATE#321673).
- scsi: aacraid: Added sa firmware support (bsc#1022607,
  FATE#321673).
- scsi: aacraid: Retrieve and update the device types
  (bsc#1022607, FATE#321673).
- scsi: aacraid: Reworked scsi command submission path
  (bsc#1022607, FATE#321673).
- scsi: aacraid: Process Error for response I/O (bsc#1022607,
  FATE#321673).
- scsi: aacraid: Added support for response path (bsc#1022607,
  FATE#321673).
- scsi: aacraid: Added support for read medium error (bsc#1022607,
  FATE#321673).
- scsi: aacraid: Reworked aac_command_thread (bsc#1022607,
  FATE#321673).
- scsi: aacraid: Added support for periodic wellness sync
  (bsc#1022607, FATE#321673).
- scsi: aacraid: Retrieve Queue Depth from Adapter FW
  (bsc#1022607, FATE#321673).
- scsi: aacraid: Added support to set QD of attached drives
  (bsc#1022607, FATE#321673).
- scsi: aacraid: Added support for hotplug (bsc#1022607,
  FATE#321673).
- scsi: aacraid: Include HBA direct interface (bsc#1022607,
  FATE#321673).
- scsi: aacraid: Add task management functionality (bsc#1022607,
  FATE#321673).
- scsi: aacraid: Added support to abort cmd and reset lun
  (bsc#1022607, FATE#321673).
- scsi: aacraid: VPD 83 type3 support (bsc#1022607, FATE#321673).
- scsi: aacraid: Added new IWBR reset (bsc#1022607, FATE#321673).
- scsi: aacraid: Added ioctl to trigger IOP/IWBR reset
  (bsc#1022607, FATE#321673).
- scsi: aacraid: Retrieve HBA host information ioctl (bsc#1022607,
  FATE#321673).
- scsi: aacraid: Update copyrights (bsc#1022607, FATE#321673).
- scsi: aacraid: Change Driver Version Prefix (bsc#1022607,
  FATE#321673).
- scsi: aacraid: update version (bsc#1022607, FATE#321673).
- scsi: aacraid: rcode is unsigned and should be signed int
  (bsc#1022607, FATE#321673).
- scsi: aacraid: avoid open-coded upper_32_bits (bsc#1022607,
  FATE#321673).
- scsi: aacraid: Fix camel case (bsc#1022607, FATE#321673).
- scsi: aacraid: Use correct channel number for raw srb
  (bsc#1022607, FATE#321673).
- scsi: aacraid: Fix for excessive prints on EEH (bsc#1022607,
  FATE#321673).
- scsi: aacraid: Fix memory leak in fib init path (bsc#1022607,
  FATE#321673).
- scsi: aacraid: Added sysfs for driver version (bsc#1022607,
  FATE#321673).
- scsi: aacraid: Fix sync fibs time out on controller reset
  (bsc#1022607, FATE#321673).
- scsi: aacraid: Skip wellness sync on controller failure
  (bsc#1022607, FATE#321673).
- scsi: aacraid: Reload offlined drives after controller reset
  (bsc#1022607, FATE#321673).
- scsi: aacraid: Decrease adapter health check interval
  (bsc#1022607, FATE#321673).
- scsi: aacraid: Skip IOP reset on controller panic(SMART Family)
  (bsc#1022607, FATE#321673).
- scsi: aacraid: Reorder Adapter status check (bsc#1022607,
  FATE#321673).
- scsi: aacraid: Save adapter fib log before an IOP reset
  (bsc#1022607, FATE#321673).
- scsi: aacraid: Fix a potential spinlock double unlock bug
  (bsc#1022607, FATE#321673).
- scsi: aacraid: Update driver version (bsc#1022607, FATE#321673).
- scsi: aacraid: Fixed expander hotplug for SMART family
  (bsc#1022607, FATE#321673).
- scsi: aacraid: remove redundant zero check on ret (bsc#1022607,
  FATE#321673).
- Refresh
  patches.suse/kgr-0008-mark-task_safe-in-some-kthreads.patch.
- commit 0d5f79a
* Thu Mar  9 2017 mstaudt@suse.de
- Update mainline reference in patches.drivers/drm-ast-Fix-memleaks-in-error-path-in-ast_fb_create.patch
  See (bsc#1028158) for the context in which this was discovered upstream.
- commit 8d9348d
* Thu Mar  9 2017 yousaf.kaukab@suse.com
- serial: core: remove baud_rates when serial console setup
  (fate#322003).
- commit 4cc86c4
* Thu Mar  9 2017 dchang@suse.com
- Refresh for sfc update (bsc#1017967 FATE#321663)
  patches.drivers/net-make-ndo_get_stats64-a-void-function.patch.
- commit 80057dd
* Thu Mar  9 2017 dchang@suse.com
- sfc: don't report RX hash keys to ethtool when RSS wasn't
  enabled (bsc#1017967 FATE#321663).
- ethernet: sfc: Add Kconfig entry for vendor Solarflare
  (bsc#1017967 FATE#321663).
  Update config files.
  Add Kconfig entry for vendor Solarflare (NET_VENDOR_SOLARFLARE=y)
  and replac SFC with NET_VENDOR_SOLARFLARE for s390.
- net: sfc: use new api ethtool_{get|set}_link_ksettings
  (bsc#1017967 FATE#321663).
- sfc: remove EFX_BUG_ON_PARANOID, use EFX_WARN_ON_[ONCE_]PARANOID
  instead (bsc#1017967 FATE#321663).
- sfc: remove RESET_TYPE_RX_RECOVERY (bsc#1017967 FATE#321663).
- sfc: don't select SFC_FALCON (bsc#1017967 FATE#321663).
- sfc: fix debug message format string in
  efx_farch_handle_rx_not_ok (bsc#1017967 FATE#321663).
- sfc: separate out SFC4000 ("Falcon") support into new sfc-falcon
  driver (bsc#1017967 FATE#321663).
  Update config files.
  Add Solarflare SFC4000 support. (SFC_FALCON=m)
  Add Solarflare SFC4000 MTD support (SFC_FALCON_MTD=y)
  supported.conf: add drivers/net/ethernet/sfc/falcon/sfc-falcon
- sfc: remove unneeded variable (bsc#1017967 FATE#321663).
- sfc: remove Software TSO (bsc#1017967 FATE#321663).
- sfc: handle failure to allocate TSOv2 contexts (bsc#1017967
  FATE#321663).
- sfc: Firmware-Assisted TSO version 2 (bsc#1017967 FATE#321663).
- sfc: Update EF10 register definitions (bsc#1017967 FATE#321663).
- sfc: Update MCDI protocol definitions (bsc#1017967 FATE#321663).
- sfc: remove napi_hash_del() call (bsc#1017967 FATE#321663).
- sfc: report 4-tuple UDP hashing to ethtool, if it's enabled
  (bsc#1017967 FATE#321663).
- sfc: enable 4-tuple RSS hashing for UDP (bsc#1017967
  FATE#321663).
- ethernet/sfc: use core min/max MTU checking (bsc#1017967
  FATE#321663).
- sfc: clear napi_hash state when copying channels (bsc#1017967
  FATE#321663).
- sfc: check async completer is !NULL before calling (bsc#1017967
  FATE#321663).
- sfc: use IS_ENABLED() instead of checking for built-in or module
  (bsc#1017967 FATE#321663).
- sfc: check MTU against minimum threshold (bsc#1017967
  FATE#321663).
- sfc: work around TRIGGER_INTERRUPT command not working on
  SFC9140 (bsc#1017967 FATE#321663).
- sfc: remove duplicate assignment (bsc#1017967 FATE#321663).
- sfc: include size-binned TX stats on sfn8542q (bsc#1017967
  FATE#321663).
- sfc: avoid division by zero (bsc#1017967 FATE#321663).
- sfc: get timer configuration from adapter (bsc#1017967
  FATE#321663).
- sfc: set interrupt moderation via MCDI (bsc#1017967
  FATE#321663).
- sfc: use new performance based event queue init (bsc#1017967
  FATE#321663).
- sfc: retrieve second word of datapath capabilities (bsc#1017967
  FATE#321663).
- sfc: allow asynchronous MCDI without completion function
  (bsc#1017967 FATE#321663).
- sfc: update MCDI protocol headers (bsc#1017967 FATE#321663).
- sfc: fix potential stack corruption from running past stat
  bitmask (bsc#1017967 FATE#321663).
- sfc: Fix VLAN filtering feature if vPort has VLAN_RESTRICT flag
  (bsc#1017967 FATE#321663).
- sfc: Update MCDI protocol definitions (bsc#1017967 FATE#321663).
- sfc: Disable VLAN filtering by default if not strictly required
  (bsc#1017967 FATE#321663).
- sfc: VLAN filters must only be created if the firmware supports
  this (bsc#1017967 FATE#321663).
- sfc: Fix dup unknown multicast/unicast filters after datapath
  reset (bsc#1017967 FATE#321663).
- sfc: Refactor checks for invalid filter ID (bsc#1017967
  FATE#321663).
- sfc: Take mac_lock before calling efx_ef10_filter_table_probe
  (bsc#1017967 FATE#321663).
- sfc: Implement ndo_vlan_rx_{add, kill}_vid() callbacks
  (bsc#1017967 FATE#321663).
- sfc: Implement list of VLANs added over interface (bsc#1017967
  FATE#321663).
- sfc: Make EF10 filter management helper functions VLAN-aware
  (bsc#1017967 FATE#321663).
- sfc: Store unicast and multicast promisc flag with address cache
  (bsc#1017967 FATE#321663).
- sfc: Move filter IDs to per-VLAN data structure (bsc#1017967
  FATE#321663).
- sfc: Forget filter ID when the filter is marked old (bsc#1017967
  FATE#321663).
- sfc: Assert filter_sem write locked when required (bsc#1017967
  FATE#321663).
- sfc: Add efx_nic member with fixed netdev features (bsc#1017967
  FATE#321663).
- sfc: Move last mc_promisc flag to EF10 filter table state
  (bsc#1017967 FATE#321663).
- sfc: Define macro with EF10 offload feature (bsc#1017967
  FATE#321663).
- net: sfc: avoid -Wtype-limits warning (bsc#1017967 FATE#321663).
- sfc: report supported link speeds on SFP connections
  (bsc#1017967 FATE#321663).
- sfc: Track RPS flow IDs per channel instead of per function
  (bsc#1017967 FATE#321663).
- sfc: use flow dissector helpers for aRFS (bsc#1017967
  FATE#321663).
- commit 0ce1797
* Thu Mar  9 2017 bpoirier@suse.com
- bnx2x backport for SLE12-SP3
- bnx2x: Don't flush multicast MACs (bsc#1019680 FATE#321692).
- bnx2x: Prevent tunnel config for 577xx (bsc#1019680
  FATE#321692).
- bnx2x: Use the correct divisor value for PHC clock readings
  (bsc#1019680 FATE#321692).
- bnx2x: allocate mac filtering 'mcast_list' in PAGE_SIZE
  increments (bsc#1019680 FATE#321692).
- bnx2x: allocate mac filtering pending list in PAGE_SIZE
  increments (bsc#1019680 FATE#321692).
- bnx2x: allow adding VLANs while interface is down (bsc#1019680
  FATE#321692).
- bnx2x: avoid leaking memory on bnx2x_init_one() failures
  (bsc#1019680 FATE#321692).
- bnx2x: avoid two atomic ops per page on x86 (bsc#1019680
  FATE#321692).
- bnx2x: free the mac filter group list before freeing the cmd
  (bsc#1019680 FATE#321692).
- bnx2x: switch to napi_complete_done() (bsc#1019680 FATE#321692).
- bnx2x: use reset to set network header (bsc#1019680
  FATE#321692).
- drivers: net: generalize napi_complete_done() (bsc#1019680
  FATE#321692).
- net: bnx2x: fix improper return value (bsc#1019680 FATE#321692).
- net: broadcom: bnx2x: use new api
  ethtool_{get|set}_link_ksettings (bsc#1019680 FATE#321692).
- treewide: Fix printk() message errors (bsc#1019680 FATE#321692).
- Refresh
  patches.drivers/bnx2-Wait-for-in-flight-DMA-to-complete-at-probe-sta.patch.
- Update
  patches.drivers/bnx2x-Correct-ringparam-estimate-when-DOWN.patch
  (bsc#1019680 FATE#321692).
- Update
  patches.drivers/bnx2x-don-t-reset-chip-on-cleanup-if-PCI-function-is.patch
  (bsc#1019680 FATE#321692).
- Refresh
  patches.drivers/bnxt-add-a-missing-rcu-synchronization.patch.
- Refresh
  patches.drivers/bnxt-do-not-busy-poll-when-link-is-down.patch.
- Refresh
  patches.drivers/bnxt_en-Add-UDP-RSS-support-for-57X1X-chips.patch.
- Refresh patches.drivers/bnxt_en-Enhance-autoneg-support.patch.
- Refresh
  patches.drivers/bnxt_en-Fix-a-VXLAN-vs-GENEVE-issue.patch.
- Refresh
  patches.drivers/bnxt_en-Fix-ring-arithmetic-in-bnxt_setup_tc.patch.
- Refresh
  patches.drivers/bnxt_en-Update-firmware-interface-spec-to-1.5.4.patch.
- Refresh patches.drivers/bnxt_en-do-not-call-napi_hash_add.patch.
- Refresh
  patches.drivers/bnxt_en-initialize-rc-to-zero-to-avoid-returning-gar.patch.
- Refresh
  patches.drivers/clocksource-Use-a-plain-u64-instead-of-cycle_t.patch.
- Refresh
  patches.drivers/ethernet-broadcom-use-core-min-max-MTU-checking.patch.
- Refresh
  patches.drivers/ethernet-intel-Use-pci_-request-release-_mem_regions.patch.
- Refresh
  patches.drivers/ethernet-intel-use-core-min-max-MTU-checking.patch.
- Refresh patches.drivers/igb-Only-DMA-sync-frame-length.patch.
- Refresh
  patches.drivers/igb-Workaround-for-igb-i210-firmware-issue.patch.
- Refresh
  patches.drivers/igb-add-i211-to-i210-PHY-workaround.patch.
- Refresh
  patches.drivers/igb-call-igb_ptp_suspend-during-suspend-resume-cycle.patch.
- Refresh
  patches.drivers/ixgbe-Add-missing-destroy_workqueue-on-error-in-ixgb.patch.
- Refresh
  patches.drivers/ixgbe-fix-panic-when-using-macvlan-with-l2-fwd-offlo.patch.
- Refresh
  patches.drivers/net-ena-change-condition-for-host-attribute-configur.patch.
- Refresh
  patches.drivers/net-ena-change-driver-s-default-timeouts.patch.
- Refresh
  patches.drivers/net-ena-fix-NULL-dereference-when-removing-the-drive.patch.
- Refresh
  patches.drivers/net-ena-fix-RSS-default-hash-configuration.patch.
- Refresh
  patches.drivers/net-ena-fix-ethtool-RSS-flow-configuration.patch.
- Refresh
  patches.drivers/net-ena-fix-potential-access-to-freed-memory-during-.patch.
- Refresh
  patches.drivers/net-ena-fix-queues-number-calculation.patch.
- Refresh
  patches.drivers/net-ena-reduce-the-severity-of-ena-printouts.patch.
- Refresh
  patches.drivers/net-ena-refactor-ena_get_stats64-to-be-atomic-contex.patch.
- Refresh
  patches.drivers/net-ena-remove-ntuple-filter-support-from-device-fea.patch.
- Refresh
  patches.drivers/net-ena-remove-superfluous-check-in-ena_remove.patch.
- Refresh
  patches.drivers/net-ena-update-driver-version-to-1.1.2.patch.
- Refresh
  patches.drivers/net-ena-use-READ_ONCE-to-access-completion-descripto.patch.
- Refresh
  patches.drivers/net-ena-use-napi_complete_done-return-value.patch.
- Refresh
  patches.drivers/net-ethernet-mvneta-Remove-IFF_UNICAST_FLT-which-is-.patch.
- Refresh
  patches.drivers/net-make-ndo_get_stats64-a-void-function.patch.
- Refresh patches.drivers/net-mvneta-add-BQL-support.patch.
- Refresh patches.drivers/net-mvneta-add-xmit_more-support.patch.
- Refresh patches.drivers/net-qcom-emac-add-ethtool-support.patch.
- Refresh
  patches.drivers/net-qcom-emac-fix-of_node-and-phydev-leaks.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-error-return-code-in-nicvf_open.patch.
- Refresh
  patches.drivers/net-thunderx-Leave-serdes-lane-config-on-81-83xx-to-.patch.
- Refresh
  patches.drivers/net-thunderx-Make-hfunc-variable-const-type-in-nicvf.patch.
- Refresh
  patches.drivers/net-thunderx-Support-to-configure-queue-sizes-from-e.patch.
- Refresh patches.drivers/phy-fix-crash-in-fixed_phy_add.patch.
- Refresh patches.drivers/phy-fixed-Fix-removal-of-phys.patch.
- commit 2354751
* Thu Mar  9 2017 bpoirier@suse.com
- Reorder patches in network driver series
  There was a bug in git-sort which meant that in some cases, parent-child
  ordering was wrong. (See commit 375f6e5 "git-sort: Use selection sort" in
  git-helpers.git for a detailed explanation of the problem.)
- Refresh
  patches.drivers/net-hns-Add-missing-n-to-end-of-dev_err-messages-tid.patch.
- Refresh
  patches.drivers/net-hns-fix-the-bug-of-forwarding-table.patch.
- Refresh
  patches.drivers/net-thunderx-Add-support-for-16-LMACs-of-83xx.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-for-HW-issue-while-padding-TSO-pack.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-for-issues-with-multiple-CQEs-poste.patch.
- Refresh
  patches.drivers/net-thunderx-Use-napi_consume_skb-for-bulk-free.patch.
- commit 138aa88
* Wed Mar  8 2017 mbrugger@suse.com
- [v9,15/15] irqchip: mbigen: Add ACPI support (fate#322150).
- [v9,14/15] irqchip: mbigen: introduce mbigen_of_create_domain()
  (fate#322150).
- [v9,13/15] irqchip: mbigen: drop module owner (fate#322150).
- [v9, 12/15] msi: platform: make
  platform_msi_create_device_domain() ACPI aware (fate#322150).
- [v9, 11/15] ACPI: platform: setup MSI domain for ACPI based
  platform device (fate#322150).
- [v9,10/15] ACPI: platform-msi: retrieve dev id from IORT
  (fate#322150).
- [v9, 09/15] ACPI/IORT: Introduce iort_node_map_platform_id()
  to retrieve dev id (fate#322150).
- [v9,08/15] ACPI/IORT: Rename iort_node_map_rid() to make it
  generic (fate#322150).
- [v9, 07/15] irqchip: gicv3-its: platform-msi: scan MADT to
  create platform msi domain (fate#322150).
- [v9, 06/15] irqchip: gicv3-its: platform-msi: refactor
  its_pmsi_init() to prepare for ACPI (fate#322150).
- [v9, 05/15] irqchip: gicv3-its: platform-msi: refactor
  its_pmsi_prepare() (fate#322150).
- [v9, 04/15] irqchip: gic-v3-its: keep the include header files
  in alphabetic order (fate#322150).
- [v9, 03/15] ACPI/IORT: Rework iort_match_node_callback()
  return value handling (fate#322150).
- [v9,02/15] ACPI/IORT: Add missing comment for
  iort_dev_find_its_id() (fate#322150).
- [v9,01/15] ACPI/IORT: Fix the indentation in iort_scan_node()
  (fate#322150).
- commit 3a83211
* Wed Mar  8 2017 mbrugger@suse.com
- supported.conf: add crc32-arm64
- commit 73a1479
* Wed Mar  8 2017 mbrugger@suse.com
- arm64: Update config files.
  Enable CRYPTO_CRC32_ARM64
- commit 2e5edd4
* Wed Mar  8 2017 mbrugger@suse.com
- crypto: arm64/crc32 - detect crc32 support in assembler
  (fate#322150).
- commit ec0eef9
* Wed Mar  8 2017 mbrugger@suse.com
- arm64: Update config files.
  Enable ARM_ARCH_TIMER_OOL_WORKAROUND HISILICON_ERRATUM_161010101 QCOM_IRQ_COMBINER
- commit c268a4d
* Wed Mar  8 2017 mbrugger@suse.com
- clocksource/drivers/arm_arch_timer: Work around Hisilicon erratum 161010101 (fate#322150).
- clocksource/drivers/arm_arch_timer: Introduce generic errata handling infrastructure (fate#322150).
- clocksource/drivers/arm_arch_timer: Remove fsl-a008585 parameter (fate#322150).
- ACPI/IORT: Fix iort_node_get_id() mapping entries indexing (fate#322150).
- irqchip/qcom: Add IRQ combiner driver (fate#322150).
- ACPI: Add support for ResourceSource/IRQ domain mapping (fate#322150).
- ACPI: Generic GSI: Do not attempt to map non-GSI IRQs during bus scan (fate#322150).
- ACPI: Rename acpi_gsi_get_irq_type to acpi_dev_get_irq_type and export symbol (fate#322150).
- commit d5d110e
* Wed Mar  8 2017 mhocko@suse.cz
- Refresh
  patches.suse/mm-move-lazily-freed-pages-to-inactive-list.patch.
- commit 08b9c52
* Wed Mar  8 2017 yousaf.kaukab@suse.com
- crypto: cavium - fix leak on curr if curr->head fails to be
  allocated (fate#321995,fate#319984).
- crypto: cavium - Fix couple of static checker errors
  (fate#321995,fate#319984).
- crypto: cavium - switch to pci_alloc_irq_vectors
  (fate#321995,fate#319984).
- crypto: cavium - remove dead MSI-X related define
  (fate#321995,fate#319984).
- crypto: cavium - fix Kconfig dependencies
  (fate#321995,fate#319984).
- crypto: cavium - cpt_bind_vq_to_grp could return an error code
  (fate#321995,fate#319984).
- commit 7639259
* Tue Mar  7 2017 mbrugger@suse.com
- bus: mvebu-bus: Provide inline stub for
  mvebu_mbus_get_dram_win_info (fate#319899 fate#320700).
- commit 7962d1a
* Tue Mar  7 2017 fdmanana@suse.com
- Btrfs: incremental send, do not issue invalid rmdir operations
  (bsc#1028325).
- Btrfs: incremental send, do not delay rename when parent inode
  is new (bsc#1028325).
- Btrfs: send, fix failure to rename top level inode due to name
  collision (bsc#1028325).
- commit 302b63f
* Tue Mar  7 2017 yousaf.kaukab@suse.com
- PCI: Skip Vulcan glue bridges in dma alias search (fate#322326).
- PCI: Vulcan: AHCI PCI bar fix for Broadcom Vulcan early silicon
  (fate#322326).
- commit cb5a077
* Tue Mar  7 2017 jthumshirn@suse.de
- nvmet-rdma: Fix missing dma sync to nvme data structures
  (bsc#993388, FATE#321732).
- nvmet: Call fatal_error from keep-alive timout expiration
  (bsc#993388, FATE#321732).
- nvmet: cancel fatal error and flush async work before free
  controller (bsc#993388, FATE#321732).
- nvmet: delete controllers deletion upon subsystem release
  (bsc#993388, FATE#321732).
- nvmet_fc: correct logic in disconnect queue LS handling
  (bsc#993388, FATE#321732).
- nvme-rdma: fix nvme_rdma_queue_is_ready (bsc#993388,
  FATE#321732).
- nvmet/fcloop: remove some logically dead code performing
  redundant ret checks (bsc#993388, FATE#321732).
- nvmet: fix KATO offset in Set Features (bsc#993388,
  FATE#321732).
- nvme/fc: simplify error handling of nvme_fc_create_hw_io_queues
  (bsc#993388, FATE#321732).
- nvme/fc: correct some printk information (bsc#993388,
  FATE#321732).
- nvme/scsi: Remove START STOP emulation (bsc#993388,
  FATE#321732).
- nvme/pci: Delete misleading queue-wrap comment (bsc#993388,
  FATE#321732).
- nvme: simplify stripe quirk (bsc#993388, FATE#321732).
- nvme : Use correct scnprintf in cmb show (bsc#993388,
  FATE#321732).
- nvme/pci: Log PCI_STATUS when the controller dies (bsc#993388,
  FATE#321732).
- commit 3c4c95e
* Tue Mar  7 2017 mbrugger@suse.com
- supported.conf: support marvell drivers
- commit 4f7a1d4
* Tue Mar  7 2017 mbrugger@suse.com
- arm64: Update config files.
  Build as modules: MVMDIO, MVNETA_BM and MVNETA
- commit 0508e26
* Tue Mar  7 2017 bpoirier@suse.com
- Cleanup mvneta backport
  By ordering the patches, some fixups like what was in
  0002-phy-marvell-Add-ethtool-statistics-counters.patch are not needed.
  Also add some commits that were missing for it to build.
- bus: mvebu-mbus: provide api for obtaining IO and DRAM window
  information (fate#319899).
- net: add a hardware buffer management helper API (fate#319899).
- net: phy: Add phy_ethtool_nway_reset (fate#319899).
- of_mdio: Enable fixed PHY support if driver is a module
  (fate#319899).
- of_mdio: add helper to deregister fixed-link PHYs (fate#319899).
- of_mdio: select fixed phy support unconditionally (fate#319899).
- phy: fixed: Fix removal of phys (fate#319899).
- Refresh
  patches.drivers/bnx2-Wait-for-in-flight-DMA-to-complete-at-probe-sta.patch.
- Refresh
  patches.drivers/cnic-call-cp-stop_hw-in-cnic_start_hw-on-allocation-.patch.
- Refresh
  patches.drivers/ethernet-broadcom-use-core-min-max-MTU-checking.patch.
- Refresh
  patches.drivers/ethtool-add-support-for-25G-50G-100G-speed-modes.patch.
- Refresh patches.drivers/mdio-Add-support-for-mdio-drivers.patch.
- Refresh
  patches.drivers/net-bnx2-use-new-api-ethtool_-get-set-_link_ksetting.patch.
- Refresh
  patches.drivers/net-emac-emac-gigabit-ethernet-controller-driver.patch.
- Refresh
  patches.drivers/net-ethtool-add-new-ETHTOOL_xLINKSETTINGS-API.patch.
- Refresh
  patches.drivers/net-ethtool-export-conversion-function-between-u32-a.patch.
- Refresh
  patches.drivers/net-make-ndo_get_stats64-a-void-function.patch.
- Refresh
  patches.drivers/net-phy-add-phy_ethtool_-get-set-_link_ksettings.patch.
- Refresh patches.drivers/phy-Add-an-mdio_device-structure.patch.
- Refresh
  patches.drivers/phy-Add-phydev_err-and-phydev_dbg-macros.patch.
- Refresh
  patches.drivers/phy-Centralise-print-about-attached-phy.patch.
- Refresh
  patches.drivers/phy-Centralize-setting-driver-module-owner.patch.
- Refresh
  patches.drivers/phy-add-generic-function-to-support-ksetting-support.patch.
- Refresh patches.drivers/phy-add-phydev_name-wrapper.patch.
- Refresh
  patches.drivers/phy-phy_-read-write-_mmd_indirect-get-addr-from-phyd.patch.
- commit a72acd4
* Tue Mar  7 2017 bpoirier@suse.com
- ena backport for SLE12-SP3
- ethernet: fix min/max MTU typos (bsc#1015416 bsc#1027968).
- ethernet: use net core MTU range checking in more drivers
  (bsc#1027968).
- ibmvnic: Fix initial MTU settings (bsc#1015416 bsc#1027968).
- net: busy-poll: return busypolling status to drivers
  (bsc#1027968).
- net/ena: use napi_complete_done() return value (bsc#1027968).
- Update
  patches.drivers/net-ena-Add-a-driver-for-Amazon-Elastic-Network-Adap.patch
  (bsc#1027968).
- Update
  patches.drivers/net-ena-Fix-error-return-code-in-ena_device_init.patch
  (bsc#1027968).
- Update
  patches.drivers/net-ena-Remove-unnecessary-pci_set_drvdata.patch
  (bsc#1027968).
- Update
  patches.drivers/net-ena-change-condition-for-host-attribute-configur.patch
  (bsc#1027968).
- Update
  patches.drivers/net-ena-change-driver-s-default-timeouts.patch
  (bsc#1027968).
- Update
  patches.drivers/net-ena-change-the-return-type-of-ena_set_push_mode-.patch
  (bsc#1027968).
- Update
  patches.drivers/net-ena-fix-NULL-dereference-when-removing-the-drive.patch
  (bsc#1027968).
- Update
  patches.drivers/net-ena-fix-RSS-default-hash-configuration.patch
  (bsc#1027968).
- Update
  patches.drivers/net-ena-fix-ethtool-RSS-flow-configuration.patch
  (bsc#1027968).
- Update
  patches.drivers/net-ena-fix-potential-access-to-freed-memory-during-.patch
  (bsc#1027968).
- Update
  patches.drivers/net-ena-fix-queues-number-calculation.patch
  (bsc#1027968).
- Update
  patches.drivers/net-ena-reduce-the-severity-of-ena-printouts.patch
  (bsc#1027968).
- Update
  patches.drivers/net-ena-refactor-ena_get_stats64-to-be-atomic-contex.patch
  (bsc#1027968).
- Update
  patches.drivers/net-ena-remove-ntuple-filter-support-from-device-fea.patch
  (bsc#1027968).
- Update
  patches.drivers/net-ena-remove-superfluous-check-in-ena_remove.patch
  (bsc#1027968).
- Update
  patches.drivers/net-ena-update-driver-version-to-1.1.2.patch
  (bsc#1027968).
- Update
  patches.drivers/net-ena-use-READ_ONCE-to-access-completion-descripto.patch
  (bsc#1027968).
- Update
  patches.drivers/net-ena-use-setup_timer-and-mod_timer.patch
  (bsc#1027968).
- Update
  patches.drivers/net-make-ndo_get_stats64-a-void-function.patch
  (bsc#1027968).
- Refresh patches.drivers/net-qcom-emac-add-ethtool-support.patch.
- Refresh
  patches.drivers/net-qcom-emac-don-t-try-to-claim-clocks-on-ACPI-syst.patch.
- Refresh
  patches.drivers/net-qcom-emac-fix-of_node-and-phydev-leaks.patch.
- Refresh
  patches.drivers/net-qcom-emac-grab-a-reference-to-the-phydev-on-ACPI.patch.
- commit a7841df
* Mon Mar  6 2017 mbrugger@suse.com
- watchdog: orion: Depend on 32-bit ARM (fate#319899 fate#320700).
- commit d0d14b4
* Mon Mar  6 2017 mbrugger@suse.com
- arm64: Update config files.
  Enable PCI_AARDVARK
- commit 42777ae
* Mon Mar  6 2017 mbrugger@suse.com
- PCI: mvebu: Change delay after reset to the PCIe spec mandated
  100ms (fate#319899 fate#320700).
- PCI: mvebu: Handle changes to the bridge windows while enabled
  (fate#319899 fate#320700).
- PCI: mvebu: Use existing of_node pointer (fate#319899
  fate#320700).
- PCI: mvebu: Add local struct device pointers (fate#319899
  fate#320700).
- PCI: mvebu: Request host bridge window resources with core
  function (fate#319899 fate#320700).
- PCI: mvebu: Make explicitly non-modular (fate#319899
  fate#320700).
- PCI: mvebu: Use SET_NOIRQ_SYSTEM_SLEEP_PM_OPS for
  mvebu_pcie_pm_ops (fate#319899 fate#320700).
- PCI: mvebu: Constify mvebu_pcie_pm_ops structure (fate#319899
  fate#320700).
- PCI: aardvark: Add Aardvark PCI host controller driver
  (fate#319899 fate#320700).
- PCI: mvebu: Restrict build to 32-bit ARM (fate#319899
  fate#320700).
- commit 953d6c0
* Mon Mar  6 2017 msuchanek@suse.de
- Refresh config after fadump/kdump change.
- commit 8d7b923
* Mon Mar  6 2017 jthumshirn@suse.de
- nvme-fabrics: Add FC LLDD loopback driver to test FC-NVME
  (bsc#993388, FATE#321732).
- Update config files, include NVMe over FC
- nvme-fabrics: Add target support for FC transport (bsc#993388,
  FATE#321732).
- nvme-fabrics: Add FC transport error codes to nvme.h
  (bsc#993388, FATE#321732).
- nvme-fabrics: Add host support for FC transport (bsc#993388,
  FATE#321732).
- nvme-fabrics: Add FC transport LLDD api definitions (bsc#993388,
  FATE#321732).
- nvme-fabrics: Add FC transport FC-NVME definitions (bsc#993388,
  FATE#321732).
- parser: add u64 number parser (bsc#993388, FATE#321732).
- Add type 0x28 NVME type code to scsi fc headers (bsc#993388,
  FATE#321732).
- nvme-fabrics: patch target code in prep for FC transport support
  (bsc#993388, FATE#321732).
- nvme-fabrics: set sqe.command_id in core not transports
  (bsc#993388, FATE#321732).
- nvmet-rdma: align to generic ib_event logging helper
  (bsc#993388, FATE#321732).
- nvme-rdma: remove redundant define (bsc#993388, FATE#321732).
- nvme-fabrics: Adjust source code indentation (bsc#993388,
  FATE#321732).
- nvme/scsi: Remove set-but-not-used variables (bsc#993388,
  FATE#321732).
- nvmet: Fix possible infinite loop triggered on hot namespace
  removal (bsc#993388, FATE#321732).
- nvme-fabrics: Fix a memory leak in an nvmf_create_ctrl()
  error path (bsc#993388, FATE#321732).
- nvme-fabrics: Fix memory leaks in nvmf_parse_options()
  (bsc#993388, FATE#321732).
- nvme-rdma: force queue size to respect controller capability
  (bsc#993388, FATE#321732).
- nvmet-rdma: Fix REJ status code (bsc#993388, FATE#321732).
- commit 4f1edbd
* Mon Mar  6 2017 dsterba@suse.com
- btrfs: serialize subvolume mounts with potentially mismatching rw flags (bsc#951844 bsc#1024015)
- commit aca2655
* Mon Mar  6 2017 yousaf.kaukab@suse.com
- crypto: cavium - Enable CPT options crypto for build
  (fate#321995).
- Update config files.
- supported.conf:
- crypto: cavium - Add the Virtual Function driver for CPT
  (fate#321995).
- crypto: cavium - Add Support for Octeon-tx CPT Engine
  (fate#321995).
- hwrng: cavium - Use per device name to allow for multiple
  devices (fate#321995).
- commit 4fd1b94
* Mon Mar  6 2017 mbrugger@suse.com
- arm64: Update config files.
  Enable  MV_XOR and MV_XOR_V2
- commit 37cd21d
* Mon Mar  6 2017 mbrugger@suse.com
- dmaengine: mv_xor: use builtin_platform_driver (fate#319899
  fate#320700).
- dmaengine: mv_xor: Add support for scatter-gather DMA mode
  (fate#319899 fate#320700).
- dmaengine: mv_xor: move unmap to before callback (fate#319899
  fate#320700).
- dmaengine: mv_xor: Add support for IO (PCIe) src/dst areas
  (fate#319899 fate#320700).
- bus: mvebu-mbus: Provide stub function for
  mvebu_mbus_get_io_win_info() (fate#319899 fate#320700).
- dmaengine: mv_xor: convert callback to helper function
  (fate#319899 fate#320700).
- dmaengine: mv_xor_v2: remove trailing whitespace (fate#319899
  fate#320700).
- dmaengine: mv_xor_v2: new driver (fate#319899 fate#320700).
- dt-bindings: dma: add binding for the Marvell XOR v2 engine
  (fate#319899 fate#320700).
- dmaengine: mv_xor: Minor coding style fix (fate#319899
  fate#320700).
- dmaengine: mv_xor: Fix incorrect offset in dma_map_page()
  (fate#319899 fate#320700).
- dmaengine: mv_xor: Allow selecting mv_xor for mvebu only
  compatible SoC (fate#319899 fate#320700).
- dmaengine: mv_xor: add support for Armada 3700 SoC (fate#319899
  fate#320700).
- dmaengine: mv_xor: use SoC type instead of directly the
  operation mode (fate#319899 fate#320700).
- dmaengine: mv_xor: make the code 64 bits compliant (fate#319899
  fate#320700).
- dma, mm/pat: Rename dma_*_writecombine() to dma_*_wc()
  (fate#319899 fate#320700).
- dmaengine: mv_xor: add suspend/resume support (fate#319899
  fate#320700).
- dmaengine: mv_xor: de-duplicate mv_chan_set_mode*() (fate#319899
  fate#320700).
- dmaengine: mv_xor: remove mv_xor_chan->current_type field
  (fate#319899 fate#320700).
- commit 3ab4670
* Mon Mar  6 2017 hare@suse.de
- scsi: snic: Return error code on memory allocation failure
  (FATE#319760).
- snic: Fix use-after-free in case of a dma mapping error
  (FATE#319760).
- snic: fix typo (FATE#319760).
- commit f6d59ea
* Mon Mar  6 2017 mbrugger@suse.com
- irqchip/armada-370-xp: Do not enable it by default when
  ARCH_MVEBU is selected (fate#319899 fate#320700).
- irqchip/armada-370-xp: Add Kconfig option for the driver
  (fate#319899 fate#320700).
- commit bfc625c
* Mon Mar  6 2017 jthumshirn@suse.de
- Update config files, reflect NVMe over Fabrics changes in s390x.
- commit cfbca7c
* Mon Mar  6 2017 hare@suse.de
- scsi: do not print 'reservation conflict' for TEST UNIT READY
  (bsc#1027054).
- commit f106680
* Mon Mar  6 2017 dchang@suse.com
- bnx2: use READ_ONCE() instead of barrier() (bsc#1019677
  FATE#321690).
- net: bnx2: use new api ethtool_{get|set}_link_ksettings
  (bsc#1019677 FATE#321690).
- bnx2: Wait for in-flight DMA to complete at probe stage
  (bsc#1019677 FATE#321690).
- bnx2: fix locking when netconsole is used (bsc#1019677
  FATE#321690).
- bnx2: use IS_ENABLED() instead of checking for built-in or
  module (bsc#1019677 FATE#321690).
- cnic: call cp->stop_hw() in cnic_start_hw() on allocation
  failure (bsc#1019678 FATE#321691).
- commit 03d8bf2
* Mon Mar  6 2017 hare@suse.de
- libata/libsas: Define ATA_CMD_NCQ_NON_DATA
  (bsc#940180,FATE#318723).
- scsi: qla2xxx: Use struct t10_pi_tuple (bsc#940180,FATE#318723).
- scsi: sd: Move DIF protection types to t10-pi.h
  (bsc#940180,FATE#318723).
- scsi: scsi_debug: Use struct t10_pi_tuple instead of struct
  sd_dif_tuple (bsc#940180,FATE#318723).
- sd_zbc: Force use of READ16/WRITE16 (bsc#940180,FATE#318723).
- Refresh
  patches.drivers/sd-Implement-support-for-ZBC-devices.patch.
- commit 4c625f5
* Mon Mar  6 2017 hare@suse.de
- scsi_debug: add multiple queue support (bsc#940180,FATE#318723).
- scsi_debug: cleanup naming and bit crunching
  (bsc#940180,FATE#318723).
- scsi_debug: fix sleep in invalid context
  (bsc#940180,FATE#318723).
- scsi_debug: ignore host lock option (bsc#940180,FATE#318723).
- scsi_debug: make jiffy delay name clearer
  (bsc#940180,FATE#318723).
- scsi_debug: re-order file scope declarations
  (bsc#940180,FATE#318723).
- scsi_debug: replace jiffy timers with hr timers
  (bsc#940180,FATE#318723).
- scsi_debug: replace tasklet with work queue
  (bsc#940180,FATE#318723).
- scsi_debug: rework resp_report_luns (bsc#940180,FATE#318723).
- scsi_debug: use likely hints on fast path
  (bsc#940180,FATE#318723).
- scsi_debug: use locally assigned naa (bsc#940180,FATE#318723).
- scsi_debug: use pdt constants (bsc#940180,FATE#318723).
- scsi_debug: uuid for lu name (bsc#940180,FATE#318723).
- scsi_debug: vpd and mode page work (bsc#940180,FATE#318723).
- Refresh
  patches.drivers/0005-scsi-rename-SCSI_MAX_-SG-SG_CHAIN-_SEGMENTS.patch.
- commit 819ae83
* Mon Mar  6 2017 neilb@suse.com
- pnfs/blocklayout: fix last_write_offset incorrectly set to
  page boundary (bnc#993553).
- pnfs/blocklayout: update last_write_offset atomically with
  extents (bnc#993553).
- Fix NULL pointer dereference in bl_free_device() (bnc#993553).
- pnfs/blocklayout: put deviceid node after releasing bl_ext_lock
  (bnc#993553).
- nfs/blocklayout: Check max uuids and devices before decoding
  (bnc#993553).
- nfs/blocklayout: Make sure calculate signature length aligned
  (bnc#993553).
- nfs/blocklayout: support RH/Fedora dm-mpath device nodes
  (bnc#993553).
- nfs/blocklayout: refactor open-by-wwn (bnc#993553).
- nfs/blocklayout: use proper fmode for opening block devices
  (bnc#993553).
- nfs/blocklayout: make sure making a aligned read request
  (bnc#993553).
- nfs/blocklayout: add SCSI layout support (bnc#993553).
- commit c64a93f
* Mon Mar  6 2017 neilb@suse.com
- nfs4.h: add SCSI layout definitions (bnc#993553).
- pnfs/blocklayout: fix a memeory leak when using,vmalloc_to_page
  (bnc#993553).
- commit 2e8f332
* Fri Mar  3 2017 bpoirier@suse.com
- bnxt backport for SLE12-SP3
- bnxt: add a missing rcu synchronization (bsc#1020412
  FATE#321671).
- bnxt: do not busy-poll when link is down (bsc#1020412
  FATE#321671).
- bnxt_en: Add BCM58700 PCI device ID for NS2 Nitro (bsc#1020412
  FATE#321671).
- bnxt_en: Add PFC statistics (bsc#1020412 FATE#321671).
- bnxt_en: Add UDP RSS support for 57X1X chips (bsc#1020412
  FATE#321671).
- bnxt_en: Add basic support for Nitro in North Star 2
  (bsc#1020412 FATE#321671).
- bnxt_en: Add bnxt_set_max_func_irqs() (bsc#1020412 FATE#321671).
- bnxt_en: Add ethtool -n|-N rx-flow-hash support (bsc#1020412
  FATE#321671).
- bnxt_en: Add interface to support RDMA driver (bsc#1020412
  FATE#321671).
- bnxt_en: Add support for firmware updates for additional
  processors (bsc#1020412 FATE#321671).
- bnxt_en: Add support for updating flash more securely
  (bsc#1020412 FATE#321671).
- bnxt_en: Added support for Secure Firmware Update (bsc#1020412
  FATE#321671).
- bnxt_en: Allow promiscuous mode for VF if default VLAN is
  enabled (bsc#1020412 FATE#321671).
- bnxt_en: Allow statistics DMA to be configurable using ethtool
  - C (bsc#1020412 FATE#321671).
- bnxt_en: Assign netdev->dev_port with port ID (bsc#1020412
  FATE#321671).
- bnxt_en: Call firmware to approve the random VF MAC address
  (bsc#1020412 FATE#321671).
- bnxt_en: Do function reset on the 1st PF open only (bsc#1020412
  FATE#321671).
- bnxt_en: Enable MRU enables bit when configuring VNIC MRU
  (bsc#1020412 FATE#321671).
- bnxt_en: Enable MSIX early in bnxt_init_one() (bsc#1020412
  FATE#321671).
- bnxt_en: Enhance autoneg support (bsc#1020412 FATE#321671).
- bnxt_en: Fix RTNL lock usage on bnxt_get_port_module_status()
  (bsc#1020412 FATE#321671).
- bnxt_en: Fix RTNL lock usage on bnxt_update_link() (bsc#1020412
  FATE#321671).
- bnxt_en: Fix TX push operation on ARM64 (bsc#1020412
  FATE#321671).
- bnxt_en: Fix VF virtual link state (bsc#1020412 FATE#321671).
- bnxt_en: Fix a VXLAN vs GENEVE issue (bsc#1020412 FATE#321671).
- bnxt_en: Fix bnxt_reset() in the slow path task (bsc#1020412
  FATE#321671).
- bnxt_en: Fix build error for kernesl without RTC-LIB
  (bsc#1020412 FATE#321671).
- bnxt_en: Fix ethtool -l|-L inconsistent channel counts
  (bsc#1020412 FATE#321671).
- bnxt_en: Fix ring arithmetic in bnxt_setup_tc() (bsc#1020412
  FATE#321671).
- bnxt_en: Fix "uninitialized variable" bug in TPA code path
  (bsc#1020412 FATE#321671).
- bnxt_en: Fixed the VF link status after a link state change
  (bsc#1020412 FATE#321671).
- bnxt_en: Implement DCBNL to support host-based DCBX (bsc#1020412
  FATE#321671).
- bnxt_en: Improve completion ring allocation for VFs (bsc#1020412
  FATE#321671).
- bnxt_en: Improve ntuple filters by checking destination MAC
  address (bsc#1020412 FATE#321671).
- bnxt_en: Increase maximum supported MTU to 9500 (bsc#1020412
  FATE#321671).
- bnxt_en: Log a message, if enabling NTUPLE filtering fails
  (bsc#1020412 FATE#321671).
- bnxt_en: Move function reset to bnxt_init_one() (bsc#1020412
  FATE#321671).
- bnxt_en: Pad TX packets below 52 bytes (bsc#1020412
  FATE#321671).
- bnxt_en: Re-arrange bnxt_hwrm_func_qcaps() (bsc#1020412
  FATE#321671).
- bnxt_en: Re-factor bnxt_setup_tc() (bsc#1020412 FATE#321671).
- bnxt_en: Refactor the driver registration function with firmware
  (bsc#1020412 FATE#321671).
- bnxt_en: Remove locking around txr->dev_state (bsc#1020412
  FATE#321671).
- bnxt_en: Request firmware reset after successful firwmare update
  (bsc#1020412 FATE#321671).
- bnxt_en: Reserve RDMA resources by default (bsc#1020412
  FATE#321671).
- bnxt_en: Simplify PCI device names and add additinal PCI IDs
  (bsc#1020412 FATE#321671).
- bnxt_en: Support for "ethtool -r" command (bsc#1020412
  FATE#321671).
- bnxt_en: Support new ETHTOOL_{G|S}LINKSETTINGS API (bsc#1020412
  FATE#321671).
- bnxt_en: Update firmware header file to latest 1.6.0
  (bsc#1020412 FATE#321671).
- bnxt_en: Update firmware interface spec to 1.5.4 (bsc#1020412
  FATE#321671).
- bnxt_en: Update firmware spec. to 1.3.0 (bsc#1020412
  FATE#321671).
- bnxt_en: Update to firmware interface spec 1.5.1 (bsc#1020412
  FATE#321671).
- bnxt_en: Use RSS flags defined in the bnxt_hsi.h file
  (bsc#1020412 FATE#321671).
- bnxt_en: VF/NPAR should return -EOPNOTSUPP for unsupported
  ethtool ops (bsc#1020412 FATE#321671).
- bnxt_en: Workaround Nitro A0 RX hardware bug (part 4)
  (bsc#1020412 FATE#321671).
- bnxt_en: Workaround Nitro A0 hardware RX bug (part 1)
  (bsc#1020412 FATE#321671).
- bnxt_en: Workaround Nitro A0 hardware RX bug (part 2)
  (bsc#1020412 FATE#321671).
- bnxt_en: Workaround Nitro A0 hardware RX bug (part 3)
  (bsc#1020412 FATE#321671).
- bnxt_en: do not call napi_hash_add() (bsc#1020412 FATE#321671).
- bnxt_en: initialize rc to zero to avoid returning garbage
  (bsc#1020412 FATE#321671).
- ethtool: add support for 25G/50G/100G speed modes (bsc#1020412
  FATE#321671).
- netdev: broadcom: propagate error code (bsc#1020412
  FATE#321671).
- Update config files.
- Update
  patches.drivers/ethernet-broadcom-use-core-min-max-MTU-checking.patch
  (bsc#1020412 FATE#321671).
- Refresh
  patches.drivers/net-make-ndo_get_stats64-a-void-function.patch.
- Refresh patches.drivers/net-qcom-emac-add-ethtool-support.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-error-return-code-in-nicvf_open.patch.
- Refresh
  patches.drivers/net-thunderx-Leave-serdes-lane-config-on-81-83xx-to-.patch.
- Refresh
  patches.drivers/net-thunderx-Make-hfunc-variable-const-type-in-nicvf.patch.
- Refresh
  patches.drivers/net-thunderx-Support-to-configure-queue-sizes-from-e.patch.
- commit e2bd46a
* Fri Mar  3 2017 yousaf.kaukab@suse.com
- net: mvneta: add BQL support (fate#319899).
- net: mvneta: add xmit_more support (fate#319899).
- net: mvneta: Add network support for Armada 3700 SoC
  (fate#319899).
- net: mvneta: Convert to be 64 bits compatible (fate#319899).
- net: mvneta: Use cacheable memory to store the rx buffer
  virtual address (fate#319899).
- net: mvneta: Do not allocate buffer in rxq init with HWBM
  (fate#319899).
- net: mvneta: Optimize rx path for small frame (fate#319899).
- net: ethernet: marvell: mvneta: fix fixed-link phydev leaks
  (fate#319899).
- net: ethernet: mvneta: Remove IFF_UNICAST_FLT which is not
  implemented (fate#319899).
- net: ethernet: mvneta: Implement ethtool::nway_reset
  (fate#319899).
- net: mvneta: mark symbols static where possible (fate#319899).
- net: ethernet: marvell: mvneta: use new api
  ethtool_{get|set}_link_ksettings (fate#319899).
- net: ethernet: marvell: mvneta: use phydev from struct
  net_device (fate#319899).
- ethernet: marvell: mvneta: add missing of_node_put after
  calling of_parse_phandle (fate#319899).
- net: mvneta: fix open() error cleanup (fate#319899).
- net: mvneta: Remove superfluous SMP function call (fate#319899).
- net: mvneta: fix changing MTU when using per-cpu processing
  (fate#319899).
- net: mvneta: use cache_line_size() to get cacheline size
  (fate#319899).
- net: mvneta: replace MVNETA_CPU_D_CACHE_LINE_SIZE with
  L1_CACHE_BYTES (fate#319899).
- net: mvneta: replace magic numbers by existing macros
  (fate#319899).
- net: mvneta: fix error messages in mvneta_port_down function
  (fate#319899).
- net: mvneta: Fix spinlock usage (fate#319899).
- net: mvneta: Add missing hotplug notifier transition
  (fate#319899).
- net: mvneta: Use the new hwbm framework (fate#319899).
- net: mvneta: bm: add support for hardware buffer management
  (fate#319899).
- net: mvneta: Fix race condition during stopping (fate#319899).
- net: mvneta: The mvneta_percpu_elect function should be atomic
  (fate#319899).
- net: mvneta: Modify the queue related fields from each cpu
  (fate#319899).
- net: mvneta: Remove unused code (fate#319899).
- net: mvneta: Use on_each_cpu when possible (fate#319899).
- net: mvneta: Fix the CPU choice in mvneta_percpu_elect
  (fate#319899).
- net: mvneta: Fix for_each_present_cpu usage (fate#319899).
- net: mvneta: get optional bus clk (fate#319899).
- net: mvneta: Try to get named core clock first (fate#319899).
- net: mvneta: sort the headers in alphabetic order (fate#319899).
- net: mvneta: fix trivial cut-off issue in
  mvneta_ethtool_update_stats (fate#319899).
- net: mvneta: Configure XPS support (fate#319899).
- net: mvneta: Add naive RSS support (fate#319899).
- net: mvneta: Associate RX queues with each CPU (fate#319899).
- net: mvneta: Make the default queue related for each port
  (fate#319899).
- mvneta: implement ethtool autonegotiation control (fate#319899).
- mvneta: consolidate autoneg enabling (fate#319899).
- phy: marvell: Add ethtool statistics counters (fate#319899).
- ethtool: Add phy statistics (fate#319899).
- commit 5c9fb97
* Fri Mar  3 2017 bpoirier@suse.com
- net: ena: remove superfluous check in ena_remove()
  (bsc#1026509).
- net/ena: update driver version to 1.1.2 (bsc#1026509).
- net/ena: change condition for host attribute configuration
  (bsc#1026509).
- net/ena: change driver's default timeouts (bsc#1026509).
- net/ena: reduce the severity of ena printouts (bsc#1026509).
- net/ena: use READ_ONCE to access completion descriptors
  (bsc#1026509).
- net/ena: fix potential access to freed memory during device
  reset (bsc#1026509).
- net/ena: refactor ena_get_stats64 to be atomic context safe
  (bsc#1026509).
- net/ena: fix NULL dereference when removing the driver after
  device reset failed (bsc#1026509).
- net/ena: fix RSS default hash configuration (bsc#1026509).
- net/ena: fix ethtool RSS flow configuration (bsc#1026509).
- net/ena: fix queues number calculation (bsc#1026509).
- net/ena: remove ntuple filter support from device feature list
  (bsc#1026509).
- net: ena: use setup_timer() and mod_timer() (bsc#1026509).
- net: ena: change the return type of ena_set_push_mode() to be
  void (bsc#1026509).
- net: ena: Fix error return code in ena_device_init()
  (bsc#1026509).
- net: ena: Remove unnecessary pci_set_drvdata() (bsc#1026509).
- commit eaa7f34
* Fri Mar  3 2017 mbrugger@suse.com
- arm64: Update config files.
  Enable Mavell MVEBU and it's drivers.
- commit b90ca97
* Fri Mar  3 2017 mbrugger@suse.com
- crypto: marvell - Copy IVDIG before launching partial DMA
  ahash requests (fate#319899 fate#320700).
- crypto: marvell - Don't corrupt state of an STD req for
  re-stepped ahash (fate#319899 fate#320700).
- crypto: marvell - Don't copy hash operation twice into the SRAM
  (fate#319899 fate#320700).
- crypto: marvell - Don't break chain for computable last ahash
  requests (fate#319899 fate#320700).
- crypto: marvell - Use an unique pool to copy results of requests
  (fate#319899 fate#320700).
- crypto: marvell - Don't hardcode block size in
  mv_cesa_ahash_cache_req (fate#319899 fate#320700).
- crypto: marvell - Don't overwrite default creq->state during
  initialization (fate#319899 fate#320700).
- crypto: marvell - Update transformation context for each
  dequeued req (fate#319899 fate#320700).
- crypto: marvell - make mv_cesa_ahash_cache_req() return bool
  (fate#319899 fate#320700).
- crypto: marvell - turn mv_cesa_ahash_init() into a function
  returning void (fate#319899 fate#320700).
- crypto: marvell - remove unused parameter in
  mv_cesa_ahash_dma_add_cache() (fate#319899 fate#320700).
- crypto: marvell - be explicit about destination in
  mv_cesa_dma_add_op() (fate#319899 fate#320700).
- crypto: marvell - Don't copy IV vectors from the _process op
  for ciphers (fate#319899 fate#320700).
- crypto: marvell - Update cache with input sg only when it is
  unmapped (fate#319899 fate#320700).
- crypto: marvell - Don't chain at DMA level when backlog is
  disabled (fate#319899 fate#320700).
- crypto: marvell - Fix memory leaks in TDMA chain for cipher
  requests (fate#319899 fate#320700).
- crypto: marvell - Fix wrong flag used for GFP in
  mv_cesa_dma_add_iv_op (fate#319899 fate#320700).
- crypto: marvell - Increase the size of the crypto queue
  (fate#319899 fate#320700).
- crypto: marvell - Add support for chaining crypto requests in
  TDMA mode (fate#319899 fate#320700).
- crypto: marvell - Add load balancing between engines
  (fate#319899 fate#320700).
- crypto: marvell - Move SRAM I/O operations to step functions
  (fate#319899 fate#320700).
- crypto: marvell - Add a complete operation for async requests
  (fate#319899 fate#320700).
- crypto: marvell - Move tdma chain out of mv_cesa_tdma_req and
  remove it (fate#319899 fate#320700).
- crypto: marvell - Copy IV vectors by DMA transfers for acipher
  requests (fate#319899 fate#320700).
- crypto: marvell - Fix wrong type check in dma functions
  (fate#319899 fate#320700).
- crypto: marvell - Check engine is not already running when
  enabling a req (fate#319899 fate#320700).
- crypto: marvell - Add a macro constant for the size of the
  crypto queue (fate#319899 fate#320700).
- crypto: marvell/cesa - Use dma_pool_zalloc (fate#319899
  fate#320700).
- crypto: marvell/cesa - Improving code readability (fate#319899
  fate#320700).
- crypto: marvell/cesa - remove unneeded condition (fate#319899
  fate#320700).
- crypto: marvell/cesa - initialize hash states (fate#319899
  fate#320700).
- crypto: marvell/cesa - fix memory leak (fate#319899
  fate#320700).
- crypto: marvell - check return value of sg_nents_for_len
  (fate#319899 fate#320700).
- arm64: add mvebu architecture entry (fate#319899 fate#320700).
- commit eaafc68
* Fri Mar  3 2017 jthumshirn@suse.de
- nvme: introduce struct nvme_request (bsc#993388, FATE#321732).
- nvme: don't pass the full CQE to nvme_complete_async_event
  (bsc#993388, FATE#321732).
- nvmet-rdma: Correctly handle RDMA device hot removal
  (bsc#993388, FATE#321732).
- nvmet-rdma: Don't use the inline buffer in order to avoid
  allocation for small reads (bsc#993388, FATE#321732).
- nvmet: Fix controller serial number inconsistency (bsc#993388,
  FATE#321732).
- nvme-rdma: start async event handler after reconnecting to a
  controller (bsc#993388, FATE#321732).
- nvme-rdma: Remove unused includes (bsc#993388, FATE#321732).
- nvmet-rdma: Fix use after free (bsc#993388, FATE#321732).
- nvmet-rdma: +1 to *queue_size from hsqsize/hrqsize (bsc#993388,
  FATE#321732).
- fabrics: define admin sqsize min default, per spec (bsc#993388,
  FATE#321732).
- nvme-rdma: fix sqsize/hsqsize per spec (bsc#993388,
  FATE#321732).
- nvme-loop: set sqsize to 0-based value, per spec (bsc#993388,
  FATE#321732).
- nvme-fabrics: change NQN UUID to big-endian format (bsc#993388,
  FATE#321732).
- nvme-fabrics: get a reference when reusing a nvme_host structure
  (bsc#993388, FATE#321732).
- nvme: fabrics drivers don't need the nvme-pci driver
  (bsc#993388, FATE#321732).
- nvme-rdma: Get rid of duplicate variable (bsc#993388,
  FATE#321732).
- nvme-rdma: Get rid of redundant defines (bsc#993388,
  FATE#321732).
- nvme_rdma: keep a ref on the ctrl during delete/flush
  (bsc#993388, FATE#321732).
- nvme-rdma: destroy nvme queue rdma resources on connect failure
  (bsc#993388, FATE#321732).
- nvme: make NVME_RDMA depend on BLOCK (bsc#993388, FATE#321732).
- nvme-rdma: add DELETING queue flag (bsc#993388, FATE#321732).
- nvme-rdma: only clear queue flags after successful connect
  (bsc#993388, FATE#321732).
- nvmet-rdma: Fix possible NULL deref when handling rdma cm events
  (bsc#993388, FATE#321732).
- nvme-rdma: reject non-connect commands before the queue is live
  (bsc#993388, FATE#321732).
- nvmet: Don't queue fatal error work if csts.cfs is set
  (bsc#993388, FATE#321732).
- nvmet-rdma: don't forget to delete a queue from the list of
  connection failed (bsc#993388, FATE#321732).
- nvme-rdma: stop and free io queues on connect failure
  (bsc#993388, FATE#321732).
- nvmet-rdma: drain the queue-pair just before freeing it
  (bsc#993388, FATE#321732).
- nvme: untangle 0 and BLK_MQ_RQ_QUEUE_OK (bsc#993388,
  FATE#321732).
- nvme/pci: Don't free queues on error (bsc#993388, FATE#321732).
- fs: configfs: don't return anything from drop_link (bsc#993388,
  FATE#321732).
- Refresh
  patches.drivers/0034-target-remove-enum-transport_lunflags_table.
- Refresh patches.drivers/0122-drivers-use-req-op-accessor.patch.
- Refresh
  patches.drivers/0128-block-drivers-add-REQ_OP_FLUSH-operation.patch.
- Refresh
  patches.drivers/0156-block-ensure-bios-return-from-blk_get_request-are-pr.patch.
- Refresh
  patches.drivers/0178-nvme-switch-to-use-pci_alloc_irq_vectors.patch.
- Refresh
  patches.drivers/0247-block-split-out-request-only-flags-into-a-new-namesp.patch.
- commit ca9cfa2
* Fri Mar  3 2017 mbrugger@suse.com
- crypto: testmgr - use kmemdup instead of kmalloc+memcpy
  (fate#320512).
- crypto: testmgr - Use heap buffer for acomp test input
  (fate#320512).
- crypto: testmgr - don't use stack buffer in test_acomp()
  (fate#320512).
- crypto: acomp - update testmgr with support for acomp
  (fate#320512).
- crypto: acomp - add driver-side scomp interface (fate#320512).
- crypto: acomp - add asynchronous compression api (fate#320512).
- base: Export platform_msi_domain_[alloc,free]_irqs
  (fate#320512).
- firmware: dmi_scan: Always show system identification string
  (fate#320512).
- FDT: Add a helper to get the subnode by given name
  (fate#320512).
- PCI/AER: Remove duplicate AER severity translation
  (fate#320512).
- dmaengine: qcom_hidma: autoload while probing ACPI
  (fate#320512).
- dmaengine: qcom_hidma: cleanup sysfs entries during remove
  (fate#320512).
- dmaengine: qcom_hidma: hide MSI handler when unused
  (fate#320512).
- dmaengine: qcom_hidma: remove unneeded of_node_put()
  (fate#320512).
- dmaengine: qcom_hidma: add MSI support for interrupts
  (fate#320512).
- dmaengine: qcom_hidma: protect common data structures
  (fate#320512).
- dmaengine: qcom_hidma: bring out interrupt cause (fate#320512).
- dmaengine: qcom_hidma: make pending_tre_count atomic
  (fate#320512).
- dmaengine: qcom_hidma: break completion processing on error
  (fate#320512).
- dmaengine: qcom_hidma: add a common API to setup the interrupt
  (fate#320512).
- dmaengine: qcom_hidma: configure DMA and MSI for OF
  (fate#320512).
- of: irq: make of_msi_configure accessible from modules
  (fate#320512).
- dmaengine: qcom_hidma: remove useless debugfs file removal
  (fate#320512).
- dmaengine: qcom_hidma: prevent disable in error (fate#320512).
- dmaengine: rcar-dmac: add iommu support for slave transfers
  (fate#320512).
- dmaengine: rcar-dmac: group slave configuration (fate#320512).
- dma-mapping: add dma_{map,unmap}_resource (fate#320512).
- arm: dma-mapping: add {map,unmap}_resource for iommu ops
  (fate#320512).
- dma-debug: add support for resource mappings (fate#320512).
- dma-mapping: add {map,unmap}_resource to dma_map_ops
  (fate#320512).
- dmaengine: dmatest: exclude compare and fill time during perf
  report (fate#320512).
- dmaengine: qcom_hidma: add error reporting for tx_status
  (fate#320512).
- dmaengine: qcom_hidma: report transfer errors with new interface
  (fate#320512).
- dmaengine: qcom_hidma: release the descriptor before the
  callback (fate#320512).
- dmaengine: qcom_hidma: convert callback to helper function
  (fate#320512).
- dmaengine: add support to provide error result from a DMA
  transation (fate#320512).
- dmaengine: Add helper function to prep for error reporting
  (fate#320512).
- dmaengine: qcom_hidma: fix return value check in
  hidma_mgmt_of_populate_channels() (fate#320512).
- dmaengine: qcom_hidma: kill the tasklets upon exit
  (fate#320512).
- dmaengine: qcom_hidma_lli: kill the tasklets upon exit
  (fate#320512).
- dmaengine: qcom_hidma: use for_each_matching_node() macro
  (fate#320512).
- dmaengine: qcom_hidma: add support for object hierarchy
  (fate#320512).
- dmaengine: qcom_hidma: add debugfs hooks (fate#320512).
- dmaengine: qcom_hidma: implement lower level hardware interface
  (fate#320512).
- dmaengine: add Qualcomm Technologies HIDMA channel driver
  (fate#320512).
- dmaengine: add Qualcomm Technologies HIDMA management driver
  (fate#320512).
- dmaengine: hidma: Add Device Tree binding (fate#320512).
- dmaengine: qcom_bam_dma: move to qcom directory (fate#320512).
- dma-mapping: remove <asm-generic/dma-coherent.h> (fate#320512).
- dma-mapping: always provide the dma_map_ops based implementation
  (fate#320512).
- tile: uninline dma_set_mask (fate#320512).
- sparc: use generic dma_set_mask (fate#320512).
- metag: convert to dma_map_ops (fate#320512).
- m68k: convert to dma_map_ops (fate#320512).
- mn10300: convert to dma_map_ops (fate#320512).
- parisc: convert to dma_map_ops (fate#320512).
- frv: convert to dma_map_ops (fate#320512).
- nios2: convert to dma_map_ops (fate#320512).
- cris: convert to dma_map_ops (fate#320512).
- c6x: convert to dma_map_ops (fate#320512).
- blackfin: convert to dma_map_ops (fate#320512).
- avr32: convert to dma_map_ops (fate#320512).
- arc: convert to dma_map_ops (fate#320512).
- dma-mapping: make the generic coherent dma mmap implementation
  optional (fate#320512).
- commit 0f52d97
* Fri Mar  3 2017 mbrugger@suse.com
- Update config files.
  Enable CRYPTO_ACOMP2
- commit d08622a
* Fri Mar  3 2017 mbrugger@suse.com
- supported.conf: add dma/qcom/hdma and dma/qcom/hdma_mgmt
- commit a0808cd
* Fri Mar  3 2017 mbrugger@suse.com
- arm64: Update config files.
  Enable QCOM_HIDMA and QCOM_HDIMA_MGMT
- commit 56492fa
* Fri Mar  3 2017 dmulder@suse.com
- CIFS: Allow to switch on encryption with seal mount option
  (fate#322075).
- commit 0f482f4
* Fri Mar  3 2017 dmulder@suse.com
- SMB3: parsing for new snapshot timestamp mount parm
  (fate#322075).
- commit 570cea1
* Fri Mar  3 2017 dmulder@suse.com
- CIFS: Add capability to decrypt big read responses
  (fate#322075).
- commit 0f595f7
* Fri Mar  3 2017 dmulder@suse.com
- CIFS: Decrypt and process small encrypted packets (fate#322075).
- commit f4be8f1
* Fri Mar  3 2017 dmulder@suse.com
- CIFS: Add copy into pages callback for a read operation
  (fate#322075).
- commit 2386cee
* Fri Mar  3 2017 dmulder@suse.com
- cifs: don't bother with kmap on read_pages side (fate#322075).
- commit 6579b2f
* Fri Mar  3 2017 dmulder@suse.com
- cifs: no need to wank with copying and advancing iovec on
  recvmsg side either (fate#322075).
- commit 8a9aef7
* Fri Mar  3 2017 dmulder@suse.com
- CIFS: Add mid handle callback (fate#322075).
- commit 671e776
* Fri Mar  3 2017 dmulder@suse.com
- CIFS: Add transform header handling callbacks (fate#322075).
- commit 47409f6
* Fri Mar  3 2017 dmulder@suse.com
- CIFS: Encrypt SMB3 requests before sending (fate#322075).
- commit 5f15192
* Fri Mar  3 2017 dmulder@suse.com
- CIFS: Enable encryption during session setup phase
  (fate#322075).
- commit 09ff25b
* Fri Mar  3 2017 dmulder@suse.com
- CIFS: Add capability to transform requests before sending
  (fate#322075).
- commit af8a3da
* Fri Mar  3 2017 dmulder@suse.com
- CIFS: Separate RFC1001 length processing for SMB2 read
  (fate#322075).
- commit d686b97
* Fri Mar  3 2017 dmulder@suse.com
- CIFS: Separate SMB2 sync header processing (fate#322075).
- commit bd6d987
* Fri Mar  3 2017 dmulder@suse.com
- CIFS: Send RFC1001 length in a separate iov (fate#322075).
- commit ffb69c2
* Fri Mar  3 2017 dmulder@suse.com
- cifs_readv_receive: use cifs_read_from_socket() (fate#322075).
- commit 99e5659
* Fri Mar  3 2017 dmulder@suse.com
- CIFS: Make send_cancel take rqst as argument (fate#322075).
- commit 05f65d5
* Fri Mar  3 2017 dmulder@suse.com
- CIFS: Make SendReceive2() takes resp iov (fate#322075).
- commit 95f4df5
* Fri Mar  3 2017 dmulder@suse.com
- CIFS: Separate SMB2 header structure (fate#322075).
- commit a71c217
* Fri Mar  3 2017 dmulder@suse.com
- cifs: Add soft dependencies (fate#322075).
- commit d2e09df
* Fri Mar  3 2017 dmulder@suse.com
- cifs: Only select the required crypto modules (fate#322075).
- commit cfc9429
* Fri Mar  3 2017 dmulder@suse.com
- cifs: Simplify SMB2 and SMB311 dependencies (fate#322075).
- commit 26c088d
* Fri Mar  3 2017 bpoirier@suse.com
- tg3 backport for SLE12-SP3
- ethernet/broadcom: use core min/max MTU checking (bsc#1026030
  FATE#321670).
- net: tg3: avoid uninitialized variable warning (bsc#1026030
  FATE#321670).
- net: tg3: use new api ethtool_{get|set}_link_ksettings
  (bsc#1026030 FATE#321670).
- tg3: Fix for diasllow rx coalescing time to be 0 (bsc#1026030
  FATE#321670).
- tg3: Fix for disallow tx coalescing time to be 0 (bsc#1026030
  FATE#321670).
- tg3: Fix race condition in tg3_get_stats64() (bsc#1026030
  FATE#321670).
- tg3: Report the correct number of RSS queues through
  tg3_get_rxnfc (bsc#1026030 FATE#321670).
- Refresh
  patches.drivers/clocksource-Use-a-plain-u64-instead-of-cycle_t.patch.
- Update
  patches.drivers/net-make-ndo_get_stats64-a-void-function.patch
  (bsc#1026030 FATE#321670).
- commit 53c28ed
* Fri Mar  3 2017 dmulder@suse.com
- CIFS: Fix a possible memory corruption during reconnect
  (fate#322075).
- commit b4b559e
* Fri Mar  3 2017 dmulder@suse.com
- CIFS: Fix a possible memory corruption in push locks
  (fate#322075).
- commit b3cc6d1
* Fri Mar  3 2017 dmulder@suse.com
- CIFS: Fix missing nls unload in smb2_reconnect() (fate#322075).
- commit 119bd84
* Fri Mar  3 2017 dmulder@suse.com
- Prepare for encryption support (first part). Add decryption
  and encryption key generation. Thanks to Metze for helping
  with this (fate#322075).
- commit 0193d45
* Thu Mar  2 2017 mbrugger@suse.com
- arm64/efi: Apply strict permissions to UEFI Runtime Services
  regions (fate#320512).
- ARM/efi: Apply strict permissions for UEFI Runtime Services
  regions (fate#320512).
- x86/efi: Round EFI memmap reservations to EFI_PAGE_SIZE
  (fate#320512).
- x86/efi: Don't allocate memmap through memblock after mm_init()
  (fate#320512).
- x86/efi: Defer efi_esrt_init until after memblock_x86_fill
  (fate#320512).
- efi/x86: Prune invalid memory map entries and fix boot
  regression (fate#320512).
- efi/arm*: esrt: Add missing call to efi_esrt_init()
  (fate#320512).
- efi/esrt: Use memremap not ioremap to access ESRT table in
  memory (fate#320512).
- x86/efi-bgrt: Use efi_mem_reserve() to avoid copying image data
  (fate#320512).
- efi/esrt: Use efi_mem_reserve() and avoid a kmalloc()
  (fate#320512).
- efi/runtime-map: Use efi.memmap directly instead of a copy
  (fate#320512).
- efi: Allow drivers to reserve boot services forever
  (fate#320512).
- efi: Add efi_memmap_install() for installing new EFI memory maps
  (fate#320512).
- efi: Split out EFI memory map functions into new file
  (fate#320512).
- efi/fake_mem: Refactor main two code chunks into functions
  (fate#320512).
- efi: Add efi_memmap_init_late() for permanent EFI memmap
  (fate#320512).
- x86/efi: Consolidate region mapping logic (fate#320512).
- efi: Refactor efi_memmap_init_early() into arch-neutral code
  (fate#320512).
- x86/efi: Test for EFI_MEMMAP functionality when iterating EFI
  memmap (fate#320512).
- x86/efi: Use efi_exit_boot_services() (fate#320512).
- efi/libstub: Use efi_exit_boot_services() in FDT (fate#320512).
- efi/libstub: Introduce ExitBootServices helper (fate#320512).
- efi/libstub: Allocate headspace in efi_get_memory_map()
  (fate#320512).
- efi/capsule: Allocate whole capsule into virtual memory
  (fate#320512).
- x86/boot: Reorganize and clean up the BIOS area reservation code
  (fate#320512).
- x86/efi: Fix boot crash by always mapping boot service regions
  into new EFI page tables (fate#320512).
- efi/arm*: Take the Memory Attributes table into account
  (fate#320512).
- efi: Implement generic support for the Memory Attributes table
  (fate#320512).
- efi: Add support for the EFI_MEMORY_ATTRIBUTES_TABLE config
  table (fate#320512).
- efi/arm*: Use memremap() to create the persistent memmap mapping
  (fate#320512).
- efi: Remove global 'memmap' EFI memory map (fate#320512).
- efi: Iterate over efi.memmap in for_each_efi_memory_desc()
  (fate#320512).
- x86/init: Rename EBDA code file (fate#320512).
- x86/init: Use a platform legacy quirk for EBDA (fate#320512).
- x86/rtc: Replace paravirt rtc check with platform legacy quirk
  (fate#320512).
- x86/efi: Setup separate EFI page tables in kexec paths
  (fate#320512).
- x86/efi: Build our own page table structures (fate#320512).
- x86/efi: Hoist page table switching code into efi_call_virt()
  (fate#320512).
- x86/efi: Map RAM into the identity page table for mixed mode
  (fate#320512).
- efi/arm*: Perform hardware compatibility check (fate#320512).
- efi/arm64: Check for h/w support before booting a >4 KB granular
  kernel (fate#320512).
- efi/arm: Check for LPAE support before booting a LPAE kernel
  (fate#320512).
- efi/arm-init: Use read-only early mappings (fate#320512).
- efi/efistub: Prevent __init annotations from being used
  (fate#320512).
- arm64/vmlinux.lds.S: Handle .init.rodata.xxx and .init.bss
  sections (fate#320512).
- efi/arm64: Drop __init annotation from handle_kernel_image()
  (fate#320512).
- efi/arm*: Drop writable mapping of the UEFI System table
  (fate#320512).
- efi: include asm/early_ioremap.h not asm/efi.h to get
  early_memremap (fate#320512).
- ARM: add UEFI stub support (fate#320512).
- ARM: wire up UEFI init and runtime support (fate#320512).
- x86/efi-bgrt: Fix kernel panic when mapping BGRT data
  (fate#320512).
- arm64/efi: refactor EFI init and runtime code for reuse by
  32-bit ARM (fate#320512).
- arm64/efi: split off EFI init and runtime code for reuse by
  32-bit ARM (fate#320512).
- commit 98d6a54
* Thu Mar  2 2017 bpoirier@suse.com
- Move more network driver patches into the network driver patches section.
- Refresh
  patches.drivers/net-centralize-net_device-min-max-MTU-checking.patch.
- Refresh
  patches.drivers/net-make-ndo_get_stats64-a-void-function.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-VF-driver-s-interface-statistics.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-error-return-code-in-nicvf_open.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-memory-leak-and-other-issues-upon-i.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-transmit-queue-timeout-issue.patch.
- Refresh
  patches.drivers/net-thunderx-Program-LMAC-credits-based-on-MTU.patch.
- commit d1046b3
* Thu Mar  2 2017 msuchanek@suse.de
- ia64: reuse append_elf_note() and final_note() functions
  (bsc#1026665).
- commit 6f115dc
* Thu Mar  2 2017 bpoirier@suse.com
- Add complete backport of mdio-devices series for SLE12-SP3
  The series merged in 123581775336 upstream ("Support MDIO devices") was
  only partially backported. Since this series touches many drivers and comes
  early, before many other commits that will be backported for SP3, it is
  better to backport it fully. The immediate benefit is that it allows us to
  get rid of some out-of-tree patches that were introduced because of the
  incomplete backport.
- PHY: DP83867: Remove looking in parent device for OF properties
  (bsc#1026030 FATE#321670).
- asix: do not free array priv->mdio->irq (bsc#1026030
  FATE#321670).
- bfin_mac: fix error path (bsc#1026030 FATE#321670).
- dsa: Register netdev before phy (bsc#1026030 FATE#321670).
- mdio: Abstract device_remove() and device_free() (bsc#1026030
  FATE#321670).
- mdio: Add support for mdio drivers (bsc#1026030 FATE#321670).
- mdio: Move mdiobus_read/write operatings into mdio.h
  (bsc#1026030 FATE#321670).
- mdio: remove an unneed condition (bsc#1026030 FATE#321670).
- mdio_bus: Add comment to mdiobus_scan() and __mdiobus_register()
  (bsc#1026030 FATE#321670).
- mdio_bus: Generalise of_mdiobus_link_phydev() (bsc#1026030
  FATE#321670).
- mdio_bus: NULL dereference on allocation error (bsc#1026030
  FATE#321670).
- net: au1000_eth: fix PHY detection (bsc#1026030 FATE#321670).
- net: dnet: Use phy_find_first() helper (bsc#1026030
  FATE#321670).
- net: dsa: Unregister slave_dev in error path (bsc#1026030
  FATE#321670).
- net: eth: altera: do not free array priv->mdio->irq (bsc#1026030
  FATE#321670).
- net: ethernet: broadcom: Fix build errors (bsc#1026030
  FATE#321670).
- net/ethoc: do not free array priv->mdio->irq (bsc#1026030
  FATE#321670).
- net: lpc_eth: Remove unused variables (bsc#1026030 FATE#321670).
- net: smsc911x: Fix bug where PHY interrupts are overwritten by 0
  (bsc#1026030 FATE#321670).
- net: stmmac: Fix incorrect memcpy source memory (bsc#1026030
  FATE#321670).
- net: tc35815: Drop unused variable (bsc#1026030 FATE#321670).
- net: tc35815: Fix build error due to missed API change
  (bsc#1026030 FATE#321670).
- net: ti: cpmac: Fix build error due to missed API change
  (bsc#1026030 FATE#321670).
- of: of_mdio: Add a whitelist of PHY compatibilities (bsc#1026030
  FATE#321670).
- of: of_mdio: Ensure mdio device is a PHY (bsc#1026030
  FATE#321670).
- of: phy: Only register a phy device for phys (bsc#1026030
  FATE#321670).
- phy: Add API for {un}registering an mdio device to a bus
  (bsc#1026030 FATE#321670).
- phy: Add an mdio_device structure (bsc#1026030 FATE#321670).
- phy: Centralize setting driver module owner (bsc#1026030
  FATE#321670).
- phy: Consistently use addr for address on an MII bus
  (bsc#1026030 FATE#321670).
- phy: Move PHY PM operations into phy_device (bsc#1026030
  FATE#321670).
- phy: Move phy specific bus match into phy_device (bsc#1026030
  FATE#321670).
- phy: fix blackfin build failure (bsc#1026030 FATE#321670).
- phy: fix crash in fixed_phy_add() (bsc#1026030 FATE#321670).
- phy: phy_{read|write}_mmd_indirect: get addr from phydev
  (bsc#1026030 FATE#321670).
- phy: remove an unneeded condition (bsc#1026030 FATE#321670).
- phy: remove documentation of removed members of phy_device
  structure (bsc#1026030 FATE#321670).
- phy_device: Move phy attributes into phy_device (bsc#1026030
  FATE#321670).
- Refresh
  patches.drivers/mdio-Move-allocation-of-interrupts-into-core.patch.
- Refresh
  patches.drivers/net-cavium-For-Kconfig-THUNDER_NIC_BGX-select-MDIO_T.patch.
- Refresh
  patches.drivers/net-deprecate-eth_change_mtu-remove-usage.patch.
- Refresh
  patches.drivers/net-emac-emac-gigabit-ethernet-controller-driver.patch.
- Refresh
  patches.drivers/net-emac-remove-.owner-field-for-driver.patch.
- Refresh
  patches.drivers/net-emac-remove-unnecessary-dev_set_drvdata.patch.
- Refresh
  patches.drivers/net-ethernet-hisilicon-hns-use-new-api-ethtool_-get-.patch.
- Update
  patches.drivers/net-ethernet-hisilicon-hns-use-phydev-from-struct-ne.patch
  (bsc#1026030 FATE#321670).
- Refresh
  patches.drivers/net-hns-add-uniform-interface-for-phy-connection.patch.
- Refresh
  patches.drivers/net-hns-register-phy-device-in-each-mac-initial-sequ.patch.
- Refresh
  patches.drivers/net-make-ndo_get_stats64-a-void-function.patch.
- Refresh
  patches.drivers/net-nicvf-use-new-api-ethtool_-get-set-_link_ksettin.patch.
- Refresh
  patches.drivers/net-phy-add-phy_ethtool_-get-set-_link_ksettings.patch.
- Refresh
  patches.drivers/net-phy-at803x-only-the-AT8030-needs-a-hardware-rese.patch.
- Refresh
  patches.drivers/net-phy-phy-drivers-should-not-set-SUPPORTED_-Asym_-.patch.
- Refresh
  patches.drivers/net-qcom-emac-Fix-module-autoload-for-OF-registratio.patch.
- Refresh patches.drivers/net-qcom-emac-add-ethtool-support.patch.
- Refresh
  patches.drivers/net-qcom-emac-add-support-for-the-Qualcomm-Technolog.patch.
- Refresh
  patches.drivers/net-qcom-emac-configure-the-external-phy-to-allow-pa.patch.
- Refresh
  patches.drivers/net-qcom-emac-disable-interrupts-before-calling-phy_.patch.
- Refresh
  patches.drivers/net-qcom-emac-do-not-use-devm-on-internal-phy-pdev.patch.
- Refresh
  patches.drivers/net-qcom-emac-don-t-try-to-claim-clocks-on-ACPI-syst.patch.
- Refresh
  patches.drivers/net-qcom-emac-enable-flow-control-if-requested.patch.
- Refresh
  patches.drivers/net-qcom-emac-fix-return-value-check-in-emac_sgmii_c.patch.
- Refresh
  patches.drivers/net-qcom-emac-grab-a-reference-to-the-phydev-on-ACPI.patch.
- Refresh
  patches.drivers/net-qcom-emac-initial-ACPI-support.patch.
- Refresh
  patches.drivers/net-qcom-emac-move-phy-init-code-to-separate-files.patch.
- Refresh
  patches.drivers/net-qcom-emac-use-correct-value-for-SGMII_LN_UCDR_SO.patch.
- Refresh
  patches.drivers/net-qcom-emac-use-device_get_mac_address.patch.
- Refresh
  patches.drivers/net-thunderx-80xx-BGX0-configuration-changes.patch.
- Refresh
  patches.drivers/net-thunderx-Add-81xx-support-to-BGX-driver.patch.
- Refresh
  patches.drivers/net-thunderx-Add-QSGMII-interface-type-support.patch.
- Refresh
  patches.drivers/net-thunderx-Add-RGMII-interface-type-support.patch.
- Refresh
  patches.drivers/net-thunderx-Add-TX-timeout-and-RX-buffer-alloc-fail.patch.
- Refresh
  patches.drivers/net-thunderx-Add-VNIC-s-PCI-devid-on-future-chips.patch.
- Refresh
  patches.drivers/net-thunderx-Add-ethtool-support-for-supported-ports.patch.
- Refresh
  patches.drivers/net-thunderx-Add-support-for-16-LMACs-of-83xx.patch.
- Refresh
  patches.drivers/net-thunderx-Add-support-for-81xx-and-83xx-chips.patch.
- Refresh
  patches.drivers/net-thunderx-Adjust-nicvf-structure-to-reduce-cache-.patch.
- Refresh
  patches.drivers/net-thunderx-Alloc-higher-order-pages-when-pagesize-.patch.
- Refresh
  patches.drivers/net-thunderx-Assign-affinity-hints-to-vf-s-interrupt.patch.
- Refresh
  patches.drivers/net-thunderx-Cleanup-PHY-probing-code.patch.
- Refresh
  patches.drivers/net-thunderx-Configure-RED-and-backpressure-levels.patch.
- Refresh
  patches.drivers/net-thunderx-Configure-tunnelling-protocol-parsing.patch.
- Refresh
  patches.drivers/net-thunderx-Don-t-leak-phy-device-references-on-EPR.patch.
- Refresh
  patches.drivers/net-thunderx-Don-t-set-RX_PACKET_DIS-while-initializ.patch.
- Refresh
  patches.drivers/net-thunderx-Don-t-set-mac-address-for-secondary-Qse.patch.
- Refresh
  patches.drivers/net-thunderx-Enable-CQE-count-threshold-interrupt.patch.
- Refresh
  patches.drivers/net-thunderx-Enable-CQE_RX-desc-s-extension-fields.patch.
- Refresh
  patches.drivers/net-thunderx-Enable-mailbox-interrupts-on-81xx-83xx.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-TL4-configuration-for-secondary-Qse.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-VF-driver-s-interface-statistics.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-broken-of_node_put-code.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-configuration-of-L3-L4-length-check.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-error-return-code-in-nicvf_open.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-for-HW-TSO-not-enabled-for-secondar.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-for-HW-issue-while-padding-TSO-pack.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-for-issues-with-multiple-CQEs-poste.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-issue-with-IRQ-namimg.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-memory-leak-and-other-issues-upon-i.patch.
- Refresh
  patches.drivers/net-thunderx-Fix-transmit-queue-timeout-issue.patch.
- Refresh
  patches.drivers/net-thunderx-HW-TSO-support-for-pass-2-hardware.patch.
- Refresh
  patches.drivers/net-thunderx-Improvement-for-MBX-interface-debug-mes.patch.
- Refresh
  patches.drivers/net-thunderx-Introduce-BGX_ID_MASK-macro-to-extract-.patch.
- Refresh
  patches.drivers/net-thunderx-Leave-serdes-lane-config-on-81-83xx-to-.patch.
- Refresh
  patches.drivers/net-thunderx-Make-hfunc-variable-const-type-in-nicvf.patch.
- Refresh
  patches.drivers/net-thunderx-Moved-HW-capability-info-from-macros-to.patch.
- Refresh patches.drivers/net-thunderx-Pause-frame-support.patch.
- Refresh
  patches.drivers/net-thunderx-Program-LMAC-credits-based-on-MTU.patch.
- Refresh
  patches.drivers/net-thunderx-Remove-unnecessary-pci_set_drvdata.patch.
- Refresh
  patches.drivers/net-thunderx-Remove-unnecessary-rcv-buffer-start-add.patch.
- Refresh
  patches.drivers/net-thunderx-Reset-RXQ-HW-stats-when-interface-is-br.patch.
- Refresh
  patches.drivers/net-thunderx-Set-queue-count-based-on-number-of-CPUs.patch.
- Refresh
  patches.drivers/net-thunderx-Set-recevie-buffer-page-usage-count-in-.patch.
- Refresh
  patches.drivers/net-thunderx-Support-for-83xx-mixed-QLM-DLM-config.patch.
- Refresh
  patches.drivers/net-thunderx-Support-for-different-LMAC-types-within.patch.
- Refresh
  patches.drivers/net-thunderx-Support-to-configure-queue-sizes-from-e.patch.
- Refresh
  patches.drivers/net-thunderx-Use-napi_schedule_irqoff.patch.
- Refresh
  patches.drivers/net-thunderx-Use-netdev-s-name-for-naming-VF-s-inter.patch.
- Refresh
  patches.drivers/net-thunderx-Use-netdev_rss_key_fill-helper.patch.
- Refresh
  patches.drivers/net-thunderx-Use-skb_add_rx_frag-for-split-buffer-Rx.patch.
- Refresh
  patches.drivers/net-thunderx-acpi-fix-LMAC-initialization.patch.
- Refresh
  patches.drivers/net-thunderx-avoid-null-pointer-dereference.patch.
- Refresh
  patches.drivers/net-thunderx-bgx-Add-log-message-when-setting-mac-ad.patch.
- Refresh
  patches.drivers/net-thunderx-bgx-Use-standard-firmware-node-infrastr.patch.
- Refresh
  patches.drivers/net-thunderx-nicvf_queues-nivc_-_intr-remove-duplica.patch.
- Refresh
  patches.drivers/netdevice-add-helper-to-update-trans_start.patch.
- Refresh
  patches.drivers/phy-Add-phydev_err-and-phydev_dbg-macros.patch.
- Refresh
  patches.drivers/phy-Centralise-print-about-attached-phy.patch.
- Refresh
  patches.drivers/phy-add-generic-function-to-support-ksetting-support.patch.
- Refresh patches.drivers/phy-add-phydev_name-wrapper.patch.
- Refresh
  patches.drivers/phy-mdio-cavium-Add-missing-MODULE_-annotations.patch.
- Refresh
  patches.drivers/phy-mdio-thunder-Fix-some-Kconfig-typos.patch.
- Refresh
  patches.drivers/treewide-replace-dev-trans_start-update-with-helper.patch.
- Delete patches.drivers/0017-net-thunderx-Don-t-use-mdio.patch.
- Delete
  patches.drivers/qcom-0027-net-emac-fix-driver-compilation.patch.
- commit ac15b93
* Thu Mar  2 2017 msuchanek@suse.de
- fadump: update documentation about introduction of
  handover area (bsc#1026669, fate#321840).
- commit f3748f1
* Thu Mar  2 2017 msuchanek@suse.de
- fadump: reduce memory consumption for capture kernel
  (bsc#1026669, fate#321840).
- commit e05d3c0
* Thu Mar  2 2017 msuchanek@suse.de
- powerpc/fadump: update documentation about crashkernel parameter
  reuse (bsc#1026665).
- commit 8a04169
* Thu Mar  2 2017 msuchanek@suse.de
- powerpc/fadump: reuse crashkernel parameter for fadump memory
  reservation (bsc#1026665).
- commit bc8ef30
* Thu Mar  2 2017 msuchanek@suse.de
- powerpc/fadump: remove dependency with CONFIG_KEXEC
  (bsc#1026665).
- commit 55d38f1
* Thu Mar  2 2017 msuchanek@suse.de
- crash: move crashkernel parsing and vmcore related code under
  CONFIG_CRASH_CORE (bsc#1026665).
- commit 9e9d9c6
* Thu Mar  2 2017 yousaf.kaukab@suse.com
- irqdomain: add empty irq_domain_check_msi_remap (fate#321947).
- commit 9ba582f
* Thu Mar  2 2017 sndirsch@suse.de
- drm/mgag200: Added support for the new device G200eH3 (bsc#1007959, fate#322780)
- commit a8d6360
* Thu Mar  2 2017 mkubecek@suse.cz
- Update patches.kernel.org/patch-4.4.51-52 (add CVE-2017-6345 bsc#1027190).
- commit e3f6e09
* Thu Mar  2 2017 mkubecek@suse.cz
- Update patches.kernel.org/patch-4.4.51-52 references (add CVE-2017-6346 bsc#1027189).
- commit 36a9265
* Thu Mar  2 2017 mkubecek@suse.cz
- sctp: deny peeloff operation on asocs with threads sleeping
  on it (CVE-2017-6353 bsc#1027066).
- commit 2a0ba80
* Thu Mar  2 2017 mkubecek@suse.cz
- Update patches.kernel.org/patch-4.4.49-50 (add CVE-2017-6214 bsc#1026722).
- commit 0ded88f
* Thu Mar  2 2017 mkubecek@suse.cz
- Update patches.kernel.org/patch-4.4.10-11 references (add CVE-2016-2117 bsc#968697).
- commit 72eeceb
* Thu Mar  2 2017 mkubecek@suse.cz
- Update patches.kernel.org/patch-4.4.51-52 (add CVE-2017-6347 bsc#1027179).
- commit f0f5815
* Thu Mar  2 2017 jack@suse.cz
- x86, mm: fix gup_pte_range() vs DAX mappings (bsc#1026405).
- x86/mm/gup: Simplify get_user_pages() PTE bit handling
  (bsc#1026405).
- commit 31a3f3f
* Thu Mar  2 2017 oneukum@suse.com
- Bluetooth: Add support for Intel Bluetooth device 3168
  [8087:0aa7] (FATE#321354).
- commit 552e14a
* Thu Mar  2 2017 oneukum@suse.com
- iwlwifi: update support for 3168 series firmware and NVM
  (FATE#321354).
- iwlwifi: add new 3168 series devices support (FATE#321354).
- iwlwifi: Add PCI IDs for the new 3168 series (FATE#321354).
- commit 6053749
* Thu Mar  2 2017 hare@suse.de
- block: apply blk_partition_remap to REQ_OP_ZONE_RESET
  (bsc#1020989,FATE#322379).
- block: support a full bio worth of IO for simplified bdev
  direct-io (bsc#1020989,FATE#322379).
- block: bio: pass bvec table to bio_init()
  (bsc#1020989,FATE#322379).
- block,blkcg: use __GFP_NOWARN for best-effort allocations in
  blkcg (bsc#1020989,FATE#322379).
- blk-wbt: allow reset of default latency through sysfs
  (bsc#1020989,FATE#322379).
- blk-wbt: cleanup disable-by-default for CFQ
  (bsc#1020989,FATE#322379).
- blk-wbt: allow wbt to be enabled always through sysfs
  (bsc#1020989,FATE#322379).
- blk-mq: Drop explicit timeout sync in hotplug
  (bsc#1020989,FATE#322379).
- block: Check partition alignment on zoned block devices
  (bsc#1020989,FATE#322379).
- block: factor out req_set_nomerge (bsc#1020989,FATE#322379).
- blk-stat: fix a typo (bsc#1020989,FATE#322379).
- block: fix unintended fallthrough in
  generic_make_request_checks() (bsc#1020989,FATE#322379).
- blk-mq: blk_account_io_start() takes a bool
  (bsc#1020989,FATE#322379).
- Refresh patches.suse/md-display-timeout-error.patch.
- commit a42fab5
* Thu Mar  2 2017 oneukum@suse.com
- iwlwifi: add new 8265 series PCI ID (FATE#321353).
- iwlwifi: add new 8265 (FATE#321353).
- iwlwifi: add new 8260 PCI IDs (FATE#321353).
- iwlwifi: add device IDs for the 8265 device (FATE#321353).
- iwlwifi: mvm: bump max API to 20 (FATE#321353).
- iwlwifi: add device ID for 8265 (FATE#321353).
- iwlwifi: Update PCI IDs for 8000 and 9000 series (FATE#321353).
- iwlwifi: avoid d0i3 commands when no/init ucode is loaded
  (FATE#321353).
- iwlwifi: Add PCI IDs for the new series 8165 (FATE#321353).
- iwlwifi: Add new PCI IDs for 9260 and 5165 series (FATE#321353).
- commit 599b084
* Thu Mar  2 2017 bpoirier@suse.com
- Cleanup patch names and locations
  Rename patches to have a generic name based on their subject, getting rid
  of sometimes unrelated prefixes. Some patches are also moved from
  patches.arch to patches.drivers which is more appropriate to their content.
- commit aa77433
* Thu Mar  2 2017 jjolly@suse.de
- dasd: add kmsg descriptions for new ioctl BIODASDCHECKFMT
  (bsc#1025482, FATE#321527, LTC#146542).
- s390/dasd: Add new ioctl BIODASDCHECKFMT (bsc#1025482,
  FATE#321527, LTC#146542).
- s390/dasd: Refactor dasd format functions (bsc#1025482,
  FATE#321527, LTC#146542).
- s390/dasd: Simplify code in format logic (bsc#1025482,
  FATE#321527, LTC#146542).
- s390/dasd: Improve dasd format code (bsc#1025482, FATE#321527,
  LTC#146542).
- dasd: add kmsg descriptions for channel path aware error
  recovery (bsc#1025481, FATE#321528, LTC#146543).
- s390/dasd: channel path aware error recovery (bsc#1025481,
  FATE#321528, LTC#146543).
- s390/dasd: extend dasd path handling (bsc#1025481, FATE#321528,
  LTC#146543).
- s390/pci: use unique UIDs for domain enumeration (bsc#1025483,
  FATE#321534, LTC#146540).
- s390/pci: query fmb length (bsc#1025483, FATE#321534,
  LTC#146540).
- commit 22882da
* Thu Mar  2 2017 jjolly@suse.de
- s390/mm: add kmsg descriptions for 2GB hugepages (bsc#1025376,
  FATE#321651, LTC#146794).
- s390/mm: clean up pte/pmd encoding (bsc#1025376, FATE#321651,
  LTC#146794).
- commit 7b7560a
* Thu Mar  2 2017 jjolly@suse.de
- s390/mm: add support for 2GB hugepages (bsc#1025376,
  FATE#321651, LTC#146794).
- Refresh
  patches.suse/mm-hugetlb-don-t-require-cma-for-runtime-gigantic-pages.patch.
- commit 3240646
* Thu Mar  2 2017 jjolly@suse.de
- s390/qeth: fix retrieval of vipa and proxy-arp addresses
  (bsc#1025380, FATE#321529, LTC#146544).
- s390/qeth: don't convert return code twice (bsc#1025380,
  FATE#321529, LTC#146544).
- s390/qeth: fix setting VIPA address (bsc#1025380, FATE#321529,
  LTC#146544).
- qeth: optimize IP handling in rx_mode callback (bsc#1025380,
  FATE#321529, LTC#146544).
- topology/sysfs: provide drawer id and siblings attributes
  (bsc#1025255, FATE#321650, LTC#321650).
- commit dd6bb90
* Thu Mar  2 2017 jjolly@suse.de
- s390/topology: add drawer scheduling domain level (bsc#1025255,
  FATE#321650, LTC#321650).
- Update config files.
- commit a174f90
* Thu Mar  2 2017 brogers@suse.com
- KVM: x86: bump MAX_VCPUS to 288 (fate#321335).
- commit 05215bf
* Wed Mar  1 2017 bpoirier@suse.com
- Corral more patches related to SP3 network driver backports into the ordered section
- commit a62af3e
* Wed Mar  1 2017 yousaf.kaukab@suse.com
- arm64: add ARCH_THUNDER2 to defconfig (fate#321947).
- arm64: add THUNDER2 processor family (fate#321947).
- vfio/type1: Fix error return code in
  vfio_iommu_type1_attach_group() (fate#321947).
- vfio/type1: Check MSI remapping at irq domain level
  (fate#321947).
- vfio/type1: Allow transparent MSI IOVA allocation (fate#321947).
- vfio iommu type1: Fix size argument to vfio_find_dma() during
  DMA UNMAP (fate#321947).
- vfio iommu type1: Add find_iommu_group() function (fate#321947).
- vfio iommu type1: Update arguments of vfio_lock_acct
  (fate#321947).
- vfio iommu: Added pin and unpin callback functions to
  vfio_iommu_driver_ops (fate#321947).
- vfio: Common function to increment container_users
  (fate#321947).
- vfio: Rearrange functions to get vfio_group from dev
  (fate#321947).
- vfio/type1: Fix build warning (fate#321947).
- vfio/iommu_type1: make use of info.flags (fate#321947).
- iommu/arm-smmu: Do not advertise IOMMU_CAP_INTR_REMAP anymore
  (fate#321947).
- irqchip/gicv3-its: Sets IRQ_DOMAIN_FLAG_MSI_REMAP (fate#321947).
- irqdomain: irq_domain_check_msi_remap (fate#321947).
- genirq/msi: Set IRQ_DOMAIN_FLAG_MSI on MSI domain creation
  (fate#321947).
- irqdomain: Add irq domain MSI and MSI_REMAP flags (fate#321947).
- irqdomain: Allow domain matching on irq_fwspec (fate#321947).
- genirq: Add error code reporting to irq_{reserve,destroy}_ipi
  (fate#321947).
- genirq: Make irq_destroy_ipi take a cpumask of IPIs to destroy
  (fate#321947).
- genirq: Add a new generic IPI reservation code to irq core
  (fate#321947).
- genirq: Add DOMAIN_BUS_IPI (fate#321947).
- genirq: Add new IPI irqdomain flags (fate#321947).
- irqdomain: Allow domain lookup with DOMAIN_BUS_WIRED token
  (fate#321947).
- iommu/arm-smmu-v3: Implement reserved region get/put callbacks
  (fate#321947).
- iommu/arm-smmu: Implement reserved region get/put callbacks
  (fate#321947).
- iommu/amd: Declare MSI and HT regions as reserved IOVA regions
  (fate#321947).
- iommu/vt-d: Implement reserved region get/put callbacks
  (fate#321947).
- iommu: Implement reserved_regions iommu-group sysfs file
  (fate#321947).
- iommu: iommu_get_group_resv_regions (fate#321947).
- iommu: Only map direct mapped regions (fate#321947).
- iommu: iommu_alloc_resv_region (fate#321947).
- iommu: Add a new type field in iommu_resv_region (fate#321947).
- iommu: Rename iommu_dm_regions into iommu_resv_regions
  (fate#321947).
- iommu/dma: Allow MSI-only cookies (fate#321947).
- iommu: Update struct iommu_ops comments (fate#321947).
- iommu/arm-smmu: Fix for ThunderX erratum #27704 (fate#321947).
- iommu/arm-smmu: Support for Extended Stream ID (16 bit)
  (fate#321947).
- arm64: Enable workaround for Cavium erratum 27456 on
  thunderx-81xx (fate#321947).
- arm64: mm: enable CONFIG_HOLES_IN_ZONE for NUMA (fate#321947).
- arm64: barriers: introduce nops and __nops macros for NOP
  sequences (fate#321947).
- mm: don't dereference struct page fields of invalid pages
  (fate#321947).
- PCI: Fix cavium quirk compile failure with PCI_ATS off
  (fate#321947).
- PCI: quirk fixup for cavium invalid sriov link value
  (fate#321947).
- i2c: xlp9xx: add support for Broadcom Vulcan (fate#321947).
- i2c: xlp9xx: ACPI support for I2C clients (fate#321947).
- i2c: xlp9xx: Fix module autoload (fate#321947).
- i2c: xlp9xx: add ACPI support for Broadcom Vulcan (fate#321947).
- usb: dwc3: of-simple: add compatible for Cavium (fate#321947).
- hwrng: cavium - Add Cavium HWRNG driver for ThunderX SoC
  (fate#321947).
- spi: spi-cavium-thunderx: Add missing clk_disable_unprepare()
  (fate#321947).
- spi: octeon: Add ThunderX driver (fate#321947).
- spi: octeon: Split driver into Octeon specific and common parts
  (fate#321947).
- spi: octeon: Move include file from arch/mips to drivers/spi
  (fate#321947).
- spi: octeon: Put register offsets into a struct (fate#321947).
- spi: octeon: Store system clock freqency in struct octeon_spi
  (fate#321947).
- spi: octeon: Convert driver to use readq()/writeq() functions
  (fate#321947).
- spi: octeon: Convert to use devm_ioremap_resource (fate#321947).
- net: thunderx: Fix PHY autoneg for SGMII QLM mode (fate#321947).
- net: thunderx: avoid dereferencing xcv when NULL (fate#321947).
- net: thunderx: Support for byte queue limits (fate#321947).
- net: thunderx: Use napi_consume_skb for bulk free (fate#321947).
- net: bulk free infrastructure for NAPI context, use
  napi_consume_skb (fate#321947).
- commit 1c2b423
* Wed Mar  1 2017 yousaf.kaukab@suse.com
- Revert "vfio: platform: support No-IOMMU mode (fate#320512)."
  This reverts commit 7ba0e57a9d73522a7214351956275522e2bcf756.
  This patch was not required since following patch was not applied
  to the tree in the first place.
  03a76b60f8ba vfio: Include No-IOMMU mode
  Fix build errors by reverting it.
  Refresh:
  patches.arch/0431-vfio-platform-make-reset-driver-a-requirement-by-def.patch
- commit 3573bb4
* Wed Mar  1 2017 jgross@suse.com
- xen/netfront: set default upper limit of tx/rx queues to 8
  (bnc#1019163).
- xen/netback: set default upper limit of tx/rx queues to 8
  (bnc#1019163).
- commit 8441cf5
* Wed Mar  1 2017 mhocko@suse.cz
- Update patches.kernel.org/patch-4.4.43-44 (CVE-2016-9191
  CVE-2017-2583 CVE-2017-2584 bnc#1012382 bsc#1019851 bsc#1020602
  bsc#1020817 bsc#1000776 bsc#1008842).
- commit 18ca338
* Wed Mar  1 2017 jthumshirn@suse.de
- nvme: Don't suspend admin queue that wasn't created
  (bsc#1026505).
- nvme: Suspend all queues before deletion (bsc#1026505).
- commit b6091d6
* Wed Mar  1 2017 yousaf.kaukab@suse.com
- supported.conf: add some of cavium thunderx modules
- commit 309d1a9
* Wed Mar  1 2017 yousaf.kaukab@suse.com
- Update config files.
- commit 1448720
* Wed Mar  1 2017 mhocko@suse.cz
- proc: show MADV_FREE pages info in smaps (bnc#1027383).
- mm: enable MADV_FREE for swapless system (bnc#1027383).
- mm: reclaim MADV_FREE pages (bnc#1027383).
- mm: move MADV_FREE pages into LRU_INACTIVE_FILE list
  (bnc#1027383).
- mm: don't assume anonymous pages have SwapBacked flag
  (bnc#1027383).
- mm: delete unnecessary TTU_* flags (bnc#1027383).
- mm/ksm.c: mark stable page dirty (bnc#1027383).
- mm: move lazily freed pages to inactive list (bnc#1027383).
- commit 5d4803d
* Wed Mar  1 2017 gqjiang@suse.com
- md-cluster: add the support for resize (fate#320864).
- md-cluster: introduce cluster_check_sync_size (fate#320864).
- md-cluster: add CHANGE_CAPACITY message type (fate#320864).
- md: move bitmap_destroy before __md_stop (fate#320864).
- md-cluster: use sync way to handle METADATA_UPDATED msg
  (fate#320864).
- md: move funcs from pers->resize to update_size (fate#320864).
- md-cluster: remove useless memset from gather_all_resync_info
  (fate#320864).
- md-cluster: free md_cluster_info if node leave cluster
  (fate#320864).
- commit 365d276
* Tue Feb 28 2017 mbrugger@suse.com
- arm64: Drop BAR mapping callback to fix efifb when PCI BARS get remapped
- Refresh
  patches.suse/arm64-efi-mark-UEFI-reserved-regions-as-MEMBLOCK_NOM.patch.
- Refresh
  patches.suse/efi-arm64-Don-t-apply-MEMBLOCK_NOMAP-to-UEFI-memory-map-mapping.patch.
- Delete
  patches.arch/arm64-Relocate-screen_info.lfb_base-on-PCI-BAR-alloc.patch.
- Delete
  patches.suse/arm64-efi-Don-t-truncate-frame-buffer-address-to-32-.patch.
- commit 3093f09
* Tue Feb 28 2017 jroedel@suse.de
- kvm: fix page struct leak in handle_vmon (CVE-2017-2596
  bsc#1022785).
- commit 622f8a7
* Tue Feb 28 2017 mhocko@suse.cz
- x86/numa: Online memory-less nodes at boot time (bnc#1027153).
- x86/acpi: Enable acpi to register all possible cpus at boot time (bnc#1027153).
- x86/acpi: Introduce persistent storage for cpuid <-> apicid mapping (bnc#1027153).
- x86/acpi: Enable MADT APIs to return disabled apicids (bnc#1027153).
- x86/acpi: Set persistent cpuid <-> nodeid mapping when booting (bnc#1027153).
- acpi: Provide mechanism to validate processors in the ACPI tables (bnc#1027153).
- acpi: Validate processor id when mapping the processor (bnc#1027153).
- Refresh patches.arch/arm64-0010-ACPI-processor-Add-acpi_map_madt_entry.patch.
- commit cd66af7
* Tue Feb 28 2017 mhocko@suse.cz
- mm: fix set pageblock migratetype in deferred struct page init
  (bnc#1027195).
- mm/page_alloc: Remove useless parameter of
  __free_pages_boot_core (bnc#1027195).
- commit 6ba3844
* Mon Feb 27 2017 tiwai@suse.de
- drm/i915: Add intel_uncore_suspend / resume functions
  (bsc#1011913).
- drm/i915: Listen for PMIC bus access notifications
  (bsc#1011913).
- i2c: designware: Disable pm for PMIC i2c-bus even if there is
  no _SEM method (bsc#1011913).
- i2c: designware: Never suspend i2c-busses used for accessing
  the system PMIC (bsc#1011913).
- i2c: designware: Rename accessor_flags to flags (bsc#1011913).
- i2c: designware-baytrail: Acquire P-Unit access on bus acquire
  (bsc#1011913).
- i2c: designware-baytrail: Call pmic_bus_access_notifier_chain
  (bsc#1011913).
- i2c: designware-baytrail: Fix race when resetting the semaphore
  (bsc#1011913).
- i2c: designware-baytrail: Only check iosf_mbi_available()
  for shared hosts (bsc#1011913).
- x86/platform/intel/iosf_mbi: Add a PMIC bus access notifier
  (bsc#1011913).
- x86/platform/intel/iosf_mbi: Add a mutex for P-Unit access
  (bsc#1011913).
- Refresh
  patches.drivers/i2c-designware-baytrail-Add-support-for-cherrytrail.
- Refresh
  patches.drivers/i2c-designware-baytrail-Disallow-the-CPU-to-enter-C6.
- Refresh patches.kabi/i2c-designware-qos-kabi-fix.
- commit d742d6a
* Mon Feb 27 2017 mfleming@suse.de
- sched/loadavg: Avoid loadavg spikes caused by delayed NO_HZ
  accounting (bsc#1018419).
- commit a09f4a0
* Mon Feb 27 2017 jslaby@suse.cz
- Linux 4.4.52 (CVE-2017-6074 bnc#1012382 bsc#1026024 bsc#1026462
  fate#319999).
- Delete
  patches.drivers/0050-blk-mq-really-fix-plug-list-flushing-for-nomerge-queues.patch.
- Delete
  patches.fixes/dccp-fix-freeing-skb-too-early-for-IPV6_RECVPKTINFO.patch.
- Delete
  patches.fixes/rtlwifi-rtl_usb-Fix-missing-entry-in-USB-driver-s-pr.
- commit 5bd6a4f
* Mon Feb 27 2017 jslaby@suse.cz
- Linux 4.4.51 (bnc#1012382 bsc#1021260).
- Refresh patches.drivers/drm-dp-mst-save-vcpi-with-payloads.
- Delete
  patches.drivers/0004-bcache-bch_gc_thread-is-not-freezable.patch.
- Delete
  patches.fixes/0001-bcache-Make-gc-wakeup-sane-remove-set_task_state.patch.
- commit 9219327
* Mon Feb 27 2017 jslaby@suse.cz
- Linux 4.4.50 (CVE-2017-5897 CVE-2017-5970 CVE-2017-5986
  bnc#1012382 bsc#1023762 bsc#1024938 bsc#1025235).
- kABI: restore can_rx_register parameters (kabi).
- Revert "net: introduce device min_header_len" (kabi).
- Delete patches.fixes/ip6_gre-fix-ip6gre_err-invalid-reads.patch.
- Delete
  patches.fixes/ipv4-keep-skb-dst-around-in-presence-of-IP-options.patch.
- Delete
  patches.fixes/sctp-avoid-BUG_ON-on-sctp_wait_for_sndbuf.patch.
- commit 7c4b733
* Mon Feb 27 2017 jslaby@suse.cz
- crypto: algif_hash - avoid zero-sized array (bnc#1007962).
- commit e51d93f
* Mon Feb 27 2017 hare@suse.de
- scsi_dh_alua: Do not modify the interval value for retries
  (bsc#1012910).
- commit 6737692
* Sun Feb 26 2017 mgorman@suse.de
- cpuidle: menu: Fall back to polling if next timer event is near
  (bnc#1023996, bnc#969297 PM performance -- cpu idle).
- commit b7e6f64
* Thu Feb 23 2017 hare@suse.de
- md/raid1, raid10: add blktrace records when IO is delayed
  (bsc#1003941,FATE#321732).
- md: add blktrace event for writes to superblock
  (bsc#1003941,FATE#321732).
- md/failfast: add failfast flag for md to be used by some
  personalities (bsc#1003941,FATE#321732).
- md: Use REQ_FAILFAST_* on metadata writes where appropriate
  (bsc#1003941,FATE#321732).
- md/raid1: add failfast handling for reads
  (bsc#1003941,FATE#321732).
- md/raid1: add failfast handling for writes
  (bsc#1003941,FATE#321732).
- md/raid10: add failfast handling for reads
  (bsc#1003941,FATE#321732).
- md/raid10: add failfast handling for writes
  (bsc#1003941,FATE#321732).
- Refresh
  patches.drivers/0134-block-add-a-separate-operation-type-for-secure-erase.patch.
- Refresh
  patches.drivers/0258-block-fs-use-REQ_-flags-directly.patch.
- Delete
  patches.suse/0001-md-failfast-add-failfast-flag-for-md-to-be-used-by-s.patch.
- Delete
  patches.suse/0002-md-raid1-add-failfast-handling-for-reads.patch.
- Delete
  patches.suse/0003-md-raid1-add-failfast-handling-for-writes.patch.
- Delete
  patches.suse/0004-md-raid10-add-failfast-handling-for-reads.patch.
- Delete
  patches.suse/0005-md-raid10-add-failfast-handling-for-writes.patch.
- Delete patches.suse/01a-md-failfast-metadata.
- commit 9b0414f
* Thu Feb 23 2017 hare@suse.de
- Fix kernel module refcount handling (bsc#1003941,FATE#321732).
- md: add missing sysfs_notify on array_state update
  (bsc#1003941,FATE#321732).
- raid10: improve random reads performance
  (bsc#1003941,FATE#321732).
- MD: fix null pointer deference (bsc#1003941,FATE#321732).
- raid5: fix incorrectly counter of conf->empty_inactive_list_nr
  (bsc#1003941,FATE#321732).
- MD: hold mddev lock to change bitmap location
  (bsc#1003941,FATE#321732).
- md: Prevent IO hold during accessing to faulty raid5 array
  (bsc#1003941,FATE#321732).
- md: do not count journal as spare in GET_ARRAY_INFO
  (bsc#1003941,FATE#321732).
- md: remove obsolete ret in md_start_sync
  (bsc#1003941,FATE#321732).
- md: don't print the same repeated messages about delayed sync
  operation (bsc#1003941,FATE#321732).
- r5cache: set MD_JOURNAL_CLEAN correctly
  (bsc#1003941,FATE#321732).
- md-cluster: fix error return code in join()
  (bsc#1003941,FATE#321732).
- raid10: record correct address of bad block
  (bsc#1003941,FATE#321732).
- raid5: fix memory leak of bio integrity data
  (bsc#1003941,FATE#321732).
- raid5: avoid unnecessary bio data set (bsc#1003941,FATE#321732).
- raid5-cache: fix a deadlock in superblock write
  (bsc#1003941,FATE#321732).
- raid5: guarantee enough stripes to avoid reshape hang
  (bsc#1003941,FATE#321732).
- raid5: fix a small race condition (bsc#1003941,FATE#321732).
- lib/raid6: Add AVX512 optimized gen_syndrome functions
  (bsc#1003941,FATE#321732).
- lib/raid6: Add AVX512 optimized recovery functions
  (bsc#1003941,FATE#321732).
- lib/raid6/test/Makefile: Add avx512 gen_syndrome and recovery
  functions (bsc#1003941,FATE#321732).
- lib/raid6: Add AVX512 optimized xor_syndrome functions
  (bsc#1003941,FATE#321732).
- raid5: allow arbitrary max_hw_sectors (bsc#1003941,FATE#321732).
- md/bitmap: fix wrong cleanup (bsc#1003941,FATE#321732).
- md: fix a potential deadlock (bsc#1003941,FATE#321732).
- raid5: fix to detect failure of register_shrinker
  (bsc#1003941,FATE#321732).
- raid5: handle register_shrinker failure
  (bsc#1003941,FATE#321732).
- raid6/test/test.c: bug fix: Specify aligned(alignment)
  attributes to the char arrays (bsc#1003941,FATE#321732).
- md: set rotational bit (bsc#1003941,FATE#321732).
- RAID1: ignore discard error (bsc#1003941,FATE#321732).
- RAID10: ignore discard error (bsc#1003941,FATE#321732).
- md/raid5: initialize next_checkpoint field before use
  (bsc#1003941,FATE#321732).
- md/raid5: write an empty meta-block when creating log
  super-block (bsc#1003941,FATE#321732).
- md: report 'write_pending' state when array in sync
  (bsc#1003941,FATE#321732).
- raid5-cache: correct condition for empty metadata write
  (bsc#1003941,FATE#321732).
- raid1: handle read error also in readonly mode
  (bsc#1003941,FATE#321732).
- md: be careful not lot leak internal curr_resync value into
  metadata. -- (all) (bsc#1003941,FATE#321732).
- lib/raid6: Add AVX2 optimized xor_syndrome functions
  (bsc#1003941,FATE#321732).
- md: add bad block support for external metadata
  (bsc#1003941,FATE#321732).
- md: don't fail an array if there are unacknowledged bad blocks
  (bsc#1003941,FATE#321732).
- md: wake up personality thread after array state update
  (bsc#1003941,FATE#321732).
- raid5: revert commit 11367799f3d1 (bsc#1003941,FATE#321732).
- md/bitmap: call bitmap_file_unmap once bitmap_storage_alloc
  returns -ENOMEM (bsc#1003941,FATE#321732).
- md: fix some issues with alloc_disk_sb()
  (bsc#1003941,FATE#321732).
- md: change all printk() to pr_err() or pr_warn() etc
  (bsc#1003941,FATE#321732).
- md/bitmap: change all printk() to pr_*()
  (bsc#1003941,FATE#321732).
- md/linear: replace printk() with pr_*()
  (bsc#1003941,FATE#321732).
- md/multipath: replace printk() with pr_*()
  (bsc#1003941,FATE#321732).
- md/raid0: replace printk() with pr_*()
  (bsc#1003941,FATE#321732).
- md/raid1: change printk() to pr_*() (bsc#1003941,FATE#321732).
- md/raid10: change printk() to pr_*() (bsc#1003941,FATE#321732).
- md/raid5: change printk() to pr_*() (bsc#1003941,FATE#321732).
- raid5-cache: restrict the use area of the log_offset variable
  (bsc#1003941,FATE#321732).
- md: perform async updates for metadata where possible
  (bsc#1003941,FATE#321732).
- md/raid1: abort delayed writes when device fails
  (bsc#1003941,FATE#321732).
- md/raid10: abort delayed writes when device fails
  (bsc#1003941,FATE#321732).
- md/bitmap: Don't write bitmap while earlier writes might be
  in-flight (bsc#1003941,FATE#321732).
- md: define mddev flags, recovery flags and r1bio state bits
  using enums (bsc#1003941,FATE#321732).
- md: remove md_super_wait() call after bitmap_flush()
  (bsc#1003941,FATE#321732).
- raid5-cache: fix lockdep warning (bsc#1003941,FATE#321732).
- md: add block tracing for bio_remapping
  (bsc#1003941,FATE#321732).
- md/bitmap: add blktrace event for writes to the bitmap
  (bsc#1003941,FATE#321732).
- block/fs/drivers: remove rw argument from submit_bio
  (bnc#1003941,FATE#321732).
- Refresh
  patches.drivers/0086-block-fs-drivers-remove-rw-argument-from-submit_bio.patch.
- Refresh
  patches.drivers/0134-block-add-a-separate-operation-type-for-secure-erase.patch.
- Refresh
  patches.drivers/0175-block-rename-bio-bi_rw-to-bi_opf.patch.
- commit 9254bac
* Wed Feb 22 2017 tiwai@suse.de
- rtlwifi: rtl_usb: Fix missing entry in USB driver's private data
  (bsc#1026462).
- commit d701364
* Wed Feb 22 2017 hare@suse.de
- md/raid1: small cleanup in raid1_end_read/write_request
  (bsc#1003941,FATE#321732).
- md/raid1: small code cleanup in end_sync_write
  (bsc#1003941,FATE#321732).
- md/raid1: add rcu protection to rdev in fix_read_error
  (bsc#1003941,FATE#321732).
- md/raid5: add rcu protection to rdev accesses in
  handle_failed_sync (bsc#1003941,FATE#321732).
- md/raid5: add rcu protection to rdev accesses in want_replace
  (bsc#1003941,FATE#321732).
- md/raid5: add rcu protection to rdev accesses in raid5_status
  (bsc#1003941,FATE#321732).
- md/multipath: add rcu protection to rdev access in
  multipath_status (bsc#1003941,FATE#321732).
- md: be extra careful not to take a reference to a Faulty device
  (bsc#1003941,FATE#321732).
- md: reduce the number of synchronize_rcu() calls when multiple
  devices fail (bsc#1003941,FATE#321732).
- md: use seconds granularity for error logging
  (bsc#1003941,FATE#321732).
- Refresh patches.drivers/0112-md-use-bio-op-accessors.patch.
- commit f9082b6
* Wed Feb 22 2017 hare@suse.de
- md/raid10: add rcu protection to rdev access in
  raid10_sync_request (bsc#1003941,FATE#321732).
- md/raid10: add rcu protection to rdev access during reshape
  (bsc#1003941,FATE#321732).
- md/raid10: minor code improvement in fix_read_error()
  (bsc#1003941,FATE#321732).
- md/raid10: simplify print_conf a little
  (bsc#1003941,FATE#321732).
- Refresh patches.drivers/0112-md-use-bio-op-accessors.patch.
- commit de93af9
* Tue Feb 21 2017 tonyj@suse.de
- perf tools: Fix perf regs mask generation (FATE#320333).
- Update config files.
- perf/powerpc: Add support for unwinding perf-stackdump
  (FATE#320333).
- powerpc: Add HAVE_PERF_USER_STACK_DUMP support (FATE#320333).
- commit 107f222
* Tue Feb 21 2017 msuchanek@suse.de
- GenWQE: Change default access rights for device node
  (fate#321593).
- commit 221d415
* Tue Feb 21 2017 hare@suse.de
- right meaning of PARITY_ENABLE_RMW and PARITY_PREFER_RMW
  (bsc#1003941,FATE#321732).
- md: simplify the code with md_kick_rdev_from_array
  (bsc#1003941,FATE#321732).
- md: use a mutex to protect a global list
  (bsc#1003941,FATE#321732).
- MD:Update superblock when err == 0 in size_store
  (bsc#1003941,FATE#321732).
- md: disconnect device from personality before trying to remove
  it (bsc#1003941,FATE#321732).
- md/raid1, raid10: don't recheck "Faulty" flag in read-balance
  (bsc#1003941,FATE#321732).
- md/raid10: fix refounct imbalance when resyncing an array with
  a replacement device (bsc#1003941,FATE#321732).
- md/raid10: add rcu protection in raid10_status
  (bsc#1003941,FATE#321732).
- Refresh
  patches.drivers/0014-block-introduce-bdev_file_inode.patch.
- Refresh
  patches.drivers/0086-block-fs-drivers-remove-rw-argument-from-submit_bio.patch.
- Refresh
  patches.drivers/0095-direct-io-use-bio-set-get-op-accessors.patch.
- Refresh patches.drivers/0112-md-use-bio-op-accessors.patch.
- Refresh
  patches.drivers/0127-block-fs-drivers-remove-REQ_OP-compat-defs-and-relat.patch.
- Refresh
  patches.drivers/0134-block-add-a-separate-operation-type-for-secure-erase.patch.
- Refresh
  patches.drivers/0175-block-rename-bio-bi_rw-to-bi_opf.patch.
- Refresh
  patches.drivers/0194-block_dev-remove-DAX-leftovers.patch.
- Refresh
  patches.drivers/0258-block-fs-use-REQ_-flags-directly.patch.
- Refresh
  patches.drivers/0305-block-fast-path-for-small-and-simple-direct-I-O-requ.patch.
- Refresh
  patches.drivers/direct-io-eliminate-the-offset-argument-to-direct_IO.patch.
- Refresh
  patches.suse/0002-raid5-cache-add-journal-hot-add-remove-support.patch.
- Refresh
  patches.suse/0005-md-cluster-Defer-MD-reloading-to-mddev-thread.patch.
- Refresh
  patches.suse/0006-md-avoid-warning-for-32-bit-sector_t.patch.
- Refresh
  patches.suse/0013-md-cluser-make-resync_finish-only-called-after-pers-.patch.
- Refresh
  patches.suse/0013-md-set-MD_HAS_JOURNAL-in-correct-places.patch.
- Refresh
  patches.suse/0019-md-set-MD_CHANGE_PENDING-in-a-atomic-region.patch.
- Refresh
  patches.suse/0025-md-cluster-fix-deadlock-issue-when-add-disk-to-an-re.patch.
- Refresh
  patches.suse/0028-MD-add-rdev-reference-for-super-write.patch.
- Refresh
  patches.suse/0033-md-changes-for-MD_STILL_CLOSED-flag.patch.
- Refresh patches.suse/md-expedite-hot-remove.
- Refresh patches.suse/md-raid10-tracepoints.
- commit 1bc5dd2
* Mon Feb 20 2017 yousaf.kaukab@suse.com
- supported.conf:
- commit 58a0abc
* Mon Feb 20 2017 yousaf.kaukab@suse.com
- Update config files.
  For arm64, also enable some configs as done by following patch:
  d11a544e3a1e arm64: defconfig: Enable QDF2432 config options
- commit 7590017
* Mon Feb 20 2017 yousaf.kaukab@suse.com
- ACPI/PCI: pci_link: Include PIRQ_PENALTY_PCI_USING for ISA IRQs
  (fate#320512).
- ACPI/PCI: pci_link: penalize SCI correctly (fate#320512).
- ACPI/PCI/IRQ: assign ISA IRQ directly during early boot stages
  (fate#320512).
- ACPI,PCI,IRQ: separate ISA penalty calculation (fate#320512).
- ACPI,PCI,IRQ: factor in PCI possible (fate#320512).
- ACPI,PCI,IRQ: correct operator precedence (fate#320512).
- ACPI,PCI,IRQ: remove SCI penalize function (fate#320512).
- ACPI,PCI,IRQ: reduce static IRQ array size to 16 (fate#320512).
- ACPI,PCI,IRQ: reduce resource requirements (fate#320512).
- Revert "ACPI, PCI, irq: remove interrupt count restriction"
  (fate#320512).
- Revert "ACPI / PCI: Simplify acpi_penalize_isa_irq()"
  (fate#320512).
- ACPI / PCI: Simplify acpi_penalize_isa_irq() (fate#320512).
- ACPI, PCI, irq: remove interrupt number restriction
  (fate#320512).
- ACPI, PCI, irq: remove interrupt count restriction
  (fate#320512).
- vfio: platform: check reset call return code during release
  (fate#320512).
- vfio: platform: check reset call return code during open
  (fate#320512).
- vfio, platform: make reset driver a requirement by default
  (fate#320512).
- vfio: platform: call _RST method when using ACPI (fate#320512).
- vfio: platform: add extra debug info argument to call reset
  (fate#320512).
- vfio: platform: add support for ACPI probe (fate#320512).
- vfio: platform: determine reset capability (fate#320512).
- vfio: platform: move reset call to a common function
  (fate#320512).
- vfio: platform: support No-IOMMU mode (fate#320512).
- vfio: platform: rename reset function (fate#320512).
- arm64: errata: Provide macro for major and minor cpu revisions
  (fate#320512).
- arm64: Work around Falkor erratum 1009 (fate#320512).
- arm64: Use __tlbi() macros in KVM code (fate#320512).
- arm64: tlbflush.h: add __tlbi() macro (fate#320512).
- arm/arm64: KVM: Perform local TLB invalidation when multiplexing
  vcpus on a single CPU (fate#320512).
- KVM: arm/arm64: Get rid of exported aliases to static functions
  (fate#320512).
- arm64: Define Falkor v1 CPU (fate#320512).
- arm64: skip register_cpufreq_notifier on ACPI-based systems
  (fate#320512).
- arm64: add sysfs cpu_capacity attribute (fate#320512).
- arm64: parse cpu capacity-dmips-mhz from DT (fate#320512).
- arm64: mark reserved memblock regions explicitly in iomem
  (fate#320512).
- KVM: Move kvm_setup_default/empty_irq_routing declaration in
  arch specific header (fate#320512).
- KVM: irqchip: Convey devid to kvm_set_msi (fate#320512).
- iommu/arm-smmu-v3: limit use of 2-level stream tables
  (fate#320512).
- iommu/arm-smmu-v3: Clear prior settings when updating STEs
  (fate#320512).
- arm64: Add back cpu reset routines (fate#320512).
- mmc: sdhci-acpi: add QCOM controllers (fate#320512).
- pinctrl: qcom: qdf2xxx: improve error checking and reporting
  (fate#320512).
- Documentation/watchdog: add support for magic close to
  watchdog-test (fate#320512).
- Documentation/watchdog: use stdout instead of stderr in
  watchdog-test (fate#320512).
- Documentation: add sbsa-gwdt driver documentation (fate#320512).
- Watchdog: introduce ARM SBSA watchdog driver (fate#320512).
- i2c: qup: support SMBus block read (fate#320512).
- i2c: qup: add ACPI support (fate#320512).
- i2c: qup: Fixed the DMA segments length (fate#320512).
- i2c: qup: Cleared the error bits in ISR (fate#320512).
- i2c: qup: Fix wrong value of index variable (fate#320512).
- i2c: qup: use address helper function in read transfer
  (fate#320512).
- i2c: qup: Fix error handling (fate#320512).
- i2c: qup: Fix broken dma when CONFIG_DEBUG_SG is enabled
  (fate#320512).
- i2c: qup: use new 8 bit address helper function (fate#320512).
- i2c: introduce helper function to get 8 bit address from a
  message (fate#320512).
- i2c: qup: Fix fifo handling after adding V2 support
  (fate#320512).
- i2c: qup: Add bam dma capabilities (fate#320512).
- i2c: qup: Transfer each i2c_msg in i2c_msgs without a stop bit
  (fate#320512).
- i2c: qup: Add V2 tags support (fate#320512).
- i2c: qup: Change qup_wait_writeready function to use for all
  timeouts (fate#320512).
- serial: amba-pl011: use cpu_relax when polling registers
  (fate#320512).
- tty: amba-pl011: use iotype instead of access_32b to track
  32-bit I/O (fate#320512).
- tty: amba-pl011: fix earlycon register offsets (fate#320512).
- tty: amba-pl011: switch to using relaxed IO accessors
  (fate#320512).
- tty: amba-pl011: add support for 32-bit register access
  (fate#320512).
- tty: amba-pl011: remove ST micro registers from standard table
  (fate#320512).
- tty: amba-pl011: clean up LCR register offsets (fate#320512).
- tty: amba-pl011: add ST register offset table (fate#320512).
- tty: amba-pl011: add register offset table to vendor data
  (fate#320512).
- tty: amba-pl011: add register lookup table (fate#320512).
- tty: amba-pl011: prepare REG_* register indexes (fate#320512).
- tty: amba-pl011: add helper to detect split LCRH register
  (fate#320512).
- tty: amba-pl011: convert accessor functions to take
  uart_amba_port (fate#320512).
- tty: amba-pl011: add register accessor functions (fate#320512).
- ACPI / APEI / ARM64: APEI initial support for ARM64
  (fate#320512).
- ACPI / APEI: Send correct severity to calculate AER severity
  (fate#320512).
- ACPI / bus: Support for platform initiated graceful shutdown
  (fate#320512).
- ACPI / APEI: Add Boot Error Record Table (BERT) support
  (fate#320512).
- ACPI / GED: make evged.c explicitly non-modular (fate#320512).
- ACPI: implement Generic Event Device (fate#320512).
- PNP / ACPI: add ACPI_RESOURCE_TYPE_SERIAL_BUS as a valid type
  (fate#320512).
- arm64: KVM: Optimize __guest_enter/exit() to save a few
  instructions (fate#320512).
- KVM: arm/arm64: Rename vgic_attr_regs_access to
  vgic_attr_regs_access_v2 (fate#320512).
- KVM: arm/arm64: Factor out vgic_attr_regs_access functionality
  (fate#320512).
- arm: KVM: Fix idmap overlap detection when the kernel is
  idmap'ed (fate#320512).
- arm64: KVM: report configured SRE value to 32-bit world
  (fate#320512).
- arm64: KVM: remove misleading comment on pmu status
  (fate#320512).
- KVM: arm/arm64: timer: Workaround misconfigured timer interrupt
  (fate#320512).
- arm64: Document workaround for Cortex-A72 erratum #853709
  (fate#320512).
- KVM: arm/arm64: Change misleading use of is_error_pfn
  (fate#320512).
- KVM: arm64: ITS: avoid re-mapping LPIs (fate#320512).
- KVM: arm64: check for ITS device on MSI injection (fate#320512).
- KVM: arm64: ITS: move ITS registration into first VCPU run
  (fate#320512).
- KVM: arm64: vgic-its: Make updates to propbaser/pendbaser atomic
  (fate#320512).
- KVM: arm64: vgic-its: Plug race in vgic_put_irq (fate#320512).
- KVM: arm64: vgic-its: Handle errors from vgic_add_lpi
  (fate#320512).
- KVM: arm64: ITS: return 1 on successful MSI injection
  (fate#320512).
- arm64: KVM: Set cpsr before spsr on fault injection
  (fate#320512).
- KVM: arm: vgic-irqfd: Workaround changing kvm_set_routing_entry
  prototype (fate#320512).
- arm64: KVM: VHE: Context switch MDSCR_EL1 (fate#320512).
- KVM: arm/arm64: Enable MSI routing (fate#320512).
- KVM: arm/arm64: Enable irqchip routing (fate#320512).
- KVM: Add devid in kvm_kernel_irq_routing_entry (fate#320512).
- KVM: api: Pass the devid in the msi routing entry (fate#320512).
- KVM: arm64: vgic-its: Simplify MAPI error handling
  (fate#320512).
- KVM: arm64: vgic-its: Make vgic_its_cmd_handle_mapi similar
  to other handlers (fate#320512).
- KVM: arm64: vgic-its: Turn device_id validation into generic
  ID validation (fate#320512).
- KVM: arm64: vgic-its: Add pointer to corresponding kvm_device
  (fate#320512).
- KVM: arm64: vgic-its: Add collection allocator/destructor
  (fate#320512).
- KVM: arm64: vgic-its: Fix L2 entry validation for indirect
  tables (fate#320512).
- KVM: arm64: vgic-its: Validate the device table L1 entry
  (fate#320512).
- KVM: arm64: vgic-its: Fix misleading nr_entries in
  vgic_its_check_device_id (fate#320512).
- KVM: arm64: vgic-its: Fix vgic_its_check_device_id BE handling
  (fate#320512).
- KVM: arm64: vgic-its: Fix handling of indirect tables
  (fate#320512).
- KVM: arm64: vgic-its: Generalize use of vgic_get_irq_kref
  (fate#320512).
- KVM: arm/arm64: Fix vGICv2 KVM_DEV_ARM_VGIC_GRP_CPU/DIST_REGS
  (fate#320512).
- KVM: arm64: vgic-its: Enable ITS emulation as a virtual MSI
  controller (fate#320512).
- KVM: arm64: vgic-its: Implement MSI injection in ITS emulation
  (fate#320512).
- KVM: arm64: vgic-its: Implement ITS command queue command
  handlers (fate#320512).
- KVM: arm64: vgic-its: Allow updates of LPI configuration table
  (fate#320512).
- KVM: arm64: vgic-its: Read initial LPI pending table
  (fate#320512).
- KVM: arm64: vgic-its: Connect LPIs to the VGIC emulation
  (fate#320512).
- KVM: arm64: vgic-its: Implement basic ITS register handlers
  (fate#320512).
- KVM: arm64: vgic-its: Introduce new KVM ITS device
  (fate#320512).
- KVM: arm64: vgic-its: Introduce ITS emulation file with MMIO
  framework (fate#320512).
- KVM: arm64: vgic: Handle ITS related GICv3 redistributor
  registers (fate#320512).
- irqchip/gicv3-its: Restore all cacheability attributes
  (fate#320512).
- irqchip/gic-v3: Refactor and add GICv3 definitions
  (fate#320512).
- irqchip/gic-v3: Fix copy+paste mistakes in defines
  (fate#320512).
- irqchip/gic-v3: Remove inexistant register definition
  (fate#320512).
- KVM: arm/arm64: vgic: Add refcounting for IRQs (fate#320512).
- KVM: kvm_io_bus: Add kvm_io_bus_get_dev() call (fate#320512).
- KVM: arm/arm64: Extend arch CAP checks to allow per-VM
  capabilities (fate#320512).
- KVM: Extend struct kvm_msi to hold a 32-bit device ID
  (fate#320512).
- KVM: arm/arm64: vgic: Check return value for
  kvm_register_vgic_device (fate#320512).
- KVM: arm/arm64: vgic: Move redistributor kvm_io_devices
  (fate#320512).
- arm64: KVM: Clean up a condition (fate#320512).
- arm/arm64: Get rid of KERN_TO_HYP (fate#320512).
- arm/arm64: KVM: Check that IDMAP doesn't intersect with VA range
  (fate#320512).
- arm/arm64: KVM: Prune unused #defines (fate#320512).
- arm: KVM: Allow hyp teardown (fate#320512).
- arm: KVM: Simplify HYP init (fate#320512).
- arm64: KVM: Move kvm_call_hyp back to its original localtion
  (fate#320512).
- arm/arm64: KVM: Kill free_boot_hyp_pgd (fate#320512).
- arm/arm64: KVM: Drop boot_pgd (fate#320512).
- arm64: KVM: Simplify HYP init/teardown (fate#320512).
- arm/arm64: KVM: Always have merged page tables (fate#320512).
- arm/arm64: KVM: Export __hyp_text_start/end symbols
  (fate#320512).
- arm64: KVM: Refactor kern_hyp_va to deal with multiple offsets
  (fate#320512).
- arm64: Add ARM64_HYP_OFFSET_LOW capability (fate#320512).
- arm64: KVM: Define HYP offset masks (fate#320512).
- arm64: KVM: Kill HYP_PAGE_OFFSET (fate#320512).
- arm/arm64: KVM: Remove hyp_kern_va helper (fate#320512).
- arm64: KVM: Always reference __hyp_panic_string via its kernel
  VA (fate#320512).
- arm64: KVM: Merged page tables documentation (fate#320512).
- KVM: arm/arm64: The GIC is dead, long live the GIC
  (fate#320512).
- arm/arm64: KVM: Map the HYP text as read-only (fate#320512).
- arm/arm64: KVM: Enforce HYP read-only mapping of the kernel's
  rodata section (fate#320512).
- arm64: Add PTE_HYP_XN page table flag (fate#320512).
- arm/arm64: KVM: Add a protection parameter to
  create_hyp_mappings (fate#320512).
- KVM: arm/arm64: Stop leaking vcpu pid references (fate#320512).
- arm64: KVM: fix build with CONFIG_ARM_PMU disabled
  (fate#320512).
- arm64/kvm: use ESR_ELx_EC to extract EC (fate#320512).
- arm64: add macro to extract ESR_ELx.EC (fate#320512).
- arm64: allow building with kcov coverage on ARM64 (fate#320512).
- KVM: ARM64: Fix typos (fate#320512).
- KVM: ARM: Fix typos (fate#320512).
- KVM: arm/arm64: vgic-new: Removel harmful BUG_ON (fate#320512).
- arm64: KVM: vgic-v3: Relax synchronization when SRE==1
  (fate#320512).
- arm64: Remove fixmap include fragility (fate#320512).
- arm64: KVM: vgic-v3: Prevent the guest from messing with
  ICC_SRE_EL1 (fate#320512).
- arm64: KVM: Make ICC_SRE_EL1 access return the configured SRE
  value (fate#320512).
- KVM: arm/arm64: vgic-v3: Always resample level interrupts
  (fate#320512).
- KVM: arm/arm64: vgic-v2: Always resample level interrupts
  (fate#320512).
- KVM: arm/arm64: vgic-v3: Clear all dirty LRs (fate#320512).
- KVM: arm/arm64: vgic-v2: Clear all dirty LRs (fate#320512).
- KVM: arm/arm64: vgic-new: Synchronize changes to active state
  (fate#320512).
- KVM: arm/arm64: vgic-new: enable build (fate#320512).
- KVM: arm/arm64: vgic-new: implement mapped IRQ handling
  (fate#320512).
- KVM: arm/arm64: vgic-new: Wire up irqfd injection (fate#320512).
- KVM: arm/arm64: vgic-new: Add vgic_v2/v3_enable (fate#320512).
- KVM: arm/arm64: vgic-new: vgic_init: implement map_resources
  (fate#320512).
- KVM: arm/arm64: vgic-new: vgic_init: implement vgic_init
  (fate#320512).
- KVM: arm/arm64: vgic-new: vgic_init: implement vgic_create
  (fate#320512).
- KVM: arm/arm64: vgic-new: vgic_init: implement kvm_vgic_hyp_init
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add userland GIC CPU interface access
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add GICH_VMCR accessors (fate#320512).
- KVM: arm/arm64: vgic-new: Add userland access to VGIC dist
  registers (fate#320512).
- KVM: arm/arm64: vgic-new: Export register access interface
  (fate#320512).
- KVM: arm/arm64: vgic-new: vgic_kvm_device: access to VGIC
  registers (fate#320512).
- KVM: arm/arm64: vgic-new: vgic_kvm_device:
  KVM_DEV_ARM_VGIC_GRP_ADDR (fate#320512).
- KVM: arm/arm64: vgic-new: vgic_kvm_device: implement
  kvm_vgic_addr (fate#320512).
- KVM: arm/arm64: vgic-new: vgic_kvm_device:
  KVM_DEV_ARM_VGIC_GRP_CTRL (fate#320512).
- KVM: arm/arm64: vgic-new: vgic_kvm_device:
  KVM_DEV_ARM_VGIC_GRP_NR_IRQS (fate#320512).
- KVM: arm/arm64: vgic-new: vgic_kvm_device: KVM device ops
  registration (fate#320512).
- KVM: arm/arm64: vgic-new: Add GICv3 SGI system register trap
  handler (fate#320512).
- KVM: arm/arm64: vgic-new: Add GICv3 IROUTER register handlers
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add GICv3 IDREGS register handler
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add GICv3 redistributor IIDR and
  TYPER handler (fate#320512).
- KVM: arm/arm64: vgic-new: Add GICv3 CTLR, IIDR, TYPER handlers
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add GICv3 MMIO handling framework
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add SGIPENDR register handlers
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add SGIR register handler
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add TARGET registers handlers
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add CONFIG registers handlers
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add PRIORITY registers handlers
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add ACTIVE registers handlers
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add PENDING registers handlers
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add ENABLE registers handlers
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add CTLR, TYPER and IIDR handlers
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add GICv2 MMIO handling framework
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add MMIO handling framework
  (fate#320512).
- KVM: arm/arm64: vgic-new: Implement kvm_vgic_vcpu_pending_irq
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add GICv3 world switch backend
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add GICv2 world switch backend
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add IRQ sync/flush framework
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add IRQ sorting (fate#320512).
- KVM: arm/arm64: vgic-new: Implement virtual IRQ injection
  (fate#320512).
- KVM: arm/arm64: vgic-new: Add acccessor to new struct vgic_irq
  instance (fate#320512).
- KVM: arm/arm64: vgic-new: Add data structure definitions
  (fate#320512).
- KVM: arm/arm64: move GICv2 emulation defines into arm-gic-v3.h
  (fate#320512).
- KVM: arm/arm64: Provide functionality to pause and resume a
  guest (fate#320512).
- KVM: arm/arm64: pmu: abstract access to number of SPIs
  (fate#320512).
- KVM: arm/arm64: Export mmio_read/write_bus (fate#320512).
- KVM: arm/arm64: Fix MMIO emulation data handling (fate#320512).
- KVM: arm/arm64: Get rid of vgic_cpu->nr_lr (fate#320512).
- KVM: arm/arm64: Move timer IRQ map to latest possible time
  (fate#320512).
- arm64: KVM: Cleanup asm-offset.c (fate#320512).
- KVM: arm/arm64: vgic: Remove irq_phys_map from interface
  (fate#320512).
- KVM: arm/arm64: arch_timer: Remove irq_phys_map (fate#320512).
- KVM: arm/arm64: Remove the IRQ field from struct irq_phys_map
  (fate#320512).
- KVM: arm/arm64: vgic: avoid map in kvm_vgic_unmap_phys_irq()
  (fate#320512).
- KVM: arm/arm64: vgic: avoid map in kvm_vgic_map_is_active()
  (fate#320512).
- KVM: arm/arm64: vgic: avoid map in kvm_vgic_inject_mapped_irq()
  (fate#320512).
- KVM: arm/arm64: vgic: streamline vgic_update_irq_pending()
  interface (fate#320512).
- kvm: arm64: Enable hardware updates of the Access Flag for
  Stage 2 page tables (fate#320512).
- arm64: kvm: Fix kvm teardown for systems using the extended
  idmap (fate#320512).
- arm64: kvm: allows kvm cpu hotplug (fate#320512).
- arm64: hyp/kvm: Make hyp-stub reject kvm_call_hyp()
  (fate#320512).
- arm64: hyp/kvm: Make hyp-stub extensible (fate#320512).
- arm64: kvm: Move lr save/restore from do_el2_call into EL1
  (fate#320512).
- arm64: kvm: Add support for 16K pages (fate#320512).
- kvm-arm: Cleanup stage2 pgd handling (fate#320512).
- kvm: arm64: Get rid of fake page table levels (fate#320512).
- kvm-arm: Cleanup kvm_* wrappers (fate#320512).
- kvm-arm: Add stage2 page table modifiers (fate#320512).
- kvm-arm: Add explicit hyp page table modifiers (fate#320512).
- kvm-arm: Use explicit stage2 helper routines (fate#320512).
- kvm-arm: arm64: Introduce hyp page table empty checks
  (fate#320512).
- kvm-arm: arm64: Introduce stage2 page table helpers
  (fate#320512).
- kvm-arm: arm: Introduce hyp page table empty checks
  (fate#320512).
- kvm-arm: arm32: Introduce stage2 page table helpers
  (fate#320512).
- kvm-arm: Remove kvm_pud_huge() (fate#320512).
- kvm-arm: Replace kvm_pmd_huge with pmd_thp_or_huge
  (fate#320512).
- arm64: Introduce pmd_thp_or_huge (fate#320512).
- kvm arm: Move fake PGD handling to arch specific files
  (fate#320512).
- arm64: Cleanup VTCR_EL2 and VTTBR field values (fate#320512).
- arm64: Reuse TCR field definitions for EL1 and EL2
  (fate#320512).
- arm64: KVM: unregister notifiers in hyp mode teardown path
  (fate#320512).
- arm64: KVM: Warn when PARange is less than 40 bits
  (fate#320512).
- arm64: KVM: Register CPU notifiers when the kernel runs at HYP
  (fate#320512).
- arm64: kvm: 4.6-rc1: Fix VTCR_EL2 VS setting (fate#320512).
- arm64: perf: Move PMU register related defines to
  asm/perf_event.h (fate#320512).
- kvm: arm64: Disable compiler instrumentation for hypervisor code
  (fate#320512).
- arm64: KVM: Turn kvm_ksym_ref into a NOP on VHE (fate#320512).
- KVM: arm/arm64: disable preemption when calling
  smp_call_function_many (fate#320512).
- arm64: KVM: vgic-v3: Only wipe LRs on vcpu exit (fate#320512).
- arm64: KVM: vgic-v3: Reset LRs at boot time (fate#320512).
- arm64: KVM: vgic-v3: Do not save an LR known to be empty
  (fate#320512).
- arm64: KVM: vgic-v3: Save maintenance interrupt state only if
  required (fate#320512).
- arm64: KVM: vgic-v3: Avoid accessing ICH registers
  (fate#320512).
- KVM: arm/arm64: vgic-v2: Make GICD_SGIR quicker to hit
  (fate#320512).
- KVM: arm/arm64: vgic-v2: Only wipe LRs on vcpu exit
  (fate#320512).
- KVM: arm/arm64: vgic-v2: Reset LRs at boot time (fate#320512).
- KVM: arm/arm64: vgic-v2: Do not save an LR known to be empty
  (fate#320512).
- KVM: arm/arm64: vgic-v2: Move GICH_ELRSR saving to its own
  function (fate#320512).
- KVM: arm/arm64: vgic-v2: Save maintenance interrupt state only
  if required (fate#320512).
- KVM: arm/arm64: vgic-v2: Avoid accessing GICH registers
  (fate#320512).
- KVM: arm/arm64: timer: Add active state caching (fate#320512).
- ARM: KVM: Switch the CP reg search to be a binary search
  (fate#320512).
- ARM: KVM: Rename struct coproc_reg::is_64 to is_64bit
  (fate#320512).
- ARM: KVM: Enforce sorting of all CP tables (fate#320512).
- ARM: KVM: Properly sort the invariant table (fate#320512).
- arm64: KVM: Switch the sys_reg search to be a binary search
  (fate#320512).
- arm64: KVM: Add braces to multi-line if statement in virtual
  PMU code (fate#320512).
- arm64: KVM: Add a new vcpu device control group for PMUv3
  (fate#320512).
- arm64: KVM: Introduce per-vcpu kvm device controls
  (fate#320512).
- arm64: KVM: Add a new feature bit for PMUv3 (fate#320512).
- arm64: KVM: Free perf event of PMU when destroying vcpu
  (fate#320512).
- arm64: KVM: Reset PMU state when resetting vcpu (fate#320512).
- arm64: KVM: Add PMU overflow interrupt routing (fate#320512).
- arm64: KVM: Add access handler for PMUSERENR register
  (fate#320512).
- arm64: KVM: Add helper to handle PMCR register bits
  (fate#320512).
- arm64: KVM: Add access handler for PMSWINC register
  (fate#320512).
- arm64: KVM: Add access handler for PMOVSSET and PMOVSCLR
  register (fate#320512).
- arm64: KVM: Add access handler for PMINTENSET and PMINTENCLR
  register (fate#320512).
- arm64: KVM: Add access handler for event type register
  (fate#320512).
- arm64: KVM: PMU: Add perf event map and introduce perf event
  creating function (fate#320512).
- arm64: KVM: Add access handler for PMCNTENSET and PMCNTENCLR
  register (fate#320512).
- arm64: KVM: Add access handler for event counter register
  (fate#320512).
- arm64: KVM: Add access handler for PMCEID0 and PMCEID1 register
  (fate#320512).
- arm64: KVM: Add access handler for PMSELR register
  (fate#320512).
- arm64: KVM: Add access handler for PMCR register (fate#320512).
- arm64: KVM: Define PMU data structure for each vcpu
  (fate#320512).
- arm64: KVM: Add temporary kvm_perf_event.h (fate#320512).
- ARM: KVM: Use common version of timer-sr.c (fate#320512).
- ARM: KVM: Use common version of vgic-v2-sr.c (fate#320512).
- ARM: KVM: Move kvm/hyp/hyp.h to include/asm/kvm_hyp.h
  (fate#320512).
- arm64: KVM: Move vgic-v2 and timer save/restore to
  virt/kvm/arm/hyp (fate#320512).
- arm64: KVM: Move kvm/hyp/hyp.h to include/asm/kvm_hyp.h
  (fate#320512).
- arm64: KVM: Move most of the fault decoding to C (fate#320512).
- arm64: KVM: VHE: Add alternative panic handling (fate#320512).
- arm64: KVM: VHE: Add fpsimd enabling on guest access
  (fate#320512).
- arm64: KVM: VHE: Use unified sysreg accessors for timer
  (fate#320512).
- arm64: Add ARM64_HAS_VIRT_HOST_EXTN feature (fate#320512).
- arm64: KVM: VHE: Implement VHE activate/deactivate_traps
  (fate#320512).
- arm64: KVM: VHE: Make __fpsimd_enabled VHE aware (fate#320512).
- arm64: KVM: VHE: Enable minimal sysreg save/restore
  (fate#320512).
- arm64: KVM: VHE: Use unified system register accessors
  (fate#320512).
- arm64: KVM: VHE: Split save/restore of registers shared between
  guest and host (fate#320512).
- arm64: KVM: VHE: Differenciate host/guest sysreg save/restore
  (fate#320512).
- arm64: KVM: VHE: Introduce unified system register accessors
  (fate#320512).
- arm64: KVM: VHE: Patch out kern_hyp_va (fate#320512).
- arm64: KVM: VHE: Patch out use of HVC (fate#320512).
- arm64: KVM: Skip HYP setup when already running in HYP
  (fate#320512).
- arm64: KVM: Move __cpu_init_stage2 after kvm_call_hyp
  (fate#320512).
- arm64: KVM: Switch to C-based stage2 init (fate#320512).
- arm/arm64: KVM: Handle out-of-RAM cache maintenance as a NOP
  (fate#320512).
- ARM: KVM: Remove __kvm_hyp_exit/__kvm_hyp_exit_end
  (fate#320512).
- ARM: KVM: Remove handling of ARM_EXCEPTION_DATA/PREF_ABORT
  (fate#320512).
- ARM: KVM: Remove unused hyp_pc field (fate#320512).
- ARM: KVM: Turn CP15 defines to an enum (fate#320512).
- ARM: KVM: Remove __weak attributes (fate#320512).
- ARM: KVM: Switch to C-based stage2 init (fate#320512).
- ARM: KVM: Remove the old world switch (fate#320512).
- ARM: KVM: Change kvm_call_hyp return type to unsigned long
  (fate#320512).
- ARM: KVM: Add panic handling code (fate#320512).
- ARM: KVM: Add HYP mode entry code (fate#320512).
- ARM: KVM: Add populating of fault data structure (fate#320512).
- ARM: KVM: Add the new world switch implementation (fate#320512).
- ARM: KVM: Add VFP lazy save/restore handler (fate#320512).
- ARM: KVM: Add guest entry code (fate#320512).
- ARM: KVM: Add banked registers save/restore (fate#320512).
- ARM: KVM: Add VFP save/restore (fate#320512).
- ARM: KVM: Add vgic v2 save/restore (fate#320512).
- ARM: KVM: Add timer save/restore (fate#320512).
- ARM: KVM: Add CP15 save/restore code (fate#320512).
- ARM: KVM: Add TLB invalidation code (fate#320512).
- ARM: KVM: Add system register accessor macros (fate#320512).
- ARM: KVM: Add a HYP-specific header file (fate#320512).
- ARM: KVM: Move GP registers into the CPU context structure
  (fate#320512).
- ARM: KVM: Move CP15 array into the CPU context structure
  (fate#320512).
- ARM: KVM: Move VFP registers to a CPU context structure
  (fate#320512).
- ARM: KVM: Remove __kvm_hyp_code_start/__kvm_hyp_code_end
  (fate#320512).
- ARM: KVM: Move the HYP code to its own section (fate#320512).
- arm/arm64: KVM: Add hook for C-based stage2 init (fate#320512).
- arm64: KVM: vgic-v3: Restore ICH_APR0Rn_EL2 before
  ICH_APR1Rn_EL2 (fate#320512).
- arm/arm64: KVM: Feed initialized memory to MMIO accesses
  (fate#320512).
- kallsyms: add support for relative offsets in kallsyms address
  table (fate#320512).
- arm64: efi: invoke EFI_RNG_PROTOCOL to supply KASLR randomness
  (fate#320512).
- efi: stub: use high allocation for converted command line
  (fate#320512).
- efi: stub: add implementation of efi_random_alloc()
  (fate#320512).
- efi: stub: implement efi_get_random_bytes() based on
  EFI_RNG_PROTOCOL (fate#320512).
- arm64: add support for kernel ASLR (fate#320512).
- arm64: kasan: ensure that the KASAN zero page is mapped
  read-only (fate#320512).
- arm64: Drop alloc function from create_mapping (fate#320512).
- arm64: add support for building vmlinux as a relocatable PIE
  binary (fate#320512).
- arm64: switch to relative exception tables (fate#320512).
- extable: add support for relative extables to search and sort
  routines (fate#320512).
- scripts/sortextable: add support for ET_DYN binaries
  (fate#320512).
- arm64: make asm/elf.h available to asm files (fate#320512).
- arm64: avoid R_AARCH64_ABS64 relocations for Image header fields
  (fate#320512).
- arm64: add support for module PLTs (fate#320512).
- arm64: move brk immediate argument definitions to separate
  header (fate#320512).
- arm64: mm: use bit ops rather than arithmetic in pa/va
  translations (fate#320512).
- arm64: mm: only perform memstart_addr sanity check if DEBUG_VM
  (fate#320512).
- arm64: smp: Add function to determine if cpus are stuck in
  the kernel (fate#320512).
- arm64: allow kernel Image to be loaded anywhere in physical
  memory (fate#320512).
- arm: pmu: Fix non-devicetree probing (fate#320512).
- arm64: Cleanup SCTLR flags (fate#320512).
- arm64: compat: Check for AArch32 state (fate#320512).
- arm64: asm: Explicitly include linux/personality.h in asm/page.h
  (fate#320512).
- arm64: cpufeature: Track 32bit EL0 support (fate#320512).
- arm64: cpufeature: Check availability of AArch32 (fate#320512).
- arm64: make mrs_s prefixing implicit in read_cpuid
  (fate#320512).
- arm64: Add helpers for detecting AArch32 support at EL0
  (fate#320512).
- arm64: HWCAP: Split COMPAT HWCAP table entries (fate#320512).
- arm64: hwcaps: Cleanup naming (fate#320512).
- arm64: add __init/__initdata section marker to some
  functions/variables (fate#320512).
- arm64: Rename cpuid_feature field extract routines
  (fate#320512).
- arm64: capabilities: Handle sign of the feature bit
  (fate#320512).
- arm64: cpufeature: Fix the sign of feature bits (fate#320512).
- arm64: cpufeature: Correct feature register tables
  (fate#320512).
- arm64: Ensure the secondary CPUs have safe ASIDBits size
  (fate#320512).
- arm64: Add helper for extracting ASIDBits (fate#320512).
- arm64: Enable CPU capability verification unconditionally
  (fate#320512).
- arm64: Handle early CPU boot failures (fate#320512).
- arm64: Move cpu_die_early to smp.c (fate#320512).
- arm64: avoid dynamic relocations in early boot code
  (fate#320512).
- arm64: head.S: use memset to clear BSS (fate#320512).
- arm64: Add a helper for parking CPUs in a loop (fate#320512).
- arm64: Store struct thread_info in sp_el0 (fate#320512).
- arm64: Introduce cpu_die_early (fate#320512).
- of/fdt: factor out assignment of initrd_start/initrd_end
  (fate#320512).
- of/fdt: make memblock minimum physical address arch configurable
  (fate#320512).
- arm64: defer __va translation of initrd_start and initrd_end
  (fate#320512).
- arm64: move kernel image to base of vmalloc area (fate#320512).
- arm64: kvm: deal with kernel symbols outside of linear mapping
  (fate#320512).
- arm64: decouple early fixmap init from linear mapping
  (fate#320512).
- arm64: pgtable: implement static [pte|pmd|pud]_offset variants
  (fate#320512).
- arm64: introduce KIMAGE_VADDR as the virtual base of the kernel
  region (fate#320512).
- arm64: add support for ioremap() block mappings (fate#320512).
- arm64: prevent potential circular header dependencies in
  asm/bug.h (fate#320512).
- arm64: KVM: Fix guest dead loop when register accessor returns
  false (fate#320512).
- arm64: KVM: Fix comments of the CP handler (fate#320512).
- arm64: KVM: Fix wrong use of the CPSR MODE mask for 32bit guests
  (fate#320512).
- arm64: KVM: Obey RES0/1 reserved bits when setting CPTR_EL2
  (fate#320512).
- arm64: KVM: Fix AArch64 guest userspace exception injection
  (fate#320512).
- arm/arm64: KVM: Detect vGIC presence at runtime (fate#320512).
- arm64: KVM: Add support for 16-bit VMID (fate#320512).
- arm: KVM: Make kvm_arm.h friendly to assembly code
  (fate#320512).
- arm/arm64: KVM: Remove unreferenced S2_PGD_ORDER (fate#320512).
- arm64: KVM: debug: Remove spurious inline attributes
  (fate#320512).
- ARM: KVM: Cleanup exception injection (fate#320512).
- arm64: KVM: Remove weak attributes (fate#320512).
- arm64: KVM: Turn system register numbers to an enum
  (fate#320512).
- arm64: KVM: Move away from the assembly version of the world
  switch (fate#320512).
- arm64: KVM: Map the kernel RO section into HYP (fate#320512).
- arm64: KVM: Add compatibility aliases (fate#320512).
- arm64: KVM: Add panic handling (fate#320512).
- arm64: KVM: HYP mode entry points (fate#320512).
- arm64: KVM: Implement TLB handling (fate#320512).
- arm64: KVM: Implement fpsimd save/restore (fate#320512).
- arm64: KVM: Implement the core world switch (fate#320512).
- arm64: KVM: Add patchable function selector (fate#320512).
- arm64: KVM: Implement guest entry (fate#320512).
- arm64: KVM: Implement debug save/restore (fate#320512).
- arm64: KVM: Implement 32bit system register save/restore
  (fate#320512).
- arm64: KVM: Implement system register save/restore
  (fate#320512).
- arm64: KVM: Implement timer save/restore (fate#320512).
- arm64: KVM: Implement vgic-v3 save/restore (fate#320512).
- KVM: arm/arm64: vgic-v3: Make the LR indexing macro public
  (fate#320512).
- arm64: KVM: Implement vgic-v2 save/restore (fate#320512).
- arm64: KVM: Add a HYP-specific header file (fate#320512).
- KVM: arm/arm64: Count guest exit due to various reasons
  (fate#320512).
- KVM: arm/arm64: vgic: make vgic_io_ops static (fate#320512).
- commit 9ddf714
* Mon Feb 20 2017 mbrugger@suse.com
- Refresh
  patches.drivers/qcom-0024-net-make-ndo_get_stats64-a-void-function.patch.
  Add hunk for amazon/ena driver.
- commit 2b5bc68
* Mon Feb 20 2017 hare@suse.de
- Update config files.
- commit 6e9a8b3
* Mon Feb 20 2017 hare@suse.de
- blk-mq: make the polling code adaptive
  (bsc#1020989,FATE#322379).
- blk-mq: implement hybrid poll mode for sync O_DIRECT
  (bsc#1020989,FATE#322379).
- block: fast-path for small and simple direct I/O requests
  (bsc#1020989,FATE#322379).
- fs/block_dev.c: return the right error in thaw_bdev()
  (bsc#1020989,FATE#322379).
- fs/block_dev: fix potential NULL ptr deref in freeze_bdev()
  (bsc#1020989,FATE#322379).
- blk-wbt: fix old-style function declaration
  (bsc#1020989,FATE#322379).
- block: deal with stale req count of plug list
  (bsc#1020989,FATE#322379).
- bsg: Add sparse annotations to bsg_request_fn()
  (bsc#1020989,FATE#322379).
- blk-wbt: use BLK_STAT_{READ,WRITE} instead of 0/1
  (bsc#1020989,FATE#322379).
- blk-wbt: remove stat ops (bsc#1020989,FATE#322379).
- blk-wbt: store queue instead of bdi (bsc#1020989,FATE#322379).
- block: move poll code to blk-mq (bsc#1020989,FATE#322379).
- direct-io: only use block polling if explicitly requested
  (bsc#1020989,FATE#322379).
- blk-mq: blk_mq_try_issue_directly() should lookup hardware queue
  (bsc#1020989,FATE#322379).
- block: hook up writeback throttling (bsc#1020989,FATE#322379).
- blk-wbt: add general throttling mechanism
  (bsc#1020989,FATE#322379).
- writeback: track if we're sleeping on progress in
  balance_dirty_pages() (bsc#1020989,FATE#322379).
- vfs: add the RWF_HIPRI flag for preadv2/pwritev2
  (bsc#1020989,FATE#322379).
- x86: wire up preadv2 and pwritev2 (bsc#1020989,FATE#322379).
- vfs: vfs: Define new syscalls preadv2,pwritev2
  (bsc#1020989,FATE#322379).
- vfs: pass a flags argument to vfs_readv/vfs_writev
  (bsc#1020989,FATE#322379).
- commit 4cf735a
* Mon Feb 20 2017 hare@suse.de
- block: add scalable completion tracking of requests
  (bsc#1020989,FATE#322379).
- block: set REQ_SYNC if we clear REQ_FUA|REQ_PREFLUSH
  (bsc#1020989,FATE#322379).
- blk-mq: export blk_mq_map_queues (bsc#1020989,FATE#322379).
- block: add code to track actual device queue depth
  (bsc#1020989,FATE#322379).
- blk-mq: immediately dispatch big size request
  (bsc#1020989,FATE#322379).
- block: immediately dispatch big size request
  (bsc#1020989,FATE#322379).
- block: drop q argument from bsg_validate_sgv4_hdr
  (bsc#1020989,FATE#322379).
- nvme: Use BLK_MQ_S_STOPPED instead of QUEUE_FLAG_STOPPED in
  blk-mq code (bsc#1020989,FATE#322379).
- nvme: Fix a race condition related to stopping queues
  (bsc#1020989,FATE#322379).
- dm: Fix a race condition related to stopping and starting queues
  (bsc#1020989,FATE#322379).
- dm: Use BLK_MQ_S_STOPPED instead of QUEUE_FLAG_STOPPED in
  blk-mq code (bsc#1020989,FATE#322379).
- blk-mq: Add a kick_requeue_list argument to
  blk_mq_requeue_request() (bsc#1020989,FATE#322379).
- blk-mq: Introduce blk_mq_quiesce_queue()
  (bsc#1020989,FATE#322379).
- blk-mq: Remove blk_mq_cancel_requeue_work()
  (bsc#1020989,FATE#322379).
- blk-mq: Avoid that requeueing starts stopped queues
  (bsc#1020989,FATE#322379).
- blk-mq: Move more code into blk_mq_direct_issue_request()
  (bsc#1020989,FATE#322379).
- blk-mq: Introduce blk_mq_queue_stopped()
  (bsc#1020989,FATE#322379).
- blk-mq: Introduce blk_mq_hctx_stopped()
  (bsc#1020989,FATE#322379).
- block: add bio_iov_iter_get_pages() (bsc#1020989,FATE#322379).
- writeback: mark background writeback as such
  (bsc#1020989,FATE#322379).
- writeback: add wbc_to_write_flags() (bsc#1020989,FATE#322379).
- block: add REQ_BACKGROUND (bsc#1020989,FATE#322379).
- block: remove the CONFIG_BLOCK ifdef in blk_types.h
  (bsc#1020989,FATE#322379).
- mm: only include blk_types in swap.h if CONFIG_SWAP is enabled
  (bsc#1020989,FATE#322379).
- ceph: don't include blk_types.h in messenger.h
  (bsc#1020989,FATE#322379).
- arm, arm64: don't include blk_types.h in <asm/io.h>
  (bsc#1020989,FATE#322379).
- block, fs: move submit_bio to bio.h (bsc#1020989,FATE#322379).
- fs: decouple READ and WRITE from the block layer ops
  (bsc#1020989,FATE#322379).
- block,fs: use REQ_* flags directly (bsc#1020989,FATE#322379).
- block: replace REQ_NOIDLE with REQ_IDLE
  (bsc#1020989,FATE#322379).
- block: treat REQ_FUA and REQ_PREFLUSH as synchronous
  (bsc#1020989,FATE#322379).
- block: don't use REQ_SYNC in the READ_SYNC definition
  (bsc#1020989,FATE#322379).
- btrfs: use op_is_sync to check for synchronous requests
  (bsc#1020989,FATE#322379).
- bcache: use op_is_sync to check for synchronous requests
  (bsc#1020989,FATE#322379).
- umem: use op_is_sync to check for synchronous requests
  (bsc#1020989,FATE#322379).
- blk-cgroup: use op_is_sync to check for synchronous requests
  (bsc#1020989,FATE#322379).
- cfq-iosched: use op_is_sync instead of opencoding it
  (bsc#1020989,FATE#322379).
- block: add a proper block layer data direction encoding
  (bsc#1020989,FATE#322379).
- block: better op and flags encoding (bsc#1020989,FATE#322379).
- block: split out request-only flags into a new namespace
  (bsc#1020989,FATE#322379).
- block: Add iocontext priority to request
  (bsc#1020989,FATE#322379).
- sd: fix uninitialized variable access in error handling
  (bsc#1020989,FATE#322379).
- commit b448cec
* Mon Feb 20 2017 yousaf.kaukab@suse.com
- arm64: prepare to backport efi patches
  Delete following efi patches because they are not upstream and
  causing boot issues with KASLR patches:
- Delete
  patches.arch/arm64-efi-0001-clone-early_init_dt_add_memory_arch-to-override-default.patch.
- Delete
  patches.arch/arm64-efi-0002-move-FDT-handling-to-seperate-object-file.patch.
- Delete
  patches.arch/arm64-efi-0003-move-EFI-init-before-early_FDT-processing.patch.
- Delete
- Refresh
  patches.arch/0003-efi-libstub-move-Graphics-Output-Protocol-handling-t.patch.
- Refresh patches.arch/arm64-0005-arm64-unmap-idmap-earlier.patch.
- Refresh
  patches.arch/arm64-Relocate-screen_info.lfb_base-on-PCI-BAR-alloc.patch.
- Refresh
  patches.drivers/0002-arm64-efi-Move-to-generic-__-efi_call_virt.patch.
- Refresh
  patches.drivers/0006-arm64-efi-Enable-runtime-call-flag-checking.patch.
- Refresh
  patches.suse/0004-efi-Add-misc-char-driver-interface-to-update-EFI-fir.patch.
- Refresh
  patches.suse/arm64-efi-mark-UEFI-reserved-regions-as-MEMBLOCK_NOM.patch.
  patches.arch/arm64-efi-adapt-to-relaxed-FDT-placement-requirements.patch.
- commit 3022508
* Sun Feb 19 2017 mkubecek@suse.cz
- dccp: fix freeing skb too early for IPV6_RECVPKTINFO
  (CVE-2017-6074 bsc#1026024).
- commit b5466e7
* Sat Feb 18 2017 bpoirier@suse.com
- Assimilate Qualcomm EMAC backport into sorted SLE12-SP3 network driver updates section
  This will ease the upcoming tg3 backport which needs some of the same phy
  patches.
- phy: add phydev_name() wrapper (fate#320512).
- Refresh
  patches.drivers/qcom-0003-phy-Centralise-print-about-attached-phy.patch.
- Delete
  patches.drivers/qcom-0001-phy-add-phydev_name-wrapper.patch.
- commit 64493a0
* Fri Feb 17 2017 jslaby@suse.cz
- Update patches.kernel.org/patch-4.4.47-48 (bnc#1012382
  bnc#1022181).
  Add a bnc reference.
- commit 8f9478a
* Fri Feb 17 2017 bpoirier@suse.com
- igb & igbvf backport for SLE12-SP3
- Revert "igb: Fix a deadlock in igb_sriov_reinit" (bsc#1024361
  FATE#321242 bsc#1024365 FATE#321243).
- igb: Fix sparse warning about passing __beXX into leXX_to_cpup
  (bsc#1024361 FATE#321242 bsc#1024365 FATE#321243).
- igb: Garbled output for "ethtool -m" (bsc#1024361 FATE#321242
  bsc#1024365 FATE#321243).
- igb: Only DMA sync frame length (bsc#1024361 FATE#321242
  bsc#1024365 FATE#321243).
- igb: add support of RX network flow classification (bsc#1024361
  FATE#321242 bsc#1024365 FATE#321243).
- igb: adjust PTP timestamps for Tx/Rx latency (bsc#1024361
  FATE#321242 bsc#1024365 FATE#321243).
- igb: allow setting MAC address on i211 using a device tree blob
  (bsc#1024361 FATE#321242 bsc#1024365 FATE#321243).
- igb: bump version to igb-5.4.0 (bsc#1024361 FATE#321242
  bsc#1024365 FATE#321243).
- igb: call igb_ptp_suspend during suspend/resume cycle
  (bsc#1024361 FATE#321242 bsc#1024365 FATE#321243).
- igb: fix adjusting PTP timestamps for Tx/Rx latency (bsc#1024361
  FATE#321242 bsc#1024365 FATE#321243).
- igb: fix error code in igb_add_ethtool_nfc_entry() (bsc#1024361
  FATE#321242 bsc#1024365 FATE#321243).
- igb: fix non static symbol warning (bsc#1024361 FATE#321242
  bsc#1024365 FATE#321243).
- igb: implement igb_ptp_suspend (bsc#1024361 FATE#321242
  bsc#1024365 FATE#321243).
- igb: introduce IGB_PTP_OVERFLOW_CHECK flag (bsc#1024361
  FATE#321242 bsc#1024365 FATE#321243).
- igb: introduce ptp_flags variable and use it to replace
  IGB_FLAG_PTP (bsc#1024361 FATE#321242 bsc#1024365 FATE#321243).
- igb: make igb_update_pf_vlvf static (bsc#1024361 FATE#321242
  bsc#1024365 FATE#321243).
- igb: re-use igb_ptp_reset in igb_ptp_init (bsc#1024361
  FATE#321242 bsc#1024365 FATE#321243).
- igb: restore PPS signal on igb_ptp_reset (bsc#1024361
  FATE#321242 bsc#1024365 FATE#321243).
- igb: support RX flow classification by VLAN priority
  (bsc#1024361 FATE#321242 bsc#1024365 FATE#321243).
- igb: support RX flow classification by ethertype (bsc#1024361
  FATE#321242 bsc#1024365 FATE#321243).
- igb: update code to better handle incrementing page count
  (bsc#1024361 FATE#321242 bsc#1024365 FATE#321243).
- igb: use BIT() macro or unsigned prefix (bsc#1024361 FATE#321242
  bsc#1024365 FATE#321243).
- igbvf: bump version to igbvf-2.4.0 (bsc#1024361 FATE#321242
  bsc#1024365 FATE#321243).
- igbvf: remove unused variable and dead code (bsc#1024361
  FATE#321242 bsc#1024365 FATE#321243).
- igbvf: use BIT() macro instead of shifts (bsc#1024361
  FATE#321242 bsc#1024365 FATE#321243).
- mm: add support for releasing multiple instances of a page
  (bsc#1024361 FATE#321242 bsc#1024365 FATE#321243).
- mm: rename __page_frag functions to __page_frag_cache,
  drop order from drain (bsc#1024361 FATE#321242 bsc#1024365
  FATE#321243).
- ptp: Introduce a high resolution frequency adjustment method
  (bsc#1024361 FATE#321242 bsc#1024365 FATE#321243).
- ptp: igb: Use the high resolution frequency method (bsc#1024361
  FATE#321242 bsc#1024365 FATE#321243).
- Update
  patches.drivers/clocksource-Use-a-plain-u64-instead-of-cycle_t.patch
  (bsc#1024361 FATE#321242 bsc#1024365 FATE#321243).
- Refresh
  patches.drivers/drivers-replace-dev-trans_start-accesses-with-dev_tr.patch.
- Refresh
  patches.drivers/ethernet-intel-Use-pci_-request-release-_mem_regions.patch.
- Update
  patches.drivers/ethernet-intel-use-core-min-max-MTU-checking.patch
  (bsc#1024361 FATE#321242 bsc#1024365 FATE#321243).
- Refresh
  patches.drivers/igb-Workaround-for-igb-i210-firmware-issue.patch.
- Refresh
  patches.drivers/igb-add-i211-to-i210-PHY-workaround.patch.
- Update
  patches.drivers/ptp_clock-future-proofing-drivers-against-PTP-subsys.patch
  (bsc#1024361 FATE#321242 bsc#1024365 FATE#321243).
- commit b57f042
* Thu Feb 16 2017 jslaby@suse.cz
- Linux 4.4.49 (bnc#1012382).
- Refresh
  patches.drivers/target-add-COMPARE_AND_WRITE-sg-creation-helper.patch.
- Refresh
  patches.suse/msft-hv-1008-hv_netvsc-add-ethtool-support-for-set-and-get-of-set.patch.
- Refresh
  patches.suse/msft-hv-1049-hv_netvsc-untangle-the-pointer-mess.patch.
- Refresh
  patches.suse/msft-hv-1069-hv_netvsc-Add-query-for-initial-physical-link-speed.patch.
- commit 236d730
* Thu Feb 16 2017 mkubecek@suse.cz
- sctp: avoid BUG_ON on sctp_wait_for_sndbuf (CVE-2017-5986
  bsc#1025235).
- commit 7cf143f
* Wed Feb 15 2017 mbrugger@suse.com
- supported.conf: add ethernet qcom-emac (fate#320512)
- commit db77743
* Wed Feb 15 2017 yousaf.kaukab@suse.com
- arm64: prepare for kvm backport
  arm64-kvm-Route-vtimer-events-to-user-space.patch is dropped as it is
  not accepted in mainline. Updated version is wip:
  https://lists.cs.columbia.edu/pipermail/kvmarm/2017-February/023469.html
- commit f411de9
* Wed Feb 15 2017 mbrugger@suse.com
- arm64: Update config files. (fate#320512)
  Build QCOM_EMAC as module for arm64 only
- commit 0873f1d
* Wed Feb 15 2017 mbrugger@suse.com
- net: emac: Fix driver compilation (fate#320512).
- commit 3a1ae71
* Wed Feb 15 2017 mbrugger@suse.com
- net: qcom/emac: grab a reference to the phydev on ACPI systems
  (fate#320512).
- net: qcom/emac: add ethtool support (fate#320512).
- net: make ndo_get_stats64 a void function (fate#320512).
- net: qcom/emac: don't try to claim clocks on ACPI systems
  (fate#320512).
- net: phy: phy drivers should not set SUPPORTED_[Asym_]Pause
  (fate#320512).
- net: qcom/emac: add support for the Qualcomm Technologies
  QDF2400 (fate#320512).
- net: qcom/emac: move phy init code to separate files
  (fate#320512).
- net: qcom/emac: fix of_node and phydev leaks (fate#320512).
- net: qcom/emac: enable flow control if requested (fate#320512).
- net: qcom/emac: configure the external phy to allow pause frames
  (fate#320512).
- net: qcom/emac: use correct value for
  SGMII_LN_UCDR_SO_GAIN_MODE0 (fate#320512).
- net: qcom/emac: Fix module autoload for OF registration
  (fate#320512).
- net: qcom/emac: disable interrupts before calling phy_disconnect
  (fate#320512).
- net: qcom/emac: fix return value check in emac_sgmii_config()
  (fate#320512).
- net: qcom/emac: initial ACPI support (fate#320512).
- net: qcom/emac: use device_get_mac_address (fate#320512).
- net: qcom/emac: do not use devm on internal phy pdev
  (fate#320512).
- net: emac: remove .owner field for driver (fate#320512).
- net: emac: remove unnecessary dev_set_drvdata() (fate#320512).
- net: emac: emac gigabit ethernet controller driver
  (fate#320512).
- net: phy: at803x: only the AT8030 needs a hardware reset on
  link change (fate#320512).
- at803x: fix reset handling (fate#320512).
- phy: Add phydev_err() and phydev_dbg() macros (fate#320512).
- phy: Centralise print about attached phy (fate#320512).
- net: phy: add phy_ethtool_{get|set}_link_ksettings
  (fate#320512).
- phy: add phydev_name() wrapper (fate#320512).
- commit 93745c6
* Tue Feb 14 2017 msuchanek@suse.de
- scsi: ipr: Fix async error WARN_ON (fate#321595).
- commit 91a80f5
* Tue Feb 14 2017 msuchanek@suse.de
- scsi: ipr: Remove redundant messages at adapter init time
  (fate#321595).
- commit 9e018c4
* Tue Feb 14 2017 msuchanek@suse.de
- scsi: ipr: Don't log unnecessary 9084 error details
  (fate#321595).
- commit 5bc96d0
* Tue Feb 14 2017 msuchanek@suse.de
- scsi: ipr: Add asynchronous error notification (fate#321595).
- commit 86b4f28
* Tue Feb 14 2017 jjolly@suse.de
- s390/zcrypt: Introduce CEX6 toleration (bsc#1020686,
  FATE#321530, LTC#146546).
- commit d64b5c2
* Tue Feb 14 2017 hare@suse.de
- libsas: enable FPDMA SEND/RECEIVE (bsc#940180,FATE#318723).
- libsas: use ata_is_ncq() and ata_has_dma() accessors
  (bsc#940180,FATE#318723).
- sd: Implement support for ZBC devices (bsc#940180,FATE#318723).
- Refresh
  patches.drivers/0038-block-add-offset-in-blk_add_request_payload.patch.
- Refresh patches.drivers/0122-drivers-use-req-op-accessor.patch.
- Refresh
  patches.drivers/0232-blk-sysfs-Add-chunk_sectors-to-sysfs-attributes.patch.
- Refresh
  patches.drivers/block-update-chunk_sectors-in-blk_stack_limits.patch.
- Delete
  patches.drivers/blk-sysfs-Add-chunk_sectors-to-sysfs-attributes.patch.
- Delete
  patches.suse/sd-Implement-new-RESET_WP-provisioning-mode.patch.
- Delete patches.suse/sd-configure-ZBC-devices.patch.
- commit c22fc73
* Tue Feb 14 2017 hare@suse.de
- dm raid: fix activation of existing raid4/10 devices
  (bsc#1023798,FATE#321463).
- dm mirror: use all available legs on multiple failures
  (bsc#1023798,FATE#321463).
- dm raid: fix compat_features validation
  (bsc#1023798,FATE#321463).
- dm table: fix missing dm_put_target_type() in
  dm_table_add_target() (bsc#1023798,FATE#321463).
- dm rq: clear kworker_task if kthread_run() returned an error
  (bsc#1023798,FATE#321463).
- dm mpath: always return reservation conflict without failing
  over (bsc#1023798,FATE#321463).
- dm bufio: remove dm_bufio_cond_resched()
  (bsc#1023798,FATE#321463).
- dm cache metadata: switch to using the new cursor api for
  loading metadata (bsc#1023798,FATE#321463).
- dm array: introduce cursor api (bsc#1023798,FATE#321463).
- dm btree: introduce cursor api (bsc#1023798,FATE#321463).
- dm cache policy smq: use hash_32() instead of hash_32_generic()
  (bsc#1023798,FATE#321463).
- dm cache policy smq: distribute entries to random levels when
  switching to smq (bsc#1023798,FATE#321463).
- dm cache: speed up writing of the hint array
  (bsc#1023798,FATE#321463).
- dm array: add dm_array_new() (bsc#1023798,FATE#321463).
- commit a1a877d
* Tue Feb 14 2017 hare@suse.de
- nvme: move NVMe class code to pci_ids.h
  (bsc#1025192,FATE#322521).
- ata: avoid probing NCQ Prio Support if not explicitly requested
  (bsc#1025192,FATE#322521).
- libata-scsi: disable SCT Write Same for the moment
  (bsc#1025192,FATE#322521).
- ahci: warn about remapped NVMe devices
  (bsc#1025192,FATE#322521).
- ahci-remap.h: add ahci remapping definitions
  (bsc#1025192,FATE#322521).
- ata: sata_mv: check for errors when parsing nr-ports from dt
  (bsc#1025192,FATE#322521).
- ahci: always fall back to single-MSI mode
  (bsc#1025192,FATE#322521).
- pata: imx: support controller modes up to PIO4
  (bsc#1025192,FATE#322521).
- pata: imx: add support of setting timings for PIO modes
  (bsc#1025192,FATE#322521).
- pata: imx: set controller PIO mode with .set_piomode callback
  (bsc#1025192,FATE#322521).
- pata: imx: sort headers out (bsc#1025192,FATE#322521).
- libata-scsi: Fixup ata_gen_passthru_sense()
  (bsc#1025192,FATE#322521).
- ahci: fix the single MSI-X case in ahci_init_one
  (bsc#1025192,FATE#322521).
- ahci: fix nvec check (bsc#1025192,FATE#322521).
- ata: set ncq_prio_enabled iff device has support
  (bsc#1025192,FATE#322521).
- ata: ATA Command Priority Disabled By Default
  (bsc#1025192,FATE#322521).
- ata: Enabling ATA Command Priorities (bsc#1025192,FATE#322521).
- ahci: qoriq: added ls1046a platform support
  (bsc#1025192,FATE#322521).
- ahci: only try to use multi-MSI mode if there is more than 1
  port (bsc#1025192,FATE#322521).
- ahci: qoriq: Revert "ahci: qoriq: Disable NCQ on ls2080a SoC"
  (bsc#1025192,FATE#322521).
- pata_at91: Use PTR_ERR_OR_ZERO rather than if(IS_ERR(...)) +
  PTR_ERR (bsc#1025192,FATE#322521).
- ata: Replace BUG() with BUG_ON() (bsc#1025192,FATE#322521).
- ata: sata_mv: Replacing dma_pool_alloc and memset with a single
  call dma_pool_zalloc (bsc#1025192,FATE#322521).
- libata: Some drives failing on SCT Write Same
  (bsc#1025192,FATE#322521).
- ahci: use pci_alloc_irq_vectors (bsc#1025192,FATE#322521).
- pata_ninja32: Avoid corrupting status flags
  (bsc#1025192,FATE#322521).
- libata: SCT Write Same handle ATA_DFLAG_PIO
  (bsc#1025192,FATE#322521).
- libata: SCT Write Same / DSM Trim (bsc#1025192,FATE#322521).
- libata: Add support for SCT Write Same
  (bsc#1025192,FATE#322521).
- libata: Safely overwrite attached page in WRITE SAME xlat
  (bsc#1025192,FATE#322521).
- ahci: disable correct irq for dummy ports
  (bsc#1025192,FATE#322521).
- ahci: also use a per-port lock for the multi-MSIX case
  (bsc#1025192,FATE#322521).
- ahci: st: Add ports-implemented property in support
  (bsc#1025192,FATE#322521).
- ahci: qoriq: enable snoopable sata read and write
  (bsc#1025192,FATE#322521).
- ahci: qoriq: adjust sata parameter (bsc#1025192,FATE#322521).
- libata-scsi: fix MODE SELECT translation for Control mode page
  (bsc#1025192,FATE#322521).
- libata-scsi: use u8 array to store mode page copy
  (bsc#1025192,FATE#322521).
- libata-scsi: better style in ata_msense_*()
  (bsc#1025192,FATE#322521).
- AHCI: Clear GHC.IS to prevent unexpectly asserting INTx
  (bsc#1025192,FATE#322521).
- ata: define ATA_PROT_* in terms of ATA_PROT_FLAG_*
  (bsc#1025192,FATE#322521).
- libata: remove ATA_PROT_FLAG_DATA (bsc#1025192,FATE#322521).
- libata: remove ata_is_nodata (bsc#1025192,FATE#322521).
- libata: return boolean values from ata_is_*
  (bsc#1025192,FATE#322521).
- ata: make lba_{28,48}_ok() use ATA_MAX_SECTORS{,_LBA48}
  (bsc#1025192,FATE#322521).
- libata-scsi: minor cleanup for ata_scsi_zbc_out_xlat
  (bsc#1025192,FATE#322521).
- libata-scsi: Fix ZBC management out command translation
  (bsc#1025192,FATE#322521).
- libata-scsi: Fix translation of REPORT ZONES command
  (bsc#1025192,FATE#322521).
- ata: Handle ATA NCQ NO-DATA commands correctly
  (bsc#1025192,FATE#322521).
- libata-eh: decode all taskfile protocols
  (bsc#1025192,FATE#322521).
- ata: fixup ATA_PROT_NODATA (bsc#1025192,FATE#322521).
- libata: use ata_is_ncq() accessors (bsc#1025192,FATE#322521).
- libata-scsi: avoid repeated calculation of number of TRIM ranges
  (bsc#1025192,FATE#322521).
- libata-scsi: reject WRITE SAME (16) with n_block that exceeds
  limit (bsc#1025192,FATE#322521).
- libata-scsi: rename ata_msense_ctl_mode() to
  ata_msense_control() (bsc#1025192,FATE#322521).
- libata-scsi: fix D_SENSE bit relection in control mode page
  (bsc#1025192,FATE#322521).
- ata: hpt366: fix incorrect mask when checking at cmd_high_time
  (bsc#1025192,FATE#322521).
- libata-scsi: correct SPC version descriptor
  (bsc#1025192,FATE#322521).
- libata-scsi: set CmdQue bit in standard INQUIRY data to 1
  (bsc#1025192,FATE#322521).
- libata-scsi: fix SET FEATURES "filtering" for
  ata_msense_caching() (bsc#1025192,FATE#322521).
- libata-scsi: set correct VERSION field for ZAC devices
  (bsc#1025192,FATE#322521).
- libata-scsi: correct cbd to CDB in comment
  (bsc#1025192,FATE#322521).
- libata-scsi: do not respond with "invalid field" for FORMAT UNIT
  (bsc#1025192,FATE#322521).
- drivers: ata: pata_arasan_cf: use the same name for the same
  lock (bsc#1025192,FATE#322521).
- ata: sata_mv: fix mis-conversion in mv_write_cached_reg()
  (bsc#1025192,FATE#322521).
- ata: fix "ering" sysfs time printing (bsc#1025192,FATE#322521).
- ata: ahci_brcm: Add support for Broadcom NSP SoC
  (bsc#1025192,FATE#322521).
- ata: ahci_brcmstb: rename to support across Broadcom SoC's
  (bsc#1025192,FATE#322521).
- ata: fix return value check in ahci_seattle_get_port_info()
  (bsc#1025192,FATE#322521).
- ata: Use IS_ENABLED() instead of checking for built-in or module
  (bsc#1025192,FATE#322521).
- pata_atiixp: fix trivial indentation misalignment on if
  statement (bsc#1025192,FATE#322521).
- libata-scsi: use %%*ph to dump small buffers
  (bsc#1025192,FATE#322521).
- libata-core: Allow longer timeout for drive spinup from PUIS
  (bsc#1025192,FATE#322521).
- commit 9313179
* Tue Feb 14 2017 hare@suse.de
- Refresh
  patches.drivers/ata-0069-libata-Define-ATA_CMD_NCQ_NON_DATA.patch.
- Refresh
  patches.drivers/ata-0070-libata-Separate-out-ata_dev_config_ncq_send_recv.patch.
- Refresh
  patches.drivers/ata-0071-libata-Add-command-definitions-for-NCQ-Encapsulation.patch.
- Refresh
  patches.drivers/ata-0072-libata-Check-log-page-directory-before-accessing-pag.patch.
- Refresh
  patches.drivers/ata-0073-libata-trace-decode-subcommands.patch.
- Refresh
  patches.drivers/ata-0074-libata-scsi-Generate-sense-code-for-disabled-devices.patch.
- Refresh
  patches.drivers/ata-0075-libata-fixup-ZAC-device-disabling.patch.
- Refresh
  patches.drivers/ata-0076-libata-implement-ZBC-IN-translation.patch.
- Refresh
  patches.drivers/ata-0077-libata-Implement-ZBC-OUT-translation.patch.
- Refresh
  patches.drivers/ata-0078-libata-NCQ-encapsulation-for-ZAC-MANAGEMENT-OUT.patch.
- Refresh
  patches.drivers/ata-0079-libata-support-device-managed-ZAC-devices.patch.
- Refresh
  patches.drivers/ata-0080-libata-support-host-aware-and-host-managed-ZAC-devic.patch.
- commit deada43
* Mon Feb 13 2017 nborisov@suse.com
- xfs: track and serialize in-flight async buffers against unmount - kABI (bsc#1024508).
- commit 9bd709b
* Mon Feb 13 2017 jthumshirn@suse.de
- nvme-rdma: use IB_PD_UNSAFE_GLOBAL_RKEY (bsc#993388,
  FATE#321732).
- nvme-fabrics: rework nvmf_get_address() for variable options
  (bsc#993388, FATE#321732).
- nvme-fabrics: revise host transport option descriptions
  (bsc#993388, FATE#321732).
- nvme-fabrics: Add host_traddr options field to host
  infrastructure (bsc#993388, FATE#321732).
- admin-cmd: Added smart-log command support (bsc#993388,
  FATE#321732).
- nvmet: Use direct IO for writes (bsc#993388, FATE#321732).
- nvmet: Make dsm number of ranges zero based (bsc#993388,
  FATE#321732).
- nvme/scsi: Remove power management support (bsc#993388,
  FATE#321732).
- nvme: Pass pointers, not dma addresses, to
  nvme_get/set_features() (bsc#993388, FATE#321732).
- nvme: Stop probing a removed device (bsc#993388, FATE#321732).
- nvme: Delete created IO queues on reset (bsc#993388,
  FATE#321732).
- nvme: don't schedule multiple resets (bsc#993388, FATE#321732).
- nvme : Add sysfs entry for NVMe CMBs when appropriate
  (bsc#993388, FATE#321732).
- nvme: Add tertiary number to NVME_VS (bsc#993388, FATE#321732).
- nvme.h: resync with nvme-cli (bsc#993388, FATE#321732).
- nvme.h: add an enum for cns values (bsc#993388, FATE#321732).
- nvme: use symbolic constants for CNS values (bsc#993388,
  FATE#321732).
- nvmet: use symbolic constants for CNS values (bsc#993388,
  FATE#321732).
- Refresh
  patches.drivers/0078-IB-core-add-support-to-create-a-unsafe-global-rkey-t.patch.
- commit e670943
* Mon Feb 13 2017 hare@suse.de
- Update config files.
- commit b2be15d
* Mon Feb 13 2017 hare@suse.de
- block: replace REQ_THROTTLED with a bio flag
  (bsc#1020989,FATE#322379).
- block: move REQ_RAHEAD to common flags
  (bsc#1020989,FATE#322379).
- block: REQ_NOMERGE is common to the bio and request
  (bsc#1020989,FATE#322379).
- block: remove bio_is_rw (bsc#1020989,FATE#322379).
- blk-mq: get rid of confusing blk_map_ctx structure
  (bsc#1020989,FATE#322379).
- blk-mq: update hardware and software queues for sleeping alloc
  (bsc#1020989,FATE#322379).
- block: flush: fix IO hang in case of flood fua req
  (bsc#1020989,FATE#322379).
- block: zoned: fix harmless maybe-uninitialized warning
  (bsc#1020989,FATE#322379).
- softirq: Display IRQ_POLL for irq-poll statistics
  (bsc#1020989,FATE#322379).
- blk-zoned: implement ioctls (bsc#1020989,FATE#322379).
- block: Implement support for zoned block devices
  (bsc#1020989,FATE#322379).
- block: Define zoned block device operations
  (bsc#1020989,FATE#322379).
- blk-sysfs: Add 'chunk_sectors' to sysfs attributes
  (bsc#1020989,FATE#322379).
- block: Add 'zoned' queue limit (bsc#1020989,FATE#322379).
- block: implement (some of) fallocate for block devices
  (bsc#1020989,FATE#322379).
- block: require write_same and discard requests align to logical
  block size (bsc#1020989,FATE#322379).
- block: invalidate the page cache when issuing BLKZEROOUT
  (bsc#1020989,FATE#322379).
- blk-mq: skip unmapped queues in blk_mq_alloc_request_hctx
  (bsc#1020989,FATE#322379).
- blk-mq: add flag for drivers wanting blocking ->queue_rq()
  (bsc#1020989,FATE#322379).
- blk-mq: remove non-blocking pass in blk_mq_map_request
  (bsc#1020989,FATE#322379).
- blk-mq: get rid of manual run of queue with
  __blk_mq_run_hw_queue() (bsc#1020989,FATE#322379).
- commit 6f4aeae
* Mon Feb 13 2017 nborisov@suse.com
- xfs: track and serialize in-flight async buffers against unmount
  (bsc#1024508).
- xfs: exclude never-released buffers from buftarg I/O accounting
  (bsc#1024508).
- commit 59d6c71
* Mon Feb 13 2017 hare@suse.de
- disable 'scsi-mq-Wait-for-.queue_rq-if-necessary.patch'
- commit 1f6927b
* Mon Feb 13 2017 hare@suse.de
- Temporarily disable two patches
- commit dc76f1a
* Mon Feb 13 2017 hare@suse.de
- libiscsi: Remove set-but-not-used variables
  (bsc#1020989,FATE#322379).
- libiscsi: Unexport iscsi_eh_target_reset()
  (bsc#1020989,FATE#322379).
- scsi: Avoid that toggling use_blk_mq triggers a memory leak
  (bsc#1020989,FATE#322379).
- scsi: Remove one useless stack variable
  (bsc#1020989,FATE#322379).
- scsi: Replace wrong device handler name for CLARiiON arrays
  (bsc#1020989,FATE#322379).
- scsi: allow LLDDs to expose the queue mapping to blk-mq
  (bsc#1020989,FATE#322379).
- scsi: configure runtime pm before calling device_add in
  scsi_add_host_with_dma (bsc#1020989,FATE#322379).
- scsi: fix spelling mistake in error message
  (bsc#1020989,FATE#322379).
- scsi:libsas: fix oops caused by assigning a freed task to
  - >lldd_task (bsc#1020989,FATE#322379).
- scsi: make some Additional Sense strings more grep'able
  (bsc#1020989,FATE#322379).
- scsi: move Additional Sense Codes to separate file
  (bsc#1020989,FATE#322379).
- scsi: move function declarations to scsi_priv.h
  (bsc#1020989,FATE#322379).
- scsi: reduce CONFIG_SCSI_CONSTANTS=y impact by 8k
  (bsc#1020989,FATE#322379).
- scsi: remove current_cmnd field from struct scsi_device
  (bsc#1020989,FATE#322379).
- scsi: remove the disable_blk_mq host flag
  (bsc#1020989,FATE#322379).
- scsi: replace custom approach to hexdump small buffers
  (bsc#1020989,FATE#322379).
- scsi: scsi-mq: Wait for .queue_rq() if necessary
  (bsc#1020989,FATE#322379).
- scsi: scsi_dh_alua: Fix RCU annotations
  (bsc#1020989,FATE#322379).
- scsi: scsi_dh_alua: Fix a reference counting bug
  (bsc#1020989,FATE#322379).
- scsi: scsi_dh_alua: Fix memory leak in alua_rtpg()
  (bsc#1020989,FATE#322379).
- scsi: scsi_dh_alua: fix missing kref_put() in alua_rtpg_work()
  (bsc#1020989,FATE#322379).
- scsi: scsi_transport_fc: Hold queue lock while calling
  blk_run_queue_async() (bsc#1020989,FATE#322379).
- scsi: sg: Avoid overflow when USER_HZ > HZ
  (bsc#1020989,FATE#322379).
- scsi: sg: Use mult_frac, drop MULDIV macro
  (bsc#1020989,FATE#322379).
- scsi: sr: constify sr_pm_ops structure
  (bsc#1020989,FATE#322379).
- scsi: srp_transport: Move queuecommand() wait code to SCSI core
  (bsc#1020989,FATE#322379).
- scsi: use blk_rq_payload_bytes (bsc#1020989,FATE#322379).
- scsi_dh_alua: Declare local functions static
  (bsc#1020989,FATE#322379).
- scsi_lib: untangle 0 and BLK_MQ_RQ_QUEUE_OK
  (bsc#1020989,FATE#322379).
- scsi_tcp: block BH in TCP callbacks (bsc#1020989,FATE#322379).
- scsi_transport_fc: Unexport scsi_is_fc_vport()
  (bsc#1020989,FATE#322379).
- scsi_transport_iscsi: Declare local symbols static
  (bsc#1020989,FATE#322379).
- scsi_transport_iscsi: Remove set-but-not-used variables
  (bsc#1020989,FATE#322379).
- scsi_transport_iscsi: Unexport iscsi_is_flashnode_conn_dev()
  (bsc#1020989,FATE#322379).
- sd: don't use the ALL_TG_PT bit for reservations
  (bsc#1020989,FATE#322379).
- st: clear ILI if Medium Error (bsc#1020989,FATE#322379).
- Refresh patches.fixes/scsi_dh_alua-use-unique-device-id.patch.
- commit f30abfb
* Mon Feb 13 2017 mkubecek@suse.cz
- ipv4: keep skb->dst around in presence of IP options
  (CVE-2017-5970 bsc#1024938).
- commit cfa42d3
* Mon Feb 13 2017 tiwai@suse.de
- Fix up s390x/vanilla config (add missing CONFIG_REGMAP=y)
- commit c1ddf5d
* Mon Feb 13 2017 jthumshirn@suse.de
- IB/rxe: Fix mem_check_range integer overflow (bsc#1024908,
  CVE-2016-8636).
- commit 288dffd
* Mon Feb 13 2017 hare@suse.de
- block: export bio_free_pages to other modules
  (bsc#1020989,FATE#322379).
- blk-mq: register device instead of disk
  (bsc#1020989,FATE#322379).
- nvme: refactor namespaces to support non-gendisk devices
  (bsc#1020989,FATE#322379).
- null_blk: refactor to support non-gendisk devices
  (bsc#1020989,FATE#322379).
- null_blk: add lightnvm null_blk device to the nullb_list
  (bsc#1020989,FATE#322379).
- null_blk: oops when initializing without lightnvm
  (bsc#1020989,FATE#322379).
- commit 56bed1e
* Mon Feb 13 2017 hare@suse.de
- dm mpath: delay the requeue of blk-mq requests while all paths
  down (bsc#1023798,FATE#321463).
- dm mpath: use dm_mq_kick_requeue_list()
  (bsc#1023798,FATE#321463).
- dm rq: introduce dm_mq_kick_requeue_list()
  (bsc#1023798,FATE#321463).
- dm rq: reduce arguments passed to map_request() and
  dm_requeue_original_request() (bsc#1023798,FATE#321463).
- commit 6c309ff
* Mon Feb 13 2017 hare@suse.de
- Update config files.
- commit af975cd
* Mon Feb 13 2017 hare@suse.de
- blk-throttle: Extend slice if throttle group is not empty
  (FATE#322379,bsc#1020989).
- blk_mq: linux/blk-mq.h does not include all the headers it
  depends on (FATE#322379,bsc#1020989).
- sbitmap: initialize weight to zero (FATE#322379,bsc#1020989).
- sbitmap: don't update the allocation hint on clear after resize
  (FATE#322379,bsc#1020989).
- sbitmap: re-initialize allocation hints after resize
  (FATE#322379,bsc#1020989).
- sbitmap: randomize initial alloc_hint values
  (FATE#322379,bsc#1020989).
- sbitmap: push alloc policy into sbitmap_queue
  (FATE#322379,bsc#1020989).
- sbitmap: push per-cpu last_tag into sbitmap_queue
  (FATE#322379,bsc#1020989).
- sbitmap: allocate wait queues on a specific node
  (FATE#322379,bsc#1020989).
- blk-mq: abstract tag allocation out into sbitmap library
  (FATE#322379,bsc#1020989).
- blk-mq: account higher order dispatch (FATE#322379,bsc#1020989).
- blk-mq: kill unused blk_mq_create_mq_map()
  (FATE#322379,bsc#1020989).
- blk-mq: get rid of the cpumask in struct blk_mq_tags
  (FATE#322379,bsc#1020989).
- nvme: remove the post_scan callout (FATE#322379,bsc#1020989).
- nvme: switch to use pci_alloc_irq_vectors
  (FATE#322379,bsc#1020989).
- blk-mq: provide a default queue mapping for PCI device
  (FATE#322379,bsc#1020989).
- commit 73191be
* Mon Feb 13 2017 jslaby@suse.cz
- Linux 4.4.48 (bnc#1012382).
- commit 2201a38
* Sun Feb 12 2017 bpoirier@suse.com
- ixgbe & ixgbevf backport for SLE12-SP3
- ixgbe: Add KR backplane support for x550em_a (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Add X552 iXFI configuration helper function (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Add X553 FW ALEF support (bsc#1024349 FATE#321240
  bsc#1024355 FATE#321241).
- ixgbe: Add X553 PHY FC autoneg support (bsc#1024349 FATE#321240
  bsc#1024355 FATE#321241).
- ixgbe: Add definitions for x550em_a 10G MAC (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Add missing destroy_workqueue() on error in
  ixgbe_init_module() (bsc#1024349 FATE#321240 bsc#1024355
  FATE#321241).
- ixgbe: Add register wait for slow links (bsc#1024349 FATE#321240
  bsc#1024355 FATE#321241).
- ixgbe: Add support for SFPs with retimer (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Add support for SGMII backplane interface (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Add support for generic Tx checksums (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Add support for new X557 device (bsc#1024349 FATE#321240
  bsc#1024355 FATE#321241).
- ixgbe: Add support for redirect action to cls_u32 offloads
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Add support for toggling VLAN filtering flag via ethtool
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Add support for x550em_a 10G MAC type (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Add support to retrieve and store LED link active
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Add work around for empty SFP+ cage crosstalk
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Allow setting multiple queues when SR-IOV is enabled
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Avoid adding VLAN 0 twice to VLVF and VFTA (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Bump version number (bsc#1024349 FATE#321240 bsc#1024355
  FATE#321241).
- ixgbe: Change register variable to unsigned (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Change the lan_id and func fields to a u8 to avoid casts
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Clean up interface for firmware commands (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Correct X550 phy ID (bsc#1024349 FATE#321240 bsc#1024355
  FATE#321241).
- ixgbe: Correct length check for round up (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Correct reporting of timestamping for x550 (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Delete some unused register definitions (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Disable DCB and FCoE for X550EM_x and x550em_a
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Do not allow PF to add VLVF entry unless it actually
  needs it (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Eliminate useless message and improve logic (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Error handler for duplicate filter locations in hardware
  for cls_u32 offloads (bsc#1024349 FATE#321240 bsc#1024355
  FATE#321241).
- ixgbe: Extend cls_u32 offload to support UDP headers
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Extend trust to allow guest to set unicast address
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Fix deleting link filters for cls_u32 offloads
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Fix flow control for Xeon D KR backplane (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Fix led interface for X557 devices (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Fix minor typo while freeing irq (bsc#1024349 FATE#321240
  bsc#1024355 FATE#321241).
- ixgbe: Handle previously-freed msix_entries (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Indicate support for pause frames in all cases
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Introduce function to control MDIO speed (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Limit reporting of redirection table if SR-IOV is enabled
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Make all unchanging ops structures const (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Match on multiple headers for cls_u32 offloads
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Place SWFW semaphore in known valid state at probe
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Read and parse NW_MNG_IF_SEL register (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Read and set instance id (bsc#1024349 FATE#321240
  bsc#1024355 FATE#321241).
- ixgbe: Remove duplicate and unused device ID definitions
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Resolve NULL reference by setting {read, write}_reg_mdi
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Return 64 bit stats values (bsc#1024349 FATE#321240
  bsc#1024355 FATE#321241).
- ixgbe: Revise populating few registers and macro definitions
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Support 4 queue RSS on VFs with 1 or 2 queue RSS on PF
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Take manageability semaphore for firmware commands
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Update setup PHY link to unset all speeds (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Use MDIO_PRTAD_NONE consistently (bsc#1024349 FATE#321240
  bsc#1024355 FATE#321241).
- ixgbe: Use correct FC setup function for x550em_a (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Use method pointer to access IOSF devices (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: Use new methods for PHY access (bsc#1024349 FATE#321240
  bsc#1024355 FATE#321241).
- ixgbe: add WoL support for some 82599 subdevice IDs (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: add a callback to set the maximum transmit bitrate
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: add device to MDIO speed setting (bsc#1024349 FATE#321240
  bsc#1024355 FATE#321241).
- ixgbe: check EEPROM for WOL support for X540 and above
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: cleanup crosstalk fix (bsc#1024349 FATE#321240
  bsc#1024355 FATE#321241).
- ixgbe: consolidate the configuration of spoof checking
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: do not use ixgbe specific mdio defines (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: fix default mac->ops.setup_link for X550EM (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: fix link status check for copper X550em (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: fix panic when using macvlan with l2-fwd-offload enabled
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: fix setup_fc for x550em (bsc#1024349 FATE#321240
  bsc#1024355 FATE#321241).
- ixgbe: fix spoofed packets with macvlans (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: ixgbe_atr() compute l4_proto only if non-paged data has
  network/transport headers (bsc#1024349 FATE#321240 bsc#1024355
  FATE#321241).
- ixgbe: ixgbe_atr() should access udp_hdr(skb) only for UDP
  packets (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: make 'action' field in struct ixgbe_fdir_filter a u64
  value (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: make ixgbe_led_on/off_t_x550em static (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: napi_poll must return the work done (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: on recv increment rx.ring->stats.yields (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: only check Tx queue enablement when debugging
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: protect vxlan_get_rx_port in ixgbe_service_task with
  rtnl_lock (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: remove SFP ixfi support (bsc#1024349 FATE#321240
  bsc#1024355 FATE#321241).
- ixgbe: remove redundant check on ret_val (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: report correct media type for KR, KX and KX4 interfaces
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: reset before SRIOV init to avoid mailbox issues
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: resolve shift of negative value warning (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: set VLAN spoof checking unconditionally (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: set device if before calling get_invariants (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: simplify the logic for setting VLAN filtering
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: use BIT() macro (bsc#1024349 FATE#321240 bsc#1024355
  FATE#321241).
- ixgbe: use IS_ENABLED() instead of checking for built-in or
  module (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: use atomic bitwise operations when handling reset
  requests (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: use correct mask when enabling sriov (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: use eth_platform_get_mac_address() (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: use link instead of I2C combined abstraction (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbe: use msleep for long delays (bsc#1024349 FATE#321240
  bsc#1024355 FATE#321241).
- ixgbevf: Add lock around ixgbevf_reinit_locked call (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbevf: Add range checking for setting MTU (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbevf: Add support for generic Tx checksums (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbevf: Change the relaxed order settings in VF driver for
  sparc (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbevf: Commonize mailbox write/read (bsc#1024349 FATE#321240
  bsc#1024355 FATE#321241).
- ixgbevf: Correct parameter sent to LED function (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbevf: Handle previously-freed msix_entries (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbevf: Protect ixgbevf_reset_subtask from remove event
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbevf: Remove unused parameter (bsc#1024349 FATE#321240
  bsc#1024355 FATE#321241).
- ixgbevf: add VF support for new hardware (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbevf: add spinlocks for MTU change calls (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbevf: add support for per-queue ethtool stats (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbevf: bump version number (bsc#1024349 FATE#321240
  bsc#1024355 FATE#321241).
- ixgbevf: change hw_dbg to use netdev_dbg (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbevf: fix NACK check in ixgbevf_set_uc_addr_vf() (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbevf: fix incorrect MAC address on load (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbevf: ixgbevf_write/read_posted_mbx should use IXGBE_ERR_MBX
  to initialize ret_val (bsc#1024349 FATE#321240 bsc#1024355
  FATE#321241).
- ixgbevf: make use of BIT() macro to avoid shift of signed values
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbevf: only check Tx queue enablement when debugging
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- ixgbevf: refactor ethtool stats handling (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- ixgbevf: use bit operations for setting and checking resets
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- net_sched: act_mirred: add helper inlines to access tcf_mirred
  info (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- netdevice: add helper to update trans_start (bsc#1024349
  FATE#321240 bsc#1024355 FATE#321241).
- treewide: replace dev->trans_start update with helper
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- Refresh
  patches.drivers/drivers-replace-dev-trans_start-accesses-with-dev_tr.patch.
- Refresh
  patches.drivers/ethernet-intel-Use-pci_-request-release-_mem_regions.patch.
- Refresh
  patches.drivers/ethernet-intel-use-core-min-max-MTU-checking.patch.
- Update
  patches.drivers/ixgbe-Add-support-for-single-port-X550-device.patch
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- Update
  patches.drivers/ixgbevf-Add-the-device-ID-s-presented-while-running-.patch
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- Update
  patches.drivers/ixgbevf-Move-API-negotiation-function-into-mac_ops.patch
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- Update
  patches.drivers/ixgbevf-Support-Windows-hosts-Hyper-V.patch
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- Update
  patches.drivers/ixgbevf-Use-mac_ops-instead-of-trying-to-identify-NI.patch
  (bsc#1024349 FATE#321240 bsc#1024355 FATE#321241).
- Refresh
  patches.drivers/net-deprecate-eth_change_mtu-remove-usage.patch.
- Refresh
  patches.drivers/ptp_clock-future-proofing-drivers-against-PTP-subsys.patch.
- commit 12fc9d8
* Sat Feb 11 2017 tonyj@suse.de
- Update ppc64 config files.
- commit 30bda8e
* Sat Feb 11 2017 tonyj@suse.de
- tool/perf: Add sample_reg_mask to include all perf_regs
  (FATE#320333).
- tools/perf: Map the ID values with register names (FATE#320333).
- powerpc/perf: Add support for sampling interrupt register state
  (FATE#320333).
- powerpc/perf: Assign an id to each powerpc register
  (FATE#320333).
- perf/x86/intel/uncore: Fix hardcoded socket 0 assumption in
  the Haswell init code (FATE#319705 (supporting patches needed
  for exit_box)).
- arch/x86: Handle non enumerated CPU after physical hotplug
  (FATE#319705 (supporting patches needed for exit_box)).
- perf/x86/intel/uncore: Remove WARN_ON_ONCE in uncore_pci_probe
  (FATE#319705 (supporting patches needed for exit_box)).
- x86/topology: Fix AMD core count (FATE#319705 (supporting
  patches needed for exit_box)).
- x86/topology: Use total_cpus not nr_cpu_ids for logical packages
  (FATE#319705 (supporting patches needed for exit_box)).
- x86/topology: Fix Intel HT disable (FATE#319705 (supporting
  patches needed for exit_box)).
- x86/topology: Fix logical package mapping (FATE#319705
  (supporting patches needed for exit_box)).
- perf/x86/intel/uncore: Add Knights Mill CPUID (FATE#321922).
- perf/x86/intel: Add Knights Mill CPUID (FATE#321922).
- perf/x86/intel/uncore: Add Skylake server uncore support
  (FATE#319705).
- perf/x86/intel/uncore: Handle non-standard counter offset
  (FATE#319705).
- perf/x86/intel/uncore: Remove hard-coded implementation for
  Node ID mapping location (FATE#319705).
- perf/x86/intel/uncore: Add support for the Intel Skylake client
  uncore PMU (FATE#321271).
- perf/x86/intel/uncore: Locate specific box by checking
  full device info (FATE#319705 (for context, provides
  UNCORE_PCI_DEV_FULL_DATA)).
- perf/x86/intel: Add Goldmont CPU support (FATE#321272,
  FATE#321273).
- perf/x86: Add model numbers for Kabylake CPUs (FATE#320856).
- perf/x86/intel: Add model number for Skylake Server to perf
  (FATE#321269).
- perf/x86/uncore: Track packages, not per CPU data (FATE#319705
  (supporting patches needed for exit_box)).
- x86/topology: Create logical package id (FATE#319705 (supporting
  patches needed for exit_box)).
- perf/x86/intel/uncore: Store box in event->pmu_private
  (FATE#319705 (supporting patches needed for exit_box)).
- perf: Allow storage of PMU private data in event (FATE#319705
  (supporting patches needed for exit_box)).
- perf/x86/uncore: Make uncore_pcibus_to_physid() static
  (FATE#319705 (supporting patches needed for exit_box)).
- perf/x86/intel/uncore: Make code more readable (FATE#319705
  (supporting patches needed for exit_box)).
- perf/x86/intel/uncore: Clean up hardware on exit (FATE#319705
  (supporting patches needed for exit_box)).
- perf/x86/intel/uncore: Add sanity checks for PCI dev package id
  (FATE#319705 (supporting patches needed for exit_box)).
- perf/x86/intel/uncore: Fix error handling (FATE#319705
  (supporting patches needed for exit_box)).
- perf/x86/intel/uncore: Simplify error rollback (FATE#319705
  (supporting patches needed for exit_box)).
- perf/x86/intel/uncore: Remove pointless mask check (FATE#319705
  (supporting patches needed for exit_box)).
- perf/x86: add Intel SkyLake uncore IMC PMU support (FATE#321271
  (for context). #319705 (for context)).
- perf/x86: Use INST_RETIRED.PREC_DIST for cycles: ppp
  (FATE#321269).
- perf/x86: Use INST_RETIRED.TOTAL_CYCLES_PS for cycles:pp for
  Skylake (FATE#321269 (for context)).
- commit 784a971
* Sat Feb 11 2017 mcgrof@suse.com
- xfs_dmapi: fix the debug compilation of xfs_dmapi (bsc#989056).
- commit 11cbae1
* Fri Feb 10 2017 mbrugger@suse.com
- supported.conf: add rk3399 files (fate#322003)
- arm64: Update config files. (fate#322003)
  Enable rockchip peripherals
- commit cb06782
* Fri Feb 10 2017 mbrugger@suse.com
- USB: Fix of_usb_get_dr_mode_by_phy with a shared phy block
  (fate#322003).
- usb: of: add an api to get dr_mode by the phy node
  (fate#322003).
- extcon: Introduce EXTCON_PROP_DISP_HPD property (fate#322003).
- extcon: Introduce EXTCON_PROP_USB_SS property for SuperSpeed
  mode (fate#322003).
- extcon: Add new EXTCON_CHG_WPT for Wireless Power Transfer
  device (fate#322003).
- extcon: Add new EXTCON_DISP_HMD for Head-mounted Display device
  (fate#322003).
- extcon: Add EXTCON_DISP_DP and the property for USB Type-C
  (fate#322003).
- extcon: Add the synchronization extcon APIs to support the
  notification (fate#322003).
- extcon: Rename the extcon_set/get_state() to maintain the
  function naming pattern (fate#322003).
- extcon: Add the support for the capability of each property
  (fate#322003).
- extcon: Add the support for extcon property according to extcon
  type (fate#322003).
- extcon: Add the extcon_type to gather each connector into five
  category (fate#322003).
- extcon: Block the bit masking operation for cable state except
  for extcon core (fate#322003).
- extcon: Remove the state_store() to prevent the wrong access
  (fate#322003).
- extcon: gpio: Remove the usage of extcon_set_state()
  (fate#322003).
- extcon: Move struct extcon_cable from header file to core
  (fate#322003).
- extcon: Remove the deprecated extcon functions (fate#322003).
- thermal: rockchip: fixes the conversion table (fate#322003).
- thermal: rockchip: handle set_trips without the trip points
  (fate#322003).
- thermal: rockchip: optimize the conversion table (fate#322003).
- thermal: rockchip: fixes invalid temperature case (fate#322003).
- thermal: rockchip: don't pass table structs by value
  (fate#322003).
- thermal: rockchip: improve conversion error messages
  (fate#322003).
- thermal: rockchip: improve the warning log (fate#322003).
- thermal: rockchip: optimize sensor auto accessing period
  (fate#322003).
- thermal: rockchip: enhance the tsadc's bandgap feature for
  rk3399 (fate#322003).
- thermal: rockchip: fixes the exception interrupts (fate#322003).
- thermal: rockchip: fixes the period time for tsadc
  (fate#322003).
- thermal: rockchip: add the set_trips function (fate#322003).
- thermal: rockchip: use the usleep_range instead of udelay
  (fate#322003).
- thermal: rockchip: add the notes for better reading
  (fate#322003).
- thermal: rockchip: handle the power sequence for tsadc
  controller (fate#322003).
- thermal: rockchip: update the tsadc table for rk3399
  (fate#322003).
- thermal: rockchip: fixes the code_to_temp for tsadc driver
  (fate#322003).
- thermal: rockchip: disable thermal->clk in err case
  (fate#322003).
- thermal: convert rockchip_thermal to use
  devm_thermal_zone_of_sensor_register (fate#322003).
- thermal: rockchip: fix the tsadc sequence output on
  rk3228/rk3399 (fate#322003).
- thermal: rockchip: the rename compatibles for rockchip SoCs
  (fate#322003).
- thermal: rockchip: fix calculation error for code_to_temp
  (fate#322003).
- thermal: rockchip: Support the RK3399 SoCs in thermal driver
  (fate#322003).
- thermal: rockchip: Support the RK3228 SoCs in thermal driver
  (fate#322003).
- thermal: rockchip: fix a trivial typo (fate#322003).
- thermal: of: implement .set_trips for device tree thermal zones
  (fate#322003).
- thermal: Add support for hardware-tracked trip points
  (fate#322003).
- thermal: of-thermal: Add devm version of
  thermal_zone_of_sensor_register (fate#322003).
- phy: rockchip-inno-usb2: select USB_COMMON (fate#322003).
- phy: rockchip-inno-usb2: fix uninitialized tmout variable
  (fate#322003).
- phy: rockchip-inno-usb2: correct 480MHz output clock stable time
  (fate#322003).
- phy: rockchip-inno-usb2: correct clk_ops callback (fate#322003).
- phy: rockchip-inno-usb2: support otg-port for rk3399
  (fate#322003).
- phy-rockchip-pcie: remove deassert of phy_rst from exit callback
  (fate#322003).
- phy: rockchip-usb: use rockchip_usb_phy_reset to reset phy
  during wakeup (fate#322003).
- phy: Add reset callback (fate#322003).
- phy: rockchip-typec: add pm runtime support (fate#322003).
- phy: Add USB Type-C PHY driver for rk3399 (fate#322003).
- phy: rockchip-inno-usb2: add COMMON_CLK dependency
  (fate#322003).
- phy: add a driver for the Rockchip SoC internal PCIe PHY
  (fate#322003).
- phy: rockchip-inno-usb2: add a new driver for Rockchip usb2phy
  (fate#322003).
- phy: rockchip-emmc: Wait even longer for the DLL to lock
  (fate#322003).
- phy: rockchip-emmc: Be tolerant to card clock of 0 in power on
  (fate#322003).
- phy: rockchip-emmc: Set phyctrl_frqsel based on card clock
  (fate#322003).
- phy: rockchip-emmc: Minor code cleanup in
  rockchip_emmc_phy_power_on/off() (fate#322003).
- phy: rockchip-emmc: Increase lock time allowance (fate#322003).
- phy: rockchip-emmc: reindent the register definitions
  (fate#322003).
- phy: rockchip-emmc: configure default output tap delay
  (fate#322003).
- phy: rockchip-emmc: configure frequency range and drive
  impedance (fate#322003).
- phy: rockchip-emmc: give DLL some extra time to be ready
  (fate#322003).
- phy: rockchip-usb: should be a child device of the GRF
  (fate#322003).
- phy: rockchip-dp: fix return value check in
  rockchip_dp_phy_probe() (fate#322003).
- phy: rockchip-emmc: should be a child device of the GRF
  (fate#322003).
- phy: rockchip-dp: should be a child device of the GRF
  (fate#322003).
- phy: rockchip-usb: add handler for usb-uart functionality
  (fate#322003).
- phy: rockchip-usb: expose the phy-internal PLLs (fate#322003).
- phy: rockchip-usb: move per-phy init into a separate function
  (fate#322003).
- phy: rockchip-usb: introduce a common data-struct for the device
  (fate#322003).
- phy: rockchip-usb: fix clock get-put mismatch (fate#322003).
- phy: Add driver for rockchip Display Port PHY (fate#322003).
- phy: add a driver for the Rockchip SoC internal eMMC PHY
  (fate#322003).
- clk: rockchip: add dt-binding header for rk1108 (fate#322003).
- clk: rockchip: Add binding ids for cpu and peri clocks on rk3066
  (fate#322003).
- clk: rockchip: add dclk_vop_frac ids for rk3399 vop
  (fate#322003).
- clk: rockchip: add SCLK_DDRC id for rk3399 ddrc (fate#322003).
- clk: rockchip: add clock-ids for rk3228 MAC clocks
  (fate#322003).
- clk: rockchip: add clock-ids for rk3228 audio clocks
  (fate#322003).
- clk: rockchip: export some necessary rk3399 clock ids
  (fate#322003).
- clk: rockchip: rename rga clock-id on rk3399 (fate#322003).
- clk: rockchip: add general gpu soft-reset on rk3399
  (fate#322003).
- clk: rockchip: fix checkpatch errors in rk3399 dt-binding header
  (fate#322003).
- clk: rockchip: add dt-binding header for rk3399 (fate#322003).
- clk: rockchip: add clock-id for rk3036 emac pll source clock
  (fate#322003).
- clk: rockchip: add node-id for rk3036 emac hclk (fate#322003).
- clk: rockchip: add the new clock ids for RK3228 HDMI
  (fate#322003).
- clk: rockchip: add the new clock ids for RK3228 VOP
  (fate#322003).
- clk: rockchip: add id of the tsadc clock found on rk3228 SoCs
  (fate#322003).
- clk: rockchip: Add new id for rk3066 tsadc clock (fate#322003).
- clk: rockchip: Add the clock ids of rk3288 eFuses (fate#322003).
- clk: rockchip: add dt-binding header for rk3228 (fate#322003).
- clk: rockchip: add id for mipidsi sclk on rk3288 (fate#322003).
- clk: rockchip: add dt-binding header for rk3036 (fate#322003).
- clk: rockchip: add an id for rk3288 crypto clk (fate#322003).
- clk: rockchip: add clock controller for rk1108 (fate#322003).
- clk: rockchip: fix copy-paste error in rk3399 testclk
  (fate#322003).
- clk: rockchip: validity should be checked prior to cpu clock
  rate change (fate#322003).
- clk: rockchip: Ignore frac divisor for PLL equivalence when
  it's unused (fate#322003).
- clk: rockchip: remove more CLK_IGNORE_UNUSED for rk3399
  clocktree (fate#322003).
- clk: rockchip: add 400MHz to rk3066 clock rates table
  (fate#322003).
- clk: rockchip: optimize 800MHz and 1GHz pll rates on RK3399
  (fate#322003).
- clk: rockchip: Use clock ids for cpu and peri clocks on rk3066
  (fate#322003).
- clk: rockchip: add 533.25MHz to rk3399 clock rates table
  (fate#322003).
- clk: rockchip: don't return NULL when failing to register
  ddrclk branch (fate#322003).
- clk: rockchip: use the dclk_vop_frac clock ids on rk3399
  (fate#322003).
- clk: rockchip: drop CLK_SET_RATE_PARENT from rk3399 fractional
  dividers (fate#322003).
- clk: rockchip: add 2016M to big cpu clk rate table on rk3399
  (fate#322003).
- clk: rockchip: add rk3399 ddr clock support (fate#322003).
- clk: rockchip: add new clock-type for the ddrclk (fate#322003).
- clk: rockchip: mark aclk_emmc_noc as a critical clock on rk3399
  (fate#322003).
- clk: rockchip: handle of_iomap failures in legacy clock driver
  (fate#322003).
- clk: rockchip: fix incorrect GATE bits for {c,
  g}pll_aclk_perihp_src on rk3399 (fate#322003).
- clk: rockchip: fix incorrect aclk_emmc source gate bits on
  rk3399 (fate#322003).
- clk: rockchip: mark rk3399 hdcp_noc and vio_noc as critical
  (fate#322003).
- clk: rockchip: fix rk3399 aclk_vio gate bit (fate#322003).
- clk: rockchip: use general clock flag when registering pll
  (fate#322003).
- clk: rockchip: delete the CLK_IGNORE_UNUSED from aclk_pcie on
  rk3399 (fate#322003).
- clk: rockchip: add 65MHz and 106.5MHz rates to rk3399 plls
  used for HDMI (fate#322003).
- clk: rockchip: fix incorrect rk3399 spdif-DPTX divider bits
  (fate#322003).
- clk: rockchip: export rk3228 MAC clocks (fate#322003).
- clk: rockchip: rename rk3228 sclk_macphy_50m to sclk_mac_extclk
  (fate#322003).
- clk: rockchip: export rk3228 audio clocks (fate#322003).
- clk: rockchip: include rk3228 downstream muxes into fractional
  dividers (fate#322003).
- clk: rockchip: fix incorrect rk3228 clock registers
  (fate#322003).
- clk: rockchip: release io resource when failing to init clk
  on rk3399 (fate#322003).
- clk: rockchip: add a dummy clock for the watchdog pclk on rk3399
  (fate#322003).
- clk: rockchip: fix cpuclk registration error handling
  (fate#322003).
- clk: rockchip: Revert "clk: rockchip: reset init state before
  mmc card initialization" (fate#322003).
- clk: rockchip: fix incorrect parent for rk3399's
  {c,g}pll_aclk_perihp_src (fate#322003).
- clk: rockchip: mark rk3399 GIC clocks as critical (fate#322003).
- clk: rockchip: drop old_rate calculation on pll rate changes
  (fate#322003).
- clk: rockchip: simplify GRF handling in pll clocks
  (fate#322003).
- clk: rockchip: lookup General Register Files in
  rockchip_clk_init (fate#322003).
- clk: rockchip: fix the rk3399 sdmmc sample / drv name
  (fate#322003).
- clk: rockchip: fix the rk3399 cifout clock (fate#322003).
- clk: rockchip: drop unnecessary CLK_IGNORE_UNUSED flags from
  rk3399 (fate#322003).
- clk: rockchip: add some frequencies on the rk3399 PLL table
  (fate#322003).
- clk: rockchip: assign more necessary rk3399 clock ids
  (fate#322003).
- clk: rockchip: fix the gate bit for i2c4 and i2c8 on rk3399
  (fate#322003).
- clk: rockchip: fix of spelling mistake on unsuccessful in pll
  clock type (fate#322003).
- clk: rockchip: fix checkpatch warning in core code
  (fate#322003).
- clk: rockchip: drop unnecessary header comment (fate#322003).
- clk: rockchip: reign in some overly long lines in the rk3399
  controller (fate#322003).
- clk: rockchip: Make reset_control_ops const (fate#322003).
- clk: rockchip: add clock controller for the RK3399
  (fate#322003).
- clk: rockchip: release io resource when failing to init clk
  (fate#322003).
- clk: rockchip: remove redundant checking of device_node
  (fate#322003).
- clk: rockchip: fix warning reported by kernel-doc (fate#322003).
- clk: rockchip: remove mux_core_reg from rockchip_cpuclk_reg_data
  (fate#322003).
- clk: rockchip: add new pll-type for rk3399 and similar socs
  (fate#322003).
- clk: rockchip: Add support for multiple clock providers
  (fate#322003).
- clk: rockchip: allow varying mux parameters for cpuclk
  pll-sources (fate#322003).
- clk: rockchip: add a COMPOSITE_FRACMUX_NOGATE type
  (fate#322003).
- clk: rockchip: associate SCLK_MAC_PLL and disable reparenting
  on rk3036 (fate#322003).
- clk: rockchip: associate the rk3036 HCLK_EMAC clock-id
  (fate#322003).
- clk: rockchip: include downstream muxes into fractional dividers
  on rk3368 (fate#322003).
- clk: rockchip: set the clock ids for RK3228 HDMI (fate#322003).
- clk: rockchip: set the clock ids for RK3228 VOP (fate#322003).
- clk: rockchip: add the tsadc clocks found on rk3228 SoCs
  (fate#322003).
- clk: rockchip: fix coding style for clk-cpu.c (fate#322003).
- clk: rockchip: don't return NULL when registering mmc branch
  fails (fate#322003).
- clk: rockchip: don't return NULL when registering inverter fails
  (fate#322003).
- clk: rockchip: check grf when waiting pll lock (fate#322003).
- clk: rockchip: disable alt_parent clk in err cases when
  registering cpuclk (fate#322003).
- clk: rockchip: convert manually created factor clocks to the
  new type (fate#322003).
- clk: rockchip: add a factor clock type (fate#322003).
- clk: rockchip: fix parent of hclk_vcodec on rk3036
  (fate#322003).
- clk: rockchip: Allow sclk_i2s0 and i2s0_frac to change their
  parents rate on rk3188 (fate#322003).
- clk: rockchip: fix wrong mmc phase shift for rk3228
  (fate#322003).
- clk: rockchip: add tsadc clock on rk3066 (fate#322003).
- clk: rockchip: fix usbphy-related clocks (fate#322003).
- clk: rockchip: rk3368: enable the CLK_SET_RATE_PARENT flag
  for i2s_2ch (fate#322003).
- clk: rockchip: rk3368: enable the CLK_SET_RATE_PARENT flag
  for spdif_8ch (fate#322003).
- clk: rockchip: rk3368: fix edp_24m parent (fate#322003).
- clk: rockchip: rk3036: enable the CLK_IGNORE_UNUSED flag for
  hclk_vio_bus (fate#322003).
- clk: rockchip: rk3368: fix some clock gates (fate#322003).
- clk: rockchip: rk3036: rename emac ext source clock
  (fate#322003).
- clk: rockchip: rk3036: fix the div offset for emac clock
  (fate#322003).
- clk: rockchip: rk3036: fix uarts clock error (fate#322003).
- clk: rockchip: rk3036: fix the FLAGs for clock mux
  (fate#322003).
- clk: rockchip: fix section mismatches with new child-clocks
  (fate#322003).
- clk: rockchip: rk3036: include downstream muxes into fractional
  dividers (fate#322003).
- clk: rockchip: Allow the RK3288 SPDIF clocks to change their
  parent (fate#322003).
- clk: rockchip: include downstream muxes into fractional dividers
  (fate#322003).
- clk: rockchip: handle mux dependency of fractional dividers
  (fate#322003).
- clk: rockchip: only enter pll slow-mode directly before reboots
  on rk3288 (fate#322003).
- clk: rockchip: rk3036: enable the CLK_IGNORE_UNUSED flag for
  aclk_vio (fate#322003).
- clk: rockchip: use rk3288-efuse clock ids (fate#322003).
- clk: rockchip: add clock controller for rk3228 (fate#322003).
- clk: rockchip: allow more than 2 parents for cpuclk
  (fate#322003).
- clk: rockchip: fix rk3368 cpuclk divider offsets (fate#322003).
- clk: rockchip: protect rk3368 aclk_bus and aclk_peri clocks
  (fate#322003).
- clk: rockchip: Force rk3368 PWM clock (and its parents) on
  (fate#322003).
- clk: rockchip: switch PLLs to slow mode before reboot for rk3288
  (fate#322003).
- clk: rockchip: add mipidsi clock on rk3288 (fate#322003).
- clk: rockchip: add clock controller for rk3036 (fate#322003).
- clk: rockchip: add new pll-type for rk3036 and similar socs
  (fate#322003).
- clk: rockchip: set the id for crypto clk (fate#322003).
- reset: Make reset_control_ops const (fate#322003).
- clk: add flag for clocks that need to be enabled on rate changes
  (fate#322003).
- clk: pwm: Use pwm_get_args() where appropriate (fate#322003).
- stmmac: let remove/resume/suspend functions take device pointer
  (fate#322003).
- stmmac: introduce get_stmmac_bsp_priv() helper (fate#322003).
- stmmac: dwmac-rk: turn resume/suspend into standard PM callbacks
  (fate#322003).
- net: stmmac: dwmac-rk: add pd_gmac support for rk3399
  (fate#322003).
- net: stmmac: dwmac-rk: fixes the gmac resume after PD on/off
  (fate#322003).
- net: stmmac: dwmac-rk: add rk3366 & rk3399 specific data
  (fate#322003).
- net: stmmac: dwmac-rk: keep the PHY up for WoL (fate#322003).
- net: arc_emac: make the rockchip emac document more compatible
  (fate#322003).
- net: ethernet: arc: Keep emac compatibility for more Rockchip
  SoCs (fate#322003).
- i2c: rk3x: Restore clock settings at resume time (fate#322003).
- i2c: rk3x: support fast-mode plus for rk3399 (fate#322003).
- i2c: rk3x: add i2c support for rk3399 soc (fate#322003).
- i2c: rk3x: Move spec timing data to "static const" structs
  (fate#322003).
- i2c: rk3x: Change SoC data to not use array (fate#322003).
- i2c: rk3x: use struct "rk3x_i2c_calced_timings" (fate#322003).
- i2c: rk3x: switch to i2c generic dt parsing (fate#322003).
- spi: rockchip: support "sleep" pin configuration (fate#322003).
- spi: rockchip: limit transfers to (64K - 1) bytes (fate#322003).
- spi: rockchip: Signal unfinished DMA transfers (fate#322003).
- spi: rockchip: potential NULL dereference on error
  (fate#322003).
- spi: rockchip: fix probe deferral handling (fate#322003).
- spi: rockchip: Spelling s/divsor/divisor/ (fate#322003).
- spi: rockchip: covert rsd_nsecs to u32 type (fate#322003).
- spi: rockchip: header file cleanup (fate#322003).
- spi: rockchip: check requesting dma channel with EPROBE_DEFER
  (fate#322003).
- spi: rockchip: migrate to dmaengine_terminate_async
  (fate#322003).
- spi: rockchip: check return value of dmaengine_prep_slave_sg
  (fate#322003).
- spi/rockchip: fix endian mode for 16-bit transfers
  (fate#322003).
- spi: rockchip: add bindings for rk3399 spi (fate#322003).
- spi: rockchip: remove xfer_completion from rockchip_spi
  (fate#322003).
- spi: rockchip: add missing spi_master_put (fate#322003).
- spi: rockchip: disable runtime pm when in err case
  (fate#322003).
- spi: rockchip: modify DMA max burst to 1 (fate#322003).
- clocksource/drivers/rockchip: Add support for the rk3399 SoC
  (fate#322003).
- clocksource/drivers/rockchip: Add the dynamic irq flag to the
  timer (fate#322003).
- clocksource/drivers/rockchip: Add err handle for rk_timer_init
  (fate#322003).
- clocksource/drivers/rockchip: Remove dsb() usage (fate#322003).
- cpufreq: dt: Support governor tunables per policy (fate#322003).
- cpufreq: dt: Add terminate entry for of_device_id tables
  (fate#322003).
- cpufreq: dt: call of_node_put() before error out (fate#322003).
- cpufreq: rockchip: Use generic platdev driver (fate#322003).
- cpufreq: dt: Kill platform-data (fate#322003).
- cpufreq: dt: Mark platdev machines array as __initconst
  (fate#322003).
- cpufreq: dt: Add generic platform-device creation support
  (fate#322003).
- mmc: dw_mmc-rockchip: add runtime PM support (fate#322003).
- mmc: sdhci-of-arasan: Properly set corecfg_clockmultiplier on
  rk3399 (fate#322003).
- mmc: sdhci-of-arasan: Properly set corecfg_baseclkfreq on rk3399
  (fate#322003).
- mmc: sdhci-of-arasan: Always power the PHY off/on when clock
  changes (fate#322003).
- mmc: sdhci-of-arasan: fix set_clock when a phy is supported
  (fate#322003).
- mmc: sdhci-of-arasan: add phy support for sdhci-of-arasan
  (fate#322003).
- mmc: dw_mmc: rockchip: Set the drive phase properly
  (fate#322003).
- mmc: dw_mmc-rockchip: add MMC_CAP_CMD23 capabilities
  (fate#322003).
- mmc: dw_mmc-rockchip: remove setup_clock for rockchip
  (fate#322003).
- mmc: dw_mmc-rockchip: fix failing to mount partition with
  "discard" (fate#322003).
- mmc: dw_mmc-rockchip: remove dw_mci_rockchip_pmops
  (fate#322003).
- mmc: dw_mmc: add runtime PM callback (fate#322003).
- nvmem: rockchip-efuse: add rk3399-efuse support (fate#322003).
- nvmem: rockchip-efuse: update compatible strings for Rockchip
  efuse (fate#322003).
- nvmem: rockchip-efuse: remove nvmem regmap dependency
  (fate#322003).
- nvmem: core: remove regmap dependency (fate#322003).
- nvmem: rockchip: trivial: Make the driver more readability
  (fate#322003).
- pwm: rockchip: Add support for atomic update (fate#322003).
- pwm: rockchip: Avoid glitches on already running PWMs
  (fate#322003).
- pwm: rockchip: Add support for hardware readout (fate#322003).
- pwm: rockchip: Fix period and duty cycle approximation
  (fate#322003).
- pwm: Add core infrastructure to allow atomic updates
  (fate#322003).
- pwm: Add hardware readout infrastructure (fate#322003).
- pwm: Move the enabled/disabled info into pwm_state
  (fate#322003).
- pwm: Introduce the pwm_state concept (fate#322003).
- pwm: Keep PWM state in sync with hardware state (fate#322003).
- hwmon: pwm-fan: Use pwm_get_args() where appropriate
  (fate#322003).
- pwm: Get rid of pwm->lock (fate#322003).
- backlight: lm3630a_bl: Stop messing with the pwm->period field
  (fate#322003).
- backlight: pwm_bl: Remove useless call to pwm_set_period()
  (fate#322003).
- pwm: Fix pwm_apply_args() call sites (fate#322003).
- pwm: Introduce the pwm_args concept (fate#322003).
- pinctrl: zynq: Use devm_pinctrl_register() for pinctrl
  registration (fate#322003).
- pinctrl: Add devm_ apis for pinctrl_{register, unregister}
  (fate#322003).
- pinctrl: rockchip: make rockchip_irq_gc_mask_set_bit static
  (fate#322003).
- pinctrl: rockchip: fix pull setting error for rk3399
  (fate#322003).
- pinctrl: rockchip: Use devm_pinctrl_register() for pinctrl
  registration (fate#322003).
- pinctrl: rockchip: add support the get_direction (fate#322003).
- pinctrl: rockchip: add support for the rk3399 (fate#322003).
- PM / Domains: Add support for removing nested PM domains by
  provider (fate#322003).
- PM / Domains: Add support for removing PM domains (fate#322003).
- PM / Domains: Store the provider in the PM domain structure
  (fate#322003).
- PM / Domains: Prepare for adding support to remove PM domains
  (fate#322003).
- PM / Domains: Verify the PM domain is present when adding a
  provider (fate#322003).
- PM / Domains: Don't expose xlate and provider helper functions
  (fate#322003).
- PM / Domains: Don't expose generic_pm_domain structure to
  clients (fate#322003).
- PM / Domains: Add new helper functions for device-tree
  (fate#322003).
- PM / Domains: export symbols to add/remove devices from genpd
  (fate#322003).
- dt-bindings: add power-domain header for RK3399 SoCs
  (fate#322003).
- soc: rockchip: add driver handling grf setup (fate#322003).
- soc: rockchip: power-domain: Support domain control in
  hiword-registers (fate#322003).
- devfreq: rk3399_dmc: Don't use OPP structures outside of RCU
  locks (fate#322003).
- devfreq: rk3399_dmc: Remove dangling rcu_read_unlock()
  (fate#322003).
- PM / devfreq: rk3399_dmc: Use the resource-managed function
  to add devfreq dev (fate#322003).
- PM / devfreq: rockchip-dfi: Fix module autoload (fate#322003).
- PM / devfreq: rk3399_dmc: Fix module autoload (fate#322003).
- soc: rockchip: power-domain: Handle errors from
  of_genpd_add_provider_onecell (fate#322003).
- soc: rockchip: power-domain: use pm_genpd_remove in error
  cleanup (fate#322003).
- soc: rockchip: power-domain: avoid infinite loop (fate#322003).
- ASoC: rockchip: constify snd_soc_ops structures (fate#322003).
- ASoC: rk3399_gru_sound: Fix non static symbol warning
  (fate#322003).
- include: dt-bindings: Add GPIO pin index definition for rockchip
  pinctrl (fate#322003).
- PM / AVS: rockchip-io: make the log more consistent
  (fate#322003).
- soc: rockchip: power-domain: Don't (incorrectly) set rk3399
  up/down counts (fate#322003).
- ASoC: rk3399_gru_sound: fix recording pop at first attempt
  (fate#322003).
- PM / devfreq: rk3399_dmc: Remove explictly regulator_put call
  in .remove (fate#322003).
- PM / devfreq: rockchip: add PM_DEVFREQ_EVENT dependency
  (fate#322003).
- ASoC: rockchip: Support headset button function on rk3399
  (fate#322003).
- ASoC: rockchip: spdif: restore register during
  runtime_suspend/resume cycle (fate#322003).
- ASoC: rockchip: i2s: restore register during
  runtime_suspend/resume cycle (fate#322003).
- PM / devfreq: rockchip: add devfreq driver for rk3399 dmc
  (fate#322003).
- PM / devfreq: event: support rockchip dfi controller
  (fate#322003).
- ASoC: rockchip: use SPI dependency for rt5514 (fate#322003).
- soc: rockchip: add header for ddr rate SIP interface
  (fate#322003).
- usb: dwc3: of-simple: add compatible for rockchip rk3399
  (fate#322003).
- usb: dwc3: fix missing platform_set_drvdata() in
  dwc3_of_simple_probe() (fate#322003).
- usb: dwc3: Remove impossible check for of_clk_get_parent_count()
  < 0 (fate#322003).
- usb: dwc3: of-simple: fix build warning on !PM (fate#322003).
- usb: dwc3: add generic OF glue layer (fate#322003).
- usb: dwc3: rockchip: add devicetree bindings documentation
  (fate#322003).
- ASoC: rockchip: Add support rt5514 dsp summy dailink
  (fate#322003).
- soc: rockchip: support active_wakeup for rockchip power-domains
  (fate#322003).
- soc: rockchip: add reboot-mode header (fate#322003).
- ASoC: rockchip: Add machine driver for RK3399 GRU Boards
  (fate#322003).
- ASoC: rockchip: correct the spdif clk (fate#322003).
- iommu/rockchip: Prepare to support generic DMA mapping
  (fate#322003).
- iommu/rockchip: Use DMA API to manage coherency (fate#322003).
- iommu/rockchip: Fix allocation of bases array in driver probe
  (fate#322003).
- iommu/rockchip: Add map_sg callback for rk_iommu_ops
  (fate#322003).
- iommu/rockchip: Fix devm_{request,free}_irq parameter
  (fate#322003).
- iommu/rockchip: Fix zap cache during device attach
  (fate#322003).
- ASoC: rockchip: i2s: rename I2S_CKR_TRCM_TX/RXSHARE to
  I2S_CKR_TRCM_TX/RXONLY (fate#322003).
- ASoC: rockchip-max98090: Fix jack detection and event reporting
  (fate#322003).
- ASoC: rockchip-max98090: Fix the Headset Mic route
  (fate#322003).
- ASoC: rockchip-max98090: Fix NULL pointer dereference while
  accessing to jack (fate#322003).
- ASoC: rockchip: i2s: configure the sdio pins' iomux mode
  (fate#322003).
- PM / AVS: rockchip-io: make io-domains a child of the GRF
  (fate#322003).
- soc: rockchip: power-domain: support qos save and restore
  (fate#322003).
- ARM: rockchip: Fix use of plain integer as NULL pointer
  (fate#322003).
- soc: rockchip: power-domain: check the existing of regmap
  (fate#322003).
- iommu/rockchip: Fix "is stall active" check (fate#322003).
- iommu/rockchip: Don't feed NULL res pointers to devres
  (fate#322003).
- soc: rockchip: power-domain: Modify power domain driver for
  rk3399 (fate#322003).
- soc: rockchip: power-domain: add support for sub-power domains
  (fate#322003).
- soc: rockchip: power-domain: allow domains only handling idle
  requests (fate#322003).
- soc: rockchip: power-domain: make idle handling optional
  (fate#322003).
- PM / AVS: rockchip-io: add io selectors and supplies for rk3399
  (fate#322003).
- iio: adc: rockchip_saradc: add saradc support for rk3399
  (fate#322003).
- mailbox: rockchip: avoid 64-bit division (fate#322003).
- mailbox: rockchip: Add Rockchip mailbox driver (fate#322003).
- ASoC: rockchip: add bindings for spdif controller (fate#322003).
- ASoC: rockchip: use __maybe_unused to hide st_irq_syscfg_resume
  (fate#322003).
- ASoC: rockchip: i2s: add default values for registers
  (fate#322003).
- ASoC: rockchip: add bindings for rk3399 i2s (fate#322003).
- iommu/rockchip: Reconstruct to support multi slaves
  (fate#322003).
- arm64: Enable the timer on Rockchip architecture (fate#322003).
- ASoC: rockchip: i2s: Add SNDRV_PCM_FMTBIT_S32_LE support
  (fate#322003).
- commit 7f96543
* Fri Feb 10 2017 yousaf.kaukab@suse.com
- supported.conf: add cppc_cpufreq as supported module
- commit f58fe61
* Fri Feb 10 2017 jthumshirn@suse.de
- IB/core: rename pd->local_mr to pd->__internal_mr
  (bnc#1024296,FATE#321265).
- IB/core: add support to create a unsafe global rkey to
  ib_create_pd (bnc#1024296,FATE#321265).
- IB/iser: use IB_PD_UNSAFE_GLOBAL_RKEY (bnc#1024296,FATE#321265).
- IB/srp: use IB_PD_UNSAFE_GLOBAL_RKEY (bnc#1024296,FATE#321265).
- Refresh
  patches.drivers/IB-srpt-Use-a-mutex-to-protect-the-channel-list.patch.
- commit f678828
* Fri Feb 10 2017 hare@suse.de
- genirq/affinity: Handle pre/post vectors in
  irq_calc_affinity_vectors() (bnc#993388,FATE#321732).
- genirq/affinity: Handle pre/post vectors in
  irq_create_affinity_masks() (bnc#993388,FATE#321732).
- commit 23ffede
* Fri Feb 10 2017 hare@suse.de
- genirq/affinity: Fix node generation from cpumask
  (bnc#993388,FATE#321732).
- genirq/affinity: Use default affinity mask for reserved vectors
  (bnc#993388,FATE#321732).
- genirq/affinity: Take reserved vectors into account when
  spreading (bnc#993388,FATE#321732).
- PCI: Remove the irq_affinity mask from struct pci_dev
  (bnc#993388,FATE#321732).
- PCI/MSI: Provide pci_alloc_irq_vectors_affinity()
  (bnc#993388,FATE#321732).
- PCI/MSI: Propagate IRQ affinity description through the MSI code
  (bnc#993388,FATE#321732).
- genirq/affinity: Handle pre/post vectors in
  (bnc#993388,FATE#321732).
- genirq/affinity: Introduce struct irq_affinity
  (bnc#993388,FATE#321732).
- pci/msi: Retrieve affinity for a vector
  (bnc#993388,FATE#321732).
- genirq/affinity: Remove old irq spread infrastructure
  (bnc#993388,FATE#321732).
- genirq/msi: Switch to new irq spreading infrastructure
  (bnc#993388,FATE#321732).
- genirq/affinity: Provide smarter irq spreading infrastructure
  (bnc#993388,FATE#321732).
- genirq/msi: Add cpumask allocation to alloc_msi_entry
  (bnc#993388,FATE#321732).
- PCI: Use positive flags in pci_alloc_irq_vectors()
  (bnc#993388,FATE#321732).
- PCI: Spread interrupt vectors in pci_alloc_irq_vectors()
  (bnc#993388,FATE#321732).
- PCI/MSI: Remove empty pci_msi_init_pci_dev()
  (bnc#993388,FATE#321732).
- PCI/MSI: Initialize MSI capability for all architectures
  (bnc#993388,FATE#321732).
- PCI / PM: check all fields in pci_set_platform_pm()
  (bnc#993388,FATE#321732).
- PCI: Provide sensible IRQ vector alloc/free routines
  (bnc#993388,FATE#321732).
- PCI: Make the "entries" argument to pci_enable_msix() optional
  (bnc#993388,FATE#321732).
- PCI: Switch msix_program_entries() to use pci_msix_desc_addr()
  (bnc#993388,FATE#321732).
- PCI: Add pci_msix_desc_addr() helper (bnc#993388,FATE#321732).
- genirq/affinity: Use get/put_online_cpus around cpumask
  operations (bnc#993388,FATE#321732).
- genirq: Add a helper to spread an affinity mask for MSI/MSI-X
  vectors (bnc#993388,FATE#321732).
- genirq/msi: Make use of affinity aware allocations
  (bnc#993388,FATE#321732).
- genirq: Use affinity hint in irqdesc allocation
  (bnc#993388,FATE#321732).
- genirq: Add affinity hint to irq allocation
  (bnc#993388,FATE#321732).
- genirq: Introduce IRQD_AFFINITY_MANAGED flag
  (bnc#993388,FATE#321732).
- irq: Privatize irq_common_data::state_use_accessors
  (bnc#993388,FATE#321732).
- commit 086ca0a
* Fri Feb 10 2017 hare@suse.de
- Delete
  patches.fixes/genirq-Make-sure-irq-descriptors-really-exist-when-_.patch.
- commit 0d415b3
* Fri Feb 10 2017 jthumshirn@suse.de
- nvme-rdma: only clear queue flags after successful connect
  (bsc#993388, FATE#321732).
- nvme-rdma: fix null pointer dereference on req->mr (bsc#993388,
  FATE#321732).
- nvme-rdma: use ib_client API to detect device removal
  (bsc#993388, FATE#321732).
- nvme-rdma: add DELETING queue flag (bsc#993388, FATE#321732).
- commit 382eb93
* Fri Feb 10 2017 hare@suse.de
- Update config files for NVMe RDMA host driver
- commit 25220d0
* Fri Feb 10 2017 hare@suse.de
- blk-mq: allow the driver to pass in a queue mapping
  (bnc#993388,FATE#321732).
- blk-mq: remove ->map_queue (bnc#993388,FATE#321732).
- nvme/quirk: Add a delay before checking device ready for
  memblaze (bnc#993388,FATE#321732).
- nvme: Don't suspend admin queue that wasn't created
  (bnc#993388,FATE#321732).
- nvme: Fix nvme_get/set_features() with a NULL result pointer
  (bnc#993388,FATE#321732).
- nvme: Prevent controller state invalid transition
  (bnc#993388,FATE#321732).
- nvme: Suspend all queues before deletion
  (bnc#993388,FATE#321732).
- nvme/pci: Provide SR-IOV support (bnc#993388,FATE#321732).
- nvme: initialize variable before logical OR'ing it
  (bnc#993388,FATE#321732).
- NVMe: don't allocate unused nvme_major (bnc#993388,FATE#321732).
- nvme: avoid crashes when node 0 is memoryless node
  (bnc#993388,FATE#321732).
- nvme: Limit command retries (bnc#993388,FATE#321732).
- nvme-loop: fix nvme-loop Kconfig dependencies
  (bnc#993388,FATE#321732).
- nvmet: fix return value check in nvmet_subsys_alloc()
  (bnc#993388,FATE#321732).
- nvme-fabrics: add-remove ctrl repeat fix
  (bnc#993388,FATE#321732).
- nvme-fabrics: Remove tl_retry_count (bnc#993388,FATE#321732).
- nvme-rdma: Don't use tl_retry_count (bnc#993388,FATE#321732).
- nvme-rdma: fix the return value of nvme_rdma_reinit_request()
  (bnc#993388,FATE#321732).
- nvme-rdma: add a NVMe over Fabrics RDMA host driver
  (bnc#993388,FATE#321732).
- commit 52d04ee
* Fri Feb 10 2017 colyli@suse.de
- Fix a regression reported by bsc#1020048 in
  patches.fixes/0003-md-lockless-I-O-submission-for-RAID1.patch
  (bsc#982783,bsc#998106,bsc#1020048).
- commit c1e6b30
* Thu Feb  9 2017 jroedel@suse.de
- x86/platform/UV: Clean up the NMI code to match current coding
  style (bsc#1023866).
- x86/platform/UV: Ensure uv_system_init is called when necessary
  (bsc#1023866).
- x86/platform/UV: Initialize PCH GPP_D_0 NMI Pin to be NMI source
  (bsc#1023866).
- x86/platform/UV: Verify NMI action is valid, default is standard
  (bsc#1023866).
- x86/platform/UV: Add basic CPU NMI health check (bsc#1023866).
- x86/platform/UV: Add Support for UV4 Hubless NMIs (bsc#1023866).
- x86/platform/UV: Add Support for UV4 Hubless systems
  (bsc#1023866).
- x86/platform/UV: Clean up the UV APIC code (bsc#1023866).
- x86/platform/UV: Fix panic with missing UVsystab support
  (bsc#1023866).
- x86/platform/UV: Fix 2 socket config problem (bsc#1023866).
- x86/apic/uv: Silence a shift wrapping warning (bsc#1023866).
- commit 0f2acf5
* Thu Feb  9 2017 hare@suse.de
- i40iw: Add NULL check for puda buffer (bnc#1024376,FATE#321249).
- i40iw: Change dup_ack_thresh to u8 (bnc#1024376,FATE#321249).
- i40iw: Remove unnecessary check for moving CQ head
  (bnc#1024376,FATE#321249).
- i40iw: Simplify code to set fragments in SQ WQE
  (bnc#1024376,FATE#321249).
- i40iw: Remove unnecessary parameter to i40iw_cq_poll_completion
  (bnc#1024376,FATE#321249).
- i40iw: Do not access pointer after free
  (bnc#1024376,FATE#321249).
- i40iw: Correct and use size parameter to i40iw_reg_phys_mr
  (bnc#1024376,FATE#321249).
- i40iw: Fix return codes (bnc#1024376,FATE#321249).
- i40iw: Enable remote access rights for stag allocation
  (bnc#1024376,FATE#321249).
- i40iw: do not print unitialized variables in error message
  (bnc#1024376,FATE#321249).
- i40iw: Enable level-1 PBL for fast memory registration
  (bnc#1024376,FATE#321249).
- i40iw: Return correct max_fast_reg_page_list_len
  (bnc#1024376,FATE#321249).
- i40iw: Correct status check on i40iw_get_pble
  (bnc#1024376,FATE#321249).
- i40iw: Correct CQ arming (bnc#1024376,FATE#321249).
- commit ce25a02
* Thu Feb  9 2017 jthumshirn@suse.de
- libnvdimm, namespace: fix pmem namespace leak, delete when
  size set to zero (FATE#321135, FATE#321217, FATE#321256,
  FATE#321391, FATE#321393).
- Update config files.
- pmem: return EIO on read_pmem() failure (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- libnvdimm: fix mishandled nvdimm_clear_poison() return
  value (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm: replace mutex_is_locked() warnings with
  lockdep_assert_held (FATE#321135, FATE#321217, FATE#321256,
  FATE#321391, FATE#321393).
- tools/testing/nvdimm: unit test acpi_nfit_ctl() (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- acpi, nfit: validate ars_status output buffer size (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- acpi, nfit: fix extended status translations for ACPI
  DSMs (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm, e820: use module_platform_driver (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- libnvdimm, namespace: use octal for permissions (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- libnvdimm, namespace: avoid multiple sector calculations
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm: remove else after return in nsio_rw_bytes()
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm, namespace: fix the type of name variable
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- nvdimm: use the right length of "pmem" (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- libnvdimm: check and clear poison before writing to pmem
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- pmem: report error on clear poison failure (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- libnvdimm, namespace: potential NULL deref on allocation
  error (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- tools/testing/nvdimm: dynamic label support (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- libnvdimm: allow a platform to force enable label support
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm: use generic iostat interfaces (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- dax: add region 'id', 'size', and 'align' attributes
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- device-dax: fix private mapping restriction, permit read-only
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm: use consistent naming for request_mem_region()
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- nvdimm: make CONFIG_NVDIMM_DAX 'bool' (FATE#321135, FATE#321217,
  FATE#321256, FATE#321391, FATE#321393).
- dax: use correct dev_t value (FATE#321135, FATE#321217,
  FATE#321256, FATE#321391, FATE#321393).
- dax: convert devm_create_dax_dev to PTR_ERR (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- dax: check resource alignment at dax region/device create
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- dax: define a unified inode/address_space for device-dax
  mappings (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- dax: unmap/truncate on device shutdown (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- dax: convert to the cdev api (FATE#321135, FATE#321217,
  FATE#321256, FATE#321391, FATE#321393).
- dax: embed a struct device in dax_dev (FATE#321135, FATE#321217,
  FATE#321256, FATE#321391, FATE#321393).
- dax: rename fops from dax_dev_ to dax_ (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- dax: reorder dax_fops function definitions (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- dax: cleanup needlessly global symbol warnings (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- dax: use devm_add_action_or_reset() (FATE#321135, FATE#321217,
  FATE#321256, FATE#321391, FATE#321393).
- libnvdimm, namespace: allow creation of multiple pmem-namespaces
  per region (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm, namespace: lift single pmem limit in scan_labels()
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm, namespace: filter out of range labels in
  scan_labels() (FATE#321135, FATE#321217, FATE#321256,
  FATE#321391, FATE#321393).
- libnvdimm, namespace: enable allocation of multiple pmem
  namespaces (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm, namespace: update label implementation for
  multi-pmem (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm, namespace: expand pmem device naming scheme for
  multi-pmem (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm, region: update nd_region_available_dpa() for
  multi-pmem support (FATE#321135, FATE#321217, FATE#321256,
  FATE#321391, FATE#321393).
- libnvdimm, namespace: sort namespaces by dpa at init
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm, namespace: allow multiple pmem-namespaces per
  region at scan time (FATE#321135, FATE#321217, FATE#321256,
  FATE#321391, FATE#321393).
- tools/testing/nvdimm: support for sub-dividing a pmem
  region (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm, namespace: unify blk and pmem label scanning
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm, namespace: refactor uuid_show() into a
  namespace_to_uuid() helper (FATE#321135, FATE#321217,
  FATE#321256, FATE#321391, FATE#321393).
- libnvdimm, label: convert label tracking to a linked list
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm, region: move region-mapping input-paramters to
  nd_mapping_desc (FATE#321135, FATE#321217, FATE#321256,
  FATE#321391, FATE#321393).
- nvdimm: reduce duplicated wpq flushes (FATE#321135, FATE#321217,
  FATE#321256, FATE#321391, FATE#321393).
- libnvdimm: clear the internal poison_list when clearing
  badblocks (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- pmem: reduce kmap_atomic sections to the memcpys only
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- nfit: don't start a full scrub by default for an MCE
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm, region: fix flush hint table thinko (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- nvdimm: remove duplicate nd_mapping declaration (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- libnvdimm, namespace: debug invalid interleave-set-cookie
  values (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- tools/testing/nvdimm: test get_config_size DSM failures
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm: fix devm_nvdimm_memremap() error path (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- tools/testing/nvdimm: fix allocation range for mock flush hint
  tables (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- nvdimm: fix PHYS_PFN/PFN_PHYS mixup (FATE#321135, FATE#321217,
  FATE#321256, FATE#321391, FATE#321393).
- libnvdimm: allow legacy (e820) pmem region to clear bad
  blocks (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- nfit, mce: Fix SPA matching logic in MCE handler (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- nvdimm: Spelling s/unacknoweldged/unacknowledged/ (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- tools/testing/nvdimm: unit test for acpi_nvdimm_notify()
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- acpi, nfit: add dimm device notification support (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- tools/testing/nvdimm: unit test for acpi_nfit_notify()
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- nvdimm, btt: add a size attribute for BTTs (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- commit c6f260b
* Thu Feb  9 2017 hare@suse.de
- IB/ipoib: Support SendOnlyFullMember MCG for SendOnly join
  (bnc#1022595,FATE#322350).
- IB/core: Support new type of join-state for multicast
  (bnc#1022595,FATE#322350).
- IB/SA Agent: Add support for SA agent get ClassPortInfo
  (bnc#1022595,FATE#322350).
- IB/core: Introduce capabilitymask2 field in ClassPortInfo mad
  (bnc#1022595,FATE#322350).
- IB/ipoib: Report SG feature regardless of HW UD CSUM capability
  (bnc#1022595,FATE#322350).
- IB/IPoIB: Disable bottom half when dealing with device address
  (bnc#1022595,FATE#322350).
- IB/IPoIB: Fix race between ipoib_remove_one to sysfs functions
  (bnc#1022595,FATE#322350).
- IB/IPoIB: Allow setting the device address
  (bnc#1022595,FATE#322350).
- net/bonding: Enforce active-backup policy for IPoIB bonds
  (bnc#1022595,FATE#322350).
- commit 262c385
* Thu Feb  9 2017 nborisov@suse.com
- xfs: fix broken multi-fsb buffer logging (bsc#1024081).
- commit 7d96834
* Thu Feb  9 2017 hare@suse.de
- IB/isert: convert to the generic RDMA READ/WRITE API
  (bnc#993388,FATE#321732).
- iser-target: Use ib_drain_qp (bnc#993388,FATE#321732).
- iser-target: Kill the ->isert_cmd back pointer in struct
  iser_tx_desc (bnc#993388,FATE#321732).
- iser-target: Kill struct isert_rdma_wr (bnc#993388,FATE#321732).
- iser-target: Convert to new CQ API (bnc#993388,FATE#321732).
- iser-target: Split and properly type the login buffer
  (bnc#993388,FATE#321732).
- iser-target: Remove ISER_RECV_DATA_SEG_LEN
  (bnc#993388,FATE#321732).
- iser-target: Remove impossible condition from isert_wait_conn
  (bnc#993388,FATE#321732).
- iser-target: Remove redundant wait in release_conn
  (bnc#993388,FATE#321732).
- IB/srpt: convert to the generic RDMA READ/WRITE API
  (bnc#993388,FATE#321732).
- target: enhance and export target_alloc_sgl/target_free_sgl
  (bnc#993388,FATE#321732).
- IB/srp: Do not register memory if never_register has been set
  (bnc#993388,FATE#321732).
- IB/srp: Prevent mapping failures (bnc#993388,FATE#321732).
- IB/srp: Swap two code blocks in srp_add_one()
  (bnc#993388,FATE#321732).
- IB/core: Enhance ib_map_mr_sg() (bnc#993388,FATE#321732).
- IB/srp: Fix srp_create_target() error handling
  (bnc#993388,FATE#321732).
- IB/srp: Fix a memory descriptor leak in an error path
  (bnc#993388,FATE#321732).
- IB/srp: Print "ib_srp: " prefix once (bnc#993388,FATE#321732).
- IB/core: add RW API support for signature MRs
  (bnc#993388,FATE#321732).
- commit 9dbb12b
* Thu Feb  9 2017 hare@suse.de
- net: Generalise wq_has_sleeper helper (bnc#1024296,FATE#321265).
- Refresh patches.drivers/0002-Soft-RoCE-driver.patch.
- Refresh
  patches.drivers/0068-IB-core-Add-passing-an-offset-into-the-SG-to-ib_map_.patch.
- commit a4badbe
* Thu Feb  9 2017 hare@suse.de
- IB/ipoib: Add readout of statistics using ethtool
  (bnc#1022595,FATE#322350).
- infiniband/ulp/ipoib: remove pkey_mutex
  (bnc#1022595,FATE#322350).
- IB/core: Add passing an offset into the SG to ib_map_mr_sg
  (bnc#1024296,FATE#321265).
- commit b1fb5b7
* Thu Feb  9 2017 hare@suse.de
- i40iw: pass hw_stats by reference rather than by value
  (bnc#1024296,FATE#321265).
- i40iw: Remove unnecessary synchronize_irq() before free_irq()
  (bnc#1024296,FATE#321265).
- i40iw: constify i40iw_vf_cqp_ops structure
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Fix for removing quad hash entries
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Fix for checking if the QP is destroyed
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Fix for using one sge for RDMA READ
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Fix for the size of kernel mode SQ
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Fix for a NOP WQE size (bnc#1024296,FATE#321265).
- RDMA/i40iw: Correct STag mask to min of 14 bits
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Fixes for WQE alignment (bnc#1024296,FATE#321265).
- RDMA/i40iw: Adding queue drain functions
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Fix SD calculation for initial HMC creation
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Fix endian issues and warnings
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Add base memory management extensions
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Initialize max enabled vfs variable
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Correct return code check in add_pble_pool
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Add virtual channel message queue
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Remove unused code and fix warning
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Populate vendor_id and vendor_part_id fields
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Set vendor_err only if there is an actual error
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Add qp table lock around AE processing
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Do not set self-referencing pointer to NULL after
  free (bnc#1024296,FATE#321265).
- RDMA/i40iw: Correct max message size in query port
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Fix refused connections (bnc#1024296,FATE#321265).
- RDMA/i40iw: Correct QP size calculation
  (bnc#1024296,FATE#321265).
- RDMA/i40iw: Fix overflow of region length
  (bnc#1024296,FATE#321265).
- commit b9a24e9
* Thu Feb  9 2017 hare@suse.de
- ib_srpt: fix a WARN_ON() message (bnc#1024296,FATE#321265).
- IB/srpt: Fix wait list processing (bnc#1024296,FATE#321265).
- IB/srpt: Introduce srpt_process_wait_list()
  (bnc#1024296,FATE#321265).
- IB/srpt: Log out all initiators if a port is disabled
  (bnc#1024296,FATE#321265).
- IB/srpt: Fix srpt_write_pending() (bnc#1024296,FATE#321265).
- IB/srpt: Detect session shutdown reliably
  (bnc#1024296,FATE#321265).
- IB/srpt: Use a mutex to protect the channel list
  (bnc#1024296,FATE#321265).
- IB/srpt: Log private data associated with REJ
  (bnc#1024296,FATE#321265).
- IB/srpt: Eliminate srpt_find_channel()
  (bnc#1024296,FATE#321265).
- IB/srpt: Inline trivial CM callback functions
  (bnc#1024296,FATE#321265).
- IB/srpt: Fix how aborted commands are processed
  (bnc#1024296,FATE#321265).
- IB/srpt: Fix srpt_handle_cmd() error paths
  (bnc#1024296,FATE#321265).
- IB/srpt: Fix srpt_close_session() (bnc#1024296,FATE#321265).
- IB/srpt: Simplify srpt_shutdown_session()
  (bnc#1024296,FATE#321265).
- IB/srpt: Simplify channel state management
  (bnc#1024296,FATE#321265).
- IB/srpt: Use scsilun_to_int() (bnc#1024296,FATE#321265).
- IB/srpt: Introduce target_reverse_dma_direction()
  (bnc#1024296,FATE#321265).
- IB/srpt: Inline srpt_get_ch_state() (bnc#1024296,FATE#321265).
- IB/srpt: Inline srpt_sdev_name() (bnc#1024296,FATE#321265).
- IB/srpt: Remove struct srpt_node_acl (bnc#1024296,FATE#321265).
- IB/srpt: Add parentheses around sizeof argument
  (bnc#1024296,FATE#321265).
- IB/srp: Move common code into the caller
  (bnc#1024296,FATE#321265).
- IB/srp: Move code out of a loop (bnc#1024296,FATE#321265).
- IB/srp: Avoid that mapping failure triggers an infinite loop
  (bnc#1024296,FATE#321265).
- IB/srp: Introduce target->mr_pool_size
  (bnc#1024296,FATE#321265).
- IB/srp: Fix srp_map_data() error paths
  (bnc#1024296,FATE#321265).
- IB/srp: Document srp_map_data() return value
  (bnc#1024296,FATE#321265).
- IB/srp: Fix a comment (bnc#1024296,FATE#321265).
- IB/srp: Fix a spelling error in a source code comment
  (bnc#1024296,FATE#321265).
- IB/core: Don't drain non-existent rq queue-pair
  (bnc#1024296,FATE#321265).
- IB/{core, ulp} Support above 32 possible device capability flags
  (bnc#1024296,FATE#321265).
- IB/core: Replace setting the zero values in
  ib_uverbs_ex_query_device (bnc#1024296,FATE#321265).
- iw_cxgb4: handle draining an idle qp (bnc#1024296,FATE#321265).
- net/9p: convert to new CQ API (bnc#1024296,FATE#321265).
- iser: Accept arbitrary sg lists mapping if the device supports
  it (bnc#1024296,FATE#321265).
- IB/core: Documentation fix in the MAD header file
  (bnc#1024296,FATE#321265).
- IB/core: Use GRH when the path hop-limit > 0
  (bnc#1024296,FATE#321265).
- IB/core: Replace memset with eth_zero_addr
  (bnc#1024296,FATE#321265).
- IB/core: Modify conditional on ucontext existence
  (bnc#1024296,FATE#321265).
- IB/core: IB/core: Allow legacy verbs through extended interfaces
  (bnc#1024296,FATE#321265).
- IB/core: Avoid duplicate code (bnc#1024296,FATE#321265).
- IB/ipoib: Add handling for sending of skb with many frags
  (bnc#1024296,FATE#321265).
- IB/cma: Print warning on different inner and header P_Keys
  (bnc#1024296,FATE#321265).
- commit 3fad826
* Wed Feb  8 2017 bpoirier@suse.com
- sfc: refactor debug-or-warnings printks (bsc#1019168).
- net: implement netif_cond_dbg macro (bsc#1019168).
- commit 24ee917
* Wed Feb  8 2017 hare@suse.de
- IB/iser: Use ib_drain_sq() (bnc#1024296,FATE#321265).
- IB/srp: Use ib_drain_rq() (bnc#1024296,FATE#321265).
- iw_cxgb4: add queue drain functions (bnc#1024296,FATE#321265).
- IB/sa: Fix netlink local service GFP crash
  (bnc#1024296,FATE#321265).
- IB/srpt: Remove redundant wc array (bnc#1024296,FATE#321265).
- IB/core: Use hop-limit from IP stack for RoCE
  (bnc#1024296,FATE#321265).
- IB/core: Rename rdma_addr_find_dmac_by_grh
  (bnc#1024296,FATE#321265).
- IB/srpt: Fix the RDMA completion handlers
  (bnc#1024296,FATE#321265).
- IB/core: Remove set-but-not-used variable from ib_sg_to_pages()
  (bnc#1024296,FATE#321265).
- IB/mad: use CQ abstraction (bnc#1024296,FATE#321265).
- IB/mad: pass ib_mad_send_buf explicitly to the recv_handler
  (bnc#1024296,FATE#321265).
- IB/iser: Support the remote invalidation exception
  (bnc#1024296,FATE#321265).
- IB/iser: Change the increment rkey flow logic
  (bnc#1024296,FATE#321265).
- IB/isert: Support the remote invalidation exception
  (bnc#1024296,FATE#321265).
- IB/isert: Declare correct flags when accepting a connection
  (bnc#1024296,FATE#321265).
- IB/isert: Remove unused file iser_proto.h
  (bnc#1024296,FATE#321265).
- IB/iser,isert: Create and use new shared header
  (bnc#1024296,FATE#321265).
- IB/iser: set intuitive values for mr_valid
  (bnc#1024296,FATE#321265).
- IB/iser: Don't register memory for all immediate data writes
  (bnc#1024296,FATE#321265).
- IB/iser: Reuse ib_sg_to_pages (bnc#1024296,FATE#321265).
- IB/iser: Fix module init not cleaning up on error flow
  (bnc#1024296,FATE#321265).
- IB/core: constify mmu_notifier_ops structures
  (bnc#1024296,FATE#321265).
- IB/iser: constify iser_reg_ops structure
  (bnc#1024296,FATE#321265).
- RDMA/nes: constify nes_cm_ops structure
  (bnc#1024296,FATE#321265).
- commit 9b20a70
* Wed Feb  8 2017 yousaf.kaukab@suse.com
- serial: support 16-bit register interface for console
  (fate#322061).
- Refresh
  patches.arch/arm64-0007-serial-earlycon-Common-log-banner-for-command-line-a.patch.
- Refresh
  patches.arch/arm64-0008-serial-earlycon-Show-the-earlycon-driver-in-banner.patch.
- Refresh
  patches.arch/arm64-0009-serial-8250_early-Use-port-regshift.patch.
- commit 2879aab
* Wed Feb  8 2017 jthumshirn@suse.de
- devm: add helper devm_add_action_or_reset() (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- libnvdimm: use devm_add_action_or_reset() (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- libnvdimm: IS_ERR() usage cleanup (FATE#321135, FATE#321217,
  FATE#321256, FATE#321391, FATE#321393).
- tools/testing/nvdimm: add pfn device dependency (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- block: Add vfs_msg() interface (FATE#321135, FATE#321217,
  FATE#321256, FATE#321391, FATE#321393).
- dax: enable dax in the presence of known media errors
  (badblocks) (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm, pmem: allow nfit_test to override
  pmem_direct_access() (FATE#321135, FATE#321217, FATE#321256,
  FATE#321391, FATE#321393).
- tools/testing/nvdimm: replace CONFIG_DMA_CMA dependency with
  vmalloc() (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm: initialize struct blk_integrity with 0 (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- tools/testing/nvdimm: remove __wrap_devm_memremap_pages
  placeholder (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm: introduce devm_nvdimm_memremap(), convert
  nfit_spa_map() users (FATE#321135, FATE#321217, FATE#321256,
  FATE#321391, FATE#321393).
- libnvdimm, nfit: remove nfit_spa_map() infrastructure
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- nfit: always associate flush hints (FATE#321135, FATE#321217,
  FATE#321256, FATE#321391, FATE#321393).
- libnvdimm, nfit: move flush hint mapping to region-device
  driver-data (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- tools/testing/nvdimm: simulate multiple flush hints per-dimm
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm: keep region data alive over namespace removal
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm: introduce nvdimm_flush() and nvdimm_has_flush()
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm: cycle flush hints (FATE#321135, FATE#321217,
  FATE#321256, FATE#321391, FATE#321393).
- libnvdimm, pmem: use REQ_FUA, REQ_FLUSH for nvdimm_flush()
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm, pmem: flush posted-write queues on shutdown
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm, pmem: use nvdimm_flush() for namespace I/O
  writes (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- pmem: kill __pmem address space (FATE#321135, FATE#321217,
  FATE#321256, FATE#321391, FATE#321393).
- tools/testing/nvdimm: add virtual ramdisk range (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- tools/testing/nvdimm: add manufacturing_{date|location} dimm
  properties (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- nfit: cleanup acpi_nfit_init calling convention (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- libnvdimm: move ->module to struct nvdimm_bus_descriptor
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- nfit, tools/testing/nvdimm/: unify shutdown paths (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- pmem: clarify a debug print in pmem_clear_poison (FATE#321135,
  FATE#321217, FATE#321256, FATE#321391, FATE#321393).
- libnvdimm: register nvdimm_bus devices with an nd_bus
  driver (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- nfit, libnvdimm: allow an ARS scrub to be triggered on
  demand (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- nfit: move to nfit/ sub-directory (FATE#321135, FATE#321217,
  FATE#321256, FATE#321391, FATE#321393).
- nfit: do an ARS scrub on hitting a latent media error
  (FATE#321135, FATE#321217, FATE#321256, FATE#321391,
  FATE#321393).
- libnvdimm-btt: Delete an unnecessary check before the function
  call "__nd_device_register" (FATE#321135, FATE#321217,
  FATE#321256, FATE#321391, FATE#321393).
- Refresh
  patches.drivers/0017-pmem-dax-disable-dax-in-the-presence-of-bad-blocks.patch.
- Refresh
  patches.drivers/0143-block-convert-to-device_add_disk.patch.
- Refresh
  patches.drivers/0171-mm-block-convert-rw_page-users-to-bio-op-use.patch.
- Refresh
  patches.drivers/0172-block-mm-make-bdev_ops-rw_page-take-a-bool-for-read-.patch.
- Refresh patches.drivers/dax-Remove-zeroing-from-dax_io.patch.
- Refresh
  patches.drivers/dm-add-infrastructure-for-DAX-support.patch.
- Refresh patches.drivers/dm-error-add-DAX-support.patch.
- Refresh patches.drivers/dm-linear-add-DAX-support.patch.
- Refresh
  patches.drivers/dm-snap-add-fake-origin_direct_access.patch.
- Refresh patches.drivers/dm-stripe-add-DAX-support.patch.
- commit 6f97c96
* Wed Feb  8 2017 mkubecek@suse.cz
- ip6_gre: fix ip6gre_err() invalid reads (CVE-2017-5897
  bsc#1023762).
- commit a1054d1
* Wed Feb  8 2017 bp@suse.de
- x86/mce/AMD: Fix HWID_MCATYPE calculation by grouping arguments
  (fate#322164).
- x86/ras/amd: Make sysfs names of banks more user-friendly
  (fate#322164).
- commit 4e80da9
* Wed Feb  8 2017 hare@suse.de
- dm rq: add DM_MAPIO_DELAY_REQUEUE to delay requeue of blk-mq
  requests (bnc#1023798,FATE#321463).
- dm: convert wait loops to use autoremove_wake_function()
  (bnc#1023798,FATE#321463).
- dm: use signal_pending_state() in dm_wait_for_completion()
  (bnc#1023798,FATE#321463).
- dm: rename task state function arguments
  (bnc#1023798,FATE#321463).
- dm: add two lockdep_assert_held() statements
  (bnc#1023798,FATE#321463).
- dm rq: simplify dm_old_stop_queue() (bnc#1023798,FATE#321463).
- dm rq: take request_queue lock while clearing QUEUE_FLAG_STOPPED
  (bnc#1023798,FATE#321463).
- dm rq: factor out dm_mq_stop_queue() (bnc#1023798,FATE#321463).
- commit bb43481
* Wed Feb  8 2017 hare@suse.de
- blk-mq: only allocate a single mq_map per tag_set
  (bnc#1023798,FATE#321463).
- blk-mq: don't redistribute hardware queues on a CPU hotplug
  event (bnc#1023798,FATE#321463).
- blk-mq: introduce blk_mq_delay_kick_requeue_list()
  (bnc#1023798,FATE#321463).
- block: remove IOPRIO_BITS (bnc#1023798,FATE#321463).
- bio.h: remove a very outdated comment (bnc#1023798,FATE#321463).
- block: remove bio_destructor_t (bnc#1023798,FATE#321463).
- block: Improve bio_set_op_attrs() robustness
  (bnc#1023798,FATE#321463).
- block, dm-crypt, btrfs: Introduce bio_flags()
  (bnc#1023798,FATE#321463).
- block: Document that bio_op() uses the data type of bio.bi_opf
  (bnc#1023798,FATE#321463).
- block: remove remnant refs to hardsect
  (bnc#1023798,FATE#321463).
- block: remove blk_mq_alloc_single_hw_queue() prototype
  (bnc#1023798,FATE#321463).
- block_dev: remove DAX leftovers (bnc#1023798,FATE#321463).
- block: enable zeroing of io_poll statistics
  (bnc#1023798,FATE#321463).
- block: add poll_considered statistic (bnc#1023798,FATE#321463).
- blk-mq: prefetch request in blk_mq_tag_to_rq()
  (bnc#1023798,FATE#321463).
- blk-mq: improve layout of blk_mq_hw_ctx
  (bnc#1023798,FATE#321463).
- blk-mq: turn hctx->run_work into a regular work struct
  (bnc#1023798,FATE#321463).
- block: add kblockd_schedule_work_on() (bnc#1023798,FATE#321463).
- workqueue: add cancel_work() (bnc#1023798,FATE#321463).
- block: Fix secure erase (bnc#1023798,FATE#321463).
- bvec: avoid variable shadowing warning
  (bnc#1023798,FATE#321463).
- block: bio: kill BIO_MAX_SIZE (bnc#1023798,FATE#321463).
- block: drbd: avoid to use BIO_MAX_SIZE
  (bnc#1023798,FATE#321463).
- block: bio: remove BIO_MAX_SECTORS (bnc#1023798,FATE#321463).
- fs: xfs: replace BIO_MAX_SECTORS with BIO_MAX_PAGES
  (bnc#1023798,FATE#321463).
- iov_iter: use bvec iterator to implement iterate_bvec()
  (bnc#1023798,FATE#321463).
- block: mark 1st parameter of bvec_iter_advance as const
  (bnc#1023798,FATE#321463).
- block: move two bvec structure into bvec.h
  (bnc#1023798,FATE#321463).
- block: move bvec iterator into include/linux/bvec.h
  (bnc#1023798,FATE#321463).
- mm, writeback: flush plugged IO in wakeup_flusher_threads()
  (bnc#1023798,FATE#321463).
- block: rename bio bi_rw to bi_opf (bnc#1023798,FATE#321463).
- commit 16c4808
* Wed Feb  8 2017 nborisov@suse.com
- xfs: don't allow di_size with high bit set (bsc#1024234).
- commit c984264
* Wed Feb  8 2017 jthumshirn@suse.de
- libnvdimm, pfn: enable pfn sysfs interface unit testing
  (FATE319858).
- Refresh
  patches.drivers/0088-nfit-libnvdimm-clarify-commands-vs-dsms.patch.
- commit a1d0d01
* Wed Feb  8 2017 nborisov@suse.com
- xfs: fix up xfs_swap_extent_forks inline extent handling (bsc#1023888).
- commit a1ff368
* Wed Feb  8 2017 dchang@suse.com
- net: ethtool: Initialize buffer when querying device channel
  settings (bsc#969479 FATE#320634).
- commit 8ab2137
* Tue Feb  7 2017 yousaf.kaukab@suse.com
- ACPI / CPPC: Fix per-CPU pointer management in
  acpi_cppc_processor_probe() (fate#319482).
- ACPI / CPPC: Fix crash in acpi_cppc_processor_exit()
  (fate#319482).
- ACPI / CPPC: set an error code on probe error path
  (fate#319482).
- mailbox: PCC: Fix lockdep warning when request PCC channel
  (fate#319482).
- cpufreq / CPPC: Add MODULE_DEVICE_TABLE for cppc_cpufreq driver
  (fate#319482).
- mailbox: PCC: Fix return value of pcc_mbox_request_channel()
  (fate#319482).
- cpufreq: CPPC: Correct desired_perf calculation (fate#319482).
- ACPI / CPPC: Support PCC with interrupt flag (fate#319482).
- cpufreq: CPPC: Avoid overflow when calculating desired_perf
  (fate#319482).
- cpufreq: CPPC: Force reporting values in KHz to fix user space
  interface (fate#319482).
- ACPI / CPPC: Add prefix cppc to cpudata structure name
  (fate#319482).
- ACPI / CPPC: Add support for functional fixed hardware address
  (fate#319482).
- ACPI / CPPC: check for error bit in PCC status field
  (fate#319482).
- ACPI / CPPC: move all PCC related information into pcc_data
  (fate#319482).
- ACPI / CPPC: add sysfs support to compute delivered performance
  (fate#319482).
- ACPI / CPPC: set a non-zero value for transition_latency
  (fate#319482).
- ACPI / CPPC: support for batching CPPC requests (fate#319482).
- ACPI / CPPC: acquire pcc_lock only while accessing PCC subspace
  (fate#319482).
- ACPI / CPPC: restructure read/writes for efficient sys mapped
  reg ops (fate#319482).
- mailbox: pcc: Support HW-Reduced Communication Subspace type 2
  (fate#319482).
- mailbox: pcc: Add PCC request and free channel declarations
  (fate#319482).
- cpufreq: ACPI / CPPC: Add module support for cppc_cpufreq driver
  (fate#319482).
- mailbox: pcc: Don't access an unmapped memory address space
  (fate#319482).
- ACPI / CPPC: use MRTT/MPAR to decide if/when a req can be sent
  (fate#319482).
- ACPI / CPPC: replace writeX/readX to PCC with relaxed version
  (fate#319482).
- mailbox: pcc: optimized pcc_send_data (fate#319482).
- ACPI / CPPC: optimized cpc_read and cpc_write (fate#319482).
- ACPI / CPPC: Optimize PCC Read Write operations (fate#319482).
- ACPI / CPPC: remove redundant mbox_send_message() declaration
  (fate#319482).
- mailbox: pcc: fix channel calculation in get_pcc_channel()
  (fate#319482).
- ACPICA: ACPI 6.1: Support for new PCCT subtable (fate#319482).
- ACPICA: iASL/Headers: Fix incorrect definition of FPDT table
  (fate#319482).
- net: ethernet: apm: xgene: use new api
  ethtool_{get|set}_link_ksettings (fate#319482).
- Documentation: Add documentation for APM X-Gene SoC PMU DTS
  binding (fate#319482).
- MAINTAINERS: Add entry for APM X-Gene SoC PMU driver
  (fate#319482).
- Documentation: dtb: xgene: Add hwmon dts binding documentation
  (fate#319482).
- hwmon: (xgene) access mailbox as RAM (fate#319482).
- hwmon: (xgene) Fix crash when alarm occurs before driver probe
  (fate#319482).
- hwmon: Add xgene hwmon driver (fate#319482).
- ACPI: enable ACPI_PROCESSOR_IDLE on ARM64 (fate#319482).
- arm64: add support for ACPI Low Power Idle(LPI) (fate#319482).
- drivers: firmware: psci: initialise idle states using ACPI LPI
  (fate#319482).
- cpuidle: introduce CPU_PM_CPU_IDLE_ENTER macro for ARM{32, 64}
  (fate#319482).
- arm64: cpuidle: drop __init section marker to arm_cpuidle_init
  (fate#319482).
- ACPI / processor_idle: Add support for Low Power Idle(LPI)
  states (fate#319482).
- ACPI / processor_idle: introduce ACPI_PROCESSOR_CSTATE
  (fate#319482).
- ACPI / sleep: move acpi_processor_sleep to sleep.c
  (fate#319482).
- ACPI / processor_idle: replace PREFIX with pr_fmt (fate#319482).
- ACPI / processor : add support for ACPI0010 processor container
  (fate#319482).
- drivers: firmware: psci: unify enable-method binding on ARM
  {64,32}-bit systems (fate#319482).
- drivers: firmware: psci: make two helper functions inline
  (fate#319482).
- drivers: firmware: psci: make two helper functions static
  (fate#319482).
- drivers: firmware: psci: drop duplicate const from psci_of_match
  (fate#319482).
- drivers: firmware: psci: use const and __initconst for
  psci_cpuidle_ops (fate#319482).
- ARM: 8511/1: ARM64: kernel: PSCI: move PSCI idle management
  code to drivers/firmware (fate#319482).
- ARM: 8481/2: drivers: psci: replace psci firmware calls
  (fate#319482).
- ARM: 8480/2: arm64: add implementation for arm-smccc
  (fate#319482).
- ARM: 8479/2: add implementation for arm-smccc (fate#319482).
- ARM: 8478/2: arm/arm64: add arm-smccc (fate#319482).
- commit 3709e85
* Tue Feb  7 2017 tiwai@suse.de
- iwlwifi: Expose the default fallback ucode API to module info
  (boo#1021082, boo#1023884).
- commit 8b5039d
* Tue Feb  7 2017 yousaf.kaukab@suse.com
- Update config files (fate#319482)
  Enable ACPI CPPC and LPI support for arm64.
  A side effect of LPI patch set is that CONFIG_ACPI_PROCESSOR_CSTATE
  is introduced to encapsulate all the code supporting the old style
  C-states. So it is enabled for x86_64 configs.
- commit 4be3cb2
* Tue Feb  7 2017 hare@suse.de
- dm: add infrastructure for DAX support
  (bnc#1023798,FATE#321463).
- dm: allow bio-based table to be upgraded to bio-based with DAX
  (bnc#1023798,FATE#321463).
- dm btree: fix a bug in dm_btree_find_next_single()
  (bnc#1023798,FATE#321463).
- dm bufio: remove use of deprecated
  create_singlethread_workqueue() (bnc#1023798,FATE#321463).
- dm: call PR reserve/unreserve on each underlying device
  (bnc#1023798,FATE#321463).
- dm crypt: Fix sparse complaints (bnc#1023798,FATE#321463).
- dm crypt: fix free of bad values after tfm allocation failure
  (bnc#1023798,FATE#321463).
- dm crypt: increase mempool reserve to better support swapping
  (bnc#1023798,FATE#321463).
- dm error: add DAX support (bnc#1023798,FATE#321463).
- dm: fix second blk_delay_queue() parameter to be in msec units
  not (bnc#1023798,FATE#321463).
- dm ioctl: Simplify parameter buffer management code
  (bnc#1023798,FATE#321463).
- dm linear: add DAX support (bnc#1023798,FATE#321463).
- dm log: fix unitialized bio operation flags
  (bnc#1023798,FATE#321463).
- dm: move request-based code out to dm-rq
  (bnc#1023798,FATE#321463).
- dm mpath: add locking to multipath_resume and must_push_back
  (bnc#1023798,FATE#321463).
- dm mpath: add optional "queue_mode" feature
  (bnc#1023798,FATE#321463).
- dm mpath: reinstate bio-based support (bnc#1023798,FATE#321463).
- dm mpath: remove bio-based bloat from struct dm_mpath_io
  (bnc#1023798,FATE#321463).
- dm raid: add comments and fix typos (bnc#1023798,FATE#321463).
- dm raid: add missing "dm-raid0" module alias
  (bnc#1023798,FATE#321463).
- dm raid: add new reshaping/raid10 format table line options to
  (bnc#1023798,FATE#321463).
- dm raid: add prerequisite functions and definitions for
  reshaping (bnc#1023798,FATE#321463).
- dm raid: add raid level takeover support
  (bnc#1023798,FATE#321463).
- dm raid: add reshaping support to the target
  (bnc#1023798,FATE#321463).
- dm raid: address checkpatch.pl complaints
  (bnc#1023798,FATE#321463).
- dm raid: allow resize during recovery (bnc#1023798,FATE#321463).
- dm raid: also reject size change during recovery
  (bnc#1023798,FATE#321463).
- dm raid: avoid superfluous memory barriers on static metadata
  (bnc#1023798,FATE#321463).
- dm raid: bump to v1.9.0 and make the extended SB feature flag
  reflect (bnc#1023798,FATE#321463).
- dm raid: change logical functions to actually return bool
  (bnc#1023798,FATE#321463).
- dm raid: check constructor arguments for invalid raid
  level/argument (bnc#1023798,FATE#321463).
- dm raid: clarify and fix recovery (bnc#1023798,FATE#321463).
- dm raid: cleanup / provide infrastructure
  (bnc#1023798,FATE#321463).
- dm raid: constructor fails on non-zero incompat_features
  (bnc#1023798,FATE#321463).
- dm raid: don't use 'const' in function return
  (bnc#1023798,FATE#321463).
- dm raid: enhance attempt_restore_of_faulty_devices() to support
  more (bnc#1023798,FATE#321463).
- dm raid: enhance comments in takeover checks
  (bnc#1023798,FATE#321463).
- dm raid: enhance reshape check and factor out reshape setup
  (bnc#1023798,FATE#321463).
- dm raid: enhance status interface and fixup takeover/raid0
  (bnc#1023798,FATE#321463).
- dm raid: enhance super_sync() to support new superblock members
  (bnc#1023798,FATE#321463).
- dm raid: fix ctr memory leaks on error paths
  (bnc#1023798,FATE#321463).
- dm raid: fix failed takeover/reshapes by keeping raid set frozen
  (bnc#1023798,FATE#321463).
- dm raid: fix frozen recovery regression
  (bnc#1023798,FATE#321463).
- dm raid: fix new superblock/bitmap creation on disk addition
  (bnc#1023798,FATE#321463).
- dm raid: fix processing of max_recovery_rate constructor flag
  (bnc#1023798,FATE#321463).
- dm raid: fix raid10 device size error on out-of-place reshape
  (bnc#1023798,FATE#321463).
- dm raid: fix random optimal_io_size for raid0
  (bnc#1023798,FATE#321463).
- dm raid: fix rebuild and catch bogus sync/resync flags
  (bnc#1023798,FATE#321463).
- dm raid: fix restoring of failed devices regression
  (bnc#1023798,FATE#321463).
- dm raid: fix rs_is_recovering() to allow for lvextend
  (bnc#1023798,FATE#321463).
- dm raid: fix rs_set_capacity on growing reshape
  (bnc#1023798,FATE#321463).
- dm raid: fix typo in write_mostly flag
  (bnc#1023798,FATE#321463).
- dm raid: fix use of wrong status char during resynchronization
  (bnc#1023798,FATE#321463).
- dm raid: introduce extended superblock and new raid types to
  support (bnc#1023798,FATE#321463).
- dm raid: inverse check for flags from invalid to valid flags
  (bnc#1023798,FATE#321463).
- dm raid: make rs_set_capacity to work on shrinking reshape
  (bnc#1023798,FATE#321463).
- dm raid: more restricting data_offset value checks
  (bnc#1023798,FATE#321463).
- dm raid: more use of flag testing wrappers
  (bnc#1023798,FATE#321463).
- dm raid: prohibit 'nosync' on new raid6 and reject resize during
  (bnc#1023798,FATE#321463).
- dm raid: prohibit to pass in both sync and nosync ctr flags
  (bnc#1023798,FATE#321463).
- dm raid: reject too many write_mostly devices
  (bnc#1023798,FATE#321463).
- dm raid: remove all the bitops wrappers
  (bnc#1023798,FATE#321463).
- dm raid: remove bogus comment and fix comment typos
  (bnc#1023798,FATE#321463).
- dm raid: remove ti_error_* wrappers (bnc#1023798,FATE#321463).
- dm raid: rename _argname_by_flag to dm_raid_arg_name_by_flag
  (bnc#1023798,FATE#321463).
- dm raid: rename _in_range to __within_range
  (bnc#1023798,FATE#321463).
- dm raid: rename functions that alloc and free struct raid_set
  (bnc#1023798,FATE#321463).
- dm raid: rename variable 'ret' to 'r' to conform to other dm
  code (bnc#1023798,FATE#321463).
- dm raid: support delta_disks for raid1, fix table output
  (bnc#1023798,FATE#321463).
- dm raid: support raid0 with missing metadata devices
  (bnc#1023798,FATE#321463).
- dm raid: support to change bitmap region size
  (bnc#1023798,FATE#321463).
- dm raid: tabify appropriate whitespace
  (bnc#1023798,FATE#321463).
- dm raid: the sync_page_io() metadata_op argument is bool
  (bnc#1023798,FATE#321463).
- dm raid: use dm_arg_set API in constructor
  (bnc#1023798,FATE#321463).
- dm raid: use rdev_for_each in status (bnc#1023798,FATE#321463).
- dm raid: use rs->raid_disks to avoid memory leaks on free
  (bnc#1023798,FATE#321463).
- dm raid: use rt_is_raid*() in all appropriate checks
  (bnc#1023798,FATE#321463).
- dm raid: various code cleanups (bnc#1023798,FATE#321463).
- dm round robin: do not use this_cpu_ptr() without having
  preemption (bnc#1023798,FATE#321463).
- dm rq: check kthread_run return for .request_fn request-based DM
  (bnc#1023798,FATE#321463).
- dm rq: fix the starting and stopping of blk-mq queues
  (bnc#1023798,FATE#321463).
- dm snap: add fake origin_direct_access
  (bnc#1023798,FATE#321463).
- dm stripe: add DAX support (bnc#1023798,FATE#321463).
- dm thin: fix a race condition between discarding and
  provisioning a (bnc#1023798,FATE#321463).
- dm verity fec: fix block calculation (bnc#1023798,FATE#321463).
- Refresh
  patches.drivers/0108-dm-pass-dm-stats-data-dir-instead-of-bi_rw.patch.
- Refresh patches.drivers/0112-md-use-bio-op-accessors.patch.
- Refresh patches.drivers/0122-drivers-use-req-op-accessor.patch.
- Refresh
  patches.drivers/0128-block-drivers-add-REQ_OP_FLUSH-operation.patch.
- commit 27e6fa2
* Tue Feb  7 2017 msuchanek@suse.de
- powerpc/ptrace: Preserve previous TM fprs/vsrs on short regset
  write (fate#318470, [2017-01-30] Pending SUSE Kernel Fixes).
- commit a3dd25e
* Tue Feb  7 2017 msuchanek@suse.de
- powerpc/ptrace: Fix coredump since ptrace TM changes
  (fate#318470, [2017-01-30] Pending SUSE Kernel Fixes).
- commit 4e3270b
* Tue Feb  7 2017 msuchanek@suse.de
- powerpc/perf: Fix PM_BRU_CMPL event code for power9
  (fate#321438, [2017-01-30] Pending SUSE Kernel Fixes).
- commit 98d24d6
* Tue Feb  7 2017 jthumshirn@suse.de
- nvmet-rdma: add a NVMe over Fabrics RDMA target driver
  (FATE#321732).
- Update config files.
- supported.conf: add NVMe over Fabrics to supported.conf
- nvme-rdma.h: Add includes for nvme rdma_cm negotiation
  (FATE#321732).
- nvme: add new reconnecting controller state (FATE#321732).
- nvmet: fix an error code (FATE#321732).
- nvme-loop: add configfs dependency (FATE#321732).
- nvme-loop: add a NVMe loopback host driver (FATE#321732).
- nvmet: add a generic NVMe target (FATE#321732).
- nvme: add keep-alive support (FATE#321732).
- nvme.h: Add keep-alive opcode and identify controller attribute
  (FATE#321732).
- nvme-fabrics: add a generic NVMe over Fabrics library
  (FATE#321732).
- nvme.h: add NVMe over Fabrics definitions (FATE#321732).
- nvme: add fabrics sysfs attributes (FATE#321732).
- nvme: Modify and export sync command submission for fabrics
  (FATE#321732).
- nvme: allow transitioning from NEW to LIVE state (FATE#321732).
- nvme: move nvme_cancel_request() to common code (FATE#321732).
- commit d5799b0
* Tue Feb  7 2017 hare@suse.de
- target: iblock_execute_sync_cache() should use
  bio_set_op_attrs() (bnc#1023798,FATE#321463).
- mm: make __swap_writepage() use bio_set_op_attrs()
  (bnc#1023798,FATE#321463).
- block/mm: make bdev_ops->rw_page() take a bool for read/write
  (bnc#1023798,FATE#321463).
- mm/block: convert rw_page users to bio op use
  (bnc#1023798,FATE#321463).
- blk-mq: fix deadlock in blk_mq_register_disk() error path
  (bnc#1023798,FATE#321463).
- Include: blkdev: Removed duplicate 'struct request;' declaration
  (bnc#1023798,FATE#321463).
- Fixup direct bi_rw modifiers (bnc#1023798,FATE#321463).
- blkcg: kill unused field nr_undestroyed_grps
  (bnc#1023798,FATE#321463).
- block: remove BLK_DEV_DAX config option
  (bnc#1023798,FATE#321463).
- block: Fix front merge check (bnc#1023798,FATE#321463).
- block: do not merge requests without consulting with io
  scheduler (bnc#1023798,FATE#321463).
- block: Fix spelling in a source code comment
  (bnc#1023798,FATE#321463).
- block: expose QUEUE_FLAG_DAX in sysfs (bnc#1023798,FATE#321463).
- block: add QUEUE_FLAG_DAX for devices to advertise their DAX
  support (bnc#1023798,FATE#321463).
- block: unexport various bio mapping helpers
  (bnc#1023798,FATE#321463).
- scsi/osd: open code blk_make_request (bnc#1023798,FATE#321463).
- target: stop using blk_make_request (bnc#1023798,FATE#321463).
- block: simplify and export blk_rq_append_bio
  (bnc#1023798,FATE#321463).
- block: ensure bios return from blk_get_request are properly
  (bnc#1023798,FATE#321463).
- virtio_blk: use blk_rq_map_kern (bnc#1023798,FATE#321463).
- memstick: don't allow REQ_TYPE_BLOCK_PC requests
  (bnc#1023798,FATE#321463).
- block: shrink bio size again (bnc#1023798,FATE#321463).
- block: simplify and cleanup bvec pool handling
  (bnc#1023798,FATE#321463).
- block: get rid of bio_rw and READA (bnc#1023798,FATE#321463).
- block: don't ignore -EOPNOTSUPP blkdev_issue_write_same
  (bnc#1023798,FATE#321463).
- block: introduce BLKDEV_DISCARD_ZERO to fix zeroout
  (bnc#1023798,FATE#321463).
- block: atari: Return early for unsupported sector size
  (bnc#1023798,FATE#321463).
- blk-mq: Introduce blk_mq_reinit_tagset
  (bnc#1023798,FATE#321463).
- block: Export blk_poll (bnc#1023798,FATE#321463).
- commit 61c70d4
* Tue Feb  7 2017 jthumshirn@suse.de
- IB/srpt: chain RDMA READ/WRITE requests (FATE#321732).
- IB/srp: use the new CQ API (FATE#321732).
- IB/iser: Use a dedicated descriptor for login (FATE#321732).
- IB/iser: Use helper for container_of (FATE#321732).
- IB/iser: Convert to CQ abstraction (FATE#321732).
- IB/core: Avoid calling ib_query_device (FATE#321732).
- IB/ulps: Avoid calling ib_query_device (FATE#321732).
- net/rds: Avoid calling ib_query_device (FATE#321732).
- xprtrdma: Avoid calling ib_query_device (FATE#321732).
- IB/core: Remove ib_query_device (FATE#321732).
- IB/cma: pass the port number to ib_create_qp (FATE#321732).
- IB/core: add a helper to check for READ WITH INVALIDATE support
  (FATE#321732).
- IB/core: refactor ib_create_qp (FATE#321732).
- IB/core: add a simple MR pool (FATE#321732).
- IB/core: add a need_inval flag to struct ib_mr (FATE#321732).
- IB/core: generic RDMA READ/WRITE API (FATE#321732).
- IB: new common API for draining queues (FATE#321732).
- Refresh
  patches.fixes/iser-0001-IB-iser-Fix-max_sectors-calculation.patch.
- Refresh
  patches.suse/kgr-0019-mark-task_safe-in-non-upstream-kthreads.patch.
- commit ec3639c
* Tue Feb  7 2017 jslaby@suse.cz
- Linux 4.4.47 (bnc#1012382).
- kABI: protect struct tcp_fastopen_cookie (kabi).
- commit 4171cc6
* Tue Feb  7 2017 jeffm@suse.com
- btrfs: fix btrfs_compat_ioctl failures on non-compat ioctls
  (bsc#1018100).
- commit 2c0de77
* Mon Feb  6 2017 dbueso@suse.de
- locking/rtmutex: Flip unlikely() branch to likely() in
  __rt_mutex_slowlock() (bsc#969756).
- tick/broadcast: Reduce lock cacheline contention (bsc#1019618).
- commit c05ce7f
* Mon Feb  6 2017 jroedel@suse.de
- kvm: vmx: check apicv is active before using VT-d posted
  interrupt (bsc#1023838).
- commit f614970
* Mon Feb  6 2017 hare@suse.de
- Refresh patches.drivers/0109-dm-use-bio-op-accessors.patch.
- commit 8c97cae
* Mon Feb  6 2017 hare@suse.de
- dm ioctl: drop use of __GFP_REPEAT in copy_params()'s
  __vmalloc() (bnc#1023798,FATE#321463).
- dm raid: make sure no feature flags are set in metadata
  (bnc#1023798,FATE#321463).
- dm: remove unused mapped_device argument from free_tio()
  (bnc#1023798,FATE#321463).
- dm thin: Remove return statement from void function
  (bnc#1023798,FATE#321463).
- dm thin: remove __bio_inc_remaining() and switch to using
  (bnc#1023798,FATE#321463).
- dm thin: unroll issue_discard() to create longer discard bio
  chains (bnc#1023798,FATE#321463).
- dm thin: use __blkdev_issue_discard for async discard support
  (bnc#1023798,FATE#321463).
- Refresh
  patches.drivers/0086-block-fs-drivers-remove-rw-argument-from-submit_bio.patch.
- Refresh
  patches.drivers/0094-block-discard-use-bio-set-op-accessor.patch.
- Refresh
  patches.drivers/0134-block-add-a-separate-operation-type-for-secure-erase.patch.
- commit 3b42ef7
* Mon Feb  6 2017 tiwai@suse.de
- Update config files: add missing CONFIG_SG_POOL=y
- commit 1d05694
* Mon Feb  6 2017 jack@suse.cz
- blacklist.conf: Blacklist fscrypt fix
- commit 221ec34
* Mon Feb  6 2017 jthumshirn@suse.de
- new helper: memdup_user_nul() (bsc#1023764).
- scsi: replace "scsi_data_buffer" with "sg_table" in SG functions
  (bsc#1023764).
- scsi: replace "mq" with "first_chunk" in SG functions
  (bsc#1023764).
- scsi: rename SG related struct and functions (bsc#1023764).
- scsi: rename SCSI_MAX_{SG, SG_CHAIN}_SEGMENTS (bsc#1023764).
- lib: scatterlist: move SG pool code from SCSI driver to
  lib/sg_pool.c (bsc#1023764).
- Refresh
  patches.drivers/0011-irq_poll-make-blk-iopoll-available-outside-the-block-layer.patch.
- commit 582b3c5
* Mon Feb  6 2017 ohering@suse.de
- Add mainline tags to two hyperv patches
- commit 5cd52e6
* Mon Feb  6 2017 gqjiang@suse.com
- md: ensure md devices are freed before module is unloaded
  (bsc#1022304).
- commit 13cca67
* Sat Feb  4 2017 bpoirier@suse.com
- sfc: reduce severity of PIO buffer alloc failures (bsc#1019168).
- commit 5732374
* Sat Feb  4 2017 mcgrof@suse.com
- xfs: fix buffer overflow dm_get_dirattrs/dm_get_dirattrs2 (bsc#989056).
- commit 29fd46c
* Fri Feb  3 2017 bpoirier@suse.com
- clocksource: Use a plain u64 instead of cycle_t (bsc#1022912
  FATE#321246).
- e1000: use disable_hardirq() for e1000_netpoll() (bsc#1022912
  FATE#321246).
- ethernet/intel: use core min/max MTU checking (bsc#1022912
  FATE#321246).
- net: deprecate eth_change_mtu, remove usage (bsc#1022912
  FATE#321246).
- net: centralize net_device min/max MTU checking (bsc#1022912
  FATE#321246).
- ptp_clock: future-proofing drivers against PTP subsystem
  becoming optional (bsc#1022912 FATE#321246).
- e1000e: fix PTP on e1000_pch_lpt variants (bsc#1022912
  FATE#321246).
- e1000e: factor out systim sanitization (bsc#1022912
  FATE#321246).
- ethernet/intel: Use pci_(request|release)_mem_regions
  (bsc#1022912 FATE#321246).
- PCI: Add helpers to request/release memory and I/O regions
  (bsc#1022912 FATE#321246).
- e1000e: keep Rx/Tx HW_VLAN_CTAG in sync (bsc#1022912
  FATE#321246).
- e1000e: prevent division by zero if TIMINCA is zero (bsc#1022912
  FATE#321246).
- e1000e: keep VLAN interfaces functional after rxvlan off
  (bsc#1022912 FATE#321246).
- e1000e: don't modify SYSTIM registers during SIOCSHWTSTAMP ioctl
  (bsc#1022912 FATE#321246).
- e1000e: mark shifted values as unsigned (bsc#1022912
  FATE#321246).
- e1000e: use BIT() macro for bit defines (bsc#1022912
  FATE#321246).
- e1000e: e1000e_cyclecounter_read(): do overflow check only if
  needed (bsc#1022912 FATE#321246).
- e1000e: e1000e_cyclecounter_read(): fix er32(SYSTIML) overflow
  check (bsc#1022912 FATE#321246).
- e1000e: e1000e_cyclecounter_read(): incvalue is 32 bits, not 64
  (bsc#1022912 FATE#321246).
- e1000e: Cleanup consistency in ret_val variable usage
  (bsc#1022912 FATE#321246).
- e1000e: fix ethtool autoneg off for non-copper (bsc#1022912
  FATE#321246).
- drivers: replace dev->trans_start accesses with dev_trans_start
  (bsc#1022912 FATE#321246).
- e1000e: call ndo_stop() instead of dev_close() when running
  offline selftest (bsc#1022912 FATE#321246).
- commit ac27f23
* Fri Feb  3 2017 oneukum@suse.com
- crypto: qat - fix bar discovery for c62x (bsc#1021251).
- commit d22fbe2
* Fri Feb  3 2017 oneukum@suse.com
- crypto: qat - zero esram only for DH85x devices (1021248).
- commit df40528
* Fri Feb  3 2017 jthumshirn@suse.de
- scsi: pmcraid: Add missing resource releases (FATE#321672).
- scsi: pmcraid: mark symbols static where possible (FATE#321672).
- commit 075f8de
* Fri Feb  3 2017 hare@suse.de
- blk-mq: add blk_mq_alloc_request_hctx (bnc#1003941,FATE#321732).
- block: remove ->driverfs_dev (bnc#1003941,FATE#321732).
- block: convert to device_add_disk() (bnc#1003941,FATE#321732).
- um: track 'parent' device in a local variable
  (bnc#1003941,FATE#321732).
- mmc: move 'parent' tracking to mmc_blk_data
  (bnc#1003941,FATE#321732).
- block: introduce device_add_disk() (bnc#1003941,FATE#321732).
- blktrace: avoid using timespec (bnc#1003941,FATE#321732).
- block/blk-cgroup.c: Declare local symbols static
  (bnc#1003941,FATE#321732).
- block/bio-integrity.c: Add #include "blk.h"
  (bnc#1003941,FATE#321732).
- block/partition-generic.c: Remove a set-but-not-used variable
  (bnc#1003941,FATE#321732).
- cfq-iosched: temporarily boost queue priority for idle classes
  (bnc#1003941,FATE#321732).
- block: add a separate operation type for secure erase
  (bnc#1003941,FATE#321732).
- block: better packing for struct request
  (bnc#1003941,FATE#321732).
- mg_disk: fix enum REQ_OP_ kbuild error
  (bnc#1003941,FATE#321732).
- ext4: use bio op helprs in ext4 crypto code
  (bnc#1003941,FATE#321732).
- block, drivers, fs: rename REQ_FLUSH to REQ_PREFLUSH
  (bnc#1003941,FATE#321732).
- block: do not use REQ_FLUSH for tracking flush support
  (bnc#1003941,FATE#321732).
- block, drivers: add REQ_OP_FLUSH operation
  (bnc#1003941,FATE#321732).
- block, fs, drivers: remove REQ_OP compat defs and related code
  (bnc#1003941,FATE#321732).
- block, drivers, fs: shrink bi_rw from long to int
  (bnc#1003941,FATE#321732).
- block: move bio io prio to a new field
  (bnc#1003941,FATE#321732).
- ide cd: do not set REQ_WRITE on requests
  (bnc#1003941,FATE#321732).
- blktrace: use op accessors (bnc#1003941,FATE#321732).
- drivers: use req op accessor (bnc#1003941,FATE#321732).
- block: convert is_sync helpers to use REQ_OPs
  (bnc#1003941,FATE#321732).
- block: convert merge/insert code to check for REQ_OPs
  (bnc#1003941,FATE#321732).
- blkg_rwstat: separate op from flags (bnc#1003941,FATE#321732).
- block: prepare elevator to use REQ_OPs
  (bnc#1003941,FATE#321732).
- block: prepare mq request creation to use REQ_OPs
  (bnc#1003941,FATE#321732).
- block: prepare request creation/destruction code to use REQ_OPs
  (bnc#1003941,FATE#321732).
- block: copy bio op to request op (bnc#1003941,FATE#321732).
- xen: use bio op accessors (bnc#1003941,FATE#321732).
- target: use bio op accessors (bnc#1003941,FATE#321732).
- md: use bio op accessors (bnc#1003941,FATE#321732).
- drbd: use bio op accessors (bnc#1003941,FATE#321732).
- bcache: use bio op accessors (bnc#1003941,FATE#321732).
- dm: use bio op accessors (bnc#1003941,FATE#321732).
- dm: pass dm stats data dir instead of bi_rw
  (bnc#1003941,FATE#321732).
- pm: use bio op accessors (bnc#1003941,FATE#321732).
- ocfs2: use bio op accessors (bnc#1003941,FATE#321732).
- nilfs: use bio op accessors (bnc#1003941,FATE#321732).
- mpage: use bio op accessors (bnc#1003941,FATE#321732).
- hfsplus: use bio op accessors (bnc#1003941,FATE#321732).
- xfs: use bio op accessors (bnc#1003941,FATE#321732).
- gfs2: use bio op accessors (bnc#1003941,FATE#321732).
- f2fs: use bio op accessors (bnc#1003941,FATE#321732).
- btrfs: use bio fields for op and flags
  (bnc#1003941,FATE#321732).
- btrfs: update __btrfs_map_block for REQ_OP transition
  (bnc#1003941,FATE#321732).
- btrfs: use bio op accessors (bnc#1003941,FATE#321732).
- btrfs: have submit_one_bio users use bio op accessors
  (bnc#1003941,FATE#321732).
- direct-io: use bio set/get op accessors
  (bnc#1003941,FATE#321732).
- block discard: use bio set op accessor
  (bnc#1003941,FATE#321732).
- block, fs, mm, drivers: use bio set/get op accessors
  (bnc#1003941,FATE#321732).
- bcache: use op_is_write instead of checking for REQ_WRITE
  (bnc#1003941,FATE#321732).
- dm: use op_is_write instead of checking for REQ_WRITE
  (bnc#1003941,FATE#321732).
- block, drivers, cgroup: use op_is_write helper instead of
  checking (bnc#1003941,FATE#321732).
- fs: have ll_rw_block users pass in op and flags separately
  (bnc#1003941,FATE#321732).
- fs: have submit_bh users pass in op and flags separately
  (bnc#1003941,FATE#321732).
- block: add REQ_OP definitions and helpers
  (bnc#1003941,FATE#321732).
- block/fs/drivers: remove rw argument from submit_bio
  (bnc#1003941,FATE#321732).
- blktrace: add missed mask name (bnc#1003941,FATE#321732).
- blktrace: delete garbage for message trace
  (bnc#1003941,FATE#321732).
- block: copy NOMERGE flag from bio to request
  (bnc#1003941,FATE#321732).
- skd: remove broken discard support (bnc#1003941,FATE#321732).
- block: kill off q->flush_flags (bnc#1003941,FATE#321732).
- nbd: switch to using blk_queue_write_cache()
  (bnc#1003941,FATE#321732).
- block: kill blk_queue_flush() (bnc#1003941,FATE#321732).
- um: switch to using blk_queue_write_cache()
  (bnc#1003941,FATE#321732).
- mtd: switch to using blk_queue_write_cache()
  (bnc#1003941,FATE#321732).
- mmc/block: switch to using blk_queue_write_cache()
  (bnc#1003941,FATE#321732).
- md: update to using blk_queue_write_cache()
  (bnc#1003941,FATE#321732).
- ide-disk: update to using blk_queue_write_cache()
  (bnc#1003941,FATE#321732).
- xen-blkfront: switch to using blk_queue_write_cache()
  (bnc#1003941,FATE#321732).
- dm: switch to using blk_queue_write_cache()
  (bnc#1003941,FATE#321732).
- bcache: switch to using blk_queue_write_cache()
  (bnc#1003941,FATE#321732).
- virtio_blk: switch to using blk_queue_write_cache()
  (bnc#1003941,FATE#321732).
- ps3disk: switch to using blk_queue_write_cache()
  (bnc#1003941,FATE#321732).
- skd_main: switch to using blk_queue_write_cache()
  (bnc#1003941,FATE#321732).
- osdblk: switch to using blk_queue_write_cache()
  (bnc#1003941,FATE#321732).
- loop: switch to using blk_queue_write_cache()
  (bnc#1003941,FATE#321732).
- drbd: switch to using blk_queue_write_cache()
  (bnc#1003941,FATE#321732).
- sd: switch to using blk_queue_write_cache()
  (bnc#1003941,FATE#321732).
- fix the copy vs. map logics in blk_rq_map_user_iov()
  (bnc#1003941,FATE#321732).
- block-dev: enable writeback cgroup support
  (bnc#1003941,FATE#321732).
- block: support large requests in blk_rq_map_user_iov
  (bnc#1003941,FATE#321732).
- block: kill disk_{check|set|clear|alloc}_badblocks
  (bnc#1003941,FATE#321732).
- commit e521ead
* Fri Feb  3 2017 ohering@suse.de
- Drivers: hv: vmbus: finally fix hv_need_to_signal_on_read()
  (fate#320485, bug#1018385).
- commit d3358a1
* Fri Feb  3 2017 gqjiang@suse.com
- md: fix refcount problem on mddev when stopping array
  (bsc#1022304).
- commit 0663598
* Fri Feb  3 2017 gqjiang@suse.com
- md-cluster: convert the completion to wait queue (fate#316335).
- md-cluster: protect md_find_rdev_nr_rcu with rcu lock
  (fate#316335).
- Refresh
  patches.suse/0029-md-cluster-call-md_kick_rdev_from_array-once-ack-fai.patch.
- Refresh
  patches.suse/0030-md-cluster-use-FORCEUNLOCK-in-lockres_free.patch.
- Refresh
  patches.suse/0031-md-cluster-remove-some-unnecessary-dlm_unlock_sync.patch.
- Update
  patches.suse/0032-md-cluster-introduce-dlm_lock_sync_interruptible-to-.patch.
- Refresh
  patches.suse/0033-md-changes-for-MD_STILL_CLOSED-flag.patch.
- Refresh
  patches.suse/0034-md-cluster-make-resync-lock-also-could-be-interruptt.patch.
- Refresh
  patches.suse/0035-md-cluster-clean-related-infos-of-cluster.patch.
- commit 276640b
* Thu Feb  2 2017 fdmanana@suse.com
- Btrfs: fix number of transaction units for renames with whiteout
  (bsc#1020975).
- Btrfs: pin logs earlier when doing a rename exchange operation
  (bsc#1020975).
- Btrfs: unpin logs if rename exchange operation fails
  (bsc#1020975).
- Btrfs: fix inode leak on failure to setup whiteout inode in
  rename (bsc#1020975).
- Btrfs: pin log earlier when renaming (bsc#1020975).
- Btrfs: unpin log if rename operation fails (bsc#1020975).
- commit cb9eb4a
* Thu Feb  2 2017 fdmanana@suse.com
- Move btrfs rename patch away from SUSE specific section
  This is a patch that was already upstream before we integrated into our
  kernels, so it should not be in the "SUSE specific" section.
- commit 96099b0
* Thu Feb  2 2017 msuchanek@suse.de
- powerpc/fadump: Fix the race in crash_fadump() (bsc#1022971).
- commit b0a61c5
* Thu Feb  2 2017 mgorman@suse.de
- blacklist.conf: Commit 2df26639e708 causes user-visible change that may confuse monitors
- commit 22bd2e3
* Thu Feb  2 2017 mgorman@suse.de
- mm, page_alloc: fix premature OOM when racing with cpuset mems
  update (bnc#971975 VM performance -- page allocator).
- mm, page_alloc: move cpuset seqcount checking to slowpath
  (bnc#971975 VM performance -- page allocator).
- mm, page_alloc: fix fast-path race with cpuset update or removal
  (bnc#971975 VM performance -- page allocator).
- mm, page_alloc: fix check for NULL preferred_zone (bnc#971975
  VM performance -- page allocator).
- mm, page_alloc: keep pcp count and list contents in sync
  if struct page is corrupted (bnc#971975 VM performance --
  page allocator).
- commit 44166b1
* Thu Feb  2 2017 jthumshirn@suse.de
- nvdimm: kabi protect nd_cmd_out_size() (bsc#1023175).
- commit 9945257
* Thu Feb  2 2017 jthumshirn@suse.de
- IB/rxe: Prevent from completer to operate on non valid QP
  (FATE#322149).
- IB/rxe: Fix rxe dev insertion to rxe_dev_list (FATE#322149).
- MAINTAINERS: Fix Soft RoCE location (FATE#322149).
- commit 87d591b
* Thu Feb  2 2017 jthumshirn@suse.de
- blacklist.conf: ff681022c663 has worng Fixes reference
- commit 024656c
* Thu Feb  2 2017 mkubecek@suse.cz
- Update patches.kernel.org/patch-4.4.7-8 references (add CVE-2016-7117 bsc#1003077).
- commit 2b50f9c
* Thu Feb  2 2017 jthumshirn@suse.de
- Refresh
  patches.drivers/hpsa-use-bus-3-for-legacy-HBA-devices.patch.
- Refresh
  patches.fixes/scsi-Do-not-attach-VPD-to-devices-that-don-t-support.patch.
  Update patch meta data.
- commit c32fd7a
* Thu Feb  2 2017 jthumshirn@suse.de
- block: Change extern inline to static inline (bsc#1023175).
- libnvdimm, pfn: fix align attribute (bsc#1023175).
- acpi, nfit: fix bus vs dimm confusion in xlat_status
  (bsc#1023175).
- nfit: fail DSMs that return non-zero status by default
  (bsc#1023175).
- acpi, nfit: validate ars_status output buffer size
  (bsc#1023175).
- acpi, nfit, libnvdimm: fix / harden ars_status output length
  handling (bsc#1023175).
- device-dax: check devm_nsio_enable() return value (bsc#1023175).
- device-dax: fix percpu_ref_exit ordering (bsc#1023175).
- dax: fix device-dax region base (bsc#1023175).
- device-dax: fail all private mapping attempts (bsc#1023175).
- commit fc6e16b
* Thu Feb  2 2017 jthumshirn@suse.de
- blacklist.conf: add 1b8d2afde54f libnvdimm, pfn: fix ARCH=alpha allmodconfig
  build failure (bsc#1023175).
- commit 9fc635f
* Thu Feb  2 2017 yousaf.kaukab@suse.com
- Update config files.
- commit d0ca443
* Wed Feb  1 2017 yousaf.kaukab@suse.com
- arm64: net: thunderx: prepare to update from mainline
- Delete
  patches.arch/arm64-0001-net-thunderx-Set-recevie-buffer-page-usage-count-in-.patch.
- Delete
  patches.arch/arm64-0002-net-thunderx-Adjust-nicvf-structure-to-reduce-cache-.patch.
- Delete
  patches.arch/arm64-2-2-net-thunderx-Fix-TL4-configuration-for-secondary-Qsets.patch.
- Delete
  patches.arch/arm64-net-thunderx-Alloc-higher-order-pages-when-pagesize-.patch.
- Delete
  patches.arch/arm64-net-thunderx-Assign-affinity-hints-to-vf-s-interrupt.patch.
- Delete
  patches.arch/arm64-net-thunderx-Cleanup-PHY-probing-code.patch.
- Delete
  patches.arch/arm64-net-thunderx-Don-t-leak-phy-device-references-on-EPR.patch.
- Delete
  patches.arch/arm64-net-thunderx-Fix-broken-of_node_put-code.patch.
- Delete
  patches.arch/arm64-net-thunderx-Fix-for-HW-TSO-not-enabled-for-secondar.patch.
- Delete
  patches.arch/arm64-net-thunderx-bgx-Add-log-message-when-setting-mac-ad.patch.
- Delete patches.arch/arm64-net-thunderx-bgx-dont-use-mdio.patch.
- Delete
  patches.arch/arm64-pci-0025-net-thunder-bgx-Start-to-use-standard-firmware-node-.patch.
- Delete
  patches.arch/arm64-thd-net-0019-net-thunderx-Use-bool-in-stucts-there-possible.patch.
- Delete
  patches.arch/arm64-thd-net-0021-net-thunderx-Fix-crash-during-shutdown-when-probe-fa.patch.
- Delete
  patches.arch/arm64-thd-net-0022-net-thunderx-Fix-memory-leak-while-unload-modules.patch.
- Delete
  patches.arch/arm64-thd-net-0024-net-thunderx-nicvf_queues-nivc_-_intr-remove-duplica.patch.
- Delete
  patches.arch/arm64-thd-net-0025-net-thunderx-Increase-transmit-queue-length.patch.
- Delete
  patches.arch/arm64-thd-net-0027-net-thunderx-Remove-unnecessary-rcv-buffer-start-add.patch.
- Delete
  patches.arch/arm64-thd-net-0028-net-thunderx-HW-TSO-support-for-pass2-chips.patch.
- Delete
  patches.arch/arm64-thd-net-0029-net-thunderx-Enable-CQ-count-threshold-for-pass2-chi.patch.
- Delete
  patches.arch/arm64-thd-net-0032-net-thunderx-Add-TX-timeout-RX-buff-allocation-fail-.patch.
- Delete
  patches.arch/arm64-thd-net-thunderx-use-napi_schedule_irqoff.patch.
- Delete
  patches.arch/arm64-thd-thunderx-Fix-const-type-in-nicvf_set_rxfh.patch.
- Delete
  patches.drivers/0004-net-cavium-For-Kconfig-THUNDER_NIC_BGX-select-MDIO_T.patch.
- commit cc8b6c6
* Wed Feb  1 2017 agraf@suse.de
- drm: virtio-gpu: get the fb from the plane state for atomic
  updates (bsc#1023101).
- commit 5148b58
* Wed Feb  1 2017 bpoirier@suse.com
- Delete patches.drivers/e1000e-avoid-divide-by-zero.
  It will be obsoleted by the forthcoming e1000e backport of
  0be5b96cd840 e1000e: factor out systim sanitization (v4.8-rc3)
- commit 2844400
* Wed Feb  1 2017 msuchanek@suse.de
- patches.drivers/tpm-081-invalid-self-test-error-message.patch Add duplicate commit id.
- commit 2d17287
* Wed Feb  1 2017 ohering@suse.de
- hv: don't reset hv_context.tsc_page on crash (fate#320485,
  bnc#1007729).
- commit b504e19
* Wed Feb  1 2017 yousaf.kaukab@suse.com
- net: thunderx: Leave serdes lane config on 81/83xx to firmware (fate#322326).
- net: thunderx: Support to configure queue sizes from ethtool (fate#322326).
- net: thunderx: acpi: fix LMAC initialization (fate#322326).
- net: thunderx: Make hfunc variable const type in nicvf_set_rxfh() (fate#322326).
- net: thunderx: Fix error return code in nicvf_open() (fate#322326).
- net: nicvf: use new api ethtool_{get|set}_link_ksettings (fate#322326).
- net: thunderx: Fix transmit queue timeout issue (fate#322326).
- net: thunderx: Pause frame support (fate#322326).
- net: thunderx: Configure RED and backpressure levels (fate#322326).
- net: thunderx: Add ethtool support for supported ports and link modes (fate#322326).
- net: thunderx: 80xx BGX0 configuration changes (fate#322326).
- net: thunderx: Fix memory leak and other issues upon interface toggle (fate#322326).
- net: thunderx: Fix VF driver's interface statistics (fate#322326).
- net: thunderx: Fix configuration of L3/L4 length checking (fate#322326).
- net: thunderx: Program LMAC credits based on MTU (fate#322326).
- net: thunderx: Introduce BGX_ID_MASK macro to extract bgx_id (fate#322326).
- net: thunderx: Fix issue with IRQ namimg (fate#322326).
- net: thunderx: Fix for issues with multiple CQEs posted for a TSO packet (fate#322326).
- net: thunderx: Fix for HW issue while padding TSO packet (fate#322326).
- net: thunderx: Remove unnecessary pci_set_drvdata() (fate#322326).
- net: thunderx: Don't set RX_PACKET_DIS while initializing (fate#322326).
- net: thunderx: Use netdev_rss_key_fill() helper (fate#322326).
- net: thunderx: Configure tunnelling protocol parsing (fate#322326).
- net: thunderx: Don't set mac address for secondary Qset VFs (fate#322326).
- net: thunderx: Reset RXQ HW stats when interface is brought down (fate#322326).
- net: thunderx: Improvement for MBX interface debug messages (fate#322326).
- net: thunderx: Use skb_add_rx_frag() for split buffer Rx pkts (fate#322326).
- net: thunderx: Use netdev's name for naming VF's interrupts (fate#322326).
- net: thunderx: Support for 83xx mixed QLM/DLM config (fate#322326).
- net: thunderx: Add support for 16 LMACs of 83xx (fate#322326).
- net: thunderx: Add RGMII interface type support (fate#322326).
- net: thunderx: Add QSGMII interface type support (fate#322326).
- net: thunderx: Add 81xx support to BGX driver (fate#322326).
- net: thunderx: Support for different LMAC types within BGX (fate#322326).
- net: thunderx: Enable mailbox interrupts on 81xx/83xx (fate#322326).
- net: thunderx: Enable CQE_RX desc's extension fields (fate#322326).
- net: thunderx: Set queue count based on number of CPUs (fate#322326).
- net: thunderx: Add support for 81xx and 83xx chips (fate#322326).
- net: thunderx: Add VNIC's PCI devid on future chips (fate#322326).
- net: thunderx: Moved HW capability info from macros to structure (fate#322326).
- net: thunderx: Fix TL4 configuration for secondary Qsets (fate#322326).
- net: thunderx: avoid null pointer dereference (fate#322326).
- net: thunderx: Fix broken of_node_put() code (fate#322326).
- net: thunderx: Don't use mdio (fate#322326).
- commit 2fd17c2
* Wed Feb  1 2017 yousaf.kaukab@suse.com
- net: thunderx: Don't leak phy device references on -EPROBE_DEFER condition (fate#322326).
- net: cavium: For Kconfig THUNDER_NIC_BGX, select MDIO_THUNDER (fate#322326).
- commit e54ea3e
* Wed Feb  1 2017 yousaf.kaukab@suse.com
- net: thunderx: Cleanup PHY probing code (fate#322326).
- net: thunderx: Adjust nicvf structure to reduce cache misses (fate#322326).
- net: thunderx: Set recevie buffer page usage count in bulk (fate#322326).
- net: thunderx: Fix for HW TSO not enabled for secondary qsets (fate#322326).
- net: thunderx: Alloc higher order pages when pagesize is small (fate#322326).
- net: thunderx: bgx: Add log message when setting mac address (fate#322326).
- net: thunderx: bgx: Use standard firmware node infrastructure (fate#322326).
- net: thunderx: Assign affinity hints to vf's interrupts (fate#322326).
- net: thunderx: Use napi_schedule_irqoff() (fate#322326).
- net, thunderx: Add TX timeout and RX buffer alloc failure stats (fate#322326).
- net: thunderx: Enable CQE count threshold interrupt (fate#322326).
- net: thunderx: HW TSO support for pass-2 hardware (fate#322326).
- net, thunderx: Remove unnecessary rcv buffer start address management (fate#322326).
- net: thunderx: nicvf_queues: nivc_*_intr: remove duplication (fate#322326).
- commit 5bb306d
* Wed Feb  1 2017 tiwai@suse.de
- drm/i915/gen9: Fix PCODE polling during CDCLK change
  notification (bsc#1015367).
- drm/i915: Mark CPU cache as dirty when used for rendering
  (bsc#1015367).
- commit 68975cf
* Wed Feb  1 2017 tiwai@suse.de
- Bluetooth: btmrvl: fix hung task warning dump (bsc#1018813).
- mwifiex: fix PCIe register information for 8997 chipset
  (bsc#1018813).
- mwifiex: fix IBSS data path issue (bsc#1018813).
- mwifiex: add missing check for PCIe8997 chipset (bsc#1018813).
- commit ac6672f
* Wed Feb  1 2017 tiwai@suse.de
- drm/i915: Don't init hpd polling for vlv and chv from
  runtime_suspend() (bsc#1014120).
- drm/i915/vlv: Prevent enabling hpd polling in late suspend
  (bsc#1014120).
- drm/i915: Mark i915_hpd_poll_init_work as static (bsc#1014120).
- drm/i915: Fix watermarks for VLV/CHV (bsc#1011176).
- commit 3fb681b
* Wed Feb  1 2017 tiwai@suse.de
- rtc: cmos: Don't enable interrupts in the middle of the
  interrupt handler (bsc#1022429).
- commit a2a2d35
* Wed Feb  1 2017 tiwai@suse.de
- ASoC: cht_bsw_rt5645: Fix leftover kmalloc (bsc#1010690).
- commit 03baf84
* Wed Feb  1 2017 jack@suse.cz
- dax: fix deadlock with DAX 4k holes (bsc#1012829).
- commit e55be98
* Wed Feb  1 2017 tiwai@suse.de
- Delete previous two fixes for i915 (bsc#1019061).
  These upstream fixes brought some regressions, so better to revert for now.
- patches.drivers/drm-i915-Prevent-PPS-stealing-from-a-normal-DP-port
- patches.drivers/drm-i915-dp-Restore-PPS-HW-state-from-the-encoder-re
- commit ac2223d
* Wed Feb  1 2017 tiwai@suse.de
- drm/i915: Workaround for DP DPMS D3 on Dell monitor
  (bsc#1019061).
- drm/i915: Prevent PPS stealing from a normal DP port on VLV/CHV
  (bsc#1019061).
- drm/i915/dp: Restore PPS HW state from the encoder resume hook
  (bsc#1019061).
- commit 005222b
* Wed Feb  1 2017 jslaby@suse.cz
- Linux 4.4.46 (bnc#1012382 bnc#1022559 bsc#1018358).
- Delete
  patches.drivers/drm-Fix-broken-VT-switch-with-video-1366x768-option.
- Delete
  patches.fixes/mm-memcg-do-not-retry-precharge-charges.patch.
- commit 07bb007
* Tue Jan 31 2017 bpoirier@suse.com
- i40e: Be much more verbose about what we can and cannot offload
  (bsc#985561).
- commit 9f063e8
* Tue Jan 31 2017 yousaf.kaukab@suse.com
- ACPI: Drop misplaced acpi_dma_deconfigure() call from
  acpi_bind_one() (fate#320512, fate#322061).
- genirq: Fix potential memleak when failing to get irq pm
  (fate#320512, fate#322061).
- arm64: fix dump_instr when PAN and UAO are in use (fate#321971).
- commit 5ef5b61
* Tue Jan 31 2017 yousaf.kaukab@suse.com
- Update config files.
- commit 8a17bb2
* Tue Jan 31 2017 jslaby@suse.cz
- kABI: protect struct user_fpsimd_state (kabi).
- commit bf92332
* Tue Jan 31 2017 hare@suse.de
- Refresh
  patches.fixes/scsi_sysfs-add-is_bin_visible-callback.patch.
  Add 'No-Fix' comment.
- commit 92f4b92
* Tue Jan 31 2017 mgalbraith@suse.de
- Update blacklist.conf, add a9ceb78bc75c
- commit b2ebf09
* Tue Jan 31 2017 rgoldwyn@suse.com
- btrfs: add support for RENAME_EXCHANGE and RENAME_WHITEOUT (bsc#1020975).
- commit 49f5e23
* Mon Jan 30 2017 yousaf.kaukab@suse.com
- PCI/MSI: irqchip: Fix PCI_MSI dependencies (fate#322326).
- ACPI / ARM64: Remove EXPERT dependency for ACPI on ARM64
  (fate#322326).
- i2c: octeon: thunderx: Limit register access retries
  (fate#322326).
- i2c: octeon: thunderx: Remove double-check after interrupt
  (fate#322326).
- i2c: octeon: thunderx: TWSI software reset in recovery
  (fate#322326).
- i2c: octeon: Fix high-level controller status check
  (fate#321995).
- i2c: octeon: Avoid sending STOP during recovery (fate#321995).
- i2c: octeon: Fix set SCL recovery function (fate#321995).
- i2c: octeon: Use booleon values for booleon variables
  (fate#321995).
- i2c: octeon: Sort include files alphabetically (fate#321995).
- i2c: octeon,thunderx: Move register offsets to struct
  (fate#321995,322326).
- i2c: thunderx: Add SMBUS alert support (fate#322326).
- i2c: thunderx: Add i2c driver for ThunderX SOC (fate#322326).
- i2c: octeon: Split the driver into two parts (fate#321995).
- i2c: octeon: Rename driver to prepare for split (fate#321995).
- i2c: octeon: Avoid printk after too long SMBUS message
  (fate#321995).
- i2c: octeon: Missing AAK flag in case of I2C_M_RECV_LEN
  (fate#321995).
- i2c: octeon: Add workaround for broken irqs on CN3860
  (fate#321995).
- i2c: octeon: Improve performance if interrupt is early
  (fate#321995).
- i2c: octeon: Remove zero-length message support (fate#321995).
- i2c: octeon: Add support for cn78xx chips (fate#321995).
- i2c: octeon: Enable High-Level Controller (fate#321995).
- i2c: octeon: Add flush writeq helper function (fate#321995).
- i2c: octeon: Use i2c recovery framework (fate#321995).
- i2c: octeon: Improve error status checking (fate#321995).
- i2c: octeon: Remove superfluous check in octeon_i2c_test_iflg
  (fate#321995).
- i2c: octeon: Introduce helper functions for register access
  (fate#321995).
- i2c: octeon: Rename [read|write]_sw to reg_[read|write]
  (fate#321995).
- i2c: octeon: Move set-clock and init-lowlevel upward
  (fate#321995).
- i2c: octeon: Increase retry default and use fixed timeout value
  (fate#321995).
- i2c: octeon: Support I2C_M_RECV_LEN (fate#321995).
- i2c: octeon: Cleanup resource allocation code (fate#321995).
- i2c: octeon: Cleanup i2c-octeon driver (fate#321995).
- i2c: octeon: Cleanup kerneldoc comments (fate#321995).
- PCI: thunder-pem: Make explicitly non-modular (fate#322326).
- PCI: thunder-ecam: Make explicitly non-modular (fate#322326).
- arm64: Honor nosmp kernel command line option (fate#322326).
- ACPI / NUMA: remove unneeded acpi_numa=1 (fate#322326).
- ACPI / NUMA: remove duplicate NULL check (fate#322326).
- ACPI / NUMA: Replace ACPI_DEBUG_PRINT() with pr_debug()
  (fate#322326).
- ACPI / NUMA: Use pr_fmt() instead of printk (fate#322326).
- arm64: Fix behavior of maxcpus=N (fate#322326).
- phy: mdio-thunder: Fix some Kconfig typos (fate#322326).
- net: cavium: For Kconfig THUNDER_NIC_BGX, select MDIO_THUNDER
  (fate#322326).
- phy: mdio-cavium: Add missing MODULE_* annotations
  (fate#322326).
- arm64: prefetch: add missing #include for spin_lock_prefetch
  (fate#322326).
- arm64: prefetch: don't provide spin_lock_prefetch with LSE
  (fate#322326).
- commit 76039c3
* Mon Jan 30 2017 yousaf.kaukab@suse.com
- arm64: thunderx: prepare to replace i2c driver from mainline
- Delete
  patches.drivers/arm64-0001-i2c-octeon-Cleanup-kerneldoc-comments.patch.
- Delete
  patches.drivers/arm64-0002-i2c-octeon-Cleanup-i2c-octeon-driver.patch.
- Delete
  patches.drivers/arm64-0003-i2c-octeon-Cleanup-resource-allocation-code.patch.
- Delete
  patches.drivers/arm64-0004-i2c-octeon-Support-I2C_M_RECV_LEN.patch.
- Delete
  patches.drivers/arm64-0005-i2c-octeon-Make-adapter-timeout-tunable.patch.
- Delete
  patches.drivers/arm64-0006-i2c-octeon-Enable-high-level-controller-and-improve-on-bus-contention.patch.
- Delete
  patches.drivers/arm64-0007-dt-bindings-i2c-Add-Octeon-cn78xx-TWSI.patch.
- Delete
  patches.drivers/arm64-0008-i2c-octeon-Add-support-for-cn78XX-chips.patch.
- Delete
  patches.drivers/arm64-0009-i2c-octeon-Flush-TWSI-writes-with-readback.patch.
- Delete
  patches.drivers/arm64-0010-i2c-octeon-Faster-operation-when-IFLG-signals-late.patch.
- Delete
  patches.drivers/arm64-0011-i2c-octeon-Add-workaround-for-broken-irqs-on-CN3860.patch.
- Delete
  patches.drivers/arm64-0012-i2c-octeon-Split-the-driver-into-two-parts.patch.
- Delete
  patches.drivers/arm64-0013-i2c-thunderx-Add-i2c-driver-for-ThunderX-SOC.patch.
- Delete
  patches.drivers/arm64-0014-i2c-thunderx-Add-smbus-support.patch.
- commit 29882c2
* Mon Jan 30 2017 jthumshirn@suse.de
- Refresh patches.suse/blk-timeout-no-round.
  Refresh patches.drivers/0041-block-add-ability-to-flag-write-back-caching-on-a-device.patch
  Don't collide with QUEUE_FLAG_WC from upstream (bsc#1022547)
- commit aa61d9a
* Mon Jan 30 2017 mhocko@suse.cz
- mm, memcg: do not retry precharge charges (bnc#1022559).
- commit 2ab136a
* Mon Jan 30 2017 jslaby@suse.cz
- Linux 4.4.45 (CVE-2017-5551 bnc#1012382 bsc#1021258 bsc#984419
  bsc#1020488).
- Delete
  patches.fixes/ceph-fix-bad-endianness-handling-in-parse_reply_info.patch.
- Delete
  patches.fixes/ftrace-x86-Set-ftrace_stub-to-weak-to-prevent-gcc-from-using-short-jumps-to-it.
- Delete
  patches.fixes/tmpfs-clear-S_ISGID-when-setting-posix-ACLs.patch.
- commit 505d629
* Mon Jan 30 2017 mfleming@suse.de
- rcu: Enable RCU tracepoints by default to aid in debugging
  (bsc#1022317).
- Update config files.
- commit f2c62b8
* Mon Jan 30 2017 tiwai@suse.de
- Refresh patch-mainline tag of patches.drivers/hpilo-Add-support-for-iLO5
- commit e4c0c00
* Mon Jan 30 2017 mbrugger@suse.com
- TTY: serial, handle platform_get_irq retval properly
  (fate#322061).
- commit 378c09e
* Mon Jan 30 2017 mgalbraith@suse.de
- sched/fair: Fix min_vruntime tracking (bnc#1022476).
- sched/core: Fix set_user_nice() (bnc#1022476).
- sched/core: Fix incorrect utilization accounting when switching
  to fair class (bnc#1022476).
- sched/fair: Fix fixed point arithmetic width for shares and
  effective load (bnc#1022476).
- sched/core, x86/topology: Fix NUMA in package topology bug
  (bnc#1022476).
- sched: Allow hotplug notifiers to be setup early (bnc#1022476).
- sched/fair: Fix load_above_capacity fixed point arithmetic width
  (bnc#1022476).
- sched/fair: Improve PELT stuff some more (bnc#1022476).
- sched: Make wake_up_nohz_cpu() handle CPUs going offline
  (bnc#1022476).
- sched/deadline: Fix lock pinning warning during CPU hotplug
  (bnc#1022476).
- sched/deadline: Fix wrap-around in DL heap (bnc#1022476).
- sched/cputime: Add steal time support to full dynticks CPU
  time accounting (bnc#1022476).
- sched/cputime: Fix prev steal time accouting during CPU hotplug
  (bnc#1022476).
- sched/fair: Fix the wrong throttled clock time for
  cfs_rq_clock_task() (bnc#1022476).
- sched/deadline: Fix a bug in dl_overflow() (bnc#1022476).
- sched/rt, sched/dl: Don't push if task's scheduling class was
  changed (bnc#1022476).
- sched/rt: Kick RT bandwidth timer immediately on start up
  (bnc#1022476).
- sched/rt: Fix PI handling vs. sched_setscheduler()
  (bnc#1022476).
- sched/fair: Avoid using decay_load_missed() with a negative
  value (bnc#1022476).
- sched/deadline: Always calculate end of period on sched_yield()
  (bnc#1022476).
- commit 4ca1519
* Mon Jan 30 2017 tiwai@suse.de
- Update patch tags (CVE-2017-5576, CVE-2017-5577, bsc#1021294).
- patches.arch/drm-vc4-Fix-an-integer-overflow-in-temporary-allocation-layout.patch
- patches.arch/drm-vc4-Return-EINVAL-on-the-overflow-checks-failing.patch
- commit f905bd7
* Sun Jan 29 2017 colyli@suse.de
- md linear: fix a race between linear_add() and
  linear_congested() (bsc#1018446).
- commit 663747a
* Sat Jan 28 2017 tiwai@suse.de
- rtc: cmos: avoid unused function warning (bsc#1022429).
- rtc: cmos: Restore alarm after resume (bsc#1022429).
- rtc: cmos: Clear ACPI-driven alarms upon resume (bsc#1022429).
- commit b65ee50
* Fri Jan 27 2017 jjolly@suse.de
- net/af_iucv: don't use paged skbs for TX on HiperSockets
  (bnc#1020945, LTC#150566).
- commit 86e5334
* Fri Jan 27 2017 jthumshirn@suse.de
- IB/rxe: Don't check for null ptr in send() (FATE#322149).
- Update config files.
- supported.conf: Add rxe to the list of supported modules
- IB/rxe: Drop future atomic/read packets rather than retrying
  (FATE#322149).
- IB/rxe: Use BTH_PSN_MASK when ACKing duplicate sends
  (FATE#322149).
- IB/rxe: Fix a memory leak in rxe_qp_cleanup() (FATE#322149).
- IB/core: Let create_ah return extended response to user
  (FATE#322149).
- IB/rxe: Increase max number of completions to 32k (FATE#322149).
- IB/rxe: Hold refs when running tasklets (FATE#322149).
- IB/rxe: Wait for tasklets to finish before tearing down QP
  (FATE#322149).
- IB/rxe: Fix ref leak in duplicate_request() (FATE#322149).
- IB/rxe: Fix ref leak in rxe_create_qp() (FATE#322149).
- IB/rxe: Add support for IB_CQ_REPORT_MISSED_EVENTS
  (FATE#322149).
- IB/rxe: Add support for zero-byte operations (FATE#322149).
- IB/rxe: Unblock loopback by moving skb_out increment
  (FATE#322149).
- IB/rxe: Don't update the response PSN unless it's going forwards
  (FATE#322149).
- IB/rxe: Advance the consumer pointer before posting the CQE
  (FATE#322149).
- IB/rxe: Remove buffer used for printing IP address
  (FATE#322149).
- IB/rxe: Remove unneeded cast in rxe_srq_from_attr()
  (FATE#322149).
- IB/rxe: Use DEFINE_SPINLOCK() for spinlock (FATE#322149).
- IB/rxe: avoid putting a large struct rxe_qp on stack
  (FATE#322149).
- IB/rxe: Remove and fix debug prints after allocation failure
  (FATE#322149).
- IB/rxe: Update qp state for user query (FATE#322149).
- IB/rxe: Clear queue buffer when modifying QP to reset
  (FATE#322149).
- IB/rxe: Fix handling of erroneous WR (FATE#322149).
- IB/rxe: Fix kernel panic in UDP tunnel with GRO and RX checksum
  (FATE#322149).
- IB/rxe: improved debug prints & code cleanup (FATE#322149).
- rdma_rxe: Ensure rdma_rxe init occurs at correct time
  (FATE#322149).
- IB/rxe: Properly honor max IRD value for rd/atomic
  (FATE#322149).
- IB/{rxe,core,rdmavt}: Fix kernel crash for reg MR (FATE#322149).
- IB/rxe: Fix sending out loopback packet on netdev interface
  (FATE#322149).
- IB/rxe: Avoid scheduling tasklet for userspace QP (FATE#322149).
- IB/rxe: Fix kmem_cache leak (FATE#322149).
- IB/rxe: Fix race condition between requester and completer
  (FATE#322149).
- IB/rxe: Fix duplicate atomic request handling (FATE#322149).
- IB/rxe: Fix kernel panic in udp_setup_tunnel (FATE#322149).
- IB/rxe: fix GFP_KERNEL in spinlock context (FATE#322149).
- Soft RoCE driver (FATE#322149).
- ib_pack.h: Add opcode definition for send with invalidate
  (FATE#322149).
- commit bf38d92
* Fri Jan 27 2017 mbrugger@suse.com
- PCI: Add MCFG quirks for X-Gene host controller (fate#321906).
- PCI: Add MCFG quirks for Cavium ThunderX pass1.x host controller
  (fate#321906).
- PCI: Add MCFG quirks for Cavium ThunderX pass2.x host controller
  (fate#321906).
- PCI: thunder-pem: Factor out resource lookup (fate#321906).
- PCI: Add MCFG quirks for HiSilicon Hip05/06/07 host controllers
  (fate#321906).
- PCI: Add MCFG quirks for Qualcomm QDF2432 host controller
  (fate#321906).
- PCI/ACPI: Provide acpi_get_rc_resources() for ARM64 platform
  (fate#321906).
- PCI/ACPI: Check for platform-specific MCFG quirks (fate#321906).
- PCI/ACPI: Extend pci_mcfg_lookup() to return ECAM config
  accessors (fate#321906).
- arm64: PCI: Exclude ACPI "consumer" resources from host bridge
  windows (fate#321906).
- arm64: PCI: Manage controller-specific data on per-controller
  basis (fate#321906).
- arm64: PCI: Search ACPI namespace to ensure ECAM space is
  reserved (fate#321906).
- arm64: PCI: Add local struct device pointers (fate#321906).
- commit 784c7a7
* Fri Jan 27 2017 mbrugger@suse.com
- ACPI: Add acpi_resource_consumer() to find device that claims
  a resource (fate#321906).
- Refresh
  patches.drivers/0137-ACPI-Implement-acpi_dma_configure.patch.
- commit 08c6ecf
* Fri Jan 27 2017 tiwai@suse.de
- Update vanilla config files for x86_64 and ppc64le
  CONFIG_TCG_TIS_ST33ZP24 got lost by the recent TPM updates.
- commit c641be1
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: use idr_find(), not idr_find_slowpath() (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm: adjust return value of tpm_read_log (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit 3705baf
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: vtpm_proxy: conditionally call tpm_chip_unregister
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm: Fix handling of missing event log (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit 5dfc15f
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: Check the bios_dir entry for NULL before accessing it
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm: return -ENODEV if np is not set (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- commit c9ce2d9
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: cleanup of printk error messages (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- commit 7ea0f0f
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: replace of_find_node_by_name() with dev of_node property
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm: redefine read_log() to handle ACPI/OF at runtime
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 12162f0
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: fix the missing .owner in tpm_bios_measurements_ops
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm: have event log use the tpm_chip (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- commit da69dd3
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: drop tpm1_chip_register(/unregister) (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm: replace dynamically allocated bios_dir with a static array
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 0b08e25
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: replace symbolic permission with octal for securityfs files
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 2d4aff2
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: fix kerneldoc tpm2_unseal_trusted name typo (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm_tis: Allow tpm_tis to be bound using DT (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit 8ff0a8b
* Thu Jan 26 2017 msuchanek@suse.de
- tpm, tpm_vtpm_proxy: add kdoc comments for
  VTPM_PROXY_IOC_NEW_DEV (bsc#1020645, fate#321435, fate#321507,
  fate#321600).
- tpm: Only call pm_runtime_get_sync if device has a parent
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit f84e04d
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: define a generic open() method for ascii & bios
  measurements (bsc#1020645, fate#321435, fate#321507,
  fate#321600).
- tpm: Get rid of TPM_CHIP_FLAG_REGISTERED (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit 4822bad
* Thu Jan 26 2017 msuchanek@suse.de
- tpm tis: Do not print timeout messages twice (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm_tis: Check return values from get_burstcount (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit 9e12023
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: place kdoc just above tpm_pcr_extend (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit 418a50d
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: sanitize constant expressions (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- tpm: Clean up reading of timeout and duration capabilities
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 8974c8f
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: Check return code of wait_for_tpm_stat (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tmp/tpm_crb: implement runtime pm for tpm_crb (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit f05a360
* Thu Jan 26 2017 msuchanek@suse.de
- tpm/tpm_crb: open code the crb_init into acpi_add (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tmp/tpm_crb: fix Intel PTT hw bug during idle state
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit aa6a6a0
* Thu Jan 26 2017 msuchanek@suse.de
- tpm/tpm_crb: implement tpm crb idle state (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit 669d07f
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: remove invalid min length check from tpm_do_selftest()
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm: add check for minimum buffer size in tpm_transmit()
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit a4ae578
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: constify TPM 1.x header structures (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm/tpm_crb: fix the over 80 characters checkpatch warring
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 3c61b6e
* Thu Jan 26 2017 msuchanek@suse.de
- tpm/tpm_crb: drop useless cpu_to_le32 when writing to registers
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm/tpm_crb: cache cmd_size register value (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit ed95bf2
* Thu Jan 26 2017 msuchanek@suse.de
- tmp/tpm_crb: drop include to platform_device (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm/tpm_tis: remove unused itpm variable (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit 38043de
* Thu Jan 26 2017 msuchanek@suse.de
- tpm_crb: fix incorrect values of cmdReady and goIdle bits
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 61c5399
* Thu Jan 26 2017 msuchanek@suse.de
- tpm_crb: refine the naming of constants (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm_crb: remove wmb()'s (bsc#1020645, fate#321435, fate#321507,
  fate#321600).
- commit 76a8fb7
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: use tpm_pcr_read_dev() in tpm_do_selftest() (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm: use tpm_transmit_cmd() in tpm2_probe() (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit a89157c
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: replace tpm_gen_interrupt() with tpm_tis_gen_interrupt()
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm: remove unnecessary externs from tpm.h (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit 07ce202
* Thu Jan 26 2017 msuchanek@suse.de
- tpm/st33zp24: Remove useless tpm_gen_interrupt (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit 5a84a76
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: invalid self test error message (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- tpm: Add TPM 2.0 support to the Nuvoton i2c driver (NPCT6xx
  family) (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 754f8c0
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: Factor out common startup code (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- tpm: read burstcount from TPM_STS in one 32-bit transaction
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit e0dc4a8
* Thu Jan 26 2017 msuchanek@suse.de
- tpm_tis_core: convert max timeouts from msec to jiffies
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm_crb: fix address space of the return pointer in
  crb_map_res() (bsc#1020645, fate#321435, fate#321507,
  fate#321600).
- commit f5d9979
* Thu Jan 26 2017 msuchanek@suse.de
- tpm_vtpm_proxy: fix address space of a user pointer in
  vtpmx_fops_ioctl() (bsc#1020645, fate#321435, fate#321507,
  fate#321600).
- tpm/tpm_tis_spi: Add support for spi phy (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit 8d65c4a
* Thu Jan 26 2017 msuchanek@suse.de
- tpm/tpm_tis: Split tpm_tis driver into a core and TCG
  TIS compliant phy (bsc#1020645, fate#321435, fate#321507,
  fate#321600).
- commit 0c2bd3f
* Thu Jan 26 2017 msuchanek@suse.de
- tpm_tis: Introduce intermediate layer for TPM access
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm: tpm_tis: Share common data between phys (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit bdf56ff
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: Add include guards in tpm.h (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- tpm: Fix suspend regression (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- commit 0de42b8
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: fix for typo in tpm/tpm_ibmvtpm.c (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm: select ANON_INODES for proxy driver (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit a402c10
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: Fix IRQ unwind ordering in TIS (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- tpm: Add documentation for the tpm_vtpm_proxy device driver
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit bda9498
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: Proxy driver for supporting multiple emulated TPMs
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 73108f0
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: Introduce TPM_CHIP_FLAG_VIRTUAL (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- tpm: Remove all uses of drvdata from the TPM Core (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit 8b30bab
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: Remove useless priv field in struct tpm_vendor_specific
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm: Move tpm_vendor_specific data related with PTP
  specification to tpm_chip (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- commit 5008ebc
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: drop 'locality' from struct tpm_vendor_specific
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm: drop 'read_queue' from struct tpm_vendor_specific
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 9a1767e
* Thu Jan 26 2017 msuchanek@suse.de
- tpm2_i2c_nuvoton: add irq validity check (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm: drop 'irq' from struct tpm_vendor_specific (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit be83b3d
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: drop 'iobase' from struct tpm_vendor_specific (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit e472315
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: drop list from struct tpm_vendor_specific (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm: drop the field 'time_expired' from struct tpm_chip
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit ea485ca
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: drop 'base' from struct tpm_vendor_specific (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm: drop manufacturer_id from struct tpm_vendor_specific
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 5e02d55
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: drop tpm_atmel specific fields from tpm_vendor_specific
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm: drop int_queue from tpm_vendor_specific (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit c2e6d1d
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: check for TPM_CHIP_FLAG_TPM2 before calling tpm2_shutdown()
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm_crb: fix mapping of the buffers (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- commit adc6c7a
* Thu Jan 26 2017 msuchanek@suse.de
- tpm/st33zp24: Remove unneeded tpm_reg in get_burstcount
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 5d71a9d
* Thu Jan 26 2017 msuchanek@suse.de
- tpm/st33zp24/spi: Drop two useless checks in ACPI probe path
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm/st33zp24/i2c: Drop two useless checks in ACPI probe path
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit ab0b7c0
* Thu Jan 26 2017 msuchanek@suse.de
- tpm_crb: drop struct resource res from struct crb_priv
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm: fix crash in tpm_tis deinitialization (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit cd4f034
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: cleanup tpm_tis_remove() (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- tpm: fix tpm_bios_log_setup stub prototype (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit d6ade7a
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: Replace device number bitmap with IDR (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit 11e3325
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: Split out the devm stuff from tpmm_chip_alloc (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm: Get rid of module locking (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- commit 2a59049
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: Provide strong locking for device removal (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm: Get rid of devname (bsc#1020645, fate#321435, fate#321507,
  fate#321600).
- commit fe2ec68
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: Get rid of chip->pdev (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- tpm/st33zp24/spi: Change xxx_request_resources header
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 1be0938
* Thu Jan 26 2017 msuchanek@suse.de
- tpm/st33zp24/i2c: Change xxx_request_resources header
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 520dfec
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: st33zp24: Add support for acpi probing for spi device
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm/st33zp24: Add support for acpi probing for i2c device
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 05fbb04
* Thu Jan 26 2017 msuchanek@suse.de
- tpm/st33zp24: Extend Copyright headers (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm/st33zp24/spi: Improve st33zp24_spi_evaluate_latency
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 21fac72
* Thu Jan 26 2017 msuchanek@suse.de
- tpm/st33zp24: Remove unneeded CONFIG_OF switches (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm/st33zp24/spi: Remove field spi_xfer from st33zp24_spi_phy
  structure (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit d697100
* Thu Jan 26 2017 msuchanek@suse.de
- tpm/st33zp24/spi: Remove useless use of memcpy (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm/st33zp24/spi: Use functions name with st33zp24_spi_ prefix
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 712707b
* Thu Jan 26 2017 msuchanek@suse.de
- tpm/st33zp24/spi: Remove nbr_dummy_bytes variable usage
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 70acb72
* Thu Jan 26 2017 msuchanek@suse.de
- tpm/st33zp24: Auto-select core module (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- tpm_tis: fix build warning with tpm_tis_resume (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit 2c04b3c
* Thu Jan 26 2017 msuchanek@suse.de
- tpm_crb/tis: fix: use dev_name() for /proc/iomem (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm: fix: return rc when devm_add_action() fails (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit 7c4d666
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: fix: set continueSession attribute for the unseal operation
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm_crb: Use devm_ioremap_resource (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- commit 1561b4a
* Thu Jan 26 2017 msuchanek@suse.de
- tpm_crb: Drop le32_to_cpu(ioread32(..)) (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit 3b21a92
* Thu Jan 26 2017 msuchanek@suse.de
- tpm_tis: Clean up the force=1 module parameter (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- tpm_tis: Use devm_ioremap_resource (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- commit 09793c7
* Thu Jan 26 2017 msuchanek@suse.de
- tpm_tis: Do not fall back to a hardcoded address for TPM2
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm_tis: Disable interrupt auto probing on a per-device basis
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit fd698ab
* Thu Jan 26 2017 msuchanek@suse.de
- tpm_crb: Use the common ACPI definition of struct acpi_tpm2
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm: fix checks for policy digest existence in
  tpm2_seal_trusted() (bsc#1020645, fate#321435, fate#321507,
  fate#321600).
- commit 34b8248
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: remove unneeded include of actbl2.h (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit 12d7afa
* Thu Jan 26 2017 msuchanek@suse.de
- tpm_ibmvtpm: properly handle interrupted packet receptions
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- tpm_tis: Tighten IRQ auto-probing (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- commit e127e0b
* Thu Jan 26 2017 msuchanek@suse.de
- tpm_tis: Refactor the interrupt setup (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- tpm_tis: Get rid of the duplicate IRQ probing code (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit f852131
* Thu Jan 26 2017 msuchanek@suse.de
- tpm: rework tpm_get_timeouts() (bsc#1020645, fate#321435,
  fate#321507, fate#321600).
- tpm_tis: Ensure interrupts are disabled when the driver starts
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 72819ec
* Thu Jan 26 2017 msuchanek@suse.de
- tpm_tis: Use devm_free_irq not free_irq (bsc#1020645,
  fate#321435, fate#321507, fate#321600).
- commit 9d95589
* Thu Jan 26 2017 msuchanek@suse.de
- tpm_tis: further simplify calculation of ordinal duration
  (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit 6cc03ef
* Thu Jan 26 2017 jthumshirn@suse.de
- scsi: bfa: turn bfa_mem_{kva,dma}_setup into inline functions
  (bsc#1019683, FATE#321696).
- scsi: bfa: Do not dereference port before it is null checked
  (bsc#1019683, FATE#321696).
- bfa: fix bfa_fcb_itnim_alloc() error handling (bsc#1019683,
  FATE#321696).
- bfa: deinline __bfa_trc() and __bfa_trc32() (bsc#1019683,
  FATE#321696).
- bfa: use strncpy() instead of memcpy() (bsc#1019683,
  FATE#321696).
- commit e043742
* Thu Jan 26 2017 mbrugger@suse.com
- of: earlycon: of_setup_earlycon() requires
  CONFIG_OF_EARLY_FLATTREE (fate#322061).
- commit 5eca42a
* Thu Jan 26 2017 jthumshirn@suse.de
- scsi: bnx2fc: Simplify code (bsc#1019679, FATE#321693).
- scsi: bnx2fc: Mark symbols static where possible (bsc#1019679,
  FATE#321693).
- commit 3bd565c
* Thu Jan 26 2017 jthumshirn@suse.de
- scsi: qla4xxx: print MAC and SID via %%p[mM][R] (bsc#1019689,
  FATE#321700).
- scsi: qla4xxx: Mark symbols static where possible (bsc#1019689,
  FATE#321700).
- scsi: qla4xxx: shut up warning for rd_reg_indirect (bsc#1019689,
  FATE#321700).
- commit b9bebb1
* Thu Jan 26 2017 tiwai@suse.de
- PCI/AER: include header file (bsc#964944,FATE#319965).
- commit 5fc7e11
* Wed Jan 25 2017 trenn@suse.com
- Refresh
  patches.drivers/intel_idle-add-CPU-atom-Z34xx-series.patch.
- commit d033fa9
* Wed Jan 25 2017 mbrugger@suse.com
- PCI: rockchip: Move the deassert of pm/aclk/pclk after
  phy_init() (fate#322003).
- PCI: rockchip: Split out rockchip_cfg_atu() (fate#322003).
- PCI: rockchip: Clean up bit definitions for PCIE_RC_CONFIG_LCS
  (fate#322003).
- PCI: rockchip: Correct the use of FTS mask (fate#322003).
- PCI: rockchip: Remove the pointer to L1 substate cap
  (fate#322003).
- PCI: rockchip: Specify the link capability (fate#322003).
- PCI: rockchip: Fix negotiated lanes calculation (fate#322003).
- PCI: rockchip: Add Kconfig COMPILE_TEST (fate#322003).
- PCI: rockchip: Mark RC as common clock architecture
  (fate#322003).
- PCI: rockchip: Provide captured slot power limit and scale
  (fate#322003).
- commit 0eea341
* Wed Jan 25 2017 mbrugger@suse.com
- of/pci: Add of_pci_get_max_link_speed() to parse max-link-speed
  from DT (fate#322061).
- Refresh
  patches.drivers/0104-of-irq-Break-out-msi-map-lookup-again.patch.
- commit e672de8
* Wed Jan 25 2017 trenn@suse.com
- Refresh patches.drivers/intel_idle-Add-BXT-support.patch.
- Refresh
  patches.drivers/intel_idle-Use-intel-family-macros.patch.
- Refresh patches.drivers/intel_idle-add-Denverton.patch.
- Refresh patches.drivers/intel_idle-add-Knights-Mill-CPUID.patch.
- Refresh patches.drivers/intel_idle-correct_BXT_support.patch.
- commit 1b9844a
* Wed Jan 25 2017 hare@suse.de
- sd: always scan VPD pages if thin provisioning is enabled
  (bsc#1013792).
- commit 8ab7953
* Tue Jan 24 2017 trenn@suse.com
- Add some intel family renaming in arch/x86/include/asm/intel-family.h
- intel_idle SLE12 SP3 update
- intel_idle: add BXT support (fate#321918).
- x86/intel_idle: Use Intel family macros for intel_idle
  (fate#321918).
- x86/intel_idle: Add CPU model 0x4a (Atom Z34xx series)
  (fate#321284).
- idle_intel: Add Denverton (fate#321284).
- x86/intel_idle: Add Knights Mill CPUID (fate#321918).
- intel_idle: correct BXT support (fate#321284).
- Refresh
  patches.arch/x86-cpu-intel-introduce-macros-for-intel-family-numbers.
- Refresh patches.drivers/intel_idle-Add-SKX-support.
- Refresh patches.drivers/powercap-RAPL-add-support-for-Denverton.
- Refresh
  patches.drivers/x86-powercap-rapl-Reorder-CPU-detection-table.
- Refresh
  patches.drivers/x86-powercap-rapl-Use-Intel-model-macros-intead-of-o.
- commit 67702f5
* Tue Jan 24 2017 yousaf.kaukab@suse.com
- power: reset: xgene-reboot: Unmap region obtained by of_iomap
  (bsc#1019351).
- mmc: sdhci-of-arasan: Remove no-hispd and no-cmd23 quirks for
  sdhci-arasan4.9a (bsc#1019351).
- phy: xgene: rename "enum phy_mode" to "enum xgene_phy_mode"
  (bsc#1019351).
- clk: xgene: Don't call __pa on ioremaped address (bsc#1019351).
- clk: xgene: Add PMD clock (bsc#1019351).
- clk: xgene: Remove CLK_IS_ROOT (bsc#1019351).
- gpio: xgene: make explicitly non-modular (bsc#1019351).
- perf: xgene: Remove bogus IS_ERR() check (bsc#1019351).
- EDAC, xgene: Fix spelling mistake in error messages
  (bsc#1019351).
- PCI: xgene: Add register accessors (bsc#1019351).
- PCI: xgene: Pass struct xgene_pcie_port to setup functions
  (bsc#1019351).
- PCI: xgene: Remove unused platform data (bsc#1019351).
- PCI: xgene: Add local struct device pointers (bsc#1019351).
- PCI: xgene: Make explicitly non-modular (bsc#1019351).
- PCI: xgene: Request host bridge window resources (bsc#1019351).
- PCI: xgene: Free bridge resource list on failure (bsc#1019351).
- PCI: Add devm_request_pci_bus_resources() (bsc#1019351).
- i2c: designware: fix wrong Tx/Rx FIFO for ACPI (bsc#1019351).
- i2c: xgene: Fix missing code of DTB support (bsc#1019351).
- i2c: designware: Implement support for SMBus block read and
  write (bsc#1019351).
- mailbox: xgene-slimpro: Fix wrong test for devm_kzalloc
  (bsc#1019351).
- net: remove useless memset's in drivers get_stats64
  (bsc#1019351).
- net: xgene: avoid bogus maybe-uninitialized warning
  (bsc#1019351).
- net: xgene: move xgene_cle_ptree_ewdn data off stack
  (bsc#1019351).
- drivers: net: xgene: uninitialized variable in
  xgene_enet_free_pagepool() (bsc#1019351).
- drivers: net: xgene: Add flow control initialization
  (bsc#1019351).
- drivers: net: xgene: Add flow control configuration
  (bsc#1019351).
- drivers: net: xgene: fix: RSS for non-TCP/UDP (bsc#1019351).
- drivers: net: xgene: fix build after change_mtu function change
  (bsc#1019351).
- commit ebab4ed
* Tue Jan 24 2017 yousaf.kaukab@suse.com
- drivers: net: xgene: Add change_mtu function (bsc#1019351).
- drivers: net: xgene: Add support for Jumbo frame (bsc#1019351).
- drivers: net: xgene: Configure classifier with pagepool
  (bsc#1019351).
- drivers: net: xgene: Add helper function (bsc#1019351).
- drivers: net: phy: xgene: Fix 'remove' function (bsc#1019351).
- net: ethernet: apm: xgene: use phydev from struct net_device
  (bsc#1019351).
- drivers: net: phy: mdio-xgene: Add hardware dependency
  (bsc#1019351).
- commit 7801d58
* Tue Jan 24 2017 mbrugger@suse.com
- arm64: Update config files.
  Enable PCIE_ROCKCHIP
- commit 8c54ed4
* Tue Jan 24 2017 mbrugger@suse.com
- PCI: Warn on possible RW1C corruption for sub-32 bit config
  writes (fate#322061).
- PCI: rockchip: Add three new resets as required properties
  (fate#322003).
- PCI: rockchip: Indent "if" statement body (fate#322003).
- PCI: rockchip: Remove unused platform data (fate#322003).
- PCI: rockchip: Fix wrong transmitted FTS count (fate#322003).
- PCI: rockchip: Improve the deassert sequence of four reset pins
  (fate#322003).
- PCI: rockchip: Increase the Max Credit update interval
  (fate#322003).
- PCI: rockchip: Add Rockchip PCIe controller support
  (fate#322003).
- PCI: Add devm_request_pci_bus_resources() (fate#322003).
- commit 4c9376c
* Tue Jan 24 2017 tiwai@suse.de
- [media] uvcvideo: uvc_scan_fallback() for webcams with broken
  chain (bsc#1021474).
- commit 15e4eb5
* Mon Jan 23 2017 mbrugger@suse.com
- serial: pl011: add console matching function (fate#322061).
- ARM64: ACPI: enable ACPI_SPCR_TABLE (fate#322061).
- ACPI: parse SPCR and enable matching console (fate#322061).
- of/serial: move earlycon early_param handling to serial
  (fate#322061).
- ACPICA: Headers: Add new constants for the DBG2 ACPI table
  (fate#322061).
- serial: 8250_omap: Add omap8250 earlycon (fate#322061).
- of: earlycon: Log more helpful message if stdout-path node
  not found (fate#322061).
- serial: 8250_early: Use port->regshift (fate#322061).
- serial: earlycon: Show the earlycon "driver" in banner
  (fate#322061).
- serial: earlycon: Common log banner for command line and DT
  (fate#322061).
- of: earlycon: Move address translation to of_setup_earlycon()
  (fate#322061).
- of: earlycon: Initialize port fields from DT properties
  (fate#322061).
- of: earlycon: Add options string handling (fate#322061).
- of: earlycon: Fixup earlycon console name and index
  (fate#322061).
- serial: earlycon: Fixup earlycon console name and index
  (fate#322061).
- earlycon: Use common framework for earlycon declarations
  (fate#322061).
- commit be87d88
* Mon Jan 23 2017 fdmanana@suse.com
- Btrfs: fix lockdep warning about log_mutex (bsc#1021455).
- Btrfs: fix lockdep warning on deadlock against an inode's log
  mutex (bsc#1021455).
- commit 965d17b
* Mon Jan 23 2017 jack@suse.cz
- tmpfs: clear S_ISGID when setting posix ACLs (bsc#1021258
  CVE-2017-5551).
- commit 8a83de3
* Mon Jan 23 2017 mstaudt@suse.de
- drm/vc4: Return -EINVAL on the overflow checks failing
  (bsc#1021294).
- drm/vc4: Fix an integer overflow in temporary allocation layout
  (bsc#1021294).
- commit 44cb831
* Mon Jan 23 2017 colyli@suse.de
- bcache: Make gc wakeup sane, remove set_task_state()
  (bsc#1021260).
- commit c57459a
* Mon Jan 23 2017 neilb@suse.com
- RAID1: ignore discard error (bsc#1017164).
- commit 1cdc0c2
* Sat Jan 21 2017 jslaby@suse.cz
- Linux 4.4.44 (CVE-2017-2583 CVE-2017-2584 bnc#1012382
  bsc#1019851 bsc#1020602 bsc#1020817 bsc#1000776).
- Refresh
  patches.drivers/0018-mm-introduce-find_dev_pagemap.patch.
- Refresh
  patches.drivers/0019-x86-mm-introduce-vmem_altmap-to-augment-vmemmap_populate.patch.
- Refresh
  patches.drivers/0112-devm_memremap_pages-fix-vmem_altmap-lifetime-alignment-handling.patch.
- Delete
  patches.drivers/0054-blk-mq-Always-schedule-hctx-next_cpu.patch.
- Delete
  patches.fixes/0001-NFS-nfs4_fl_prepare_ds-must-be-careful-about-reporti.patch.
- Delete
  patches.fixes/kvm-x86-fix-emulation-of-mov-ss-null-selector.
- Delete patches.fixes/kvm-x86-introduce-segmented_write_std.
- commit 9d6cfc0
* Fri Jan 20 2017 yousaf.kaukab@suse.com
- arm64: kernel: Don't toggle PAN on systems with UAO (fate#321971).
- Update config files.
- arm64: cpufeature: Test 'matches' pointer to find the end of
  the list (fate#321971).
- arm64: kernel: Add support for User Access Override
  (fate#321971).
- arm64: add ARMv8.2 id_aa64mmfr2 boiler plate (fate#321971).
- arm64: cpufeature: Change read_cpuid() to use sysreg's mrs_s
  macro (fate#321971).
- commit 901b275
* Fri Jan 20 2017 jroedel@suse.de
- KVM: x86: fix emulation of "MOV SS, null selector"
  (CVE-2017-2583 bsc#1020602).
- KVM: x86: Introduce segmented_write_std (CVE-2017-2584
  bsc#1019851).
- commit 420e3ae
* Fri Jan 20 2017 bp@suse.de
- x86/MCE: Dump MCE to dmesg if no consumers (bsc#1013994).
- commit 92d2510
* Thu Jan 19 2017 jthumshirn@suse.de
- blk-mq: Allow timeouts to run while queue is freezing
  (bsc#1020817).
- blk-mq: Avoid memory reclaim when remapping queues
  (bsc#1020817).
- blk-mq: Fix failed allocation path when mapping queues
  (bsc#1020817).
- blk-mq: Always schedule hctx->next_cpu (bsc#1020817).
- blk-mq: improve warning for running a queue on the wrong CPU
  (bsc#1020817).
- blk-mq: don't overwrite rq->mq_ctx (bsc#1020817).
- commit bf38246
* Thu Jan 19 2017 jthumshirn@suse.de
- nvme: apply DELAY_BEFORE_CHK_RDY quirk at probe time too
  (bsc#1020685).
- commit aa9da57
* Wed Jan 18 2017 msuchanek@suse.de
- Update configs (bsc#1020645, fate#321435, fate#321507, fate#321600).
- commit e2f56ff
* Wed Jan 18 2017 duwe@suse.de
- crypto: FIPS - allow tests to be disabled in FIPS mode
  (bsc#1018913).
- crypto: rsa - allow keys >= 2048 bits in FIPS mode
  (bsc#1018913).
- crypto: drbg - remove FIPS 140-2 continuous test (bsc#1018913).
- crypto: drbg - do not call drbg_instantiate in healt test
  (bsc#1018913).
- crypto: xts - fix compile errors (bsc#1018913).
- crypto: xts - consolidate sanity check for keys (bsc#1018913).
- commit cab2aae
* Wed Jan 18 2017 mgorman@suse.de
- Delete
  patches.suse/mm-page_alloc-convert-page_group_by_mobility_disable-to-static-key.patch.
  There is one report that shows on an arch we do not support that there
  was a warning and is related to available memory. It's highly unlikely
  to triggeer iin SLE but the proposed fix is risky. The benefit of the patch
  is marginal so it's being deleted due to being the most straight-forward
  approach.
- commit c01d867
* Wed Jan 18 2017 ohering@suse.de
- netvsc: add rcu_read locking to netvsc callback (fate#320485).
- commit 878d5b4
* Wed Jan 18 2017 dchang@suse.com
- bnx2x: Correct ringparam estimate when DOWN (bsc#1020214).
- commit 6b9ade0
* Tue Jan 17 2017 ddiss@suse.de
- ceph: fix bad endianness handling in parse_reply_info_extra
  (bsc#1020488).
- commit 864bd88
* Tue Jan 17 2017 yousaf.kaukab@suse.com
- arm64: kernel: numa: fix ACPI boot cpu numa node mapping
  (bsc#1020355).
- commit 2661365
* Tue Jan 17 2017 ddiss@suse.de
- config: enable Ceph kernel client modules for s390x
  (fate#321098)
- commit eb9cb3d
* Tue Jan 17 2017 ddiss@suse.de
- config: enable Ceph kernel client modules for ppc64le
  (fate#321098)
- commit a78a4f8
* Tue Jan 17 2017 mmarek@suse.com
- rpm/kernel-binary.spec.in: Fix installation of /etc/uefi/certs (bsc#1019594)
- commit 9e2a44d
* Mon Jan 16 2017 colyli@suse.de
- bcache: partition support: add 16 minors per bcacheN device
  (bsc#1019784).
- commit 2ca207e
* Mon Jan 16 2017 msuchanek@suse.de
- Update metadata for serial fixes (bsc#1013001)
- commit e2304cc
* Mon Jan 16 2017 yousaf.kaukab@suse.com
- Update config files.
  Fix vanilla build failure after following path:
  4e2d19f iommu/amd: Remove statistics code (fate#321026).
- commit ec06b97
* Mon Jan 16 2017 mbenes@suse.cz
- kgraft/iscsi-target: Do not block kGraft in iscsi_np kthread
  (bsc#1010612, fate#313296).
- commit 28ae1f0
* Mon Jan 16 2017 jslaby@suse.cz
- Linux 4.4.43 (FATE#320485 bnc#1012382).
- Refresh
  patches.suse/msft-hv-0913-hv_netvsc-rework-link-status-change-handling.patch.
- Refresh
  patches.suse/msft-hv-1081-hv_netvsc-style-cleanups.patch.
- Delete
  patches.suse/msft-hv-1144-netvsc-reduce-maximum-GSO-size.patch.
- commit 728bfb3
* Mon Jan 16 2017 jslaby@suse.cz
- Linux 4.4.42 (bnc#1012382 bsc#1000433).
- kABI: protect struct musb_platform_ops (kabi).
- kABI: protect struct wake_irq (kabi).
- kABI: protect struct xhci_hcd (kabi).
- Refresh
  patches.drivers/0001-usb-xhci-add-a-quirk-bit-for-ssic-port-unused.patch.
- Delete
  patches.drivers/drm-radeon-Always-store-CRTC-relative-radeon_crtc-cu.
- commit 8258fcf
* Fri Jan 13 2017 dbueso@suse.de
- locking/rwsem: Streamline the rwsem_optimistic_spin() code
  (bsc#969756).
- locking/rwsem: Improve reader wakeup code (bsc#969756).
- locking/rwsem: Add reader-owned state to the owner field
  (bsc#969756).
- locking/rwsem: Remove rwsem_atomic_add() and
  rwsem_atomic_update() (bsc#969756).
- locking/rwsem: Convert sem->count to 'atomic_long_t'
  (bsc#969756).
- locking/rwsem: Optimize write lock by reducing operations in
  slowpath (bsc#969756).
- locking/rwsem: Rework zeroing reader waiter->task (bsc#969756).
- locking/rwsem: Enable lockless waiter wakeup(s) (bsc#969756).
- locking/rwsem: Fix down_write_killable() (bsc#969756).
- add down_write_killable_nested() (bsc#969756).
- locking/rwsem, x86: Add frame annotation for
  call_rwsem_down_write_failed_killable() (bsc#969756).
- x86/asm: Add C versions of frame pointer macros (bsc#969756).
- x86/asm: Clean up frame pointer macros (bsc#969756).
- locking/rwsem: Provide down_write_killable() (bsc#969756).
- locking/rwsem: Introduce basis for down_write_killable()
  (bsc#969756).
- locking/rwsem, alpha: Provide __down_write_killable()
  (bsc#969756).
- locking/rwsem, s390: Provide __down_write_killable()
  (bsc#969756).
- locking/rwsem, ia64: Provide __down_write_killable()
  (bsc#969756).
- locking/rwsem, x86: Provide __down_write_killable()
  (bsc#969756).
- x86/asm: Create stack frames in rwsem functions (bsc#969756).
- commit 10567e6
* Fri Jan 13 2017 dbueso@suse.de
- ipc/msg: avoid waking sender upon full queue (bsc#979378).
- ipc/msg: make ss_wakeup() kill arg boolean (bsc#979378).
- ipc/msg: batch queue sender wakeups (bsc#979378).
- ipc/msg: implement lockless pipelined wakeups (bsc#979378).
- commit ea36329
* Fri Jan 13 2017 dbueso@suse.de
- softirq: Let ksoftirqd do its job (bsc#1019618).
- genirq: Remove unnecessary memset() calls (bsc#1019618).
- genirq: Remove redundant NULL check of irq_desc (bsc#1019618).
- commit 9a76187
* Fri Jan 13 2017 dbueso@suse.de
- Delete
  patches.suse/0001-locking-rwsem-Optimize-write-lock-by-reducing-operat.patch.
- commit 3fe6959
* Fri Jan 13 2017 jeffm@suse.com
- reiserfs: fix race in prealloc discard (bsc#987576).
- commit 69a3437
* Fri Jan 13 2017 ddiss@suse.de
- target: support XCOPY requests without parameters (bsc#991273).
- target: check for XCOPY parameter truncation (bsc#991273).
- target: use XCOPY segment descriptor CSCD IDs (bsc#1017170).
- target: check XCOPY segment descriptor CSCD IDs (bsc#1017170).
- target: simplify XCOPY wwn->se_dev lookup helper (bsc#991273).
- target: return UNSUPPORTED TARGET/SEGMENT DESC TYPE CODE sense
  (bsc#991273).
- target: bounds check XCOPY total descriptor list length
  (bsc#991273).
- target: bounds check XCOPY segment descriptor list (bsc#991273).
- target: use XCOPY TOO MANY TARGET DESCRIPTORS sense
  (bsc#991273).
- target: add XCOPY target/segment desc sense codes (bsc#991273).
- commit 7755618
* Fri Jan 13 2017 neilb@suse.com
- avoid including "mountproto=" with no protocol in /proc/mounts
  (bsc#1019260).
- commit c0fd7e8
* Thu Jan 12 2017 jjolly@suse.de
- s390/sysinfo: show partition extended name and UUID if available
  (bnc#1009718, LTC#150160).
- [BZ 149851] kernel: Fix invalid domain response handling
  (bnc#1009718, LTC#149851).
- qeth: check not more than 16 SBALEs on the completion queue
  (bnc#1009718, LTC#148203).
- s390/cpuinfo: show maximum thread id (bnc#1009718, LTC#148580).
- s390/time: LPAR offset handling (bnc#1009718, LTC#146920).
- s390/time: move PTFF definitions (bnc#1009718, LTC#146920).
- commit 3bf2c33
* Thu Jan 12 2017 mbenes@suse.cz
- kgraft/xen: Do not block kGraft in xenbus kthread (bsc#1017410,
  fate#313296).
- commit 325a303
* Thu Jan 12 2017 mbrugger@suse.com
- PCI: generic: Fix pci_remap_iospace() failure path
  (bsc#1019630).
- arm64/numa: fix incorrect log for memory-less node
  (bsc#1019631).
- commit 13d2d9f
* Thu Jan 12 2017 dbueso@suse.de
- softirq: Let ksoftirqd do its job (bsc#1019618).
- commit d0d74b0
* Thu Jan 12 2017 mgorman@suse.de
- mm: get rid of __GFP_OTHER_NODE (bnc#971975 VM performance --
  statistics).
- mm: fix remote numa hits statistics (bnc#971975 VM performance
  - - statistics).
- commit d2d6570
* Thu Jan 12 2017 tiwai@suse.de
- drm: Fix broken VT switch with video=1366x768 option
  (bsc#1018358).
- commit 82a494d
* Thu Jan 12 2017 mbrugger@suse.com
- arm64: Allow the arch timer to use the HYP timer (fate#319900).
- Refresh
  patches.arch/arm64-0001-arm64-arch_timer-Work-around-QorIQ-Erratum-A-008585.patch.
- commit 132e983
* Wed Jan 11 2017 mbrugger@suse.com
- drivers: net: xgene: fix: Coalescing values for v2 hardware
  (bsc#1019351).
- drivers: net: xgene: fix: Disable coalescing on v1 hardware
  (bsc#1019351).
- drivers: net: xgene: fix: Use GPIO to get link status
  (bsc#1019351).
- drivers: net: xgene: Fix MSS programming (bsc#1019351).
- net: xgene: fix backward compatibility fix (bsc#1019351).
- net/xgene: fix error handling during reset (bsc#1019351).
- commit 67b8b15
* Wed Jan 11 2017 oneukum@suse.com
- supported.conf: enabled support for crypto/dh_generic.ko
  This is needed for the updated QAT drivers. (FATE#321251)
- commit dd389ad
* Wed Jan 11 2017 msuchanek@suse.de
- ibmveth: calculate gso_segs for large packets (bsc#1019148).
- commit 91e0d45
* Wed Jan 11 2017 msuchanek@suse.de
- ibmveth: set correct gso_size and gso_type (bsc#1019148).
- commit b53c66e
* Wed Jan 11 2017 msuchanek@suse.de
- ibmveth: check return of skb_linearize in ibmveth_start_xmit
  (bsc#1019148).
- commit 9bc7fbb
* Wed Jan 11 2017 msuchanek@suse.de
- ibmveth: consolidate kmalloc of array, memset 0 to kcalloc
  (bsc#1019148).
- commit 6eca8d3
* Wed Jan 11 2017 yousaf.kaukab@suse.com
- brcmfmac: Change error print on wlan0 existence (bsc#1000092).
- commit c531a8d
* Tue Jan 10 2017 mbrugger@suse.com
- Delete
  patches.arch/arm64-thd-0005-irqchip-gic-v3-Add-gic_get_irq_domain-to-get-the-irq.patch.
- commit b8865ae
* Tue Jan 10 2017 mbrugger@suse.com
- Update NXP FSL arch_timer erratum to mainline
- arm64: arch_timer: Work around QorIQ Erratum A-008585
  (fate#319900).
- arm/arm64: arch_timer: Use archdata to indicate vdso suitability
  (fate#319900).
- arm64: Add macros to read/write system registers (fate#319900).
- arm64: arch_timer: simplify accessors (fate#319900).
- Update config files.
- Refresh
  patches.arch/arm64-0011-ARM64-PCI-Support-ACPI-based-PCI-host-controller.patch.
- Delete
  patches.arch/arm64-1-2-ARM-ARM64-arch_timer-Work-around-QorIQ-Erratum-A-008585.patch.
- Delete
  patches.arch/arm64-2-2-ARM64-arch_timer-Work-around-QorIQ-Erratum-A-009971.patch.
- commit 27a4efd
* Tue Jan 10 2017 mbrugger@suse.com
- Refresh
  patches.arch/arm64-0002-PCI-generic-thunder-Use-generic-ECAM-API.patch.
- commit cba51d6
* Tue Jan 10 2017 jthumshirn@suse.de
- ses: Fix SAS device detection in enclosure (bsc#1016403).
- commit f261cca
* Tue Jan 10 2017 mbrugger@suse.com
- supported.conf: delete xilinx/ll_temac (bsc#1011602)
- commit 5005100
* Tue Jan 10 2017 dchang@suse.com
- igb: add i211 to i210 PHY workaround (bsc#1009911).
- igb: Workaround for igb i210 firmware issue (bsc#1009911).
- igb: add i211 to i210 PHY workaround (bsc#1009911).
- igb: Workaround for igb i210 firmware issue (bsc#1009911).
- commit 1d5a1ba
* Mon Jan  9 2017 tiwai@suse.de
- drm/i915: Force VDD off on the new power seqeuencer before
  starting to use it (bsc#1009674).
- commit 0f48bd0
* Mon Jan  9 2017 jslaby@suse.cz
- Linux 4.4.41 (bnc#1012382 bsc#1000433).
- Refresh
  patches.drivers/drm-radeon-Always-store-CRTC-relative-radeon_crtc-cu.
- Refresh
  patches.drivers/megaraid_sas-Syncing-request-flags-macro-names-with.patch.
- Delete
  patches.drivers/drm-radeon-Also-call-cursor_move_locked-when-the-cur.
- Delete
  patches.drivers/drm-radeon-Hide-the-HW-cursor-while-it-s-out-of-boun.
- commit e04f3bc
* Mon Jan  9 2017 jslaby@suse.cz
- Linux 4.4.40 (bnc#1008742 bnc#1012382 bsc#1004365 bsc#1008557
  bsc#980371 bnc#1005169 bsc#922634).
- kABI: protect struct mm_struct (kabi).
- kABI: protect struct task_struct (kabi).
- kABI: protect user_namespace include in fs/exec (kabi).
- kABI: protect user_namespace include in kernel/ptrace (kabi).
- Refresh
  patches.drivers/0007-usb-gadget-Update-usb_assign_descriptors-for-SuperSp.patch.
- Update patches.fixes/ptrace-in-namespace-perm-check.fix
  (bsc#959709, CVE-2015-8709).
- Delete
  patches.drivers/0001-usb-hub-Fix-auto-remount-of-safely-removed-or-ejecte.patch.
- Delete
  patches.drivers/ALSA-hda-Gate-the-mic-jack-on-HP-Z1-Gen3-AiO.
- Delete
  patches.fixes/0001-block_dev-don-t-test-bdev-bd_contains-when-it-is-not.patch.
- Delete
  patches.fixes/driver-core-fix-race-between-creating-querying-glue-.patch.
- Delete
  patches.fixes/ppp-defer-netns-reference-release-for-ppp-channel.patch.
- Delete
  patches.fixes/xen-gntdev-use-VM_MIXEDMAP-instead-of-VM_IO.patch.
- commit 375eff6
* Mon Jan  9 2017 tiwai@suse.de
- supported.conf: Support Marvell WiFi/BT SDIO and pinctrl-cherrytrail
  (bsc#1018813)
- commit a7ee305
* Mon Jan  9 2017 jthumshirn@suse.de
- Delete
  patches.drivers/0062-libnvdimm-fix-smart-data-retrieval.patch.
  The hunk was misapplied and the correct version is in
  patches.kernel.org/patch-4.4.7-8.
- commit ebcb487
* Fri Jan  6 2017 mgorman@suse.de
- mm/mmzone.c: swap likely to unlikely as code logic is different
  for next_zones_zonelist() (bnc#971975 VM performance --
  page allocator).
- commit 0e12c1c
* Thu Jan  5 2017 ohering@suse.de
- x86/hyperv: Handle unknown NMIs on one CPU when
  unknown_nmi_panic (fate#320485).
- tools: hv: Enable network manager for bonding scripts on RHEL
  (fate#320485).
- Tools: hv: kvp: configurable external scripts path
  (fate#320485).
- hv: change clockevents unbind tactics (fate#320485).
- hv: acquire vmbus_connection.channel_mutex in
  vmbus_free_channels() (fate#320485).
- hyperv: Fix spelling of HV_UNKOWN (fate#320485).
- scsi: storvsc: Payload buffer incorrectly sized for 32 bit
  kernels (fate#320485).
- hv_netvsc: remove excessive logging on MTU change (fate#320485).
- PCI: hv: Allocate physically contiguous hypercall params buffer
  (fate#320485).
- PCI: hv: Delete the device earlier from hbus->children for
  hot-remove (fate#320485).
- PCI: hv: Fix hv_pci_remove() for hot-remove (fate#320485).
- commit a4fb4e6
* Thu Jan  5 2017 ohering@suse.de
- PCI: hv: Use the correct buffer size in new_pcichild_device()
  (fate#320485).
- Drivers: hv: vmbus: On the read path cleanup the logic to
  interrupt the host (fate#320485).
- Drivers: hv: vmbus: On write cleanup the logic to interrupt
  the host (fate#320485).
- Drivers: hv: vmbus: Base host signaling strictly on the ring
  state (fate#320485).
- tools: hv: remove unnecessary header files and netlink related
  code (fate#320485).
- tools: hv: fix a compile warning in snprintf (fate#320485).
- tools: hv: remove unnecessary link flag (fate#320485).
- Drivers: hv: balloon: Fix info request to show max page count
  (fate#320485).
- Drivers: hv: vss: Operation timeouts should match host
  expectation (fate#320485).
- Drivers: hv: vss: Improve log messages (fate#320485).
- Drivers: hv: balloon: Add logging for dynamic memory operations
  (fate#320485).
- Drivers: hv: balloon: Disable hot add when CONFIG_MEMORY_HOTPLUG
  is not set (fate#320485).
- Drivers: hv: utils: Fix the mapping between host version and
  protocol to use (fate#320485).
- Drivers: hv: utils: reduce HV_UTIL_NEGO_TIMEOUT timeout
  (fate#320485).
- Drivers: hv: ring_buffer: count on wrap around mappings in
  get_next_pkt_raw() (v2) (fate#320485).
- PCI: hv: Make unnecessarily global IRQ masking functions static
  (fate#320485).
- hv_netvsc: fix a race between netvsc_send() and
  netvsc_init_buf() (fate#320485).
- Drivers: hv: balloon: replace ha_region_mutex with spinlock
  (fate#320485).
- commit 63457bc
* Thu Jan  5 2017 msuchanek@suse.de
- powerpc: Use defines for __init_tlb_power[78] (fate#321439).
- commit 0f4a2b3
* Thu Jan  5 2017 msuchanek@suse.de
- powerpc: Add HWCAP bits for Power9 (fate#321439).
- commit 10ad502
* Thu Jan  5 2017 msuchanek@suse.de
- powerpc/perf: Export Power9 generic and cache events to sysfs
  (fate#321438).
- commit bd23f78
* Thu Jan  5 2017 msuchanek@suse.de
- powerpc/perf: Power9 PMU support (fate#321438).
- commit c85682c
* Thu Jan  5 2017 msuchanek@suse.de
- powerpc/perf: Add power9 event list macros for generic and
  cache events (fate#321438).
- commit 7c978d9
* Thu Jan  5 2017 msuchanek@suse.de
- powerpc/perf: factor out power8 __init_pmu code (fate#321438).
- commit 04220b4
* Thu Jan  5 2017 msuchanek@suse.de
- powerpc/perf: factor out power8 pmu functions (fate#321438).
- commit 14f2c94
* Thu Jan  5 2017 msuchanek@suse.de
- powerpc/perf: factor out power8 pmu macros and defines
  (fate#321438).
- commit ef05365
* Thu Jan  5 2017 msuchanek@suse.de
- powerpc/perf: Replace raw event hex values with #defines
  (fate#321438).
- commit a2455e0
* Thu Jan  5 2017 msuchanek@suse.de
- powerpc: Fix misspellings in comments (fate#321438).
- commit cba88de
* Thu Jan  5 2017 msuchanek@suse.de
- powerpc/perf: Remove PPMU_HAS_SSLOT flag for Power8
  (fate#321438).
- commit 4eac012
* Thu Jan  5 2017 fdmanana@suse.com
- Btrfs: send, avoid incorrect leaf accesses when sending utimes
  operations (bsc#1018316).
- Btrfs: send, fix invalid leaf accesses due to incorrect utimes
  operations (bsc#1018316).
- Btrfs: send, fix warning due to late freeing of orphan_dir_info
  structures (bsc#1018316).
- Btrfs: incremental send, fix premature rmdir operations
  (bsc#1018316).
- Btrfs: incremental send, fix invalid paths for rename operations
  (bsc#1018316).
- Btrfs: send, add missing error check for calls to path_loop()
  (bsc#1018316).
- Btrfs: send, fix failure to move directories with the same
  name around (bsc#1018316).
- commit 40f67ca
* Thu Jan  5 2017 mgorman@suse.de
- signals: avoid unnecessary taking of sighand->siglock
  (bnc#978907 Scheduler performance -- signals).
- mm: fadvise: avoid expensive remote LRU cache draining after
  FADV_DONTNEED (bnc#971975 VM performance -- fadvise).
- mm/fadvise.c: do not discard partial pages with
  POSIX_FADV_DONTNEED (bnc#971975 VM performance -- fadvise).
- mm, page_alloc: convert page_group_by_mobility_disable to
  static key (bnc#971975 VM performance -- page allocator).
- commit b0ffb3e
* Thu Jan  5 2017 yousaf.kaukab@suse.com
- s390: config: update config after arm iort support
- commit fafeee4
* Thu Jan  5 2017 yousaf.kaukab@suse.com
- ppc64le: config: update config after arm iort support
- commit aebea90
* Thu Jan  5 2017 yousaf.kaukab@suse.com
- x86_64: config: update config after arm iort support
- commit a096137
* Thu Jan  5 2017 yousaf.kaukab@suse.com
- arm64: config: enable iort support
- commit f60b0a8
* Thu Jan  5 2017 tiwai@suse.de
- fbcon: Fix vc attr at deinit (bsc#1000619).
- commit 789d606
* Wed Jan  4 2017 bpoirier@suse.com
- scsi: bfa: Increase requested firmware version to 3.2.5.1
  (bsc#1013273).
- commit d9530d4
* Wed Jan  4 2017 msuchanek@suse.de
- powerpc: Add POWER9 cputable entry (fate#321439).
- commit 0db7bd2
* Wed Jan  4 2017 yousaf.kaukab@suse.com
- ACPI/IORT: Make dma masks set-up IORT specific (fate#320512,
  fate#322061).
- ACPI/IORT: Introduce iort_iommu_configure (fate#320512,
  fate#322061).
- ACPI/IORT: Add single mapping function (fate#320512,
  fate#322061).
- ACPI/IORT: Replace rid map type with type mask (fate#320512,
  fate#322061).
- iommu/arm-smmu: Add IORT configuration (fate#320512,
  fate#322061).
- iommu/arm-smmu: Split probe functions into DT/generic portions
  (fate#320512, fate#322061).
- iommu/arm-smmu-v3: Add IORT configuration (fate#320512,
  fate#322061).
- iommu/arm-smmu-v3: Split probe functions into DT/generic
  portions (fate#320512, fate#322061).
- ACPI/IORT: Add support for ARM SMMU platform devices creation
  (fate#320512, fate#322061).
- ACPI/IORT: Add node match function (fate#320512, fate#322061).
- ACPI: Implement acpi_dma_configure (fate#320512, fate#322061).
- iommu/arm-smmu-v3: Convert struct device of_node to fwnode usage
  (fate#320512, fate#322061).
- iommu/arm-smmu: Convert struct device of_node to fwnode usage
  (fate#320512, fate#322061).
- iommu: Make of_iommu_set/get_ops() DT agnostic (fate#320512,
  fate#322061).
- ACPI/IORT: Add support for IOMMU fwnode registration
  (fate#320512, fate#322061).
- ACPI/IORT: Introduce linker section for IORT entries probing
  (fate#320512, fate#322061).
- ACPI: Add FWNODE_ACPI_STATIC fwnode type (fate#320512,
  fate#322061).
- ACPICA: IORT: Add in support for the SMMUv3 subtable
  (fate#320512, fate#322061).
- iommu/arm-smmu: Fix out-of-bounds dereference (fate#320512,
  fate#322061).
- iommu/arm-smmu: Check that iommu_fwspecs are ours (fate#320512,
  fate#322061).
- iommu/arm-smmu: Don't inadvertently reject multiple SMMUv3s
  (fate#320512, fate#322061).
- iommu/arm-smmu: Work around ARM DMA configuration (fate#320512,
  fate#322061).
- iommu/io-pgtable-arm: Check for v7s-incapable systems
  (fate#320512, fate#322061).
- iommu/dma: Avoid PCI host bridge windows (fate#320512,
  fate#322061).
- iommu/arm-smmu: Set domain geometry (fate#320512, fate#322061).
- iommu/arm-smmu: Wire up generic configuration support
  (fate#320512, fate#322061).
- Docs: dt: document ARM SMMU generic binding usage (fate#320512,
  fate#322061).
- iommu/arm-smmu: Convert to iommu_fwspec (fate#320512,
  fate#322061).
- iommu/arm-smmu: Intelligent SMR allocation (fate#320512,
  fate#322061).
- iommu/arm-smmu: Add a stream map entry iterator (fate#320512,
  fate#322061).
- iommu/arm-smmu: Streamline SMMU data lookups (fate#320512,
  fate#322061).
- iommu/arm-smmu: Refactor mmu-masters handling (fate#320512,
  fate#322061).
- iommu/arm-smmu: Keep track of S2CR state (fate#320512,
  fate#322061).
- iommu/arm-smmu: Consolidate stream map entry state (fate#320512,
  fate#322061).
- iommu/arm-smmu: Handle stream IDs more dynamically (fate#320512,
  fate#322061).
- iommu/arm-smmu: Set PRIVCFG in stage 1 STEs (fate#320512,
  fate#322061).
- iommu/arm-smmu: Support non-PCI devices with SMMUv3
  (fate#320512, fate#322061).
- iommu/arm-smmu: Implement of_xlate() for SMMUv3 (fate#320512,
  fate#322061).
- iommu/arm-smmu: Fall back to global bypass (fate#320512,
  fate#322061).
- Docs: dt: document ARM SMMUv3 generic binding usage
  (fate#320512, fate#322061).
- iommu: Introduce iommu_fwspec (fate#320512, fate#322061).
- iommu/of: Handle iommu-map property for PCI (fate#320512,
  fate#322061).
- iommu: of: enforce const-ness of struct iommu_ops (fate#320512,
  fate#322061).
- of/irq: Break out msi-map lookup (again) (fate#320512,
  fate#322061).
- Docs: dt: add PCI IOMMU map bindings (fate#320512, fate#322061).
- iommu/arm-smmu: Disable interrupts whilst holding the cmdq lock
  (fate#320512, fate#322061).
- iommu/arm-smmu: Fix polling of command queue (fate#320512,
  fate#322061).
- iommu/arm-smmu: Support v7s context format (fate#320512,
  fate#322061).
- iommu/arm-smmu: Fix event queues synchronization (fate#320512,
  fate#322061).
- iommu/arm-smmu: Drop devm_free_irq when driver detach
  (fate#320512, fate#322061).
- irqchip/gic: Add missing \n to CPU IF adjustment message
  (fate#320512, fate#322061).
- irqchip/gic-v3-its: Fix 64bit GIC{R,ITS}_TYPER accesses
  (fate#320512, fate#322061).
- iommu/dma: Add support for mapping MSIs (fate#320512,
  fate#322061).
- irqchip/gicv3-its: Use MADT ITS subtable to do PCI/MSI domain
  initialization (fate#320512, fate#322061).
- irqchip/gicv3-its: Factor out PCI-MSI part that might be reused
  for ACPI (fate#320512, fate#322061).
- irqchip/gicv3-its: Probe ITS in the ACPI way (fate#320512,
  fate#322061).
- irqchip/gicv3-its: Refactor ITS DT init code to prepare for ACPI
  (fate#320512, fate#322061).
- irqchip/gicv3-its: Cleanup for ITS domain initialization
  (fate#320512, fate#322061).
- irqchip/gic: Mark gic_init_physaddr() static (fate#320512,
  fate#322061).
- irqchip/gic-pm: Update driver to use of_pm_clk_add_clk
  (fate#320512, fate#322061).
- irqchip/gic-v3: Reset BPR during initialization (fate#320512,
  fate#322061).
- irqchip/gic: Make locking a BL_SWITCHER only feature
  (fate#320512, fate#322061).
- PCI/MSI: Setup MSI domain on a per-device basis using IORT
  ACPI table (fate#320512, fate#322061).
- ACPI: Add new IORT functions to support MSI domain handling
  (fate#320512, fate#322061).
- ACPI: I/O Remapping Table (IORT) initial support (fate#320512,
  fate#322061).
- iommu/dma: Respect IOMMU aperture when allocating (fate#320512,
  fate#322061).
- iommu/arm-smmu: Disable stalling faults for all endpoints
  (fate#320512, fate#322061).
- iommu/io-pgtable-arm-v7s: Fix attributes when splitting blocks
  (fate#320512, fate#322061).
- iommu/arm-smmu: Use devm_request_irq and devm_free_irq
  (fate#320512, fate#322061).
- iommu/io-pgtable-arm: Fix iova_to_phys for block entries
  (fate#320512, fate#322061).
- iommu/arm-smmu: request pcie devices to enable ACS (fate#320512,
  fate#322061).
- irqchip/gicv3-its: Disable the ITS before initializing it
  (fate#320512, fate#322061).
- irqchip/gicv3: Remove disabling redistributor and group1
  non-secure interrupts (fate#320512, fate#322061).
- irqchip/gic: Allow self-SGIs for SMP on UP configurations
  (fate#320512, fate#322061).
- irqchip/gicv3-its: Implement two-level(indirect) device table
  support (fate#320512, fate#322061).
- irqchip/gicv3-its: Remove an unused argument 'node_name'
  (fate#320512, fate#322061).
- irqchip/gicv3-its: Split its_alloc_tables() into two functions
  (fate#320512, fate#322061).
- irqchip/gicv3-its: Add a new function for parsing device table
  BASERn (fate#320512, fate#322061).
- irqchip/gicv3-its: Introduce two helper functions for accessing
  BASERn (fate#320512, fate#322061).
- irqchip/gic: Add platform driver for non-root GICs that require
  RPM (fate#320512, fate#322061).
- irqchip/gic: Prepare for adding platform driver (fate#320512,
  fate#322061).
- irqchip/gic: Add helper function for chip initialisation
  (fate#320512, fate#322061).
- irqchip/gic: Isolate early GIC initialisation code (fate#320512,
  fate#322061).
- irqchip/gic-v2m: Fix missing include of
  <linux/irqchip/arm-gic.h> (fate#320512, fate#322061).
- genirq: Add runtime power management support for IRQ chips
  (fate#320512, fate#322061).
- genirq: Ensure IRQ descriptor is valid when setting-up the IRQ
  (fate#320512, fate#322061).
- iommu/arm-smmu: Clear cache lock bit of ACR (fate#320512,
  fate#322061).
- iommu/arm-smmu: Support SMMUv1 64KB supplement (fate#320512,
  fate#322061).
- iommu/arm-smmu: Decouple context format from kernel config
  (fate#320512, fate#322061).
- iommu/arm-smmu: Tidy up 64-bit/atomic I/O accesses (fate#320512,
  fate#322061).
- io-64-nonatomic: Add relaxed accessor variants (fate#320512,
  fate#322061).
- iommu/arm-smmu: Work around MMU-500 prefetch errata
  (fate#320512, fate#322061).
- iommu/arm-smmu: Convert ThunderX workaround to new method
  (fate#320512, fate#322061).
- iommu/arm-smmu: Differentiate specific implementations
  (fate#320512, fate#322061).
- iommu/io-pgtable-arm-v7s: Support IOMMU_MMIO flag (fate#320512,
  fate#322061).
- iommu/io-pgtable-arm: Support IOMMU_MMIO flag (fate#320512,
  fate#322061).
- iommu: Add MMIO mapping type (fate#320512, fate#322061).
- irqchip/gic-v3: Fix quiescence check in gic_enable_redist
  (fate#320512, fate#322061).
- irqchip/gic: Add helper functions for GIC setup and teardown
  (fate#320512, fate#322061).
- irqchip/gic: Store GIC configuration parameters (fate#320512,
  fate#322061).
- irqchip/gic: Pass GIC pointer to save/restore functions
  (fate#320512, fate#322061).
- irqchip/gic: Return an error if GIC initialisation fails
  (fate#320512, fate#322061).
- irqchip/gic: Remove static irq_chip definition for eoimode1
  (fate#320512, fate#322061).
- irqchip/gic: Don't initialise chip if mapping IO space fails
  (fate#320512, fate#322061).
- irqchip/gic: WARN if setting the interrupt type for a PPI fails
  (fate#320512, fate#322061).
- irqchip/gic: Don't unnecessarily write the IRQ configuration
  (fate#320512, fate#322061).
- irqchip/gic-v2m: Add workaround for Broadcom NS2 GICv2m erratum
  (fate#320512, fate#322061).
- irqchip/gicv3-its: Don't allow devices whose ID is outside range
  (fate#320512, fate#322061).
- iommu/arm-smmu: Don't allocate resources for bypass domains
  (fate#320512, fate#322061).
- iommu/arm-smmu: Fix stream-match conflict with IOMMU_DOMAIN_DMA
  (fate#320512, fate#322061).
- iommu/io-pgtable-armv7s: Fix kmem_cache_alloc() flags
  (fate#320512, fate#322061).
- iommu/arm-smmu: Treat IOMMU_DOMAIN_DMA as bypass for now
  (fate#320512, fate#322061).
- iommu/arm-smmu: Don't fail device attach if already attached
  to a domain (fate#320512, fate#322061).
- iommu/arm-smmu: Allow disabling unmatched stream bypass
  (fate#320512, fate#322061).
- of: iommu: Increment DT node refcount in of_iommu_set_ops()
  (fate#320512, fate#322061).
- iommu/arm-smmu: Support DMA-API domains (fate#320512,
  fate#322061).
- iommu/arm-smmu: Treat all device transactions as unprivileged
  (fate#320512, fate#322061).
- iommu/io-pgtable: Rationalise quirk handling (fate#320512,
  fate#322061).
- iommu/io-pgtable: Add helper functions for TLB ops (fate#320512,
  fate#322061).
- iommu/io-pgtable: Add ARMv7 short descriptor support
  (fate#320512, fate#322061).
- irqchip/gic/realview: Support more RealView DCC variants
  (fate#320512, fate#322061).
- irqchip/gic-v3: Always return IRQ_SET_MASK_OK_DONE in
  gic_set_affinity (fate#320512, fate#322061).
- irqchip/gic: Return IRQ_SET_MASK_OK_DONE in the set_affinity
  method (fate#320512, fate#322061).
- iommu/io-pgtable-arm: Fix io-pgtable-arm build failure
  (fate#320512, fate#322061).
- iommu/arm-smmu: Use STE.S1STALLD only when supported
  (fate#320512, fate#322061).
- iommu/arm-smmu: Fix write to GERRORN register (fate#320512,
  fate#322061).
- iommu/io-pgtable: Make io_pgtable_ops_to_pgtable() macro common
  (fate#320512, fate#322061).
- iommu/io-pgtable-arm: Avoid dereferencing bogus PTEs
  (fate#320512, fate#322061).
- iommu/arm-smmu: Handle unknown CERROR values gracefully
  (fate#320512, fate#322061).
- iommu/arm-smmu: Correct group reference count (fate#320512,
  fate#322061).
- iommu/arm-smmu: Use incoming shareability attributes in bypass
  mode (fate#320512, fate#322061).
- iommu/arm-smmu: Delete an unnecessary check before
  free_io_pgtable_ops() (fate#320512, fate#322061).
- iommu/arm-smmu: Convert DMA buffer allocations to the managed
  API (fate#320512, fate#322061).
- iommu/arm-smmu: Remove #define for non-existent PRIQ_0_OF field
  (fate#320512, fate#322061).
- irqchip/gicv3-its: Avoid cache flush beyond ITS_BASERn memory
  size (fate#320512, fate#322061).
- irqchip/gic: Only set the EOImodeNS bit for the root controller
  (fate#320512, fate#322061).
- irqchip/gic: Only populate set_affinity for the root controller
  (fate#320512, fate#322061).
- irqchip/gicv3-its: Fix memory leak in its_free_tables()
  (fate#320512, fate#322061).
- irqchip/gic-v3-its: Recompute the number of pages on page size
  change (fate#320512, fate#322061).
- irqchip/gicv2m: Miscellaneous fixes for v2m resources and SPI
  ranges (fate#320512, fate#322061).
- irqchip/gic-v2m: acpi: Introducing GICv2m ACPI support
  (fate#320512, fate#322061).
- irqchip/gic-v2m: Refactor to prepare for ACPI support
  (fate#320512, fate#322061).
- irqchip/gic: Kconfig the number of instances (fate#320512,
  fate#322061).
- irqchip/gic: Make interrupt ID 1020 invalid (fate#320512,
  fate#322061).
- irqchip/gic-v2m: Fix of_node refcount on error (fate#320512,
  fate#322061).
- irqchip/gic: Assign irqchip dynamically (fate#320512,
  fate#322061).
- irqchip/gic: Support RealView variant setup (fate#320512,
  fate#322061).
- commit 26ee915
* Wed Jan  4 2017 jeffm@suse.com
- btrfs: bugfix: handle FS_IOC32_{GETFLAGS,SETFLAGS,GETVERSION}
  in btrfs_ioctl (bsc#1018100).
- commit 150ad6c
* Tue Jan  3 2017 jeffm@suse.com
- btrfs: increment ctx->pos for every emitted or skipped dirent
  in readdir (bsc#981709).
- btrfs: remove old tree_root dirent processing in
  btrfs_real_readdir() (bsc#981709).
- commit c936976
* Tue Jan  3 2017 jeffm@suse.com
- Update btrfs patch tags for 4.10-rc1.
- commit 54fe129
* Tue Jan  3 2017 tiwai@suse.de
- intel_idle: Add KBL support (bsc#1016884).
- commit 1919669
* Tue Jan  3 2017 trenn@suse.com
- Refresh
  patches.drivers/intel_rapl_add_knights_mill_support.patch.
- Refresh patches.drivers/intel_rapl_handle_missing_msrs.patch.
- Refresh
  patches.drivers/intel_rapl_reduce_error_msg_to_dbg.patch.
- Refresh patches.drivers/powercap-RAPL-add-support-for-Denverton.
- commit 09a2079
* Tue Jan  3 2017 trenn@suse.com
- powercap / RAPL: Add Knights Mill CPUID (fate#321924).
- powercap / RAPL: handle missing MSRs (fate#321277).
- powercap / RAPL: reduce message loglevel (fate#321277).
- Refresh patches.drivers/powercap-RAPL-add-support-for-Denverton.
- commit cc24bc7
* Tue Jan  3 2017 tiwai@suse.de
- Disable patches.drivers/drm-i915-Exit-cherryview_irq_handler-after-one-pass
  The patch seems leading to the instability on Wyse box (bsc#1015367).
- commit 39be084
* Tue Jan  3 2017 neilb@suse.com
- Refresh
  patches.kabi/0003-SUNRPC-Limit-the-reconnect-backoff-timer-to-the-max-KABI.patch.
  Move field to a hole in structure.
- commit d54874f
* Mon Jan  2 2017 bpoirier@suse.com
- efi/libstub: Move Graphics Output Protocol handling to generic
  code (bnc#974215).
- Delete
  patches.arch/0004-efi-x86-libstub-move-to-generic-GOP-code.patch.
  The backport of fc37206 ("efi/libstub: Move Graphics Output Protocol
  handling to generic code", v4.7-rc1) was split into two patches for no
  apparent reason. Reunite them.
- commit ab48258
* Mon Jan  2 2017 bpoirier@suse.com
- Refresh
  patches.drivers/0034-usb-Add-USB-3.1-Precision-time-measurement-capabilit.patch.
- Delete
  patches.drivers/0041-usb-Add-USB-3.1-Precision-time-measurement-capabilit.patch.
  The backport of faee822 ("usb: Add USB 3.1 Precision time measurement
  capability descriptor support" ,v4.6-rc1) was split into two patches for no
  apparent reason. Reunite them.
- commit 134ff47
* Mon Jan  2 2017 bpoirier@suse.com
- Delete
  patches.arch/arm64-bcm2837-0077-clk-bcm2835-Fix-PLL-poweron.patch.
  patches.kernel.org/patch-4.4.12-13 already applies a backport of e708b38
  ("clk: bcm2835: Fix PLL poweron", v4.7-rc1). This patch is a duplicate and
  adds the same code a second time.
- commit bdda9d0
* Mon Jan  2 2017 bpoirier@suse.com
- Refresh
  patches.drivers/0032-usb-Add-USB3.1-SuperSpeedPlus-Isoc-Endpoint-Companio.patch.
  This patch is a backport of commit c8b1d89 ("usb: Add USB3.1 SuperSpeedPlus
  Isoc Endpoint Companion descriptor", v4.6-rc1), fix the git-commit tag.
- commit 58cc2b6
* Mon Jan  2 2017 bpoirier@suse.com
- Refresh patches.drivers/dax-New-fault-locking.patch.
- Delete
  patches.drivers/dax-Remove-unused-variable-in-__dax_pmd_fault.patch.
  Strangely, one hunk was split out of the backport for ac401cc ("dax: New
  fault locking", v4.7-rc1) to a different patch file. Reunite everything
  into one patch.
  Also use the correct date of commit ac401cc.
- commit bfc03fd
* Mon Jan  2 2017 bpoirier@suse.com
- Refresh patches.kernel.org/patch-4.4.9-10.
  Remove erroneous git-commit tag. This patch in fact reverts commit 7f821fc
  ("powerpc/tm: Check for already reclaimed tasks", v4.4-rc3). The revert is
  stable commit a9bd748 (Revert: "powerpc/tm: Check for already reclaimed
  tasks", v4.4.10)
  This erroneous git-commit tag may be due to the peculiar format of
  a9bd748's log.
- commit 9380072
* Mon Jan  2 2017 bpoirier@suse.com
- Delete
  patches.fixes/0001-userfaultfd-don-t-block-on-the-last-VM-updates-at-ex.patch.
  patches.kernel.org/patch-4.4.5-6 already applies a backport of 39680f5
  (userfaultfd: don't block on the last VM updates at exit time", v4.5-rc7)
  This patch is a duplicate and adds the same code a second time.
- commit 3079d9b
* Mon Jan  2 2017 bpoirier@suse.com
- Refresh
  patches.suse/0001-locking-qspinlock-Use-_acquire-_release-versions-of-.patch.
- Refresh
  patches.suse/0002-locking-qspinlock-Prefetch-the-next-node-cacheline.patch.
- Refresh
  patches.suse/0003-locking-qspinlock-Avoid-redundant-read-of-next-point.patch.
- Refresh
  patches.suse/0004-locking-pvqspinlock-x86-Optimize-the-PV-unlock-code-.patch.
- Refresh
  patches.suse/0005-locking-sched-Introduce-smp_cond_acquire-and-use-it.patch.
- Refresh
  patches.suse/0006-sched-core-locking-Document-Program-Order-guarantees.patch.
- Refresh
  patches.suse/0007-locking-pvqspinlock-Collect-slowpath-lock-statistics.patch.
- Refresh
  patches.suse/0008-locking-pvqspinlock-Allow-limited-lock-stealing.patch.
- Refresh
  patches.suse/0009-locking-pvqspinlock-Queue-node-adaptive-spinning.patch.
  Fix wrong (duplicated) git-commit tag.
- commit 4140bfc
* Mon Jan  2 2017 bpoirier@suse.com
- Refresh patches.drivers/0001-hub-admit-devices-are-SS.patch.
- Refresh
  patches.fixes/0001-ipc-shm.c-is_file_shm_hugepages-can-be-boolean.patch.
  Clean up attribution lines.
- commit 85388d4
* Mon Jan  2 2017 mkubecek@suse.cz
- Update patches.fixes/tipc-check-minimum-bearer-MTU.patch to final
  mainline version, update mainline references.
- commit 15890cc
* Mon Jan  2 2017 mkubecek@suse.cz
- Update patches.kernel.org/patch-4.4.13-14 references (add CVE-2016-9806 bsc#1013540).
- commit 4b2e0d2
* Mon Jan  2 2017 jslaby@suse.cz
- drm: Use u64 for intermediate dotclock calculations
  (bnc#1006472).
- commit 322b1a4
* Mon Jan  2 2017 jslaby@suse.cz
- Linux 4.4.39 (bsc#1015212).
- Delete
  patches.fixes/0001-locking-rtmutex-Prevent-dequeue-vs.-unlock-race.patch.
- Delete
  patches.fixes/0002-locking-rtmutex-Use-READ_ONCE-in-rt_mutex_owner.patch.
- commit 1c3ec20
* Thu Dec 29 2016 tiwai@suse.de
- Fix kABI breakage by linux/acpi.h inclusion in i8042-x86ia46io.h
  (bsc#1011660).
- commit 8c901ad
* Thu Dec 29 2016 tiwai@suse.de
- Fix kABI breakage by i2c-designware baytrail fix (bsc#1011913).
- commit 12e3caa
* Thu Dec 29 2016 tiwai@suse.de
- Input: i8042 - Trust firmware a bit more when probing on X86
  (bsc#1011660).
- commit 14c2a6b
* Thu Dec 29 2016 tiwai@suse.de
- i2c: designware-baytrail: Disallow the CPU to enter C6 or C7
  while holding the punit semaphore (bsc#1011913).
- commit b2fcb06
* Thu Dec 29 2016 trenn@suse.com
- thermal/powerclamp: add back module device table (fate#320909).
- thermal/powerclamp: correct cpu support check (fate#320909).
- thermal/powerclamp: Prevent division by zero when counting
  interval (fate#320909).
- thermal/powerclamp: remove cpu whitelist (fate#320909).
- commit abf4da8
* Thu Dec 29 2016 tiwai@suse.de
- Refresh upstreamed patches (bsc#1010690)
  patches.drivers/080-ASoC-cht_bsw_rt5672-Use-HID-translation-unit
  patches.drivers/082-ASoC-intel-Replace-kthread-with-work
  patches.drivers/083-ASoC-rt5670-Add-missing-10EC5072-ACPI-ID
  patches.drivers/084-ASoC-Intel-Add-missing-10EC5672-ACPI-ID-matching-for
  patches.drivers/086-ASoC-rt5670-Enable-Braswell-platform-workaround-for
  patches.drivers/087-ASoC-Intel-bytcr_rt5640-fallback-mechanism-if-MCLK-i
- commit 06e4467
* Thu Dec 29 2016 tiwai@suse.de
- ASoC: rt5670: add HS ground control (bsc#1016250).
- commit 8420fac
* Wed Dec 28 2016 tiwai@suse.de
- 8250/fintek: rename IRQ_MODE macro (boo#1009546).
- serial: 8250_fintek: fix the mismatched IRQ mode (boo#1009546).
- commit 13e486c
* Wed Dec 28 2016 tiwai@suse.de
- serial: 8250: Integrate Fintek into 8250_base (boo#1016979).
  Update config files to change CONFIG_SERIAL_8250_FINTEK to boolean
  accordingly, too.  Also, the corresponding entry got removed from
  supported.conf.
- commit 7f9e890
* Wed Dec 28 2016 kbuild@suse.de
- Delete patches.kabi/* workarounds
- commit 20bad0e
* Wed Dec 28 2016 ghe@suse.com
- ocfs2: fix deadlock on mmapped page in
  ocfs2_write_begin_nolock() (bnc#921494).
- commit f127796
* Fri Dec 23 2016 jroedel@suse.de
- kvm: svm: fix unsigned compare less than zero comparison
  (fate#319478).
- svm: Implements update_pi_irte hook to setup posted interrupt
  (fate#319478).
- svm: Introduce AMD IOMMU avic_ga_log_notifier (fate#319478).
- svm: Introduces AVIC per-VM ID (fate#319478).
- iommu/amd: Enable vAPIC interrupt remapping mode by default
  (fate#319478).
- iommu/amd: Implements irq_set_vcpu_affinity() hook to setup
  vapic mode for pass-through devices (fate#319478).
- iommu/amd: Introduce amd_iommu_update_ga() (fate#319478).
- iommu/amd: Adding GALOG interrupt handler (fate#319478).
- iommu/amd: Detect and initialize guest vAPIC log (fate#319478).
- iommu/amd: Add support for multiple IRTE formats (fate#319478).
- iommu/amd: Introduce interrupt remapping ops structure
  (fate#319478).
- iommu/amd: Move and introduce new IRTE-related unions and
  structures (fate#319478).
- iommu/amd: Detect and enable guest vAPIC support (fate#319478).
- commit dacc3b7
* Fri Dec 23 2016 mhocko@suse.cz
- mm: do not loop on GFP_REPEAT high order requests if there is
  no reclaim progress (bnc#1013000).
- commit c6b6b11
* Thu Dec 22 2016 jack@suse.cz
- dax: fix offset overflow in dax_io (fate#321148).
- dax: fix a comment in dax_zero_page_range and dax_truncate_page
  (fate#321148).
- commit d59d1b2
* Thu Dec 22 2016 jack@suse.cz
- dax: for truncate/hole-punch, do zeroing through the driver
  if possible (fate#321148).
- commit 2614379
* Thu Dec 22 2016 jack@suse.cz
- dax: export a low-level __dax_zero_page_range helper
  (fate#321148).
- Refresh
  patches.drivers/dax-Use-radix-tree-entry-lock-to-protect-cow-faults.patch.
- commit e6ca1fa
* Thu Dec 22 2016 jack@suse.cz
- dax: use sb_issue_zerout instead of calling dax_clear_sectors
  (fate#321148).
- Refresh
  patches.drivers/dax-Define-DAX-lock-bit-for-radix-tree-exceptional-e.patch.
- commit 054bbb5
* Thu Dec 22 2016 jack@suse.cz
- dax: fallback from pmd to pte on error (fate#321148).
- commit 1f93945
* Thu Dec 22 2016 jack@suse.cz
- direct-io: eliminate the offset argument to ->direct_IO
  (fate#321148).
- Refresh
  patches.drivers/0014-block-introduce-bdev_file_inode.patch.
- Refresh
  patches.drivers/dax-Define-DAX-lock-bit-for-radix-tree-exceptional-e.patch.
- Refresh
  patches.drivers/ext4-Pre-zero-allocated-blocks-for-DAX-IO.patch.
- Refresh patches.drivers/ext4-Refactor-direct-IO-code.patch.
- commit 7cb199f
* Wed Dec 21 2016 mbrugger@suse.com
- PCI: designware: Export dw_pcie_readl_rc(), dw_pcie_writel_rc()
  (fate#322061).
- PCI: designware: Swap order of dw_pcie_writel_rc() reg/val
  arguments (fate#322061).
- PCI: designware: Simplify pcie_host_ops.readl_rc() and
  .writel_rc() interfaces (fate#322061).
- PCI: designware: Return data directly from dw_pcie_readl_rc()
  (fate#322061).
- PCI: hisi: Remove redundant error message from hisi_pcie_probe()
  (fate#322061).
- PCI: hisi: Reorder struct hisi_pcie (fate#322061).
- PCI: hisi: Pass device-specific struct to internal functions
  (fate#322061).
- PCI: hisi: Include register block base in PCIE_SYS_STATE4
  address (fate#322061).
- PCI: hisi: Use generic DesignWare accessors (fate#322061).
- PCI: hisi: Remove redundant struct hisi_pcie.reg_base
  (fate#322061).
- PCI: hisi: Name private struct pointer "hisi_pcie" consistently
  (fate#322061).
- PCI: hisi: Remove unused platform data (fate#322061).
- PCI: hisi: Add local struct device pointers (fate#322061).
- PCI: hisi: Make explicitly non-modular (fate#322061).
- PCI: hisi: Add support for HiSilicon Hip06 PCIe host controllers
  (fate#322061).
- net: hns: add the support to add/remove the ucast entry to/from
  table (fate#322061).
- net: hns: add multicast tcam table clear (fate#322061).
- net: hns: modify tcam table of mask_key (fate#322061).
- net: hns: modify tcam table of mac mc-entry (fate#322061).
- net: hns: modify tcam table of mac mc-port (fate#322061).
- net: hns: modify table index to get mac entry (fate#322061).
- net: hns: modify tcam table of mac uc-entry (fate#322061).
- net: hns: modify tcam table and set mac key (fate#322061).
- net: hns: modify buffer format of cpu data to le64
  (fate#322061).
- net: hns: fix to intimate the link-status change by adding
  LF/RF method (fate#322061).
- net: hns: modify ethtool statistics value error (fate#322061).
- net: hns: delete redundant macro definition (fate#322061).
- net: hns: bug fix about restart auto-negotiation (fate#322061).
- net: hns: set default mac pause time to 0xffff (fate#322061).
- net: hns: fix for promisc mode in HNS driver (fate#322061).
- net: hns: add fuzzy match of tcam table for hns (fate#322061).
- net: hns: fix device reference leaks (fate#322061).
- net: hisilicon: Fix hns_mdio module autoload for OF registration
  (fate#322061).
- net: hns: Fix hns_dsaf module autoload for OF registration
  (fate#322061).
- net: hns: Add missing \n to end of dev_err messages, tidy up
  text (fate#322061).
- net: hns: delete redundant broadcast packet filter process
  (fate#322061).
- net: hns: bug fix about broadcast/multicast packets
  (fate#322061).
- net: hns: fix the bug of forwarding table (fate#322061).
- net: hns: fix port not available after testing loopback
  (fate#322061).
- net: hns: delete repeat read fbd num after while (fate#322061).
- net: hns: add fini_process for v2 napi process (fate#322061).
- net: hns: bug fix about setting coalsecs-usecs to 0
  (fate#322061).
- net: hns: fix port unavailable after hnae_reserve_buffer_map
  fail (fate#322061).
- net: ethernet: hisilicon: hns: use new api
  ethtool_{get|set}_link_ksettings (fate#322061).
- net: ethernet: hisilicon: hns: use phydev from struct net_device
  (fate#322061).
- net: hns: dereference ppe_cb->ppe_common_cb if it is non-null
  (fate#322061).
- net: hns: Add support of ACPI to HNS driver RoCE Reset function
  (fate#322061).
- net: hns: remove redundant dev_err call in hns_dsaf_get_cfg()
  (fate#322061).
- net: hns: Add reset function support for RoCE driver
  (fate#322061).
- net: hns: mdio->irq is an array, so no need to check if it is
  null (fate#322061).
- ethernet: hisilicon: hns: hns_dsaf_main: add missing of_node_put
  after calling of_parse_phandle (fate#322061).
- ethernet: hisilicon: hns: hns_dsaf_mac: add missing of_node_put
  after calling of_parse_phandle (fate#322061).
- net: hns: fix return value check in hns_dsaf_get_cfg()
  (fate#322061).
- net: hns: get reset registers from DT (fate#322061).
- net: hns: add media-type property for hns (fate#322061).
- net: hns: remove redundant hns_mac_dev_to_enet_if()
  (fate#322061).
- net: hns: normalize two different loop (fate#322061).
- net: hns: add a space before "*/" (fate#322061).
- net: hns: delete redundant parenthese (fate#322061).
- net: hns: change code style from a = a + x to a += x
  (fate#322061).
- net: hns: fix code style about hns driver (fate#322061).
- net: hns: bug fix about TSO on|off when there is traffic
  (fate#322061).
- net: hns: change the default coalesce usecs (fate#322061).
- net: hns: fix sbm default parameters config error (fate#322061).
- net: hns: fix bug that alloc skb fail lead to port unavailable
  (fate#322061).
- net: hns: bug fix about led control logic when link down
  (fate#322061).
- net: hns: delete redundancy ring enable operations
  (fate#322061).
- net: hns: add get_coalesce_range api for hns (fate#322061).
- net: hns: fix bug of getting the wrong tcam data (fate#322061).
- net: hns: add spin lock for tcam table operation (fate#322061).
- net: hns: bugfix about pfc pause frame statistics (fate#322061).
- net: hns: fix the wrong speed for bond (fate#322061).
- net: hns: fix ethtool loopback fail bug (fate#322061).
- net: hns: select Hilink before serdes loopback for HNS V2
  (fate#322061).
- net: hns: fix the error info when dma_set_mask_and_coherent fail
  (fate#322061).
- net: hns: Remove unnecessary device resource free (fate#322061).
- net: hns: typo fix of annotation info for
  hns_nic_reset_subtask() (fate#322061).
- net: hns: add skb_reset_mac_header() after skb being alloc
  (fate#322061).
- net: hns: fix hns dsaf v1 dont support tx_pause close
  (fate#322061).
- net: hns: bug fix of ge reset sequence (fate#322061).
- net: hns: update the dependency (fate#322061).
- net: hns: net: hns: enet adds support of acpi (fate#322061).
- net: hns: implement the miscellaneous operation by asl
  (fate#322061).
- net: hns: register phy device in each mac initial sequence
  (fate#322061).
- net: hns: dsaf adds support of acpi (fate#322061).
- net: hns: add dsaf misc operation method (fate#322061).
- net: hns: add uniform interface for phy connection
  (fate#322061).
- net: hns: enet specify a reference to dsaf by fwnode_handle
  (fate#322061).
- net: hns: use platform_get_irq instead of irq_of_parse_and_map
  (fate#322061).
- net: hns: use device_* APIs instead of of_* APIs (fate#322061).
- net: hisilicon: add support of acpi for hns-mdio (fate#322061).
- net: hisilicon: cleanup to prepare for other cases
  (fate#322061).
- net: hns: avoid null pointer dereference (fate#322061).
- net: hns: change port-id property to reg property in dsaf port
  node (fate#322061).
- net: hns: remove cpld-ctrl-reg and add cell in the cpld-syscon
  property (fate#322061).
- net: hns: add attribute port-mode-offset for dsaf port node
  (fate#322061).
- net: hns: add attribute port-rst-offset for dsaf port node
  (fate#322061).
- net: hns: add attribute cpld_ctrl for dsaf port node
  (fate#322061).
- net: hns: separate debug dsaf device from service dsaf device
  (fate#322061).
- net: hns: sort the header file by alphabetical order
  (fate#322061).
- net: hns: add syscon operation for dsaf (fate#322061).
- net: hns: add attribute reset-field-offset for dsaf node
  (fate#322061).
- net: hns: add attribute port-idx-in-ae in enet node
  (fate#322061).
- net: hns: set debug port irq index to 0 (fate#322061).
- net: hns: add a new dsaf mode for debug port (fate#322061).
- net: hns: add support of pause frame ctrl for HNS V2
  (fate#322061).
- net: hns: set-coalesce-usecs returns errno by dsaf.ko
  (fate#322061).
- net: hns: fixed the setting and getting overtime bug
  (fate#322061).
- net: hns: bug fix about getting hilink status for HNS v2
  (fate#322061).
- net: hns: fix warning of passing zero to 'PTR_ERR'
  (fate#322061).
- net: hns: optimizate irq proccess for HNS V2 (fate#322061).
- net: hns: remove useless variable assignment and comment
  (fate#322061).
- net: hns: bug fix for return values (fate#322061).
- net: hns: optimizate fmt of snprintf() (fate#322061).
- net: hns: fix a bug for cycle index (fate#322061).
- net: hns: bug fix about the overflow of mss (fate#322061).
- net: hns: adds limitation for debug port mtu (fate#322061).
- net: hns: fix the bug about mtu setting (fate#322061).
- net: hns: fixes a bug of RSS (fate#322061).
- net: hns: fix return value of the function about rss
  (fate#322061).
- net: hns: set xge statistic reg as read only (fate#322061).
- net: hns: fixed the bug about GMACs mac setting (fate#322061).
- net: hns: add uc match for debug ports (fate#322061).
- net: hns: fixed portid bug in sending manage pkt (fate#322061).
- net: hns: bug fix about ping6 (fate#322061).
- net: hns: fix the bug about loopback (fate#322061).
- net: hns: enet specifies a reference to dsaf (fate#322061).
- net: hns: bug fix about hisilicon TSO BD mode (fate#322061).
- net: hns: fixes no syscon error when init mdio (fate#322061).
- net: hns: avoid uninitialized variable warning: (fate#322061).
- net: hns: use to_platform_device() (fate#322061).
- net: hns: optimize XGE capability by reducing cpu usage
  (fate#322061).
- net:hns: Add the init code to disable Hip06 "Hardware VLAN
  assist" (fate#322061).
- net:hns: Add support of ethtool TSO set option for Hip06 in HNS
  (fate#322061).
- net:hns: Add Hip06 "TSO(TCP Segment Offload)" support HNS Driver
  (fate#322061).
- net:hns: Add Hip06 "RSS(Receive Side Scaling)" support to HNS
  Driver (fate#322061).
- net:hns: Add support of Hip06 SoC to the Hislicon Network
  Subsystem (fate#322061).
- IB/hns: Fix for removal of redundant code (fate#322061).
- IB/hns: Delete the redundant lines in hns_roce_v1_m_qp()
  (fate#322061).
- IB/hns: Fix the bug when platform_get_resource() exec fail
  (fate#322061).
- IB/hns: Update the rq head when modify qp state (fate#322061).
- IB/hns: Cq has not been freed (fate#322061).
- IB/hns: Validate mtu when modified qp (fate#322061).
- IB/hns: Some items of qpc need to take user param (fate#322061).
- IB/hns: The Ack timeout need a lower limit value (fate#322061).
- IB/hns: Return bad wr while post send failed (fate#322061).
- IB/hns: Fix bug of memory leakage for registering user mr
  (fate#322061).
- IB/hns: Modify the init of iboe lock (fate#322061).
- IB/hns: Optimize code of aeq and ceq interrupt handle and fix
  the bug of qpn (fate#322061).
- IB/hns: Delete the sqp_start from the structure hns_roce_caps
  (fate#322061).
- IB/hns: Fix bug of clear hem (fate#322061).
- IB/hns: Remove unused parameter named qp_type (fate#322061).
- IB/hns: Simplify function of pd alloc and qp alloc
  (fate#322061).
- IB/hns: Fix bug of using uninit refcount and free (fate#322061).
- IB/hns: Remove parameters of resize cq (fate#322061).
- IB/hns: Remove unused parameters in some functions
  (fate#322061).
- IB/hns: Fix two bugs for rdma cm connecting (fate#322061).
- IB/hns: Fix the bug of rdma cm connecting on user mode
  (fate#322061).
- IB/hns: Change the logic for allocating uar registers
  (fate#322061).
- IB/hns: Add phy_port for computing GSI/QPN (fate#322061).
- IB/hns: Fix two possible bugs for rdma cm (fate#322061).
- IB/hns: Fix the value of device_cap_flags (fate#322061).
- IB/hns: Add & initialize "node_guid" parameter for RDMA CM
  (fate#322061).
- IB/hns: Register HNS RoCE Driver get_netdev() with IB Core
  (fate#322061).
- IB/hns: Add support of ACPI to the Hisilicon RoCE driver
  (fate#322061).
- IB/hns: Fix return value check in hns_roce_get_cfg()
  (fate#322061).
- IB/hns: Kconfig and Makefile for RoCE module (fate#322061).
- IB/hns: Add driver files for hns RoCE driver (fate#322061).
- net: ethtool: export conversion function between u32 and link
  mode (fate#322061).
- phy: add generic function to support ksetting support
  (fate#322061).
- net: ethtool: add new ETHTOOL_xLINKSETTINGS API (fate#322061).
- scsi: hisi_sas: shift vs compare typos (fate#322061).
- scsi: hisi_sas: add PHY set linkrate support for v1 and v2 hw
  (fate#322061).
- scsi: hisi_sas: use atomic64_t for hisi_sas_device.running_req
  (fate#322061).
- scsi: hisi_sas: check SATA FIS when directly attaching SATA
  device (fate#322061).
- scsi: hisi_sas: modify some values in get_ata_protocol()
  (fate#322061).
- scsi: hisi_sas: delete repeated configuration in
  free_device_v2_hw() (fate#322061).
- scsi: hisi_sas: modify return value of hisi_sas_query_task()
  (fate#322061).
- scsi: hisi_sas: replace WARN_ON() with dev_warn() for internal
  abort (fate#322061).
- scsi: hisi_sas: fix port form bug in
  hisi_sas_port_notify_formed() (fate#322061).
- scsi: hisi_sas: only process broadcast change in
  phy_bcast_v2_hw() (fate#322061).
- scsi: hisi_sas: alloc queue id of slot according to device id
  (fate#322061).
- scsi: hisi_sas: add v2 hw support for ECC and AXI bus fatal
  error (fate#322061).
- scsi: hisi_sas: Add v2 hw support for different refclk
  (fate#322061).
- scsi: hisi_sas: send three identify before phy up (fate#322061).
- scsi: hisi_sas: add missing SATA pending device type to v2 hw
  (fate#322061).
- scsi: hisi_sas: remove init_id_frame_v1_hw() (fate#322061).
- scsi: hisi_sas: remove init_id_frame_v2_hw() (fate#322061).
- scsi: hisi_sas: fix HBA SAS addr endianness for v1 hw
  (fate#322061).
- scsi: hisi_sas: fix HBA SAS addr endianness for v2 hw
  (fate#322061).
- scsi: hisi_sas: set dma mask before allocate DMA memory
  (fate#322061).
- scsi: hisi_sas: fix a potential warning for sata disk ejection
  (fate#322061).
- scsi: hisi_sas: fix phy8 linkrate calculation in phy_up_v2_hw()
  (fate#322061).
- scsi: hisi_sas: disable dlvry queues once at reset for v2 hw
  (fate#322061).
- scsi: hisi_sas: use safe BITS_PER_BYTE for slot tag size
  calculation (fate#322061).
- scsi: hisi_sas: only zero slot memory when reused (fate#322061).
- scsi: hisi_sas: keep CHL_INT2 masked for v2 HW (fate#322061).
- scsi: hisi_sas: save delivery queue write pointer (fate#322061).
- scsi: hisi_sas: save completion queue read pointer
  (fate#322061).
- scsi: hisi_sas: update version to 1.6 (fate#322061).
- scsi: hisi_sas: add TMF success check (fate#322061).
- scsi: hisi_sas: fail tmf task prep when port detached
  (fate#322061).
- scsi: hisi_sas: add v2 hw slot complete internal abort support
  (fate#322061).
- scsi: hisi_sas: add prep_abort_v2_hw() (fate#322061).
- scsi: hisi_sas: add internal abort to hisi_sas_abort_task()
  (fate#322061).
- scsi: hisi_sas: add internal abort in hisi_sas_dev_gone()
  (fate#322061).
- scsi: hisi_sas: add internal abort main code (fate#322061).
- hisi_sas: update driver version to 1.5 (fate#322061).
- hisi_sas: fix the inconsistent lock issue reported by
  CONFIG_PROVE_LOCKING (fate#322061).
- hisi_sas: add v2 hw ACPI support (fate#322061).
- phy: Use phy_read() instead of mdiobus_read() (fate#322061).
- serial: 8250_dw: add ACPI support for uart on Hisilicon Hip05
  SoC (fate#322061).
- serial: 8250_dw: Use an unified new dev variable in probe
  (fate#322061).
- serial: 8250_early: Add earlycon support for Synopsys DesignWare
  ABP UART (fate#322061).
- ARM64: Kconfig: Select mbigen interrupt controller on Hisilicon
  platform (fate#322061).
- irqchip/mbigen: Make CONFIG_HISILICON_IRQ_MBIGEN a hidden option
  (fate#322061).
- irqchip/mbigen: Handle multiple device nodes in a mbigen module
  (fate#322061).
- irq/platform-MSI: Increase the maximum MSIs the MSI framework
  can support (fate#322061).
- irqchip/mbigen: Implement the mbigen irq chip operation
  functions (fate#322061).
- irqchip/mbigen: Create irq domain for each mbigen device
  (fate#322061).
- irqchip/mgigen: Add platform device driver for mbigen device
  (fate#322061).
- platform-msi: Allow creation of a MSI-based stacked irq domain
  (fate#322061).
- genirq/msi: Add msi_domain_populate_irqs (fate#322061).
- genirq/msi: Make the .prepare callback reusable (fate#322061).
- irqdomain: Make irq_domain_alloc_irqs_recursive available
  (fate#322061).
- platform-msi: Factor out allocation/free of private data
  (fate#322061).
- platform-msi: Allow MSIs to be allocated in chunks
  (fate#322061).
- arm64/numa: fix pcpu_cpu_distance() to get correct CPU proximity
  (fate#322061).
- arm64: Kconfig: remove SMP dependence for NUMA (fate#322061).
- arm64: Kconfig: select OF/ACPI_NUMA under NUMA config
  (fate#322061).
- arm64/numa: remove the limitation that cpu0 must bind to node0
  (fate#322061).
- arm64/numa: remove some useless code (fate#322061).
- arm64/numa: support HAVE_SETUP_PER_CPU_AREA (fate#322061).
- arm64: numa: Use pr_fmt() (fate#322061).
- of_numa: Use pr_fmt() (fate#322061).
- of_numa: Use of_get_next_parent to simplify code (fate#322061).
- arm64/numa: avoid inconsistent information to be printed
  (fate#322061).
- of/numa: remove a duplicated warning (fate#322061).
- of/numa: add nid check for memory block (fate#322061).
- of/numa: fix a memory@ node can only contains one memory block
  (fate#322061).
- of/numa: remove a duplicated pr_debug information (fate#322061).
- arm64: Support hard limit of cpu count by nr_cpus (fate#322061).
- ACPI / utils: Rename acpi_dev_present() (fate#322061).
- ACPI / utils: Add acpi_dev_present() (fate#322061).
- commit 9ab799c
* Tue Dec 20 2016 msuchanek@suse.de
- cxl: fix potential NULL dereference in free_adapter()
  (bsc#1016517).
- commit a4807bf
* Mon Dec 19 2016 jlee@suse.com
- Refresh
  patches.suse/0004-x86-efi-Generating-random-number-in-EFI-stub.patch.
  Fix the warning message that it only turns up with GCC5:
  arch/x86/boot/compressed/eboot.c:1189:3: warning: implicit declaration of function ‘efi_get_random_key’
  +[-Wimplicit-function-declaration]
  efi_get_random_key(sys_table, params, keys->hibernation_key,
  ^
- commit 46577fe
* Mon Dec 19 2016 hare@suse.de
- scsi: Modify HITACHI OPEN-V blacklist entry (bsc#1006469).
- commit 776d1e9
* Mon Dec 19 2016 hare@suse.de
- scsi: Add 'AIX VDASD' to blacklist (bsc#1006469).
- commit 33901b7
* Mon Dec 19 2016 hare@suse.de
- scsi_dh_alua: uninitialized variable in alua_rtpg()
  (bsc#1012910).
- commit 7c92c89
* Mon Dec 19 2016 neilb@suse.com
- Update multiple Patch-mainline and Git-commit
  These patches have now landed upstream.
- Refresh
  patches.fixes/0001-NFSv4-add-flock_owner-to-open-context.patch.
- Refresh
  patches.fixes/0001-SUNRPC-fix-refcounting-problems-with-auth_gss-messag.patch.
- Refresh
  patches.fixes/0001-block_dev-don-t-test-bdev-bd_contains-when-it-is-not.patch.
- Refresh
  patches.fixes/0001-cephfs-ignore-error-from-invalidate_inode_pages2_ran.patch.
- Refresh
  patches.fixes/0001-exportfs-be-careful-to-only-return-expected-errors.patch.
- Refresh
  patches.fixes/0001-md-raid1-fix-IO-can-block-resync-indefinitely.patch.
- Refresh
  patches.fixes/0002-NFSv4-change-nfs4_do_setattr-to-take-an-open_context.patch.
- Refresh
  patches.fixes/0002-cephfs-remove-warning-when-ceph_releasepage-is-calle.patch.
- Refresh
  patches.fixes/0003-NFSv4-change-nfs4_select_rw_stateid-to-take-a-lock_c.patch.
- Refresh
  patches.fixes/0004-NFSv4-enhance-nfs4_copy_lock_stateid-to-use-a-flock-.patch.
- Refresh
  patches.suse/0001-md-failfast-add-failfast-flag-for-md-to-be-used-by-s.patch.
- Refresh
  patches.suse/0002-md-raid1-add-failfast-handling-for-reads.patch.
- Refresh
  patches.suse/0003-md-raid1-add-failfast-handling-for-writes.patch.
- Refresh
  patches.suse/0004-md-raid10-add-failfast-handling-for-reads.patch.
- Refresh
  patches.suse/0005-md-raid10-add-failfast-handling-for-writes.patch.
- Refresh patches.suse/01a-md-failfast-metadata.
- Refresh patches.suse/md-bitmap-unplug-fixes.
- Refresh patches.suse/md-expedite-hot-remove.
- Refresh patches.suse/md-raid10-silence-conf.
- Refresh patches.suse/md-update-sb-async.
- commit f5b47b2
* Fri Dec 16 2016 mbrugger@suse.com
- arm64: Update config files.
  Build MDIO_CAVIUM MDIO_THUNDER as module
- commit c71c7f8
* Fri Dec 16 2016 mbrugger@suse.com
- phy: mdio-thunder: Add driver for Cavium Thunder SoC MDIO buses
  (fate#319980).
- phy: mdio-octeon: Refactor into two files/modules (fate#319980).
- phy: mdio-octeon: Use devm_mdiobus_alloc_size() (fate#319980).
- commit 9723325
* Fri Dec 16 2016 mbrugger@suse.com
- mdio: Move allocation of interrupts into core (fate#319980).
- commit 5a06ab6
* Fri Dec 16 2016 mbrugger@suse.com
- Delete
  patches.arch/arm64-pci-0023-net-mdio-octeon-Add-PCI-driver-binding.patch.
- Delete
  patches.arch/arm64-pci-0024-net-mdio-octeon-Quit-using-readq_relaxed-writeq_rela.patch.
- commit 7ebb749
* Fri Dec 16 2016 mbrugger@suse.com
- Refresh patches.arch/arm64-drivers-net-xgene-Fix-error-handling.patch.
- commit 2bd7c1f
* Fri Dec 16 2016 jroedel@suse.de
- KVM, pkeys: expose CPUID/CR4 to guest (fate#321300).
- KVM, pkeys: add pkeys support for permission_fault
  (fate#321300).
- KVM, pkeys: introduce pkru_mask to cache conditions
  (fate#321300).
- KVM, pkeys: save/restore PKRU when guest/host switches
  (fate#321300).
- KVM, pkeys: add pkeys support for xsave state (fate#321300).
- KVM, pkeys: disable pkeys for guests in non-paging mode
  (fate#321300).
- KVM: x86: remove magic number with enum cpuid_leafs
  (fate#321300).
- commit 0210cda
* Fri Dec 16 2016 jroedel@suse.de
- x86, pkeys: remove cruft from never-merged syscalls
  (fate#321300).
- generic syscalls: kill cruft from removed pkey syscalls
  (fate#321300).
- x86/pkeys: Make protection keys an "eager" feature
  (fate#321300).
- x86/mm/pkeys: Do not skip PKRU register if debug registers
  are not used (fate#321300).
- x86/pkeys: Fix pkeys build breakage for some non-x86 arches
  (fate#321300).
- pkeys: Add details of system call use to Documentation/
  (fate#321300).
- x86/mm/pkeys: Add missing Documentation (fate#321300).
- x86/pkeys: Allow configuration of init_pkru (fate#321300).
- x86/pkeys: Default to a restrictive init PKRU (fate#321300).
- x86: pkey: introduce write_pkru() for KVM (fate#321300).
- x86/pkeys: Add self-tests (fate#321300).
- x86: Wire up protection keys system calls (fate#321300).
- generic syscalls: Wire up memory protection keys syscalls
  (fate#321300).
- x86/pkeys: Allocation/free syscalls (fate#321300).
- x86/pkeys: Make mprotect_key() mask off additional vm_flags
  (fate#321300).
- mm: Implement new pkey_mprotect() system call (fate#321300).
- x86/pkeys: Add fault handling for PF_PK page fault bit
  (fate#321300).
- unicore32: mm: Add missing parameter to
  arch_vma_access_permitted (fate#321300).
- x86/cpufeature, x86/mm/pkeys: Fix broken compile-time disabling
  of pkeys (fate#321300).
- mm/pkeys: Fix siginfo ABI breakage caused by new u64 field
  (fate#321300).
- x86/mm/pkeys: Fix access_error() denial of writes to write-only
  VMA (fate#321300).
- mm/core, x86/mm/pkeys: Add execute-only protection keys support
  (fate#321300).
- x86/mm/pkeys: Allow kernel to modify user pkey rights register
  (fate#321300).
- x86/fpu: Allow setting of XSAVE state (fate#321300).
- x86/mm/pkeys: Create an x86 arch_calc_vm_prot_bits() for VMA
  flags (fate#321300).
- mm/core, x86/mm/pkeys: Add arch_validate_pkey() (fate#321300).
- x86/mm: Factor out LDT init from context init (fate#321300).
- x86/mm/pkeys: Add Kconfig prompt to existing config option
  (fate#321300).
- x86/mm/pkeys: Actually enable Memory Protection Keys in the CPU
  (fate#321300).
- mm/core, arch, powerpc: Pass a protection key in to
  calc_vm_flag_bits() (fate#321300).
- mm/core, x86/mm/pkeys: Differentiate instruction fetches
  (fate#321300).
- x86/mm/pkeys: Dump PKRU with other kernel registers
  (fate#321300).
- commit ea06d17
* Fri Dec 16 2016 jroedel@suse.de
- x86/mm/pkeys: Dump pkey from VMA in /proc/pid/smaps
  (fate#321300).
- Refresh
  patches.suse/0009-PM-hibernate-Reserve-hibernation-key-and-erase-footp.patch.
- commit 99860e7
* Fri Dec 16 2016 jroedel@suse.de
- um, pkeys: Add UML arch_*_access_permitted() methods
  (fate#321300).
- x86/mm/pkeys: Optimize fault handling in access_error()
  (fate#321300).
- mm/core: Do not enforce PKEY permissions on remote mm access
  (fate#321300).
- commit 39f7016
* Fri Dec 16 2016 jroedel@suse.de
- mm/gup: Introduce get_user_pages_remote() (fate#321300).
- Refresh
  patches.drivers/drm-i915-userptr-Hold-mmref-whilst-calling-get-user.
- commit 6bce542
* Fri Dec 16 2016 jroedel@suse.de
- iommu/amd: Correctly set flags for handle_mm_fault call
  (fate#321300).
- commit 8726db8
* Fri Dec 16 2016 jroedel@suse.de
- mm/gup, x86/mm/pkeys: Check VMAs and PTEs for protection keys
  (fate#321300).
- Refresh
  patches.drivers/dax-Use-radix-tree-entry-lock-to-protect-cow-faults.patch.
- Refresh
  patches.drivers/mm-x86-get_user_pages-for-dax-mappings.patch.
- commit 6aadaa7
* Fri Dec 16 2016 jroedel@suse.de
- x86/mm/gup: Simplify get_user_pages() PTE bit handling
  (fate#321300).
- Refresh
  patches.drivers/mm-x86-get_user_pages-for-dax-mappings.patch.
- commit d0ed69f
* Fri Dec 16 2016 jroedel@suse.de
- x86/mm/pkeys: Fill in pkey field in siginfo (fate#321300).
- x86/mm/pkeys: Add functions to fetch PKRU (fate#321300).
- commit 816db2c
* Fri Dec 16 2016 jroedel@suse.de
- mm/gup: Factor out VMA fault permission checking (fate#321300).
- commit ba280fd
* Fri Dec 16 2016 jroedel@suse.de
- signals, ia64, mips: Update arch-specific siginfos with pkeys
  field (fate#321300).
- commit 912c27a
* Fri Dec 16 2016 jroedel@suse.de
- signals, pkeys: Notify userspace about protection key faults
  (fate#321300).
- commit 8c482cc
* Fri Dec 16 2016 jroedel@suse.de
- x86/mm/pkeys: Add arch-specific VMA protection bits
  (fate#321300).
- commit 00c12ab
* Fri Dec 16 2016 jroedel@suse.de
- x86/mm/pkeys: Pass VMA down in to fault signal generation code
  (fate#321300).
- commit 074f219
* Fri Dec 16 2016 msuchanek@suse.de
- powerpc/pseries: Update LMB associativity index during DLPAR
  add/remove (fate#322023).
- commit 38e4249
* Fri Dec 16 2016 jroedel@suse.de
- x86/mm/pkeys: Add new 'PF_PK' page fault error code bit
  (fate#321300).
- commit 1da1f1b
* Fri Dec 16 2016 msuchanek@suse.de
- powerpc/pseries: Refactor dlpar_add_lmb() code (fate#322023).
- commit bb9cdca
* Fri Dec 16 2016 jroedel@suse.de
- mm/core, x86/mm/pkeys: Store protection bits in high VMA flags
  (fate#321300).
- commit 72419b4
* Fri Dec 16 2016 jroedel@suse.de
- x86/mm/pkeys: Add PTE bits for storing protection key
  (fate#321300).
- Refresh patches.drivers/x86-mm-introduce-page_devmap.patch.
- commit 81614a0
* Fri Dec 16 2016 jroedel@suse.de
- x86/cpu, x86/mm/pkeys: Define new CR4 bit (fate#321300).
- x86/fpu, x86/mm/pkeys: Add PKRU xsave fields and data structures
  (fate#321300).
- commit 36994d3
* Fri Dec 16 2016 jroedel@suse.de
- x86/mm/pkeys: Add Kconfig option (fate#321300).
- Update config files.
- commit 3ff0dc2
* Fri Dec 16 2016 jroedel@suse.de
- x86/cpufeature, x86/mm/pkeys: Add protection keys related
  CPUID definitions (fate#321300).
- commit 8f62bde
* Fri Dec 16 2016 mbrugger@suse.com
- arm64: Update config files.
  Enable MBIGEN and INFINIBAND_HNS
- commit 2088718
* Fri Dec 16 2016 jroedel@suse.de
- iommu/amd: Initialize dma-ops domains with 3-level page-table
  (fate#321026).
- iommu/amd: Use container_of to get dma_ops_domain (fate#321026).
- iommu/amd: Flush iova queue before releasing dma_ops_domain
  (fate#321026).
- iommu/amd: Use dev_data->domain in get_domain() (fate#321026).
- iommu/amd: Optimize map_sg and unmap_sg (fate#321026).
- iommu/amd: Introduce dir2prot() helper (fate#321026).
- iommu/amd: Implement timeout to flush unmap queues
  (fate#321026).
- iommu/amd: Implement flush queue (fate#321026).
- iommu/amd: Allow NULL pointer parameter for
  domain_flush_complete() (fate#321026).
- iommu/amd: Set up data structures for flush queue (fate#321026).
- iommu/amd: Remove align-parameter from __map_single()
  (fate#321026).
- iommu/amd: Remove other remains of old address allocator
  (fate#321026).
- iommu/amd: Make use of the generic IOVA allocator (fate#321026).
- iommu/amd: Remove special mapping code for dma_ops path
  (fate#321026).
- iommu/amd: Pass gfp-flags to iommu_map_page() (fate#321026).
- iommu/amd: Implement apply_dm_region call-back (fate#321026).
- iommu/amd: Create a list of reserved iova addresses
  (fate#321026).
- iommu/amd: Allocate iova_domain for dma_ops_domain
  (fate#321026).
- iommu/vt-d: Remove unnecassary qi clflushes (fate#321026).
- iommu/vt-d: Fix infinite loop in free_all_cpu_cached_iovas
  (fate#321026).
- iommu/vt-d: Fix overflow of iommu->domains array (fate#321026).
- iommu/iova: Disable preemption around use of this_cpu_ptr()
  (fate#321026).
- iommu/amd: Remove create_workqueue (fate#321026).
- iommu/vt-d: Don't reject NTB devices due to scope mismatch
  (fate#321026).
- iommu/vt-d: Reduce extra first level entry in iommu->domains
  (fate#321026).
- iommu/amd: Set AMD iommu callbacks for platform bus driver
  (fate#321026).
- iommu/amd: Remove statistics code (fate#321026).
- iommu/vt-d: Use per-cpu IOVA caching (fate#321026).
- iommu/iova: introduce per-cpu caching to iova allocation
  (fate#321026).
- iommu/vt-d: change intel-iommu to use IOVA frame numbers
  (fate#321026).
- iommu/vt-d: avoid dev iotlb logic for domains with no dev iotlbs
  (fate#321026).
- iommu/vt-d: only unmap mapped entries (fate#321026).
- iommu/vt-d: correct flush_unmaps pfn usage (fate#321026).
- iommu/vt-d: per-cpu deferred invalidation queues (fate#321026).
- iommu/vt-d: refactoring of deferred flush entries (fate#321026).
- x86/vt-d: Fix comment for dma_pte_free_pagetable()
  (fate#321026).
- iommu/amd: Detach device from domain before removal
  (fate#321026).
- iommu/vt-d: Fix up error handling in alloc_iommu (fate#321026).
- iommu/vt-d: Check the return value of iommu_device_create()
  (fate#321026).
- iommu/amd: Remove an unneeded condition (fate#321026).
- iommu/amd: Preallocate dma_ops apertures based on dma_mask
  (fate#321026).
- iommu/amd: Use trylock to aquire bitmap_lock (fate#321026).
- iommu/amd: Make dma_ops_domain->next_index percpu (fate#321026).
- iommu/amd: Relax locking in dma_ops path (fate#321026).
- iommu/amd: Initialize new aperture range before making it
  visible (fate#321026).
- iommu/amd: Build io page-tables with cmpxchg64 (fate#321026).
- iommu/amd: Allocate new aperture ranges in
  dma_ops_alloc_addresses (fate#321026).
- iommu/amd: Optimize dma_ops_free_addresses (fate#321026).
- iommu/amd: Remove need_flush from struct dma_ops_domain
  (fate#321026).
- iommu/amd: Iterate over all aperture ranges in
  dma_ops_area_alloc (fate#321026).
- iommu/amd: Flush iommu tlb in dma_ops_free_addresses
  (fate#321026).
- iommu/amd: Rename dma_ops_domain->next_address to next_index
  (fate#321026).
- iommu/amd: Remove 'start' parameter from dma_ops_area_alloc
  (fate#321026).
- iommu/amd: Flush iommu tlb in dma_ops_aperture_alloc()
  (fate#321026).
- iommu/amd: Retry address allocation within one aperture
  (fate#321026).
- iommu/amd: Move aperture_range.offset to another cache-line
  (fate#321026).
- iommu/amd: Add dma_ops_aperture_alloc() function (fate#321026).
- iommu/amd: Pass correct shift to iommu_area_alloc()
  (fate#321026).
- iommu/amd: Flush the IOMMU TLB before the addresses are freed
  (fate#321026).
- iommu/amd: Flush IOMMU TLB on __map_single error path
  (fate#321026).
- iommu/amd: Introduce bitmap_lock in struct aperture_range
  (fate#321026).
- iommu/amd: Move 'struct dma_ops_domain' definition to
  amd_iommu.c (fate#321026).
- iommu/amd: Warn only once on unexpected pte value (fate#321026).
- iommu/amd: Constify mmu_notifier_ops structures (fate#321026).
- iommu/amd: Cleanup error handling in do_fault() (fate#321026).
- iommu/amd: Correctly set flags for handle_mm_fault call
  (fate#321026).
- iommu: Add apply_dm_region call-back to iommu-ops (fate#321026).
- commit 645f0e9
* Thu Dec 15 2016 jslaby@suse.cz
- TTY: n_hdlc, fix lockdep false positive (bnc#1015840).
- commit e69d7b6
* Thu Dec 15 2016 mbrugger@suse.com
- supported.conf: add hns-rcoe
- commit e454a37
* Thu Dec 15 2016 msuchanek@suse.de
- Tidy ibmvnic patch names.
- commit 4b2e05a
* Thu Dec 15 2016 msuchanek@suse.de
- tidy ptrace patch names
- commit bfd7a8e
* Thu Dec 15 2016 jslaby@suse.cz
- ipc: msg, make msgrcv work with LONG_MIN (bnc#1005918).
- commit eaf9c10
* Thu Dec 15 2016 zren@suse.com
- config: enable CONFIG_OCFS2_DEBUG_MASKLOG for ocfs2
    (bsc#1015038)
- commit 3b3eef4
* Thu Dec 15 2016 neilb@suse.com
- NFSv4: Cap the transport reconnection timer at 1/2 lease period
  (bsc#1014410).
- NFSv4: Cleanup the setting of the nfs4 lease period
  (bsc#1014410).
- KABI fix (bsc#1014410).
- SUNRPC: Limit the reconnect backoff timer to the max RPC
  message timeout (bsc#1014410).
- SUNRPC: Fix reconnection timeouts (bsc#1014410).
- commit 9a2dbae
* Wed Dec 14 2016 jslaby@suse.cz
- driver core: fix race between creating/querying glue dir and
  its cleanup (bnc#1008742).
- commit 8f9b0f3
* Wed Dec 14 2016 jeffm@suse.com
- Clean up incorrect 'Reference' tags.
- commit 6ed5a24
* Wed Dec 14 2016 tiwai@suse.de
- Update config files: fix missing vanilla configs
- commit 4f03024
* Wed Dec 14 2016 ohering@suse.de
- netvsc: reduce maximum GSO size (fate#320485).
- vmbus: make sysfs names consistent with PCI (fate#320485).
- Revert "hv_netvsc: report vmbus name in ethtool" (fate#320485).
- net/hyperv: avoid uninitialized variable (fate#320485).
- netvsc: Remove mistaken udp.h inclusion (fate#320485).
- netvsc: fix checksum on UDP IPV6 (fate#320485).
- Drivers: hv: get rid of id in struct vmbus_channel
  (fate#320485).
- Drivers: hv: make VMBus bus ids persistent (fate#320485).
- hv_netvsc: fix comments (fate#320485).
- hv_netvsc: count multicast packets received (fate#320485).
- hv_netvsc: remove VF in flight counters (fate#320485).
- hv_netvsc: use RCU to protect vf_netdev (fate#320485).
- hv_netvsc: improve VF device matching (fate#320485).
- hv_netvsc: simplify callback event code (fate#320485).
- hv_netvsc: dev hold/put reference to VF (fate#320485).
- hv_netvsc: use consume_skb (fate#320485).
- Revert "hv_netvsc: make inline functions static" (fate#320485).
- Drivers: hv: vmbus: suppress some "hv_vmbus: Unknown GUID"
  warnings (fate#320485).
- Driver: hv: vmbus: Make mmio resource local (fate#320485).
- PCI: hv: Handle hv_pci_generic_compl() error case (fate#320485).
- PCI: hv: Handle vmbus_sendpacket() failure in
  hv_compose_msi_msg() (fate#320485).
- PCI: hv: Remove the unused 'wrk' in struct hv_pcibus_device
  (fate#320485).
- PCI: hv: Use pci_function_description in struct definitions
  (fate#320485).
- PCI: hv: Use zero-length array in struct pci_packet
  (fate#320485).
- Drivers: hv: utils: Check VSS daemon is listening before a
  hot backup (fate#320485).
- Drivers: hv: utils: Continue to poll VSS channel after handling
  requests (fate#320485).
- Drivers: hv: Introduce a policy for controlling channel affinity
  (fate#320485).
- Drivers: hv: ring_buffer: use wrap around mappings in
  hv_copy{from, to}_ringbuffer() (fate#320485).
- Drivers: hv: ring_buffer: wrap around mappings for ring buffers
  (fate#320485).
- Drivers: hv: cleanup vmbus_open() for wrap around mappings
  (fate#320485).
- Drivers: hv: balloon: Use available memory value in pressure
  report (fate#320485).
- Drivers: hv: balloon: account for gaps in hot add regions
  (fate#320485).
- Drivers: hv: balloon: keep track of where ha_region starts
  (fate#320485).
- Tools: hv: kvp: ensure kvp device fd is closed on exec
  (fate#320485).
- Drivers: hv: vmbus: Implement a mechanism to tag the channel
  for low latency (fate#320485).
- Drivers: hv: vmbus: Reduce the delay between retries in
  vmbus_post_msg() (fate#320485).
- Drivers: hv: vmbus: Enable explicit signaling policy for NIC
  channels (fate#320485).
- Drivers: hv: vmbus: fix the race when querying & updating the
  percpu list (fate#320485).
- Drivers: hv: get rid of timeout in vmbus_open() (fate#320485).
- Drivers: hv: don't leak memory in vmbus_establish_gpadl()
  (fate#320485).
- Drivers: hv: get rid of redundant messagecount in
  create_gpadl_header() (fate#320485).
- hv_netvsc: add ethtool statistics for tx packet issues
  (fate#320485).
- hv_netvsc: report vmbus name in ethtool (fate#320485).
- hv_netvsc: make variable local (fate#320485).
- hv_netvsc: make netvsc_destroy_buf void (fate#320485).
- hv_netvsc: refactor completion function (fate#320485).
- hv_netvsc: rearrange start_xmit (fate#320485).
- hv_netvsc: init completion during alloc (fate#320485).
- hv_netvsc: make device_remove void (fate#320485).
- hv_netvsc: use ARRAY_SIZE() for NDIS versions (fate#320485).
- hv_netvsc: make inline functions static (fate#320485).
- hv_netvsc: style cleanups (fate#320485).
- hv_netvsc: use kcalloc (fate#320485).
- hv_netvsc: make RSS hash key static (fate#320485).
- hv_netvsc: fix rtnl locking in callback (fate#320485).
- PCI: hv: Use list_move_tail() instead of list_del() +
  list_add_tail() (fate#320485).
- hv_netvsc: Implement batching of receive completions
  (fate#320485).
- hv_netvsc: Add handler for physical link speed change
  (fate#320485).
- hv_netvsc: Add query for initial physical link speed
  (fate#320485).
- commit 43e2fc8
* Wed Dec 14 2016 oneukum@suse.com
- supported.conf: new module crypto/dh_generic.ko
- commit e72968d
* Wed Dec 14 2016 mfleming@suse.de
- sched: Add missing update_rq_clock() call for task_hot()
  (bsc#981825).
- sched: Add missing update_rq_clock() call in set_user_nice()
  (bsc#981825).
- sched: Add missing update_rq_clock() in detach_task_cfs_rq()
  (bsc#981825).
- sched: Add missing update_rq_clock() in
  post_init_entity_util_avg() (bsc#981825).
- sched/core: Introduce 'struct sched_domain_shared' (bsc#981825).
- sched/core: Optimize SCHED_SMT (bsc#981825).
- sched/core: Remove unused @cpu argument from (bsc#981825).
- sched/core: Replace sd_busy/nr_busy_cpus with (bsc#981825).
- sched/core: Restructure destroy_sched_domain() (bsc#981825).
- sched/core: Rewrite and improve select_idle_siblings()
  (bsc#981825).
- sched/core: Use load_avg for selecting idlest group
  (bsc#981825).
- sched/fair: Fix sched domains NULL dereference in (bsc#981825).
- Refresh
  patches.suse/mm-remove-per-zone-hashtable-of-bitlock-waitqueues.patch.
- Refresh patches.suse/sched-fair-Use-task_rcu_dereference.patch.
- commit 4e6a8ae
* Wed Dec 14 2016 ohering@suse.de
- kabi/severities: Ignore changes in drivers/hv
- commit a1ea512
* Wed Dec 14 2016 bp@suse.de
- x86/hpet: Reduce HPET counter read contention (bsc#1014710).
- commit 2d3e9d4
* Wed Dec 14 2016 mbrugger@suse.com
- ACPI/NUMA update support for arm64 to upstream patches
  (fate#321906)
- ACPI / NUMA: Move acpi_numa_arch_fixup() to ia64 only
  (fate#319981).
- ACPI / NUMA: move acpi_numa_slit_init() to drivers/acpi/numa.c
  (fate#319981).
- ACPI / NUMA: move bad_srat() and srat_disabled() to
  drivers/acpi/numa.c (fate#319981).
- ACPI / NUMA: Move acpi_numa_memory_affinity_init() to
  drivers/acpi/numa.c (fate#319981).
- ACPI / NUMA: Improve SRAT error detection and add messages
  (fate#319981).
- x86 / ACPI / NUMA: cleanup acpi_numa_processor_affinity_init()
  (fate#319981).
- Refresh
  patches.arch/arm64-0010-ACPI-processor-Add-acpi_map_madt_entry.patch.
- Refresh
  patches.arch/arm64-ACPI-NUMA-Enable-ACPI-based-NUMA-on-ARM64.patch.
- Refresh
  patches.arch/arm64-acpi-add-acpi-on-cmdline-option-to-prefer-ACPI.patch.
- commit 4bb25c9
* Wed Dec 14 2016 oneukum@suse.com
- intel_th: pci: Add Kaby Lake PCH-H support (FATE#321194).
- mfd: lpss: Add Intel Kaby Lake PCH-H PCI IDs (FATE#321194).
- i2c: i801: Add support for Kaby Lake PCH-H (FATE#321194).
- commit ada4408
* Wed Dec 14 2016 msuchanek@suse.de
- ibmvnic: drop duplicate header seq_file.h (bsc#1015416).
- commit 4cc0fa6
* Wed Dec 14 2016 msuchanek@suse.de
- ibmvnic: Fix size of debugfs name buffer (bsc#1015416).
- commit 620f9d1
* Wed Dec 14 2016 oneukum@suse.com
- spi: pxa2xx: Add support for Intel Kaby Lake PCH-H
  (FATE#321194).
- commit b17a6af
* Wed Dec 14 2016 msuchanek@suse.de
- ibmvnic: Unmap ibmvnic_statistics structure (bsc#1015416).
- commit 6286855
* Wed Dec 14 2016 msuchanek@suse.de
- ibmvnic: Start completion queue negotiation at server-provided
  optimum values (bsc#1015416).
- commit b5fdcef
* Wed Dec 14 2016 msuchanek@suse.de
- ibmvnic: Fix missing brackets in init_sub_crq_irqs
  (bsc#1015416).
- commit 9fe9426
* Wed Dec 14 2016 msuchanek@suse.de
- ibmvnic: Fix releasing of sub-CRQ IRQs in interrupt context
  (bsc#1015416).
- commit 41d7134
* Wed Dec 14 2016 msuchanek@suse.de
- ibmvnic: Update MTU after device initialization (bsc#1015416).
- commit 9b74f8e
* Wed Dec 14 2016 msuchanek@suse.de
- ibmvnic: Fix GFP_KERNEL allocation in interrupt context
  (bsc#1015416).
- commit 957dc07
* Wed Dec 14 2016 msuchanek@suse.de
- ibmvnic: Driver Version 1.0.1 (bsc#1015416).
- commit 7b7bbd3
* Wed Dec 14 2016 msuchanek@suse.de
- ibmvnic: fix error return code in ibmvnic_probe() (bsc#1015416).
- commit 8acc110
* Wed Dec 14 2016 msuchanek@suse.de
- ibmvnic: convert to use simple_open() (bsc#1015416).
- commit 2561fba
* Wed Dec 14 2016 msuchanek@suse.de
- ibmvnic: Handle backing device failover and reinitialization
  (bsc#1015416).
- commit 3d5c32d
* Wed Dec 14 2016 oneukum@suse.com
- crypto: qat - fix leak on error path (FATE#321251).
- crypto: qat - fix incorrect accelerator mask for C3X devices
  (FATE#321251).
- crypto: qat - fix constants table DMA (FATE#321251).
- crypto: qat - Stop dropping leading zeros from RSA output
  (FATE#321251).
- crypto: qat - Add DH support (FATE#321251).
- crypto: dh - Add DH software implementation (FATE#321251).
- crypto: kpp - Key-agreement Protocol Primitives API (KPP)
  (FATE#321251).
- crypto: hash - shrink hash down to two types (FATE#321251).
- crypto: compress - remove unused pcomp interface (FATE#321251).
- crypto: rsa - Store rest of the private key components
  (FATE#321251).
- crypto: qat - Add RSA CRT mode (FATE#321251).
- crypto: qat - Use alternative reset methods depending on the
  specific device (FATE#321251).
- crypto: qat - Switch to new rsa_helper functions (FATE#321251).
- crypto: rsa - return raw integers for the ASN.1 parser
  (FATE#321251).
- crypto: rsa - RSA padding algorithm (FATE#321251).
- crypto: akcipher - add akcipher declarations needed by templates
  (FATE#321251).
- crypto: cryptd - Assign statesize properly (FATE#321251).
- crypto: qat - Remove deprecated create_workqueue (FATE#321251).
- crypto: qat - fix typos sizeof for ctx (FATE#321251).
- crypto: qat - change the adf_ctl_stop_devices to void
  (FATE#321251).
- crypto: qat - make adf_vf_isr.c dependant on IOV config
  (FATE#321251).
- crypto: qat - Fix typo in comments (FATE#321251).
- crypto: qat - fix section mismatch warning (FATE#321251).
- crypto: qat - interrupts need to be enabled when VFs are
  disabled (FATE#321251).
- crypto: qat - check if PF is running (FATE#321251).
- crypto: qat - move vf2pf_init and vf2pf_exit to common
  (FATE#321251).
- crypto: qat - adf_dev_stop should not be called in atomic
  context (FATE#321251).
- crypto: qat - changed adf_dev_stop to void (FATE#321251).
- crypto: qat - explicitly stop all VFs first (FATE#321251).
- crypto: qat - fix address leaking of RSA public exponent
  (FATE#321251).
- crypto: qat - avoid memory corruption or undefined behaviour
  (FATE#321251).
- crypto: qat - Remove redundant nrbg rings (FATE#321251).
- crypto: qat - make sure const_tab is 1024 bytes aligned
  (FATE#321251).
- crypto: qat - remove redundant arbiter configuration
  (FATE#321251).
- crypto: qat - Change the definition of icp_qat_uof_regtype
  (FATE#321251).
- crypto: qat - The AE id should be less than the maximal AE
  number (FATE#321251).
- crypto: qat - fix leak on error path (FATE#321251).
- crypto: qat - Reduced reqsize in qat_algs (FATE#321251).
- crypto: qat - Pack cfg ctl structs (FATE#321251).
- crypto: qat - remove redundant function call (FATE#321251).
- commit 57bc46a
* Wed Dec 14 2016 ohering@suse.de
- Add mainline tags to various hyperv patches
- commit e0cbb09
* Wed Dec 14 2016 tiwai@suse.de
- drm/i915: Fix iboost setting for SKL Y/U DP DDI buffer
  translation entry 2 (bsc#1014392).
- drm/i915: Cleaning up DDI translation tables (bsc#1014392).
- drm/i915: Update Skylake DDI translation table for DP
  (bsc#1014392).
- drm/i915: Update Skylake DDI translation table for HDMI
  (bsc#1014392).
- drm/i915/skl: Update DDI translation tables for SKL
  (bsc#1014392).
- drm/i915/gen9: Add WaInPlaceDecompressionHang (bsc#1014392).
- drm/i915/skl: Add WaDisableGafsUnitClkGating (bsc#1014392).
- drm/i915: Clean up L3 SQC register field definitions
  (bsc#1014392).
- commit ff71b31
* Wed Dec 14 2016 bpoirier@suse.com
- blacklist.conf:
  c16aea1 net/mlx5: Fix mlx5 ifc cmd_hca_cap bad offsets (v4.7-rc1)
  Fixes:
  b084444 net/mlx5_core: Introduce access function to read internal timer (v4.5-rc1)
  b4ff3a3 net/mlx5: Use offset based reserved field names in the IFC header file (v4.5-rc6)
  skipped, already present as
  e1c9c62 net/mlx5: Fix mlx5 ifc cmd_hca_cap bad offsets (v4.7-rc1)
  92c075d net: sched: fix tc_should_offload for specific clsact classes (v4.7-rc3)
  Fixes:
  10cbc68 net/sched: cls_flower: Hardware offloaded filters statistics support (v4.7-rc1)
  not present
  5b33f48 net/flower: Introduce hardware offload support (v4.6-rc1)
  a1b7c5f net: sched: add cls_u32 offload hooks for netdevs (v4.6-rc1)
  Fixes something introduced by:
  1f211a1 net, sched: add clsact qdisc (v4.5-rc1)
  which is not present, skipped.
- commit d23c2f7
* Wed Dec 14 2016 bpoirier@suse.com
- gro_cells: mark napi struct as not busy poll candidates
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- commit b4775de
* Wed Dec 14 2016 bpoirier@suse.com
- net/mlx5: Fix autogroups groups num not decreasing (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Keep autogroups list ordered (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB/mlx5: Fix steering resource leak (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB/mlx5: Set source mac address in FTE (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx4_en: Fix panic on xmit while port is down (bsc#966191
  FATE#320230).
- IB/core: Fix possible memory leak in cma_resolve_iboe_route()
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- ixgbe: Do not clear RAR entry when clearing VMDq for SAN MAC
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- net/mlx5e: Use correct flow dissector key on flower offloading
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net_sched: fix a typo in tc_for_each_action() (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- ixgbe: Force VLNCTRL.VFE to be set in all VMDq paths (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- IB/mlx5: Fix iteration overrun in GSI qps (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- commit 0c454ed
* Tue Dec 13 2016 tiwai@suse.de
- ASoC: Intel: bytcr_rt5640: fallback mechanism if MCLK is not
  enabled (bsc#1010690).
- commit d0b5c11
* Tue Dec 13 2016 msuchanek@suse.de
- misc/genwqe: ensure zero initialization (fate#321595).
- commit 899b0cb
* Tue Dec 13 2016 ohering@suse.de
- Drivers: hv: utils: fix a race on userspace daemons registration
  (bnc#1014392).
- commit 05feba7
* Tue Dec 13 2016 tiwai@suse.de
- drm/i915/dsi: fix CHV dsi encoder hardware state readout on
  port C (bsc#1015367).
- drm/i915: Fix system resume if PCI device remained enabled
  (bsc#1015367).
- drm/i915: Force ringbuffers to not be at offset 0 (bsc#1015367).
- drm/i915/skl: Fix spurious gpu hang with gt3/gt4 revs
  (bsc#1015367).
- drm/i915/skl: Fix rc6 based gpu/system hang (bsc#1015367).
- drm/i915: Apply broader WaRsDisableCoarsePowerGating for guc
  also (bsc#1015367).
- drm/i915: add helpers for platform specific revision id range
  checks (bsc#1015367).
- drm/i915/bxt: add revision id for A1 stepping and use it
  (bsc#1015367).
- drm/i915: remove parens around revision ids (bsc#1015367).
- drm/i915/userptr: Hold mmref whilst calling get-user-pages
  (bsc#1015367).
- drm/i915: Exit cherryview_irq_handler() after one pass
  (bsc#1015367).
- drm/i915/skl: Update watermarks before the crtc is disabled
  (bsc#1015367).
- commit 729a249
* Tue Dec 13 2016 tiwai@suse.de
- blacklist.conf: Add i915 stable commits that can be ignored (bsc#1015367)
- commit 51f95ce
* Tue Dec 13 2016 tiwai@suse.de
- drm/i915: Call intel_dp_mst_resume() before resuming displays
  (bsc#1015359).
- commit bcf4145
* Tue Dec 13 2016 msuchanek@suse.de
- powerpc/ptrace: Enable support for Performance Monitor registers
  (fate#318470).
- commit b011d4a
* Tue Dec 13 2016 msuchanek@suse.de
- powerpc/ptrace: Enable support for EBB registers (fate#318470).
- commit 70749c3
* Tue Dec 13 2016 msuchanek@suse.de
- powerpc/ptrace: Enable support for NT_PPPC_TAR, NT_PPC_PPR,
  NT_PPC_DSCR (fate#318470).
- commit a45abcb
* Tue Dec 13 2016 msuchanek@suse.de
- powerpc/ptrace: Enable NT_PPC_TM_CTAR, NT_PPC_TM_CPPR,
  NT_PPC_TM_CDSCR (fate#318470).
- commit 07212a6
* Tue Dec 13 2016 msuchanek@suse.de
- powerpc/ptrace: Enable support for TM SPR state (fate#318470).
- commit eb1622b
* Tue Dec 13 2016 msuchanek@suse.de
- powerpc/ptrace: Enable support for NT_PPC_CVSX (fate#318470).
- commit 792ec3f
* Tue Dec 13 2016 msuchanek@suse.de
- powerpc/ptrace: Enable support for NT_PPC_CVMX (fate#318470).
- commit 3c616e6
* Tue Dec 13 2016 msuchanek@suse.de
- powerpc/ptrace: Enable support for NT_PPC_CFPR (fate#318470).
- commit edcf83f
* Tue Dec 13 2016 msuchanek@suse.de
- powerpc/ptrace: Enable support for NT_PPC_CGPR (fate#318470).
- commit b482c54
* Tue Dec 13 2016 msuchanek@suse.de
- powerpc/ptrace: Adapt gpr32_get, gpr32_set functions for
  transaction (fate#318470).
- commit 896bf1e
* Tue Dec 13 2016 msuchanek@suse.de
- powerpc/ptrace: Enable in transaction NT_PPC_VSX ptrace requests
  (fate#318470).
- commit fa82180
* Tue Dec 13 2016 msuchanek@suse.de
- powerpc/ptrace: Enable in transaction NT_PPC_VMX ptrace requests
  (fate#318470).
- commit 3f2bf5a
* Tue Dec 13 2016 msuchanek@suse.de
- powerpc/ptrace: Enable in transaction NT_PRFPREG ptrace requests
  (fate#318470).
- commit bde4445
* Tue Dec 13 2016 msuchanek@suse.de
- powerpc/process: Add the function flush_tmregs_to_thread
  (fate#318470).
- commit d80dde6
* Tue Dec 13 2016 msuchanek@suse.de
- elf: Add powerpc specific core note sections (fate#318470).
- commit fe762f9
* Tue Dec 13 2016 mgorman@suse.de
- include/linux/backing-dev-defs.h: shrink struct backing_dev_info
  (bnc#971975 VM performance -- readahead).
- mm: don't cap request size based on read-ahead setting
  (bnc#971975 VM performance -- readahead).
- commit ec2e07b
* Tue Dec 13 2016 mkubecek@suse.cz
- Update patches.kernel.org/patch-4.4.33-34 references (add CVE-2016-8645 bsc#1009969).
- commit c2494ed
* Tue Dec 13 2016 mkubecek@suse.cz
- Update patches.kernel.org/patch-4.4.37-38 references (add CVE-2016-9793 bsc#1013531).
- commit 1dca897
* Tue Dec 13 2016 mkubecek@suse.cz
- net: handle no dst on skb in icmp6_send (CVE-2016-9919
  bsc#1014701).
- net: icmp6_send should use dst dev to determine L3 domain
  (bsc#1014701).
- net: ipv6: tcp reset, icmp need to consider L3 domain
  (bsc#1014701).
- commit 80451e4
* Tue Dec 13 2016 dbueso@suse.de
- ipc/sem.c: add cond_resched in exit_sme (bsc#979378).
- locking/rtmutex: Use READ_ONCE() in rt_mutex_owner()
  (bsc#1015212).
- locking/rtmutex: Prevent dequeue vs. unlock race (bsc#1015212).
- locking/pv-qspinlock: Use cmpxchg_release() in
  __pv_queued_spin_unlock() (bsc#969756).
- commit 9b060c1
* Mon Dec 12 2016 mgorman@suse.com
- mm: vmscan: pass memcg to get_scan_count() (bnc#971975 VM
  performance -- lru sizes).
- commit f45f3eb
* Mon Dec 12 2016 mgorman@suse.com
- mm: update_lru_size do the __mod_zone_page_state (bnc#971975
  VM performance -- lru sizes).
- mm: update_lru_size warn and reset bad lru_size (bnc#971975
  VM performance -- lru sizes).
- commit 7588a3f
* Mon Dec 12 2016 mgorman@suse.com
- mm: memcontrol: replace mem_cgroup_lruvec_online with
  mem_cgroup_online (bnc#971975 VM performance -- lru sizes).
- commit 73a82ab
* Mon Dec 12 2016 mgorman@suse.com
- mm: remove unused variable in memory hotplug (bnc#971975 VM
  performance -- unlock_page).
- commit 639f1b3
* Mon Dec 12 2016 mgorman@suse.com
- mm: fix set pageblock migratetype in deferred struct page init
  (bnc#971975 VM performance -- unlock_page).
- commit 757922e
* Mon Dec 12 2016 mgorman@suse.com
- mm: remove per-zone hashtable of bitlock waitqueues (bnc#971975
  VM performance -- unlock_page).
- commit 246b461
* Mon Dec 12 2016 jslaby@suse.cz
- Linux 4.4.38 (CVE-2016-9576 bnc#1012382 bsc#1013604
  CVE-2016-8655 bsc#1012754).
- Refresh
  patches.drivers/mlx5-0150-net-flower-Introduce-hardware-offload-support.patch.
- Refresh
  patches.drivers/mlx5-0160-net-flower-Fix-pointer-cast.patch.
- Delete
  patches.fixes/don-t-feed-anything-but-regular-iovec-s-to-blk_rq_map_user_iov.patch.
- Delete
  patches.fixes/packet-fix-race-condition-in-packet_set_ring.patch.
- commit 11d3212
* Mon Dec 12 2016 neilb@suse.com
- SUNRPC: fix refcounting problems with auth_gss messages
  (boo#1011250).
- commit 27fafcb
* Sat Dec 10 2016 jslaby@suse.cz
- Linux 4.4.37 (CVE-2016-9794 bnc#1012382 bsc#1013533 bsc#1001888
  bsc#1010970).
- Delete patches.drivers/ALSA-pcm-Call-kill_fasync-in-stream-lock.
- Delete
  patches.fixes/0001-pci-Don-t-set-RCB-bit-in-LNKCTL-if-the-upstream-brid.patch.
- Delete
  patches.fixes/zram-Fix-unbalanced-idr-management-at-hot-removal.
- commit 63e851b
* Fri Dec  9 2016 bp@suse.de
- EDAC, mce_amd: Don't report poison bit on Fam15h, bank 4
  (fate#322164).
- x86/mce/AMD: Reset Threshold Limit after logging error
  (fate#322164).
- x86/RAS: Hide SMCA bank names (fate#322164).
- x86/RAS: Rename smca_bank_names to smca_names (fate#322164).
- x86/RAS: Simplify SMCA HWID descriptor struct (fate#322164).
- x86/RAS: Simplify SMCA bank descriptor struct (fate#322164).
- x86/MCE/AMD, EDAC: Handle reserved bank 4 on Fam17h properly
  (fate#322164).
- x86/mce/AMD: Extract the error address on SMCA systems
  (fate#322164).
- x86/mce, EDAC/mce_amd: Print MCA_SYND and MCA_IPID during MCE
  on SMCA systems (fate#322164).
- x86/mce/AMD: Save MCA_IPID in MCE struct on SMCA systems
  (fate#322164).
- x86/mce/AMD: Ensure the deferred error interrupt is of type
  APIC on SMCA systems (fate#322164).
- EDAC/mce_amd: Print syndrome register value on SMCA systems
  (fate#322164).
- x86/mce: Add support for new MCA_SYND register (fate#322164).
- commit 4c986aa
* Fri Dec  9 2016 tiwai@suse.de
- i2c: designware-baytrail: Add support for cherrytrail
  (bsc#1011913).
- i2c: designware-baytrail: Pass dw_i2c_dev into helper functions
  (bsc#1011913).
- commit e33ed46
* Fri Dec  9 2016 tiwai@suse.de
- Delete patches.drivers/i2c-designware-baytrail-Work-around-Cherry-Trail-sem.
  Will be replaced with the newly submitted patches.
- commit 5ddc52c
* Fri Dec  9 2016 jthumshirn@suse.de
- Don't feed anything but regular iovec's to blk_rq_map_user_iov
  (CVE-2016-9576 bsc#1013604).
- commit fc1fe0e
* Thu Dec  8 2016 msuchanek@suse.de
- 8250_pci: Fix potential use-after-free in error path
  (bsc#1013001).
- commit 1948fec
* Thu Dec  8 2016 jroedel@suse.de
- x86/PCI: VMD: Synchronize with RCU freeing MSI IRQ descs
  (bsc#1006827).
- commit db8279a
* Thu Dec  8 2016 bp@suse.de
- x86/cpufeature: Add AVX512_4VNNIW and AVX512_4FMAPS features
  (fate#321917).
- commit 99bfb89
* Wed Dec  7 2016 bp@suse.de
- x86/cpu/intel: Add Knights Mill to Intel family (fate#321909).
- EDAC, {sb,skx}_edac: Use Intel model macros instead of open-coding them (fate#321933).
- commit d217c1e
* Wed Dec  7 2016 tiwai@suse.de
- i2c: designware: Prevent runtime suspend during adapter
  registration (bsc#1011913).
- i2c: designware: Use transfer timeout from ioctl I2C_TIMEOUT
  (bsc#1011913).
- i2c: designware: retry transfer on transient failure
  (bsc#1011913).
- commit 1384a23
* Wed Dec  7 2016 mfleming@suse.de
- sched/fair: Fix incorrect task group ->load_avg (bsc#981825).
- commit 5ab6a72
* Wed Dec  7 2016 ddiss@suse.de
- target: fix tcm_rbd_gen_it_nexus for emulated XCOPY state
  (bsc#1003606).
- commit 34d7372
* Wed Dec  7 2016 msuchanek@suse.de
- Update kvm kabi whitelist blob to include kvm-pr.
- commit fcf6878
* Wed Dec  7 2016 tiwai@suse.de
- drm/i915: Enable polling when we don't have hpd (bsc#1014120).
- drm/i915/vlv: Disable HPD in valleyview_crt_detect_hotplug()
  (bsc#1014120).
- drm/i915/vlv: Reset the ADPA in vlv_display_power_well_init()
  (bsc#1014120).
- drm/i915/vlv: Make intel_crt_reset() per-encoder (bsc#1014120).
- commit c14e661
* Wed Dec  7 2016 neilb@suse.com
- block_dev: don't test bdev->bd_contains when it is not stable
  (bsc#1008557).
- commit f48a35b
* Tue Dec  6 2016 tiwai@suse.de
- ALSA: hda - Gate the mic jack on HP Z1 Gen3 AiO (bsc#1004365).
- commit b5c71c4
* Tue Dec  6 2016 msuchanek@suse.de
- Whitelist KVM KABI changes resulting from adding a hcall.
  caused by 5246adec59458b5d325b8e1462ea9ef3ead7f6ae
  powerpc/pseries: Use H_CLEAR_HPT to clear MMU hash table during kexec
  No problem is expected as result of changing KVM KABI so whitelisting for now.
  If we get some additional input from IBM we can back out the patch.
- commit 97c032b
* Mon Dec  5 2016 bp@suse.de
- x86/mce/AMD: Update sysfs bank names for SMCA systems
  (fate#320474, bsc#1013700).
- x86/mce/AMD, EDAC/mce_amd: Define and use tables for known
  SMCA IP types (fate#320474, bsc#1013700).
  Exclude removed symbols from kABI check. They're AMD Zen relevant only
  and completely useless to other modules - only edac_mce_amd.ko.
- EDAC/mce_amd: Use SMCA prefix for error descriptions arrays
  (fate#320474, bsc#1013700).
- EDAC/mce_amd: Add missing SMCA error descriptions (fate#320474,
  bsc#1013700).
- x86/mce/AMD: Read MSRs on the CPU allocating the threshold
  blocks (fate#320474, bsc#1013700).
- x86/mce/AMD: Use msr_ops.misc() in allocate_threshold_blocks()
  (fate#320474, bsc#1013700).
- x86/mce/AMD: Increase size of the bank_map type (fate#320474,
  bsc#1013700).
- commit a7c4c83
* Mon Dec  5 2016 tiwai@suse.de
- Drop patches.kabi/* workarounds
- commit 2827546
* Mon Dec  5 2016 bp@suse.de
- perf/x86: Add perf support for AMD family-17h processors
  (fate#320473).
- commit 3b68641
* Mon Dec  5 2016 jslaby@suse.cz
- Linux 4.4.36 (bnc#1012382 bsc#1000287 bsc#998054 bsc#980531).
- Delete
  patches.apparmor/apparmor-fix-change_hat-not-finding-hat-after-policy-replacement.patch.
- Delete
  patches.drivers/drm-radeon-Ensure-vblank-interrupt-is-enabled-on-DPMS-transition-to-on.patch.
- Delete
  patches.fixes/mei-me-disable-driver-on-SPT-SPS-firmware.patch.
- commit 6956976
* Mon Dec  5 2016 jroedel@suse.de
- x86/apic: Order irq_enter/exit() calls correctly
  vs. ack_APIC_irq() (bsc#1013479).
- commit 3a066e9
* Mon Dec  5 2016 tiwai@suse.de
- ALSA: hda - Bind with i915 only when Intel graphics is present
  (bsc#1012767).
- ALSA: hda - Fix yet another i915 pointer leftover in error path
  (bsc#1012767).
- ALSA: hda - Clear the leftover component assignment at
  snd_hdac_i915_exit() (bsc#1012767).
- ALSA: hda - Degrade i915 binding failure message (bsc#1012767).
- commit ed6a3da
* Sat Dec  3 2016 tiwai@suse.de
- ALSA: pcm : Call kill_fasync() in stream lock (CVE-2016-9794
  bsc#1013533).
- commit 076f6b4
* Fri Dec  2 2016 jroedel@suse.de
- kvm: svm: Do not support AVIC if not CONFIG_X86_LOCAL_APIC
  (fate#319478).
- kvm: svm: Fix implicit declaration for
  __default_cpu_present_to_apicid() (fate#319478).
- svm: bitwise vs logical op typo (fate#319478).
- svm: Do not intercept CR8 when enable AVIC (fate#319478).
- svm: Manage vcpu load/unload when enable AVIC (fate#319478).
- KVM: x86: Introducing kvm_x86_ops.apicv_post_state_restore
  (fate#319478).
- svm: Do not expose x2APIC when enable AVIC (fate#319478).
- svm: Add VMEXIT handlers for AVIC (fate#319478).
- svm: Add interrupt injection via AVIC (fate#319478).
- KVM: x86: Detect and Initialize AVIC support (fate#319478).
- svm: Introduce new AVIC VMCB registers (fate#319478).
- KVM: x86: Introducing kvm_x86_ops VCPU blocking/unblocking hooks
  (fate#319478).
- KVM: split kvm_vcpu_wake_up from kvm_vcpu_kick (fate#319478).
- KVM: x86: Introducing kvm_x86_ops VM init/destroy hooks
  (fate#319478).
- KVM: x86: Misc LAPIC changes to expose helper functions
  (fate#319478).
- KVM: x86: Rename kvm_apic_get_reg to kvm_lapic_get_reg
  (fate#319478).
- x86/cpufeature: Add AMD AVIC bit (fate#319478).
- kvm/x86: per-vcpu apicv deactivation support (fate#319478).
- commit 5655d9c
* Thu Dec  1 2016 jroedel@suse.de
- x86/platform/uv/BAU: Add UV4-specific functions (fate#321943).
- x86/platform/uv/BAU: Fix payload queue setup on UV4 hardware
  (fate#321943).
- x86/platform/uv/BAU: Disable software timeout on UV4 hardware
  (fate#321943).
- x86/platform/uv/BAU: Populate ->uvhub_version with UV4 version
  information (fate#321943).
- x86/platform/uv/BAU: Use generic function pointers
  (fate#321943).
- x86/platform/uv/BAU: Add generic function pointers
  (fate#321943).
- x86/platform/uv/BAU: Convert uv_physnodeaddr() use to
  uv_gpa_to_offset() (fate#321943).
- x86/platform/uv/BAU: Clean up pq_init() (fate#321943).
- x86/platform/uv/BAU: Clean up and update printks (fate#321943).
- x86/platform/uv/BAU: Clean up vertical alignment (fate#321943).
- commit c014bd7
* Thu Dec  1 2016 msuchanek@suse.de
- serial: 8250_pci: Detach low-level driver during PCI error
  recovery (bsc#1013001).
- commit 73f8b95
* Thu Dec  1 2016 tiwai@suse.de
- i2c: designware-baytrail: Work around Cherry Trail semaphore
  errors (bsc#1011913).
- commit f50848b
* Thu Dec  1 2016 tiwai@suse.de
- Enable CONFIG_I2C_DESIGNWARE_PLATFORM and *_BAYTRAIL (bsc#1010690)
  Realtek codecs on CHT platform require this i2c bus driver.
- commit 3d417f8
* Thu Dec  1 2016 msuchanek@suse.de
- powerpc/pseries: Use H_CLEAR_HPT to clear MMU hash table during
  kexec (bsc#1003813).
- commit cb2faae
* Thu Dec  1 2016 mkubecek@suse.cz
- tipc: check minimum bearer MTU (CVE-2016-8632 bsc#1008831).
- commit b29a190
* Thu Dec  1 2016 jthumshirn@suse.de
- fs, block: force direct-I/O for dax-enabled block devices
  (bsc#1012992).
- commit 5f1bcff
* Thu Dec  1 2016 mkubecek@suse.cz
- packet: fix race condition in packet_set_ring (CVE-2016-8655
  bsc#1012754).
- commit 2f20d4e
* Wed Nov 30 2016 mmarek@suse.cz
- supported.conf: Mark vmx-crypto as supported (fate#319564)
- commit 623a33d
* Wed Nov 30 2016 tiwai@suse.de
- Disable all CONFIG_INTEL_MIC_* & co (FATE#321372)
- commit 53e0ede
* Wed Nov 30 2016 bp@suse.de
- x86/mm/mpx: Work around MPX erratum SKD046 (fate#321189).
- commit 8485f54
* Wed Nov 30 2016 mmarek@suse.com
- supported.conf: Add overlay.ko to -base (fate#321903)
  Also, delete the stale entry for the old overlayfs.
- commit 595c729
* Wed Nov 30 2016 tiwai@suse.de
- ASoC: rt5670: Enable Braswell platform workaround for Dell
  Wyse 3040 (bsc#1010690).
- commit 14b2beb
* Wed Nov 30 2016 bp@suse.de
- EDAC, sb_edac: Add Knights Mill support (fate#321933).
- EDAC, sb_edac: Fix Knights Landing (fate#321933).
- EDAC, sb_edac: Readd accidentally dropped Broadwell-D support
  (fate#321933).
- EDAC, sb_edac: Use cpu family/model in driver detection
  (fate#321933).
- commit fba74dc
* Wed Nov 30 2016 jack@suse.cz
- ext4: fix data exposure after a crash (bsc#1012829).
- commit 001dba4
* Wed Nov 30 2016 tiwai@suse.de
- kabi/severities: Ignore kABI for ASoC Intel SST drivers (bsc#1010690)
  These drivers are self-contained, not for 3rd party drivers.
- commit c043ff8
* Wed Nov 30 2016 jack@suse.cz
- blacklist.conf: Commit c0a37d48788475d0a2cf4fbfaa28559a9de612fc needed
  only for crypto changes included only in later kernels.
- commit 712ac0a
* Wed Nov 30 2016 jack@suse.cz
- blacklist.conf: Commit 81b76485afb54e3efeb1de5edbef761f4ad2830e is
  already included in our tree as commit
  74d369443325063a5f0260e63971decb950fd8fa.
- commit 4426fa9
* Wed Nov 30 2016 jack@suse.cz
- writeback: initialize inode members that track writeback history
  (bsc#1012829).
- commit c0d4982
* Wed Nov 30 2016 tiwai@suse.de
- Update config files: select new CONFIG_SND_SOC_INTEL_SST_* helpers
- commit a4bfe29
* Wed Nov 30 2016 tiwai@suse.de
- ASoC: Intel: Keep building old baytrail machine drivers
  (bsc#1010690).
- ASoC: Intel: Add missing 10EC5672 ACPI ID matching for Cherry
  Trail (bsc#1010690).
- ASoC: rt5670: Add missing 10EC5072 ACPI ID (bsc#1010690).
- ASoC: intel: Replace kthread with work (bsc#1010690).
- ASoC: Intel: atom: Make some messages to debug level
  (bsc#1010690).
- ASoC: cht_bsw_rt5672: Use HID translation unit (bsc#1010690).
- ASoC: Intel: Atom: add terminate entry for dmi_system_id tables
  (bsc#1010690).
- ASoC: Intel: bytcr_rt5640: quirk for Acer Aspire SWS-012
  (bsc#1010690).
- ASoC: Intel: atom: fix 0-day warnings (bsc#1010690).
- ASoC: Intel: bytcr_rt5640: log quirks (bsc#1010690).
- ASoC: Intel: bytcr_rt5640: Add quirk for Teclast X98 Air 3G
  tablet (bsc#1010690).
- AsoC: Intel: Add quirks for MinnowBoard MAX (bsc#1010690).
- ASoC: Intel: bytcr_rt5640: add MCLK support (bsc#1010690).
- ASoC: Intel: bytcr_rt5640: add IN3 map (bsc#1010690).
- ASoC: Intel: bytcr_rt5640: default routing and quirks on
  Baytrail-CR (bsc#1010690).
- ASoC: Intel: bytcr_rt5640: fix dai/clock setup for SSP0 routing
  (bsc#1010690).
- ASoC: Intel: bytcr_rt56040: additional routing quirks
  (bsc#1010690).
- ASoC: Intel: bytcr_rt5640: add SSP2_AIF2 routing (bsc#1010690).
- ASoC: Intel: atom: enable configuration of SSP0 (bsc#1010690).
- ASoC: Intel: Atom: add definitions for modem/SSP0 interface
  (bsc#1010690).
- ASoC: Intel: Atom: auto-detection of Baytrail-CR (bsc#1010690).
- ASoC: Intel: bytcr_rt5640: enable differential mic quirk
  (bsc#1010690).
- ASoC: Intel: bytcr_rt5640: quirk for mono speaker (bsc#1010690).
- ASoC: Intel: bytcr-rt5640: add Asus T100TAF quirks
  (bsc#1010690).
- ASoC: Intel: Atom: Fix message handling during drop stream
  (bsc#1010690).
- ASoC: intel: Fix sst-dsp dependency on dw stuff (bsc#1010690).
- ASoC: Intel: atom: statify cht_quirk (bsc#1010690).
- ASoC: Intel: cht: fix uninit variable warning (bsc#1010690).
- ASoC: Intel: Add surface3 entry in CHT-RT5645 machine
  (bsc#1010690).
- ASoC: Intel: Atom: Add quirk for Surface 3 (bsc#1010690).
- ASoC: Intel: common: increase the loglevel of "FW Poll Status"
  (bsc#1010690).
- ASoC: Intel: atom: fix missing breaks that would cause the
  wrong operation to execute (bsc#1010690).
- ASoC: intel: make function stub static (bsc#1010690).
- ASoC: Intel: Atom: fix boot warning (bsc#1010690).
- ASoC: intel: add function stub when ACPI is not enabled
  (bsc#1010690).
- ASoC: Intel: Atom: add support for CHT w/ RT5640 (bsc#1010690).
- ASoC: Intel: bytcr_rt5640: use HID translation util
  (bsc#1010690).
- ASoC: Intel: bytcr_rt5640: change quirk position (bsc#1010690).
- ASoC: Intel: common: add translation from HID to codec-name
  (bsc#1010690).
- ASoC: Intel: common: filter ACPI devices with _STA return value
  (bsc#1010690).
- ASoC: cht_bsw_rt5645: Enable jack detection (bsc#1010690).
- ASoC: cht_bsw_rt5645: Fix writing to string literal
  (bsc#1010690).
- ASoC: Intel: Add module tags for common match module
  (bsc#1010690).
- ASoC: Intel: Load the atom DPCM driver only (bsc#1010690).
- ASoC: Intel: Create independent acpi match module (bsc#1010690).
- ASoC: Intel: Atom: fix regression on compress DAI (bsc#1010690).
- ASoC: Intel: add NULL test (bsc#1010690).
- ASoC: Intel: Atom: Add support for HP ElitePad 1000 G2
  (bsc#1010690).
- ASoC: Intel: Atom: add support for RT5642 (bsc#1010690).
- ASoC: Intel: bytcr_rt5640: fixup DAI codec_name with HID
  (bsc#1010690).
- ASoC: Intel: bytcr-rt5640: enable ASRC (bsc#1010690).
- ASoC: Intel: Atom: flip logic for gain Switch (bsc#1010690).
- ASoC: Intel: Atom: clean-up compressed DAI definition
  (bsc#1010690).
- ASoC: Intel: Atom: add 24-bit support for media playback and
  capture (bsc#1010690).
- ASoC: Intel: boards: add DEEP_BUFFER support for BYT/CHT/BSW
  (bsc#1010690).
- ASoc: Intel: Atom: add deep buffer definitions for atom
  platforms (bsc#1010690).
- ASoC: Intel: boards: merge DMI-based quirks in bytcr-rt5640
  driver (bsc#1010690).
- ASoC: Intel: boards: start merging byt-rt5640 drivers
  (bsc#1010690).
- ASoC: Intel: boards: align pin names between byt-rt5640 drivers
  (bsc#1010690).
- ASoC: Intel: bytcr_rt5640: set SSP to I2S mode 2ch
  (bsc#1010690).
- ASoC: Intel: sst: fix sst_memcpy32 wrong with non-4x bytes issue
  (bsc#1010690).
- ASoC: Intel: add fw name to common dsp context (bsc#1010690).
- ASoC: Intel: Atom: move atom driver to common acpi match
  (bsc#1010690).
- ASoC: Intel: Move apci find machine routines (bsc#1010690).
- ASoC: rt5645: add DAC1 soft volume func control (bsc#1010690).
- ASoC: rt5645: set RT5645_PRIV_INDEX as volatile (bsc#1010690).
- ASoC: rt5645: patch reg-0x8a (bsc#1010690).
- ASoC: rt5645: fix reg-2f default value (bsc#1010690).
- ASoC: rt5645: polling jd status in all conditions (bsc#1010690).
- ASoC: rt5645: Add dmi_system_id "Google Setzer" (bsc#1010690).
- ASoC: rt5645: extend delay time for headphone pop noise
  (bsc#1010690).
- ASoC: rt5645: improve headphone pop when system resumes from S3
  (bsc#1010690).
- ASoC: rt5645: improve IRQ reaction time for HS button
  (bsc#1010690).
- ASoC: rt5645: use polling to support HS button (bsc#1010690).
- ASoC: rt5645: merge DMI tables of google projects (bsc#1010690).
- ASoC: rt5645: Separate regmap for rt5645 and rt5650
  (bsc#1010690).
- ASoC: rt5645: Use the mod_delayed_work instead of the
  queue_delayed_work and cancel_delayed_work_sync (bsc#1010690).
- ASoC: rt5670: patch reg-0x8a (bsc#1010690).
- ASoC: rt5640: remove unused variable (bsc#1010690).
- ASoC: rt5670: fix HP Playback Volume control (bsc#1010690).
- ASoC: rt5640: Set PLL src according to source (bsc#1010690).
- ASoC: rt5640: add supplys for dac power (bsc#1010690).
- ASoC: rt5640: add internal clock source support (bsc#1010690).
- ASoC: rt5640: add master clock handling for rt5640
  (bsc#1010690).
- ASoC: rt5640: add ASRC support (bsc#1010690).
- commit 3322134
* Wed Nov 30 2016 mkubecek@suse.cz
- sctp: validate chunk len before actually using it (CVE-2016-9555
  bsc#1011685).
- commit 59cf095
* Tue Nov 29 2016 ohering@suse.de
- xen/gntdev: Use VM_MIXEDMAP instead of VM_IO to avoid NUMA
  balancing (bnc#1005169).
- commit 5a1f07e
* Tue Nov 29 2016 mmarek@suse.cz
- rpm/kernel-spec-macros: Fix the check if there is no rebuild counter (bsc#1012060)
- commit feb4875
* Tue Nov 29 2016 mwilck@suse.com
- ipmi_si: create hardware-independent softdep for ipmi_devintf
  (bsc#1009062).
- commit a8694b6
* Tue Nov 29 2016 dchang@suse.com
- i40e: fix broken i40e_config_rss_aq function (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: Remove redundant memset (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- commit e0068ff
* Mon Nov 28 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Export a make-stderr.log file (bsc#1012422)
- commit 3da47da
* Mon Nov 28 2016 dsterba@suse.com
- btrfs: Enhance chunk validation check (bsc#1012452).
- btrfs: Enhance super validation check (bsc#1012452).
- Btrfs: fix typo in log message when starting a balance
  (bsc#1012452).
- Btrfs: fix output of compression message in
  btrfs_parse_options() (bsc#1012452).
- Btrfs: clean up an error code in btrfs_init_space_info()
  (bsc#1012452).
- btrfs: cleanup, stop casting for extent_map->lookup everywhere
  (bsc#1012452).
- Btrfs: don't leave dangling dentry if symlink creation failed
  (bsc#1012452).
- Btrfs: fix race between free space endio workers and space
  cache writeout (bsc#1012452).
- btrfs: remove unused inode argument from uncompress_inline()
  (bsc#1012452).
- Btrfs: Check metadata redundancy on balance (bsc#1012452).
- btrfs: preallocate path for snapshot creation at ioctl time
  (bsc#1012452).
- btrfs: allocate root item at snapshot ioctl time (bsc#1012452).
- btrfs: do an allocation earlier during snapshot creation
  (bsc#1012452).
- btrfs: use smaller type for btrfs_path locks (bsc#1012452).
- btrfs: use smaller type for btrfs_path lowest_level
  (bsc#1012452).
- btrfs: use smaller type for btrfs_path reada (bsc#1012452).
- btrfs: cleanup, use enum values for btrfs_path reada
  (bsc#1012452).
- btrfs: don't use slab cache for struct btrfs_delalloc_work
  (bsc#1012452).
- btrfs: drop duplicate prefix from scrub workqueues
  (bsc#1012452).
- btrfs: verbose error when we find an unexpected item in
  sys_array (bsc#1012452).
- btrfs: better packing of btrfs_delayed_extent_op (bsc#1012452).
- btrfs: put delayed item hook into inode (bsc#1012452).
- btrfs: Support convert to -d dup for btrfs-convert
  (bsc#1012452).
- Btrfs: fix unprotected list operations at
  btrfs_write_dirty_block_groups (bsc#1012452).
- Btrfs: fix locking bugs when defragging leaves (bsc#1012452).
- Btrfs: fix memory leaks after transaction is aborted
  (bsc#1012452).
- Btrfs: fix race when finishing dev replace leading to
  transaction abort (bsc#1012452).
- btrfs: make lock_extent static inline (bsc#1012452).
- btrfs: drop unused parameter from lock_extent_bits
  (bsc#1012452).
- btrfs: make clear_extent_bit helpers static inline
  (bsc#1012452).
- btrfs: make set_extent_bit helpers static inline (bsc#1012452).
- btrfs: use GFP_KERNEL for xattr and acl allocations
  (bsc#1012452).
- btrfs: use GFP_KERNEL for allocations of workqueues
  (bsc#1012452).
- btrfs: use GFP_KERNEL for allocations in ioctl handlers
  (bsc#1012452).
- btrfs: make set_range_writeback return void (bsc#1012452).
- btrfs: make extent_range_redirty_for_io return void
  (bsc#1012452).
- btrfs: make extent_range_clear_dirty_for_io return void
  (bsc#1012452).
- btrfs: make end_extent_writepage return void (bsc#1012452).
- btrfs: make extent_clear_unlock_delalloc return void
  (bsc#1012452).
- btrfs: make clear_extent_buffer_uptodate return void
  (bsc#1012452).
- btrfs: make set_extent_buffer_uptodate return void
  (bsc#1012452).
- btrfs: remove a trivial helper btrfs_set_buffer_uptodate
  (bsc#1012452).
- btrfs: remove wait from struct btrfs_delalloc_work
  (bsc#1012452).
- btrfs: sink parameter wait to btrfs_alloc_delalloc_work
  (bsc#1012452).
- btrfs: make btrfs_close_one_device static (bsc#1012452).
- commit 29297bd
* Mon Nov 28 2016 dsterba@suse.com
- Btrfs: rename, reorder and refresh patches from 4.5
- commit 1f36652
* Mon Nov 28 2016 tiwai@suse.de
- drm/i915: Add missing ring_mask to Pineview (bsc#1005917).
- commit b46dc4d
* Mon Nov 28 2016 tiwai@suse.de
- drm/mgag200: fix error return code in mgag200fb_create()
  (bsc#1005917).
- commit 965a253
* Mon Nov 28 2016 tiwai@suse.de
- Revert "ACPI / LPSS: allow to use specific PM domain during
  - >probe()" (bsc#1005917).
- commit 0701e4f
* Mon Nov 28 2016 tiwai@suse.de
- ASoC: Intel: Skylake: Always acquire runtime pm ref on unload
  (bsc#1005917).
- commit 457280c
* Mon Nov 28 2016 tiwai@suse.de
- Refresh upstream commit id in
  patches.apparmor/apparmor-fix-change_hat-not-finding-hat-after-policy-replacement.patch
- commit 22e1271
* Mon Nov 28 2016 tiwai@suse.de
- Refresh drm/i915 patches with No-Fix for cherry-picked commits
- commit cc484df
* Mon Nov 28 2016 jslaby@suse.cz
- Linux 4.4.35 (bnc#1012382).
- Refresh
  patches.drivers/mlx4-0026-IB-cm-Use-the-source-GID-index-type.patch.
- Refresh
  patches.drivers/mlx4-0031-IB-core-Validate-route-when-we-init-ah.patch.
- Refresh
  patches.drivers/mlx4-0040-IB-mlx4-Initialize-hop_limit-when-creating-address-h.patch.
- commit f379171
* Fri Nov 25 2016 tiwai@suse.de
- xc2028: Fix use-after-free bug properly (CVE-2016-7913
  bsc#1010478).
- commit c3c6bbd
* Fri Nov 25 2016 agraf@suse.de
- ARM: bcm2835: Split the DT for peripherals from the DT for
  the CPU (boo#1012094).
- ARM: bcm2835: add CPU node for ARM core (boo#1012094).
- Refresh
  patches.arch/arm64-bcm2837-0078-ARM-bcm2835-Add-devicetree-for-the-Raspberry-Pi-3.patch.
- commit 15a7032
* Thu Nov 24 2016 tiwai@suse.de
- Refresh
  patches.arch/arm64-bcm2837-0070-ARM-bcm2835-Add-VC4-to-the-device-tree.patch.
  Fix the bogus diff chunk for arch/arm/boot/dts/bcm2836-rpi-2-b.dts
  that breaks applying the patch during build (although sequence-patch
  works).
- commit 6bbf4d6
* Thu Nov 24 2016 jslaby@suse.cz
- kgr: ignore zombie tasks during the patching (bnc#1008979).
- commit ba6f365
* Thu Nov 24 2016 agraf@suse.de
- Add Raspberry Pi 2 support for armv7l:
  - ARM: bcm2835: Add Kconfig support for bcm2836 (boo#1012094).
  - ARM: bcm2835: Add devicetree for bcm2836 and Raspberry Pi 2 B
    (boo#1012094).
  - Refresh
    patches.arch/arm64-bcm2837-0070-ARM-bcm2835-Add-VC4-to-the-device-tree.patch.
  - Refresh
    patches.arch/arm64-bcm2837-0078-ARM-bcm2835-Add-devicetree-for-the-Raspberry-Pi-3.patch.
  - Refresh
    patches.arch/arm64-bcm2837-0196-cpufreq-Add-Broadcom-BCM2835-CPU-frequency-control-driver.patch.
- commit a313ede
* Thu Nov 24 2016 mmarek@suse.com
- rpm/kernel-spec-macros: Ignore too high rebuild counter (bsc#1012060)
- commit 4ba30ba
* Wed Nov 23 2016 msuchanek@suse.de
- powerpc/xmon: Add xmon command to dump process/task similar
  to ps(1) (fate#322020).
- commit 884e897
* Wed Nov 23 2016 mkubecek@suse.cz
- Update patches.kernel.org/patch-4.4.31-32 references
  (add CVE-2016-9555 bsc#1011685).
- commit 0da9e3d
* Wed Nov 23 2016 mkubecek@suse.cz
- netfilter: nfnetlink: correctly validate length of batch
  messages (CVE-2016-7917 bsc#1010444).
- commit 6ec477d
* Wed Nov 23 2016 acho@suse.com
- qede: Correctly map aggregation replacement pages (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qed: FLR of active VFs might lead to FW assert (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- commit beba7f5
* Tue Nov 22 2016 hare@suse.de
- Refresh
  patches.drivers/hpsa-use-bus-3-for-legacy-HBA-devices.patch.
- commit 50ae75e
* Tue Nov 22 2016 fdmanana@suse.com
- Btrfs: fix incremental send failure caused by balance
  (bsc#985850).
- Btrfs: send, don't bug on inconsistent snapshots (bsc#985850).
- commit ce5e72e
* Tue Nov 22 2016 fdmanana@suse.com
- Delete
  patches.suse/btrfs-log-error-when-an-extent-item-is-not-found-for.patch.
- commit ce02086
* Tue Nov 22 2016 mgorman@suse.com
- blacklist.conf: Remove intel_pstate potential patch that SLE 12 SP2
  The code layout upstream that motivated this patch is completely different
  to what is in SLE 12 SP2 as schedutil was not backported.
- commit ce60284
* Tue Nov 22 2016 hare@suse.de
- hpsa: use bus '3' for legacy HBA devices (bsc#1010665).
- hpsa: use correct DID_NO_CONNECT hostbyte (bsc#1010665).
- hpsa: fallback to use legacy REPORT PHYS command (bsc#1006175).
- commit 04cb560
* Tue Nov 22 2016 mstaudt@suse.de
- drm/radeon: Ensure vblank interrupt is enabled on DPMS transition to on (bsc#998054)
- Delete patches.drivers/drm-radeon-Switch-to-drm_vblank_on-off.patch.
- commit ef49418
* Mon Nov 21 2016 jeffm@suse.com
- btrfs: Ensure proper sector alignment for
  btrfs_free_reserved_data_space (bsc#1005666).
- commit 3fb5f15
* Mon Nov 21 2016 fdmanana@suse.com
- Btrfs: fix relocation incorrectly dropping data references
  (bsc#990384).
- Delete
  patches.suse/btrfs-fix-extent-tree-corruption-due-to-relocation.patch.
- commit fcda4c7
* Mon Nov 21 2016 mmarek@suse.cz
- Drop kernel-obs-qa-xen unconditionally (bsc#1010040)
  The IBS cannot build it, even if there is a xen-capable
  kernel-obs-build.
- commit f4797cb
* Mon Nov 21 2016 tiwai@suse.de
- zram: Fix unbalanced idr management at hot removal
  (bsc#1010970).
- commit 1164fda
* Mon Nov 21 2016 jslaby@suse.cz
- Linux 4.4.34 (CVE-2015-8964 bnc#1010507).
- kABI: reintroduce sk_filter (kabi).
- Delete
  patches.fixes/tty-Prevent-ldisc-drivers-from-re-using-stale-tty-fi.patch.
- commit a2a486c
* Mon Nov 21 2016 jslaby@suse.cz
- Linux 4.4.33 (bsc#993841).
- Refresh
  patches.drivers/i40e-0062-i40e-geneve-tunnel-offload-support.patch.
- Delete
  patches.suse/btrfs-qgroup-Prevent-qgroup--reserved-from-going-subzero.patch.
- commit aaecfe2
* Mon Nov 21 2016 fdmanana@suse.com
- Update
  patches.suse/btrfs-8401-fix-qgroup-accounting-when-creating-snap.patch
  (bsc#972993).
- commit a688a0a
* Mon Nov 21 2016 tiwai@suse.de
- drm/i915: Calculate watermark related members in the crtc_state,
  v4 (bsc#1011176).
- drm/i915: Move disable_cxsr to the crtc_state (bsc#1011176).
- drm/i915/ivb: Move WaCxSRDisabledForSpriteScaling w/a to atomic
  check (bsc#1011176).
- commit c3b60d4
* Fri Nov 18 2016 jslaby@suse.cz
- tty: Prevent ldisc drivers from re-using stale tty fields
  (bnc#1010507 CVE-2015-8964).
- commit 82af3b4
* Fri Nov 18 2016 jslaby@suse.cz
- Linux 4.4.32 (CVE-2016-7039 FATE#320143 bnc#1005921 bsc#1001486
  bsc#963609).
- kABI: restore ip_cmsg_recv_offset parameters (kabi).
- Refresh
  patches.fixes/GRE-Disable-segmentation-offloads-w-CSUM-and-we-are-.patch.
- Refresh
  patches.fixes/gro-Defer-clearing-of-flush-bit-in-tunnel-paths.patch.
- Delete patches.fixes/net-add-recursion-limit-to-GRO.patch.
- Delete patches.fixes/net-sctp-forbid-negative-length.patch.
- Delete
  patches.fixes/tg3-Avoid-NULL-pointer-dereference-in-tg3_io_error_d.patch.
- commit 44ec240
* Thu Nov 17 2016 fvogt@suse.com
- overlayfs: allow writing on read-only btrfs subvolumes (bsc#1010158)
- commit 2098362
* Wed Nov 16 2016 tiwai@suse.de
- [media] xc2028: unlock on error in xc2028_set_config()
  (CVE-2016-7913 bsc#1010478).
- commit cdac708
* Wed Nov 16 2016 tiwai@suse.de
- [media] xc2028: avoid use after free
  (CVE-2016-7913,bsc#1010478).
- commit 4e35ecc
* Wed Nov 16 2016 yousaf.kaukab@suse.com
- x86/efi: Enable runtime call flag checking (bsc#1005745).
- arm64/efi: Enable runtime call flag checking (bsc#1005745).
- efi/runtime-wrappers: Detect firmware IRQ flag corruption
  (bsc#1005745).
- efi/runtime-wrappers: Remove redundant #ifdefs (bsc#1005745).
- x86/efi: Move to generic {__,}efi_call_virt() (bsc#1005745).
- arm64/efi: Move to generic {__,}efi_call_virt() (bsc#1005745).
- efi/runtime-wrappers: Add {__,}efi_call_virt() templates
  (bsc#1005745).
- commit 07bb523
* Tue Nov 15 2016 bp@suse.de
- EDAC, skx_edac: Fix non static symbol warnings (fate#319704).
- Update config files.
- supported.conf:
- EDAC, skx_edac: Add EDAC driver for Skylake (fate#319704).
- commit 1f0f164
* Tue Nov 15 2016 tiwai@suse.de
- dell-laptop: Fixate rfkill work on CPU#0 (bsc#1004052).
- dell-wmi: Ignore WMI event code 0xe045 (bsc#1004052).
- dell-wmi: Support new hotkeys on the XPS 13 9350 (Skylake)
  (bsc#1004052).
- dell-wmi: Clean up hotkey table size check (bsc#1004052).
- dell-wmi: Stop storing pointers to DMI tables (bsc#1004052).
- dell-wmi: Process only one event on devices with interface
  version 0 (bsc#1004052).
- dell-wmi: Check if Dell WMI descriptor structure is valid
  (bsc#1004052).
- dell-wmi: Improve unknown hotkey handling (bsc#1004052).
- dell_wmi: Use a C99-style array for bios_to_linux_keycode
  (bsc#1004052).
- commit 2e41fc0
* Tue Nov 15 2016 mmarek@suse.cz
- rpm/config.sh: Build against SP2 in the OBS as well
- commit b7c9006
* Tue Nov 15 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Only build -base and -extra with CONFIG_MODULES (bsc#1000118)
- commit 4bd9ec7
* Tue Nov 15 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Do not create KMPs with CONFIG_MODULES=n
- commit 1cf9838
* Tue Nov 15 2016 tiwai@suse.de
- Switch to SLE12-SP3 branch
  Update the branch info: README.BRANCH, rpm/config.sh
  Drop kabi files and patches.kabi/*
  Refresh:
  patches.drivers/0018-lib-string-introduce-match_string-helper.patch.
- commit c290c3d
* Tue Nov 15 2016 mmarek@suse.com
- Reformat spec files according to the format_spec_file osc helper
- commit a3cd251
* Tue Nov 15 2016 mmarek@suse.com
- Update the copyright header in spec files
- commit f909ff5
* Tue Nov 15 2016 acho@suse.com
- tg3: Avoid NULL pointer dereference in tg3_io_error_detected()
  (bsc#963609 FATE#320143).
- commit 4fcf1e7
* Mon Nov 14 2016 jslaby@suse.cz
- rpm/constraints.in: increase disk for kernel-syzkaller
  The kernel-syzkaller build now consumes around 30G. This causes
  headache in factory where the package rebuilds over and over. Require
  35G disk size to successfully build the flavor.
- commit 970a25c
* Fri Nov 11 2016 rgoldwyn@suse.com
- btrfs: qgroup: Fix qgroup data leaking by using subtree tracing
  (bsc983087, bsc986255).
- btrfs: Expoert and move leaf/subtree qgroup helpers to qgroup.c
  (bsc983087, bsc986255).
- btrfs: qgroup: Rename functions to make it follow reserve,
  trace, account steps (bsc983087, bsc986255).
- btrfs: qgroup: Add comments explaining how btrfs qgroup  works
  (bsc983087, bsc986255).
- commit d79e146
* Thu Nov 10 2016 jslaby@suse.cz
- Linux 4.4.31 (CVE-2016-7042 bsc#1004517 bsc#1007653 bnc#1006918
  bsc#1007615 bsc#100657).
- Delete
  patches.drivers/arm64-i2c-xgene-Avoid-dma_buffer-overrun.patch.
- Refresh
  patches.drivers/megaraid_sas-Code-optimization-build_and_issue_cmd.patch.
- Delete
  patches.drivers/0001-usbhid-add-ATEN-CS962-to-list-of-quirky-devices.patch.
- Delete
  patches.fixes/0001-KEYS-Fix-short-sprintf-buffer-in-proc-keys-show-func.patch.
- Delete patches.suse/btrfs-fix-races-on-root_log_ctx-lists.patch.
- Delete
  patches.suse/suse-hv-hv-do-not-lose-pending-heartbeat-vmbus-packets.patch.
- commit 84b72b1
* Thu Nov 10 2016 jeffm@suse.com
- Btrfs: deal with existing encompassing extent map in
  btrfs_get_extent() (bsc#1001171).
- commit 896c3fe
* Thu Nov 10 2016 mbrugger@suse.com
- i2c: xgene: Avoid dma_buffer overrun (bsc#100657).
- commit 2cfd5b1
* Thu Nov 10 2016 bpoirier@suse.com
- bna: Add synchronization for tx ring (bsc#993739).
- commit 8e08601
* Wed Nov  9 2016 jroedel@suse.de
- vfio/pci: Fix integer overflows, bitmask check (bsc#1007197,
  CVE-2016-9083, CVE-2016-9084).
- commit 424dd64
* Wed Nov  9 2016 neilb@suse.com
- md/raid1: fix: IO can block resync indefinitely (bsc#1001310).
- commit 06b17dc
* Tue Nov  8 2016 oneukum@suse.com
- usbhid: add ATEN CS962 to list of quirky devices (bsc#1007615).
- commit d1f3056
* Mon Nov  7 2016 jeffm@suse.com
- Btrfs: deal with duplicates during extent_map insertion in
  btrfs_get_extent (bsc#1001171).
- commit 7de8e16
* Mon Nov  7 2016 jeffm@suse.com
- Btrfs patch housekeeping
  - Match upstream commit order
  - Update missing/incorrect tags
- commit 8af48fe
* Sun Nov  6 2016 mbrugger@suse.com
- iommu/arm-smmu: Workaround for ThunderX erratum #27704
  (fate#319978).
- commit 094ad91
* Sun Nov  6 2016 mbrugger@suse.com
- iommu/arm-smmu: Add support for 16 bit VMID (fate#319978).
- commit 3dd6da5
* Fri Nov  4 2016 jslaby@suse.cz
- mm/filemap: generic_file_read_iter(): check for zero reads
  unconditionally (bnc#1007955).
- commit 2b39347
* Fri Nov  4 2016 dchang@suse.com
- i40e: fix an uninitialized variable bug (bsc#969476
  FATE#319648).
- commit eb5ad97
* Fri Nov  4 2016 dchang@suse.com
- cxgbi: fix uninitialized flowi6 (bsc#963904 FATE#320115).
- commit c223f51
* Fri Nov  4 2016 lszhu@suse.com
- Update patches.kernel.org/patch-4.4.27-28 (FATE#319466
  FATE#320153 FATE#320228 FATE#320230 bnc#1005925 bnc#1005929
  bsc#966186 bsc#966191 bsc#966325 bsc#974313 bsc#991414
  bnc#954986 LTC#132479 bsc#964462 FATE#319992 bsc#983318
  bsc#997807 bsc#992555 bsc#987805).
  add bsc#987805 in patch-4.4.27-28 references
- commit 0098017
* Fri Nov  4 2016 lszhu@suse.com
- Update patches.kernel.org/patch-4.4.27-28 (FATE#319466
  FATE#320153 FATE#320228 FATE#320230 bnc#1005925 bnc#1005929
  bsc#966186 bsc#966191 bsc#966325 bsc#974313 bsc#991414
  bnc#954986 LTC#132479 bsc#964462 FATE#319992 bsc#983318
  bsc#997807 bsc#992555).
- Delete
  patches.fixes/Add-a-missed-complete-in-iscsit_close_connection.patch.
  remove patch Add-a-missed-complete-in-iscsit_close_connection.patch
  add bsc#997807 bsc#992555 in patch-4.4.27-28 references
- commit 8e1737b
* Thu Nov  3 2016 ohering@suse.de
- netvsc: fix incorrect receive checksum offloading (bnc#1006915).
- hv: do not lose pending heartbeat vmbus packets (bnc#1006918).
- commit d18fb81
* Thu Nov  3 2016 jeffm@suse.com
- btrfs: don't create or leak aliased root while cleaning up
  orphans (bsc#994881).
- commit 01e0835
* Thu Nov  3 2016 mmarek@suse.com
- Btrfs: fix endless loop in balancing block groups (bsc#1006804).
- commit 2659fe9
* Thu Nov  3 2016 jlee@suse.com
- KEYS: Fix short sprintf buffer in /proc/keys show function
  (bsc#1004517, CVE-2016-7042).
- commit dc502e5
* Wed Nov  2 2016 mkubecek@suse.cz
- GRE: Disable segmentation offloads w/ CSUM and we are
  encapsulated via FOU (bsc#1001486).
- Update patches.fixes/net-add-recursion-limit-to-GRO.patch to mainline version
  (CVE-2016-7039 bsc#1001486)
- Replace
  patches.kabi/kabi-hide-new-member-recursion_counter-in-struct-sk_.patch
  by patches.kabi/kabi-hide-bsc-1001486-changes-in-struct-napi_gro_cb.patch
- commit dbc970e
* Wed Nov  2 2016 mkubecek@suse.cz
- gro: Allow tunnel stacking in the case of FOU/GUE (bsc#1001486).
- commit ecde939
* Wed Nov  2 2016 mkubecek@suse.cz
- Update patches.kernel.org/patch-4.4.28-29 references (add CVE-2016-8666).
- commit b1f6fc6
* Tue Nov  1 2016 jeffm@suse.com
- Btrfs: handle quota reserve failure properly (bsc#1005666).
- commit 9314014
* Tue Nov  1 2016 jslaby@suse.cz
- Linux 4.4.30
- Delete
  patches.kernel.org/0001-Revert-x86-mm-Expand-the-exception-table-logic-to-al.patch
- Delete
  patches.kernel.org/0002-Revert-fix-minor-infoleak-in-get_user_ex.patch.
- commit 812ca65
* Mon Oct 31 2016 jslaby@suse.cz
- net: sctp, forbid negative length (bnc#1005921).
- commit e2de0a4
* Mon Oct 31 2016 jslaby@suse.cz
- Linux 4.4.29 (CVE-2016-8658 FATE#319858 bsc#1001486 bsc#1004462
  bsc#990936 bsc#995968 CVE-2016-7097 bsc#995073).
- Revert "x86/mm: Expand the exception table logic to allow new
  handling options" (p.k.o).
- Revert "fix minor infoleak in get_user_ex()" (p.k.o).
- Delete
  patches.drivers/mpt3sas-Don-t-spam-logs-if-logging-level-is-0.patch.
- Delete
  patches.fixes/brcmfmac-avoid-potential-stack-overflow-in-brcmf_cfg.patch.
- Delete
  patches.fixes/ipip-Properly-mark-ipip-GRO-packets-as-encapsulated.patch.
- Delete
  patches.fixes/posix_acl-Clear-SGID-bit-when-setting-file-permissio.patch.
- Delete
  patches.fixes/tunnels-Don-t-apply-GRO-to-multiple-layers-of-encaps.patch.
- Delete patches.fixes/xenbus-dev-write-ordinary.patch.
- commit a8a7791
* Mon Oct 31 2016 jslaby@suse.cz
- Linux 4.4.28 (FATE#319466 FATE#320153 FATE#320228 FATE#320230
  bnc#1005925 bnc#1005929 bsc#966186 bsc#966191 bsc#966325
  bsc#974313 bsc#991414 bnc#954986 LTC#132479 bsc#964462
  FATE#319992 bsc#983318).
- kABI: protect struct mmc_packed (kabi).
- kABI: reintroduce strtobool (kabi).
- Refresh
  patches.drivers/0003-hpsa-add-box-and-bay-information-for-enclosure-devices.patch.
- Refresh
  patches.drivers/0007-lightnvm-refactor-end_io-functions-for-sync.patch.
- Refresh
  patches.drivers/0015-lightnvm-move-rq-error-to-nvm_rq-error.patch.
- Refresh
  patches.drivers/0018-lib-string-introduce-match_string-helper.patch.
- Refresh
  patches.drivers/0022-lightnvm-core-on-disk-initialization.patch.
- Refresh
  patches.drivers/0037-libnvdimm-nfit-centralize-command-status-translation.patch.
- Refresh
  patches.drivers/0042-nfit-scrub-and-register-regions-in-a-workqueue.patch.
- Refresh
  patches.drivers/target-compare-and-write-backend-driver-sense-handli.patch.
- Refresh
  patches.fixes/0005-locking-barriers-Introduce-smp_acquire__after_ctrl_d.patch.
- Refresh
  patches.fixes/mei-me-disable-driver-on-SPT-SPS-firmware.patch.
- Refresh patches.suse/dm-mpath-accept-failed-paths.
- Refresh
  patches.suse/kgr-0008-mark-task_safe-in-some-kthreads.patch.
- Refresh
  patches.suse/overlayfs-add-compatibility-mode-for-historical-format.
- Delete patches.arch/390-mm-fix-gmap-tlb-flush-issues.patch.
- Delete
  patches.arch/s390-sles12sp1-03-02-zfcp-fix-fc_host-port_type-with-NPIV.patch.
- Delete
  patches.drivers/0001-PKCS-7-Don-t-require-SpcSpOpusInfo-in-Authenticode-p.patch.
- Delete
  patches.drivers/0019-hpsa-correct-skipping-masked-peripherals.patch.
- Delete
  patches.drivers/0026-lightnvm-ensure-that-nvm_dev_ops-can-be-used-without.patch.
- Delete
  patches.drivers/bnx2x-0031-bnx2x-Prevent-false-warning-for-lack-of-FC-NPIV.patch.
- Delete
  patches.drivers/efifb-Fix-16-color-palette-entry-calculation.patch.
- Delete
  patches.drivers/mlx4-0067-net-mlx4_core-Allow-resetting-VF-admin-mac-to-zero.patch.
- Delete
  patches.fixes/0001-mm-workingset-fix-crash-in-shadow-node-shrinker-caus.patch.
- Delete
  patches.fixes/0002-mm-filemap-don-t-plant-shadow-entries-without-radix-.patch.
- Delete
  patches.fixes/0003-mm-filemap-fix-mapping-nrpages-double-accounting-in-.patch.
- Delete
  patches.fixes/0004-Using-BUG_ON-as-an-assert-is-_never_-acceptable.patch.
- Delete
  patches.fixes/sd-Fix-rw_max-for-devices-that-report-an-optimal-xfe.patch.
- commit fd81032
* Mon Oct 31 2016 mstaudt@suse.de
- drm/radeon: Switch to drm_vblank_on/off (bsc#998054).
- commit 3c8a865
* Sat Oct 29 2016 jeffm@suse.com
- btrfs: fix races on root_log_ctx lists (bsc#1007653).
- Btrfs: remove root_log_ctx from ctx list before btrfs_sync_log
  returns (bsc#1007653).
- commit fc41bf9
* Fri Oct 28 2016 mbrugger@suse.com
- Refresh
  patches.arch/arm64-0001-drivers-net-xgene-Fix-compiler-warnings.patch.
- Refresh
  patches.arch/arm64-0002-drivers-net-xgene-fix-Add-dma_unmap_single.patch.
- Refresh
  patches.arch/arm64-0003-drivers-net-xgene-fix-Delete-descriptor-rings-and-bu.patch.
- Refresh
  patches.arch/arm64-0004-drivers-net-xgene-Fix-error-deconstruction-path.patch.
- Refresh
  patches.arch/arm64-0005-drivers-net-xgene-Fix-RSS-indirection-table-fields.patch.
- Refresh
  patches.arch/arm64-0006-drivers-net-xgene-Change-port-init-sequence.patch.
- Refresh
  patches.arch/arm64-0007-drivers-net-xgene-XFI-PCS-reset-when-link-is-down.patch.
- Refresh
  patches.arch/arm64-0008-drivers-net-xgene-Poll-link-status-via-GPIO.patch.
- Refresh
  patches.arch/arm64-0009-dtb-xgene-Add-rxlos-gpios-property.patch.
- Refresh
  patches.arch/arm64-0010-Documentation-dtb-xgene-Add-rxlos-GPIO-mapping.patch.
- Refresh
  patches.arch/arm64-0011-drivers-net-xgene-Fix-backward-compatibility.patch.
- Refresh
  patches.arch/arm64-0012-dtb-xgene-Fix-backward-compatibility.patch.
- Delete
  patches.arch/arm64-1-4-MAINTAINERS-Add-entry-for-APM-X-Gene-SoC-PMU-driver.patch.
- Delete
  patches.arch/arm64-2-4-Documentation-Add-documentation-for-APM-X-Gene-SoC-PMU-DTS-binding.patch.
- Delete
  patches.arch/arm64-4-4-arm64-dts-apm-Add-APM-X-Gene-SoC-PMU-DTS-entries.patch.
- commit 81bde6c
* Fri Oct 28 2016 mbrugger@suse.com
- arm64: Update config files.
  Disable CONFIG_IPMI_SI_PROBE_DEFAULTS (bsc#1006576)
- commit 4a03892
* Fri Oct 28 2016 dchang@suse.com
- net/mlx5: Add ConnectX-5 PCIe 4.0 to list of supported devices
  (bsc#1006809).
- commit cf673c2
* Thu Oct 27 2016 jack@suse.cz
- Fixup buggy conflict resolution in
  patches.fixes/fuse-Propagate-dentry-down-to-inode_change_ok.patch.
- commit f7d61aa
* Thu Oct 27 2016 msuchanek@suse.de
- Refresh commit id patches.arch/KVM-PPC-Book3S-Treat-VTB-as-a-per-subcore-register-not-per-thread.
- commit 0db0bd0
* Thu Oct 27 2016 tiwai@suse.de
- drm/radeon: Hide the HW cursor while it's out of bounds
  (bsc#1000433).
- drm/radeon: Also call cursor_move_locked when the cursor size
  changes (bsc#1000433).
- drm/radeon: Always store CRTC relative radeon_crtc->cursor_x/y
  values (bsc#1000433).
- commit b12534b
* Thu Oct 27 2016 neilb@suse.com
- NFS: nfs4_fl_prepare_ds must be careful about reporting success
  (bsc#1000776).
- commit e124890
* Thu Oct 27 2016 bpoirier@suse.com
- vmxnet3: Wake queue from reset work (bsc#999907).
- commit facdbd9
* Wed Oct 26 2016 jroedel@suse.de
- x86/PCI: VMD: Request userspace control of PCIe hotplug
  indicators (bsc#1006827).
- PCI: pciehp: Allow exclusive userspace control of indicators
  (bsc#1006827).
- x86/PCI: VMD: Fix infinite loop executing irq's (bsc#1006827).
- PCI: Allow additional bus numbers for hotplug bridges
  (bsc#1006827).
- x86/PCI: VMD: Separate MSI and MSI-X vector sharing
  (bsc#1006827).
- x86/PCI: VMD: Use x86_vector_domain as parent domain
  (bsc#1006827).
- x86/PCI: VMD: Use lock save/restore in interrupt enable path
  (bsc#1006827).
- x86/PCI/VMD: Use untracked irq handler (bsc#1006827).
- genirq: Add untracked irq handler (bsc#1006827).
- x86/PCI: VMD: Initialize list item in IRQ disable (bsc#1006827).
- x86/PCI: VMD: Select device dma ops to override (bsc#1006827).
- PCI: Remove return values from pcie_port_platform_notify()
  and relatives (bsc#1006827).
- PCI/ACPI: Allow all PCIe services on non-ACPI host bridges
  (bsc#1006827).
- x86/PCI: VMD: Attach VMD resources to parent domain's resource
  tree (bsc#1006827).
- x86/PCI: VMD: Set bus resource start to 0 (bsc#1006827).
- x86/PCI: VMD: Document code for maintainability (bsc#1006827).
- genirq: Use a common macro to go through the actions list
  (bsc#1006827).
- commit 6c42ad4
* Wed Oct 26 2016 jthumshirn@suse.de
- pci: Don't set RCB bit in LNKCTL if the upstream bridge hasn't
  (bsc#1001888).
- commit ba714bf
* Wed Oct 26 2016 jack@suse.cz
- fs: Avoid premature clearing of capabilities (bsc#914939
  CVE-2015-1350).
- fs: Give dentry to inode_change_ok() instead of inode
  (bsc#914939 CVE-2015-1350).
- fuse: Propagate dentry down to inode_change_ok() (bsc#914939
  CVE-2015-1350).
- xfs: Propagate dentry down to inode_change_ok() (bsc#914939
  CVE-2015-1350).
- commit 0d339a9
* Wed Oct 26 2016 hare@suse.de
- Fixup UNMAP calculation (bsc#1005327)
  Refresh patches.suse/sd-configure-ZBC-devices.patch.
- commit 65f42e7
* Tue Oct 25 2016 hare@suse.de
- pci: correctly cast mem_base in pci_read_bridge_mmio_pref()
  (bsc#1001888).
- commit b8259dd
* Tue Oct 25 2016 mhocko@suse.cz
- mm: workingset: fix crash in shadow node shrinker caused by
  replace_page_cache_page() (bnc#1005929).
- mm: filemap: don't plant shadow entries without radix tree node
  (bnc#1005929).
- mm: filemap: fix mapping->nrpages double accounting in fuse
  (bnc#1005929).
- Using BUG_ON() as an assert() is _never_ acceptable
  (bnc#1005929).
- Refresh patches.drivers/dax-New-fault-locking.patch.
- Refresh
  patches.drivers/dax-support-dirty-dax-entries-in-radix-tree.patch.
- commit 28693dc
* Tue Oct 25 2016 mhocko@suse.cz
- s390/mm: fix gmap tlb flush issues (bnc#1005925).
- commit 146f921
* Tue Oct 25 2016 hare@suse.de
- mlx4: Do not BUG_ON() if device reset failed (bsc#1001888).
- commit 9464f67
* Mon Oct 24 2016 mgorman@suse.com
- mm/mprotect.c: don't touch single threaded PTEs which are on
  the right node (bnc#971975 VM performance -- numa balancing).
- commit 4f0ec9c
* Mon Oct 24 2016 mgorman@suse.com
- proc: much faster /proc/vmstat (bnc#971975 VM performance -- vmstat).
- commit 3b48690
* Mon Oct 24 2016 mgorman@suse.com
- mm: don't use radix tree writeback tags for pages in swap cache
  (bnc#971975 VM performance -- swap).
- commit a908693
* Mon Oct 24 2016 mgorman@suse.com
- sched/core: Optimize __schedule() (bnc#978907 Scheduler performance -- context switch).
- Refresh
  patches.arch/01-panic-x86-allow-cpus-to-save-registers-even-if-looping-in-nmi-context.patch.
- Refresh
  patches.suse/0001-rcu-Stop-disabling-interrupts-in-scheduler-fastpaths.patch.
- commit abce7e6
* Mon Oct 24 2016 mgorman@suse.com
- sched/fair: Optimize find_idlest_cpu() when there is no choice
  (bnc#978907 Scheduler performance -- idle search).
- commit f99e48b
* Mon Oct 24 2016 hare@suse.de
- qla2xxx: setup data needed in ISR before setting up the ISR
  (bsc#1006528).
- commit f649d06
* Mon Oct 24 2016 mgorman@suse.com
- Refresh
  patches.suse/sched-numa-mm-revert-to-checking-pmd-pte_write-instead-of-VMA-flags.patch.
- commit 88ca603
* Mon Oct 24 2016 jbeulich@suse.com
- supported.conf: xen-netfront should be in base packages, just
    like its non-pvops predecessor. (bsc#1002770)
- commit f9abecc
* Mon Oct 24 2016 vbabka@suse.cz
- mm/zswap: use workqueue to destroy pool (VM Functionality,
  bsc#1005923).
- commit 73c3fc6
* Mon Oct 24 2016 tiwai@suse.de
- drm/i915: Only call commit_planes when there are things to
  commit (bsc#1004048).
- drm/i915: Only run commit when crtc is active, v2 (bsc#1004048).
- drm/i915: Only commit active planes when updating planes during
  reset (bsc#1004048).
- drm/i915: Update legacy primary state outside the commit hook,
  v2 (bsc#1004048).
- drm/i915: Make prepare_plane_fb fully interruptible
  (bsc#1004048).
- drm/i915: Make plane fb tracking work correctly, v2
  (bsc#1004048).
- commit 6178b2d
* Mon Oct 24 2016 jslaby@suse.cz
- Linux 4.4.27 (CVE-2016-7425 bnc#971989 bsc#1002438 bsc#999932
  bnc#772786).
- Refresh
  patches.fixes/cfq-iosched-Allow-parent-cgroup-to-preempt-its-child.patch.
- Refresh
  patches.fixes/cfq-iosched-Convert-from-jiffies-to-nanoseconds.patch.
- Refresh patches.suse/dmapi-Make-NFSD-DMAPI-aware.patch.
- Delete patches.drivers/0011-ibmvfc-fix-unmap-hang.patch.
- Delete
  patches.fixes/reiserfs-unlock-superblock-before-calling-reiserfs_quota_on_mount.patch.
- Delete
  patches.fixes/scsi-arcmsr-buffer-overflow-in-arcmsr_iop_message_xfer.patch.
- Delete
  patches.suse/reiserfs-switch-to-generic_-get-set-remove-xattr.patch.
- commit a8e1197
* Fri Oct 21 2016 tiwai@suse.de
- drm/i915: suppress spurious !wm_changed warning (bsc#1006267).
- commit dbb3d0b
* Fri Oct 21 2016 jslaby@suse.cz
- time: Avoid undefined behaviour in ktime_add_safe()
  (bnc#1006103).
- commit 898b0ac
* Thu Oct 20 2016 tiwai@suse.de
- blacklist.conf: add inapplicable / duped commits (bsc#1005917)
- commit 0f0c02b
* Thu Oct 20 2016 tiwai@suse.de
- ASoC: wm8960: Fix WM8960_SYSCLK_PLL mode (bsc#1005917).
- ASoC: tegra_alc5632: check return value (bsc#1005917).
- ASoC: simple-card: don't fail if sysclk setting is not supported
  (bsc#1005917).
- ASoC: imx-spdif: Fix crash on suspend (bsc#1005917).
- ASoC: fsl_ssi: mark SACNT register volatile (bsc#1005917).
- ASoC: Intel: pass correct parameter in sst_alloc_stream_mrfld()
  (bsc#1005917).
- ALSA: fm801: detect FM-only card earlier (bsc#1005917).
- ALSA: fm801: propagate TUNER_ONLY bit when autodetected
  (bsc#1005917).
- ALSA: fm801: explicitly free IRQ line (bsc#1005917).
- commit 73b7927
* Thu Oct 20 2016 jslaby@suse.cz
- PM / sleep: declare __tracedata symbols as char rather than char
  (bnc#1005895).
- commit 41708bd
* Thu Oct 20 2016 jslaby@suse.cz
- Linux 4.4.26 (bnc#1004418 CVE-2016-5195).
- commit 20a6466
* Thu Oct 20 2016 dchang@suse.com
- i40iw: Receive notification events correctly (bsc#974842
  FATE#319831 bsc#974843 FATE#319832).
- i40iw: Update hw_iwarp_state (bsc#974842 FATE#319831 bsc#974843
  FATE#319832).
- i40iw: Send last streaming mode message for loopback connections
  (bsc#974842 FATE#319831 bsc#974843 FATE#319832).
- i40iw: Avoid writing to freed memory (bsc#974842 FATE#319831
  bsc#974843 FATE#319832).
- i40iw: Fix double free of allocated_buffer (bsc#974842
  FATE#319831 bsc#974843 FATE#319832).
- i40iw: Do not set self-referencing pointer to NULL after kfree
  (bsc#974842 FATE#319831 bsc#974843 FATE#319832).
- i40iw: Add missing NULL check for MPA private data (bsc#974842
  FATE#319831 bsc#974843 FATE#319832).
- i40iw: Add missing check for interface already open (bsc#974842
  FATE#319831 bsc#974843 FATE#319832).
- i40iw: Protect req_resource_num update (bsc#974842 FATE#319831
  bsc#974843 FATE#319832).
- i40iw: Change mem_resources pointer to a u8 (bsc#974842
  FATE#319831 bsc#974843 FATE#319832).
- commit ee7d1e0
* Thu Oct 20 2016 dchang@suse.com
- net/mlx5: Add error prints when validate ETS failed (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Avoid setting unused var when modifying vport node
  GUID (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- commit 563b11a
* Thu Oct 20 2016 neilb@suse.com
- NFSv4: enhance nfs4_copy_lock_stateid to use a flock stateid
  if there is one (bnc#998689).
- NFSv4: change nfs4_select_rw_stateid to take a lock_context
  inplace of lock_owner (bnc#998689).
- NFSv4: change nfs4_do_setattr to take an open_context instead
  of a nfs4_state (bnc#998689).
- commit b2868df
* Thu Oct 20 2016 neilb@suse.com
- Fix kabi change cause by adding flock_owner to open_context
  (bsc#998689).
- NFSv4: add flock_owner to open context (bnc#998689).
- commit 289abf8
* Wed Oct 19 2016 tiwai@suse.de
- blacklist.conf: Add dup / unapplicable commits (bsc#1005545).
- commit f57f491
* Wed Oct 19 2016 tiwai@suse.de
- drm/tegra: checking for IS_ERR() instead of NULL (bsc#1005545).
- drm/rockchip: fix a couple off by one bugs (bsc#1005545).
- drm/layerscape: reduce excessive stack usage (bsc#1005545).
- drm/nouveau: Don't leak runtime pm ref on driver unload
  (bsc#1005545).
- drm/amdgpu: Don't leak runtime pm ref on driver load
  (bsc#1005545).
- drm/amdgpu: Don't leak runtime pm ref on driver unload
  (bsc#1005545).
- drm/radeon: Don't leak runtime pm ref on driver load
  (bsc#1005545).
- drm/radeon: Don't leak runtime pm ref on driver unload
  (bsc#1005545).
- drm/radeon/ci add comment to document intentionally unreachable
  code (bsc#1005545).
- drm/i915: Unconditionally flush any chipset buffers before
  execbuf (bsc#1005545).
- drm/i915: Acquire audio powerwell for HD-Audio registers
  (bsc#1005545).
- drm/i915: Wait up to 3ms for the pcu to ack the cdclk change
  request on SKL (bsc#1005545).
- drm/i915: Set crtc_state->lane_count for HDMI (bsc#1005545).
- drm/i915: call kunmap_px on pt_vaddr (bsc#1005545).
- drm/i915: Wait for power cycle delay after turning off DSI
  panel power (bsc#1005545).
- drm/i915: Fix vbt PWM max setup for CTG (bsc#1005545).
- drm/i915: Fix VBT backlight Hz to PWM conversion for PNV
  (bsc#1005545).
- drm/i915: fix the SDE irq dmesg warnings properly (bsc#1005545).
- drm/i915: Kill intel_runtime_pm_disable() (bsc#1005545).
- drm/i915: On fb alloc failure, unref gem object where it gets
  refed (bsc#1005545).
- commit 6937092
* Tue Oct 18 2016 neilb@suse.com
- Delete
  patches.fixes/0001-fs-dcache.c-avoid-soft-lockup-in-dput.revert.
  4.4.23 now has a proper fix, so this revert isn't needed.
- commit 064ec80
* Tue Oct 18 2016 tiwai@suse.de
- powercap / RAPL: add support for Denverton (bsc#1003566).
- x86, powercap, rapl: Add Skylake Server model number
  (bsc#1003566).
- powercap / RAPL: Add support for Ivy Bridge server
  (bsc#1003566).
- x86, powercap, rapl: Reorder CPU detection table (bsc#1003566).
- x86, powercap, rapl: Use Intel model macros intead of
  open-coding (bsc#1003566).
- powercap/intel_rapl: Add support for Kabylake (bsc#1003566).
- commit 3fbc441
* Tue Oct 18 2016 fdmanana@suse.com
- Btrfs: fix extent tree corruption due to relocation
  (bsc#990384).
- commit 244c3ac
* Tue Oct 18 2016 mhocko@suse.cz
- patches.fixes/mm-remove-gup_flags-FOLL_WRITE-games-from-__get_user_pages.patch:
  (bnc1004418, CVE-2016-5195).
- commit 218e153
* Mon Oct 17 2016 rgoldwyn@suse.com
- apparmor: fix change_hat not finding hat after policy
  replacement (bsc#1000287).
- commit 5bdbfde
* Mon Oct 17 2016 tiwai@suse.de
- serial: 8250_port: fix runtime PM use in __do_stop_tx_rs485()
  (bsc#983152).
- commit 6c61ff2
* Mon Oct 17 2016 mhocko@suse.cz
- oom: print nodemask in the oom report (bnc#1003866).
- commit 8781b2f
* Mon Oct 17 2016 jgross@suse.com
- ACPI / PAD: don't register acpi_pad driver if running as Xen
  dom0 (bnc#995278).
- commit fa4523b
* Mon Oct 17 2016 jslaby@suse.cz
- Linux 4.4.25 (FATE#319819 bsc#969470).
- Delete
  patches.drivers/e1000e-0011-time-Add-cycles-to-nanoseconds-translation.patch.
- commit ad065bc
* Mon Oct 17 2016 bpoirier@suse.com
- brcmfmac: avoid potential stack overflow in
  brcmf_cfg80211_start_ap() (bsc#1004462 CVE-2016-8658).
- commit 5664b8b
* Thu Oct 13 2016 jlee@suse.com
- PM / hibernate: Fix 2G size issue of snapshot image verification
  (bsc#1004252).
- commit 6eb418d
* Thu Oct 13 2016 oneukum@suse.com
- PCI: Fix BUG on device attach failure (bnc#987641).
- commit 1d26fcd
* Thu Oct 13 2016 vbabka@suse.cz
- fs/select: add vmalloc fallback for select(2) (bsc#1000189).
- commit cd959c6
* Tue Oct 11 2016 mwilck@suse.de
- Input: ALPS - set DualPoint flag for 74 03 28 devices
  (bsc#987703).
- Input: ALPS - allow touchsticks to report pressure (bsc#987703).
- Input: ALPS - handle 0-pressure 1F events (bsc#987703).
- Input: ALPS - add touchstick support for SS5 hardware
  (bsc#987703).
- commit aebc052
* Tue Oct 11 2016 jroedel@suse.de
- kvm: x86: correctly reset dest_map->vector when restoring
  LAPIC state (bsc#966471).
- commit be09c60
* Tue Oct 11 2016 mbrugger@suse.com
- Refresh
  patches.arch/arm64-0005-arm64-acpi-numa-copy-acpi_numa_slit_init.patch.
- Refresh
  patches.arch/arm64-0006-arm64-acpi-numa-Add-bad_srat-and-srat_disabled-stub.patch.
- Refresh
  patches.arch/arm64-0007-arm64-acpi-numa-Copy-acpi_numa_memory_affinity_init.patch.
- Refresh
  patches.arch/arm64-0008-arm64-acpi-numa-Improve-SRAT-error-detection-and-add.patch.
- Refresh
  patches.arch/arm64-0009-arm64-acpi-numa-cleanup-acpi_numa_processor_affinity.patch.
- commit 72908f5
* Tue Oct 11 2016 rgoldwyn@suse.com
- qgroup: Prevent qgroup->reserved from going subzero
  (bsc#993841).
- commit f4a200d
* Tue Oct 11 2016 oneukum@suse.com
- usb: gadget: composite: Clear reserved fields of SSP Dev Cap
  (FATE#319959).
- commit 9c20306
* Tue Oct 11 2016 oneukum@suse.com
- Refresh
  patches.drivers/0005-usb-host-xhci-plat-add-struct-xhci_plat_priv.patch.
- commit 6f45015
* Tue Oct 11 2016 aaptel@suse.com
- fs/cifs: cifs_get_root shouldn't use path with tree name (bsc#963655,
  bsc#979681).
- commit dbef249
* Mon Oct 10 2016 aaptel@suse.com
- REVERT fs/cifs: fix wrongly prefixed path to root (bsc#963655, bsc#979681)
- commit 1325091
* Mon Oct 10 2016 mbrugger@suse.com
- blacklist.conf: ignore commit bfe6c8a89e03 ("arm64: Fix NUMA build error when
  !CONFIG_ACPI")
- commit 933942c
* Mon Oct 10 2016 mbrugger@suse.com
- arm64: Call numa_store_cpu_info() earlier.
- gpio: Restore indentation of parent device setup.
- gpio: generic: make bgpio_pdata always visible.
- mailbox/xgene-slimpro: Checking for IS_ERR instead of NULL.
- efi: ARM: avoid warning about phys_addr_t cast.
- commit 53a7983
* Mon Oct 10 2016 oneukum@suse.com
- usb: hub: Fix auto-remount of safely removed or ejected USB-3
  devices (bsc#922634).
- commit 027d201
* Mon Oct 10 2016 jslaby@suse.cz
- Linux 4.4.24 (FATE#319483 bnc#941420).
- Revert "can: dev: fix deadlock reported after bus-off".
- Delete
  patches.arch/arm64-clk-xgene-Add-missing-parenthesis-when-clearing-divi.patch.
- Delete
  patches.fixes/0001-kernel-fork-fix-CLONE_CHILD_CLEARTID-regression-in-n.patch.
- commit 44f734a
* Mon Oct 10 2016 mkubecek@suse.cz
- kabi: hide new member recursion_counter in struct sk_buff
  (CVE-2016-7039 bsc#1001486).
- net: add recursion limit to GRO (CVE-2016-7039 bsc#1001486).
- gro: Defer clearing of flush bit in tunnel paths (CVE-2016-7039
  bsc#1001486).
- commit cc20de2
* Mon Oct 10 2016 mkubecek@suse.cz
- kabi: hide name change of napi_gro_cb::udp_mark (bsc#1001486).
- tunnels: Don't apply GRO to multiple layers of encapsulation
  (bsc#1001486).
- ipip: Properly mark ipip GRO packets as encapsulated
  (bsc#1001486).
- commit 7670ba2
* Fri Oct  7 2016 jroedel@suse.de
- blacklist.conf: Blacklist unsupported architectures
- commit 3e409e3
* Fri Oct  7 2016 jroedel@suse.de
- Update blacklisting documentation to contain path-blacklisting
- README.blacklist:
- blacklist.conf:
- commit c177002
* Fri Oct  7 2016 mmarek@suse.com
- lib/mpi: mpi_read_buffer(): fix buffer overflow (bsc#1003581).
- lib/mpi: mpi_read_buffer(): replace open coded endian conversion
  (bsc#1003581).
- lib/mpi: mpi_read_buffer(): optimize skipping of leading zero
  limbs (bsc#1003581).
- lib/mpi: mpi_write_sgl(): replace open coded endian conversion
  (bsc#1003581).
- lib/mpi: mpi_write_sgl(): fix out-of-bounds stack access
  (bsc#1003581).
- lib/mpi: mpi_write_sgl(): purge redundant pointer arithmetic
  (bsc#1003581).
- lib/mpi: mpi_write_sgl(): fix style issue with lzero decrement
  (bsc#1003581).
- lib/mpi: use "static inline" instead of "extern inline"
  (bsc#1003581).
- lib/mpi: avoid assembler warning (bsc#1003581).
- commit 4928611
* Fri Oct  7 2016 neilb@suse.com
- REVERT fs/dcache.c: avoid soft-lockup in dput() (bsc#997639).
- commit 4a1c0fe
* Thu Oct  6 2016 jjolly@suse.de
- IB/iser: Fix max_sectors calculation (bsc#998863).
- commit b0f49c4
* Thu Oct  6 2016 ddiss@suse.de
- kabi/severities: Whitelist libceph and rbd (bsc#988715).
  Like SLE12-SP1.
- commit 8d321fd
* Thu Oct  6 2016 jeffm@suse.com
- Update patch headers for btrfs patches.
- commit efc5d19
* Thu Oct  6 2016 hare@suse.de
- watchdog: hpwdt: add support for iLO5 (bsc#1003269).
- commit cbde911
* Wed Oct  5 2016 aaptel@suse.com
- fs/cifs: Move check for prefix path to within cifs_get_root()
  (bsc#799133).
- commit fa9b747
* Wed Oct  5 2016 aaptel@suse.com
- fs/cifs: Compare prepaths when comparing superblocks (bsc#799133).
- commit 57f04eb
* Wed Oct  5 2016 aaptel@suse.com
- fs/cifs: Fix memory leaks in cifs_do_mount() (bsc#799133).
- commit f62506c
* Wed Oct  5 2016 rgoldwyn@suse.com
- Refresh patches.suse/btrfs-relocation-Fix-leaking-qgroups-numbers-on-data-extents.patch
  Disable qgroup_fix_relocated_data_extents() in btrfs_recover_relocation(). (bsc#983087)
- commit b4a4f89
* Wed Oct  5 2016 jthumshirn@suse.de
- qla2xxx: Fix NULL pointer deref in QLA interrupt (bsc#1003068).
- commit c540a08
* Wed Oct  5 2016 mbrugger@suse.com
- supported.conf: add hid-logitech-hidpp (bsc#1002322 bsc#1002786)
- commit c332a5b
* Wed Oct  5 2016 mfleming@suse.de
- efi/arm64: Don't apply MEMBLOCK_NOMAP to UEFI memory map mapping
  (bsc#986987).
- commit e8618ae
* Wed Oct  5 2016 mgorman@suse.com
- Refresh
  patches.suse/sched-debug-Fix-deadlock-when-enabling-sched-events.patch.
- Refresh
  patches.suse/sched-debug-fix-proc-sched_debug-regression.patch.
- Refresh
  patches.suse/sched-debug-fix-schedstats-enable-cmdline-option.patch.
- commit 3749e51
* Tue Oct  4 2016 jroedel@suse.de
- Document the process to blacklist upstream commit-ids
- README.blacklist:
- blacklist.conf:
- commit b9c3edd
* Mon Oct  3 2016 jeffm@suse.com
- reiserfs: switch to generic_{get,set,remove}xattr()
  (bsc#1002438).
- commit b753d07
* Mon Oct  3 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Simplify debug info switch
  Any CONFIG_DEBUG_INFO sub-options are answered in the configs nowadays.
- commit d404ac5
* Sat Oct  1 2016 jlee@suse.com
- Refresh
  patches.suse/0007-acpi-Ignore-acpi_rsdp-kernel-parameter-when-securele.patch. (bsc#990676)
  Fix the bsc#990676 that it found by Russ Anderson. The code for getting
  ACPI RSDP should calls get_securelevel() function but not compare function
  point.
- commit 62cccf8
* Fri Sep 30 2016 jslaby@suse.cz
- Linux 4.4.23 (CVE-2016-6828 FATE#320135 bsc#966272 bsc#994296
  bsc#997639 bsc#999600).
- Refresh patches.suse/mm-uninline-add-to-page-cache.patch.
- Delete
  patches.drivers/megaraid-fix-null-pointer-check-in-megasas_detach_on.patch.
- Delete
  patches.fixes/tcp-fix-use-after-free-in-tcp_xmit_retransmit_queue.patch.
- Delete patches.suse/autofs-races.patch.
- Delete
  patches.suse/autofs-use-dentry-flags-to-block-walks-during-expire.patch.
- Delete
  patches.suse/btrfs-ensure-that-file-descriptor-used-with-subvol-i.patch.
- commit ab5c257
* Fri Sep 30 2016 jgross@suse.com
- xen: pciback: support driver_override (bsc#995451)
- commit 8855be3
* Fri Sep 30 2016 mbrugger@suse.com
- KVM: arm/arm64: Fix occasional warning from the timer work
  function (bsc#988524).
- commit c6e1253
* Fri Sep 30 2016 jslaby@suse.cz
- rpm/package-descriptions: the flavor is 64kb, not 64k
- commit 2e05d02
* Fri Sep 30 2016 jthumshirn@suse.de
- scsi: smartpqi: raid bypass lba calculation fix (bsc#1001740
  bsc#974105).
- scsi: smartpqi: bump driver version (bsc#1001740 bsc#974105).
- scsi: smartpqi: update Kconfig (bsc#1001740 bsc#974105).
- scsi: smartpqi: remove timeout for cache flush operations
  (bsc#1001740 bsc#974105).
- scsi: smartpqi: scsi queuecommand cleanup (bsc#1001740
  bsc#974105).
- scsi: smartpqi: minor tweaks to update time support (bsc#1001740
  bsc#974105).
- scsi: smartpqi: minor function reformating (bsc#1001740
  bsc#974105).
- scsi: smartpqi: correct event acknowledgment timeout issue
  (bsc#1001740 bsc#974105).
- scsi: smartpqi: correct controller offline issue (bsc#1001740
  bsc#974105).
- scsi: smartpqi: add kdump support (bsc#1001740 bsc#974105).
- scsi: smartpqi: enhance reset logic (bsc#1001740 bsc#974105).
- scsi: smartpqi: enhance drive offline informational message
  (bsc#1001740 bsc#974105).
- scsi: smartpqi: simplify spanning (bsc#1001740 bsc#974105).
- scsi: smartpqi: change tmf macro names (bsc#1001740 bsc#974105).
- scsi: smartpqi: change aio sg processing (bsc#1001740
  bsc#974105).
- commit 0ea29ff
* Thu Sep 29 2016 tiwai@suse.de
- Correct the reference in
  patches.fixes/0003-md-lockless-I-O-submission-for-RAID1.patch
  (bsc#982783,bsc#998106).
- commit cb53dc7
* Thu Sep 29 2016 colyli@suse.de
- md: lockless I/O submission for RAID1 (bsc#982783,bsc#982783).
- commit f74d718
* Thu Sep 29 2016 ddiss@suse.de
- rbd: truncate objects on cmpext short reads (bsc#988715).
- libceph: enable large, variable-sized OSD requests (bsc#988715).
- libceph: osdc->req_mempool should be backed by a slab pool
  (bsc#988715).
- libceph: make r_request msg_size calculation clearer
  (bsc#988715).
- libceph: move r_reply_op_{len,result} into struct
  ceph_osd_req_op (bsc#988715).
- libceph: rename ceph_osd_req_op::payload_len to indata_len
  (bsc#988715).
- commit 2bea226
* Thu Sep 29 2016 dchang@suse.com
- net/mlx5: Fix teardown errors that happen in pci error handler
  (bsc#1001169).
- commit 86a43e1
* Thu Sep 29 2016 bpoirier@suse.com
- Refresh
  patches.arch/arm64-gpio-change-member-.dev-to-.parent.patch.
- commit 4050e5c
* Wed Sep 28 2016 hare@suse.de
- scsi: Do not use synchronous ALUA submission for NetApp arrays
  (bsc#1001688).
- commit bdf9e8a
* Wed Sep 28 2016 hare@suse.de
- fcoe_ctlr: fix potential deadlock when re-adding ports
  (bsc#962846).
- libfc: Fixup 'Fixup disc_mutex handling' (bsc#962846).
- libfc: fixup locking of ptp_setup() (bsc#962846).
- commit 1f56f77
* Tue Sep 27 2016 tiwai@suse.de
- Update patch-mainline and git-commit tags for uicv patches
- commit 285415d
* Tue Sep 27 2016 tiwai@suse.de
- Correct patch descriptions in two uicv patches
  The descriptions were swapped for inbound and outbound patches:
  patches.arch/s390-sles12sp2-04-02-01-af_iucv-use-paged_skbs-for-big-outbound-messages.diff
  patches.arch/s390-sles12sp2-04-02-03-af_iucv-use-paged-skbs-for-big-inbound-messages.diff
- commit ebf2cce
* Tue Sep 27 2016 tiwai@suse.de
- Update patch-mainline and git-commit tags
  These patches have been merged to upstream now:
  patches.apparmor/apparmor-allow-sys_cap_resource-to-be-sufficient-to-prlimit-another-task
  patches.arch/0002-efi-make-install_configuration_table-boot-service-us.patch
  patches.arch/0003-efi-libstub-move-Graphics-Output-Protocol-handling-t.patch
  patches.arch/0004-efi-x86-libstub-move-to-generic-GOP-code.patch
  patches.arch/0005-efi-x86-efifb-move-DMI-based-quirks-handling-out-of-.patch
  patches.arch/0006-efi-efifb-use-builtin_platform_driver-and-drop-unuse.patch
  patches.arch/0007-efi-arm-libstub-wire-up-GOP-handling-into-the-ARM-UE.patch
  patches.arch/0008-efi-arm-efifb-expose-efifb-platform-device-if-GOP-is.patch
  patches.fixes/scsi-hosts-update-to-use-ida_simple-for-host_no-management
  patches.fixes/ses-use-scsi_is_sas_rphy-instead-of-is_sas_attached.patch
- commit 3ebb8a7
* Tue Sep 27 2016 tiwai@suse.de
- Delete dead patches
  Both patches were upstreamed and kept in our tarball without applied:
  patches.suse/btrfs-0364-allow-mounting-btrfs-subvolumes-with-different.patch
  patches.suse/btrfs-0365-fix-use-after-free-in-mount_subvol.patch
- commit 4a93a96
* Tue Sep 27 2016 tiwai@suse.de
- Correct bogus patch-mainline tags in some patches
  Just correct to the right kernel version numbers from the git commit
- commit b73ac3a
* Tue Sep 27 2016 tiwai@suse.de
- ALSA: hda - Turn off loopback mixing as default (bsc#1001462).
- commit fece3a6
* Tue Sep 27 2016 tiwai@suse.de
- apparmor: do not expose kernel stack (bsc#1000304).
- apparmor: fix module parameters can be changed after policy
  is locked (bsc#1000304).
- apparmor: fix oops in profile_unpack() when policy_db is not
  present (bsc#1000304).
- apparmor: don't check for vmalloc_addr if kvzalloc() failed
  (bsc#1000304).
- apparmor: add missing id bounds check on dfa verification
  (bsc#1000304).
- apparmor: use list_next_entry instead of list_entry_next
  (bsc#1000304).
- apparmor: fix refcount race when finding a child profile
  (bsc#1000304).
- apparmor: check that xindex is in trans_table bounds
  (bsc#1000304).
- apparmor: ensure the target profile name is always audited
  (bsc#1000304).
- apparmor: fix audit full profile hname on successful load
  (bsc#1000304).
- apparmor: fix log failures for all profiles in a set
  (bsc#1000304).
- apparmor: fix put() parent ref after updating the active ref
  (bsc#1000304).
- apparmor: internal paths should be treated as disconnected
  (bsc#1000304).
- apparmor: fix disconnected bind mnts reconnection (bsc#1000304).
- apparmor: fix update the mtime of the profile file on
  replacement (bsc#1000304).
- apparmor: exec should not be returning ENOENT when it denies
  (bsc#1000304).
- apparmor: fix uninitialized lsm_audit member (bsc#1000304).
- apparmor: fix replacement bug that adds new child to old parent
  (bsc#1000304).
- apparmor: fix refcount bug in profile replacement (bsc#1000304).
- commit d445b54
* Tue Sep 27 2016 tiwai@suse.de
- Delete patches.fixes/apparmor-initialize-common_audit_data.patch
  (bsc#1000304)
  It'll be fixed in the upcoming apparmor fix series from upstream.
- commit 0555e04
* Mon Sep 26 2016 oneukum@suse.com
- cdc-acm: added sanity checking for probe() (bsc#993891).
- commit c63a245
* Mon Sep 26 2016 jslaby@suse.cz
- kABI: protect struct dw_mci.
- commit fdb5358
* Mon Sep 26 2016 tiwai@suse.de
- Update kabi files: imported from RC3 ISOs (kernel-default-4.4.21-64.1)
  Also imported the symtypes that was missing at the previous time.
- commit a50bb64
* Mon Sep 26 2016 schwab@suse.de
- kernel-module-subpackage: Properly quote flavor in expressions
  That fixes a parse error if the flavor starts with a digit or contains
  other non-alphabetic characters.
- commit 19ba528
* Mon Sep 26 2016 agraf@suse.de
- rpm/package-descriptions: Add 64kb kernel flavor description
- commit 7d9e0ef
* Mon Sep 26 2016 jslaby@suse.cz
- Linux 4.4.22 (FATE#319466 bsc#998391).
- kABI: reintroduce iov_iter_fault_in_multipages_readable.
- Delete
  patches.drivers/0027-lightnvm-put-bio-before-return.patch.
- Delete patches.fixes/genirq-msi-Fix-broken-debug-output.patch.
- commit ba0578a
* Mon Sep 26 2016 dchang@suse.com
- Update patch tags.
- Refresh
  patches.drivers/IB-mlx5-Enable-MAD_IFC-commands-for-IB-ports-only.patch.
- Refresh
  patches.drivers/i40e-don-t-configure-zero-size-RSS-table.patch.
- commit 5ea395a
* Fri Sep 23 2016 bp@suse.de
- scsi: arcmsr: Buffer overflow in arcmsr_iop_message_xfer()
  (bsc#999932 CVE-2016-7425).
- commit dc57564
* Fri Sep 23 2016 bp@suse.de
- Refresh
  patches.arch/mce-amd-check-for-userspace-agent-before-decoding.patch.
  Add the explanation why the patch is not upstream, as jikos requested.
- commit a56b84d
* Wed Sep 21 2016 agraf@suse.de
- arm64: Refuse to install 4k kernel on 64k system
- commit 478142f
* Wed Sep 21 2016 jeffm@suse.com
- btrfs: ensure that file descriptor used with subvol ioctls is
  a dir (bsc#999600).
- commit 0b53322
* Wed Sep 21 2016 mmarek@suse.com
- rpm/package-descriptions: pv has been merged into -default (fate#315712)
- commit 711ab33
* Wed Sep 21 2016 jslaby@suse.cz
- rpm/package-descriptions: add kernel-syzkaller
- commit 620032b
* Wed Sep 21 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Build the -base package unconditionally (bsc#1000118)
- commit 1d8c576
* Tue Sep 20 2016 jeffm@suse.com
- autofs: use dentry flags to block walks during expire
  (bsc#997639).
- autofs: fix multiple races (bsc#997639).
- commit 1611960
* Mon Sep 19 2016 fdmanana@suse.com
- Delete
  patches.suse/btrfs-add-warning-on-failure-to-do-delayed-update-of.patch.
- Delete
  patches.suse/btrfs-send-add-some-error-messages-before-hitting-BU.patch.
  These are no longer needed, because fixes for the problems they helped
  debugging are coming now.
- commit 6661d99
* Mon Sep 19 2016 jroedel@suse.de
- iommu/vt-d: Split up get_domain_for_dev function (bsc#994941).
- iommu/vt-d: Make sure RMRRs are mapped before domain goes public
  (bsc#994941).
- commit f3f95d2
* Mon Sep 19 2016 mhocko@suse.cz
- mm, kabi: support madvise(MADV_FREE) (fate#321375).
- commit e0b13f2
* Mon Sep 19 2016 bp@suse.de
- Delete
  patches.fixes/x86-allow_kernel_map_pages_in_pgd_to_work_when_nx_is_disabled.patch.
- Delete
  patches.fixes/x86-configure_nx_support_earlier_in_setup_arch.patch.
  These two came from bsc#884369.
  Here's the deal: they were supposed to honor the situation where
  eXecuteDisable was cleared in the BIOS, i.e., no NX support. But this is
  not required and even plain wrong on Linux. So it was fixed differently
  upstream:
  04633df0c43d ("x86/cpu: Call verify_cpu() after having entered long mode too")
  which we already have in 12SP2 and this makes those patches a NOP.
  So remove them.
- commit af9594c
* Mon Sep 19 2016 mhocko@suse.cz
- arch/*/include/uapi/asm/mman.h: : let MADV_FREE have same
  value for all architectures (fate#321375).
- mm/madvise.c: free swp_entry in madvise_free (fate#321375).
- mm: support madvise(MADV_FREE) (fate#321375).
- commit 1f8ee36
* Mon Sep 19 2016 tiwai@suse.de
- do "fold checks into iterate_and_advance()" right (bsc#972460).
- fold checks into iterate_and_advance() (bsc#972460).
- commit 6d349bd
* Sun Sep 18 2016 tiwai@suse.de
- kABI workaround for ppc KVM VTB fix (bsc#981367).
- commit 0a5f717
* Fri Sep 16 2016 tiwai@suse.de
- KVM: PPC: Book3S: Treat VTB as a per-subcore register, not
  per-thread (bsc#981367).
- commit 825f70b
* Fri Sep 16 2016 jack@suse.cz
- printk: Fix possible printk recursion during suspend
  (bsc#995541).
- printk: Make printing kthread use default priority (bnc#744692,
  bnc#789311).
- commit 1a1ea62
* Fri Sep 16 2016 agraf@suse.de
- Refresh patches.kabi/kabi-Keep-kvm-kabi-stable-across-kvm-arm-vtimer-enab.patch.
- commit acb62c8
* Fri Sep 16 2016 oneukum@suse.com
- scsi: introduce a quirk for false cache reporting (bsc#979231).
- commit 73fffea
* Fri Sep 16 2016 agraf@suse.de
- kabi: Keep kvm kabi stable across kvm arm vtimer enablement (bsc#999212).
- commit 94f61cb
* Fri Sep 16 2016 jack@suse.cz
- Update tags:
  patches.fixes/block-Convert-fifo_time-from-ulong-to-u64.patch.
  patches.fixes/cfq-iosched-Charge-at-least-1-jiffie-instead-of-1-ns.patch.
  patches.fixes/cfq-iosched-Convert-from-jiffies-to-nanoseconds.patch.
  patches.fixes/cfq-iosched-Convert-slice_resid-from-u64-to-s64.patch.
  patches.fixes/cfq-iosched-Convert-to-use-highres-timers.patch.
  patches.fixes/cfq-iosched-Expose-microsecond-interfaces.patch.
  patches.fixes/cfq-iosched-Fix-regression-in-bonnie-rewrite-perform.patch.
- commit b8d6a56
* Fri Sep 16 2016 agraf@suse.de
- KVM: arm/arm64: Route vtimer events to user space (bsc#999212).
- arm/arm64: KVM: Detect vGIC presence at runtime (bsc#999212).
- commit 4c8cc2d
* Fri Sep 16 2016 tiwai@suse.de
- hpilo: Add support for iLO5 (bsc#999101).
- commit 896ee75
* Thu Sep 15 2016 jjolly@suse.de
- s390/pci: remove iomap sanity checks (bnc#998608, LTC#146199).
- commit 32dabf3
* Thu Sep 15 2016 mmarek@suse.cz
- supported.conf: Add nfs modules to -base (bsc#990461)
- commit ddfebc2
* Thu Sep 15 2016 mmarek@suse.cz
- Revert "rpm/config.sh: Build the KOTD against Leap 42.2"
  The openSUSE:Leap:42.2 project does not support the same set of
  architectures. Fix the build issue in the KOTD project instead.
- commit 6eb1797
* Thu Sep 15 2016 oneukum@suse.com
- HID: wacom: Support switching from vendor-defined device mode
  on G9 and G11 (bsc#981717).
- HID: wacom: Initialize hid_data.inputmode to -1 (bsc#981717).
- HID: wacom: break out parsing of device and registering of input
  (bsc#981717).
- commit 28e2f16
* Thu Sep 15 2016 jthumshirn@suse.de
- powerpc: add kernel parameter iommu_alloc_quiet (bsc#998825).
- commit cf4ec19
* Thu Sep 15 2016 jjolly@suse.de
- block: merge: get the 1st and last bvec via helpers
  (bsc#998863).
- commit ece69c3
* Thu Sep 15 2016 jslaby@suse.cz
- Linux 4.4.21 ((bnc#981795) CVE-2016-0758 CVE-2016-3135
  CVE-2016-5244 FATE#318001 FATE#318444 FATE#319466 FATE#319483
  FATE#319648 FATE#319812 FATE#319813 FATE#319814 FATE#319815
  FATE#319816 FATE#319817 FATE#319819 FATE#319922 FATE#319965
  FATE#319980 FATE#320135 FATE#320138 FATE#320146 FATE#320191
  FATE#320225 FATE#320226 FATE#320634 LTC#139401 bnc#943529
  bnc#949504 bnc#963619 bnc#980892 boo#955096 boo#967938
  bsc#951199 bsc#959364 bsc#963619 bsc#964944 bsc#966170
  bsc#966172 bsc#966272 bsc#966277 bsc#966328 bsc#969468
  bsc#969470 bsc#969471 bsc#969473 bsc#969474 bsc#969475
  bsc#969476 bsc#969477 bsc#969479 bsc#970904 bsc#976560
  bsc#979867 bsc#980657 bsc#983213 bsc#986925 bsc#987542
  bsc#991038 bsc#991173 bsc#996790 fate#319505 fate#319484
  bsc#974622 bsc#991671).
- kABI: protect struct hw_perf_event.
- kABI: protect struct sdhci_host.
- Refresh
  patches.arch/arm64-0005-arm64-Add-workaround-for-Cavium-erratum-26026.patch.
- Refresh
  patches.drivers/0013-block-remove-req_no_timeout-flag.patch.
- Refresh
  patches.drivers/cxlflash-Removed-driver-date-print.patch.
- Refresh patches.drivers/drm-i915-skl-Add-SKL-GT4-PCI-IDs.
- Refresh
  patches.drivers/i40e-0030-i40evf-allocate-ring-structs-dynamically.patch.
- Refresh patches.drivers/i40e-0041-i40e-propagate-properly.patch.
- Refresh
  patches.fixes/0004-fork-free-thread-in-copy_process-on-failure.patch.
- Delete
  patches.arch/arm64-1-2-net-thunderx-Fix-link-status-reporting.patch.
- Delete
  patches.arch/arm64-Add-workaround-for-Cavium-erratum-27456.patch.
- Delete
  patches.arch/arm64-KVM-Add-support-for-48bit-PA-in-EL2.patch.
- Delete
  patches.arch/arm64-clk-xgene-Fix-divider-with-non-zero-shift-value.patch.
- Delete
  patches.arch/arm64-irqchip-gic-v3-Make-sure-read-from-ICC_IAR1_EL1-is-v.patch.
- Delete
  patches.arch/arm64-net-thunderx-Fix-for-Qset-error-due-to-CQ-full.patch.
- Delete
  patches.arch/arm64-net-thunderx-Fix-for-multiqset-not-configured-upon-i.patch.
- Delete
  patches.arch/arm64-net-thunderx-Fix-receive-packet-stats.patch.
- Delete
  patches.arch/arm64-thd-irqchip-gicv3-its-numa-workaround-for-cavium-thunderx-erratum-23144.patch.
- Delete
  patches.arch/cxl-Enable-PCI-device-ID-for-future-IBM-CXL-adapter.patch.
- Delete
  patches.arch/cxl-Fix-DSI-misses-when-the-context-owning-task-exit.patch.
- Delete
  patches.arch/cxl-Fix-possible-idr-warning-when-contexts-are-relea.patch.
- Delete patches.arch/cxl-fix-build-for-GCC-4.6.x.patch.
- Delete
  patches.arch/s390-sclp_ctl-fix-potential-information-leak-with-de.patch.
- Delete
  patches.arch/s390-sles12sp2-01-03-pci_dma-fix-DMA-table-corruption-with-4-TB-main.patch.
- Delete
  patches.drivers/0001-lightnvm-fix-bio-submission-issue.patch.
- Delete
  patches.drivers/0002-lightnvm-fix-incorrect-nr_free_blocks-stat.patch.
- Delete
  patches.drivers/0003-lightnvm-add-check-after-mempool-allocation.patch.
- Delete
  patches.drivers/0004-lightnvm-unlock-rq-and-free-ppa_list-on-submission-f.patch.
- Delete
  patches.drivers/0011-lightnvm-fix-locking-and-mempool-in-rrpc_lun_gc.patch.
- Delete
  patches.drivers/0018-lightnvm-fix-missing-grown-bad-block-type.patch.
- Delete
  patches.drivers/0026-blk-mq-end-unstarted-requests-on-dying-queue.patch.
- Delete
  patches.drivers/0031-qla2xxx-Use-ATIO-type-to-send-correct-tmr-response.patch.
- Delete
  patches.drivers/ALSA-hda-add-codec-support-for-Kabylake-display-audi.
- Delete
  patches.drivers/crypto-nx842-Mask_XERS0_bit_in_return_value.patch.
- Delete
  patches.drivers/cxlflash-01-Fix-to-avoid-unnecessary-scan-with-internal-LUNs.
- Delete
  patches.drivers/cxlflash-04-Move-to-exponential-back-off-when-cmd_room-is-not-available.
- Delete
  patches.drivers/cxlflash-05-Fix-to-resolve-dead-lock-during-EEH-recovery.
- Delete
  patches.drivers/cxlflash-Enable-device-id-for-future-IBM-CXL-adapter.patch.
- Delete
  patches.drivers/cxlflash-Fix-to-avoid-virtual-LUN-failover-failure.patch.
- Delete
  patches.drivers/cxlflash-Fix-to-escalate-LINK_RESET-also-on-port-1.patch.
- Delete
  patches.drivers/cxlflash-Fix-to-resolve-cmd-leak-after-host-reset.patch.
- Delete
  patches.drivers/cxlflash-Resolve-oops-in-wait_port_offline.patch.
- Delete patches.drivers/cxlflash-a-couple-off-by-one-bugs.patch.
- Delete
  patches.drivers/drm-atomic-Do-not-unset-crtc-when-an-encoder-is-stol.
- Delete patches.drivers/drm-radeon-fix-dp-link-rate-selection-v2.
- Delete
  patches.drivers/e1000-0002-e1000-fix-data-race-between-tx_ring-next_to_clean.patch.
- Delete
  patches.drivers/e1000e-0002-e1000e-fix-division-by-zero-on-jumbo-MTUs.patch.
- Delete
  patches.drivers/fm10k-0001-fm10k-do-not-assume-VF-always-has-1-queue.patch.
- Delete
  patches.drivers/fm10k-0002-fm10k-Correct-MTU-for-jumbo-frames.patch.
- Delete
  patches.drivers/fm10k-0003-fm10k-Fix-handling-of-NAPI-budget-when-multiple-queu.patch.
- Delete
  patches.drivers/fm10k-0006-fm10k-reset-max_queues-on-init_hw_vf-failure.patch.
- Delete
  patches.drivers/fm10k-0007-fm10k-always-check-init_hw-for-errors.patch.
- Delete
  patches.drivers/fm10k-0008-fm10k-reinitialize-queuing-scheme-after-calling-init.patch.
- Delete
  patches.drivers/fm10k-0027-fm10k-Cleanup-MSI-X-interrupts-in-case-of-failure.patch.
- Delete
  patches.drivers/fm10k-0028-fm10k-Cleanup-exception-handling-for-mailbox-interru.patch.
- Delete
  patches.drivers/i40e-0007-i40e-Workaround-fix-for-mss-256-issue.patch.
- Delete
  patches.drivers/i40e-0012-i40evf-handle-many-MAC-filters-correctly.patch.
- Delete
  patches.drivers/i40e-0019-i40e-i40evf-Fix-RS-bit-update-in-Tx-path-and-disable.patch.
- Delete
  patches.drivers/i40e-0032-i40e-fix-do-not-sleep-in-netdev_ops.patch.
- Delete
  patches.drivers/i40e-0039-i40e-Fix-memory-leaks-sideband-filter-programming.patch.
- Delete
  patches.drivers/i40e-0052-i40e-properly-delete-VF-MAC-filters.patch.
- Delete
  patches.drivers/i40e-0053-i40e-don-t-add-zero-MAC-filter.patch.
- Delete
  patches.drivers/i40e-0054-i40evf-check-rings-before-freeing-resources.patch.
- Delete
  patches.drivers/i40e-0059-i40e-clean-whole-mac-filter-list.patch.
- Delete
  patches.drivers/i40e-0068-i40e-Fix-Rx-hash-reported-to-the-stack-by-our-driver.patch.
- Delete
  patches.drivers/i40e-0073-i40e-i40evf-Fix-RSS-rx-flow-hash-configuration-throu.patch.
- Delete
  patches.drivers/igb-0002-igb-don-t-unmap-NULL-hw_addr.patch.
- Delete
  patches.drivers/igb-0003-igb-use-the-correct-i210-register-for-EEMNGCTL.patch.
- Delete
  patches.drivers/igb-0004-igb-fix-NULL-derefs-due-to-skipped-SR-IOV-enabling.patch.
- Delete patches.drivers/intel_idle_knights_landing.patch.
- Delete
  patches.drivers/ixgbe-0004-ixgbe-Fix-handling-of-NAPI-budget-when-multiple-queu.patch.
- Delete
  patches.drivers/lpfc-Fix-DMA-faults-observed-upon-plugging-loopback-.patch.
- Delete
  patches.drivers/lpfc-Fix-FCF-Infinite-loop-in-lpfc_sli4_fcf_rr_next_.patch.
- Delete patches.drivers/lpfc-Fix-RDP-Speed-reporting.patch.
- Delete
  patches.drivers/lpfc-Fix-RegLogin-failed-error-seen-on-Lancer-FC-dur.patch.
- Delete
  patches.drivers/lpfc-Fix-crash-in-fcp-command-completion-path.patch.
- Delete
  patches.drivers/lpfc-Fix-driver-crash-when-module-parameter-lpfc_fcp.patch.
- Delete patches.drivers/lpfc-Fix-external-loopback-failure.patch.
- Delete
  patches.drivers/lpfc-Fix-mbox-reuse-in-PLOGI-completion.patch.
- Delete
  patches.drivers/lpfc-Fix-the-FLOGI-discovery-logic-to-comply-with-T1.patch.
- Delete patches.drivers/megaraid_sas-Add-an-i-o-barrier.patch.
- Delete
  patches.drivers/megaraid_sas-Do-not-allow-PCI-access-during-OCR.patch.
- Delete patches.drivers/megaraid_sas-Fix-SMAP-issue.patch.
- Delete
  patches.drivers/mlx5-0146-net-mlx5e-Don-t-try-to-modify-CQ-moderation-if-it-is.patch.
- Delete
  patches.drivers/mlx5-0147-net-mlx5e-Don-t-modify-CQ-before-it-was-created.patch.
- Delete
  patches.drivers/mpt3sas-A-correction-in-unmap_resources.patch.
- Delete
  patches.drivers/mpt3sas-Fix-for-Asynchronous-completion-of-timedout-.patch.
- Delete
  patches.fixes/0001-KEYS-Fix-ASN.1-indefinite-length-object-parsing.patch.
- Delete
  patches.fixes/IB-IPoIB-Do-not-set-skb-truesize-since-using-one-lin.patch.
- Delete patches.fixes/crypto-vmx-IV-size-failing-on-skcipher-API.
- Delete
  patches.fixes/ext4-Avoid-deadlock-when-expanding-inode-size.patch.
- Delete
  patches.fixes/ext4-Fix-xattr-shifting-when-expanding-inodes-2.patch.
- Delete
  patches.fixes/ext4-Fix-xattr-shifting-when-expanding-inodes.patch.
- Delete
  patches.fixes/ext4-Properly-align-shifted-xattrs-when-expanding-in.patch.
- Delete
  patches.fixes/netfilter-x_tables-check-for-size-overflow.patch.
- Delete
  patches.fixes/powerpc-tm-Avoid-SLB-faults-in-treclaim-trecheckpoint-when-RI=0.
- Delete
  patches.fixes/rds-fix-an-infoleak-in-rds_inc_info_copy.patch.
- Delete
  patches.fixes/udp-properly-support-MSG_PEEK-with-truncated-buffers.patch.
- Delete
  patches.suse/msft-hv-0934-Drivers-hv-util-Increase-the-timeout-for-util-servic.patch.
- Delete
  patches.suse/msft-hv-0935-Drivers-hv-utils-run-polling-callback-always-in-inte.patch.
- Delete
  patches.suse/msft-hv-0936-tools-hv-report-ENOSPC-errors-in-hv_fcopy_daemon.patch.
- Delete
  patches.suse/msft-hv-0938-Drivers-hv-util-catch-allocation-errors.patch.
- Delete
  patches.suse/msft-hv-0940-drivers-hv-cleanup-synic-msrs-if-vmbus-connect-faile.patch.
- Delete
  patches.suse/msft-hv-0944-Drivers-hv-vss-run-only-on-supported-host-versions.patch.
- Delete
  patches.suse/msft-hv-0949-Drivers-hv-vmbus-serialize-process_chn_event-and-vmb.patch.
- Delete
  patches.suse/msft-hv-0951-Drivers-hv-vmbus-fix-rescind-offer-handling-for-devi.patch.
- Delete
  patches.suse/msft-hv-0990-Drivers-hv-vmbus-avoid-infinite-loop-in-init_vp_inde.patch.
- Delete
  patches.suse/msft-hv-0991-Drivers-hv-vmbus-avoid-scheduling-in-interrupt-conte.patch.
- Delete
  patches.suse/msft-hv-0992-Drivers-hv-vmbus-don-t-manipulate-with-clocksources-.patch.
- Delete
  patches.suse/msft-hv-1022-x86-hyperv-Avoid-reporting-bogus-NMI-status-for-Gen2.patch.
- Delete
  patches.suse/msft-hv-1032-drivers-hv-Lock-access-to-hyperv_mmio-resource-tree.patch.
- Delete
  patches.suse/sched-numa-Fix-use-after-free-bug-in-the-task_numa_compare.patch.
- commit ec0ea20
* Thu Sep 15 2016 mmarek@suse.cz
- rpm/config.sh: Build the KOTD against Leap 42.2
  SLE12 SP2 is not available in the OBS yet.
- commit 2c9729c
* Thu Sep 15 2016 dchang@suse.com
- IB/mlx5: Enable MAD_IFC commands for IB ports only (bsc#996027).
- commit 38fab1a
* Wed Sep 14 2016 msuchanek@suse.de
- Revert: 63a72284 powerpc/pci: Assign fixed PHB number based on device-tree properties
  Disable patch added in 9f32a4f0
  This patch is generally a good thing but can cause Ethernet device
  order to change when applied. Changing device order is not accetable for SP
  upgrade. (bsc#998394)
- commit 1a19d36
* Wed Sep 14 2016 ohering@suse.de
- Drivers: hv: utils: Support TimeSync version 4.0 protocol
  samples (fate#320485, bnc#998667).
- Drivers: hv: utils: Use TimeSync samples to adjust the clock
  after boot (fate#320485, bnc#998667).
- Drivers: hv: utils: Rename version definitions to reflect
  protocol version (fate#320485, bnc#998667).
- commit b99e9be
* Wed Sep 14 2016 ohering@suse.de
- pci-hyperv: properly handle device eject (fate#320295,
  bnc#998664).
- pci-hyperv: properly handle pci bus remove (fate#320295,
  bnc#998664).
- commit 21baa93
* Wed Sep 14 2016 jeffm@suse.com
- Btrfs: fix unexpected balance crash due to BUG_ON (bsc#998655).
- commit f02e812
* Wed Sep 14 2016 hare@suse.de
- libfc: Fix PRLI response handling yet again (bsc#998385).
- Delete
  patches.fixes/fc_rport-update-fcp_parm-after-calling-prli-provider.patch.
- commit a8e820d
* Wed Sep 14 2016 tiwai@suse.de
- rpm/kernel-binary.spec.in: Obsolete xf86-input-vmmouse from SP0/SP1 (bsc#998621)
- commit 79dc53c
* Wed Sep 14 2016 jeffm@suse.com
- squashfs3: properly handle dir_emit() failures (bsc#998795).
- commit 677f2f1
* Wed Sep 14 2016 dchang@suse.com
- Refresh patches.drivers/net-mlx4_en-Avoid-unregister_netdev-at-shutdown-flow.patch. (bsc#998398 bsc#998010)
- commit 7e3564b
* Tue Sep 13 2016 rgoldwyn@suse.com
- Disable patches.suse/btrfs-relocation-Fix-leaking-qgroups-numbers-on-data-extents.patch temporarily (bsc#997654)
- commit 3db4873
* Tue Sep 13 2016 dchang@suse.com
- i40e: don't configure zero-size RSS table (bsc#998216).
- i40e: use configured RSS key and lookup table in i40e_vsi_config_rss (bsc#998216).
- i40e: move i40e_vsi_config_rss below i40e_get_rss_aq (bsc#998216).
- commit 5c5194e
* Mon Sep 12 2016 sparschauer@suse.de
- scsi: ibmvfc: Fix I/O hang when port is not mapped (bsc#971989)
- commit c116894
* Mon Sep 12 2016 jthumshirn@suse.de
- dax: fix mapping size check (bsc#998395).
- commit d9057c2
* Mon Sep 12 2016 hare@suse.de
- fc_rport: update fcp_parm after calling prli provider (bsc#998385).
- libfc: Do not take rdata->rp_mutex when processing a -FC_EX_CLOSED ELS response (bsc#962846).
- genirq/msi: Fix broken debug output (bsc#998391).
- commit 93e23d1
* Mon Sep 12 2016 tiwai@suse.de
- Revert "arm64: Define AT_VECTOR_SIZE_ARCH for ARCH_DLINFO" to fix kABI breakage on aarch64.
- commit 6689a29
* Sun Sep 11 2016 mgorman@suse.com
- sched,numa,mm: revert to checking pmd/pte_write instead of
  VMA flags (Automatic NUMA Balancing (fate#315482)).
- sched/numa: Spread memory according to CPU and memory use
  (Automatic NUMA Balancing (fate#315482)).
- commit f807f57
* Fri Sep  9 2016 tiwai@suse.de
- Delete patches.fixes/0001-md-lockless-I-O-submission-for-RAID1.patch.
  This patch turned out to cause a regression and lead to be stuck
  with RAID array (bsc#998106).
- commit d2e08c5
* Fri Sep  9 2016 jthumshirn@suse.de
- mpt3sas: Fix panic when aer correct error occurred (bsc#997708).
- commit b4752b6
* Thu Sep  8 2016 mgalbraith@suse.de
- Move sched-Further-improve-spurious-CPU_IDLE-active-migrations.patch
  to the -tuning section per Mel, after also adapting it to only affect
  the old HW for which it is a regression fix.
- commit 5098beb
* Thu Sep  8 2016 dchang@suse.com
- be2net: Add privilege level check for
  OPCODE_COMMON_GET_EXT_FAT_CAPABILITIES SLI cmd (bsc#963844
  FATE#320192).
- commit ec7b5af
* Wed Sep  7 2016 jslaby@suse.cz
- Linux 4.4.20 (CVE-2016-6480 FATE#319502 FATE#319959 LTC#144640
  bnc#975065 bnc#978907 bnc#991665 bnc#994430 bsc#991608
  bsc#991665 bsc#992712 bsc#989953 bsc#964944 FATE#319965).
- Revert "Input: i8042 - set up shared ps2_cmd_mutex for AUX
  ports".
- Revert "Input: i8042 - break load dependency between
  atkbd/psmouse and i8042".
- Refresh
  patches.drivers/0003-nvme-use-offset-instead-of-a-struct-for-registers.patch.
- Refresh
  patches.drivers/0006-nvme-split-a-new-struct-nvme_ctrl-out-of-struct-nvme_dev.patch.
- Refresh
  patches.drivers/0010-usb-core-lpm-add-sysfs-node-for-usb3-lpm-permit.patch.
- Refresh
  patches.drivers/0014-nvme-move-block_device_operations-and-ns-ctrl-freeing-to-common-code.patch.
- Refresh
  patches.drivers/0017-nvme-move-nvme_-enable-disable-shutdown-ctrl-to-common-code.patch.
- Refresh
  patches.drivers/0021-nvme-move-chardev-and-sysfs-interface-to-common-code.patch.
- Refresh
  patches.drivers/0022-usb-fix-regression-in-SuperSpeed-endpoint-descriptor.patch.
- Refresh
  patches.drivers/0026-nvme-only-add-a-controller-to-dev_list-after-it-s-been-fully-initialized.patch.
- Refresh
  patches.drivers/0027-nvme-protect-against-simultaneous-shutdown-invocations.patch.
- Refresh
  patches.drivers/0033-nvme-merge-probe_work-and-reset_work.patch.
- Refresh patches.drivers/0049-nvme-add-pci-error-handlers.patch.
- Refresh
  patches.drivers/0051-nvme-move-nvme_freeze-unfreeze_queues-to-nvme-core.patch.
- Refresh
  patches.drivers/0057-nvme-remove-queue-freezing-on-resets.patch.
- Refresh
  patches.drivers/0059-nvme-shutdown-controller-only-for-power-off.patch.
- Refresh patches.drivers/0094-nvme-fix-reset-remove-race.patch.
- Refresh
  patches.drivers/0097-NVMe-Only-release-requested-regions.patch.
- Delete
  patches.arch/0001-ACPI-SRAT-fix-SRAT-parsing-order-with-both-LAPIC-and.patch.
- Delete
  patches.arch/s390-sles12sp2-06-02-dasd-fix-hanging-device-after-clear-subchannel.patch.
- Delete
  patches.drivers/0001-USB-fix-typo-in-wMaxPacketSize-validation.patch.
- Delete
  patches.drivers/0001-USB-validate-wMaxPacketValue-entries-in-endpoint-des.patch.
- Delete
  patches.drivers/0014-usb-define-USB_SPEED_SUPER_PLUS-speed-for-SuperSpeed.patch.
- Delete
  patches.drivers/0023-aacraid-check-size-values-after-double-fetch-from-user.patch.
- Delete
  patches.drivers/0023-xhci-Make-sure-xhci-handles-USB_SPEED_SUPER_PLUS-dev.patch.
- Delete
  patches.drivers/0067-nvme-don-t-unmap-controller-registers-on-reset.patch.
- Delete
  patches.suse/btrfs-properly-track-when-rescan-worker-is-running.patch.
- Delete
  patches.suse/btrfs-waiting-on-qgroup-rescan-should-not-always-be-.patch.
- Delete
  patches.suse/sched-nohz-Fix-affine-unpinned-timers-mess.patch.
- commit 6225d0c
* Wed Sep  7 2016 duwe@suse.de
- powerpc/pseries: use pci_host_bridge.release_fn() to kfree(phb)
  (bsc#996086).
- commit 4210c97
* Wed Sep  7 2016 dbueso@suse.de
- rhashtable: fix a memory leak in alloc_bucket_locks() (bsc#997456).
- commit a66f331
* Tue Sep  6 2016 dbueso@suse.de
- rhashtable: fix shift by 64 when shrinking (bsc#997456).
- rhashtable: avoid large lock-array allocations (bsc#997456).
- commit 242243d
* Tue Sep  6 2016 mmarek@suse.cz
- supported.conf: Add iscsi modules to -base (bsc#997299)
- commit 2fbe760
* Tue Sep  6 2016 jthumshirn@suse.de
- Refresh
  patches.suse/x86-mm-sched-make-lazy-TLB-mode-even-lazier-kabi.patch.
- commit 5ee2c37
* Tue Sep  6 2016 jthumshirn@suse.de
- qla2xxx: Set FLOGI retry in additional firmware options for P2P
  (N2N) mode (bsc#994968).
- commit 957120a
* Tue Sep  6 2016 oneukum@suse.com
- USB: fix typo in wMaxPacketSize validation (bsc#991665).
- commit 20506ba
* Tue Sep  6 2016 fvogt@suse.com
- thermal: Add Raspberry Pi BCM2835 thermal driver (bsc#989511).
- Update config files.
- supported.conf: Add bcm2835_thermal and bcm2835_cpufreq (bsc#989511)
- cpufreq: Add Broadcom BCM2835 CPU frequency control driver
  (bsc#989511).
- bcm2835: Add Raspberry Pi thermal sensor to the device tree
  (bsc#989511).
- commit 725b043
* Tue Sep  6 2016 dchang@suse.com
- bnx2x: don't reset chip on cleanup if PCI function is offline
  (bsc#997253).
- commit b20cf24
* Fri Sep  2 2016 bpoirier@suse.com
- cxgb4/cxgb4vf: Fixes regression in perf when tx vlan offload
  is disabled (bsc#993256).
- commit 81405db
* Fri Sep  2 2016 mmarek@suse.com
- rpm/mkspec: Read a default release string from rpm/config.sh (bsc997059)
- commit cf65a8d
* Fri Sep  2 2016 neilb@suse.com
- cephfs: remove warning when ceph_releasepage() is called on
  dirty page (bsc#995153).
- cephfs: ignore error from invalidate_inode_pages2_range()
  in direct write (bsc#995153).
- commit 2365939
* Thu Sep  1 2016 mhocko@suse.cz
- mm: introduce arch_reserved_kernel_pages() (bnc#989618).
- mm/memblock.c: expose total reserved memory (bnc#989618).
- powerpc: implement arch_reserved_kernel_pages (bnc#989618).
- Refresh
  patches.fixes/mm-page_alloc.c-calculate-available-memory-in-a-sepa.
- Delete
  patches.fixes/fadump-register-the-memory-reserved-by-fadump.patch.
- Delete
  patches.fixes/mm-page_alloc-replace-set_dma_reserve-to-set_memory_reserve.patch.
- commit 2042cf0
* Thu Sep  1 2016 oneukum@suse.com
- kaweth: fix oops upon failed memory allocation (bsc#993890).
- kaweth: fix firmware download (bsc#993890).
- commit 62c8757
* Thu Sep  1 2016 mhocko@suse.cz
- kernel/fork: fix CLONE_CHILD_CLEARTID regression in nscd
  (bnc#941420).
- commit 5ed8e2d
* Thu Sep  1 2016 mmarek@suse.com
- Build vmx-crypto as a module and put it into -extra (fate#318016)
- commit 0c1f039
* Thu Sep  1 2016 tiwai@suse.de
- ALSA: hda - add codec support for Kabylake display audio codec
  (bsc#996790).
- commit 086193a
* Wed Aug 31 2016 tonyj@suse.de
- perf/x86/intel: Change offcore response masks for Knights
  Landing (bsc#980660).
- commit 34b7d66
* Wed Aug 31 2016 jjolly@suse.de
- IB/core: Fix reading capability mask of the port info class
  (bsc#994770).
- IB/core: sysfs.c: Fix PerfMgt ClassPortInfo handling
  (bsc#994770).
- IB/sysfs: Fix sparse warning on attr_id (bsc#994770).
- IB/core: Display extended counter set if available (bsc#994770).
- IB/core: Specify attribute_id in port_table_attribute
  (bsc#994770).
- IB/core: Create get_perf_mad function in sysfs.c (bsc#994770).
- commit 3c0d48d
* Wed Aug 31 2016 jthumshirn@suse.de
- scsi: ibmvfc: add FC Class 3 Error Recovery support
  (bsc#984992).
- scsi: ibmvfc: Set READ FCP_XFER_READY DISABLED bit in PRLI
  (bsc#984992).
- commit 928be2e
* Wed Aug 31 2016 tiwai@suse.de
- Update kabi files: import RC2 kernel with a pv_mmu_ops update
- commit ccf7e72
* Wed Aug 31 2016 tiwai@suse.de
- kabi/severities: Clean up a few entries.
  Keep only kvm, s390 and kgr-related items for the beginning.
- commit b5e81a4
* Wed Aug 31 2016 tiwai@suse.de
- Refresh
  patches.suse/sched-core-Move-task_rq_lock-out-of-line.patch.
  Fix the patch to be applicable via series2git script.
- commit f612b49
* Wed Aug 31 2016 mgorman@suse.com
- x86,mm,sched: make lazy TLB mode even lazier -kabi (bnc#971975
  VM performance -- TLB flush).
- commit 95c2de7
* Wed Aug 31 2016 dchang@suse.com
- IB/core: Fix oops in ib_cache_gid_set_default_gid (bsc#996027).
- commit adf2ba3
* Tue Aug 30 2016 rgoldwyn@suse.com
- posix_acl: Clear SGID bit when setting file permissions (bsc#995968, CVE-2016-7097).
- commit 13d5925
* Tue Aug 30 2016 mgalbraith@suse.de
- sched: Further improve spurious CPU_IDLE active migrations (bnc# 986383).
- commit 256b469
* Mon Aug 29 2016 jeffm@suse.com
- tags: update patches that have landed in the mainline repository
- commit 7b64931
* Mon Aug 29 2016 colyli@suse.de
- raid10: increment write counter after bio is split (bsc#992782).
- commit f169ca3
* Fri Aug 26 2016 jeffm@suse.com
- Btrfs: test_check_exists: Fix infinite loop when searching
  for free space entries (bsc#987192).
- commit 57623bc
* Fri Aug 26 2016 tiwai@suse.de
- Update config files: fix s390x vanilla config
  CONFIG_PCI_NR_MSI was mistakenly removed from vanilla config recently
  although the patch to remove the kconfig is applied not to vanilla.
- commit 8372925
* Fri Aug 26 2016 mmarek@suse.com
- supported.conf: Add bcm2835-sdhost and brcmfmac (bsc#983145)
- commit 9136980
* Fri Aug 26 2016 mmarek@suse.com
- Disable brcmfmac on ppc64le to sync with x86_64
- commit 7720647
* Fri Aug 26 2016 tiwai@suse.de
- Update patches.fixes/drm-i915-Fix-S4-resume-breakage
  (bsc#984629,bsc#984632).
  Use the method suggested by the upstream dev.
- commit 1d8614b
* Fri Aug 26 2016 tiwai@suse.de
- drm/i915: Add distinct stubs for PM hibernation phases
  (bsc#984632).
- commit fde8f20
* Fri Aug 26 2016 mmarek@suse.com
- dt: assign uart0 to BT and uart1 to pin headers (bsc#983145).
- commit 149c766
* Fri Aug 26 2016 mmarek@suse.com
- ARM: bcm2835: add interrupt-names and apply correct mapping
  (bsc#983145).
- ARM: bcm2835: follow dt uart node-naming convention
  (bsc#983145).
- Refresh
  patches.drivers/0001-ARM-bcm2835-Define-standard-pinctrl-groups-in-the-gp.patch.
- commit 4e4997d
* Fri Aug 26 2016 mmarek@suse.com
- Refresh
  patches.arch/arm64-bcm2837-0080-ARM-bcm2835-Give-HDMI-a-HPD-GPIO-on-the-pi3.patch.
  Update with version from Gerd Hoffmann (s/GPIO_ACTIVE_LOW/GPIO_ACTIVE_HIGH).
- commit e48c50b
* Fri Aug 26 2016 tiwai@suse.de
- Add kABI placeholders to HD-audio common structs (bsc#995704).
- commit 6a6830e
* Fri Aug 26 2016 jjolly@suse.de
- s390/dasd: fix failing CUIR assignment under LPAR (bnc#994430,
  LTC#144674).
- s390/dasd: fix hanging device after clear subchannel
  (bnc#994430, LTC#144640).
- commit b80da80
* Thu Aug 25 2016 jjolly@suse.de
- s390: use SPARSE_IRQ (bnc#994430, LTC#145045).
- Update config files.
- commit e324738
* Thu Aug 25 2016 tiwai@suse.de
- drm/vc4: Fix drm_vblank_put/get imbalance in page flip path
  (bsc#993372).
- drm/vc4: Fix get_vblank_counter with proper no-op for Linux 4.4+
  (bsc#993372).
- commit 7105c95
* Thu Aug 25 2016 ddiss@suse.de
- libceph: use upstream write-same opcode (bsc#995574).
- commit b58518a
* Thu Aug 25 2016 tiwai@suse.de
- drm/i915: Fix S4 resume breakage (bsc#984629,bsc#984632).
- commit 2b06521
* Thu Aug 25 2016 ohering@suse.de
- hv_netvsc: fix bonding devices check in netvsc_netdev_event()
  (fate#320485).
- hv_netvsc: protect module refcount by checking
  net_device_ctx->vf_netdev (fate#320485).
- hv_netvsc: reset vf_inject on VF removal (fate#320485).
- hv_netvsc: avoid deadlocks between rtnl lock and vf_use_cnt wait
  (fate#320485).
- hv_netvsc: don't lose VF information (fate#320485).
- commit cae4cc8
* Thu Aug 25 2016 jthumshirn@suse.de
- dax: fix device-dax region base (bsc#995532).
- commit 3768ef2
* Thu Aug 25 2016 lszhu@suse.com
- Add a missed complete in iscsit_close_connection (bsc#992555,
  bsc#987805).
- commit 1e6c84a
* Thu Aug 25 2016 jgross@suse.com
- perf/x86: Modify error message in virtualized environment
  (bnc#990435).
- xen: Make VPMU init message look less scary (bnc#990435).
- commit 333a655
* Thu Aug 25 2016 lpechacek@suse.com
- module: Issue warnings when tainting kernel (bsc#974406).
- module: Inform user when loading externally supported module
  (bsc#974406).
- commit 52130c7
* Wed Aug 24 2016 mbrugger@suse.com
- dt/bindings: Add bindings for Layerscape SCFG MSI (fate#320030
  fate#319900).
- irqchip: Add Layerscape SCFG MSI controller support (fate#320030
  fate#319900).
- commit b9037ee
* Wed Aug 24 2016 mbrugger@suse.com
- dtb: xgene: Fix backward compatibility (bsc#993051).
- drivers: net: xgene: Fix backward compatibility (bsc#993051).
- Documentation: dtb: xgene: Add rxlos GPIO mapping (bsc#993051).
- dtb: xgene: Add rxlos-gpios property (bsc#993051).
- drivers: net: xgene: Poll link status via GPIO (bsc#993051).
- drivers: net: xgene: XFI PCS reset when link is down
  (bsc#993051).
- drivers: net: xgene: Change port init sequence (bsc#993051).
- drivers: net: xgene: Fix RSS indirection table fields
  (bsc#993051).
- drivers: net: xgene: Fix error deconstruction path (bsc#993051).
- drivers: net: xgene: fix: Delete descriptor rings and buffer
  pools (bsc#993051).
- drivers: net: xgene: fix: Add dma_unmap_single (bsc#993051).
- drivers: net: xgene: Fix compiler warnings (bsc#993051).
- net: xgene: fix maybe-uninitialized variable (bsc#993051).
- ethernet: apm: xgene: add missing of_node_put after calling
  of_parse_phandle (bsc#993051).
- xgene: Fix build warning with ACPI disabled (bsc#993051).
- MAINTAINERS: xgene: Add driver and documentation path
  (bsc#993051).
- Documentation: dtb: xgene: Add MDIO node (bsc#993051).
- dtb: xgene: Add MDIO node (bsc#993051).
- drivers: net: xgene: ethtool: Use phy_ethtool_gset and sset
  (bsc#993051).
- drivers: net: xgene: Use exported functions (bsc#993051).
- drivers: net: xgene: Enable MDIO driver (bsc#993051).
- drivers: net: xgene: Add backward compatibility (bsc#993051).
- drivers: net: phy: xgene: Add MDIO driver (bsc#993051).
- drivers: net: xgene: Fix module unload crash - clkrst sequence
  (bsc#993051).
- drivers: net: xgene: Fix module unload crash - change sw
  sequence (bsc#993051).
- drivers: net: xgene: Fix module unload crash - hw resource
  cleanup (bsc#993051).
- drivers: net: xgene: Separate set_speed from mac_init
  (bsc#993051).
- commit 8f1e89b
* Wed Aug 24 2016 mbrugger@suse.com
- Delete
  patches.arch/arm64-1-6-drivers-net-xgene-MAC-and-PHY-configuration-changes.patch.
- Delete
  patches.arch/arm64-2-6-drivers-net-xgene-Backward-compatibility-with-older-firmware.patch.
- Delete
  patches.arch/arm64-3-6-drivers-net-phy-Add-MDIO-driver.patch.
- Delete patches.arch/arm64-4-6-dtb-xgene-Add-MDIO-node.patch.
- Delete
  patches.arch/arm64-5-6-dtb-xgene-Remove-clock-nodes.patch.
- Delete
  patches.arch/arm64-6-6-drivers-net-xgene-Fix-module-load-unload-crash.patch.
- Delete patches.arch/arm64-dts-apm-Fix-mdio-clock.patch.
- commit e8dec7f
* Wed Aug 24 2016 mgorman@suse.com
- Refresh
  patches.suse/sched-cputime-Improve-scalability-by-not-accounting-thread-group-tasks-pending-runtime.patch.
- commit f482bed
* Tue Aug 23 2016 mbrugger@suse.com
- Refresh
  patches.arch/arm64-0002-EDAC-xgene-Add-missing-SoC-register-bus-error-handli.patch.
- commit 78d633c
* Tue Aug 23 2016 tiwai@suse.de
- x86 / hibernate: Use hlt_play_dead() when resuming from
  hibernation (bsc#984629).
- x86/power/64: Fix kernel text mapping corruption during image
  restoration (bsc#984629).
- commit a4979e1
* Tue Aug 23 2016 jbeulich@suse.com
- xenbus: don't look up transaction IDs for ordinary writes
  (bsc#995073).
- commit 61d9eae
* Tue Aug 23 2016 mmarek@suse.com
- dt: add &sdhci and &sdhost (rpi3, enables wifi) (bsc#983145).
- Update config files: Enable brcmfmac with sdio support (bsc#983145).
- dt: switch &sdhci => &sdhost (bsc#983145).
- dt: add (with pinctrl) &sdhost (bsc#983145).
- dt: add pinctrl group to &i2c1 (bsc#983145).
- dt: add pinctrl group to &i2c0 (bsc#983145).
- dt: add pinctrl group to &pwm (bsc#983145).
- dt: add pinctrl group to &sdhci (bsc#983145).
- dt: add pinctrl group to &uart1 (rpi3) (bsc#983145).
- ARM: bcm2835: Add a new EMMC pin group from the downstream tree
  (bsc#983145).
- ARM: bcm2835: Add a group for mapping pins 48-53 to sdhost
  (bsc#983145).
- ARM: bcm2835: Add the emmc pin group to bcm283x.dtsi
  (bsc#983145).
- ARM: bcm2835: Define standard pinctrl groups in the gpio node
  (bsc#983145).
- commit 88d80cb
* Tue Aug 23 2016 mmarek@suse.com
- mmc: bcm2835-sdhost: add to devicetree (bsc#983145).
- commit 6e244fc
* Tue Aug 23 2016 mmarek@suse.cz
- mmc: bcm2835-sdhost: reset tweaks. [fixup] (bsc#983145).
- mmc: bcm2835-sdhost: zap mmiowb() [fixup] (bsc#983145).
- mmc: bcm2835-sdhost: Add new driver for the internal SD
  controller (bsc#983145).
- dt-bindings: Add binding for brcm,bcm2835-sdhost (bsc#983145).
- commit 5e0b3b3
* Mon Aug 22 2016 mgorman@suse.com
- pcc-cpufreq: Re-introduce deadband effect to reduce number of
  frequency changes (bsc#981838).
- commit 6ebc99f
* Mon Aug 22 2016 mgorman@suse.com
- Delete
  patches.suse/cpufreq-pcc-cpufreq-update-default-value-of-cpuinfo_transition_latency.patch.
- commit c59a8de
* Mon Aug 22 2016 mgorman@suse.com
- sched/cputime: Improve scalability by not accounting thread
  group tasks pending runtime (bsc#985874).
- commit 0d443f7
* Mon Aug 22 2016 mgorman@suse.com
- Refresh
  patches.suse/sched-cputime-mitigate-performance-regression-in-times-clock-gettime.patch.
- commit d848b8d
* Mon Aug 22 2016 jroedel@suse.de
- EDAC, sb_edac: Fix channel reporting on Knights Landing
  (bsc#993831).
- commit 9b27f62
* Mon Aug 22 2016 mkubecek@suse.cz
- AF_VSOCK: Shrink the area influenced by prepare_to_wait
  (bsc#994520).
- commit 74dc329
* Mon Aug 22 2016 mkubecek@suse.cz
- tcp: fix use after free in tcp_xmit_retransmit_queue()
  (CVE-2016-6828 bsc#994296).
- commit 29767c5
* Sun Aug 21 2016 jslaby@suse.cz
- Linux 4.4.19 (CVE#2016-6136 CVE-2016-4482 LTC#144462 bnc#978401
  bsc#975772 bsc#988153 bsc#990511 bsc#992073 bsc#992214
  bsc#991065 CVE-2016-5412).
- Refresh
  patches.drivers/0001-module-warn-if-module-init-probe-takes-long.patch.
- Refresh
  patches.drivers/0025-target-transport-add-flag-to-indicate-cpu-affinity-is-observed.
- Refresh
  patches.drivers/0034-target-remove-enum-transport_lunflags_table.
- Refresh patches.drivers/kvm-rename-pfn_t-to-kvm_pfn_t.patch.
- Refresh
  patches.drivers/mlx5-0056-IB-mlx5-Add-create_cq-extended-command.patch.
- Refresh
  patches.drivers/mlx5-0063-IB-mlx5-Add-driver-cross-channel-support.patch.
- Refresh
  patches.drivers/mlx5-0082-IB-mlx5-Unify-CQ-create-flags-check.patch.
- Refresh patches.fixes/block-copy-bi_vcnt-in-_bio_clone_fast.
- Refresh
  patches.suse/kgr-0008-mark-task_safe-in-some-kthreads.patch.
- Refresh
  patches.suse/msft-hv-1015-Drivers-hv-vmbus-Support-handling-messages-on-multip.patch.
- Refresh
  patches.suse/msft-hv-1037-drivers-hv-Record-MMIO-range-in-use-by-frame-buffer.patch.
- Delete
  patches.arch/s390-sles12sp2-05-01-cio-allow-to-reset-channel-measurement-block.patch.
- Delete
  patches.drivers/0001-USB-usbfs-fix-potential-infoleak-in-devio.patch.
- Delete
  patches.drivers/iommu-amd-handle-iommu_domain_dma-in-ops-domain_free-call-back.
- Delete
  patches.drivers/iommu-amd-init-unity-mappings-only-for-dma_ops-domains.
- Delete
  patches.drivers/iommu-amd-update-alias-dte-in-update_device_table.
- Delete
  patches.drivers/iommu-vt-d-return-error-code-in-domain_context_mapping_one.
- Delete
  patches.drivers/lpfc-fix-oops-in-lpfc_sli4_scmd_to_wqidx_distr-from-lpfc_send_taskmgmt.patch.
- Delete
  patches.fixes/audit-fix-a-double-fetch-in-audit_log_single_execve_arg.patch.
- Delete
  patches.fixes/dm-set-DMF_SUSPENDED-_before_-clearing-DMF_NOFLUSH_S.patch.
- Delete
  patches.fixes/powerpc-kvm-tm-01-factor-out-TM-state-save-restore.
- Delete
  patches.fixes/powerpc-kvm-tm-02-Save+restore-TM-state-in-H_CEDE.
- Delete
  patches.suse/msft-hv-1060-random-add-interrupt-callback-to-VMBus-IRQ-handler.patch.
- commit 36918b0
* Sat Aug 20 2016 mmarek@suse.cz
- rpm/old-flavors: Obsolte kernel-compute by kernel-rt (fate#320686)
- commit 964f3e2
* Fri Aug 19 2016 hare@suse.de
- dm: set DMF_SUSPENDED* _before_ clearing DMF_NOFLUSH_SUSPENDING
  (bsc#992073).
- commit ac36d89
* Fri Aug 19 2016 hare@suse.de
- dm rq: fix the starting and stopping of blk-mq queues
  (bsc#992073).
- dm mpath: add locking to multipath_resume and must_push_back
  (bsc#992073).
- commit 53de779
* Fri Aug 19 2016 hare@suse.de
- target/tcm_fc: use CPU affinity for responses (bsc#993866).
- commit db2ee33
* Fri Aug 19 2016 jthumshirn@suse.de
- libnvdimm: Fix nvdimm_probe error on NVDIMM-N (bsc#994544).
- commit 9e99804
* Fri Aug 19 2016 dchang@suse.com
- be2net: Avoid unnecessary firmware updates of multicast list
  (bsc#963844 FATE#320192).
- be2net: do not remove vids from driver table if be_vid_config()
  fails (bsc#963844 FATE#320192).
- be2net: clear vlan-promisc setting before programming the vlan
  list (bsc#963844 FATE#320192).
- commit a22d69d
* Fri Aug 19 2016 hare@suse.de
- libfc: Correctly set E_D_TOV and R_A_TOV values in RTV response
  (bsc#990245).
- libfc: sanitize E_D_TOV and R_A_TOV setting (bsc#990245).
- commit 39b2c87
* Thu Aug 18 2016 oneukum@suse.com
- USB: validate wMaxPacketValue entries in endpoint descriptors
  (bnc#991665).
- commit 9aa4d20
* Thu Aug 18 2016 hare@suse.de
- target: fix hang in target_wait_for_sess_cmds() (bsc#994046).
- target/tcm_fc: Update debugging statements to match libfc usage
  (bsc#994356).
- target/tcm_fc: print command pointer in debug message
  (bsc#994356).
- target/tcm_fc: return detailed error in ft_sess_create()
  (bsc#994356).
- libfc: Clarify ramp-down messages (bsc#990245).
- libfc: safeguard against invalid exchange index (bsc#990245).
- libfc: quarantine timed out xids (bsc#990245).
- libfc: wait for E_D_TOV when out-of-order sequence is received
  (bsc#990245).
- libfc: sanitize E_D_TOV setting (bsc#990245).
- fcoe: correct sending FIP VLAN packets on VLAN 0 (bsc#989133).
- libfc: fixup RTV handling (bsc#990245).
- libfc: additional debugging in fc_rport (bsc#994356).
- fc_rport: Return LS_RJT_BUSY for PRLI in status PLOGI
  (bsc#994356).
- fc_rport: PRLI fixes (bsc#994356).
- libfc: Do not drop down to FLOGI for fc_rport_login()
  (bsc#994356).
- libfc: Fixup disc_mutex handling (bsc#962846).
- libfc: do not send ABTS when resetting exchanges (bsc#962846).
- libfc: reset exchange manager during LOGO handling (bsc#962846).
- libfc: send LOGO for PLOGI failure (bsc#962846).
- libfc: Issue PRLI after a PRLO has been received (bsc#962846).
- scsi_dh_alua: Retry RTPG on SCSI host_bytes values (bsc#993866).
- commit ba19175
* Thu Aug 18 2016 mmarek@suse.com
- supported.conf: Add tun to -base (bsc#992593)
- supported.conf: Add veth to -base (bsc#992591)
- commit bffabe1
* Wed Aug 17 2016 oneukum@suse.com
- usb: devio, do not warn when allocation fails (bnc#984824).
- commit 826544c
* Wed Aug 17 2016 mhocko@suse.cz
- x86/mm: Fix swap entry comment and macro (bnc#993865).
- commit 7ce9bda
* Wed Aug 17 2016 acho@suse.com
- qed: Utilize FW 8.10.3.0 (bsc#993873 bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- commit b431048
* Wed Aug 17 2016 jthumshirn@suse.de
- fcoe: provide translation table between Ethernet and FC port
  speeds (bsc#988035).
- commit b48bdcb
* Wed Aug 17 2016 jslaby@suse.cz
- Linux 4.4.18 (CVE-2016-3672 CVE-2016-3951 CVE-2016-5696
  LTC#143668 bnc#974308 bnc#974418 bnc#988934 boo#962813
  bsc#988293 bsc#989152).
- Refresh
  patches.drivers/0002-i2c-i801-Add-runtime-PM-support-with-autosuspend.patch.
- Delete
  patches.arch/s390-sles12sp2-04-01-revert-clear-subchannel-id.patch.
- Delete
  patches.arch/x86-mm-32-Enable-full-randomization-on-i386-and-X86_.patch.
- Delete
  patches.drivers/0001-cdc_ncm-do-not-call-usbnet_link_change-from-cdc_ncm_.patch.
- Delete
  patches.drivers/0003-i2c-i801-Allow-ACPI-SystemIO-OpRegion-to-conflict-wi.patch.
- Delete patches.fixes/scsi-ignore-errors-from-scsi_dh_add_device.
- Delete
  patches.fixes/tcp-enable-per-socket-rate-limiting-of-all-challenge.patch.
- Delete
  patches.fixes/tcp-make-challenge-acks-less-predictable.patch.
- Delete
  patches.suse/pat-0001-x86-mm-pat-Add-support-of-non-default-PAT-MSR-settin.patch.
- Delete
  patches.suse/pat-0002-x86-mm-pat-Add-pat_disable-interface.patch.
- Delete
  patches.suse/pat-0003-x86-mm-pat-Replace-cpu_has_pat-with-boot_cpu_has.patch.
- Delete
  patches.suse/pat-0004-x86-mtrr-Fix-Xorg-crashes-in-Qemu-sessions.patch.
- Delete
  patches.suse/pat-0005-x86-mtrr-Fix-PAT-init-handling-when-MTRR-is-disabled.patch.
- Delete
  patches.suse/pat-0006-x86-xen-pat-Remove-PAT-table-init-code-from-Xen.patch.
- Delete
  patches.suse/pat-0007-x86-pat-Document-the-PAT-initialization-sequence.patch.
- commit 7e3be29
* Tue Aug 16 2016 mmarek@suse.com
- rpm/kernel-source.spec.in: Unroll a loop with only a single iteration
- commit 601c09e
* Tue Aug 16 2016 duwe@suse.de
- cxl: Set psl_fir_cntl to production environment value
  (bsc#993248).
- commit 410342a
* Mon Aug 15 2016 dbueso@suse.de
- x86/irq: Do not substract irq_tlb_count from irq_call_count
  (bsc#993429).
- locking/qrwlock: Fix write unlock bug on big endian systems
  (bsc#969756).
- locking/pvqspinlock: Fix a bug in qstat_read() (bsc#969756).
- locking/pvqspinlock: Fix double hash race (bsc#969756).
- commit 5d50547
* Mon Aug 15 2016 jeffm@suse.com
- btrfs: properly track when rescan worker is running
  (bsc#989953).
- commit deb7759
* Mon Aug 15 2016 mgorman@suse.com
- sched/fair: Use task_rcu_dereference() (References: times and
  clock_gettime performance (bnc#981795)).
- sched/api: Introduce task_rcu_dereference() and
  try_get_task_struct() (References: times and clock_gettime
  performance (bnc#981795)).
- sched/numa: Fix use-after-free bug in the task_numa_compare
  (References: times and clock_gettime performance (bnc#981795)).
- commit 0a244f9
* Mon Aug 15 2016 ggherdovich@suse.cz
- sched/cputime: Mitigate performance regression in
  times()/clock_gettime() (bsc#985874).
- commit b76ac52
* Mon Aug 15 2016 mgorman@suse.com
- mm: optimize copy_page_to/from_iter_iovec (bnc#971975 VM
  performance -- userspace copying).
- commit 9c4d756
* Mon Aug 15 2016 jthumshirn@suse.de
- Refresh
  patches.drivers/0001-smartpqi-initial-commit-of-Microsemi-smartpqi-driver.patch.
  Update SmartPQI driver to upstream accepted version.
- commit 65ec90c
* Mon Aug 15 2016 jthumshirn@suse.de
- ses: use scsi_is_sas_rphy instead of is_sas_attached
  (bsc#992492).
- Delete
  patches.fixes/SAS-use-sas_rphy-instead-of-sas_end_device-to-obtain.patch.
- commit 6c26966
* Mon Aug 15 2016 mgorman@suse.com
- mm, compaction: don't isolate PageWriteback pages in
  MIGRATE_SYNC_LIGHT mode (bnc#971975 VM performance --
  compaction).
- mm/compaction: split freepages without holding the zone lock
  (bnc#971975 VM performance -- compaction).
- commit 91dfb96
* Mon Aug 15 2016 dchang@suse.com
- qlcnic: Update version to 5.3.65 (bsc#993441).
- qlcnic: fix napi budget alteration (bsc#993441).
- qlcnic: fix data structure corruption in async mbx command
  handling (bsc#993441).
- qlcnic: add wmb() call in transmit data path (bsc#993441).
- commit 4a65f04
* Mon Aug 15 2016 colyli@suse.de
- md: lockless I/O submission for RAID1 (bsc#982783).
- commit 12d0dac
* Mon Aug 15 2016 bpoirier@suse.com
- Refresh
  patches.drivers/net-ena-Add-a-driver-for-Amazon-Elastic-Network-Adap.patch.
  Update patch to the version accepted upstream.
- commit 8c7a1d0
* Fri Aug 12 2016 jroedel@suse.de
- x86/platform/UV: Fix kernel panic running RHEL kdump kernel
  on UV systems (bsc#993365 fate#320837).
- x86/platform/UV: Fix problem with UV4 BIOS providing incorrect
  PXM values (bsc#993365 fate#320837).
- x86/platform/UV: Fix bug with iounmap() of the UV4 EFI System
  Table causing a crash (bsc#993365 fate#320837).
- x86/platform/UV: Fix problem with UV4 Socket IDs not being
  contiguous (bsc#993365 fate#320837).
- commit 1e6f5f1
* Fri Aug 12 2016 dbueso@suse.de
- time/timekeeping: Work around false positive GCC warning (bsc#993429).
- commit 135f911
* Fri Aug 12 2016 dbueso@suse.de
- arm64: spinlock: Ensure forward-progress in spin_unlock_wait
  (bsc#969756).
- arm64: spinlock: fix spin_unlock_wait for LSE atomics
  (bsc#969756).
- arm64: spinlock: order spin_{is_locked,unlock_wait} against
  local locks (bsc#969756).
- arm64: spinlock: serialise spin_unlock_wait against concurrent
  lockers (bsc#969756).
- powerpc/spinlock: Fix spin_unlock_wait() (bsc#969756).
- commit 76eaf2b
* Thu Aug 11 2016 jjolly@suse.de
- s390/cio: fix reset of channel measurement block
  (bsc#992214,LTC#144462).
- commit c037a2d
* Thu Aug 11 2016 jslaby@suse.cz
- Linux 4.4.17 (CVE-2016-1583 CVE-2016-4569 CVE-2016-4578
  LTC#143590 bnc#971975 bnc#983513 bnc#987886 bnc#988217
  bnc#988344 boo#989084 bsc#979213 bsc#979879 bsc#981825
  bsc#983143).
- Delete patches.kernel.org/9p-use-file_dentry.patch.
- Delete
  patches.kernel.org/alsa-timer-fix-leak-in-events-via-snd_timer_user_ccallback.patch.
- Delete
  patches.kernel.org/alsa-timer-fix-leak-in-events-via-snd_timer_user_tinterrupt.patch.
- Delete
  patches.kernel.org/alsa-timer-fix-leak-in-sndrv_timer_ioctl_params.patch.
- Delete
  patches.kernel.org/arc-unwind-ensure-that-.debug_frame-is-generated-vs.-.eh_frame.patch.
- Delete
  patches.kernel.org/arc-unwind-warn-only-once-if-dw2_unwind-is-disabled.patch.
- Delete
  patches.kernel.org/block-fix-use-after-free-in-sys_ioprio_get.patch.
- Delete
  patches.kernel.org/cgroup-set-css-id-to-1-during-init.patch.
- Delete
  patches.kernel.org/clk-rockchip-initialize-flags-of-clk_init_data-in-mmc-phase-clock.patch.
- Delete
  patches.kernel.org/dmaengine-at_xdmac-align-descriptors-on-64-bits.patch.
- Delete
  patches.kernel.org/dmaengine-at_xdmac-double-fifo-flush-needed-to-compute-residue.patch.
- Delete
  patches.kernel.org/dmaengine-at_xdmac-fix-residue-corruption.patch.
- Delete
  patches.kernel.org/ecryptfs-don-t-allow-mmap-when-the-lower-fs-doesn-t-support-it.patch.
- Delete patches.kernel.org/ext4-verify-extent-header-depth.patch.
- Delete
  patches.kernel.org/fs-nilfs2-fix-potential-underflow-in-call-to-crc32_le.patch.
- Delete
  patches.kernel.org/input-elantech-add-more-ic-body-types-to-the-list.patch.
- Delete
  patches.kernel.org/input-tsc200x-report-proper-input_dev-name.patch.
- Delete
  patches.kernel.org/input-vmmouse-remove-port-reservation.patch.
- Delete
  patches.kernel.org/input-wacom_w8001-w8001_max_length-should-be-13.patch.
- Delete
  patches.kernel.org/input-xpad-fix-oops-when-attaching-an-unknown-xbox-one-gamepad.patch.
- Delete
  patches.kernel.org/input-xpad-validate-usb-endpoint-count-during-probe.patch.
- Delete
  patches.kernel.org/kernel-sysrq-watchdog-sched-core-reset-watchdog-on-all-cpus-while-processing-sysrq-w.patch.
- Delete patches.kernel.org/locks-use-file_inode.patch.
- Delete
  patches.kernel.org/mm-compaction-abort-free-scanner-if-split-fails.patch.
- Delete
  patches.kernel.org/mm-compaction-prevent-vm_bug_on-when-terminating-freeing-scanner.patch.
- Delete
  patches.kernel.org/mm-meminit-always-return-a-valid-node-from-early_pfn_to_nid.patch.
- Delete
  patches.kernel.org/mm-meminit-ensure-node-is-online-before-checking-whether-pages-are-uninitialised.patch.
- Delete
  patches.kernel.org/mm-slb-add-__gfp_atomic-to-the-gfp-reclaim-mask.patch.
- Delete
  patches.kernel.org/mmc-block-fix-packed-command-header-endianness.patch.
- Delete
  patches.kernel.org/namespace-update-event-counter-when-umounting-a-deleted-dentry.patch.
- Delete patches.kernel.org/ovl-handle-attr_kill.patch.
- Delete
  patches.kernel.org/pinctrl-imx-do-not-treat-a-pin-without-mux-register-as-an-error.patch.
- Delete
  patches.kernel.org/pinctrl-single-fix-missing-flush-of-posted-write-for-a-wakeirq.patch.
- Delete
  patches.kernel.org/platform-chrome-cros_ec_dev-double-fetch-bug-in-ioctl.patch.
- Delete
  patches.kernel.org/power_supply-power_supply_read_temp-only-if-use_cnt-0.patch.
- Delete
  patches.kernel.org/pps-do-not-crash-when-failed-to-register.patch.
- Delete
  patches.kernel.org/pvclock-add-cpu-barriers-to-get-correct-version-value.patch.
- Delete
  patches.kernel.org/qeth-delete-napi-struct-when-removing-a-qeth-device.patch.
- Delete
  patches.kernel.org/revert-ecryptfs-forbid-opening-files-without-mmap-handler.patch.
- Delete
  patches.kernel.org/sched-fair-fix-effective_load-to-consistently-use-smoothed-load.patch.
- Delete patches.kernel.org/spi-sun4i-fix-fifo-limit.patch.
- Delete patches.kernel.org/spi-sunxi-fix-transfer-timeout.patch.
- Delete
  patches.kernel.org/usb-ohci-don-t-mark-eds-as-ed_oper-if-scheduling-fails.patch.
- Delete
  patches.kernel.org/vmlinux.lds-account-for-destructor-sections.patch.
- Delete
  patches.kernel.org/x86-quirks-add-early-quirk-to-reset-apple-airport-card.patch.
- Delete
  patches.kernel.org/x86-quirks-apply-nvidia_bugs-quirk-only-on-root-bus.patch.
- Delete
  patches.kernel.org/x86-quirks-reintroduce-scanning-of-secondary-buses.patch.
- Delete
  patches.kernel.org/xen-pciback-fix-conf_space-read-write-overlap-check.patch.
- Delete
  patches.kernel.org/xenbus-don-t-bail-early-from-xenbus_dev_request_and_reply.patch.
- Delete
  patches.kernel.org/xenbus-don-t-bug-on-user-mode-induced-condition.patch.
- commit 0b7d7ee
* Wed Aug 10 2016 bpoirier@suse.com
- supported.conf: fix name of r8152 module
  The hardware may go by the name of RTL8152, but the module is named r8152
- commit dfd942d
* Wed Aug 10 2016 mbrugger@suse.com
- Refresh
  patches.arch/arm64-0001-PCI-Move-ecam.h-to-linux-include-pci-ecam.h.patch.
- Refresh
  patches.arch/arm64-0001-PCI-generic-Move-structure-definitions-to-separate-h.patch.
- Refresh
  patches.arch/arm64-0001-net-thunderx-Set-recevie-buffer-page-usage-count-in-.patch.
- Refresh
  patches.arch/arm64-0002-PCI-Add-parent-device-field-to-ECAM-struct-pci_confi.patch.
- Refresh
  patches.arch/arm64-0002-PCI-generic-Add-pci_host_common_probe-based-on-gen_p.patch.
- Refresh
  patches.arch/arm64-0002-net-thunderx-Adjust-nicvf-structure-to-reduce-cache-.patch.
- Refresh
  patches.arch/arm64-0003-PCI-Add-pci_unmap_iospace-to-unmap-I-O-resources.patch.
- Refresh
  patches.arch/arm64-0003-PCI-generic-Expose-pci_host_common_probe-for-use-by-.patch.
- Refresh
  patches.arch/arm64-0003-arm64-Update-the-APM-X-Gene-EDAC-node-with-the-RB-re.patch.
- Refresh
  patches.arch/arm64-0004-PCI-ACPI-Support-I-O-resources-when-parsing-host-bri.patch.
- Refresh
  patches.arch/arm64-0004-PCI-thunder-Add-PCIe-host-driver-for-ThunderX-proces.patch.
- Refresh
  patches.arch/arm64-0005-PCI-ACPI-Add-generic-MCFG-table-handling.patch.
- Refresh
  patches.arch/arm64-0005-PCI-thunder-Add-driver-for-ThunderX-pass-1-2-on-chip.patch.
- Refresh
  patches.arch/arm64-0006-PCI-Refactor-pci_bus_assign_domain_nr-for-CONFIG_PCI.patch.
- Refresh
  patches.arch/arm64-0007-PCI-Factor-DT-specific-pci_bus_find_domain_nr-code-o.patch.
- Refresh
  patches.arch/arm64-0008-ARM64-PCI-Add-acpi_pci_bus_find_domain_nr.patch.
- ARM64: PCI: ACPI support for legacy IRQs parsing and
  consolidation (bsc#985031).
- Refresh
  patches.arch/arm64-0010-ARM64-PCI-Implement-AML-accessors-for-PCI_Config-reg.patch.
- Refresh
  patches.arch/arm64-0011-ARM64-PCI-Support-ACPI-based-PCI-host-controller.patch.
- Refresh
  patches.arch/arm64-Add-workaround-for-Cavium-erratum-27456.patch.
- Refresh patches.arch/arm64-dts-vulcan-Update-PCI-ranges.patch.
- Refresh
  patches.arch/arm64-gpio-xgene-sb-Use-irq_domain_free_irqs_common.patch.
- Refresh
  patches.arch/arm64-gpio-xlp-Add-GPIO-driver-support-for-Broadcom-Vulcan.patch.
- Refresh
  patches.arch/arm64-lib-improve-copy_page-to-deal-with-128-bytes-a.patch.
- Refresh
  patches.arch/arm64-lib-patch-in-prfm-for-copy_page-if-requested.patch.
- Refresh
  patches.arch/arm64-net-thunderx-Fix-broken-of_node_put-code.patch.
- Refresh
  patches.arch/arm64-pci-0025-net-thunder-bgx-Start-to-use-standard-firmware-node-.patch.
- Refresh
  patches.arch/arm64-perf-Count-EL2-events-if-the-kernel-is-running.patch.
- Refresh
  patches.arch/arm64-perf-Extend-ARMV8_EVTYPE_MASK-to-include-PMCR..patch.
- Refresh
  patches.arch/arm64-prefetch-add-alternative-pattern-for-CPUs-with.patch.
- Refresh
  patches.arch/arm64-spi-xlp-Enable-SPI-driver-for-Broadcom-Vulcan-ARM64.patch.
- Refresh
  patches.arch/arm64-thd-net-thunderx-use-napi_schedule_irqoff.patch.
- commit 6ee1d5c
* Wed Aug 10 2016 mbrugger@suse.com
- Refresh
  patches.arch/arm64-0001-arm64-NUMA-rework-numa_add_memblk.patch.
- Refresh
  patches.arch/arm64-0002-arm64-NUMA-Cleanup-NUMA-disabled-messages.patch.
- Refresh
  patches.arch/arm64-0004-arm64-ACPI-NUMA-NUMA-support-based-on-SRAT-and-SLIT.patch.
- Refresh
  patches.arch/arm64-0010-ACPI-processor-Add-acpi_map_madt_entry.patch.
- Refresh
  patches.arch/arm64-ACPI-NUMA-Enable-ACPI-based-NUMA-on-ARM64.patch.
- commit 0b2a120
* Wed Aug 10 2016 ohering@suse.de
- ixgbevf: Use mac_ops instead of trying to identify NIC type
  (fate#320485).
- commit 426b28c
* Wed Aug 10 2016 ohering@suse.de
- ixgbevf: Support Windows hosts (Hyper-V) (fate#320485).
- ixgbevf: Move API negotiation function into mac_ops
  (fate#320485).
- ixgbevf: Add the device ID's presented while running on Hyper-V
  (fate#320485).
- commit 15858b0
* Wed Aug 10 2016 jthumshirn@suse.de
- ipr: Fix sync scsi scan (bsc#992207).
- commit e1d1991
* Wed Aug 10 2016 rgoldwyn@suse.com
- [v3, 3/3] btrfs: qgroup: Fix qgroup incorrectness caused by
  log replay (bsc983087, bsc986255).
- [v3,2/3] btrfs: relocation: Fix leaking qgroups numbers on data extents (bsc983087, bsc986255).
- [v3,1/3] btrfs: qgroup: Refactor
  btrfs_qgroup_insert_dirty_extent() (bsc983087, bsc986255).
- commit a1d5cf1
* Wed Aug 10 2016 jack@suse.cz
- sd: Fix rw_max for devices that report an optimal xfer size
  (bsc#991414).
- Refresh patches.suse/sd-configure-ZBC-devices.patch.
- commit 158256b
* Wed Aug 10 2016 ohering@suse.de
- hv_netvsc: Fix VF register on bonding devices (fate#320485).
- PCI: hv: Fix interrupt cleanup path (fate#320485).
- tools: hv: Add a script to help bonding synthetic and VF NICs
  (fate#320485).
- netvsc: Use the new in-place consumption APIs in the rx path
  (fate#320485).
- PCI: hv: Handle all pending messages in
  hv_pci_onchannelcallback() (fate#320485).
- PCI: hv: Don't leak buffer in hv_pci_onchannelcallback()
  (fate#320485).
- random: add interrupt callback to VMBus IRQ handler
  (fate#320485).
- netvsc: get rid of completion timeouts (fate#320485).
- hv_netvsc: pass struct net_device to
  rndis_filter_set_offload_params() (fate#320485).
- hv_netvsc: pass struct net_device to
  rndis_filter_set_device_mac() (fate#320485).
- hv_netvsc: pass struct netvsc_device to rndis_filter_{open,
  close}() (fate#320485).
- hv_netvsc: introduce {net, hv}_device_to_netvsc_device()
  helpers (fate#320485).
- hv_netvsc: remove redundant assignment in netvsc_recv_callback()
  (fate#320485).
- commit 0f0d07c
* Wed Aug 10 2016 ohering@suse.de
- add mainline tag to hv_netvsc/hv_storvsc patches
- commit 9a1d7a0
* Wed Aug 10 2016 neilb@suse.com
- SUNRPC: disable the use of IPv6 temporary addresses
  (bsc#986395).
- commit 4ba9264
* Wed Aug 10 2016 jjolly@suse.de
- s390/sclp_ctl: fix potential information leak with /dev/sclp
  (bsc#987542).
- commit e9fbd90
* Tue Aug  9 2016 bpoirier@suse.com
- net/mlx4_core: Check device state before unregistering it
  (bsc#966191 FATE#320230).
- net/mlx4_en: Add resilience in low memory systems (bsc#966191
  FATE#320230).
- net/mlx4_en: Move filters cleanup to a proper location
  (bsc#966191 FATE#320230).
- net/mlx4: Fix some indent inconsistancy (bsc#966191
  FATE#320230).
- net/mlx4_en: Avoid unregister_netdev at shutdown flow
  (bsc#966191 FATE#320230).
- net/mlx4_en: Fix the return value of a failure in VLAN VID
  add/kill (bsc#966191 FATE#320230).
- net/mlx4_en: initialize cmd.context_lock spinlock earlier
  (bsc#966191 FATE#320230).
- net/mlx4_en: fix ethtool -x (bsc#966191 FATE#320230).
- net/mlx4_en: mlx4_en_netpoll() should schedule TX, not RX
  (bsc#966191 FATE#320230).
- net/mlx4_en: get rid of private net_device_stats (bsc#966191
  FATE#320230).
- net/mlx4_en: get rid of ret_stats (bsc#966191 FATE#320230).
- net/mlx4_en: clear some TX ring stats in mlx4_en_clear_stats()
  (bsc#966191 FATE#320230).
- net/mlx4_en: fix tx_dropped bug (bsc#966191 FATE#320230).
- net/mlx4_core: Fix access to uninitialized index (bsc#966191
  FATE#320230).
- net/mlx4: Avoid wrong virtual mappings (bsc#966191 FATE#320230).
- mlx4: protect mlx4_en_start_port in mlx4_en_restart with
  rtnl_lock (bsc#966191 FATE#320230).
- commit d90b40b
* Tue Aug  9 2016 bpoirier@suse.com
- Delete
  patches.arch/arm64-thd-0039-net-mlx4-Remove-improper-usage-of-dma_alloc_coherent.patch.
  It will be replaced by its upstream version.
- commit a21884e
* Tue Aug  9 2016 mbrugger@suse.com
- Refresh
  patches.arch/arm64-0003-KVM-arm-arm64-Check-for-broadcast-TLBI-support.patch.
- commit 5f9efe2
* Tue Aug  9 2016 jack@suse.cz
- xfs: Silence warnings in xfs_vm_releasepage() (bnc#915183
  bsc#987565).
- Delete patches.suse/xfs-skip-dirty-pages-in-releasepage.patch.
- commit 40e8297
* Tue Aug  9 2016 jthumshirn@suse.de
- aacraid: Check size values after double-fetch from user
  (CVE-2016-6480 bsc#991608).
- Delete
  patches.drivers/0023-aacraid-prevent-out-of-bounds-access-due-to-changing.patch.
- commit f29fadb
* Tue Aug  9 2016 jthumshirn@suse.de
- mpt3sas - remove unused fw_event_work elements (bsc#990936).
- commit cf3b65b
* Tue Aug  9 2016 jeffm@suse.com
- btrfs: waiting on qgroup rescan should not always be interruptible (bsc#992712).
- commit 8392968
* Mon Aug  8 2016 jthumshirn@suse.de
- SAS: use sas_rphy instead of sas_end_device to obtain address
  (bsc#992492).
- commit 66149d3
* Mon Aug  8 2016 jroedel@suse.de
- iommu/amd: Update Alias-DTE in update_device_table()
  (bsc#975772).
- commit 6084b3c
* Mon Aug  8 2016 jlee@suse.com
- Enforce module signatures when securelevel is greater than 0
  (fate#320387, bsc#992522).
- commit 7a1fa80
* Fri Aug  5 2016 tonyj@suse.de
- Revert
  patches.kernel.org/perf-test-ignore-kcore-files-in-the-vmlinux-matches-kallsyms-test.patch.
  Without associated fix e02092b9a922f17e951b2df5f12f4aafe7383a21 it breaks perf
  tools build
- commit f01ecda
* Fri Aug  5 2016 jack@suse.cz
- ext4: Avoid deadlock when expanding inode size (bsc#991671).
- ext4: Properly align shifted xattrs when expanding inodes
  (bsc#991671).
- ext4: Fix xattr shifting when expanding inodes (2) (bsc#991671).
- ext4: Fix xattr shifting when expanding inodes (bsc#991671).
- commit bfd4ccc
* Fri Aug  5 2016 mmarek@suse.com
- Set CONFIG_PANIC_TIMEOUT=0 to restore SP1 behavior (bsc#992368)
- commit 2d1840e
* Fri Aug  5 2016 jthumshirn@suse.de
- ipr: Fix error return code in ipr_probe_ioa() (bsc#992207).
- ipr: Wait to do async scan until scsi host is initialized
  (bsc#992207).
- ipr: Increase MSIX vectors number (bsc#992207).
- ipr: Add new CCIN for new adapters support (bsc#992207).
- commit 89730f1
* Fri Aug  5 2016 jthumshirn@suse.de
- hpsa: Fix type ZBC conditional checks (bsc#972413).
- commit 88ebbb3
* Fri Aug  5 2016 jslaby@suse.cz
- rpm/constraints.in: set memory minimum for binaries
  Binary packages are sometimes built on machines with 1G. For example
  one arm build ran in a VM with -smp 1 -m 1024. And it caused OOMs.
  So set the minimal memory to 2G for all archs.
- commit b3acaa2
* Fri Aug  5 2016 vbabka@suse.cz
- arch/powerpc/kernel/fadump.c: register the memory reserved by
  fadump (VM Functionality, bsc#989618).
- mm/page_alloc.c: replace set_dma_reserve to set_memory_reserve
  (VM Functionality, bsc#989618).
- commit 3c90395
* Fri Aug  5 2016 jslaby@suse.cz
- 9p: use file_dentry().
- ARC: unwind: ensure that .debug_frame is generated
  (vs. .eh_frame).
- arc: unwind: warn only once if DW2_UNWIND is disabled.
- block: fix use-after-free in sys_ioprio_get().
- cgroup: set css->id to -1 during init.
- clk: rockchip: initialize flags of clk_init_data in mmc-phase
  clock.
- dmaengine: at_xdmac: align descriptors on 64 bits.
- dmaengine: at_xdmac: double FIFO flush needed to compute
  residue.
- dmaengine: at_xdmac: fix residue corruption.
- ecryptfs: don't allow mmap when the lower fs doesn't support it
  (bsc#983143 CVE-2016-1583).
- ext4: verify extent header depth.
- fs/nilfs2: fix potential underflow in call to crc32_le.
- Input: elantech - add more IC body types to the list.
- Input: tsc200x - report proper input_dev name.
- Input: vmmouse - remove port reservation.
- Input: wacom_w8001 - w8001_MAX_LENGTH should be 13.
- Input: xpad - fix oops when attaching an unknown Xbox One
  gamepad.
- Input: xpad - validate USB endpoint count during probe.
- kernel/sysrq, watchdog, sched/core: Reset watchdog on all CPUs
  while processing sysrq-w.
- locks: use file_inode().
- mm, meminit: always return a valid node from early_pfn_to_nid
  (bnc#988344).
- mm, meminit: ensure node is online before checking whether
  pages are uninitialised.
- mm, slb: add __GFP_ATOMIC to the GFP reclaim mask (bnc#971975).
- mmc: block: fix packed command header endianness.
- namespace: update event counter when umounting a deleted dentry.
- ovl: handle ATTR_KILL*.
- perf test: Ignore kcore files in the "vmlinux matches kallsyms"
  test.
- pinctrl: imx: Do not treat a PIN without MUX register as
  an error.
- pinctrl: single: Fix missing flush of posted write for
  a wakeirq.
- platform/chrome: cros_ec_dev - double fetch bug in ioctl.
- power_supply: power_supply_read_temp only if use_cnt > 0.
- pvclock: Add CPU barriers to get correct version value.
- qeth: delete napi struct when removing a qeth device
  (bnc#988217, LTC#143590).
- spi: sun4i: fix FIFO limit.
- spi: sunxi: fix transfer timeout.
- vmlinux.lds: account for destructor sections.
- x86/quirks: Add early quirk to reset Apple AirPort card.
- x86/quirks: Apply nvidia_bugs quirk only on root bus.
- x86/quirks: Reintroduce scanning of secondary buses.
- xen/pciback: Fix conf_space read/write overlap check.
- xenbus: don't bail early from xenbus_dev_request_and_reply().
- xenbus: don't BUG() on user mode induced condition.
- Refresh
  patches.suse/sched-fair-Initiate-a-new-task-s-util-avg-to-a-bound.patch.
- Delete patches.arch/s390-sles12sp2-03-02-qeth-napi-del.patch.
- Delete
  patches.fixes/0001-ecryptfs-don-t-allow-mmap-when-the-lower-file-system.patch.
- Delete
  patches.suse/mm-meminit-always-return-a-valid-node-from-early_pfn_to_nid.patch.
- Delete
  patches.suse/mm-slaub-Add-__GFP_ATOMIC-to-the-GFP-reclaim-mask.patch.
  4.4.17 stable queue.
- commit ebbeb3d
* Fri Aug  5 2016 hare@suse.de
- dm mpath: fix potential for dropping queue_if_no_path due to
  multiple path failures (bsc#992073).
- target: work around data corruption issue in tfc_io
  (bsc#990245).
- commit 789322b
* Fri Aug  5 2016 dchang@suse.com
- net/mlx5e: Fix del vxlan port command buffer memset (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Validate BW weight values of ETS (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Fix select queue callback (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5e: Use ndo_stop explicitly at shutdown flow (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/core: Fix false search of the IB_SA_WELL_KNOWN_GUID
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Prevent adding the same vxlan port (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Check for BlueFlame capability before allocating
  SQ uar (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Fix wrong naming of port_rcv_data counter (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Limit query HCA clock (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB/core: Fix bit curruption in ib_device_cap_flags structure
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/core: Fix query port failure in RoCE (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5: E-Switch, Modify node guid on vf set MAC (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: E-Switch, Use the correct error check on returned
  pointers (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: E-Switch, Use the correct free() function (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Fix flow steering NIC capabilities check (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Fix root flow table update (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5: Fix MLX5_CMD_OP_MAX to be defined correctly
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- commit 5da8722
* Fri Aug  5 2016 dchang@suse.com
- qed: Fix removal of spoof checking for VFs (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qede: Don't try removing unconfigured vlans (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- commit 8b2575a
* Fri Aug  5 2016 dchang@suse.com
- bnxt: fix a condition (bsc#963575 FATE#320144).
- commit 3f87816
* Fri Aug  5 2016 dchang@suse.com
- be2net: signedness bug in be_msix_enable() (bsc#963844
  FATE#320192).
- commit 0625c5a
* Fri Aug  5 2016 dchang@suse.com
- IB/core: Fix RoCE v1 multicast join logic issue (bsc#973818
  FATE#319242).
- IB/hfi1: Fix hard lockup due to not using save/restore spin lock
  (bsc#973818 FATE#319242).
- commit c5c7737
* Thu Aug  4 2016 mbrugger@suse.com
- Refresh
  patches.arch/arm64-thd-pmu-1-5-arm64-perf-Rename-Cortex-A57-events.patch.
- Refresh
  patches.arch/arm64-thd-pmu-3-5-arm64-dts-Add-Cavium-ThunderX-specific-PMU.patch.
- Refresh
  patches.arch/arm64-thd-pmu-4-5-arm64-perf-Enable-PMCR-long-cycle-counter-bit.patch.
- Refresh
  patches.arch/arm64-thd-pmu-5-5-arm64-perf-Extend-event-mask-for-ARMv8.1.patch.
- Refresh
  patches.arch/arm64-xgene-get_phy_device-doesn-t-return-NULL-anymore.patch.
- commit 1c05920
* Thu Aug  4 2016 fdmanana@suse.com
- Refresh
  patches.suse/btrfs-log-error-when-an-extent-item-is-not-found-for.patch.
- commit f3c14d2
* Thu Aug  4 2016 mbrugger@suse.com
- arm64: Add workaround for Cavium erratum 26026 (bsc#986099).
- Update config files.
- KVM: arm/arm64: Check for broadcast TLBI support (bsc#986099).
- arm64: Implement IPI based TLB invalidation (bsc#986099).
- arm64: insn: Do not disable irqs during patching (bsc#986099).
- commit 50bfa2c
* Thu Aug  4 2016 jthumshirn@suse.de
- mpt3sas: Don't spam logs if logging level is 0 (bsc#990936).
- commit cdc27b5
* Thu Aug  4 2016 jthumshirn@suse.de
- aacraid: prevent out-of-bounds access due to changing fip
  header sizes (bsc#991608, CVE-2016-6480).
- commit b098f85
* Thu Aug  4 2016 fdmanana@suse.com
- Btrfs: log error when an extent item is not found for update
  (bsc#990384).
- commit 19108df
* Thu Aug  4 2016 neilb@suse.com
- raid1/raid10: slow down resync if there is non-resync activity
  pending (bsc#985199).
- commit 84b5b6b
* Thu Aug  4 2016 neilb@suse.com
- Revert "SUNRPC: xs_sock_mark_closed() does not need to trigger
  socket autoclose" (bsc#990356).
- commit d8ef88e
* Wed Aug  3 2016 mbrugger@suse.com
- Refresh
  patches.arch/arm64-0001-Documentation-EDAC-Update-xgene-binding-for-missing-.patch.
- Refresh
  patches.arch/arm64-0001-staging-fsl-mc-update-dpmcp-binary-interface-to-v3.0.patch.
- Refresh
  patches.arch/arm64-0002-staging-fsl-mc-add-dprc-version-check.patch.
- Refresh
  patches.arch/arm64-0003-staging-fsl-mc-add-dpmcp-version-check.patch.
- Refresh
  patches.arch/arm64-0003-staging-fsl-mc-update-dprc-binary-interface-to-v5.1.patch.
- Refresh
  patches.arch/arm64-0004-staging-fsl-mc-return-EINVAL-for-all-fsl_mc_portal_a.patch.
- Refresh
  patches.arch/arm64-0005-staging-fsl-mc-set-up-coherent-dma-ops-for-added-dev.patch.
- Refresh
  patches.arch/arm64-0006-staging-fsl-mc-set-cacheable-flag-for-added-devices-.patch.
- commit a7fa2c5
* Wed Aug  3 2016 mgorman@suse.com
- cpuidle: menu: use high confidence factors only when considering
  polling (bnc#969297 PM performance -- cpu idle).
- commit 9973229
* Wed Aug  3 2016 hare@suse.de
- fcoe: Use kfree_skb() instead of kfree().
- fcoe: Add FIP responder on the real network device (bsc#989133).
- fcoe: set default TC priority (bnc#990245).
- commit 8e0b312
* Wed Aug  3 2016 hare@suse.de
- libfc: reset timeout on queue full (bnc#990245).
- libfc: Do not drop out-of-order frames (bnc#990245).
- libfc: Implement RTV responder (bnc#990245).
- libfc: don't advance state machine for incoming FLOGI
  (bnc#990245).
- libfc: Send LS_RJT responses on frame allocation (bnc#990245).
- fc: add missing ELS explanation values (bnc#990245).
- libfc: frame alloc failure messages (bnc#990245).
- libfc: use error code for fc_rport_error() (bnc#990245).
- libfc: do not overwrite DID_TIME_OUT status (bnc#990245).
- libfc: don't fail sequence abort for completed (bnc#990245).
- fcoe: inhibit writing invalid values into the 'enabled'
  (bnc#990245).
- libfc: use configured e_d_tov for remote port state
  (bnc#990245).
- libfc: use configured lport R_A_TOV when sending (bnc#990245).
- fcoe: make R_A_TOV and E_D_TOV configurable (bnc#990245).
- fcoe: filter out frames from invalid vlans (bnc#990245).
- libfc: Debug PRLI failures (bnc#990245).
- libfc: Do not attempt to login if the port is already
  (bnc#990245).
- libfc: spurious I/O error under high load (bnc#990245).
- fcoe: FIP debugging (bnc#990245).
- libfc: additional debugging messages (bnc#990245).
- libfc: Revisit kref handling (bnc#990245).
- commit c14e62d
* Wed Aug  3 2016 tiwai@suse.de
- drm/ttm: fix kref count mess in ttm_bo_move_to_lru_tail
  (bsc#991038).
- drm/ttm: add ttm_bo_move_to_lru_tail function v2 (bsc#991038).
- drm: add drm_pcie_get_max_link_width helper (v2) (bsc#991038).
- commit c4f48d5
* Wed Aug  3 2016 bp@suse.de
- ratelimit: fix bug in time interval by resetting right begin
  time (bsc#979928).
- ratelimit: extend to print suppressed messages on release
  (bsc#979928).
- printk: add kernel parameter to control writes to /dev/kmsg
  (bsc#979928).
- Delete patches.suse/printk-kmsg-Ratelimit-it.patch.
- commit 0794975
* Wed Aug  3 2016 dbueso@suse.de
- locking: avoid passing around 'thread_info' in mutex debugging code (bsc#96975).
- commit 41f8f0e
* Wed Aug  3 2016 bpoirier@suse.com
- IB/core: Fix no default GIDs when netdevice reregisters
  (bsc#991597).
- IB/core: Fix removal of default GID cache entry (bsc#991597).
- commit ed2418b
* Tue Aug  2 2016 jthumshirn@suse.de
- lpfc: fix oops in lpfc_sli4_scmd_to_wqidx_distr() from lpfc_send_taskmgmt() (bsc#990511).
- commit 923bbee
* Mon Aug  1 2016 jlee@suse.com
- x86: Removed the free memblock of hibernat keys to avoid memory
  corruption (bsc#990058).
- commit aa8c395
* Mon Aug  1 2016 jslaby@suse.cz
- rpm/constraints.in: inscrease binary size req to 25G
  Currently, the build of master's -default kernel consumes exactly 20G.
  So increase the limit from 20G to 25G to stop build failures in the
  BS.
- commit c8360d6
* Sat Jul 30 2016 jjolly@suse.de
- af_iucv: use paged SKBs for big outbound messages (bnc#988934,
  LTC#143715).
- af_iucv: remove fragment_skb() to use paged SKBs (bnc#988934,
  LTC#143715).
- af_iucv: use paged SKBs for big inbound messages (bnc#988934,
  LTC#143715).
- Revert "s390/kdump: Clear subchannel ID to signal non-CCW/SCSI
  IPL" (bnc#988934, LTC#143668).
- commit 17a0f29
* Fri Jul 29 2016 duwe@suse.de
- KVM: PPC: Book3S HV: Save/restore TM state in H_CEDE
  (bsc#991065, CVE-2016-5412).
- KVM: PPC: Book3S HV: Pull out TM state save/restore into
  separate procedures (bsc#991065, CVE-2016-5412).
- commit 7667f27
* Fri Jul 29 2016 duwe@suse.de
- cxlflash: Verify problem state area is mapped before notifying
  shutdown (bsc#991173).
- cxlflash: Shutdown notify support for CXL Flash cards
  (bsc#991173).
- cxlflash: Add device dependent flags (bsc#991173).
- cxlflash: Fix to drain operations from previous reset
  (bsc#991173).
- cxl: Make vPHB device node match adapter's (bsc#991173).
- cxlflash: Fix to resolve dead-lock during EEH recovery
  (bsc#991173).
- cxlflash: Move to exponential back-off when cmd_room is not
  available (bsc#991173).
- cxlflash: Fix regression issue with re-ordering patch
  (bsc#991173).
- cxlflash: Increase cmd_per_lun for better throughput
  (bsc#991173).
- cxlflash: Fix to avoid unnecessary scan with internal LUNs
  (bsc#991173).
- commit 95ee809
* Fri Jul 29 2016 duwe@suse.de
- ibmvnic: Fix passive VNIC server login process (bsc#990776).
- ibmvnic: simplify and improve driver probe function
  (bsc#990776).
- ibmvnic: dispose irq mappings (bsc#990776).
- ibmvnic: properly start and stop tx queues (bsc#990776).
- ibmvnic: fix to use list_for_each_safe() when delete items
  (bsc#990776).
- commit 3cb8110
* Fri Jul 29 2016 aaptel@suse.com
- fs/cifs: fix wrongly prefixed path to root (bsc#963655, bsc#979681)
- commit e65f576
* Fri Jul 29 2016 neilb@suse.com
- exportfs: be careful to only return expected errors
  (bsc#989116).
- commit 9103bb3
* Fri Jul 29 2016 dchang@suse.com
- be2net: perform temperature query in adapter regardless of
  its interface state (bsc#990973).
- commit 35b0a59
* Fri Jul 29 2016 gqjiang@suse.com
- md-cluster: remove EXPERIMENTAL info (fate#316335).
- md-cluster: clean related infos of cluster (fate#316335).
- md-cluster: make resync lock also could be interruptted
  (fate#316335 bsc#986923).
- md: changes for MD_STILL_CLOSED flag (fate#316335).
- md-cluster: introduce dlm_lock_sync_interruptible to fix tasks
  hang (fate#316335 bsc#980489).
- md-cluster: remove some unnecessary dlm_unlock_sync
  (fate#316335).
- md-cluster: use FORCEUNLOCK in lockres_free (fate#316335).
- md-cluster: call md_kick_rdev_from_array once ack failed
  (fate#316335).
- commit 2fe5ca3
* Fri Jul 29 2016 tonyj@suse.de
- audit: fix a double fetch in audit_log_single_execve_arg()
  (bsc#988153, CVE#2016-6136).
- commit a825aa9
* Thu Jul 28 2016 bpoirier@suse.com
- cxgb4: Force cxgb4 driver as MASTER in kdump kernel
  (bsc#990987).
- cxgb4: Add device id of T540-BT adapter (bsc#990987).
- cxgb4: Avoids race and deadlock while freeing tx descriptor
  (bsc#990987).
- commit 2f418aa
* Thu Jul 28 2016 hare@suse.de
- mpt3sas: Ensure the connector_name string is NUL-terminated
  (bsc#989113).
- ses: Fix racy cleanup of /sys in remove_dev() (bsc#989094).
- commit 4049024
* Thu Jul 28 2016 brogers@suse.com
- Update config files.
  Disable deprecated KVM_DEVICE_ASSIGNMENT (fate#320350)
- commit 58f34eb
* Thu Jul 28 2016 tiwai@suse.de
- mm: Export nr_swap_pages (bsc#991038).
- drm: fix potential dangling else problems in for_each_ macros
  (bsc#991038).
- drm/edid: Fix DMT 1024x768@43Hz (interlaced) timings
  (bsc#991038).
- drm/edid: Fix parsing of EDID 1.4 Established Timings III
  descriptor (bsc#991038).
- drm/edid: Fix EDID Established Timings I and II (bsc#991038).
- drm/atomic: Allow for holes in connector state, v2 (bsc#991038).
- drm/core: Add drm_for_each_encoder_mask, v2 (bsc#991038).
- drm/atomic: Add encoder_mask to crtc_state, v3 (bsc#991038).
- drm/i915: Update connector_mask during readout, v2 (bsc#991038).
- drm/atomic: Do not unset crtc when an encoder is stolen
  (bsc#991038).
- drm/i915: Do not touch best_encoder for load detect
  (bsc#991038).
- drm/core: Add drm_encoder_index (bsc#991038).
- drm/mst: Add range check for max_payloads during init
  (bsc#991038).
- drm: initialize default rotation value to DRM_ROTATE_0
  (bsc#991038).
- drm/edid: index CEA/HDMI mode tables using the VIC (bsc#991038).
- drm/atomic-helper: Reject legacy flips on a disabled pipe
  (bsc#991038).
- drm/atomic: add connector mask to drm_crtc_state (bsc#991038).
- drm/i915: Set connector_state->connector using the helper
  (bsc#991038).
- drm/atomic: Add __drm_atomic_helper_connector_reset, v2
  (bsc#991038).
- drm/fb-helper: Use proper plane mask for fb cleanup
  (bsc#991038).
- drm/dp/mst: save vcpi with payloads (bsc#991038).
- drm/dp/mst: reply with ACK for UP reqs (bsc#991038).
- drm: Only merge mode type bits between new probed modes
  (bsc#991038).
- drm: Flatten drm_mode_connector_list_update() a bit
  (bsc#991038).
- drm: Rename MODE_UNVERIFIED to MODE_STALE (bsc#991038).
- drm/atomic-helper: Reject attempts at re-stealing encoders
  (bsc#991038).
- drm/atomic-helper: Implement subsystem-level suspend/resume
  (bsc#991038).
- drm: Add helper for DP++ adaptors (bsc#991038).
- drm: Implement drm_modeset_lock_all_ctx() (bsc#991038).
- drm/edid: Make the detailed timing CEA/HDMI mode fixup accept
  up to 5kHz clock difference (bsc#991038).
- drm: Serialise multiple event readers (bsc#991038).
- drm: Drop dev->event_lock spinlock around faulting
  copy_to_user() (bsc#991038).
- commit f2e84f3
* Thu Jul 28 2016 dchang@suse.com
- bnxt_en: Add new NPAR and dual media device IDs (bsc#963575
  FATE#320144).
- Delete
  patches.drivers/bnxt-0099-bnxt_en-Add-BCM58700-PCI-device-ID-for-NS2-Nitro.patch.
- Delete
  patches.drivers/bnxt-0100-bnxt_en-Add-new-NPAR-and-dual-media-device-IDs.patch.
- commit 3306c78
* Wed Jul 27 2016 jslaby@suse.cz
- Linux 4.4.16 (CVE-2016-1237 CVE-2016-4470 CVE-2016-4794
  CVE-2016-5828 CVE-2016-5829 CVE-2016-6197 LTC#143138
  bnc#980265 bnc#981051 bnc#983977 bnc#988217 bnc#988552
  bsc#969756 bsc#975772 bsc#981825 bsc#983907 bsc#984658
  bsc#984755 bsc#984993 bsc#985936 bsc#986569 bsc#986570
  bsc#986572 bsc988708 bsc#983619).
- Refresh
  patches.arch/arm64-bcm2837-0169-usb-dwc2-host-Add-scheduler-tracing.patch.
- Refresh
  patches.suse/mm-page_owner-copy-page-owner-info-during-migration.patch.
- Refresh
  patches.suse/overlayfs-add-compatibility-mode-for-historical-format.
- Delete patches.arch/s390-sles12sp2-03-01-test-fp-ctl.patch.
- Delete
  patches.drivers/0001-cdc_ncm-workaround-for-EM7455-silent-data-interface.patch.
- Delete
  patches.drivers/drm-mgag200-Black-screen-fix-for-G200e-rev-4.patch.
- Delete
  patches.drivers/iommu-amd-fix-unity-mapping-initialization-race.
- Delete
  patches.drivers/iommu-vt-d-enable-qi-on-all-iommus-before-setting-root-entry.
- Delete
  patches.drivers/virtio_balloon-fix-pfn-format-for-virtio-1.patch.
- Delete
  patches.fixes/0001-KEYS-potential-uninitialized-variable.patch.
- Delete
  patches.fixes/0001-locking-qspinlock-Fix-spin_unlock_wait-some-more.patch.
- Delete patches.fixes/0001-posix_acl-Add-set_posix_acl.patch.
- Delete
  patches.fixes/0002-nfsd-check-permissions-when-setting-ACLs.patch.
- Delete
  patches.fixes/base-make-module_create_drivers_dir-race-free.patch.
- Delete patches.fixes/hid-hiddev-validate-num_values.patch.
- Delete
  patches.fixes/ovl-verify-upper-dentry-before-unlink-and-rename.patch.
- Delete
  patches.fixes/percpu-fix-synchronization-between-chunk-map_extend_work-and-chunk-destruction.patch.
- Delete
  patches.fixes/percpu-fix-synchronization-between-synchronous-map-extension-and-chunk-destruction.patch.
- Delete
  patches.fixes/powerpc-iommu-Remove-the-dependency-on-EEH-struct-in-DDW-mechanism.
- Delete
  patches.fixes/powerpc-pseries-Fix-PCI-config-address-for-DDW.
- Delete
  patches.fixes/powerpc-tm-Always-reclaim-in-start_thread-for-exec-class-syscalls.
- Delete
  patches.fixes/tty-vt-Fix-soft-lockup-in-fbcon-cursor-blink-timer.patch.
- Delete
  patches.suse/0001-btrfs-account-for-non-CoW-d-blocks-in-btrfs_abort_tr.patch.
- Delete
  patches.suse/0001-locking-ww_mutex-Report-recursive-ww_mutex-locking-e.patch.
- Delete
  patches.suse/sched-fair-Fix-cfs_rq-avg-tracking-underflow.patch.
- commit 53ee7c8
* Wed Jul 27 2016 tiwai@suse.de
- drm/i915: Setup DDI clk for MST on SKL (bsc#990203).
- commit 355f129
* Wed Jul 27 2016 fdmanana@suse.com
- Btrfs: add warning on failure to do delayed update of inodes
  (bsc#990384).
- commit f8df460
* Wed Jul 27 2016 afaerber@suse.de
- config: arm64: Disable LIQUIDIO
  Cavium LiquidIO PCIe NICs are unrelated to the ThunderX NIC (fate#319484)
  and not enabled for other architectures such as x86_64 or ppc64le.
  Let's clean this up for now by dropping it from both supported.conf and
  arm64 default config.
- commit dd40c56
* Wed Jul 27 2016 duwe@suse.de
- powerpc/pci: Assign fixed PHB number based on device-tree
  properties (bsc#989311).
- commit 9f32a4f
* Wed Jul 27 2016 duwe@suse.de
- powerpc/eeh: Fix invalid cached PE primary bus (bsc#988332).
- commit e35138a
* Wed Jul 27 2016 mkubecek@suse.cz
- Update
  patches.fixes/netfilter-x_tables-speed-up-jump-target-validation.patch
  references (add CVE-2016-4998 bsc#986365).
- Update patches.kernel.org/patch-4.4.13-14
  references (add CVE-2016-4998 bsc#986365).
- commit 88a4b0c
* Wed Jul 27 2016 jack@suse.cz
- Update headers:
- patches.drivers/DAX-move-RADIX_DAX_-definitions-to-dax.c.patch.
- patches.drivers/dax-Allow-DAX-code-to-replace-exceptional-entries.patch.
- patches.drivers/dax-Define-DAX-lock-bit-for-radix-tree-exceptional-e.patch.
- patches.drivers/dax-Fix-condition-for-filling-of-PMD-holes.patch.
- patches.drivers/dax-Make-huge-page-handling-depend-of-CONFIG_BROKEN.patch.
- patches.drivers/dax-New-fault-locking.patch.
- patches.drivers/dax-Remove-complete_unwritten-argument.patch.
- patches.drivers/dax-Remove-dead-zeroing-code-from-fault-handlers.patch.
- patches.drivers/dax-Remove-i_mmap_lock-protection.patch.
- patches.drivers/dax-Remove-pointless-writeback-from-dax_do_io.patch.
- patches.drivers/dax-Remove-redundant-inode-size-checks.patch.
- patches.drivers/dax-Remove-unused-variable-in-__dax_pmd_fault.patch.
- patches.drivers/dax-Remove-zeroing-from-dax_io.patch.
- patches.drivers/dax-Use-radix-tree-entry-lock-to-protect-cow-faults.patch.
- patches.drivers/ext2-Avoid-DAX-zeroing-to-corrupt-data.patch.
- patches.drivers/ext2-Fix-block-zeroing-in-ext2_get_blocks-for-DAX.patch.
- commit be8fc9a
* Wed Jul 27 2016 jack@suse.cz
- kabi: Add placeholder into struct vm_fault (fate#319256).
- commit 3584a56
* Wed Jul 27 2016 schwab@suse.de
- group-source-files.pl: mark arch/*/scripts as devel
  make[2]: /usr/src/linux-4.6.4-2/arch/powerpc/scripts/gcc-check-mprofile-kernel.sh: Command not found
- commit aa32770
* Wed Jul 27 2016 mkubecek@suse.cz
- tcp: enable per-socket rate limiting of all 'challenge acks'
  (bsc#989152).
- tcp: make challenge acks less predictable (CVE-2016-5696
  bsc#989152).
- commit cd31dd5
* Wed Jul 27 2016 mkubecek@suse.cz
- ppp: defer netns reference release for ppp channel (bsc#980371).
- commit f729fbe
* Tue Jul 26 2016 dchang@suse.com
- bnxt_en: Add new NPAR and dual media device IDs (bsc#963575
  FATE#320144).
- bnxt_en: Add BCM58700 PCI device ID for NS2 Nitro (bsc#963575
  FATE#320144).
- commit a30a5e8
* Tue Jul 26 2016 duwe@suse.de
- powerpc: Increase RMA size (bsc#984530).
- commit fc40475
* Mon Jul 25 2016 jslaby@suse.cz
- pps: do not crash when failed to register (bnc#983513).
- commit 6d791be
* Mon Jul 25 2016 jthumshirn@suse.de
- nfit: make DIMM DSMs optional (bsc#989647).
- commit 83533e7
* Mon Jul 25 2016 ohering@suse.de
- increase AF_MAX (bnc#978258, fate#320295).
- commit e8582be
* Fri Jul 22 2016 jbohac@suse.cz
- bridge: remove br_netfilter warning (bsc#937216).
- commit b3de0c1
* Fri Jul 22 2016 mkubecek@suse.cz
- netfilter: x_tables: speed up jump target validation
  (CVE-2016-4997 bsc#986362).
- commit 0eab033
* Thu Jul 21 2016 agraf@suse.de
- Disable all ARMv8.1 features (bsc#981051)
- commit b243992
* Thu Jul 21 2016 jthumshirn@suse.de
- devm_mmremap_pages: fix vmem_altmap lifetime + alignment handling (bsc#989781).
- commit 7efdd39
* Thu Jul 21 2016 jthumshirn@suse.de
- /dev/dax, core: file operations and dax-mmap (FATE#319858).
- nfit: cleanup acpi_nfit_init calling convention (FATE#320897).
- nfit: fix _FIT evaluation memory leak + use after free
  (FATE#320897).
- commit ad6ba42
* Wed Jul 20 2016 jdelvare@suse.de
- Refresh
  patches.fixes/mei-me-disable-driver-on-SPT-SPS-firmware.patch.
  Update patch reference.
- commit 122c127
* Wed Jul 20 2016 jdelvare@suse.de
- mei: me: disable driver on SPT SPS firmware (bsc#980531).
- commit f0b8426
* Wed Jul 20 2016 neilb@suse.com
- Don't built ceph on ppc64 and s390x
  These were enabled by mistake.  Only arm64 and x86_64 were intended.
  (bsc#989514)
- commit 5499b73
* Mon Jul 18 2016 jthumshirn@suse.de
- nfit: add Microsoft NVDIMM DSM command set to white list (FATE#320897).
- commit a08501b
* Mon Jul 18 2016 jthumshirn@suse.de
- nvme: Remove RCU namespace protection (bsc#964944,FATE#319965).
- commit a6b4ac3
* Mon Jul 18 2016 ohering@suse.de
- Drivers: hv: avoid vfree() on crash (fate#320485, bnc#988281).
- Drivers: hv: vmbus: Implement APIs to support "in place"
  consumption of vmbus packets (fate#320485).
- Drivers: hv: vmbus: Move some ring buffer functions to hyperv.h
  (fate#320485).
- Drivers: hv: vmbus: Use the new virt_xx barrier code
  (fate#320485).
- commit 0b50c2c
* Mon Jul 18 2016 mfleming@suse.de
- arm64/efi: Don't truncate frame buffer address to 32-bits
  (bsc#986987).
- commit e82ecbf
* Mon Jul 18 2016 mfleming@suse.de
- arm64/efi: mark UEFI reserved regions as MEMBLOCK_NOMAP
  (bsc#986987).
- arm64: only consider memblocks with NOMAP cleared for linear
  mapping (bsc#986987).
- mm/memblock: add MEMBLOCK_NOMAP attribute to memblock memory
  table (bsc#986987).
- commit ad3088f
* Mon Jul 18 2016 jroedel@suse.de
- iommu/vt-d: Return error code in domain_context_mapping_one()
  (bsc#975772).
- iommu/amd: Init unity mappings only for dma_ops domains
  (bsc#975772).
- commit ddc0933
* Mon Jul 18 2016 jroedel@suse.de
- Refresh
  patches.drivers/iommu-amd-handle-iommu_domain_dma-in-ops-domain_free-call-back.
- commit fee7abf
* Mon Jul 18 2016 mmarek@suse.com
- rpm/kernel-spec-macros: Add kver_cmp macro
  This allows to use %%if statements based on the version of the kernel to
  be built.
- commit ea700be
* Mon Jul 18 2016 hare@suse.de
- supported.conf: disable support for ocrdma (FATE#320961)
- commit a4b5c54
* Sun Jul 17 2016 jeffm@suse.com
- config: enable FAIL_MAKE_REQUEST and dependencies (FATE#320970)
  This is useful for internal and customer testing of storage and file
  system error recovery without requiring extended configuration of
  hardware.
- commit f52d93c
* Fri Jul 15 2016 tiwai@suse.de
- rpm/kernel-source.spec.in: recommends openssl-devel (bsc#987384)
- commit 2c51311
* Fri Jul 15 2016 hare@suse.de
- fcoe: fix reset of fip selection time (bsc#988605).
- commit 66ba109
* Fri Jul 15 2016 mgorman@suse.com
- cpufreq: pcc-cpufreq: Fix doorbell.access_width (bnc#969297
  PM performance -- pcc-cpufreq).
- cpufreq: pcc-cpufreq: update default value of
  cpuinfo_transition_latency (bnc#969297 PM performance --
  pcc-cpufreq).
- commit 359e570
* Fri Jul 15 2016 hare@suse.de
- tcm_fc: set and unset FCP_SPPF_TARG_FCN (bsc#989133).
- fcoe: implement FIP VLAN responder (bsc#989133).
- fcoe: Rename 'fip_frame' to 'fip_vn2vn_notify_frame'
  (bsc#989133).
- fcoe: use defines from ethtool for 20Gbit and 40Gbit speeds
  (bsc#989133).
- fcoe: Update multicast addresses on FIP mode change
  (bsc#989133).
- fcoe: fcoe->realdev is always set (bsc#989133).
- fcoe: use enum for fip_mode (bsc#989133).
- fc_fip: Update to latest FC-BB-6 draft (bsc#989133).
- libfc: sanity check cpu number extracted from xid (bsc#988440).
- commit 7ebcd7c
* Fri Jul 15 2016 hare@suse.de
- nvme/quirk: Add a delay before checking for adapter readiness
  (bsc#988784).
- commit 09e2c7b
* Fri Jul 15 2016 tiwai@suse.de
- Update patch-tags for ecrpytfs fix patches (boo#989084).
- commit a3301c4
* Fri Jul 15 2016 dchang@suse.com
- cxgb4vf: Synchronize access to mailbox (bsc#987183).
- cxgb4/cxgb4vf: Synchronize all MAC addresses (bsc#987183).
- cxgb4vf: Add support to enable logging of firmware mailbox
  commands for VF (bsc#987183).
- cxgb4/cxgb4vf: Deprecate module parameter dflt_msg_enable
  (bsc#987183).
- commit 9b042e3
* Thu Jul 14 2016 mgorman@suse.com
- Refresh
  patches.suse/mm-compaction-prevent-VM_BUG_ON-when-terminating-freeing-scanner.patch.
- commit c8ee9b3
* Thu Jul 14 2016 jroedel@suse.de
- x86/mm: Use pte_none() to test for empty PTE (bsc#985025).
- x86/mm: Disallow running with 32-bit PTEs to work around erratum
  (bsc#985025).
- x86/mm: Ignore A/D bits in pte/pmd/pud_none() (bsc#985025).
- x86/mm: Move swap offset/type up in PTE to work around erratum
  (bsc#985025).
- x86/cpu/intel: Introduce macros for Intel family numbers
  (bsc985025).
- commit d3c7f36
* Wed Jul 13 2016 jjolly@suse.de
- Removed SMC-R (bsc#978258,FATE#319593)
- Update config files.
- Delete patches.arch/s390-sles12sp2-00-05-net-smc-r-01.patch.
- Delete patches.arch/s390-sles12sp2-00-05-net-smc-r-02.patch.
- Delete patches.arch/s390-sles12sp2-00-05-net-smc-r-03.patch.
- Delete patches.arch/s390-sles12sp2-00-05-net-smc-r-04.patch.
- Delete patches.arch/s390-sles12sp2-00-05-net-smc-r-05.patch.
- Delete patches.arch/s390-sles12sp2-00-05-net-smc-r-06.patch.
- Delete patches.arch/s390-sles12sp2-00-05-net-smc-r-07.patch.
- Delete patches.arch/s390-sles12sp2-00-05-net-smc-r-08.patch.
- Delete patches.arch/s390-sles12sp2-00-05-net-smc-r-09.patch.
- Delete patches.arch/s390-sles12sp2-00-05-net-smc-r-10.patch.
- Delete patches.arch/s390-sles12sp2-00-05-net-smc-r-11.patch.
- Delete patches.arch/s390-sles12sp2-00-05-net-smc-r-12.patch.
- Delete patches.arch/s390-sles12sp2-00-05-net-smc-r-13.patch.
- Delete patches.arch/s390-sles12sp2-00-05-net-smc-r-14.patch.
- commit 90271e0
* Wed Jul 13 2016 jjolly@suse.de
- Verified with IBM that the NPIV fix is necessary
- commit 8f935b7
* Wed Jul 13 2016 agraf@suse.de
- tty: vt: Fix soft lockup in fbcon cursor blink timer
  (bnc#981051).
- commit 6a86280
* Wed Jul 13 2016 rgoldwyn@suse.com
- ovl: verify upper dentry before unlink and rename (bsc988708,CVE-2016-6197).
- commit 1cf2038
* Wed Jul 13 2016 tiwai@suse.de
- rpm/constraints.in: Increase to 8GB for kernel-source
  4GB seems still too tight for some archs like ppc64le...
- commit d82b2bf
* Wed Jul 13 2016 jlee@suse.com
- MODSIGN: Print appropriate status message when accessing UEFI
  variable (bsc#958606).
- commit 4bb677d
* Wed Jul 13 2016 mmarek@suse.cz
- supported.conf: Fix i40e fate number
- commit fa2cbae
* Wed Jul 13 2016 mmarek@suse.cz
- Delete patches.suse/0001-MODSIGN-Support-for-signing_key.-x509-priv-in-the-M-.patch
  It was not requested and upstream did not accept it either.
- commit af1fc9e
* Wed Jul 13 2016 jjolly@suse.de
- Delete patches.arch/s390-sles12-13-13-ftrace.patch.
- Delete patches.arch/s390-sles12-14-01-kprobes.patch.
- Delete patches.arch/s390-sles12-19-02-kvm-msa-handling.patch.
- Delete
  patches.arch/s390-sles12-ftrace-01-revert-oco-handling.patch.
- commit 82bcdba
* Tue Jul 12 2016 lduncan@suse.com
- Removed guard on qla2xxx patch, still needed.
- commit 51b12bc
* Tue Jul 12 2016 duwe@suse.de
- powerpc/tm: Fix stack pointer corruption in __tm_recheckpoint()
  (bsc#986925).
- commit 27a3aac
* Tue Jul 12 2016 duwe@suse.de
- powerpc/tm: Avoid SLB faults in treclaim/trecheckpoint when RI=0
  (bsc#986925).
- commit 72fd0ef
* Tue Jul 12 2016 fdmanana@suse.com
- Btrfs: send, add some error messages before hitting BUG_ONs
  (bsc#985850).
- commit d2c8647
* Tue Jul 12 2016 oneukum@suse.com
- cdc_ncm: workaround for EM7455 "silent" data interface
  (bnc#988552).
- commit 134da5b
* Tue Jul 12 2016 oneukum@suse.com
- PCI: Do not treat EPROBE_DEFER as device attach failure
  (bnc#987641).
- PM / sleep: prohibit devices probing during suspend/hibernation
  (bnc#987641).
- PCI: Check device_attach() return value always (bnc#987641).
- thunderbolt: Support 1st gen Light Ridge controller
  (bnc#987641).
- PCI: Add Intel Thunderbolt device IDs (bnc#987641).
- commit cbd5a2c
* Tue Jul 12 2016 mhocko@suse.cz
- mm: inform when the memory mirroring is enabled (bnc#987598,
  fate#319143).
- mm/page_alloc.c: calculate zone_start_pfn at
  zone_spanned_pages_in_node() (bnc#987598, fate#319143).
- mm/page_alloc.c: introduce kernelcore=mirror option (bnc#987598,
  fate#319143).
- mm/page_alloc.c: rework code layout in memmap_init_zone()
  (bnc#987598, fate#319143).
- Update
  patches.suse/mm-Warn-users-of-node-memory-hot-remove-if-the-memory-ratio-is-a-high-risk.patch
  (Memory node hot-remove (fate#316483), fate#319143, bnc#987598).
- commit a972996
* Tue Jul 12 2016 jlee@suse.com
- acpi, nfit: treat virtual ramdisk SPA as pmem region
  (fate#320134).
- Delete
  patches.drivers/0001-libnvdimm-treat-volatile-virtual-CD-as-read-only-pme.patch.
  To align with the patch that it is sent to kernel upstream.
- commit 0d9d807
* Tue Jul 12 2016 mgalbraith@suse.de
- sched/core: Enable increased load resolution on 64-bit kernels (bnc#978907).
- sched/core: Fix comment typo in wake_q_add() (bnc#978907).
- sched/core: Fix remote wakeups (bnc#978907).
- sched/core: Kill sched_class::task_waking to clean up the migration logic (bnc#978907).
- sched/core: Remove unused variable (bnc#978907).
- sched/debug: Print out idle balance values even on !CONFIG_SCHEDSTATS kernels (bnc#978907).
- sched/fair: Add detailed description to the sched load avg metrics (bnc#978907).
- sched/fair: Clean up scale confusion (bnc#978907).
- sched/fair: Correct unit of load_above_capacity (bnc#978907).
- sched/fair: Do not announce throttled next buddy in dequeue_task_fair() (bnc#978907).
- sched/fair: Fix asym packing to select correct CPU (bnc#978907).
- sched/fair: Fix calc_cfs_shares() fixed point arithmetics width confusion (bnc#978907).
- sched/fair: Fix comment in calculate_imbalance() (bnc#978907).
- sched/fair: Fix fairness issue on migration (bnc#978907).
- sched/fair: Generalize the load/util averages resolution definition (bnc#978907).
- sched/fair: Initialize throttle_count for new task-groups lazily (bnc#978907).
- sched/fair: Move record_wakee() (bnc#978907).
- sched/fair: Optimize sum computation with a lookup table (bnc#978907).
- sched/fair: Prepare to fix fairness problems on migration (bnc#978907).
- sched/fair: Remove stale power aware scheduling comments (bnc#978907).
- sched/fair: Rename SCHED_LOAD_SHIFT to NICE_0_LOAD_SHIFT and remove SCHED_LOAD_SCALE (bnc#978907).
- sched/fair: Reset nr_balance_failed after active balancing (bnc#978907).
- sched/nohz: Fix affine unpinned timers mess (bnc#978907).
- commit 25fe888
* Mon Jul 11 2016 jslaby@suse.cz
- Linux 4.4.15 (bnc#982725).
- Refresh
  patches.drivers/0005-usb-host-xhci-plat-add-struct-xhci_plat_priv.patch.
- Refresh
  patches.suse/0001-usb-quirk-to-stop-runtime-PM-for-Intel-7260.patch.
- Delete
  patches.drivers/0001-Subject-PATCH-USB-xhci-Add-broken-streams-quirk-for-.patch.
- commit 1424a21
* Mon Jul 11 2016 jkosina@suse.cz
- x86/mm/pat, /dev/mem: Remove superfluous error message
  (bsc#974620).
- commit 1db51de
* Mon Jul 11 2016 tiwai@suse.de
- i2c: i801: Allow ACPI SystemIO OpRegion to conflict with PCI
  BAR (bsc#988293).
- i2c: i801: Add runtime PM support with autosuspend (bsc#988293).
- i2c: i801: Convert to struct dev_pm_ops for suspend/resume
  (bsc#988293).
- commit 6f11707
* Mon Jul 11 2016 mgorman@suse.com
- mm, meminit: always return a valid node from early_pfn_to_nid
  (Machine without node 0 fails to boot without any output to
  console (bnc#988344)).
- commit 9395382
* Mon Jul 11 2016 mfleming@suse.de
- sched/fair: Initiate a new task's util avg to a bounded value
  (bsc#981825).
- sched/fair: Fix post_init_entity_util_avg() serialization
  (bsc#981825).
- sched/fair: Fix cfs_rq avg tracking underflow (bsc#981825).
- sched/fair: Fix effective_load() to consistently use smoothed
  load (bsc#981825).
- sched/fair: Fix and optimize the fork() path (bsc#981825).
- sched/fair: Fix PELT integrity for new groups (bsc#981825).
- sched/cgroup: Fix cpu_cgroup_fork() handling (bsc#981825).
- sched/fair: Fix PELT integrity for new tasks (bsc#981825).
- sched/fair: Apply more PELT fixes (bsc#981825).
- Delete
  patches.suse/0001-sched-fair-Clean-up-attach_entity_load_avg.patch.
- Delete
  patches.suse/0002-sched-fair-Skip-detach-and-attach-new-group-task.patch.
- Delete
  patches.suse/0003-sched-fair-Skip-detach-sched-avgs-for-new-task-when-.patch.
- Delete
  patches.suse/0004-sched-fair-Move-load-and-util-avgs-from-wake_up_new_.patch.
- commit 0423494
* Sat Jul  9 2016 jjolly@suse.de
- qeth: delete napi struct when removing a qeth device
  (bnc#988217, LTC#143590).
- s390: fix test_fp_ctl inline assembly contraints (bnc#988217,
  LTC#143138).
- commit deb5efb
* Fri Jul  8 2016 jroedel@suse.de
- iommu/vt-d: Enable QI on all IOMMUs before setting root entry
  (bsc#975772).
- iommu/amd: Handle IOMMU_DOMAIN_DMA in ops->domain_free call-back
  (bsc#975772).
- iommu/amd: Fix unity mapping initialization race (bsc#975772,
  bsc#985936).
- commit 395bda6
* Fri Jul  8 2016 jroedel@suse.de
- iommu/amd: Initialize devid variable before using it
  (bsc#975772).
- iommu/amd: Don't use IS_ERR_VALUE to check integer values
  (bsc#975772).
- commit db502b5
* Fri Jul  8 2016 duwe@suse.de
- powerpc/tm: Always reclaim in start_thread() for exec() class
  syscalls (bsc#986569, CVE-2016-5828).
- commit e7bd288
* Fri Jul  8 2016 ohering@suse.de
- hv_netvsc: Fix VF register on vlan devices (fate#320295,
  bnc#984609).
- commit daa18c8
* Fri Jul  8 2016 neilb@suse.com
- ceph: tolerate bad i_size for symlink inode (bsc#985232).
- commit 6523a2e
* Fri Jul  8 2016 jeffm@suse.com
- btrfs: account for non-CoW'd blocks in btrfs_abort_transaction
  (bsc#983619).
- commit 475fe0f
* Thu Jul  7 2016 dbueso@suse.de
- locking/spinlock: Update spin_unlock_wait() users (bsc#969756).
- locking/qspinlock: Use __this_cpu_dec() instead of full-blown
  this_cpu_dec() (bsc#969756).
- commit d7f1563
* Thu Jul  7 2016 mhocko@suse.cz
- cgroup: Use lld instead of ld when printing pids controller
  events_limit (bnc#986168).
- commit 393c6c5
* Thu Jul  7 2016 oneukum@suse.com
- USB: don't free bandwidth_mutex too early (bnc#987899).
- Refresh
  patches.drivers/0001-usb-core-hub-hub_port_init-lock-controller-instead-o.patch.
- commit 2152b7d
* Thu Jul  7 2016 neilb@suse.com
- Update patches.fixes/0001-posix_acl-Add-set_posix_acl.patch
  (bsc#986570 CVE-2016-1237).
- Update
  patches.fixes/0002-nfsd-check-permissions-when-setting-ACLs.patch
  (bsc#986570 CVE-2016-1237).
- commit 3394040
* Wed Jul  6 2016 oneukum@suse.com
- USB: OHCI: Don't mark EDs as ED_OPER if scheduling fails
  (bnc#987886).
- commit 56ac55d
* Wed Jul  6 2016 bp@suse.de
- x86/cpufeature: Enable new AVX-512 features (bsc#987810).
- commit cd0a5e4
* Wed Jul  6 2016 mbrugger@suse.com
- arm64: Update config files.
  Disable CHELSIO_T4_DCB and CHELSIO_T4_FCOE (bsc#987186)
- commit 77ba2e4
* Wed Jul  6 2016 neilb@suse.com
- Update patches.fixes/0001-posix_acl-Add-set_posix_acl.patch
  (bsc#986570 CVE#2016-1237).
- Update
  patches.fixes/0002-nfsd-check-permissions-when-setting-ACLs.patch
  (bsc#986570 CVE#2016-1237).
- commit 4bcbb2e
* Wed Jul  6 2016 neilb@suse.com
- nfsd: check permissions when setting ACLs (bsc#986570).
- posix_acl: Add set_posix_acl (bsc#986570).
- commit 4bf4592
* Tue Jul  5 2016 jeffm@suse.com
- Revert "ecryptfs: forbid opening files without mmap handler".
- commit 32d5a6e
* Tue Jul  5 2016 mbrugger@suse.com
- clocksource: arm_arch_timer: Remove arch_timer_get_timecounter
  (bsc#985033).
- KVM: arm/arm64: vgic: Rely on the GIC driver to parse the
  firmware tables (bsc#985033).
- KVM: arm/arm64: arch_timer: Rely on the arch timer to parse
  the firmware tables (bsc#985033).
- irqchip/gic-v3: Parse and export virtual GIC information
  (bsc#985033).
- irqchip/gic-v3: Gather all ACPI specific data in a single
  structure (bsc#985033).
- irqchip/gic-v3: Prefix all pr_* messages by "GICv3: "
  (bsc#985033).
- irqchip/gic-v2: Parse and export virtual GIC information
  (bsc#985033).
- irqchip/gic-v2: Gather ACPI specific data in a single structure
  (bsc#985033).
- clocksource: arm_arch_timer: Extend arch_timer_kvm_info to
  get the virtual IRQ (bsc#985033).
- clocksource: arm_arch_timer: Gather KVM specific information
  in a structure (bsc#985033).
- irqchip/gic-v3-its: Mark its_init() and its children as __init
  (bsc#985033).
- irqchip/gic-v3: Remove gic_root_node variable from the ITS code
  (bsc#985033).
- irqchip/gic-v3: ACPI: Add redistributor support via GICC
  structures (bsc#985033).
- irqchip/gic-v3: Add ACPI support for GICv3/4 initialization
  (bsc#985033).
- irqchip/gic-v3: Refactor gic_of_init() for GICv3 driver
  (bsc#985033).
- commit d9da83f
* Tue Jul  5 2016 mbrugger@suse.com
- Delete
  patches.arch/arm64-0010-KVM-ARM-Hack-to-enable-VGIC-mapping-on-64k-PAGE_SIZE.patch.
- commit e273cd3
* Tue Jul  5 2016 zlliu@suse.com
- dlm: add dlm log_info config option(bsc#982152).
- commit 3842bf4
* Mon Jul  4 2016 duwe@suse.de
- powerpc/pseries: Fix PCI config address for DDW (bsc#984993).
- commit 28fcf6c
* Mon Jul  4 2016 duwe@suse.de
- powerpc/iommu: Remove the dependency on EEH struct in DDW
  mechanism (bsc#984993).
- commit 8e6bc3b
* Mon Jul  4 2016 jthumshirn@suse.de
- hpsa: change hpsa_passthru_ioctl timeout (bsc#964462,
  FATE#319992).
- commit 1f457bf
* Mon Jul  4 2016 jthumshirn@suse.de
- hpsa: correct skipping masked peripherals (bsc#964462,
  FATE#319992).
- commit e7a00b4
* Mon Jul  4 2016 jthumshirn@suse.de
- smartpqi: initial commit of Microsemi smartpqi driver
  (FATE#319993, bsc#974105).
- aacraid: remove wildcard for series 9 controllers (FATE#319993,
  bsc#974105).
- Update config files.
- Refresh
  patches.drivers/0022-aacraid-do-not-activate-events-on-non-SRC-adapters.patch.
- supported.conf: Add Microsemi SmartPQI driver
- commit 356b625
* Mon Jul  4 2016 oneukum@suse.com
- Delete patches.fixes/0001-noveau-Fix-up-nouveau_acpi.patch.
  This patch has become unnecessary with the kernel update in SP2.
  It has sufficiently recent ACPI and the matching Nouveau.
- commit 79657d4
* Fri Jul  1 2016 ohering@suse.de
- scsi: storvsc: Filter out storvsc messages CD-ROM medium not present (fate#320295, bnc#984609).
- commit 0296b36
* Fri Jul  1 2016 jthumshirn@suse.de
- supported.conf: Add libnvdimm and nd_e820 to the list of supported modules.
- commit 514e97a
* Fri Jul  1 2016 jthumshirn@suse.de
- libnvdimm, pfn, dax: fix initialization vs autodetect for mode +
  alignment (FATE#320460).
- acpi, nfit: fix acpi_check_dsm() vs zero functions implemented
  (FATE#320456).
- nfit: fix format interface code byte order (FATE#320456).
- commit 646a393
* Fri Jul  1 2016 jthumshirn@suse.de
- Update config files to build libnvdimm as a module.
- commit da6a390
* Fri Jul  1 2016 jslaby@suse.cz
- Linux 4.4.14 (CVE-2016-3134 CVE-2016-4951 CVE-2016-4997
  bsc#971126 bsc#981058 bsc#986362 bsc#983458).
- Update config files.
- Refresh
  patches.drivers/0009-crypto-qat-move-isr-files-to-qat-common-so-that-they.patch.
- Refresh
  patches.drivers/0019-crypto-qat-Fix-random-config-build-issue.patch.
- Delete
  patches.arch/arm64-mm-always-take-dirty-state-from-new-pte-in-pte.patch.
- Delete
  patches.fixes/netfilter-arp_tables-simplify-translate_compat_table.patch.
- Delete
  patches.fixes/netfilter-ip6_tables-simplify-translate_compat_table.patch.
- Delete
  patches.fixes/netfilter-ip_tables-simplify-translate_compat_table-.patch.
- Delete
  patches.fixes/netfilter-x_tables-add-and-use-xt_check_entry_offset.patch.
- Delete
  patches.fixes/netfilter-x_tables-add-compat-version-of-xt_check_en.patch.
- Delete
  patches.fixes/netfilter-x_tables-assert-minimum-target-size.patch.
- Delete
  patches.fixes/netfilter-x_tables-check-for-bogus-target-offset.patch.
- Delete
  patches.fixes/netfilter-x_tables-check-standard-target-size-too.patch.
- Delete
  patches.fixes/netfilter-x_tables-do-compat-validation-via-translat.patch.
- Delete
  patches.fixes/netfilter-x_tables-don-t-move-to-non-existent-next-r.patch.
- Delete
  patches.fixes/netfilter-x_tables-don-t-reject-valid-target-size-on.patch.
- Delete
  patches.fixes/netfilter-x_tables-fix-unconditional-helper.patch.
- Delete
  patches.fixes/netfilter-x_tables-kill-check_entry-helper.patch.
- Delete
  patches.fixes/netfilter-x_tables-make-sure-e-next_offset-covers-re.patch.
- Delete
  patches.fixes/netfilter-x_tables-validate-all-offsets-and-sizes-in.patch.
- Delete
  patches.fixes/netfilter-x_tables-validate-e-target_offset-early.patch.
- Delete
  patches.fixes/netfilter-x_tables-validate-targets-of-jumps.patch.
- Delete
  patches.fixes/netfilter-x_tables-xt_compat_match_from_user-doesn-t.patch.
- Delete
  patches.fixes/tipc-check-nl-sock-before-parsing-nested-attributes.patch.
- commit 7a4348c
* Thu Jun 30 2016 jthumshirn@suse.de
- libnvdimm: increase max envelope size for ioctl (bsc#986319).
- commit d503041
* Thu Jun 30 2016 mbrugger@suse.com
- arm64: Update numa patches to mainline version
- Refresh
  patches.arch/arm64-0002-arm64-mm-specialise-pagetable-allocators.patch.
- Refresh
  patches.arch/arm64-0003-arm64-mm-place-empty_zero_page-in-bss.patch.
- Refresh patches.arch/arm64-0005-arm64-unmap-idmap-earlier.patch.
- Refresh
  patches.arch/arm64-0018-arm64-mm-create-new-fine-grained-mappings-at-boot.patch.
- efi: ARM/arm64: ignore DT memory nodes instead of removing them
  (fate#319973).
- Documentation, dt, numa: dt bindings for NUMA (fate#319973).
- of, numa: Add NUMA of binding implementation (fate#319973).
- arm64: Move unflatten_device_tree() call earlier (fate#319973).
- arm64, mm, numa: Add NUMA balancing support for arm64
  (fate#319973).
- arm64, numa: Add NUMA support for arm64 platforms (fate#319973).
- commit 4ba587c
* Thu Jun 30 2016 mgorman@suse.com
- mm, compaction: prevent VM_BUG_ON when terminating freeing
  scanner (bnc#971975 VM performance -- compaction).
- commit acf080f
* Thu Jun 30 2016 mbrugger@suse.com
- arm64: Update config files.
  Enable ARM64_ACPI_PARKING_PROTOCOL
- commit 6370d23
* Thu Jun 30 2016 mbrugger@suse.com
- arm64: acpi: add acpi=on cmdline option to prefer ACPI boot
  over DT (fate#319981).
- commit 0b5c340
* Thu Jun 30 2016 mbrugger@suse.com
- arm64: kernel: acpi: fix ioremap in ACPI parking protocol
  cpu_postboot (fate#319981).
- arm64: kernel: implement ACPI parking protocol (fate#319981).
- commit 12536c0
* Thu Jun 30 2016 jlee@suse.com
- Refresh patches.suse/0003-x86-boot-Public-getting-random-boot-function.patch.
  Fixed building issue when CONFIG_RANDOMIZE_BASE is set. Merged Jan
  Beulich's patch.
- commit 503b146
* Thu Jun 30 2016 dchang@suse.com
- i40e: Don't notify client(s) for DCB changes on all VSIs
  (bsc#983372).
- commit 51ccbab
* Wed Jun 29 2016 fdmanana@suse.com
- Refresh
  patches.suse/btrfs-8444-fix-for-incorrect-directory-entries-after-fsyn.patch.
- Refresh
  patches.suse/btrfs-8445-fix-empty-symlink-after-creating-symlink-and-f.patch.
- commit 082d05f
* Wed Jun 29 2016 fdmanana@suse.com
- Btrfs: improve performance on fsync against new inode after
  rename/unlink (bsc#981038).
- Btrfs: be more precise on errors when getting an inode from disk
  (bsc#981038).
- commit ff08e98
* Wed Jun 29 2016 agraf@suse.de
- Delete patches.arch/arm-arndale-dma.patch (unused, deprecated)
- commit bbd5a94
* Wed Jun 29 2016 mbrugger@suse.com
- arm64: Update config files.
  Enable ACPI_NUMA
- commit d4c3331
* Wed Jun 29 2016 mbrugger@suse.com
- ACPI / NUMA: Enable ACPI based NUMA on ARM64 (fate#319981).
- commit 5e59593
* Wed Jun 29 2016 dchang@suse.com
- be2net: Change copyright markings in source files (bsc#963844
  FATE#320192).
- be2net: Fix broadcast echoes from EVB in BE3 (bsc#963844
  FATE#320192).
- be2net: support asymmetric rx/tx queue counts (bsc#963844
  FATE#320192).
- be2net: fix definition of be_max_eqs() (bsc#963844 FATE#320192).
- be2net: Fix provisioning of RSS for VFs in multi-partition
  configurations (bsc#963844 FATE#320192).
- be2net: Enable Wake-On-LAN from shutdown for Skyhawk (bsc#963844
  FATE#320192).
- be2net: use max-TXQs limit too while provisioning VF queue pairs
  (bsc#963844 FATE#320192).
- benet: be_resume needs to protect be_open with rtnl_lock
  (bsc#963844 FATE#320192).
- commit fb2c413
* Wed Jun 29 2016 mgorman@suse.com
- mm, compaction: abort free scanner if split fails (bnc#971975
  VM performance -- compaction).
- commit 42f5072
* Wed Jun 29 2016 tiwai@suse.de
- supported.conf: Yet more adjustment for aarch64
- commit c439100
* Wed Jun 29 2016 dbueso@suse.de
- s390: drop smp_mb in vdso_init (bsc#969756).
- s390: use generic memory barriers (bsc#969756).
- s390: more efficient smp barriers (bsc#969756).
- commit 5316611
* Tue Jun 28 2016 tiwai@suse.de
- supported.conf: Fix missing dependencies
  Add missing V4L2 stuff, fix MFD, usbip and MIC dependencies
- commit 226423c
* Tue Jun 28 2016 tiwai@suse.de
- supported.conf: Add yet more missing module entries
  drivers/hid/* (mostly unsupported)
  drivers/hwtracing/* (external, FATE#319148)
  drivers/uwb/* (unsupported)
- commit 9ea3d7c
* Tue Jun 28 2016 dbueso@suse.de
- Revert 9f185424ca9 (Disable previous patches in series.conf)
  Now we have added the necessary arch/*/barrier.h changes (beyond x86),
  we can make use of the smp_cond_load_acquire() rework again and pull
  in the x86 bits as well without breaking the all the remaining archs.
- commit c479951
* Tue Jun 28 2016 dbueso@suse.de
- mips: reuse asm-generic/barrier.h (bsc#969756).
- metag: reuse asm-generic/barrier.h (bsc#969756).
- x86/um: reuse asm-generic/barrier.h (bsc#969756).
- commit 591cc4d
* Tue Jun 28 2016 dbueso@suse.de
- sparc: define __smp_xxx (bsc#969756).
- sparc: reuse asm-generic/barrier.h (bsc#969756).
- commit d823513
* Tue Jun 28 2016 dbueso@suse.de
- ia64: define __smp_xxx (bsc#969756).
- ia64: reuse asm-generic/barrier.h (bsc#969756).
- ia64: rename nop->iosapic_nop (bsc#969756).
- commit 908a6b6
* Tue Jun 28 2016 dbueso@suse.de
- s390: define __smp_xxx (bsc#969756).
- s390: reuse asm-generic/barrier.h (bsc#969756).
- commit d330234
* Tue Jun 28 2016 dbueso@suse.de
- arm: define __smp_xxx (bsc#969756).
- arm: reuse asm-generic/barrier.h (bsc#969756).
- commit 4e992ca
* Tue Jun 28 2016 dbueso@suse.de
- arm64: define __smp_xxx (bsc#969756).
- arm64: reuse asm-generic/barrier.h (bsc#969756).
- commit d338cff
* Tue Jun 28 2016 dbueso@suse.de
- powerpc: define __smp_xxx (bsc#969756).
- powerpc: reuse asm-generic/barrier.h (bsc#969756).
- commit 9fc1a51
* Tue Jun 28 2016 bp@suse.de
- supported.conf: ntb/amd: Add fate reference
- commit dfa00e0
* Tue Jun 28 2016 mmarek@suse.com
- Delete patches.suse/sd_init.mark_majors_busy.patch (bsc#744658)
  It was only required by the xenlinux frontent drivers.
- commit 066d829
* Tue Jun 28 2016 tiwai@suse.de
- Disable previous patches in series.conf
  As the previous optimization patches cause the build breakage,
  temporarily disable them in series.conf with a guard of +need_fixes
  prefix.
- commit 9f18542
* Tue Jun 28 2016 dbueso@suse.de
- locking/rwsem: Get rid of __down_write_nested() (bsc#969756).
- commit 3db417d
* Tue Jun 28 2016 dbueso@suse.de
- locking/spinlock, arch: Update and fix spin_unlock_wait() implementations (bsc#969756).
- commit 61e0a3b
* Tue Jun 28 2016 dbueso@suse.de
- locking/barriers: Move smp_cond_load_acquire() to asm-generic/barrier.h (bsc#969756).
- commit c55ae5c
* Tue Jun 28 2016 dbueso@suse.de
- asm-generic: implement virt_xxx memory barriers (bsc#969756).
- commit 1512398
* Tue Jun 28 2016 dbueso@suse.de
- asm-generic: add __smp_xxx wrappers (bsc#969756).
- commit a54ba68
* Tue Jun 28 2016 dbueso@suse.de
- locking/x86: Tweak the comment about use of wmb() for IO
  (bsc#969756).
- commit 52f56e8
* Tue Jun 28 2016 dbueso@suse.de
- locking/x86: Drop a comment left over from X86_OOSTORE
  (bsc#969756).
- commit 91a9437
* Tue Jun 28 2016 dbueso@suse.de
- locking/x86: Add cc clobber for ADDL (bsc#969756).
- commit 42115e3
* Tue Jun 28 2016 dbueso@suse.de
- asm-generic: guard smp_store_release/load_acquire (bsc#969756).
- commit 5c82d99
* Tue Jun 28 2016 dbueso@suse.de
- x86: define __smp_xxx (bsc#969756).
- commit 870e621
* Tue Jun 28 2016 dbueso@suse.de
- x86: reuse asm-generic/barrier.h (bsc#969756).
- commit bef96a1
* Mon Jun 27 2016 tiwai@suse.de
- supported.conf: More coverage of missing modules
- drivers/crypto/qat/* are marked as external
- drivers/gpio/* are covered (only gpio-amdpt is supported)
- drivers/ntb/* are supported
- drivers/watchdog/* are marked as unsupported
- commit 83e0816
* Mon Jun 27 2016 mbrugger@suse.com
- ACPI / processor: Add acpi_map_madt_entry() (fate#319981).
- arm64: acpi/numa: cleanup acpi_numa_processor_affinity_init()
  (fate#319981).
- arm64: acpi/numa: Improve SRAT error detection and add messages
  (fate#319981).
- arm64: acpi/numa: Copy acpi_numa_memory_affinity_init()
  (fate#319981).
- arm64: acpi/numa: Add bad_srat() and srat_disabled() stub
  (fate#319981).
- arm64: acpi/numa: copy acpi_numa_slit_init() (fate#319981).
- arm64, ACPI, NUMA: NUMA support based on SRAT and SLIT
  (fate#319981).
- arm64: acpi: Add acpi_numa_arch_fixup() stub (fate#319981).
- commit 475f7de
* Mon Jun 27 2016 mbrugger@suse.com
- arm64, NUMA: Cleanup NUMA disabled messages (fate#319981).
- arm64, NUMA: rework numa_add_memblk() (fate#319981).
- commit ce25cc2
* Mon Jun 27 2016 tiwai@suse.de
- supported.conf: More updates of missing modules
  Covered modules: arch/powerpc/crypto/*, crypto/*, drivers/bluetooth/*,
  drivers/input/tablet/*, drivers/misc/mei/*, drivers/mmc/*, drivers/spmi/*,
  drivers/tty/serial/*, drivers/uio/*, drivers/usb/usbip/* and drivers/vfio/*
- commit 40aea2e
* Mon Jun 27 2016 jkosina@suse.cz
- Refresh patches.fixes/hid-hiddev-validate-num_values.patch: fix upstream
  references.
- commit 4d6d6d8
* Mon Jun 27 2016 jkosina@suse.cz
- HID: hiddev: validate num_values for HIDIOCGUSAGES,
  HIDIOCSUSAGES commands (bsc#986572 CVE-2016-5829).
- commit 725099f
* Mon Jun 27 2016 mbrugger@suse.com
- supported.conf: disable not needed micorchip net phy
- commit 39e29ff
* Mon Jun 27 2016 mkubecek@suse.cz
- netfilter: x_tables: don't reject valid target size on some
  architectures (CVE-2016-4997 bsc#986362).
- commit 2c2ec77
* Mon Jun 27 2016 mbrugger@suse.com
- Delete not used ehci-h20ahb driver (bsc#986624)
- Delete
  patches.arch/arm64-0001-usb-Add-support-for-Synopsis-H20AHB-EHCI-host-contro.patch.
- Delete
  patches.arch/arm64-0002-usb-fix-hcd-h20ahb-driver-depends.patch.
- commit 942ab90
* Mon Jun 27 2016 tiwai@suse.de
- supported.conf: Add gpio-generic due to dependnecy
- commit be8d244
* Mon Jun 27 2016 mbrugger@suse.com
- supported.conf: Update network and phy drivers
- commit 965a1d0
* Mon Jun 27 2016 mkubecek@suse.cz
- netfilter: x_tables: do compat validation via translate_table
  (CVE-2016-4997 bsc#986362).
- netfilter: x_tables: xt_compat_match_from_user doesn't need
  a retval (CVE-2016-4997 bsc#986362).
- netfilter: arp_tables: simplify translate_compat_table args
  (CVE-2016-4997 bsc#986362).
- netfilter: ip6_tables: simplify translate_compat_table args
  (CVE-2016-4997 bsc#986362).
- netfilter: ip_tables: simplify translate_compat_table args
  (CVE-2016-4997 bsc#986362).
- netfilter: x_tables: validate all offsets and sizes in a rule
  (CVE-2016-4997 bsc#986362).
- netfilter: x_tables: check for bogus target offset
  (CVE-2016-4997 bsc#986362).
- netfilter: x_tables: check standard target size too
  (CVE-2016-4997 bsc#986362).
- netfilter: x_tables: add compat version of
  xt_check_entry_offsets (CVE-2016-4997 bsc#986362).
- netfilter: x_tables: assert minimum target size (CVE-2016-4997
  bsc#986362).
- netfilter: x_tables: kill check_entry helper (CVE-2016-4997
  bsc#986362).
- netfilter: x_tables: add and use xt_check_entry_offsets
  (CVE-2016-4997 bsc#986362).
- netfilter: x_tables: validate targets of jumps (CVE-2016-4997
  bsc#986362).
- netfilter: x_tables: don't move to non-existent next rule
  (CVE-2016-4997 bsc#986362).
- commit 6b6649a
* Mon Jun 27 2016 mhocko@suse.cz
- mm/swap.c: flush lru pvecs on compound page arrival
  (bnc#983721).
- commit af2adab
* Sat Jun 25 2016 oneukum@suse.com
- supported.conf: adding all Intel products as externally supported
  (FATE#319820)
- commit 4b3f2b6
* Fri Jun 24 2016 tiwai@suse.de
- supported.conf: Update more configs.
  All drivers/dma/*, drivers/i2c/*, driver/rtc/* are covered.
  drivers/net/phy/fixed_phy added for RPi3.
- commit 819eeae
* Thu Jun 23 2016 bpoirier@suse.com
- bnxt_en: Don't allow autoneg on cards that don't support it
  (bsc#963575 FATE#320144).
- bnxt_en: Add BCM5731X and BCM5741X device IDs (bsc#963575
  FATE#320144).
- bnxt_en: Add GRO logic for BCM5731X chips (bsc#963575
  FATE#320144).
- bnxt_en: Refactor bnxt_gro_skb() (bsc#963575 FATE#320144).
- bnxt_en: Define the supported chip numbers (bsc#963575
  FATE#320144).
- bnxt_en: Add PCI device ID for 57404 NPAR devices (bsc#963575
  FATE#320144).
- bnxt_en: Enable NPAR (NIC Partitioning) Support (bsc#963575
  FATE#320144).
- bnxt_en: Handle VF_CFG_CHANGE event from firmware (bsc#963575
  FATE#320144).
- bnxt_en: Add new function bnxt_reset() (bsc#963575 FATE#320144).
- bnxt_en: Add function for VF driver to query default VLAN
  (bsc#963575 FATE#320144).
- bnxt_en: Simplify VLAN receive logic (bsc#963575 FATE#320144).
- bnxt_en: Enable and disable RX CTAG and RX STAG VLAN
  acceleration together (bsc#963575 FATE#320144).
- bnxt_en: Fix tx push race condition (bsc#963575 FATE#320144).
- bnxt_en: Use dma_rmb() instead of rmb() (bsc#963575
  FATE#320144).
- bnxt_en: Add BCM57314 device ID (bsc#963575 FATE#320144).
- bnxt_en: Simplify and improve unsupported SFP+ module reporting
  (bsc#963575 FATE#320144).
- bnxt_en: Fix length value in dmesg log firmware error message
  (bsc#963575 FATE#320144).
- bnxt_en: Improve the delay logic for firmware response
  (bsc#963575 FATE#320144).
- bnxt_en: Reduce maximum ring pages if page size is 64K
  (bsc#963575 FATE#320144).
- bnxt_en: Report PCIe link speed and width during driver load
  (bsc#963575 FATE#320144).
- bnxt_en: Add Support for ETHTOOL_GMODULEINFO and
  ETHTOOL_GMODULEEEPRO (bsc#963575 FATE#320144).
- bnxt_en: Fix invalid max channel parameter in ethtool -l
  (bsc#963575 FATE#320144).
- commit 3dd60dc
* Thu Jun 23 2016 jack@suse.cz
- cfq-iosched: Charge at least 1 jiffie instead of 1 ns
  (bsc#985618).
- cfq-iosched: Fix regression in bonnie++ rewrite performance
  (bsc#985618).
- cfq-iosched: Convert slice_resid from u64 to s64 (bsc#985618).
- block: Convert fifo_time from ulong to u64 (bsc#985618).
- commit 5b7b725
* Thu Jun 23 2016 jbeulich@suse.com
- Refresh
  patches.suse/mm-page_alloc-reset-zonelist-iterator-after-resetting-fair-zone-allocation-policy.patch:
  Reformat part of the description to avoid misguiding older patch
  versions into thinking the first patch hunk is there.
- commit cd7fd77
* Thu Jun 23 2016 mbrugger@suse.com
- net: thunderx: Fix TL4 configuration for secondary Qsets
  (bsc#974622).
- net: thunderx: Fix link status reporting (bsc#974622).
- commit 96ab364
* Thu Jun 23 2016 mhocko@suse.cz
- cgroup: Add pids controller event when fork fails because of
  pid limit (bnc#986168).
- commit fbd0576
* Wed Jun 22 2016 dbueso@suse.de
- locking/barriers: Introduce smp_acquire__after_ctrl_dep() (bsc#969756).
- locking/barriers: Replace smp_cond_acquire() with smp_cond_load_acquire() (bsc#969756).
- commit 6374876
* Wed Jun 22 2016 dbueso@suse.de
- locking/qspinlock: Add comments (bsc#969756).
- commit d04bc43
* Wed Jun 22 2016 dbueso@suse.de
- locking/qspinlock: Clarify xchg_tail() ordering (bsc#969756).
- commit 44e595e
* Wed Jun 22 2016 dbueso@suse.de
- locking/qspinlock: Fix spin_unlock_wait() some more (bsc#969756).
- commit dfb0f02
* Wed Jun 22 2016 dbueso@suse.de
- locking/seqcount: Re-fix raw_read_seqcount_latch() (bsc#969756).
- commit 10e8b38
* Wed Jun 22 2016 dbueso@suse.de
- seqlock: fix raw_read_seqcount_latch() (bsc#969756).
- commit c06a50a
* Wed Jun 22 2016 dbueso@suse.de
- sched/preempt: Fix preempt_count manipulations (bsc#978907).
- commit ace7801
* Tue Jun 21 2016 jthumshirn@suse.de
- nvme: move the workaround for I/O queue-less controllers from
  PCIe to core (bsc#964944,FATE#319965).
- nvme: factor out a add nvme_is_write helper
  (bsc#964944,FATE#319965).
- commit 593577d
* Tue Jun 21 2016 jthumshirn@suse.de
- nvme: allow for size limitations from transport drivers
  (bsc#964944,FATE#319965).
- nvme.h: add constants for PSDT and FUSE values
  (bsc#964944,FATE#319965).
- nvme.h: add AER constants (bsc#964944,FATE#319965).
- nvme.h: add NVM command set SQE/CQE size defines
  (bsc#964944,FATE#319965).
- nvme.h: Add get_log_page command strucure
  (bsc#964944,FATE#319965).
- commit 27fec57
* Tue Jun 21 2016 jthumshirn@suse.de
- nvme.h: add RTD3R, RTD3E and OAES fields
  (bsc#964944,FATE#319965).
- commit b3aeb41
* Tue Jun 21 2016 jthumshirn@suse.de
- NVMe: Fix removal in case of active namespace list scanning
  method (bsc#964944,FATE#319965).
- nvme: use UINT_MAX for max discard sectors
  (bsc#964944,FATE#319965).
- commit b168cdb
* Tue Jun 21 2016 jthumshirn@suse.de
- nvme: update and rename nvme_cancel_io to nvme_cancel_request
  (bsc#964944,FATE#319965).
- commit 9e4ead8
* Tue Jun 21 2016 jthumshirn@suse.de
- block: clarify badblocks lifetime (bsc#984203).
- commit 7e3ebc2
* Mon Jun 20 2016 jslaby@suse.cz
- base: make module_create_drivers_dir race-free (bnc#983977).
- commit 510d8ff
* Mon Jun 20 2016 jlee@suse.com
- KEYS: potential uninitialized variable (bsc#984755,
  CVE-2016-4470).
- commit ec3375f
* Mon Jun 20 2016 vbabka@suse.cz
- percpu: fix synchronization between synchronous map extension
  and chunk destruction (CVE-2016-4794, bnc#980265).
- percpu: fix synchronization between chunk->map_extend_work
  and chunk destruction (CVE-2016-4794, bnc#980265).
- commit 76167b0
* Sun Jun 19 2016 lduncan@suse.com
- Added cxgbit to supported modules (bsc#982737 fate#320113).
- commit a7adad9
* Sat Jun 18 2016 lduncan@suse.com
- cxgbit: Use type ISCSI_CXGBIT + cxgbit tpg_np attribute
  (bsc#982737 fate#320113).
- iscsi-target: Convert transport drivers to signal rdma_shutdown
  (bsc#982737 fate#320113).
- iscsi-target: Make iscsi_tpg_np driver show/store use generic
  code (bsc#982737 fate#320113).
- commit 12bfb81
* Sat Jun 18 2016 lduncan@suse.com
- cxgbit: add files for cxgbit.ko (bsc#982737 fate#320113).
- Update config files.
- commit ed83c82
* Sat Jun 18 2016 lduncan@suse.com
- iscsi-target: export symbols (bsc#982737 fate#320113).
- iscsi-target: call complete on conn_logout_comp (bsc#982737
  fate#320113).
- iscsi-target: clear tx_thread_active (bsc#982737 fate#320113).
- iscsi-target: add new offload transport type (bsc#982737
  fate#320113).
- iscsi-target: use conn_transport->transport_type in text rsp
  (bsc#982737 fate#320113).
- iscsi-target: move iscsit_thread_check_cpumask() (bsc#982737
  fate#320113).
- iscsi-target: add void (*iscsit_get_r2t_ttt)() (bsc#982737
  fate#320113).
- iscsi-target: add int (*iscsit_validate_params)() (bsc#982737
  fate#320113).
- commit 07746de
* Sat Jun 18 2016 lduncan@suse.com
- iscsi-target: split iscsi_target_rx_thread() (bsc#982737
  fate#320113).
- Refresh
  patches.suse/kgr-0008-mark-task_safe-in-some-kthreads.patch.
- commit e06d3fe
* Fri Jun 17 2016 lduncan@suse.com
- iscsi-target: add void (*iscsit_get_rx_pdu)() (bsc#982737
  fate#320113).
- iscsi-target: add void (*iscsit_release_cmd)() (bsc#982737
  fate#320113).
- iscsi-target: add int (*iscsit_xmit_pdu)() (bsc#982737
  fate#320113).
- commit 9fa0f4b
* Fri Jun 17 2016 mbrugger@suse.com
- ARM64: PCI: Support ACPI-based PCI host controller (bsc#985031).
- ARM64: PCI: Implement AML accessors for PCI_Config region
  (bsc#985031).
- ARM64: PCI: ACPI support for legacy IRQs parsing and
  consolidation with DT code (bsc#985031).
- ARM64: PCI: Add acpi_pci_bus_find_domain_nr() (bsc#985031).
- PCI: Factor DT-specific pci_bus_find_domain_nr() code out
  (bsc#985031).
- PCI: Refactor pci_bus_assign_domain_nr() for
  CONFIG_PCI_DOMAINS_GENERIC (bsc#985031).
- PCI/ACPI: Add generic MCFG table handling (bsc#985031).
- PCI/ACPI: Support I/O resources when parsing host bridge
  resources (bsc#985031).
- PCI: Add pci_unmap_iospace() to unmap I/O resources
  (bsc#985031).
- PCI: Add parent device field to ECAM struct pci_config_window
  (bsc#985031).
- PCI: Move ecam.h to linux/include/pci-ecam.h (bsc#985031).
- PCI: generic, thunder: Use generic ECAM API (bsc#985031).
- PCI, of: Move PCI I/O space management to PCI core code
  (bsc#985031).
- PCI: Provide common functions for ECAM mapping (bsc#985031).
- commit 5947c40
* Fri Jun 17 2016 agraf@suse.de
- arm64: Switch back to 48 bits va (bsc#984006)
- commit 1a71708
* Thu Jun 16 2016 brogers@suse.com
- virtio_balloon: fix PFN format for virtio-1 (bsc#984658).
- commit 7d68b5f
* Thu Jun 16 2016 bpoirier@suse.com
- net: ena: Add a driver for Amazon Elastic Network Adapters (ENA)
  (bsc#974585 FATE#320332).
- Update config files.
- supported.conf: Add ena as supported (Amazon Devices Elastic Network
  Adapter)
- commit 908f45b
* Wed Jun 15 2016 mmarek@suse.cz
- rpm/constraints.in: Really require 4GB for kernel-source, add -rt (bsc#984845)
- commit a0dec36
* Wed Jun 15 2016 mmarek@suse.cz
- rpm/constraints.in: Require 4GB of disk space for kernel-source (bsc#984845)
- commit 1b20111
* Wed Jun 15 2016 ddiss@suse.de
- target/rbd: don't put snap_context twice (bsc#981143).
- target/rbd: remove caw_mutex usage (bsc#981143).
- commit fedc118
* Tue Jun 14 2016 lduncan@suse.com
- target: use new "dbroot" target attribute (bsc#984716).
- target: make target db location configurable (bsc#984716).
- commit 7d5d4fe
* Tue Jun 14 2016 dbueso@suse.de
- locking/mutex: Optimize mutex_trylock() fast-path (bsc#969756).
- commit 34a6c94
* Tue Jun 14 2016 dbueso@suse.de
- locking/rwsem: Optimize write lock by reducing operations in slowpath (bsc#969756).
- commit 969a7a8
* Tue Jun 14 2016 dbueso@suse.de
- locking/rtmutex: Only warn once on a trylock from bad context (bsc#969756).
- commit 09f90da
* Tue Jun 14 2016 dbueso@suse.de
- locking/mutex: Set and clear owner using WRITE_ONCE() (bsc#969756).
- commit 7e06c54
* Tue Jun 14 2016 dbueso@suse.de
- locking/ww_mutex: Report recursive ww_mutex locking early (bsc#969756).
- commit 03d04e6
* Tue Jun 14 2016 jgross@suse.com
- Add xen-hcd to debug config file
- commit c57eee8
* Tue Jun 14 2016 jgross@suse.com
- Add Xen pvusb frontend driver (fate#315712)
- usb: Add Xen pvUSB protocol description (fate#315712).
- commit 255e559
* Tue Jun 14 2016 bpoirier@suse.com
- supported.conf: Mark ll_temac (Xilinx LocalLink Tri-mode Ethernet MAC) supported
  It seems possible to have this device on an arm64 SoC.
- commit 84342e5
* Tue Jun 14 2016 agraf@suse.de
- Switch arm64 to 39 bits va temporarily (bsc#984126)
- commit ecb5dcb
* Tue Jun 14 2016 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Use the default value for CONFIG_MODULE_SIG_KEY (bsc#983634)
- commit 6eb6cd2
* Tue Jun 14 2016 tiwai@suse.de
- supported.conf: Add i2c-opal as externally supported (bsc#983478)
- commit 7b7eb4a
* Tue Jun 14 2016 mgorman@suse.com
- sched/debug: Fix deadlock when enabling sched events (Scheduler
  performance -- debugging overhead, fate#320486).
- sched/debug: fix 'schedstats=enable' cmdline option (Scheduler
  performance -- debugging overhead, fate#320486).
- sched/debug: always show nr_migrations (Scheduler performance --
  debugging overhead, fate#320486).
- sched/debug: fix /proc/sched_debug regression (Scheduler
  performance -- debugging overhead, fate#320486).
- commit 9651c5b
* Tue Jun 14 2016 oneukum@suse.com
- supported.conf: made explicit lack of support for chaoskey
  We cannot support external sources of entropy
  unless we can verify they are genuine.
- commit d77fb5a
* Tue Jun 14 2016 mgorman@suse.com
- Delete patches.suse/mm-make-faultaround-produce-old-ptes.patch.
- commit de925bc
* Tue Jun 14 2016 jthumshirn@suse.de
- ACPI/EINJ: Allow memory error injection to NVDIMM (bsc#984055).
- resource: Handle resource flags properly (bsc#984055).
- x86/e820: Set System RAM type and descriptor (bsc#984055).
- Refresh patches.suse/acpi_Disable_APEI_error_injection_if_securelevel_is_set.patch.
- commit 4ee6297
* Tue Jun 14 2016 oneukum@suse.com
- Refresh
  patches.suse/0001-usb-quirk-to-stop-runtime-PM-for-Intel-7260.patch.
- commit 7275801
* Tue Jun 14 2016 mkubecek@suse.cz
- ipvs: count pre-established TCP states as active (bsc#970114).
- commit 153b6b0
* Mon Jun 13 2016 duwe@suse.de
- crypto: vmx - IV size failing on skcipher API (bsc#976560).
- commit adffabd
* Mon Jun 13 2016 duwe@suse.de
- cxl: Check periodically the coherent platform function's state
  (bsc#983740).
- cxl: Poll for outstanding IRQs when detaching a context
  (bsc#983740).
- cxl: Increase timeout for detection of AFU mmio hang
  (bsc#983740).
- cxl: Allow initialization on timebase sync failures
  (bsc#983740).
- cxl: Configure the PSL for two CAPI ports on POWER8NVL
  (bsc#983740).
- powerpc: Define PVR value for POWER8NVL processor (bsc#983740).
- commit c633c75
* Mon Jun 13 2016 hare@suse.de
- scsi: disable VPD page check on error (bsc#981954).
- SCSI: Add Marvell configuration device to VPD blacklist
  (bsc#981954).
- commit 097a8f9
* Mon Jun 13 2016 oneukum@suse.com
- usb: quirk to stop runtime PM for Intel 7260 (bnc#984446).
- commit 0f5e3fb
* Mon Jun 13 2016 jthumshirn@suse.de
- scsi/fcoe: convert to kworker (bsc#966327,FATE#320151).
- Refresh patches.suse/kgr-0008-mark-task_safe-in-some-kthreads.patch.
- commit 7147bc8
* Mon Jun 13 2016 tiwai@suse.de
- Update config files: adjust options for arm64/default
  Disabled CONFIG_ACPI_HED and CONFIG_ACPI_CUSTOM_METHOD.
  CONFIG_PKCS7_MESSAGE_PARSER is built-in to follow other archs.
- commit f048462
* Mon Jun 13 2016 mfleming@suse.de
- ftrace/x86: Set ftrace_stub to weak to prevent gcc from using
  short jumps to it (bsc#984419).
- commit 9acf1aa
* Fri Jun 10 2016 agraf@suse.de
- usb: dwc2: Proper cleanup on dr_mode failure (bsc#984114).
- usb: dwc2: Fixed SOF interrupt enabling/disabling (bsc#984114).
- usb: dwc2: host: Setting qtd to NULL after freeing it
  (bsc#984114).
- usb: dwc2: gadget: Prevent handling of host interrupts
  (bsc#984114).
- usb: dwc2: gadget: Check for ep0 in enable (bsc#984114).
- usb: dwc2: do not override forced dr_mode in gadget setup
  (bsc#984114).
- usb: dwc2: Fix issues in dwc2_complete_non_isoc_xfer_ddma()
  (bsc#984114).
- usb: dwc2: Add support for Lantiq ARX and XRX SoCs (bsc#984114).
- usb: dwc2: Move host-specific core functions into hcd.c
  (bsc#984114).
- usb: dwc2: Move register save and restore functions
  (bsc#984114).
- usb: dwc2: Use kmem_cache_free() (bsc#984114).
- usb: dwc2: host: If using uframe scheduler, end splits better
  (bsc#984114).
- usb: dwc2: host: Totally redo the microframe scheduler
  (bsc#984114).
- usb: dwc2: host: Properly set even/odd frame (bsc#984114).
- usb: dwc2: host: Add dwc2_hcd_get_future_frame_number() call
  (bsc#984114).
- usb: dwc2: host: Manage frame nums better in scheduler
  (bsc#984114).
- usb: dwc2: host: Add scheduler logging for missed SOFs
  (bsc#984114).
- usb: dwc2: host: Split code out to make dwc2_do_reserve()
  (bsc#984114).
- usb: dwc2: host: Reorder things in hcd_queue.c (bsc#984114).
- usb: dwc2: host: Rename some fields in struct dwc2_qh
  (bsc#984114).
- usb: dwc2: host: Use periodic interrupt even with DMA
  (bsc#984114).
- usb: dwc2: host: There's not really a TT for the root hub
  (bsc#984114).
- usb: dwc2: host: Properly set the HFIR (bsc#984114).
- usb: dwc2: host: Giveback URB in tasklet context (bsc#984114).
- usb: dwc2: host: Add a delay before releasing periodic bandwidth
  (bsc#984114).
- usb: dwc2: host: Add scheduler tracing (bsc#984114).
- usb: dwc2: host: fix split transfer schedule sequence
  (bsc#984114).
- usb: dwc2: host: Always add to the tail of queues (bsc#984114).
- usb: dwc2: host: Avoid use of chan->qh after qh freed
  (bsc#984114).
- usb: dwc2: host: Set host_rx_fifo_size to 525 for rk3066
  (bsc#984114).
- usb: dwc2: host: Get aligned DMA in a more supported way
  (bsc#984114).
- usb: dwc2: rockchip: Make the max_transfer_size automatic
  (bsc#984114).
- usb: dwc2: host: fix the data toggle error in full speed
  descriptor dma (bsc#984114).
- usb: dwc2: host: fix logical omissions in
  dwc2_process_non_isoc_desc (bsc#984114).
- usb: dwc2: Add extra delay when forcing dr_mode (bsc#984114).
- usb: dwc2: Fix probe problem on bcm2835 (bsc#984114).
- Revert "usb: dwc2: Move reset into dwc2_get_hwparams()"
  (bsc#984114).
- usb: dwc2: add shutdown callback to platform variant
  (bsc#984114).
- usb: dwc2: gadget: Repair DSTS register decoding (bsc#984114).
- usb: dwc2: gadget: Remove call to dwc2_hsotg_init()
  (bsc#984114).
- usb: dwc2: Remove redundant reset in probe (bsc#984114).
- usb: dwc2: Reduce delay when forcing mode in reset (bsc#984114).
- usb: dwc2: gadget: Replace dwc2_hsotg_corereset() (bsc#984114).
- usb: dwc2: gadget: Use hw params from core (bsc#984114).
- usb: dwc2: Improve handling of host and device hwparams
  (bsc#984114).
- usb: dwc2: Add functions to set and clear force mode
  (bsc#984114).
- usb: dwc2: Move reset into dwc2_get_hwparams() (bsc#984114).
- usb: dwc2: Move mode querying functions into core.h
  (bsc#984114).
- usb: dwc2: Fix dr_mode validation (bsc#984114).
- usb: dwc2: Add functions to check the HW OTG config
  (bsc#984114).
- usb: dwc2: Add dwc2_core_reset() (bsc#984114).
- usb: dwc2: Rename dwc2_core_reset() (bsc#984114).
- usb: dwc2: Reorder AHBIDLE and CSFTRST in dwc2_core_reset()
  (bsc#984114).
- usb: dwc2: Avoid more calls to dwc2_core_reset() (bsc#984114).
- usb: dwc2: reduce dwc2 driver probe time (bsc#984114).
- usb: dwc2: Speed dwc2_get_hwparams() on some host-only ports
  (bsc#984114).
- usb: dwc2: Avoid double-reset at boot time (bsc#984114).
- usb: dwc2: reset dwc2 core before dwc2_get_hwparams()
  (bsc#984114).
- usb: dwc2: Restore GUSBCFG in dwc2_get_hwparams() (bsc#984114).
- usb: dwc2: gadget: don't overwrite DCTL register on NAKEFF
  interrupts (bsc#984114).
- usb: dwc2: fix transfer stop programming for out endpoint
  (bsc#984114).
- usb: dwc2: host: Clear interrupts before handling them
  (bsc#984114).
- usb: dwc2: host: Add missing spinlock in dwc2_hcd_reset_func()
  (bsc#984114).
- usb: dwc2: host: Support immediate retries for split
  transactions (bsc#984114).
- usb: dwc2: host: Fix missing device insertions (bsc#984114).
- usb: dwc2: add support of hi6220 (bsc#984114).
- usb: dwc2: host: use kmem cache to allocate descriptors
  (bsc#984114).
- usb: dwc2: host: fix descriptor list address masking
  (bsc#984114).
- usb: dwc2: host: avoid usage of dma_alloc_coherent with irqs
  disabled (bsc#984114).
- usb: dwc2: host: enable descriptor dma for fs devices
  (bsc#984114).
- usb: dwc2: host: process all completed urbs (bsc#984114).
- usb: dwc2: host: always increment available host channel during
  release (bsc#984114).
- usb: dwc2: host: program descriptor for next frame (bsc#984114).
- usb: dwc2: host: add function to compare frame index
  (bsc#984114).
- usb: dwc2: host: spinlock release channel (bsc#984114).
- usb: dwc2: host: fix use of qtd after free in desc dma mode
  (bsc#984114).
- usb: dwc2: host: rework isochronous halt path (bsc#984114).
- usb: dwc2: host: set active bit in isochronous descriptors
  (bsc#984114).
- usb: dwc2: host: ensure filling of isoc desc is correctly done
  (bsc#984114).
- commit 5bdd263
* Fri Jun 10 2016 ohering@suse.de
- Revert "xen-blkfront: export backend dev name via sysfs (bnc#979002)."
- commit 84d1c05
* Fri Jun 10 2016 bp@suse.de
- rds: fix an infoleak in rds_inc_info_copy (bsc#983213
  CVE-2016-5244).
- commit f653b87
* Fri Jun 10 2016 jjolly@suse.de
- s390/dasd: fix failfast for disconnected devices (bnc#943476,
  LTC#135138).
- s390/cpumf: Improve guest detection heuristics (bnc#943476,
  LTC#141776).
- commit 90b4e2e
* Fri Jun 10 2016 ddiss@suse.de
- rbd: handle OBJ_REQUEST_SG types for copyup (bsc#983394).
- commit 4617da3
* Fri Jun 10 2016 mgorman@suse.com
- mm, slaub: Add __GFP_ATOMIC to the GFP reclaim mask (bnc#971975
  VM performance -- page allocator).
- commit d9f388f
* Fri Jun 10 2016 ohering@suse.de
- hv_netvsc: set nvdev link after populating chn_table
  (fate#320485).
- hv_netvsc: synchronize netvsc_change_mtu()/netvsc_set_channels()
  with netvsc_remove() (fate#320485).
- hv_netvsc: get rid of struct net_device pointer in struct
  netvsc_device (fate#320485).
- hv_netvsc: untangle the pointer mess (fate#320485).
- hv_netvsc: use start_remove flag to protect netvsc_link_change()
  (fate#320485).
- hv_netvsc: move start_remove flag to net_device_context
  (fate#320485).
- tools: hv: lsvmbus: add pci pass-through UUID (fate#320485).
- Drivers: hv: balloon: reset host_specified_ha_region
  (fate#320485).
- drivers:hv: Separate out frame buffer logic when picking MMIO
  range (fate#320485).
- drivers:hv: Record MMIO range in use by frame buffer
  (fate#320485).
- Drivers: hv: vmbus: Export the vmbus_set_event() API
  (fate#320485).
- Drivers: hv: vmbus: Use READ_ONCE() to read variables that
  are volatile (fate#320485).
- Drivers: hv: vmbus: Introduce functions for estimating room
  in the ring buffer (fate#320485).
- hv_netvsc: Fix the list processing for network change event
  (fate#320485).
- hv_netvsc: Implement support for VF drivers on Hyper-V
  (fate#320485).
- commit 64cc24d
* Fri Jun 10 2016 ohering@suse.de
- add mainline tags to various hyperv patches
- commit f62b2c4
* Fri Jun 10 2016 tiwai@suse.de
- Update config files: Fix arm64/vanilla build due to 4k page change
- commit 5d2fcd9
* Fri Jun 10 2016 bpoirier@suse.com
- supported.conf: Update the status of some ethernet drivers
- commit c692ece
* Thu Jun  9 2016 agraf@suse.de
- Enable CMA on arm64 (bsc#983743)
- commit 4e94f7e
* Thu Jun  9 2016 agraf@suse.de
- Move arm64 to 4k page size (bsc#984006)
- commit f855336
* Thu Jun  9 2016 tiwai@suse.de
- supported.conf: Add more missing modules.
  Now drivers/acpi/*, drivers/idle/* and drivers/thermal/* are covered.
- commit 0a7f861
* Thu Jun  9 2016 jbohac@suse.cz
- sctp: fix copying more bytes than expected in
  sctp_add_bind_addr (bsc#973353).
- commit 5b72e46
* Thu Jun  9 2016 ohering@suse.de
- xen-blkfront: export backend dev name via sysfs (bnc#979002).
- commit 2f2be76
* Thu Jun  9 2016 mstaudt@suse.de
- efifb: Fix 16 color palette entry calculation (bsc#983318).
- commit b5fd85c
* Thu Jun  9 2016 ohering@suse.de
- Revert "xen-blkfront: provide hd symlink for xvd (bnc#979002)."
- commit 1441650
* Thu Jun  9 2016 jkosina@suse.cz
- Refresh
  patches.drivers/pstore_disable_efi_backend_by_default.patch.
  pstore_register() error handling is wrong -- it tries to release
  lock before it's acquired, causing spinlock / preemption imbalance.
- commit c508a24
* Thu Jun  9 2016 tiwai@suse.de
- supported.conf: list more missing new modules.
  drivers/input/*, drivers/misc/*, drivers/mmc/*, andj fallout of
  fs/nfs/flexfilelayout/nfs_layout_flexfiles
- commit e2f0d78
* Thu Jun  9 2016 tiwai@suse.de
- mm/page_alloc.c: calculate 'available' memory in a separate
  function (bsc#982239).
- virtio_balloon: export 'available' memory to balloon statistics
  (bsc#982239).
- commit 64e840a
* Thu Jun  9 2016 tiwai@suse.de
- supported.conf: Add new crypto modules as supported
- commit ecb3ae3
* Thu Jun  9 2016 mstaudt@suse.de
- drm/mgag200: Black screen fix for G200e rev 4 (bsc#983907).
- commit f70cec4
* Thu Jun  9 2016 jthumshirn@suse.de
- Missing bio_put following submit_bio_wait (fate#319999).
- commit e94acad
* Wed Jun  8 2016 ohering@suse.de
- xen-blkfront: provide hd symlink for xvd (bnc#979002).
- commit b284509
* Wed Jun  8 2016 jeffm@suse.com
- ecryptfs: don't allow mmap when the lower file system doesn't
  allow it (bsc#983143 CVE-2016-1583).
- commit 42f449d
* Wed Jun  8 2016 mfleming@suse.de
- sched/fair: Move load and util avgs from wake_up_new_task()
  to sched_fork() (bsc#983250).
- sched/fair: Skip detach sched avgs for new task when changing
  task groups (bsc#983250).
- sched/fair: Skip detach and attach new group task (bsc#983250).
- sched/fair: Clean up attach_entity_load_avg() (bsc#983250).
- commit b99c791
* Wed Jun  8 2016 mgorman@suse.com
- Refresh
  patches.suse/mm-page_alloc-Recalculate-the-preferred-zoneref-if-the-context-can-ignore-memory-policies.patch.
- Refresh
  patches.suse/mm-page_alloc-prevent-infinite-loop-in-buffered_rmqueue.patch.
- Refresh
  patches.suse/mm-page_alloc-reset-zonelist-iterator-after-resetting-fair-zone-allocation-policy.patch.
- commit 56e1d4f
* Wed Jun  8 2016 agraf@suse.de
- arm64: mm: always take dirty state from new pte in
  ptep_set_access_flags (bsc#983458).
- Update config files.
- commit 59ed2f8
* Wed Jun  8 2016 jthumshirn@suse.de
- libnvdimm, nfit: report multiple interface codes per-dimm
  (FATE#319858).
- libnvdimm, test: add mock SMART data payload (FATE#319858).
- libnvdimm, nfit: Use ACPI_SIG_NFIT instead of hard coded string
  (FATE#319858).
- libnvdimm, pmem: kill pmem->ndns (FATE#319858).
- libnvdimm, pfn, convert nd_pfn_probe() to devm (FATE#319858).
- libnvdimm, btt, convert nd_btt_probe() to devm (FATE#319858).
- libnvdimm, btt: add btt startup debug (FATE#319858).
- libnvdimm, blk: use devm_add_action to release bdev resources
  (FATE#319858).
- libnvdimm, blk: use ->queuedata for driver private data
  (FATE#319858).
- libnvdimm, pmem: use ->queuedata for driver private data
  (FATE#319858).
- libnvdimm, blk: quiet i/o error reporting (FATE#319858).
- libnvdimm, blk: move i/o infrastructure to nd_namespace_blk
  (FATE#319858).
- libnvdimm, pmem: use devm_add_action to release bdev resources
  (FATE#319858).
- libnvdimm, pmem: clean up resource print / request
  (FATE#319858).
- libnvdimm, pmem, pfn: make pmem_rw_bytes generic and refactor
  pfn setup (FATE#319858).
- libnvdimm, pmem, pfn: move pfn setup to the core (FATE#319858).
- libnvdimm, pmem: kill ->pmem_queue and ->pmem_disk
  (FATE#319858).
- libnvdimm: cleanup nvdimm_namespace_common_probe(), kill 'host'
  (FATE#319858).
- acpi/nfit: Update nfit driver to comply with ACPI 6.1
  (FATE#319858).
- ACPICA: ACPI 6.1: Update NFIT table for additional new fields
  (FATE#319858).
- acpi/nfit: Add sysfs "id" for NVDIMM ID (FATE#319858).
- nfit, libnvdimm: clarify "commands" vs "_DSMs" (FATE#319858).
- nfit, libnvdimm: limited/whitelisted dimm command marshaling
  mechanism (FATE#319858).
- nfit: fix format interface code byte order per ACPI6.1
  (FATE#319858).
- nfit: export subsystem ids as attributes (FATE#319858).
- nfit: disable vendor specific commands (FATE#319858).
- tools/testing/nvdimm: ND_CMD_CALL support (FATE#319858).
- nfit: add sysfs dimm 'family' and 'dsm_mask' attributes
  (FATE#319858).
- libnvdimm, dax: introduce device-dax infrastructure
  (FATE#319858).
- libnvdimm, dax: reserve space to store labels for device-dax
  (FATE#319858).
- libnvdimm, dax: record the specified alignment of a dax-device
  instance (FATE#319858).
- libnvdimm: stop requiring a driver ->remove() method
  (FATE#319858).
- /dev/dax, pmem: direct access to persistent memory
  (FATE#319858).
- libnvdimm: release ida resources (FATE#319858).
- libnvdimm, dax: autodetect support (FATE#319858).
- libnvdimm, dax: fix alignment validation (FATE#319858).
- libnvdimm, dax: fix deletion (FATE#319858).
- Update config files.
- Refresh
  patches.drivers/0017-pmem-dax-disable-dax-in-the-presence-of-bad-blocks.patch.
- supported.conf:
- commit f0e386a
* Wed Jun  8 2016 tiwai@suse.de
- supported.conf: List more modules explicitly
  Now updated
  drivers/gpu/drm/*
  drivers/input/touchscreen/*
  drivers/mfd/*
  drivers/net/can/gs_usb
  drivers/platform/*
  drivers/power/*
  driverw/pwm/*
  drivers/regulator/ltc3589
  drivers/video/*
  kernel/*
- commit 1b93b63
* Wed Jun  8 2016 duwe@suse.de
- Enhance patches.suse/fips-remove-hmac-crc32-add-nullcipher-hack
  to completely revert upstream a482b081a2d4d in order to get rid
  of the compile warning.
- commit 5edadc8
* Wed Jun  8 2016 jthumshirn@suse.de
- ARM: 8522/1: drivers: nvdimm: ensure no negative value gets
  returned on positive match (FATE#319858).
- nfit, tools/testing/nvdimm: add format interface code
  definitions (FATE#319858).
- nfit, tools/testing/nvdimm: test multiple control regions
  per-dimm (FATE#319858).
- libnvdimm, nfit: centralize command status translation
  (FATE#319858).
- libnvdimm: protect nvdimm_{bus|namespace}_add_poison() with
  nvdimm_bus_lock() (FATE#319858).
- libnvdimm: async notification support (FATE#319858).
- nfit, tools/testing/nvdimm: unify common init for acpi_nfit_desc
  (FATE#319858).
- nfit, libnvdimm: async region scrub workqueue (FATE#319858).
- nfit: scrub and register regions in a workqueue (FATE#319858).
- nfit: disable userspace initiated ars during scrub
  (FATE#319858).
- tools/testing/nvdimm: expand ars unit testing (FATE#319858).
- libnvdimm: Clean-up access mode check (FATE#319858).
- libnvdimm, pmem: fix 'pfn' support for section-misaligned
  namespaces (FATE#319858).
- resource: Add System RAM resource type.
- resource: Add I/O resource descriptor (FATE#319858).
- memremap: Change region_intersects() to take @flags and @desc
  (FATE#319858).
- mm: add PHYS_PFN, use it in __phys_to_pfn() (FATE#319858).
- resource: Add remove_resource interface (FATE#319858).
- resource: Export insert_resource and remove_resource
  (FATE#319858).
- libnvdimm, pmem: adjust for section collisions with 'System RAM'
  (FATE#319858).
- libnvdimm, pfn: 'resource'-address and 'size' attributes for
  pfn devices (FATE#319858).
- nfit, libnvdimm: clear poison command support (FATE#319858).
- libnvdimm, pmem: fix ia64 build, use PHYS_PFN (FATE#319858).
- ACPI: Change NFIT driver to insert new resource (FATE#319858).
- pmem: don't allocate unused major device number (FATE#319858).
- nvdimm/blk: don't allocate unused major device number
  (FATE#319858).
- nvdimm/btt: don't allocate unused major device number
  (FATE#319858).
- libnvdimm, pmem: clear poison on write (FATE#319858).
- libnvdimm: fix smart data retrieval (FATE#319858).
- libnvdimm, pfn: fix nvdimm_namespace_add_poison() vs section
  alignment (FATE#319858).
- libnvdimm, pmem: clarify the write+clear_poison+write flow
  (FATE#319858).
- libnvdimm, pfn: fix memmap reservation sizing (FATE#319858).
- nfit: fix translation of command status results (FATE#319858).
- Refresh
  patches.drivers/0001-libnvdimm-treat-volatile-virtual-CD-as-read-only-pme.patch.
- Refresh
  patches.drivers/0017-pmem-dax-disable-dax-in-the-presence-of-bad-blocks.patch.
- commit f3525a8
* Wed Jun  8 2016 dchang@suse.com
- IB/core: Fix a potential array overrun in CMA and SA agent
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- commit f49647c
* Wed Jun  8 2016 dchang@suse.com
- qed: Fix allocation in interrupt context (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: signedness bug in qed_dcbx_process_tlv() (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- commit 699c7f6
* Wed Jun  8 2016 dchang@suse.com
- mlx5: avoid unused variable warning (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB/mlx5: Allow mapping the free running counter on PROT_EXEC
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: E-Switch, Fix error flow memory leak (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- commit 20649df
* Wed Jun  8 2016 dchang@suse.com
- Refresh
  patches.drivers/mlx5-0189-net-mlx5-Fix-mlx5-ifc-cmd_hca_cap-bad-offsets.patch.
- commit f64ccc0
* Wed Jun  8 2016 oneukum@suse.com
- supported.conf: no support for drivers/usb/usbip/usbip-host.ko
  THis driver has issues, is rather specialised and will be superseeded
  by MA USB. So we don't want it.
- commit 5123533
* Wed Jun  8 2016 dchang@suse.com
- IB/hfi1: Fix potential panic with sdma drained mechanism
  (bsc#973818 FATE#319242).
- IB/hfi1: Fix missing lock/unlock in verbs drain callback
  (bsc#973818 FATE#319242).
- IB/hfi1: Fix pio wait counter double increment (bsc#973818
  FATE#319242).
- IB/qib, IB/hfi1: Fix up UD loopback use of irq flags (bsc#973818
  FATE#319242).
- IB/hfi1: Remove unreachable code (bsc#973818 FATE#319242).
- IB/hfi1: Correct 8051 link parameter settings (bsc#973818
  FATE#319242).
- IB/hfi1: Don't attempt to free resources if initialization
  failed (bsc#973818 FATE#319242).
- commit bb2301a
* Wed Jun  8 2016 oneukum@suse.com
- supported.conf: add support for muxport serial driver
  We support the rest. So let's be consistent.
- commit 99ec9df
* Wed Jun  8 2016 oneukum@suse.com
- supported.conf: declare strange USB devices unsupported
  Those are niche devices.
- commit 5105668
* Wed Jun  8 2016 oneukum@suse.com
- supported.conf: removed support for drivers/thunderbolt/thunderbolt.ko
  This driver is used only on Mac Books and is different from everything else.
  It actually exposes the Thunderbolt controller to the OS but cannot be
  used generically because it uses special ACPI calls.
- commit 5ad85a5
* Wed Jun  8 2016 jslaby@suse.cz
- Linux 4.4.13 (CVE-2016-2847 FATE#319481 FATE#320140 bsc#966342
  bsc#970948).
- Refresh
  patches.arch/arm64-bcm2837-0013-clk-bcm2835-add-a-round-up-ability-to-the-clock-divi.patch.
- Refresh
  patches.arch/arm64-bcm2837-0077-clk-bcm2835-Fix-PLL-poweron.patch.
- Delete
  patches.arch/arm64-bcm2837-0059-clk-bcm2835-pll_off-should-only-update-CM_PLL_ANARST.patch.
- Delete
  patches.arch/arm64-bcm2837-0061-clk-bcm2835-divider-value-has-to-be-1-or-more.patch.
- Delete patches.arch/powerpc-Fix-branching-to-OOL.patch.
- Delete
  patches.drivers/0015-aacraid-relinquish-cpu-during-timeout-wait.patch.
- Delete
  patches.drivers/0017-aacraid-fix-for-aac_command_thread-hang.patch.
- Delete
  patches.drivers/0020-aacraid-fix-for-kdump-driver-hang.patch.
- Delete
  patches.fixes/0001-pipe-limit-the-per-user-amount-of-pages-allocated-in.patch.
- commit ebebb87
* Tue Jun  7 2016 tiwai@suse.de
- supported.conf: Add external support to powernv modules (bsc#983478)
- commit e2db738
* Tue Jun  7 2016 tiwai@suse.de
- supported.conf: Update unsupported SCSI drivers
- commit 2affbc7
* Tue Jun  7 2016 duwe@suse.de
- Fix FIPS integrity test on SLE 12 SP2 (bsc#976577).
- Delete patches.suse/allow-gcm_aes-for-FIPS-140-2.
- commit dc227d8
* Tue Jun  7 2016 agraf@suse.de
- Update config files: disable CONFIG_ARM64_HW_AFDBM temporarily (bsc#983458)
- commit 8746b4a
* Tue Jun  7 2016 mbrugger@suse.com
- gpio: davinci: fix missed parent conversion (fate#319481).
- commit 46e1327
* Tue Jun  7 2016 tiwai@suse.de
- Update config files: Enable CONFIG_CHECKPOINT_RESTORE (bsc#982736)
- commit 18c69c4
* Tue Jun  7 2016 tiwai@suse.de
- supported.conf: Add Intel ASoC modules as supported
- commit 422df23
* Tue Jun  7 2016 jack@suse.cz
- Fix division of u64 by u32 and int overflow in
  patches.fixes/cfq-iosched-Convert-from-jiffies-to-nanoseconds.patch.
- commit c25d210
* Tue Jun  7 2016 agraf@suse.de
- clk: bcm2835: Mark the CM SDRAM clock's parent as critical
  (bsc#983145).
- commit 920e92f
* Mon Jun  6 2016 agraf@suse.de
- clk: bcm2835: Skip PLLC clocks when deciding on a new clock
  parent (bsc#983145).
- clk: bcm2835: Mark GPIO clocks enabled at boot as critical
  (bsc#983145).
- clk: bcm2835: Mark the VPU clock as critical (bsc#983145).
- clk: Allow clocks to be marked as CRITICAL (bsc#983145).
- commit 0617a24
* Mon Jun  6 2016 ohering@suse.de
- x86/pat: Document the PAT initialization sequence (bnc#982991,
  bnc#974257, bnc#982991).
- x86/xen, pat: Remove PAT table init code from Xen (bnc#982991,
  bnc#974257, bnc#982991).
- x86/mtrr: Fix PAT init handling when MTRR is disabled
  (bnc#982991, bnc#974257, bnc#982991).
- x86/mtrr: Fix Xorg crashes in Qemu sessions (bnc#982991,
  bnc#974257, bnc#982991).
- x86/mm/pat: Replace cpu_has_pat with boot_cpu_has() (bnc#982991,
  bnc#974257, bnc#982991).
- x86/mm/pat: Add pat_disable() interface (bnc#982991, bnc#974257,
  bnc#982991).
- x86/mm/pat: Add support of non-default PAT MSR setting
  (bnc#982991, bnc#974257, bnc#982991).
- commit 9af404a
* Mon Jun  6 2016 ohering@suse.de
- Delete patches.suse/xen-pv-devmem_is_allowed.patch. (bnc#982991)
- commit 3c25169
* Mon Jun  6 2016 agraf@suse.de
- mmc: sdhci-iproc: add bcm2835 support (bsc#983145).
- Update config files.
- supported.conf:
- mmc: sdhci-iproc: define MMC caps in platform data (bsc#983145).
- mmc: sdhci-iproc: Actually enable the clock (bsc#983145).
- mmc: sdhci-iproc: Clean up platform allocations if shdci init
  fails (bsc#983145).
- rtc: efi: Fail probing if RTC reads don't work (bsc#983117).
- net/smscx5xx: use the device tree for mac address (bsc#983145).
- ARM: bcm2837: dt: Add the ethernet to the device trees
  (bsc#983145).
- ARM: bcm2835: dt: Add the ethernet to the device trees
  (bsc#983145).
- drm/vc4: Kick out the simplefb framebuffer before we set up KMS
  (bsc#983145).
- commit d66acee
* Mon Jun  6 2016 oneukum@suse.com
- usb: ch9: Add size macro for SSP dev cap descriptor
  (FATE#319959).
- commit 5c6a9b7
* Mon Jun  6 2016 oneukum@suse.com
- usb: gadget: Add gadget_is_superspeed_plus() (FATE#319959).
- commit 3d7ce11
* Mon Jun  6 2016 jthumshirn@suse.de
- Refresh patches.suse/squashfs-3.4.patch.
  Fix error message format string to silence compiler warning.
- commit a5a3026
* Mon Jun  6 2016 jthumshirn@suse.de
- Refresh
  patches.suse/0001-Remove-BSD-style-securelevel-sysfs-file.patch.
  Commit '5e2e0e7' removed the struct file_operations for securelevel, but not
  the read and write methods, which results in GCC complaining.
- commit a2e44e3
* Mon Jun  6 2016 mkubecek@suse.cz
- net: disable fragment reassembly if high_thresh is zero
  (bsc#970506).
- commit eec6a0b
* Sat Jun  4 2016 tiwai@suse.de
- tty/serial/8250: fix RS485 half-duplex RX (bsc#983152).
- tty: serial: 8250: Cleanup p->em485 in
  serial8250_unregister_port (bsc#983152).
- tty: serial: Use GFP_ATOMIC instead of GFP_KERNEL in
  serial8250_em485_init() (bsc#983152).
- tty: 8250_omap: Use software emulated RS485 direction control
  (bsc#983152).
- tty: Add software emulated RS485 support for 8250 (bsc#983152).
- tty: Move serial8250_stop_rx() in front of serial8250_start_tx()
  (bsc#983152).
- commit d15482b
* Fri Jun  3 2016 colyli@suse.de
- md: more open-coded offset_in_page().
- bcache: bch_writeback_thread() is not freezable.
- bcache: bch_allocator_thread() is not freezable.
- bcache: bch_gc_thread() is not freezable.
- mtip32xx: remove unneeded variable in mtip_cmd_timeout()
  (fate#319999).
- mtip32xx: fix checks for dma mapping errors (fate#319999).
- mtip32xx: remove call to blk_queue_flush() (fate#319999).
- md/raid5: remove redundant check in stripe_add_to_batch_list()
  (fate#320291).
- raid5-cache: add journal hot add/remove support (fate#320291).
- md: update comment for md_allow_write (fate#320291).
- raid5-cache: simplify r5l_move_io_unit_list (fate#320291).
- raid5-cache: free meta_page earlier (fate#320291).
- md: avoid warning for 32-bit sector_t (fate#320291).
- drivers: md: use ktime_get_real_seconds() (fate#320291).
- raid5-cache: use a bio_set (fate#320291).
- raid5-cache: use a mempool for the metadata block (fate#320291).
- raid5: allow r5l_io_unit allocations to fail (fate#320291).
- md: remove unnecesary md_new_event_inintr (fate#320291).
- md: Remove 'ready' field from mddev (fate#320291).
- md: set MD_HAS_JOURNAL in correct places (fate#320291).
- MD: add journal with array suspended (fate#320291).
- raid5-cache: handle journal hotadd in quiesce (fate#320291).
- MD: rename some functions (fate#320291).
- raid6/algos.c : bug fix : Add the missing definitions to the
  pq.h file (fate#320291).
- md: Drop sending a change uevent when stopping (fate#320291).
- MD: warn for potential deadlock (fate#320291).
- md/bitmap: remove redundant check (fate#320291).
- md/raid5: output stripe state for debug (fate#320291).
- md/raid1: remove unnecessary BUG_ON (fate#320291).
- md/bitmap: remove redundant return in bitmap_checkpage
  (fate#320291).
- md: fix typos for stipe (fate#320291).
- md/raid5: Cleanup cpu hotplug notifier (fate#320291).
- md-cluster: fix ifnullfree.cocci warnings (fate#316335).
- md:raid1: fix a dead loop when read from a WriteMostly disk
  (fate#320291).
- md-cluster: gather resync infos and enable recv_thread after
  bitmap is ready (fate#316335).
- md: fix a trivial typo in comments (fate#320291).
- MD: add rdev reference for super write (fate#320291).
- md-cluster: check the return value of process_recvd_msg
  (fate#316335).
- md/bitmap: clear bitmap if bitmap_create failed (fate#320291).
- md/raid0: fix uninitialized variable bug (fate#320291).
- md/raid0: remove empty line printk from dump_zones
  (fate#320291).
- raid5: delete unnecessary warnning (fate#320291).
- md: md.c: fix oops in mddev_suspend for raid0 (fate#320291).
- md: raid10: add prerequisite to run underneath dm-raid
  (fate#320291).
- md: raid5: add prerequisite to run underneath dm-raid
  (fate#320291).
- Delete
  patches.suse/0001-raid5-cache-add-journal-hot-add-remove-support.patch.
- Delete
  patches.suse/0002-md-set-MD_HAS_JOURNAL-in-correct-places.patch.
- Delete
  patches.suse/0003-MD-add-journal-with-array-suspended.patch.
- Delete
  patches.suse/0004-raid5-cache-handle-journal-hotadd-in-quiesce.patch.
- commit 57f87e1
* Fri Jun  3 2016 agraf@suse.de
- supported.conf: Mark smsc95xx driver supported (bsc#983013)
- commit 3c689bc
* Fri Jun  3 2016 jthumshirn@suse.de
- blk-mq: really fix plug list flushing for nomerge queues
  (fate#319999).
- commit 84717ab
* Fri Jun  3 2016 gqjiang@suse.com
- md-cluster: fix deadlock issue when add disk to an recoverying
  array (bsc#971137).
- commit 1f9d959
* Fri Jun  3 2016 tonyj@suse.de
- perf/x86: Remove warning for zero PEBS status (bsc#982880).
- perf/x86/intel/uncore: Fix CHA registers configuration procedure
  for Knights Landing platform (bsc#980129).
- commit 02791b1
* Thu Jun  2 2016 jack@suse.cz
- cfq-iosched: Convert to use highres timers (bsc#980615
  bsc#951265).
- cfq-iosched: Expose microsecond interfaces (bsc#980615
  bsc#951265).
- cfq-iosched: Convert from jiffies to nanoseconds (bsc#980615
  bsc#951265).
- commit 611a434
* Thu Jun  2 2016 mgorman@suse.com
- mm, page_alloc: Recalculate the preferred zoneref if the
  context can ignore memory policies (bnc#971975 VM performance --
  page allocator).
- commit f211665
* Thu Jun  2 2016 jthumshirn@suse.de
- nvme/host: Add missing blk_integrity tag_size + flags
  assignments (bsc#964944,FATE#319965).
- NVMe: Add device ID's with stripe quirk
  (bsc#964944,FATE#319965).
- NVMe: Short-cut removal on surprise hot-unplug
  (bsc#964944,FATE#319965).
- NVMe: Allow user initiated rescan (bsc#964944,FATE#319965).
- NVMe: Reduce driver log spamming (bsc#964944,FATE#319965).
- NVMe: Unbind driver on failure (bsc#964944,FATE#319965).
- NVMe: Delete only created queues (bsc#964944,FATE#319965).
- NVMe: Allocate queues only for online cpus
  (bsc#964944,FATE#319965).
- nvme: fix nvme_ns_remove() deadlock (bsc#964944,FATE#319965).
- nvme: switch to RCU freeing the namespace
  (bsc#964944,FATE#319965).
- nvme: add helper nvme_cleanup_cmd() (bsc#964944,FATE#319965).
- nvme: move AER handling to common code (bsc#964944,FATE#319965).
- nvme: move namespace scanning to core (bsc#964944,FATE#319965).
- nvme: tighten up state check for namespace scanning
  (bsc#964944,FATE#319965).
- nvme: introduce a controller state machine
  (bsc#964944,FATE#319965).
- nvme: remove the io_incapable method (bsc#964944,FATE#319965).
- NVMe: nvme_core_exit() should do cleanup in the reverse order
  as nvme_core_init does (bsc#964944,FATE#319965).
- NVMe: Fix check_flush_dependency warning
  (bsc#964944,FATE#319965).
- NVMe: small typo in section BLK_DEV_NVME_SCSI of host/Kconfig
  (bsc#964944,FATE#319965).
- nvme: fix cntlid type (bsc#964944,FATE#319965).
- nvme: Avoid reset work on watchdog timer function during error
  recovery (bsc#964944,FATE#319965).
- NVMe: silence warning about unused 'dev'
  (bsc#964944,FATE#319965).
- commit 6cd23f2
* Thu Jun  2 2016 jthumshirn@suse.de
- blk-mq: clear q->mq_ops if init fail (FATE#319965, bsc#964944).
- blk-mq: fix undefined behaviour in order_to_size() (FATE#319965,
  bsc#964944).
- blk-throttle: don't parse cgroup path if trace isn't enabled
  (FATE#319965, bsc#964944).
- block: make bio_inc_remaining() interface accessible again
  (FATE#319965, bsc#964944).
- block: reinstate early return of -EOPNOTSUPP from
  blkdev_issue_discard (FATE#319965, bsc#964944).
- block: Minor blk_account_io_start usage cleanup (FATE#319965,
  bsc#964944).
- block: add __blkdev_issue_discard (FATE#319965, bsc#964944).
- block: remove struct bio_batch (FATE#319965, bsc#964944).
- block: add ability to flag write back caching on a device
  (FATE#319965, bsc#964944).
- blk-mq: Make blk_mq_all_tag_busy_iter static (FATE#319965,
  bsc#964944).
- commit 664ec3c
* Thu Jun  2 2016 oneukum@suse.com
- USB: xhci: Add broken streams quirk for Frescologic device id
  1009  (bnc#982725).
- commit 12a361c
* Thu Jun  2 2016 tiwai@suse.de
- drm: qxl: Workaround for buggy user-space (bsc#981344).
- commit 521216a
* Thu Jun  2 2016 jslaby@suse.cz
- Linux 4.4.12 (FATE#319481 bnc#972036 bsc#966849 bsc#971799
  bsc#976504 bsc#977572 bsc#979234 bsc#980348 bsc#979715
  CVE-2016-3713).
- Delete
  patches.arch/arm64-bcm2837-0060-clk-bcm2835-add-locking-to-pll-_on-off-methods.patch.
- Delete
  patches.arch/kvm-x86-fix-ordering-of-cr0-initialization-code-in-vmx_cpu_reset.patch.
- Delete
  patches.drivers/0001-scsi-add-intermediate-starget_remove-state-to-scsi_target_state.patch.
- Delete
  patches.drivers/0002-revert-scsi-fix-soft-lockup-in-scsi_remove_target-on-module-removal.patch.
- Delete
  patches.fixes/0001-locking-qspinlock-Fix-spin_is_locked-and-spin_unlock.patch.
- Delete
  patches.fixes/Bluetooth-vhci-Fix-race-at-creating-hci-device.
- Delete
  patches.fixes/Bluetooth-vhci-fix-open_timeout-vs.-hdev-race.
- Delete patches.fixes/Bluetooth-vhci-purge-unhandled-skbs.
- Delete patches.fixes/TTY-n_gsm-fix-false-positive-WARN_ON.patch.
- Delete patches.fixes/kvm-remove-variable-physbase-mtrr.patch.
- Delete patches.suse/btrfs-8446-don-t-use-src-fd-for-print.patch.
- commit 2e79672
* Wed Jun  1 2016 mgorman@suse.com
- cpufreq, ondemand: Limit default sampling rate to 300ms max
  (bnc#464461,bnc#981838).
- commit bf97472
* Wed Jun  1 2016 jthumshirn@suse.de
- NVMe: switch to using blk_queue_write_cache()
  (bsc#964944,FATE#319965).
- nvme: Use blk-mq helper for IO termination
  (bsc#964944,FATE#319965).
- NVMe: Skip async events for degraded controllers
  (bsc#964944,FATE#319965).
- nvme: add helper nvme_setup_cmd() (bsc#964944,FATE#319965).
- nvme: rewrite discard support (bsc#964944,FATE#319965).
- nvme: add helper nvme_map_len() (bsc#964944,FATE#319965).
- nvme: add missing lock nesting notation
  (bsc#964944,FATE#319965).
- commit df7ff1f
* Wed Jun  1 2016 jthumshirn@suse.de
- blk-mq: Export tagset iter function (FATE#319965, bsc#964944).
- block: add offset in blk_add_request_payload() (FATE#319965,
  bsc#964944).
- commit 04d16db
* Wed Jun  1 2016 jthumshirn@suse.de
- mtip32xx: Convert to use blk_mq_tagset_busy_iter (fate#319999).
- commit 9fd7b5b
* Wed Jun  1 2016 mgorman@suse.com
- Refresh patches.suse/intel_pstate_performance_tuned.patch.
- commit 44762a4
* Tue May 31 2016 vbabka@suse.cz
- mm/hugetlb: use EOPNOTSUPP in hugetlb sysctl handlers (VM
  Functionality, bnc#980501).
- commit 2e1e733
* Tue May 31 2016 oneukum@suse.com
- hub: admit devices are SS+ (FATE#319959).
- commit 48575db
* Tue May 31 2016 mgorman@suse.com
- mm, page_alloc: Reset zonelist iterator after resetting
  fair zone allocation policy (bnc#971975 VM performance --
  page allocator).
- commit a346706
* Tue May 31 2016 acho@suse.com
- net/qlge: Avoids recursive EEH error (bsc#966312 FATE#320149
  bsc#954847).
- commit cb1516d
* Tue May 31 2016 mbrugger@suse.com
- drivers: net: xgene: Get channel number from device binding
  (bsc#981652 bsc#979043).
- commit bca2466
* Mon May 30 2016 ddiss@suse.de
- Refresh
  patches.drivers/ceph-osd_client-add-support-for-CEPH_OSD_OP_GETXATTR.patch.
- Refresh
  patches.drivers/ceph-rbd-add-support-for-header-version-2-and-3.patch.
- Refresh
  patches.drivers/ceph-rbd-add-support-for-watch-notify-payloads.patch.
- Refresh
  patches.drivers/ceph-rbd-update-watch-notify-ceph_osd_op.patch.
- Refresh
  patches.drivers/libceph-add-scatterlist-messenger-data-type.patch.
- Refresh
  patches.drivers/libceph-add-support-for-CMPEXT-compare-extent-reques.patch.
- Refresh
  patches.drivers/libceph-add-support-for-write-same-requests.patch.
- Refresh patches.drivers/libceph-fix-pr_fmt-compile-issues.patch.
- Refresh
  patches.drivers/libceph-support-bidirectional-requests.patch.
- Refresh
  patches.drivers/rbd-add-cmpsetattr-device-attribute-for-debugging.patch.
- Refresh
  patches.drivers/rbd-add-getxattr-device-attribute-for-debugging.patch.
- Refresh patches.drivers/rbd-add-lio-specific-data-area.patch.
- Refresh patches.drivers/rbd-add-num-ops-calculator-helper.patch.
- Refresh
  patches.drivers/rbd-add-rbd_dev_cmpsetxattr-helper.patch.
- Refresh patches.drivers/rbd-add-rbd_dev_getxattr-helper.patch.
- Refresh patches.drivers/rbd-add-rbd_dev_setxattr-helper.patch.
- Refresh
  patches.drivers/rbd-add-setxattr-device-attribute-for-debugging.patch.
- Refresh
  patches.drivers/rbd-add-support-for-COMPARE_AND_WRITE-CMPEXT.patch.
- Refresh
  patches.drivers/rbd-add-support-for-scatterlist-obj_request_type.patch.
- Refresh
  patches.drivers/rbd-add-support-for-writesame-requests.patch.
- Refresh patches.drivers/rbd-add-write-test-helper.patch.
- Refresh
  patches.drivers/rbd-export-some-functions-used-by-lio-rbd-backend.patch.
- Refresh
  patches.drivers/rbd-move-structs-used-by-lio-rbd-to-new-header.patch.
- Refresh
  patches.drivers/target-add-COMPARE_AND_WRITE-sg-creation-helper.patch.
- Refresh
  patches.drivers/target-add-compare-and-write-callback.patch.
- Refresh
  patches.drivers/target-add-lio-rbd-to-makefile-Kconfig.patch.
- Refresh patches.drivers/target-add-rbd-backend.patch.
- Refresh
  patches.drivers/target-compare-and-write-backend-driver-sense-handli.patch.
- Refresh
  patches.drivers/target-configfs-add-device-vendor_id-attribute.patch.
- Refresh
  patches.drivers/target-pr-add-backend-API-for-reservation-handling.patch.
- Refresh
  patches.drivers/target-pr-fix-core_scsi3_pr_seq_non-caller.patch.
- Refresh
  patches.drivers/target-pr-split-out-and-export-core_scsi3_pr_seq_non.patch.
- Refresh
  patches.drivers/target-rbd-SCSI3-check-conflict-support.patch.
- Refresh
  patches.drivers/target-rbd-add-SCSI2-reservation-entry-to-PR-info.patch.
- Refresh patches.drivers/target-rbd-add-pr_clear-support.patch.
- Refresh patches.drivers/target-rbd-add-pr_preempt-support.patch.
- Refresh
  patches.drivers/target-rbd-add-pr_read_reservation-support.patch.
- Refresh patches.drivers/target-rbd-add-pr_release-support.patch.
- Refresh
  patches.drivers/target-rbd-add-pr_report_capabilities-support.patch.
- Refresh patches.drivers/target-rbd-add-pr_reserve-support.patch.
- Refresh
  patches.drivers/target-rbd-add-stubbed-out-pr_read_full_status.patch.
- Refresh
  patches.drivers/target-rbd-add-stubbed-out-pr_register_and_move.patch.
- Refresh
  patches.drivers/target-rbd-add-support-for-PR-register-read-keys.patch.
- Refresh
  patches.drivers/target-rbd-fix-COMPARE-AND-WRITE-page-vector-leak.patch.
- Refresh
  patches.drivers/target-rbd-fix-PR-info-memory-leaks.patch.
- Refresh
  patches.drivers/target-rbd-handle-SCSI2-reservation-release-on-reset.patch.
- Refresh
  patches.drivers/target-rbd-implement-SCSI2-reservation-handling.patch.
- Refresh
  patches.drivers/target-remove-hardcoded-T10-Vendor-ID-in-INQUIRY-res.patch.
- Refresh
  patches.drivers/0025-target-transport-add-flag-to-indicate-cpu-affinity-is-observed
- commit dea74aa
* Mon May 30 2016 mhocko@suse.cz
- kernek/fork.c: allocate idle task for a CPU always on its
  local node (bnc#981634).
- commit a3c6c7d
* Mon May 30 2016 mgorman@suse.com
- mm: make faultaround produce old ptes
  (bnc#971975 VM performance -- page aging).
- commit 26bc907
* Mon May 30 2016 mgorman@suse.com
- mm, page_alloc: prevent infinite loop in buffered_rmqueue()
  (bnc#971975 VM performance -- page allocator).
- commit 9f4b694
* Mon May 30 2016 mgorman@suse.com
- Refresh
  patches.suse/cpuset-use-static-key-better-and-convert-to-new-API.patch.
- Refresh
  patches.suse/mm-page_alloc-avoid-looking-up-the-first-zone-in-a-zonelist-twice.patch.
- Refresh
  patches.suse/mm-page_alloc-avoid-unnecessary-zone-lookups-during-pageblock-operations.patch.
- Refresh
  patches.suse/mm-page_alloc-check-multiple-page-fields-with-a-single-branch.patch.
- Refresh
  patches.suse/mm-page_alloc-check-once-if-a-zone-has-isolated-pageblocks.patch.
- Refresh
  patches.suse/mm-page_alloc-convert-alloc_flags-to-unsigned.patch.
- Refresh
  patches.suse/mm-page_alloc-convert-nr_fair_skipped-to-bool.patch.
- Refresh
  patches.suse/mm-page_alloc-defer-debugging-checks-of-freed-pages-until-a-PCP-drain.patch.
- Refresh
  patches.suse/mm-page_alloc-defer-debugging-checks-of-pages-allocated-from-the-PCP.patch.
- Refresh
  patches.suse/mm-page_alloc-don-t-duplicate-code-in-free_pcp_prepare.patch.
- Refresh
  patches.suse/mm-page_alloc-inline-pageblock-lookup-in-page-free-fast-paths.patch.
- Refresh
  patches.suse/mm-page_alloc-inline-the-fast-path-of-the-zonelist-iterator.patch.
- Refresh patches.suse/mm-page_alloc-inline-zone_statistics.patch.
- Refresh
  patches.suse/mm-page_alloc-move-__GFP_HARDWALL-modifications-out-of-the-fastpath.patch.
- Refresh
  patches.suse/mm-page_alloc-only-check-PageCompound-for-high-order-pages.patch.
- Refresh
  patches.suse/mm-page_alloc-pull-out-side-effects-from-free_pages_check.patch.
- Refresh
  patches.suse/mm-page_alloc-reduce-branches-in-zone_statistics.patch.
- Refresh
  patches.suse/mm-page_alloc-reduce-cost-of-fair-zone-allocation-policy-retry.patch.
- Refresh
  patches.suse/mm-page_alloc-remove-field-from-alloc_context.patch.
- Refresh
  patches.suse/mm-page_alloc-remove-unnecessary-initialisation-from-__alloc_pages_nodemask.patch.
- Refresh
  patches.suse/mm-page_alloc-remove-unnecessary-initialisation-in-get_page_from_freelist.patch.
- Refresh
  patches.suse/mm-page_alloc-remove-unnecessary-local-variable-in-get_page_from_freelist.patch.
- Refresh
  patches.suse/mm-page_alloc-remove-unnecessary-variable-from-free_pcppages_bulk.patch.
- Refresh
  patches.suse/mm-page_alloc-restore-the-original-nodemask-if-the-fast-path-allocation-failed.patch.
- Refresh
  patches.suse/mm-page_alloc-shortcut-watermark-checks-for-order-0-pages.patch.
- Refresh
  patches.suse/mm-page_alloc-shorten-the-page-allocator-fast-path.patch.
- Refresh
  patches.suse/mm-page_alloc-simplify-last-cpupid-reset.patch.
- Refresh
  patches.suse/mm-page_alloc-un-inline-the-bad-part-of-free_pages_check.patch.
- Refresh
  patches.suse/mm-page_alloc-uninline-the-bad-page-part-of-check_new_page.patch.
- Refresh
  patches.suse/mm-page_alloc-use-__dec_zone_state-for-order-0-page-allocation.patch.
- commit 6eb8687
* Mon May 30 2016 mbrugger@suse.com
- arm64: dts: apm: Fix mdio clock (bsc#981652 bsc#979043).
- commit 973ddbd
* Mon May 30 2016 hare@suse.de
- block: don't check request size in blk_cloned_rq_check_limits()
  (bsc#972124).
- commit 77504d1
* Mon May 30 2016 hare@suse.de
- libfc: Update rport reference counting (bsc#953233).
- Delete
  patches.fixes/0001-libfc-replace-rp_mutex-with-rp_lock.patch.
- commit 5f1f33b
* Fri May 27 2016 bpoirier@suse.com
- ixgbe: Add support for single-port X550 device (bsc#981916).
- commit 373a632
* Fri May 27 2016 mbrugger@suse.com
- arm64: Update config files.
  Enable MDIO_XGENE
- commit a13178b
* Fri May 27 2016 jeffm@suse.com
- config: enable DM_FLAKEY (bsc#982044).
- commit 85594f5
* Fri May 27 2016 mbrugger@suse.com
- [v1,6/6] drivers: net: xgene: Fix module load/unload crash
  (bsc#981652 bsc#979043).
- [v1,5/6] dtb: xgene: Remove clock nodes (bsc#981652 bsc#979043).
- [v1,4/6] dtb: xgene: Add MDIO node (bsc#981652 bsc#979043).
- [v1,3/6] drivers: net: phy: Add MDIO driver (bsc#981652
  bsc#979043).
- [v1, 2/6] drivers: net: xgene: Backward compatibility with
  older firmware (bsc#981652 bsc#979043).
- [v1,1/6] drivers: net: xgene: MAC and PHY configuration changes
  (bsc#981652 bsc#979043).
- commit 52b859b
* Fri May 27 2016 mbrugger@suse.com
- drivers: net: xgene: fix register offset (bsc#981652
  bsc#979043).
- drivers: net: xgene: fix statistics counters race condition
  (bsc#981652 bsc#979043).
- drivers: net: xgene: fix ununiform latency across queues
  (bsc#981652 bsc#979043).
- drivers: net: xgene: fix sharing of irqs (bsc#981652
  bsc#979043).
- drivers: net: xgene: fix IPv4 forward crash (bsc#981652
  bsc#979043).
- commit 6520673
* Fri May 27 2016 dmueller@suse.com
- supported.conf: also flag lz4_compress as supported (FATE#318957)
- commit fd930fd
* Fri May 27 2016 jslaby@suse.cz
- fork: free thread in copy_process on failure (bnc#968063).
- Update config files.
- exit_thread: accept a task parameter to be exited (bnc#968063).
- exit_thread: remove empty bodies (bnc#968063).
- mn10300: let exit_fpu accept a task (bnc#968063).
- powerpc: Remove UP only lazy floating point and vector
  optimisations (bnc#968063).
- commit c847ff5
* Fri May 27 2016 neilb@suse.com
- MM: increase safety margin provided by PF_LESS_THROTTLE
  (bsc#956491).
- commit a077949
* Fri May 27 2016 ddiss@suse.de
- libceph: handle writefull for OSD op extent init (bsc#980706).
- commit 3e8b8e5
* Thu May 26 2016 jslaby@suse.cz
- TTY: n_gsm, fix false positive WARN_ON (bnc#972036).
- commit fb18b4a
* Thu May 26 2016 mbrugger@suse.com
- arm64: mm: fold alternatives into .init (bsc#976774).
- commit b977fd6
* Thu May 26 2016 mgorman@suse.com
- sched/cpuacct: Simplify the cpuacct code
  (times and clock_gettime performance (bnc#981795)).
- commit f836ef1
* Thu May 26 2016 dmueller@suse.com
- config: arm64: Enable zram (FATE#318957)
- commit b9c7b89
* Thu May 26 2016 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Obsolete SLE12-SP1 compat-wireless-kmp (bsc#975894)
- commit 127728b
* Thu May 26 2016 jlee@suse.com
- Refresh
  patches.suse/0008-kexec-Disable-at-runtime-if-securelevel-has-been-set.patch.
  bsc#981375 Kernel build fails when CONFIG_KEXEC_VERIFY_SIG isn't set
- commit f81c05b
* Wed May 25 2016 jjolly@suse.de
- dasd: fix hanging system after LCU changes (bnc#968497,
  LTC#136671).
- commit c9f81d6
* Wed May 25 2016 bpoirier@suse.com
- cxgb4: Set VPD size so we can read both VPD structures
  (bsc#981348).
- PCI: Add pci_set_vpd_size() to set VPD size (bsc#981348).
- commit 1c127ef
* Wed May 25 2016 bpoirier@suse.com
- PCI: Fold struct pci_vpd_pci22 into struct pci_vpd (bsc#959146).
- PCI: Move pci_read_vpd() and pci_write_vpd() close to other
  VPD code (bsc#959146).
- PCI: Move pci_vpd_release() from header file to pci/access.c
  (bsc#959146).
- PCI: Prevent VPD access for buggy devices (bsc#959146).
- PCI: Remove struct pci_vpd_ops.release function pointer
  (bsc#959146).
- PCI: Rename VPD symbols to remove unnecessary "pci22"
  (bsc#959146).
- PCI: Sleep rather than busy-wait for VPD access completion
  (bsc#959146).
- PCI: Use bitfield instead of bool for struct pci_vpd_pci22.busy
  (bsc#959146).
- Delete
  patches.fixes/pci-Blacklist-vpd-access-for-buggy-devices.patch.
  Update this patchset to its upstream version.
- commit ced72da
* Wed May 25 2016 jlee@suse.com
- MODSIGN: check hash of PKCS#7 signed kernel module in blacklist
  (fate#319460).
- commit 7f9ba9f
* Wed May 25 2016 agraf@suse.de
- supported.conf: Remove number of uncertain modules on arm (bsc#981173)
- commit 2e3a22f
* Wed May 25 2016 hare@suse.de
- supported.conf: mark zram as supported (FATE#318957)
- commit 8ae91e8
* Wed May 25 2016 jbeulich@suse.com
- xen-blkback: advertise indirect segment support earlier
  (bsc#957986 fate#320625).
- xen-blkfront: rename indirect descriptor parameter (bsc#957986
  fate#320625).
- commit b7010f5
* Wed May 25 2016 tiwai@suse.de
- Fix build breakage due to missing buildroot in rpm/kernel-binary.spec.in
- commit c03eb71
* Wed May 25 2016 tiwai@suse.de
- Bluetooth: fix power_on vs close race (bsc#966849).
- commit 4c66809
* Wed May 25 2016 tiwai@suse.de
- Refresh patch-mainline tags
- patches.drivers/0001-usb-audio-correct-speed-checking.patch
- patches.drivers/0002-usb-midi-correct-speed-checking.patch
- patches.drivers/ALSA-hda-Fix-unexpected-resume-through-regmap-code-p
- patches.drivers/ALSA-hrtimer-Handle-start-stop-more-properly
- commit a0de864
* Wed May 25 2016 jjolly@suse.de
- s390/3270: hangup the 3270 tty after a disconnect (bnc#980892,
  LTC#141736).
- s390/3270: handle reconnect of a tty with a different size
  (bnc#980892, LTC#141736).
- s390/3270: avoid endless I/O loop with disconnected 3270
  terminals (bnc#980892, LTC#141736).
- s390/3270: fix garbled output on 3270 tty view (bnc#980892,
  LTC#141736).
- s390/3270: fix view reference counting (bnc#980892, LTC#141736).
- s390/3270: add missing tty_kref_put (bnc#980892, LTC#141736).
- s390/pci: fix use after free in dma_init (bnc#980892,
  LTC#141626).
- s390/pci: remove pdev pointer from arch data (bnc#980892,
  LTC#139444).
- s390/pci_dma: fix DMA table corruption with > 4 TB main memory
  (bnc#980892, LTC#139401).
- iucv: call skb_linearize() when needed (bnc#980892, LTC#141240).
- s390/spinlock: avoid yield to non existent cpu (bnc#980892,
  LTC#141106).
- commit 0bc9e0b
* Wed May 25 2016 bpoirier@suse.com
- qlcnic: potential NULL dereference in
  qlcnic_83xx_get_minidump_template() (bsc#966337 FATE#320147).
- bnxt_en: Add workaround to detect bad opaque in rx completion
  (part 2) (bsc#963575 FATE#320144).
- bnxt_en: Add workaround to detect bad opaque in rx completion
  (part 1) (bsc#963575 FATE#320144).
- netxen: netxen_rom_fast_read() doesn't return -1 (bsc#966339
  FATE#320150).
- netxen: reversed condition in netxen_nic_set_link_parameters()
  (bsc#966339 FATE#320150).
- netxen: fix error handling in netxen_get_flash_block()
  (bsc#966339 FATE#320150).
- qed: add support for dcbx (bsc#966318 FATE#320158 bsc#966316
  FATE#320159).
- qed: Remove a stray tab (bsc#966318 FATE#320158 bsc#966316
  FATE#320159).
- qed: VFs gracefully accept lack of PM (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Allow more than 16 VFs (bsc#966318 FATE#320158 bsc#966316
  FATE#320159).
- qed: Reset link on IOV disable (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Improve VF interrupt reset (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Correct PF-sanity check (bsc#966318 FATE#320158 bsc#966316
  FATE#320159).
- commit d2f5fa7
* Tue May 24 2016 bpoirier@suse.com
- Remove number prefix from patch
  I'd like it to stay at the end since it is out of tree.
- commit f46682f
* Tue May 24 2016 bpoirier@suse.com
- net/mlx4: Remove unused macro (bsc#966191 FATE#320230 bsc#966186
  FATE#320228).
- Refresh
  patches.drivers/mlx4-0045-net-mlx4-Query-RoCE-support.patch.
- commit da47eea
* Tue May 24 2016 mbrugger@suse.com
- arm64: mm: create new fine-grained mappings at boot
  (bsc#976774).
- arm64: ensure _stext and _etext are page-aligned (bsc#976774).
- arm64: mm: allow passing a pgdir to alloc_init_* (bsc#976774).
- arm64: mm: allocate pagetables anywhere (bsc#976774).
- arm64: mm: use fixmap when creating page tables (bsc#976774).
- arm64: mm: add functions to walk tables in fixmap (bsc#976774).
- arm64: mm: add __{pud,pgd}_populate (bsc#976774).
- arm64: mm: avoid redundant __pa(__va(x)) (bsc#976774).
- arm64: mm: add functions to walk page tables by PA (bsc#976774).
- arm64: mm: move pte_* macros (bsc#976774).
- arm64: kasan: avoid TLB conflicts (bsc#976774).
- arm64: mm: add code to safely replace TTBR1_EL1 (bsc#976774).
- arm64: add function to install the idmap (bsc#976774).
- arm64: unmap idmap earlier (bsc#976774).
- arm64: unify idmap removal (bsc#976774).
- arm64: mm: place empty_zero_page in bss (bsc#976774).
- arm64: mm: specialise pagetable allocators (bsc#976774).
- asm-generic: Fix local variable shadow in __set_fixmap_offset
  (bsc#976774).
- commit 7a6098f
* Tue May 24 2016 duwe@suse.de
- intel_idle: Add SKX support (FATE#319766).
- commit 7dd9268
* Tue May 24 2016 tiwai@suse.de
- rpm/kernel-binary.spec.in: Fix build error when no firmware is installed
- commit a09ef60
* Tue May 24 2016 mmarek@suse.com
- Unbreak ppc64le/vanilla config
  It had erroneous entries for CONFIG_SPLIT_PACKAGE and
  CONFIG_SUSE_KERNEL_SUPPORTED, confusing the rpm build.
- commit 91b0766
* Tue May 24 2016 jthumshirn@suse.de
- supported.conf: Add device-mapper targets and SCSI drivers needed for
  virtualization to supported.conf
- commit 6ccf51e
* Tue May 24 2016 jthumshirn@suse.de
- supported.conf: Add pm8001 to supported.conf.
- commit 0d05807
* Tue May 24 2016 jthumshirn@suse.de
- supported.conf: Account for NVMe directory move.
- commit b95b5b0
* Tue May 24 2016 hare@suse.de
- hisi_sas: add alloc_dev_quirk_v2_hw() (bnc#977572).
- Update config files.
- supported.conf:
- hisi_sas: add slot_index_alloc_quirk_v2_hw() (bnc#977572).
- hisi_sas: add device and slot alloc hw methods (bnc#977572).
- hisi_sas: update driver version to 1.4 (bnc#977572).
- hisi_sas: for v2 hw only set ITCT qw2 for SAS device
  (bnc#977572).
- hisi_sas: add v2 hw support for >4 SATA phys (bnc#977572).
- hisi_sas: fix v2 hw multiple SATA disk issue (bnc#977572).
- hisi_sas: use device linkrate in MCR for v2 hw (bnc#977572).
- hisi_sas: update driver version to 1.3 (bnc#977572).
- hisi_sas: add hisi_sas_slave_configure() (bnc#977572).
- hisi_sas: use slot abort in v2 hw (bnc#977572).
- hisi_sas: use slot abort in v1 hw (bnc#977572).
- hisi_sas: add hisi_sas_slot_abort() (bnc#977572).
- hisi_sas: change tmf func complete check (bnc#977572).
- hisi_sas: update driver version to 1.2 (bnc#977572).
- hisi_sas: add v1 hw ACPI support (bnc#977572).
- hisi_sas: use Unified Device Properties API (bnc#977572).
- hisi_sas: update driver version to 1.1 (bnc#977572).
- hisi_sas: add v2 tmf functions (bnc#977572).
- hisi_sas: add v2 slot error handler (bnc#977572).
- hisi_sas: add v2 path to send ATA command (bnc#977572).
- hisi_sas: add v2 code for itct setup and free (bnc#977572).
- hisi_sas: add v2 code to send smp command (bnc#977572).
- hisi_sas: add v2 path to send ssp frame (bnc#977572).
- hisi_sas: add v2 cq interrupt handler (bnc#977572).
- hisi_sas: add v2 SATA interrupt handler (bnc#977572).
- hisi_sas: add v2 channel interrupt handler (bnc#977572).
- hisi_sas: add v2 phy down handler (bnc#977572).
- hisi_sas: add v2 int init and phy up handler (bnc#977572).
- hisi_sas: add v2 phy init code (bnc#977572).
- hisi_sas: add init_id_frame_v2_hw() (bnc#977572).
- hisi_sas: add v2 hw init (bnc#977572).
- hisi_sas: add v2 register definitions (bnc#977572).
- hisi_sas: add bare v2 hw driver (bnc#977572).
- hisi_sas: rename some fields in hisi_sas_itct (bnc#977572).
- hisi_sas: add hisi_sas_err_record_v1 (bnc#977572).
- hisi_sas: reduce max itct entries (bnc#977572).
- hisi_sas: set max commands as configurable (bnc#977572).
- hisi_sas: relocate DEV_IS_EXPANDER (bnc#977572).
- hisi_sas: fix v1 hw check for slot error (bnc#977572).
- hisi_sas: add dependency for HAS_IOMEM (bnc#977572).
- hisi_sas: Restrict SCSI_HISI_SAS to arm64 (bnc#977572).
- hisi_sas: SCSI_HISI_SAS should depend on HAS_DMA (bnc#977572).
- hisi_sas: Use u64 for qw0 in free_device_v1_hw() (bnc#977572).
- hisi_sas: Fix typo in setup_itct_v1_hw() (bnc#977572).
- hisi_sas: Fix v1 itct masks (bnc#977572).
- hisi_sas: use platform_get_irq() (bnc#977572).
- hisi_sas: fix error codes in hisi_sas_task_prep() (bnc#977572).
- hisi_sas: Remove dependency on of_irq_count (bnc#977572).
- hisi_sas: Add fatal irq handler (bnc#977572).
- hisi_sas: Add control phy handler (bnc#977572).
- hisi_sas: Add tmf methods (bnc#977572).
- hisi_sas: Add scan finished and start (bnc#977572).
- hisi_sas: Add smp protocol support (bnc#977572).
- hisi_sas: Add bcast interrupt handler (bnc#977572).
- hisi_sas: Add abnormal irq handler (bnc#977572).
- hisi_sas: Add dev_found and dev_gone (bnc#977572).
- hisi_sas: Add cq interrupt handler (bnc#977572).
- hisi_sas: Add ssp command function (bnc#977572).
- hisi_sas: Add path from phyup irq to SAS framework (bnc#977572).
- hisi_sas: Add v1 hardware interrupt init (bnc#977572).
- hisi_sas: Add v1 hardware initialisation code (bnc#977572).
- hisi_sas: Add v1 hardware register definitions (bnc#977572).
- hisi_sas: Add v1 hw module init (bnc#977572).
- hisi_sas: Add timer and spinlock init (bnc#977572).
- hisi_sas: Add phy and port init (bnc#977572).
- hisi_sas: Add hisi sas device type (bnc#977572).
- hisi_sas: Add hisi_hba workqueue (bnc#977572).
- hisi_sas: Set dev DMA mask (bnc#977572).
- hisi_sas: Add phy SAS ADDR initialization (bnc#977572).
- hisi_sas: Add cq structure initialization (bnc#977572).
- hisi_sas: Add slot init code (bnc#977572).
- hisi_sas: Add hisi_sas_remove (bnc#977572).
- hisi_sas: Allocate memories and create pools (bnc#977572).
- hisi_sas: Add HW DMA structures (bnc#977572).
- hisi_sas: Scan device tree (bnc#977572).
- hisi_sas: Add scsi host registration (bnc#977572).
- hisi_sas: Add initial bare main driver (bnc#977572).
- scsi: Centralise ssp frame information units (bnc#977572).
- commit bf62427
* Tue May 24 2016 oneukum@suse.com
- [media] usbvision: revert commit 588afcc1 (bnc#950998,
  CVE-2015-7833).
- commit 44b4542
* Tue May 24 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Do not package helper files in -devel (bsc#981204)
- commit 4c334f0
* Tue May 24 2016 mkubecek@suse.cz
- tipc: check nl sock before parsing nested attributes
  (CVE-2016-4951 bsc#981058).
- commit 793f25a
* Tue May 24 2016 mkubecek@suse.cz
- Update patches.kernel.org/patch-4.4.7-8 references (add CVE-2016-4805 bsc#980371).
- commit 75e6195
* Tue May 24 2016 dchang@suse.com
- supported.conf: Add qed, qede drivers (bsc#966316 FATE#320159
  bsc#966318 FATE#320158)
- commit 64cf9d1
* Tue May 24 2016 dchang@suse.com
- supported.conf: Add bnxt_en driver (bsc#963575 FATE#320144)
- commit 9a3e1c2
* Mon May 23 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Install only needed firmware for -base (bsc#966447)
- commit f685839
* Mon May 23 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Fix placement of the reproducible build hack
- commit 26e4b73
* Mon May 23 2016 bpoirier@suse.com
- IB/IPoIB: Do not set skb truesize since using one linearskb
  (bsc#980657).
- commit da0817d
* Mon May 23 2016 dbueso@suse.de
- locking,qspinlock: Fix spin_is_locked() and spin_unlock_wait() (bsc#979234).
- commit 49b5354
* Mon May 23 2016 hare@suse.de
- megaraid_sas: do not detect internal drives (bsc#980082)
  Refresh
  patches.drivers/megaraid-sas-boot-hangs-while-LD-is-offline.patch.
- commit 249488a
* Mon May 23 2016 vbabka@suse.cz
- mm/compaction.c: fix zoneindex in kcompactd() (fate#320635 --
  Disable THP defragmentation by default).
- Refresh
  patches.suse/mm-fix-kcompactd-hang-during-memory-offlining.patch.
- commit 576b9d6
* Fri May 20 2016 jroedel@suse.de
- x86/platform/UV: Fix incorrect nodes and pnodes for cpuless
  and memoryless nodes (bsc#978503, fate#320837).
- x86/platform/UV: Remove Obsolete GRU MMR address translation
  (bsc#978503, fate#320837).
- x86/platform/UV: Update physical address conversions for UV4
  (bsc#978503, fate#320837).
- x86/platform/UV: Build GAM reference tables (bsc#978503,
  fate#320837).
- x86/platform/UV: Support UV4 socket address changes (bsc#978503,
  fate#320837).
- x86/platform/UV: Add obtaining GAM Range Table from UV BIOS
  (bsc#978503, fate#320837).
- x86/platform/UV: Add UV4 addressing discovery function
  (bsc#978503, fate#320837).
- x86/platform/UV: Fold blade info into per node hub info structs
  (bsc#978503, fate#320837).
- x86/platform/UV: Allocate common per node hub info structs on
  local node (bsc#978503, fate#320837).
- x86/platform/UV: Move blade local processor ID to the per cpu
  info struct (bsc#978503, fate#320837).
- x86/platform/UV: Move scir info to the per cpu info struct
  (bsc#978503, fate#320837).
- x86/platform/UV: Create per cpu info structs to replace per
  hub info structs (bsc#978503, fate#320837).
- x86/platform/UV: Update MMIOH setup function to work for both
  UV3 and UV4 (bsc#978503, fate#320837).
- x86/platform/UV: Clean up redunduncies after merge of UV4 MMR
  definitions (bsc#978503, fate#320837).
- x86/platform/UV: Add UV4 Specific MMR definitions (bsc#978503,
  fate#320837).
- x86/platform/UV: Prep for UV4 MMR updates (bsc#978503,
  fate#320837).
- x86/platform/UV: Add UV MMR Illegal Access Function (bsc#978503,
  fate#320837).
- x86/platform/UV: Add UV4 Specific Defines (bsc#978503,
  fate#320837).
- x86/platform/UV: Add UV Architecture Defines (bsc#978503,
  fate#320837).
- x86/platform/UV: Add Initial UV4 definitions (bsc#978503,
  fate#320837).
- commit f7dce16
* Fri May 20 2016 mmarek@suse.cz
- README.BRANCH: Add Takashi Iwai as maintainer
  And update my email address.
- commit 2fe1921
* Fri May 20 2016 bpoirier@suse.com
- iw_cxgb4: initialize ibdev.iwcm->ifname for port mapping
  (bsc#963897 FATE#320114).
- cxgb4: Stop Rx Queues before freeing it up (bsc#963896
  FATE#320113).
- cxgb4: Add pci device id for chelsio t520-cr adapter (bsc#963896
  FATE#320113).
- commit d795612
* Fri May 20 2016 bpoirier@suse.com
- cxgb4: update Kconfig and Makefile (bsc#963896 FATE#320113).
- Update config files.
- commit 1c8e9c6
* Fri May 20 2016 bpoirier@suse.com
- cxgb4: add iSCSI DDP page pod manager (bsc#963896 FATE#320113).
- cxgb4, iw_cxgb4: move delayed ack macro definitions (bsc#963896
  FATE#320113 bsc#963897 FATE#320114).
- cxgb4: move VLAN_NONE macro definition (bsc#963896 FATE#320113).
- cxgb4: update struct cxgb4_lld_info definition (bsc#963896
  FATE#320113).
- cxgb4: add definitions for iSCSI target ULD (bsc#963896
  FATE#320113).
- cxgb4, cxgb4i: move struct cpl_rx_data_ddp definition
  (bsc#963896 FATE#320113 bsc#963904 FATE#320115).
- cxgb4, iw_cxgb4, cxgb4i: remove duplicate definitions
  (bsc#963896 FATE#320113 bsc#963897 FATE#320114 bsc#963904
  FATE#320115).
- cxgb4, iw_cxgb4: move definitions to common header file
  (bsc#963896 FATE#320113 bsc#963897 FATE#320114).
- cxgb4: large receive offload support (bsc#963896 FATE#320113).
- cxgb4: allocate resources for CXGB4_ULD_ISCSIT (bsc#963896
  FATE#320113).
- cxgb4: add new ULD type CXGB4_ULD_ISCSIT (bsc#963896
  FATE#320113).
- cxgb4vf: Set number of queues in pci probe only (bsc#963905
  FATE#320116).
- cxgb4vf: Add a couple more checks for invalid provisioning
  configurations (bsc#963905 FATE#320116).
- cxgb4vf: Configure queue based on resource and interrupt type
  (bsc#963905 FATE#320116).
- cxgb4vf: Enable interrupts before we register our network
  devices (bsc#963905 FATE#320116).
- cxgb4vf: Remove dead functions collect_netdev_c_list_addrs
  (bsc#963905 FATE#320116).
- cxgb4vf: Remove redundant adapter ready check during probe
  (bsc#963905 FATE#320116).
- cxgb4vf: Make sge init code more readable (bsc#963905
  FATE#320116).
- cxgb4/cxgb4vf: For T6 adapter, set FBMIN to 64 bytes (bsc#963896
  FATE#320113 bsc#963905 FATE#320116).
- cxgb4/cxgb4vf: Use fl capacity to check if fl needs to be
  replenished (bsc#963896 FATE#320113 bsc#963905 FATE#320116).
- cxgb4vf: Use __dev_uc_sync/__dev_mc_sync to sync MAC address
  (bsc#963905 FATE#320116).
- cxgb4: Use __dev_uc_sync/__dev_mc_sync to sync MAC address
  (bsc#963896 FATE#320113).
- cxgb4/iw_cxgb4: TOS support (bsc#963896 FATE#320113 bsc#963897
  FATE#320114).
- commit 8565b81
* Thu May 19 2016 bpoirier@suse.com
- cxgb4: Add pci device id for chelsio t540 lom adapter
  (bsc#963896 FATE#320113).
- commit 213948b
* Thu May 19 2016 bpoirier@suse.com
- treewide: Fix typos in printk (bsc#963897 FATE#320114).
- Delete patches.drivers/0001-treewide-Fix-typos-in-printk.patch.
  Limit this patch to cxgb4.
- commit 899fab1
* Thu May 19 2016 bpoirier@suse.com
- cxgb4: Fixes static checker warning in mps_tcam_show()
  (bsc#963896 FATE#320113).
- cxgb4: Remove deprecated module parameters (bsc#963896
  FATE#320113).
- cxgb4: Get TID calculation right for IPv6 mode (bsc#963896
  FATE#320113).
- cxgb4vf: Update to 128 byte mailbox size for T6 adapter
  (bsc#963905 FATE#320116).
- cxgb4: Update SGE context congestion map change for T6 adapter
  (bsc#963896 FATE#320113).
- cxgb4: Update mps_tcam output to include T6 fields (bsc#963896
  FATE#320113).
- cxgb4: Update correct encoding of SGE Ingress DMA States for
  T6 adapter (bsc#963896 FATE#320113).
- cxgb4: Update Congestion Channel map for T6 adapter (bsc#963896
  FATE#320113).
- cxgb4: Update register range and SGE registers for T6 adapter
  (bsc#963896 FATE#320113).
- cxgb4/cxgb4vf: Update Ingress padding boundary values for T6
  adapter (bsc#963896 FATE#320113 bsc#963905 FATE#320116).
- cxgb4: Update pm_stats for T6 adapter family (bsc#963896
  FATE#320113).
- cxgb4: Pass correct argument to t4_link_l1cfg() (<lion>).
- cxgb4: Use napi_complete_done() api in napi handler (bsc#963896
  FATE#320113).
- cxgb4: Use the node info to alloc_ring() for RX queues
  (bsc#963896 FATE#320113).
- cxgb4: get naming correct for iscsi queues (bsc#963896
  FATE#320113).
- cxgb4: Warn if device doesn't have enough PCI bandwidth
  (bsc#963896 FATE#320113).
- cxgb4: Replace arpq_head/arpq_tail with SKB double link-list
  code (bsc#963896 FATE#320113).
- cxgb4: Use t4_mgmt_tx() API for sending write l2t request ctrl
  packets (bsc#963896 FATE#320113).
- cxgb4: Add API to alloc l2t entry; also update existing ones
  (bsc#963896 FATE#320113).
- cxgb4: Use symbolic constant for VLAN priority calculation
  (bsc#963896 FATE#320113).
- cxgb4: Handle clip return values (bsc#963896 FATE#320113).
- cxgb4: Adds PCI device id for new T5 adapters (bsc#963896
  FATE#320113).
- cxgb4: Add FL DMA mapping error and low counter (bsc#963896
  FATE#320113).
- cxgb4: Deal with wrap-around of queue for Work request
  (bsc#963896 FATE#320113).
- cxgb4: prevent simultaneous execution of service_ofldq()
  (bsc#963896 FATE#320113).
- cxgb4: Use ACCES_ONCE macro to read queue's consumer index
  (bsc#963896 FATE#320113).
- cxgb4: Align rest of the ethtool get stats (bsc#963896
  FATE#320113).
- commit e27960e
* Thu May 19 2016 mbrugger@suse.com
- arm64: delete obsolete PCI patches
- Refresh
  patches.arch/arm64-0003-PCI-generic-Expose-pci_host_common_probe-for-use-by-.patch.
- Delete
  patches.arch/arm64-pci-0014-PCI-generic-Add-support-for-Cavium-ThunderX-PCIe-roo.patch.
- Delete
  patches.arch/arm64-pci-0015-PCI-pci-host-generic-Add-support-for-Cavium-Thunder-.patch.
- Delete
  patches.arch/arm64-thd-0004-arm64-pci-Allow-RC-drivers-to-supply-pcibios_add_dev.patch.
- commit 15136b9
* Thu May 19 2016 bpoirier@suse.com
- treewide: Fix typos in printk (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- Refresh patches.drivers/0001-treewide-Fix-typos-in-printk.patch.
  Break out i40evf change from this patch.
- commit b89a546
* Thu May 19 2016 jack@suse.cz
- dax: Remove unused variable in __dax_pmd_fault() (fate#319256).
- commit fc8fba3
* Thu May 19 2016 jslaby@suse.cz
- Linux 4.4.11 (CVE-2016-4486 CVE-2016-4557 CVE-2016-4558 FATE#320228
  FATE#320230 bsc#966186 bsc#966191 bsc#978822 bsc#979018 bsc#979019
  bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- Refresh
  patches.drivers/0009-crypto-qat-move-isr-files-to-qat-common-so-that-they.patch.
- Refresh
  patches.drivers/mlx5-0129-net-mlx5-Introduce-a-new-header-file-for-physical-po.patch.
- Delete
  patches.drivers/mlx5-0178-net-mlx5e-Device-s-mtu-field-is-u16-and-not-int.patch.
- Delete patches.drivers/mlx5-0179-net-mlx5e-Fix-minimum-MTU.patch.
- Delete
  patches.drivers/mlx4-0081-net-mlx4_en-fix-spurious-timestamping-callbacks.patch.
- Delete
  patches.drivers/mlx4-0082-net-mlx4_en-Fix-endianness-bug-in-IPV6-csum-calculat.patch.
- Delete
  patches.fixes/bpf-fix-double-fdput-in-replace_map_fd_with_map_ptr.patch.
- Delete patches.fixes/bpf-fix-refcnt-overflow.patch.
- Delete patches.fixes/net-fix-infoleak-in-rtnetlink.patch.
- commit bf11492
* Wed May 18 2016 bpoirier@suse.com
- net/mlx5: Fix mlx5 ifc cmd_hca_cap bad offsets
- commit 65d2c38
* Wed May 18 2016 bpoirier@suse.com
- net/mlx5e: make VXLAN support conditional (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- Update config files.
- commit 4bec336
* Wed May 18 2016 bpoirier@suse.com
- Revert "net/mlx5: Kconfig: Fix MLX5_EN/VXLAN build issue"
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Use workqueue for vxlan ops (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5e: Implement a mlx5e workqueue (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5: Kconfig: Fix MLX5_EN/VXLAN build issue (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Unmap only the relevant IO memory mapping (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Add pci shutdown callback (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- commit 0270959
* Wed May 18 2016 bpoirier@suse.com
- net/mlx5_core: Remove static from local variable
- commit c1c2c96
* Wed May 18 2016 bpoirier@suse.com
- net/mlx5e: Use vport MTU rather than physical port MTU
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- commit 24a1084
* Wed May 18 2016 bpoirier@suse.com
- net/mlx5e: Fix minimum MTU (bsc#966170 FATE#320225 bsc#966172
  FATE#320226).
- net/mlx5e: Device's mtu field is u16 and not int (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Add ConnectX-5 to list of supported devices
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Fix MLX5E_100BASE_T define (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- commit e223539
* Wed May 18 2016 jlee@suse.com
- Update config files. (fate#319346)
  Set CONFIG_EFI_CAPSULE_LOADER=m in arm64/default, x86_64/default and
  x86_64/debug.
- commit 7bc9ab5
* Wed May 18 2016 jlee@suse.com
- efi/capsule: Make efi_capsule_pending() lockless (fate#319346).
- commit 3244228
* Wed May 18 2016 jlee@suse.com
- efi: Add misc char driver interface to update EFI firmware
  (fate#319346).
- x86/efi: Force EFI reboot to process pending capsules
  (fate#319346).
- efi: Add 'capsule' update support (fate#319346).
- commit bcdcf1c
* Wed May 18 2016 jlee@suse.com
- efi: Move efi_status_to_err() to drivers/firmware/efi/
  (fate#319346).
- Refresh
  patches.suse/0007-efi-Make-efi_status_to_err-public.patch.
- commit a905f5b
* Wed May 18 2016 agraf@suse.de
- arm64: Allow for different DMA and CPU bus offsets (bsc#980439).
- commit 5abd89c
* Wed May 18 2016 jack@suse.cz
- printk: Make printk asynchronous by default (bnc#744692,
  bnc#789311).
- commit 4acb628
* Tue May 17 2016 bp@suse.de
- x86/mce: Do not enter deferred errors into the generic pool
  twice (fate#320474).
- x86/RAS: Remove mce.usable_addr (fate#320474).
- x86/mce: Add the missing memory error check on AMD
  (fate#320474).
- x86/mce: Make usable address checks Intel-only (fate#320474).
- x86/mce: Fix order of AMD MCE init function call (fate#320474).
- x86/mce/AMD: Do not perform shared bank check for future
  processors (fate#320474).
- x86/mce/AMD: Reduce number of blocks scanned per bank
  (fate#320474).
- x86/mce/AMD: Fix LVT offset configuration for thresholding
  (fate#320474).
- x86/mce/AMD: Carve out threshold block preparation
  (fate#320474).
- x86/mce/AMD: Set MCAX Enable bit (fate#320474).
- x86/mm: Expand the exception table logic to allow new handling
  options (fate#319858).
- x86/mce: Check for faults tagged in EXTABLE_CLASS_FAULT
  exception table entries (fate#319858).
- x86/mm, x86/mce: Add memcpy_mcsafe() (fate#319858).
- x86/mm, x86/mce: Fix return type/value for memcpy_mcsafe()
  (fate#319858).
- perf bench mem: Prepare the x86-64 build for upstream
  memcpy_mcsafe() changes (fate#319858).
- x86, pmem: use memcpy_mcsafe() for memcpy_from_pmem()
  (fate#319858).
- x86/mce: Move MCx_CONFIG MSR definitions (fate#320474).
- x86/mce/AMD, EDAC: Enable error decoding of Scalable MCA errors
  (fate#320474).
- x86/mce/AMD: Fix logic to obtain block address (fate#320474).
- x86/mce/AMD: Document some functionality (fate#320474).
- x86/cpufeature: Create a new synthetic cpu capability for
  machine check recovery (fate#319858).
- x86/mce: Log MCEs after a warm rest on AMD, Fam17h and later
  (fate#320474).
- x86/mce: Grade uncorrected errors for SMCA-enabled systems
  (fate#320474).
- x86/mce: Carve out writes to MCx_STATUS and MCx_CTL
  (fate#320474).
- x86/mce: Define vendor-specific MSR accessors (fate#320474).
- x86/mce: Detect and use SMCA-specific msr_ops (fate#320474).
- x86/mce: Detect local MCEs properly (fate#320474).
- x86/mce/AMD: Log Deferred Errors using SMCA MCA_DE{STAT,ADDR}
  registers (fate#320474).
- x86/mce/AMD: Disable LogDeferredInMcaStat for SMCA systems
  (fate#320474).
- x86/mce/AMD: Save an indentation level in
  prepare_threshold_block() (fate#320474).
- x86/cpufeature: Cleanup get_cpu_cap() (fate#320474).
- x86/cpu: Add detection of AMD RAS Capabilities (fate#320474).
- x86/mce: Update AMD mcheck init to use cpu_has() facilities
  (fate#320474).
- EDAC, mce_amd: Detect SMCA using X86_FEATURE_SMCA (fate#320474).
- x86/RAS: Add SMCA support to AMD Error Injector (fate#320474).
- Refresh
  patches.arch/mce-amd-check-for-userspace-agent-before-decoding.patch.
- commit 8b3cb3d
* Tue May 17 2016 bpoirier@suse.com
- Move current cxgb4 patches after cxgb3 series
  This will make adding more cxgb4 patches easier.
- Refresh patches.drivers/0001-treewide-Fix-typos-in-printk.patch.
- Refresh
  patches.drivers/0008-iw_cxgb4-Take-clip-reference-before-starting-IPv6-li.patch.
- Refresh
  patches.drivers/i40e-0022-i40evf-create-a-generic-config-RSS-function.patch.
- Refresh
  patches.drivers/i40e-0203-iw_cxgb4-remove-port-mapper-related-code.patch.
- commit 573479b
* Tue May 17 2016 jack@suse.cz
- dax: Remove i_mmap_lock protection (fate#319256).
- dax: Use radix tree entry lock to protect cow faults
  (fate#319256).
- dax: New fault locking (fate#319256).
- dax: Allow DAX code to replace exceptional entries
  (fate#319256).
- dax: Define DAX lock bit for radix tree exceptional entry
  (fate#319256).
- dax: Make huge page handling depend of CONFIG_BROKEN
  (fate#319256).
- dax: Fix condition for filling of PMD holes (fate#319256).
- dax: Remove redundant inode size checks (fate#319256).
- dax: Remove pointless writeback from dax_do_io() (fate#319256).
- dax: Remove zeroing from dax_io() (fate#319256).
- dax: Remove dead zeroing code from fault handlers (fate#319256).
- ext2: Avoid DAX zeroing to corrupt data (fate#319256).
- ext2: Fix block zeroing in ext2_get_blocks() for DAX
  (fate#319256).
- dax: Remove complete_unwritten argument (fate#319256).
- DAX: move RADIX_DAX_ definitions to dax.c (fate#319256).
- ext4: Pre-zero allocated blocks for DAX IO (fate#319256).
- ext4: Refactor direct IO code (fate#319256).
- ext4: Fix race in transient ENOSPC detection (fate#319256).
- ext4: Handle transient ENOSPC properly for DAX (fate#319256).
- dax: Call get_blocks() with create == 1 for write faults to
  unwritten extents (fate#319256).
- commit 94c186b
* Tue May 17 2016 jack@suse.cz
- ext4: cleanup handling of bh->b_state in DAX mmap (fate#319256).
- commit 000b22a
* Tue May 17 2016 jeffm@suse.com
- config: disable MODULE_SIG on vanilla kernels (bsc#980353).
  The SLES kernels use x509 signatures but the vanilla kernel expects
  PKCS#7 signatures.  As a result, they're treated as corrupt instead of
  absent, causing modules to refuse to load.
- commit 5d67347
* Tue May 17 2016 jeffm@suse.com
- Btrfs: don't use src fd for printk (bsc#980348).
- commit fd4e8e2
* Tue May 17 2016 jthumshirn@suse.de
- aacraid: do not activate events on non-SRC adapters
  (bsc#979497).
- Delete
  patches.drivers/0022-aacraid-Don-t-call-aac_intr_normal-on-with-AIF-2-in-.patch.
- commit 29a057e
* Tue May 17 2016 tiwai@suse.de
- ALSA: hrtimer: Handle start/stop more properly (bsc#973378).
- commit 389042d
* Tue May 17 2016 mmarek@suse.com
- Disable DP83867_PHY in vanilla configs
  The default configs dropped this option after
  patches.arch/arm64-phy-dp83867-depend-on-CONFIG_OF_MDIO.patch.
- commit 365d6e0
* Tue May 17 2016 acho@suse.com
- qed* - bump driver versions to 8.7.1.62 (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- Update config files.
- qed*: Tx-switching configuration (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed*: support ndo_get_vf_config (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed*: IOV support spoof-checking (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed*: IOV link control (bsc#966318 FATE#320158 bsc#966316
  FATE#320159).
- qed*: Support forced MAC (bsc#966318 FATE#320158 bsc#966316
  FATE#320159).
- qed*: Support PVID configuration (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qede: Add VF support (bsc#966318 FATE#320158 bsc#966316
  FATE#320159).
- qed: Align TLVs (bsc#966318 FATE#320158 bsc#966316 FATE#320159).
- qed: Bulletin and Link (bsc#966318 FATE#320158 bsc#966316
  FATE#320159).
- qed: IOV l2 functionality (bsc#966318 FATE#320158 bsc#966316
  FATE#320159).
- qed: IOV configure and FLR (bsc#966318 FATE#320158 bsc#966316
  FATE#320159).
- qed: Introduce VFs (bsc#966318 FATE#320158 bsc#966316
  FATE#320159).
- qed: Add VF->PF channel infrastructure (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Add CONFIG_QED_SRIOV (bsc#966318 FATE#320158 bsc#966316
  FATE#320159).
- qede: uninitialized variable in qede_start_xmit() (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qede: prevent chip hang when increasing channels (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qed: Apply tunnel configurations after PF start (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qede: add implementation for internal loopback test (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qede: add support for selftests (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: add infrastructure for device self tests (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qed: Add PF min bandwidth configuration support (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qed: Add PF max bandwidth configuration support (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qed: Add vport WFQ configuration APIs (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: add support for link pause configuration (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qed*: Conditions for changing link (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qede: Add support for ethtool private flags (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qed*: Align statistics names (bsc#966318 FATE#320158 bsc#966316
  FATE#320159).
- qede: Add fastpath support for tunneling (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Enable GRE tunnel slowpath configuration (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qed/qede: Add GENEVE tunnel slowpath configuration support
  (bsc#966318 FATE#320158 bsc#966316 FATE#320159).
- qed/qede: Add VXLAN tunnel slowpath configuration support
  (bsc#966318 FATE#320158 bsc#966316 FATE#320159).
- qed: Add infrastructure support for tunneling (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qed* - bump driver versions to 8.7.1.20 (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qede: add Rx flow hash/indirection support (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qed: add Rx flow hash/indirection support (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qed*: remove version dependency (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- commit 74e647f
* Tue May 17 2016 mfasheh@suse.de
- btrfs: qgroup: Fix qgroup accounting when creating snapshot
  (bsc#972933).
- commit 5811420
* Mon May 16 2016 lduncan@suse.com
- Support the target_core_user module (FATE#320188)
- commit bed10be
* Mon May 16 2016 bp@suse.de
- kvm: Remove variable physbase MTRR 0x2f8 (bsc#979715,
  CVE-2016-3713).
- commit be257d7
* Mon May 16 2016 agraf@suse.de
- Refresh
  patches.arch/arm64-phy-dp83867-depend-on-CONFIG_OF_MDIO.patch.
- commit 93c826e
* Mon May 16 2016 mkubecek@suse.cz
- supported.conf: enable all openvswitch modules (bsc#979627)
  As we are moving from a monolithic out-of-tree openvswitch module to
  in-tree one where support for tunneling protocols is split into a set of
  separate modules, we need to mark those as supported.
  We also need to mark geneve.ko as supported as vport-geneve.ko depends
  on it.
- commit d2d2246
* Mon May 16 2016 jlee@suse.com
- KEYS: Fix ASN.1 indefinite length object parsing (bsc#979867,
  CVE-2016-0758).
- commit 467c4ef
* Mon May 16 2016 mhocko@suse.cz
- x86/mm/32: Enable full randomization on i386 and X86_32
  (bnc#974308, CVE-2016-3672).
- commit 596204c
* Sun May 15 2016 agraf@suse.de
- phy dp83867: depend on CONFIG_OF_MDIO (bsc#979368).
- commit 453fd52
* Sun May 15 2016 agraf@suse.de
- Refresh
  patches.arch/arm64-thd-irqchip-gicv3-its-numa-workaround-for-cavium-thunderx-erratum-23144.patch. (bsc#979370)
- commit 7e2d64f
* Fri May 13 2016 ohering@suse.de
- PCI: hv: Report resources release after stopping the bus
  (fate#320485).
- PCI: hv: Add explicit barriers to config space access
  (fate#320485).
- commit 75b4924
* Fri May 13 2016 jthumshirn@suse.de
- aacraid: Don't call aac_intr_normal() with AIF == 2 in driver
  probe (bsc#979497).
- commit 018c518
* Fri May 13 2016 rgoldwyn@suse.com
- apparmor: Initialize common_audit_data (bsc972120).
- commit 5f3346f
* Fri May 13 2016 tiwai@suse.de
- Update tags in two patches for CVE-2016-4578, bsc#979879
- commit 72f8006
* Fri May 13 2016 bpoirier@suse.com
- cxgb3: fix out of bounds read (bsc#963908 FATE#320119).
- iw_cxgb3: initialize ibdev.iwcm->ifname for port mapping
  (bsc#963908 FATE#320119).
- iw_cxgb3: support for iWARP port mapping (bsc#963908
  FATE#320119).
- cxgb3: fix up vpd strings for kstrto*() (bsc#963908
  FATE#320119).
- chelsio: constify cphy_ops structures (bsc#963908 FATE#320119).
- cxgb3: Convert simple_strtoul to kstrtox (bsc#963908
  FATE#320119).
- commit 6733505
* Thu May 12 2016 bpoirier@suse.com
- IB: remove the write-only usecnt field from struct ib_mr
  Replace the partial version of this patch by a complete version.
- commit 196b924
* Thu May 12 2016 bpoirier@suse.com
- cxgb3: simplify iwch_get_dma_wr (bsc#963908 FATE#320119).
- commit 62aec31
* Thu May 12 2016 bpoirier@suse.com
- IB: remove in-kernel support for memory windows
  Combine the two occurrences of this patch.
- commit 2a6f5b9
* Thu May 12 2016 bpoirier@suse.com
- IB: remove support for phys MRs
  Combine the two occurrences of this patch.
- commit 7d5b895
* Thu May 12 2016 bpoirier@suse.com
- IB: start documenting device capabilities
  Move this patch out of the mlx5 backport. It belongs to a series that
  affects multiple drivers.
- commit 9c5d513
* Thu May 12 2016 bp@suse.de
- NTB: Remove _addr functions from ntb_hw_amd (fate#320478).
- Update config files.
- NTB: Add support for AMD PCI-Express Non-Transparent Bridge
  (fate#320478).
- commit af8a158
* Thu May 12 2016 bpoirier@suse.com
- sfc: disable RSS when unsupported (bsc#966344 FATE#320139).
- sfc: implement IPv6 NFC (and IPV4_USER_FLOW) (bsc#966344
  FATE#320139).
- ethtool: add IPv6 to the NFC API (bsc#966344 FATE#320139).
- sfc: Downgrade or remove some error messages (bsc#966344
  FATE#320139).
- sfc: Downgrade EPERM messages from MCDI to debug (bsc#966344
  FATE#320139).
- sfc: Make failed filter removal less noisy (bsc#966344
  FATE#320139).
- sfc: Handle MCDI proxy authorisation (bsc#966344 FATE#320139).
- sfc: Retry MCDI after NO_EVB_PORT error on a VF (bsc#966344
  FATE#320139).
- sfc: check warm_boot_count after other functions have been reset
  (bsc#966344 FATE#320139).
- sfc: use ALIGN macro for aligning frame sizes (bsc#966344
  FATE#320139).
- sfc: Add PCI ID for Solarflare 8000 series 10/40G NIC
  (bsc#966344 FATE#320139).
- sfc: make TSO version a per-queue parameter (bsc#966344
  FATE#320139).
- commit 960a40a
* Thu May 12 2016 ddiss@suse.de
- rbd: report unsupported features to syslog (bsc#979169).
- commit a9cc548
* Thu May 12 2016 mmarek@suse.com
- kabi/severities: Copy from SLE12-SP1
- commit 3978764
* Thu May 12 2016 bp@suse.de
- perf/x86/msr: Add AMD IRPERF (Instructions Retired) performance
  counter (fate#320473).
- perf/x86/msr: Add AMD PTSC (Performance Time-Stamp Counter)
  support (fate#320473).
- commit 85f4eaa
* Thu May 12 2016 jthumshirn@suse.de
- Delete
  patches.drivers/0096-nvme-init-nvme-queue-before-enabling-irq.patch.
  patches.drivers/0094-nvme-fix-reset-remove-race.patch already covers this
  path.
- commit 44f154b
* Thu May 12 2016 jthumshirn@suse.de
- Update
  patches.drivers/0096-nvme-init-nvme-queue-before-enabling-irq.patch
  (bsc#962742).
  Updated wrong bugzilla refernce.
- commit 79454f7
* Wed May 11 2016 jslaby@suse.cz
- Linux 4.4.10 (bsc#969870 bsc#977572 bsc#946078).
- Delete
  patches.arch/ACPI-processor-Request-native-thermal-interrupt-hand.
- Delete
  patches.drivers/ata-0052-ahci_xgene-dereferencing-uninitialized-pointer-i.patch.
- Delete
  patches.fixes/ipvs-drop-first-packet-to-dead-server.patch.
- commit ef10f7e
* Wed May 11 2016 hare@suse.de
- scsi_lib: Decode T10 vendor IDs (bsc#977572).
- scsi_dh_alua: do not fail for unknown VPD identification
  (bsc#977572).
- commit 35854e5
* Wed May 11 2016 tiwai@suse.de
- ALSA: timer: Fix leak in events via snd_timer_user_tinterrupt
  (CVE-2016-4569,bsc#979213).
- ALSA: timer: Fix leak in events via snd_timer_user_ccallback
  (CVE-2016-4569,bsc#979213).
- ALSA: timer: Fix leak in SNDRV_TIMER_IOCTL_PARAMS
  (CVE-2016-4569,bsc#979213).
- commit 89a9adb
* Wed May 11 2016 zren@suse.com
- dlm: config: Fix ENOMEM failures in make_cluster() (bsc#979108).
- commit 225be70
* Wed May 11 2016 dbueso@suse.de
- ipc/sem: make semctl setting sempid consistent (bsc#979378).
- commit 0f22b60
* Wed May 11 2016 dbueso@suse.de
- ipc/shm.c: is_file_shm_hugepages() can be boolean (bsc#979378).
- commit 4a9bfce
* Tue May 10 2016 bpoirier@suse.com
- net/mlx4_en: Fix endianness bug in IPV6 csum calculation
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_en: fix spurious timestamping callbacks (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_en: Split SW RX dropped counter per RX ring (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_core: Don't allow to VF change global pause settings
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_core: Avoid repeated calls to pci enable/disable
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_core: Implement pci_resume callback (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_en: do batched put_page using atomic_sub (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_en: allocate non 0-order pages for RX ring
  with __GFP_NOMEMALLOC (bsc#966191 FATE#320230 bsc#966186
  FATE#320228).
- commit 68de195
* Tue May 10 2016 tiwai@suse.de
- Bluetooth: vhci: Fix race at creating hci device
  (bsc#971799,bsc#966849).
- Bluetooth: vhci: purge unhandled skbs (bsc#971799,bsc#966849).
- Bluetooth: vhci: fix open_timeout vs. hdev race
  (bsc#971799,bsc#966849).
- commit 4e439a6
* Tue May 10 2016 jthumshirn@suse.de
- NVMe: Only release requested regions (bsc#979273).
- commit d445119
* Tue May 10 2016 jthumshirn@suse.de
- NVMe: init nvme queue before enabling irq (bsc#662458).
- commit beec509
* Tue May 10 2016 mkubecek@suse.cz
- Update patches.kernel.org/patch-4.4.3-4 references (add bsc#973570).
- commit f8cfbd9
* Tue May 10 2016 mkubecek@suse.cz
- series.conf: unify indentation
- commit df94fc9
* Tue May 10 2016 mkubecek@suse.cz
- net: fix infoleak in rtnetlink (CVE-2016-4486 bsc#978822).
- bpf: fix refcnt overflow (CVE-2016-4558 bsc#979019).
- bpf: fix double-fdput in replace_map_fd_with_map_ptr()
  (CVE-2016-4557 bsc#979018).
- commit 56582b6
* Tue May 10 2016 bpoirier@suse.com
- Driver: Vmxnet3: set CHECKSUM_UNNECESSARY for IPv6 packets
  (bsc#976739).
- vmxnet3: fix lock imbalance in vmxnet3_tq_xmit() (bsc#976739).
- vmxnet3: avoid calling pskb_may_pull with interrupts disabled
  (bsc#976739).
- Driver: Vmxnet3: Update Rx ring 2 max size (bsc#976739).
- commit 7e1d60a
* Mon May  9 2016 jroedel@suse.de
- x86/platform/uv: Disable UV BAU by default (fate#320789, bsc#976474).
- commit 6b0b7b9
* Mon May  9 2016 jthumshirn@suse.de
- libfc: replace 'rp_mutex' with 'rp_lock' (bsc#953233).
- commit 4832582
* Mon May  9 2016 jeffm@suse.com
- btrfs: remove send/receive and hole punching from unsupported
  features list (FATE#313516)
- commit 0a21623
* Mon May  9 2016 ohering@suse.de
- Add mainline tag to a hyperv patch
- commit 27106a8
* Mon May  9 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Make KMPs provide "$name-kmp" (bsc#976634)
- commit c1a48cb
* Mon May  9 2016 hare@suse.de
- lpfc: Revert patch 'lpfc: Delete unnecessary checks
  before...' (bsc#978862).
- commit 3ccc5e5
* Fri May  6 2016 bpoirier@suse.com
- IB/qib,staging/rdma/hfi1: use setup_timer api (bsc#958492
  fate#320169).
- commit f34f41f
* Fri May  6 2016 mfleming@suse.de
- sched/core: Move task_rq_lock() out of line (bsc#978907).
- commit 1e499b6
* Fri May  6 2016 jthumshirn@suse.de
- PM / hibernate: Fix warning about non-void function not
  returning.
- commit 569b497
* Fri May  6 2016 mmarek@suse.cz
- supported.conf: Add ibmpowernv hwmon driver (bsc#944037).
- commit 4132407
* Fri May  6 2016 hare@suse.de
- scsi-trace: Decode MAINTENANCE_IN and MAINTENANCE_OUT commands
  (bsc#940180,FATE#318723).
- scsi-trace: define ZBC_IN and ZBC_OUT (bsc#940180,FATE#318723).
- scsi-trace: remove service action definitions
  (bsc#940180,FATE#318723).
- Refresh patches.suse/sd-configure-ZBC-devices.patch.
- commit aa277d0
* Fri May  6 2016 jthumshirn@suse.de
- lightnvm: fix warning: ret may be used uninitialized
  (FATE#319466).
- commit b02642a
* Fri May  6 2016 hare@suse.de
- libata: Define ATA_CMD_NCQ_NON_DATA (bnc#940180,FATE#318723).
- libata: Separate out ata_dev_config_ncq_send_recv()
  (bnc#940180,FATE#318723).
- libata: Add command definitions for NCQ Encapsulation for READ
  LOG DMA EXT (bnc#940180,FATE#318723).
- libata: Check log page directory before accessing pages
  (bnc#940180,FATE#318723).
- libata-trace: decode subcommands (bnc#940180,FATE#318723).
- libata-scsi: Generate sense code for disabled devices
  (bnc#940180,FATE#318723).
- libata: fixup ZAC device disabling (bnc#940180,FATE#318723).
- libata: implement ZBC IN translation (bnc#940180,FATE#318723).
- libata: Implement ZBC OUT translation (bnc#940180,FATE#318723).
- libata: NCQ encapsulation for ZAC MANAGEMENT OUT
  (bnc#940180,FATE#318723).
- libata: support device-managed ZAC devices
  (bnc#940180,FATE#318723).
- libata: support host-aware and host-managed ZAC devices
  (bnc#940180,FATE#318723).
- blk-sysfs: Add 'chunk_sectors' to sysfs attributes
  (bnc#940180,FATE#318723).
- block: update chunk_sectors in blk_stack_limits()
  (bnc#940180,FATE#318723).
- sd: configure ZBC devices (bnc#940180,FATE#318723).
- Refresh
  patches.suse/sd-Implement-new-RESET_WP-provisioning-mode.patch.
- Delete
  patches.fixes/libata-Do-not-retry-commands-with-valid-autosense.patch.
- Delete patches.suse/libata-Implement-ZBC-OUT-translation.patch.
- Delete patches.suse/libata-implement-ZBC-IN-translation.patch.
- Delete
  patches.suse/libata-support-device-managed-ZAC-devices.patch.
- Delete patches.suse/libata-support-host-aware-ZAC-devices.patch.
- Delete patches.suse/sd-Set-chunk_sectors-to-zone-size.patch.
- commit dfdf313
* Fri May  6 2016 jthumshirn@suse.de
- NVMe: Always use MSI/MSI-x interrupts (bsc#964944, FATE#319965).
- NVMe: Fix reset/remove race (bsc#964944, FATE#319965).
- commit bd10b17
* Fri May  6 2016 acho@suse.com
- qlge: Update version to 1.00.00.35 (bsc#966312 FATE#320149).
- qlcnic: Update version to 5.3.64 (bsc#966337 FATE#320147).
- qlcnic: protect qlicnic_attach_func with rtnl_lock (bsc#966337
  FATE#320147).
- qlcnic: constify qlcnic_dcb_ops structures (bsc#966337
  FATE#320147).
- commit b7c3660
* Fri May  6 2016 dchang@suse.com
- bnxt_en: Add async event handling for speed config changes
  (bsc#963575 FATE#320144).
- bnxt_en: Call firmware to approve VF MAC address change
  (bsc#963575 FATE#320144).
- bnxt_en: Shutdown link when device is closed (bsc#963575
  FATE#320144).
- bnxt_en: Disallow forced speed for 10GBaseT devices (bsc#963575
  FATE#320144).
- bnxt_en: Improve ethtool .get_settings() (bsc#963575
  FATE#320144).
- bnxt_en: Check for valid forced speed during ethtool -s
  (bsc#963575 FATE#320144).
- bnxt_en: Add unsupported SFP+ module warnings (bsc#963575
  FATE#320144).
- bnxt_en: Set async event bits when registering with the firmware
  (bsc#963575 FATE#320144).
- bnxt_en: Add get_eee() and set_eee() ethtool support (bsc#963575
  FATE#320144).
- bnxt_en: Add EEE setup code (bsc#963575 FATE#320144).
- bnxt_en: Add basic EEE support (bsc#963575 FATE#320144).
- bnxt_en: Improve flow control autoneg with Firmware 1.2.1
  interface (bsc#963575 FATE#320144).
- bnxt_en: Update to Firmware 1.2.2 spec (bsc#963575 FATE#320144).
- bnxt_en: Setup multicast properly after resetting device
  (bsc#963575 FATE#320144).
- bnxt_en: Need memory barrier when processing the completion ring
  (bsc#963575 FATE#320144).
- bnxt_en: Divide a page into 32K buffers for the aggregation
  ring if necessary (bsc#963575 FATE#320144).
- bnxt_en: Limit RX BD pages to be no bigger than 32K (bsc#963575
  FATE#320144).
- bnxt_en: Don't fallback to INTA on VF (bsc#963575 FATE#320144).
- bnxt_en: Fix ethtool -a reporting (bsc#963575 FATE#320144).
- bnxt_en: Fix typo in bnxt_hwrm_set_pause_common() (bsc#963575
  FATE#320144).
- bnxt_en: Implement proper firmware message padding (bsc#963575
  FATE#320144).
- bnxt_en: Initialize CP doorbell value before ring allocation
  (bsc#963575 FATE#320144).
- bnxt_en: Enable AER support (bsc#963575 FATE#320144).
- bnxt_en: Include hardware port statistics in ethtool -S
  (bsc#963575 FATE#320144).
- bnxt_en: Include some hardware port statistics in
  ndo_get_stats64() (bsc#963575 FATE#320144).
- bnxt_en: Add port statistics support (bsc#963575 FATE#320144).
- bnxt_en: Extend autoneg to all speeds (bsc#963575 FATE#320144).
- bnxt_en: Use common function to get ethtool supported flags
  (bsc#963575 FATE#320144).
- bnxt_en: Add reporting of link partner advertisement (bsc#963575
  FATE#320144).
- bnxt_en: Refactor bnxt_fw_to_ethtool_advertised_spds()
  (bsc#963575 FATE#320144).
- bnxt_en: Fix zero padding of tx push data (bsc#963575
  FATE#320144).
- bnxt_en: Add hwrm_send_message_silent() (bsc#963575
  FATE#320144).
- bnxt_en: Refactor _hwrm_send_message() (bsc#963575 FATE#320144).
- bnxt_en: Add installed-package firmware version reporting via
  Ethtool GDRVINFO (bsc#963575 FATE#320144).
- bnxt_en: Fix dmesg log firmware error messages (bsc#963575
  FATE#320144).
- bnxt_en: Use firmware provided message timeout value (bsc#963575
  FATE#320144).
- bnxt_en: Add coalescing support for tx rings (bsc#963575
  FATE#320144).
- bnxt_en: Refactor bnxt_hwrm_set_coal() (bsc#963575 FATE#320144).
- bnxt_en: Store irq coalescing timer values in micro seconds
  (bsc#963575 FATE#320144).
- bnxt_en: Send PF driver unload notification to all VFs
  (bsc#963575 FATE#320144).
- bnxt_en: Improve bnxt_vf_update_mac() (bsc#963575 FATE#320144).
- bnxt_en: Failure to update PHY is not fatal condition
  (bsc#963575 FATE#320144).
- bnxt_en: Remove unnecessary call to update PHY settings
  (bsc#963575 FATE#320144).
- bnxt_en: Poll link at the end of __bnxt_open_nic() (bsc#963575
  FATE#320144).
- bnxt_en: Reduce default ring sizes (bsc#963575 FATE#320144).
- bnxt_en: Fix implementation of tx push operation (bsc#963575
  FATE#320144).
- bnxt_en: Remove 20G support and advertise only 40GbaseCR4
  (bsc#963575 FATE#320144).
- bnxt_en: Cleanup and Fix flow control setup logic (bsc#963575
  FATE#320144).
- bnxt_en: Fix ethtool autoneg logic (bsc#963575 FATE#320144).
- bnxt_en: Fix crash in bnxt_free_tx_skbs() during tx timeout
  (bsc#963575 FATE#320144).
- bnxt_en: Exclude rx_drop_pkts hw counter from the stack's
  rx_dropped counter (bsc#963575 FATE#320144).
- bnxt_en: Ring free response from close path should use
  completion ring (bsc#963575 FATE#320144).
- net: bnxt: always return values from _bnxt_get_max_rings
  (bsc#963575 FATE#320144).
- bnxt_en: Reset embedded processor after applying firmware
  upgrade (bsc#963575 FATE#320144).
- bnxt_en: Zero pad firmware messages to 128 bytes (bsc#963575
  FATE#320144).
- bnxt_en: Modify ethtool -l|-L to support combined or rx/tx rings
  (bsc#963575 FATE#320144).
- bnxt_en: Modify init sequence to support shared or non shared
  rings (bsc#963575 FATE#320144).
- bnxt_en: Modify bnxt_get_max_rings() to support shared or non
  shared rings (bsc#963575 FATE#320144).
- bnxt_en: Re-structure ring indexing and mapping (bsc#963575
  FATE#320144).
- bnxt_en: Check for NULL rx or tx ring (bsc#963575 FATE#320144).
- bnxt_en: Separate bnxt_{rx|tx}_ring_info structs from bnxt_napi
  struct (bsc#963575 FATE#320144).
- bnxt_en: Refactor bnxt_dbg_dump_states() (bsc#963575
  FATE#320144).
- bnxt_en: Add BCM57301 & BCM57402 devices (bsc#963575
  FATE#320144).
- bnxt_en: Update to Firmware interface spec 1.0.0 (bsc#963575
  FATE#320144).
- bnxt_en: Keep track of the ring group resource (bsc#963575
  FATE#320144).
- bnxt_en: Improve VF resource accounting (bsc#963575
  FATE#320144).
- bnxt_en: Cleanup bnxt_hwrm_func_cfg() (bsc#963575 FATE#320144).
- bnxt_en: Check hardware resources before enabling NTUPLE
  (bsc#963575 FATE#320144).
- bnxt_en: Don't treat single segment rx frames as GRO frames
  (bsc#963575 FATE#320144).
- bnxt_en: Allocate rx_cpu_rmap only if Accelerated RFS is enabled
  (bsc#963575 FATE#320144).
- bnxt_en: Increment checksum error counter only if NETIF_F_RXCSUM
  is set (bsc#963575 FATE#320144).
- bnxt_en: Add support for upgrading APE/NC-SI firmware via
  Ethtool FLASHDEV (bsc#963575 FATE#320144).
- bnxt_en: Optimize ring alloc and ring free functions (bsc#963575
  FATE#320144).
- bnxt_en: support hwrm_func_drv_unrgtr command (bsc#963575
  FATE#320144).
- commit 55f94ac
* Thu May  5 2016 jslaby@suse.cz
- Linux 4.4.9 (FATE#320355 bnc#972552 bnc#975945 bsc#972174
  bsc#975772 bnc#974266 FATE#319595, LTC#KRN1405 bsc#976705
  bsc#966839).
- Update config files.
- Refresh
  patches.arch/arm64-gpio-change-member-.dev-to-.parent.patch.
- Refresh
  patches.arch/cxl-Move-common-code-away-from-bare-metal-specific-f.patch.
- Refresh
  patches.drivers/0001-usb-xhci-add-a-quirk-bit-for-ssic-port-unused.patch.
- Refresh
  patches.drivers/0003-pci-add-support-for-multiple-dma-aliases.
- Refresh
  patches.drivers/0006-iommu-amd-make-call-sites-of-get_device_id-aware-of-its-return-value.
- Refresh
  patches.drivers/0007-iommu-amd-add-iommu-support-for-acpi-hid-devices.
- Refresh
  patches.drivers/staging-rdma-hfi1-remove-unnecessary-include-files.patch.
- Refresh
  patches.fixes/0001-lib-mpi-only-require-buffers-as-big-as-needed-for-th.patch.
- Refresh
  patches.fixes/0001-rtmutex-Make-wait_lock-irq-safe.patch.
- Delete patches.arch/arm64-kvm-fix-hrtimer.patch.
- Delete
  patches.arch/s390-sles12sp2-00-04-s390-pci-fmb-enhancements-02.patch.
- Delete
  patches.drivers/0001-USB-usbip-fix-potential-out-of-bounds-write.patch.
- Delete
  patches.drivers/iommu-amd-fix-checking-of-pci-dma-aliases.
- Delete
  patches.drivers/iommu-dma-restore-scatterlist-offsets-correctly.
- Delete
  patches.fixes/0001-block-initialize-hd_stuct-s-reference-before-assigni.patch.
- Delete
  patches.fixes/0001-cgroup-cpuset-replace-cpuset_post_attach_flush-with-.patch.
- Delete
  patches.fixes/0001-locking-mcs-Fix-mcs_spin_lock-ordering.patch.
- Delete patches.fixes/0002-MPI-Endianness-fix.patch.
- Delete
  patches.fixes/0002-memcg-relocate-charge-moving-from-attach-to-post_att.patch.
- Delete
  patches.fixes/ext4-fix-races-between-buffered-IO-and-collapse-inse.patch.
- Delete
  patches.fixes/ext4-fix-races-between-page-faults-and-hole-punching.patch.
- Delete
  patches.fixes/ext4-fix-races-of-writeback-with-punch-hole-and-zero.patch.
- Delete
  patches.fixes/ext4-move-unlocked-dio-protection-from-ext4_alloc_fi.patch.
- commit ae856e1
* Thu May  5 2016 dbond@suse.com
- ibft: Expose iBFT acpi header via sysfs (bnc#950426).
- commit f8ab0a7
* Thu May  5 2016 vbabka@suse.cz
- mm: fix kcompactd hang during memory offlining (fate#320635 --
  Disable THP defragmentation by default).
- commit 882cca1
* Thu May  5 2016 jack@suse.cz
- printk: change recursion_bug type to bool.
- printk: check CON_ENABLED in have_callable_console().
- printk: move can_use_console() out of
  console_trylock_for_printk().
- printk: set may_schedule for some of console_trylock() callers.
- printk: Make printk() completely async (bnc#744692, bnc#789311).
- printk: make printk.synchronous param rw (bnc#744692,
  bnc#789311).
- printk: Make wake_up_klogd_work_func() async (bnc#744692,
  bnc#789311).
- Refresh patches.suse/printk-mark_kgr_task_safe.patch.
- Delete
  patches.suse/kernel-Avoid-softlockups-in-stop_machine-during-heav.patch.
- Delete
  patches.suse/printk-Hand-over-printing-to-console-if-printing-too.patch.
- Delete patches.suse/printk-console_flush-fixup.diff.
- Delete patches.suse/printk-remove-spinning.patch.
- commit 0703efc
* Thu May  5 2016 dchang@suse.com
- i40e/i40evf: Limit TSO to 7 descriptors for payload instead
  of 8 per packet (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: fix errant PCIe bandwidth message (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40iw: avoid potential uninitialized variable use (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Fix casting in transmit code (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Fix handling of boolean logic in polling routines
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40iw: Replace the obsolete crypto hash interface with shash
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40iw: changes for build of i40iw module (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
  Update config files.
- i40iw: Kconfig and Makefile for iwarp module (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40iw: virtual channel handling files (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40iw: user kernel shared files (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40iw: add X722 register file (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40iw: add hardware related header files (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40iw: add file to handle cqp calls (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40iw: use shared code for port mapper (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- iw_cxgb4: remove port mapper related code (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- iw_nes: remove port mapper related code (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- iwcm: common code for port mapper (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40iw: add files for iwarp interface (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40iw: add hw and utils files (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40iw: add hmc resource files (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40iw: add pble resource files (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40iw: add puda code (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40iw: add connection management code (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40iw: add main, hdr, status (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: Add support for client interface for IWARP driver
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- cxgb4i: don't redefine DIV_ROUND_UP (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- uapi: define DIV_ROUND_UP for userland (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e/ethtool: support coalesce setting by queue (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e/ethtool: support coalesce getting by queue (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: queue-specific settings for interrupt moderation
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- net/ethtool: support set coalesce per queue (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- net/ethtool: support get coalesce per queue (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- net/ethtool: introduce a new ioctl for per queue setting
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Bump i40e to 1.4.25 and i40evf to 1.4.15
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: let go of the past (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: suspend scheduling during driver unload (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: Use the new rx ctl register helpers. Don't use AQ calls
  from clear_hw (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: implement and use Rx CTL helper functions (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: add adminq commands for Rx CTL registers (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: add check for null VSI (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: Expose some registers to program parser, FD and RSS logic
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: Fix for unexpected messaging (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: Do not wait for Rx queue disable in DCB reconfig
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: Increase timeout when checking GLGEN_RSTAT_DEVSTATE bit
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: Fix led blink capability for 10GBaseT PHY (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: Add functions to blink led on 10GBaseT PHY (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Move Tx checksum closer to TSO (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Rewrite logic for 8 descriptor per packet check
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Break up xmit_descriptor_count from maybe_stop_tx
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: Add support for ATR w/ IPv6 extension headers (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40evf: Update feature flags to reflect newly enabled features
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: Update feature flags to reflect newly enabled features
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: Do not drop support for IPv6 VXLAN or GENEVE tunnels
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: Fix ATR in relation to tunnels (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e/i40evf: Enable support for SKB_GSO_UDP_TUNNEL_CSUM
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Clean-up Rx packet checksum handling (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Add exception handling for Tx checksum (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Do not write to descriptor unless we complete
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Handle IPv6 extension headers in checksum offload
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Add support for IPv4 encapsulated in IPv6
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Replace header pointers with unions of pointers
  in Tx checksum path (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e/i40evf: Consolidate all header changes into TSO function
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Factor out L4 header and checksum from L3 bits
  in TSO path (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Use u64 values instead of casting them in TSO
  function (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Drop outer checksum offload that was not requested
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Bump i40e to 1.4.15 and i40evf to 1.4.11
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: When in promisc mode apply promisc mode to Tx Traffic
  as well (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: clean event descriptor before use (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40evf: set adapter state on reset failure (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: better error reporting for nvmupdate (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: expand comment (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: Do not disable queues in the Legacy/MSI Interrupt handler
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: avoid atomics (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: Removal of code which relies on BASE VEB SEID (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: Fix PROMISC mode for Multi-function per port (MFP)
  devices (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: Add a SW workaround for lost interrupts (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: trivial: cleanup use of pf->hw (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40evf: support packet split receive (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: drop unused debugfs file "dump" (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: get rid of magic number (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e/i40evf: Bump version (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: properly show packet split status in debugfs (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: use logical operators, not bitwise (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: use pages correctly in Rx (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e/i40evf: use __GFP_NOWARN (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: dump descriptor indexes in hex (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e/i40evf: try again after failure (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e/i40evf: don't lose interrupts (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40evf: Change vf driver string to reflect all products i40evf
  supports (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: Refactor force_wb and WB_ON_ITR functionality code
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: use new add_veb calling with VEB stats control (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: add VEB stat control and remove L2 cloud filter
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: set shared bit for multicast filters (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: Make the DCB firmware checks for X710/XL710 only
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: move sync_vsi_filters up in service_task (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: use eth_platform_get_mac_address() (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: add priv flag for automatic rule eviction (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: Enable Geneve offload for FW API ver > 1.4 for XL710/X710
  devices (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: bump version to 1.4.12/1.4.8 (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: avoid large memcpy by assigning struct (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: count allocation errors (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: drop unused function (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: negate PHY int mask bits (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: APIs to Add/remove port mirroring rules (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: fix: do not sleep in netdev_ops (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: allocate memory safer (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: do TSO only if CHECKSUM_PARTIAL is set (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: fix bug in dma sync (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: trivial: fix missing space (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: trivial: drop duplicate definition (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e/i40evf: Bump i40e to 1.4.11 and i40evf to 1.4.7 (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: trivial: remove unnecessary local var (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: remove VF device IDs from PF (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: add netdev info to VSI dump (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40evf: enable bus master after reset (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: add a little more to an NVM update debug message
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: refactor DCB function (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: add 20G speed for Tx bandwidth calculations (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: add counter for arq overflows (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: fix write-back-on-itr to work with legacy itr (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: Store lan_vsi_idx and lan_vsi_id in the right size
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: Bump AQ minor version to 1.5 for new FW features
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: AQ thermal sensor control struct (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: AQ Add VXLAN-GPE tunnel type (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: AQ Add set_switch_config (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: AQ Shared resource flags (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: add 100Mb ethtool reporting (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: AQ Add external power class to get link status (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: AQ Geneve cloud tunnel type (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: AQ Add Run PHY Activity struct (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: Limit DCB FW version checks to X710/XL710 devices
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: add new proxy-wol bit for X722 (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e/i40evf: Use private workqueue (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40evf: add new write-back mode (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e/i40evf: Fix for UDP/TCP RSS for X722 (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: Extend ethtool RSS hooks for X722 (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: add new device IDs for X722 (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: bump version to 1.4.10 (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: update features with right offload (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: Cleanup the code with respect to restarting autoneg
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40evf: null out ring pointers on free (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: define function capabilities in only one place (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40evf: allow channel bonding of VFs (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: Replace X722 mac check in ethtool get_settings (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Fix RSS rx-flow-hash configuration through ethtool
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: Add mac_filter_element at the end of the list instead
  of HEAD (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- net: i40e: shut up uninitialized variable warnings (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: fix build warnings (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: remove forever unused ID (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: Fix Rx hash reported to the stack by our driver
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: Look up MAC address in Open Firmware or IDPROM (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: allow zero MAC address for VFs (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: change log messages and error returns (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- net: Add eth_platform_get_mac_address() helper (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: Call geneve_get_rx_port to get the existing Geneve ports
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: geneve tunnel offload support (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e/i40evf: Bump i40e to 1.4.8 and i40evf to 1.4.4 (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40evf: change version string generation (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: clean whole mac filter list (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e/i40evf: Add a new offload for RSS PCTYPE V2 for X722
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: hush little warnings (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: Opcode and structures required by OEM Post Update AQ
  command and add new NVM arq message (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: use explicit cast from u16 to u8 (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40evf: check rings before freeing resources (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: don't add zero MAC filter (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: properly delete VF MAC filters (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: chomp the BIT(_ULL) (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- Revert "i40e: remove CONFIG_I40E_VXLAN" (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: trivial fixes (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e/i40evf: Bump version to 1.4.7 for i40e and 1.4.3 for i40evf
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: use logical operator (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: fix whitespace (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: Remove separate functions gathering XOFF Rx stats
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: remove CONFIG_I40E_VXLAN (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: use priv flags to control packet split (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40evf: use correct types (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: propagate properly (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40evf: don't use atomic allocation (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: Fix memory leaks, sideband filter programming (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: Detection and recovery of TX queue hung logic moved to
  service_task from tx_timeout (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40evf: remove duplicate string (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40evf: set real num queues (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40evf: increase max number of queues (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: Fix i40e_print_features() VEB mode output (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: remove unused argument (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: fix: do not sleep in netdev_ops (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e/i40evf: Bump i40e version to 1.4.4 and i40evf to 1.4.1
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40evf: allocate ring structs dynamically (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40evf: allocate queue vectors dynamically (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40evf: quoth the VF driver, Nevermore (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: make error message more useful (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: fix confusing message (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: Update error messaging (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40evf: add new fields to store user configuration of RSS
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40evf: create a generic get RSS function (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40evf: create a generic config RSS function (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40evf: rename VF adapter specific RSS function (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: prefetch skb data on transmit (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Fix RS bit update in Tx path and disable force
  WB workaround (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: rename rss_size to alloc_rss_size in i40e_pf (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: add new fields to store user configuration (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: Bump version to 1.4.2 (bsc#969476 FATE#319648 bsc#969477
  FATE#319816).
- i40e: create a generic configure rss function (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: rework the functions to configure RSS with similar
  parameters (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: return the number of enabled queues for ETHTOOL_GRXRINGS
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40evf: handle many MAC filters correctly (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: clean up error messages (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e/i40evf: Add comment to #endif (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: Move the saving of old link info from handle_link_event
  to link_event (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: Add a stat to track how many times we have to do
  a force WB (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e: Workaround fix for mss < 256 issue (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: remove BUG_ON from FCoE setup (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40e: remove BUG_ON from feature string building (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- i40e: Change BUG_ON to WARN_ON in service event complete
  (bsc#969476 FATE#319648 bsc#969477 FATE#319816).
- i40e/i40evf: remove unused tunnel parameter (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- intel: i40e: fix confused code (bsc#969476 FATE#319648
  bsc#969477 FATE#319816).
- i40evf: fix compiler warning of unused variable (bsc#969476
  FATE#319648 bsc#969477 FATE#319816).
- commit 602b073
* Thu May  5 2016 mgorman@suse.com
- mm, page_alloc: restore the original nodemask if the fast path allocation failed
  (bnc#971975 VM performance -- page allocator).
- commit b6adb47
* Thu May  5 2016 jlee@suse.com
- Remove BSD-style securelevel sysfs file (fate#320387).
- commit 5e2e0e7
* Thu May  5 2016 jlee@suse.com
- mfd: lpc_ich: Intel device IDs for PCH (fate#319271).
- commit ca8e3da
* Thu May  5 2016 dchang@suse.com
- supported.conf: add Intel(R) Ethernet X722 iWARP Driver (bsc#974842
  FATE#319831 bsc#974843 FATE#319832)
- commit 4bf652c
* Thu May  5 2016 dchang@suse.com
- fm10k: fix multi-bit VLAN update requests from VF (bsc#969479
  FATE#320634).
- fm10k: don't reinitialize RSS flow table when RXFH configured
  (bsc#969479 FATE#320634).
- ethtool: ensure channel counts are within bounds during
  SCHANNELS (bsc#969479 FATE#320634).
- ethtool: correctly ensure {GS}CHANNELS doesn't conflict with
  GS{RXFH} (bsc#969479 FATE#320634).
- fm10k: IS_ENABLED() is not appropriate for boolean kconfig
  option (bsc#969479 FATE#320634).
- fm10k: cleanup mailbox code comments etc (bsc#969479
  FATE#320634).
- fm10k: use true/false for boolean get_host_state (bsc#969479
  FATE#320634).
- fm10k: remove unused struct element (bsc#969479 FATE#320634).
- fm10k: constify fm10k_mac_ops, fm10k_iov_ops and fm10k_info
  structures (bsc#969479 FATE#320634).
- fm10k: address operator not needed when declaring function
  pointers (bsc#969479 FATE#320634).
- fm10k: use ether_addr_equal instead of memcmp (bsc#969479
  FATE#320634).
- fm10k: Cleanup exception handling for changing queues
  (bsc#969479 FATE#320634).
- fm10k: correctly pack TLV structures and explain reasoning
  (bsc#969479 FATE#320634).
- fm10k: don't initialize fm10k_workqueue at global level
  (bsc#969479 FATE#320634).
- fm10k: initialize xps at driver load (bsc#969479 FATE#320634).
- fm10k: cleanup overly long lines (bsc#969479 FATE#320634).
- fm10k: cleanup namespace pollution (bsc#969479 FATE#320634).
- fm10k: use BIT() macro instead of open-coded bit-shifting
  (bsc#969479 FATE#320634).
- fm10k: whitespace cleanups (bsc#969479 FATE#320634).
- fm10k: do not inline fm10k_iov_select_vid() (bsc#969479
  FATE#320634).
- fm10k: Cleanup exception handling for mailbox interrupt
  (bsc#969479 FATE#320634).
- fm10k: Cleanup MSI-X interrupts in case of failure (bsc#969479
  FATE#320634).
- fm10k: conditionally compile DCB and DebugFS support (bsc#969479
  FATE#320634).
- fm10k: bump driver version (bsc#969479 FATE#320634).
- fm10k: consistently refer to VLANs and VLAN IDs (bsc#969479
  FATE#320634).
- fm10k: remove namespace pollution of fm10k_iov_msg_data_pf
  (bsc#969479 FATE#320634).
- fm10k: remove unnecessary else block from if statements with
  return (bsc#969479 FATE#320634).
- fm10k: do not use CamelCase (bsc#969479 FATE#320634).
- fm10k: use ether_addr_copy to copy MAC address (bsc#969479
  FATE#320634).
- fm10k: TRIVIAL cleanup order at top of fm10k_xmit_frame
  (bsc#969479 FATE#320634).
- fm10k: TRIVIAL fix typo of hardware (bsc#969479 FATE#320634).
- fm10k: change default Tx ITR to 25usec (bsc#969479 FATE#320634).
- fm10k: use macro for default Tx and Rx ITR values (bsc#969479
  FATE#320634).
- fm10k: Update adaptive ITR algorithm (bsc#969479 FATE#320634).
- fm10k: introduce ITR_IS_ADAPTIVE macro (bsc#969479 FATE#320634).
- fm10k: Add support for ITR scaling based on PCIe link speed
  (bsc#969479 FATE#320634).
- fm10k: rename mbx_tx_oversized statistic to mbx_tx_dropped
  (bsc#969479 FATE#320634).
- fm10k: add statistics for actual DWORD count of mbmem mailbox
  (bsc#969479 FATE#320634).
- fm10k: explicitly typecast vlan values to u16 (bsc#969479
  FATE#320634).
- fm10k: Correct typecast in fm10k_update_xc_addr_pf (bsc#969479
  FATE#320634).
- fm10k: reinitialize queuing scheme after calling init_hw
  (bsc#969479 FATE#320634).
- fm10k: always check init_hw for errors (bsc#969479 FATE#320634).
- fm10k: reset max_queues on init_hw_vf failure (bsc#969479
  FATE#320634).
- fm10k: set netdev features in one location (bsc#969479
  FATE#320634).
- fm10k: use napi_schedule_irqoff() (bsc#969479 FATE#320634).
- fm10k: Fix handling of NAPI budget when multiple queues are
  enabled per vector (bsc#969479 FATE#320634).
- fm10k: Correct MTU for jumbo frames (bsc#969479 FATE#320634).
- fm10k: do not assume VF always has 1 queue (bsc#969479
  FATE#320634).
- commit 95ffd7e
* Thu May  5 2016 dchang@suse.com
- e1000: Double Tx descriptors needed check for 82544 (bsc#969468
  FATE#319817).
- e1000: Do not overestimate descriptor counts in Tx pre-check
  (bsc#969468 FATE#319817).
- e1000: Elementary checkpatch warnings and checks removed
  (bsc#969468 FATE#319817).
- e1000: get rid of duplicate exit path (bsc#969468 FATE#319817).
- e1000: fix kernel-doc argument being missing (bsc#969468
  FATE#319817).
- e1000: fix a typo in the comment (bsc#969468 FATE#319817).
- e1000: clean up the checking logic (bsc#969468 FATE#319817).
- e1000: Remove checkpatch coding style errors (bsc#969468
  FATE#319817).
- e1000: fix data race between tx_ring->next_to_clean (bsc#969468
  FATE#319817).
- e1000: make eeprom read/write scheduler friendly (bsc#969468
  FATE#319817).
- commit 8b5014b
* Thu May  5 2016 jlee@suse.com
- libnvdimm, nfit: treat volatile virtual CD as read-only pmem
  (fate#320134).
- commit 7bae401
* Thu May  5 2016 jlee@suse.com
- Update config files. (fate#320120, bsc#921530)
  Set CONFIG_PERSISTENT_KEYRINGS=y. (fate#320120, bsc#921530)
- commit 8ae21e2
* Thu May  5 2016 jlee@suse.com
- ACPI / SRAT: fix SRAT parsing order with both LAPIC and X2APIC
  present (fate#319502, bnc#975065).
- commit c5aba59
* Thu May  5 2016 acho@suse.com
- bna: fix list corruption (bsc#966321 FATE#320156).
- bna: fix Rx data corruption with VLAN stripping enabled and
  MTU > 4096 (bsc#966321 FATE#320156).
- netxen: Use kobj_to_dev() (bsc#966339 FATE#320150).
- commit 349f6b1
* Wed May  4 2016 oneukum@suse.com
- USB: usbfs: fix potential infoleak in devio (bnc#978401,
  CVE-2016-4482).
- commit ec11707
* Wed May  4 2016 oneukum@suse.com
- usb-midi: correct speed checking (FATE#319959).
- usb-audio: correct speed checking (FATE#319959).
- commit d538731
* Wed May  4 2016 jkosina@suse.cz
- watchdog: hpwdt: HP rebranding (FATE#319996).
- commit 985f333
* Wed May  4 2016 dvaleev@suse.com
- ibmvnic: Enable use of multiple tx/rx scrqs (fate#318726).
- commit e9163be
* Wed May  4 2016 dchang@suse.com
- igb: call ndo_stop() instead of dev_close() when running offline
  selftest (bsc#969471 FATE#319813 bsc#969473 FATE#319815).
- igb: Fix VLAN tag stripping on Intel i350 (bsc#969471
  FATE#319813 bsc#969473 FATE#319815).
- igbvf: remove "link is Up" message when registering mcast
  address (bsc#969471 FATE#319813 bsc#969473 FATE#319815).
- igbvf: Add support for generic Tx checksums (bsc#969471
  FATE#319813 bsc#969473 FATE#319815).
- igb: Add support for generic Tx checksums (bsc#969471
  FATE#319813 bsc#969473 FATE#319815).
- igb: rename igb define to be more generic (bsc#969471
  FATE#319813 bsc#969473 FATE#319815).
- igb: add conditions for I210 to generate periodic clock output
  (bsc#969471 FATE#319813 bsc#969473 FATE#319815).
- igb: enable WoL for OEM devices regardless of EEPROM setting
  (bsc#969471 FATE#319813 bsc#969473 FATE#319815).
- igb: constify e1000_phy_operations structure (bsc#969471
  FATE#319813 bsc#969473 FATE#319815).
- igb: When GbE link up, wait for Remote receiver status condition
  (bsc#969471 FATE#319813 bsc#969473 FATE#319815).
- igb: Add workaround for VLAN tag stripping on 82576 (bsc#969471
  FATE#319813 bsc#969473 FATE#319815).
- igb: Enable use of "bridge fdb add" to set unicast table entries
  (bsc#969471 FATE#319813 bsc#969473 FATE#319815).
- igb: Drop unnecessary checks in transmit path (bsc#969471
  FATE#319813 bsc#969473 FATE#319815).
- igb: Add support for VLAN promiscuous with SR-IOV and NTUPLE
  (bsc#969471 FATE#319813 bsc#969473 FATE#319815).
- igb: Clean-up configuration of VF port VLANs (bsc#969471
  FATE#319813 bsc#969473 FATE#319815).
- igb: Merge VLVF configuration into igb_vfta_set (bsc#969471
  FATE#319813 bsc#969473 FATE#319815).
- igb: Always enable VLAN 0 even if 8021q is not loaded
  (bsc#969471 FATE#319813 bsc#969473 FATE#319815).
- igb: Do not factor VLANs into RLPML calculation (bsc#969471
  FATE#319813 bsc#969473 FATE#319815).
- igb: Allow asymmetric configuration of MTU versus Rx frame size
  (bsc#969471 FATE#319813 bsc#969473 FATE#319815).
- igb: Refactor VFTA configuration (bsc#969471 FATE#319813
  bsc#969473 FATE#319815).
- igb: clean up code for setting MAC address (bsc#969471
  FATE#319813 bsc#969473 FATE#319815).
- igb/igbvf: don't give up (bsc#969471 FATE#319813 bsc#969473
  FATE#319815).
- igb: Unpair the queues when changing the number of queues
  (bsc#969471 FATE#319813 bsc#969473 FATE#319815).
- igb: Remove unnecessary flag setting in
  igb_set_flag_queue_pairs() (bsc#969471 FATE#319813 bsc#969473
  FATE#319815).
- igb: Explicitly label self-test result indices (bsc#969471
  FATE#319813 bsc#969473 FATE#319815).
- igb: Improve cable length function for I210, etc (bsc#969471
  FATE#319813 bsc#969473 FATE#319815).
- igb: Don't add PHY address to PCDL address (bsc#969471
  FATE#319813 bsc#969473 FATE#319815).
- igb: Remove GS40G specific defines/functions (bsc#969471
  FATE#319813 bsc#969473 FATE#319815).
- igb: improve handling of disconnected adapters (bsc#969471
  FATE#319813 bsc#969473 FATE#319815).
- igb: fix NULL derefs due to skipped SR-IOV enabling (bsc#969471
  FATE#319813 bsc#969473 FATE#319815).
- igb: use the correct i210 register for EEMNGCTL (bsc#969471
  FATE#319813 bsc#969473 FATE#319815).
- igb: don't unmap NULL hw_addr (bsc#969471 FATE#319813 bsc#969473
  FATE#319815).
- igb: add 88E1543 initialization code (bsc#969471 FATE#319813
  bsc#969473 FATE#319815).
- commit 6211334
* Wed May  4 2016 oneukum@suse.com
- uvc: correct speed testing (FATE#319959).
- gspca: correct speed testing (FATE#319959).
- commit 49798e2
* Wed May  4 2016 dvaleev@suse.com
- powerpc/book3s64: Remove __end_handlers marker (bsc#976821).
- powerpc/book3s64: Fix branching to OOL handlers in relocatable
  kernel (bsc@976821).
- commit 9493c69
* Wed May  4 2016 hare@suse.de
- Refresh patches.fixes/scsi-disable-automatic-target-scan.patch.
- commit 57bec0f
* Wed May  4 2016 oneukum@suse.com
- usb: Add driver for UCSI (FATE#319962).
- Update config files.
- commit 9dc2066
* Wed May  4 2016 oneukum@suse.com
- sisusbvga: correct speed testing (FATE#319959).
- commit 9dfa181
* Wed May  4 2016 oneukum@suse.com
- rtl8152: correct speed testing (FATE#319959).
- usbnet: correct speed testing (FATE#319959).
- commit d43a2d8
* Wed May  4 2016 acho@suse.com
- qede: Fix single MTU sized packet from firmware GRO flow
  (bsc#966318 FATE#320158 bsc#966316 FATE#320159).
- qede: Fix setting Skb network header (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qede: Fix various memory allocation error flows for fastpath
  (bsc#966318 FATE#320158 bsc#966316 FATE#320159).
- qed: initialize return rc to avoid returning garbage (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qed: Enlrage the drain timeout (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Notify of transciever changes (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Major changes to MB locking (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Prevent MF link notifications (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qede: Fix net-next "make ARCH=x86_64" (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qede: Add slowpath/fastpath support and enable hardware GRO
  (bsc#966318 FATE#320158 bsc#966316 FATE#320159).
- qed/qede: Add infrastructure support for hardware GRO
  (bsc#966318 FATE#320158 bsc#966316 FATE#320159).
- qed: Remove unused NVM vendor ID (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Fix error flow on slowpath start (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Move statistics to L2 code (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Support B0 instead of A0 (bsc#966318 FATE#320158 bsc#966316
  FATE#320159).
- qed: Correct BAR sizes for older MFW (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Print additional HW attention info (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Print HW attention reasons (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Add support for HW attentions (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Semantic refactoring of interrupt code (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qed, qede: rebrand module description (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Prevent probe on previous error (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: add MODULE_FIRMWARE() (bsc#966318 FATE#320158 bsc#966316
  FATE#320159).
- qede: Don't report link change needlessly (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qede: Linearize SKBs when needed (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qede: Change pci DID for 10g device (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed,qede: Bump driver versions to 8.7.0.0 (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qed: Introduce DMA_REGPAIR_LE (bsc#966318 FATE#320158 bsc#966316
  FATE#320159).
- qed: Change metadata needed for SPQ entries (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qed: Handle possible race in SB config (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Turn most GFP_ATOMIC into GFP_KERNEL (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qede: Add vlan filtering offload support (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Lay infrastructure for vlan filtering offload (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qed/qede: use 8.7.3.0 FW (bsc#966318 FATE#320158 bsc#966316
  FATE#320159).
- qede: Add support for {get, set}_pauseparam (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qede: Add support for nway_reset (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qede: Add support for set_phys_id (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qed: Add support for changing LED state (bsc#966318 FATE#320158
  bsc#966316 FATE#320159).
- qede: Add support for {get, set}_ringparam (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- qede: Add support for {get, set}_channels (bsc#966318
  FATE#320158 bsc#966316 FATE#320159).
- commit 23903b3
* Wed May  4 2016 jjolly@suse.de
- smc: socket closing and linkgroup cleanup
  (bsc#978258,FATE#319593,LTC#131290).
- smc: receive data from RMBE (bsc#978258,FATE#319593,LTC#131290).
- smc: send data (through RDMA) (bsc#978258,FATE#319593,LTC#131290).
- smc: connection data control (CDC) (bsc#978258,FATE#319593,LTC#131290).
- smc: link layer control (LLC) (bsc#978258,FATE#319593,LTC#131290).
- smc: initialize IB transport incl. PD, MR, QP, CQ, event, WR
  (bsc#978258,FATE#319593,LTC#131290).
- smc: work request (WR) base for use by LLC and CDC
  (bsc#978258,FATE#319593,LTC#131290).
- smc: remote memory buffers (RMBs) (bsc#978258,FATE#319593,LTC#131290).
- smc: connection and link group creation
  (bsc#978258,FATE#319593,LTC#131290).
- smc: CLC handshake (incl. preparation steps)
  (bsc#978258,FATE#319593,LTC#131290).
- smc: introduce SMC as an IB-client (bsc#978258,FATE#319593,LTC#131290).
- smc: establish pnet table management (bsc#978258,FATE#319593,LTC#131290).
- commit 6bba4f6
* Wed May  4 2016 jjolly@suse.de
- smc: establish new socket family (bsc#978258,FATE#319593,LTC#131290).
- Update config files.
- commit a2f9e23
* Wed May  4 2016 jjolly@suse.de
- net: introduce keepalive function in struct proto
  (bsc#978258,FATE#319593,LTC#131290).
- commit 2b88bd2
* Wed May  4 2016 bpoirier@suse.com
- net/mlx5: Fix mlx5 ifc cmd_hca_cap bad offsets (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Remove static from local variable (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Fix soft lockup in steering error flow
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: fix VFs callback function prototypes (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/ipoib: Allow mcast packets from other VFs (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Implement callbacks for manipulating VFs (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Implement modify HCA vport command (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Add VF param when querying vport counter
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/ipoib: Add ndo operations for configuring VFs (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/core: Add interfaces to control VF attributes (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/core: Support accessing SA in virtualized environment
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/core: Add subnet prefix to port info (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB/mlx5: Fix decision on using MAD_IFC (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/core: Add support for configuring VF GUIDs (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Introduce offload arithmetic hardware
  capabilities (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Refactor device capability function (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Fix caching ATOMIC endian mode capability
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/flower: Fix pointer cast (bsc#966170 FATE#320225 bsc#966172
  FATE#320226).
- net/mlx5e: Support offload cls_flower with skbedit mark action
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Support offload cls_flower with drop action
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Introduce tc offload support (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5e: Add a new priority for kernel flow tables (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Relax ndo_setup_tc handle restriction (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Set flow steering dest only for forward rules
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/act_skbedit: Utility functions for mark action (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/sched: Macro instead of CONFIG_NET_CLS_ACT ifdef (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/flow_dissector: Make dissector_uses_key() and
  skb_flow_dissector_target() public (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/flower: Introduce hardware offload support (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Fix global UAR mapping (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5: Make command timeout way shorter (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Don't modify CQ before it was created (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Don't try to modify CQ moderation if it is not
  supported (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Set drop RQ's necessary parameters only (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Move common case counters within sq_stats struct
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Changed naming convention of tx queues in ethtool
  stats (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Placement changed for carrier state updates
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Replace async events spinlock with synchronize_irq()
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Add TX inner packet counters (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5e: Add TX stateless offloads for tunneling (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Add netdev support for VXLAN tunneling (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Protect en header file from redefinitions (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Move to checksum complete (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5e: Wake On LAN support (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5e: Implement DCBNL IEEE max rate (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5e: Support DCBNL IEEE PFC (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- commit fe67e9f
* Wed May  4 2016 bpoirier@suse.com
- net/mlx5e: Support DCBNL IEEE ETS (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- Update config files.
- commit a10e1b0
* Wed May  4 2016 bpoirier@suse.com
- net/mlx5: Introduce physical port TC/prio access functions
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Introduce physical port PFC access functions
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Introduce a new header file for physical port
  functions (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- mlx5: Add arbitrary sg list support (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB/core: Add arbitrary sg_list support (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB/mlx5: Expose correct max_fast_reg_page_list_len (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Make coding style more consistent (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Convert UMR CQ to new CQ API (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB/mlx5: Add memory windows allocation support (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Refactor mlx5_core_mr to mkey (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB/mlx5: Added support for re-registration of MRs (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Refactoring register MR code (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB/mlx5: Eliminate GSI RX QP's send buffers (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Pick the right GSI transmission QP for sending
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Reorder GSI completions (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB/mlx5: Generate completions in software (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Create GSI transmission QPs when P_Key table is changed
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/core: Fix missed clean call in registration path (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Create multiple transmission GSI QPs (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Add GSI QP wrapper (bsc#966170 FATE#320225 bsc#966172
  FATE#320226).
- IB/mlx5: Modify QP debugging prints (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB/mlx5: Add support for setting source QP number (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Add support for CSUM in RX flow (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB/mlx5: Implement UD QP offloads for IPoIB in the TX flow
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Define interface bits for IPoIB offloads (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Modify MAD reading counters method to use counter
  registers (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Add helper function to read IB error counters
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Add helper function to read virtual port counters
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Add support for don't trap rules (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Introduce forward to next priority action
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Create anchor of last flow table (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Provide correct packet/bytes statistics (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Add rx/tx bytes software counters (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Correctly handle RSS indirection table when
  changing number of channels (bsc#966170 FATE#320225 bsc#966172
  FATE#320226).
- net/mlx5e: Fix ethtool RX hash func configuration change
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Fix soft lockup when HW Timestamping is enabled
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Fix LRO modify (bsc#966170 FATE#320225 bsc#966172
  FATE#320226).
- net/mlx5e: Remove wrong poll CQ optimization (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/{core, mlx5}: Fix input len in vendor part of create_qp/srq
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Avoid using user-index for SRQs (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5e: Use static constant netdevice ndos (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Remove select queue ndo initialization (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Use offset based reserved field names in the IFC
  header file (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Fix RC transport send queue overhead computation
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Use MLX5_GET to correctly get end of padding mode
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Fix use of null pointer PD (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB/mlx5: Fix reqlen validation in mlx5_ib_alloc_ucontext
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Add CREATE_CQ and CREATE_QP to uverbs_ex_cmd_mask
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net: Add skb_inner_transport_offset function (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Unify CQ create flags check (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB/mlx5: Expose Raw Packet QP to user space consumers
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- {IB, net}/mlx5: Move the modify QP operation table to mlx5_ib
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Support setting Ethernet priority for Raw Packet QPs
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Add Raw Packet QP query functionality (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Add create and destroy functionality for Raw Packet QP
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Refactor mlx5_ib_qp to accommodate other QP types
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Allocate a Transport Domain for each ucontext
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Warn on unsupported events of QP/RQ/SQ
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Add RQ and SQ event handling (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Export transport objects (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB/mlx5: Expose CQE version to user-space (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Add CQE version 1 support to user QPs and SRQs
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Fix data validation in mlx5_ib_alloc_ucontext
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Fix passing casted pointer in mlx5_query_port_roce
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Delete locally redefined variable (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: report tx/rx checksum cap in query results (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Advertise atomic capabilities in query device
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Add setting ATOMIC endian mode (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Add driver cross-channel support (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/core: Add cross-channel support (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB/core: Align coding style of ib_device_cap_flags structure
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Mmap the HCA's core clock register to user-space
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Add hca_core_clock_offset to udata in init_ucontext
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Add support for hca_core_clock and timestamp_mask
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/core: Add ib_is_udata_cleared (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB/mlx5: Add create_cq extended command (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- IB: start documenting device capabilities (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Support RoCE (bsc#966170 FATE#320225 bsc#966172
  FATE#320226).
- IB/mlx5: Add RoCE fields to Address Vector (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Support IB device's callbacks for adding/deleting GIDs
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Set network_hdr_type upon RoCE responder completion
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Extend query_device/port to support RoCE (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Introduce access functions to query vport RoCE
  fields (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Introduce access functions to enable/disable RoCE
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Break down the vport mac address query function
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Support IB device's callback for getting its netdev
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Support IB device's callback for getting the link layer
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB: add a proper completion queue abstraction (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- IB/core: Save the device attributes on the device structure
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- IB/mlx5: Add flow steering support (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5_core: Export flow steering API (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5_core: Make ipv4/ipv6 location more clear (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Enable flow steering support for the IB driver
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Initialize namespaces only when supported by
  device (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Set priority attributes (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5_core: Connect flow tables (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5_core: Introduce modify flow table command (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Managing root flow table (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5_core: Add utilities to find next and prev flow-tables
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Introduce flow steering autogrouped flow table
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Add PTP Hardware Clock (PHC) support (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Add HW timestamping (TS) support (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Introduce access function to read internal timer
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Do not modify the TX SKB (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5e: Rename en_flow_table.c to en_fs.c (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Use flow steering infrastructure for mlx5_en
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Flow steering tree initialization (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Introduce flow steering API (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Add flow steering lookup algorithms (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Add flow steering base data structures
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Introduce flow steering firmware commands
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Assign random MAC address if needed (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Fix query E-Switch capabilities (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Add support for SR-IOV ndos (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5: E-Switch, Introduce get vf statistics (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: E-Switch, Introduce set vport vlan (VST mode)
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: E-Switch, Introduce HCA cap and E-Switch vport context
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: E-Switch, Introduce Vport administration functions
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: E-Switch, Add SR-IOV (FDB) support (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: E-Switch, Introduce FDB hardware capabilities
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Introducing E-Switch and l2 table (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Write vlan list into vport context (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- net/mlx5e: Write UC/MC list and promisc mode into vport context
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Introduce access functions to modify/query vport vlans
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Introduce access functions to modify/query vport
  promisc mode (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Introduce access functions to modify/query vport state
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Introduce access functions to modify/query vport
  mac lists (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Update access functions to Query/Modify vport MAC
  address (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5: Add HW capabilities and structs for SR-IOV E-Switch
  (bsc#966170 FATE#320225 bsc#966172 FATE#320226).
- net/mlx5_core: Add base sriov support (bsc#966170 FATE#320225
  bsc#966172 FATE#320226).
- net/mlx5_core: Modify enable/disable hca functions (bsc#966170
  FATE#320225 bsc#966172 FATE#320226).
- commit 68c3a39
* Wed May  4 2016 bpoirier@suse.com
- ixgbe: Fix cls_u32 offload support for L4 ports (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Fix cls_u32 offload support for fields with masks
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: fix error handling in TC cls_u32 offload routines
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: make __ixgbe_setup_tc static (bsc#969474 FATE#319812
  bsc#969475 FATE#319814).
- ixgbevf: fix error code path when setting MAC address
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbevf: call ndo_stop() instead of dev_close() when
  running offline selftest (bsc#969474 FATE#319812 bsc#969475
  FATE#319814).
- ixgbe: call ndo_stop() instead of dev_close() when running
  offline selftest (bsc#969474 FATE#319812 bsc#969475
  FATE#319814).
- ixgbe: Use udelay to avoid sleeping while atomic (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Fix ATR so that it correctly handles IPv6 extension
  headers (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Store VXLAN port number in network order (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Fix for RAR0 not being set to default MAC addr
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- net: relax setup_tc ndo op handle restriction (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- net: sched: cls_u32 add bit to specify software only rules
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- net: cls_u32: move TC offload feature bit into cls_u32 offload
  logic (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- net: sched: consolidate offload decision in cls_u32 (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: fix dates on header of ixgbe_model.h (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: use u32 instead of __u32 in model header (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- net: ixgbe: abort with cls u32 divisor groups greater than 1
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- net: ixgbe: add support for tc_u32 offload (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- net: ixgbe: add minimal parser details for ixgbe (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- net: tc: helper functions to query action types (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- net: add tc offload feature flag (bsc#969474 FATE#319812
  bsc#969475 FATE#319814).
- net: sched: add cls_u32 offload hooks for netdevs (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- netcp: use pointer to fix build fail (bsc#969474 FATE#319812
  bsc#969475 FATE#319814).
- net: rework setup_tc ndo op to consume general tc operand
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- net: rework ndo tc op to consume additional qdisc handle
  parameter (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Make ATR recognize IPv6 extended headers (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Fix MDD events generated when FCoE+SRIOV are enabled
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Fix to get FDMI HBA attributes information with X550
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Correct handling of any outer UDP checksum setting
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: do not call check_link for ethtool in
  ixgbe_get_settings() (bsc#969474 FATE#319812 bsc#969475
  FATE#319814).
- ixgbe: fix broken PFC with X550 (bsc#969474 FATE#319812
  bsc#969475 FATE#319814).
- ixgbe: use correct FCoE DDP max check (bsc#969474 FATE#319812
  bsc#969475 FATE#319814).
- ixgbe: Fill at least min credits to a TC credit refills
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Fix bugs in ixgbe_clear_vf_vlans() (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Correct X550EM_x revision check (bsc#969474 FATE#319812
  bsc#969475 FATE#319814).
- ixgbe: fix RSS limit for X550 (bsc#969474 FATE#319812 bsc#969475
  FATE#319814).
- ixgbe: Clean up redundancy in hw_enc_features (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: report correct media type for KR, KX and KX4 interfaces
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: add support for QSFP PHY types in ixgbe_get_settings()
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbevf: minor cleanups for ixgbevf_set_itr() (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbevf: Fix handling of NAPI budget when multiple queues
  are enabled per vector (bsc#969474 FATE#319812 bsc#969475
  FATE#319814).
- ixgbe: do not report 2.5 Gbps as supported (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Clean stale VLANs when changing port VLAN or resetting
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Clear stale pool mappings (bsc#969474 FATE#319812
  bsc#969475 FATE#319814).
- ixgbe: Fix VLAN promisc in relation to SR-IOV (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Add support for VLAN promiscuous with SR-IOV (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Reorder search to work from the top down instead of
  bottom up (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Add support for adding/removing VLAN on PF bypassing
  the VLVF (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Simplify configuration of setting VLVF and VLVFB
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Reduce VT code indent in set_vfta by introducing jump
  label (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Simplify definitions for regidx and bit in set_vfta
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Fix SR-IOV VLAN pool configuration (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Return error on failure to allocate mac_table (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbevf: Handle extended IPv6 headers in Tx path (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Always turn PHY power on when requested (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Handle extended IPv6 headers in Tx path (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Save VF info and take references (bsc#969474 FATE#319812
  bsc#969475 FATE#319814).
- ixgbe: Wait for master disable to be set (bsc#969474 FATE#319812
  bsc#969475 FATE#319814).
- ixgbe: Correct spec violations by waiting after reset
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Update PTP to support X550EM_x devices (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Allow FDB entries access to more RAR filters (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Use __dev_uc_sync and __dev_uc_unsync for unicast
  addresses (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Refactor MAC address configuration code (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbevf: Minor cleanups (bsc#969474 FATE#319812 bsc#969475
  FATE#319814).
- ixgbevf: Use a private workqueue to avoid certain possible hangs
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Use private workqueue to avoid certain possible hangs
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Add support for newer thermal alarm (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Prevent KR PHY reset in ixgbe_init_phy_ops_x550em
  (bsc#969474 FATE#319812 bsc#969475 FATE#319814).
- ixgbevf: fix spoofed packets with random MAC (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbevf: use ether_addr_copy instead of memcpy (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Remove CS4227 diagnostic code (bsc#969474 FATE#319812
  bsc#969475 FATE#319814).
- ixgbe/ixgbevf: use napi_schedule_irqoff() (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbevf: Limit lowest interrupt rate for adaptive interrupt
  moderation to 12K (bsc#969474 FATE#319812 bsc#969475
  FATE#319814).
- ixgbe: Add KR mode support for CS4227 chip (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- ixgbe: Fix handling of NAPI budget when multiple queues
  are enabled per vector (bsc#969474 FATE#319812 bsc#969475
  FATE#319814).
- ixgbe: fix multiple kernel-doc errors (bsc#969474 FATE#319812
  bsc#969475 FATE#319814).
- ixgbe: Delete redundant include file (bsc#969474 FATE#319812
  bsc#969475 FATE#319814).
- ixgbe: drop null test before destroy functions (bsc#969474
  FATE#319812 bsc#969475 FATE#319814).
- commit 5d220df
* Wed May  4 2016 gqjiang@suse.com
- md: update the patches of cluster-md (fate#316335).
  1. Refresh the patches which have been merged into subsystem maintainer repository.
- Refresh
  patches.suse/0012-md-cluster-change-resync-lock-from-asynchronous-to-s.patch.
- Refresh
  patches.suse/0013-md-cluser-make-resync_finish-only-called-after-pers-.patch.
- Refresh
  patches.suse/0014-md-cluster-wake-up-thread-to-continue-recovery.patch.
- Refresh
  patches.suse/0015-md-cluster-unregister-thread-if-err-happened.patch.
- Refresh
  patches.suse/0016-md-cluster-fix-locking-when-node-joins-cluster-durin.patch.
- Refresh
  patches.suse/0017-md-cluster-change-array_sectors-and-update-size-are-.patch.
- Refresh
  patches.suse/0018-md-cluster-wakeup-thread-if-activated-a-spare-disk.patch.
- Refresh
  patches.suse/0020-md-cluster-always-setup-in-memory-bitmap.patch.
- Refresh
  patches.suse/0021-md-cluster-sync-bitmap-when-node-received-RESYNCING-.patch.
- Refresh
  patches.suse/0022-md-cluster-bitmap-fix-wrong-calcuation-of-offset.patch.
- Refresh
  patches.suse/0023-md-cluster-bitmap-fix-wrong-page-num-in-bitmap_file_.patch.
- Refresh
  patches.suse/0024-md-cluster-bitmap-unplug-bitmap-to-sync-dirty-pages-.patch.
  2. Delete the two patches since they are out of date now.
- Delete
  patches.suse/0019-md-set-MD_CHANGE_PENDING-in-a-spinlocked-region.patch.
  (it is replaced by 0019-md-set-MD_CHANGE_PENDING-in-a-atomic-region.patch)
- Delete
  patches.suse/0048-md-cluster-handle-error-situations-more-precisely-in.patch.
- commit 5a8f15e
* Tue May  3 2016 mgorman@suse.com
- mm, page_alloc: uninline the bad page part of check_new_page()
  (bnc#971975 VM performance -- page allocator).
- mm, page_alloc: don't duplicate code in free_pcp_prepare
  (bnc#971975 VM performance -- page allocator).
- mm, page_alloc: defer debugging checks of pages allocated from
  the PCP (bnc#971975 VM performance -- page allocator).
- mm, page_alloc: defer debugging checks of freed pages until
  a PCP drain (bnc#971975 VM performance -- page allocator).
- cpuset: use static key better and convert to new API (bnc#971975
  VM performance -- page allocator).
- mm, page_alloc: inline pageblock lookup in page free fast paths
  (bnc#971975 VM performance -- page allocator).
- mm, page_alloc: remove unnecessary variable from
  free_pcppages_bulk (bnc#971975 VM performance -- page
  allocator).
- mm, page_alloc: pull out side effects from free_pages_check
  (bnc#971975 VM performance -- page allocator).
- mm, page_alloc: un-inline the bad part of free_pages_check
  (bnc#971975 VM performance -- page allocator).
- mm, page_alloc: check multiple page fields with a single branch
  (bnc#971975 VM performance -- page allocator).
- mm, page_alloc: remove field from alloc_context (bnc#971975
  VM performance -- page allocator).
- mm, page_alloc: avoid looking up the first zone in a zonelist
  twice (bnc#971975 VM performance -- page allocator).
- mm, page_alloc: shortcut watermark checks for order-0 pages
  (bnc#971975 VM performance -- page allocator).
- mm, page_alloc: reduce cost of fair zone allocation policy retry
  (bnc#971975 VM performance -- page allocator).
- mm, page_alloc: shorten the page allocator fast path (bnc#971975
  VM performance -- page allocator).
- mm, page_alloc: check once if a zone has isolated pageblocks
  (bnc#971975 VM performance -- page allocator).
- mm, page_alloc: move __GFP_HARDWALL modifications out of the
  fastpath (bnc#971975 VM performance -- page allocator).
- mm, page_alloc: simplify last cpupid reset (bnc#971975 VM
  performance -- page allocator).
- mm, page_alloc: remove unnecessary initialisation from
  __alloc_pages_nodemask() (bnc#971975 VM performance -- page
  allocator).
- mm, page_alloc: remove unnecessary initialisation in
  get_page_from_freelist (bnc#971975 VM performance -- page
  allocator).
- mm, page_alloc: remove unnecessary local variable in
  get_page_from_freelist (bnc#971975 VM performance -- page
  allocator).
- mm, page_alloc: convert nr_fair_skipped to bool (bnc#971975
  VM performance -- page allocator).
- mm, page_alloc: convert alloc_flags to unsigned (bnc#971975
  VM performance -- page allocator).
- mm, page_alloc: avoid unnecessary zone lookups during pageblock
  operations (bnc#971975 VM performance -- page allocator).
- mm, page_alloc: use __dec_zone_state for order-0 page allocation
  (bnc#971975 VM performance -- page allocator).
- mm, page_alloc: inline the fast path of the zonelist iterator
  (bnc#971975 VM performance -- page allocator).
- mm, page_alloc: inline zone_statistics (bnc#971975 VM
  performance -- page allocator).
- mm, page_alloc: reduce branches in zone_statistics (bnc#971975
  VM performance -- page allocator).
- mm, page_alloc: only check PageCompound for high-order pages
  (bnc#971975 VM performance -- page allocator).
- commit ba2aba5
* Tue May  3 2016 mbrugger@suse.com
- drivers: net: xgene: Fix error handling (bsc#978261).
- commit 733ba7c
* Tue May  3 2016 jthumshirn@suse.de
- block: initialize hd_stuct's reference before assigning it
  (bsc#976705).
- commit bc5ec9e
* Tue May  3 2016 jthumshirn@suse.de
- aacraid: Update driver version (bsc#966342, FATE#320140).
- aacraid: Fix for KDUMP driver hang (bsc#966342, FATE#320140).
- aacraid: Remove code to needlessly complete fib (bsc#966342,
  FATE#320140).
- aacraid: Log firmware AIF messages (bsc#966342, FATE#320140).
- aacraid: Fix for aac_command_thread hang (bsc#966342,
  FATE#320140).
- aacraid: Disable MSI mode for series 6, 7, 8 cards (bsc#966342,
  FATE#320140).
- aacraid: Relinquish CPU during timeout wait (bsc#966342,
  FATE#320140).
- aacraid: Start adapter after updating number of MSIX vectors
  (bsc#966342, FATE#320140).
- aacraid: Fix incorrectly named MACRO (bsc#966342, FATE#320140).
- aacraid: Removed unnecessary checks for NULL (bsc#966342,
  FATE#320140).
- hpsa: update driver version (bsc#964462, FATE#319992).
- hpsa: correct handling of HBA device removal (bsc#964462,
  FATE#319992).
- hpsa: correct ioaccel2 error procecssing (bsc#964462,
  FATE#319992).
- hpsa: correct ioaccel state change operation (bsc#964462,
  FATE#319992).
- hpsa: add timeouts for driver initiated commands (bsc#964462,
  FATE#319992).
- hpsa: add sas_address to sysfs device attibute (bsc#964462,
  FATE#319992).
- hpsa: correct initialization order issue (bsc#964462,
  FATE#319992).
- hpsa: set the enclosure identifier to zero (bsc#964462,
  FATE#319992).
- commit 4e29e1a
* Tue May  3 2016 lduncan@suse.com
- target: add a new add_wwn_groups fabrics method (bsc#977860).
- target: initialize the nacl base CIT begfore init_nodeacl
  (bsc#977860).
- target: remove ->fabric_cleanup_nodeacl (bsc#977860).
- target: Avoid DataIN transfers for non-GOOD SAM status
  (bsc#977860).
- target/user: Report capability of handling out-of-order
  completions to userspace (bsc#977860).
- target/user: Fix size_t format-spec build warning (bsc#977860).
- target/user: Don't free expired command when time out
  (bsc#977860).
- target/user: Introduce data_bitmap, replace
  data_length/data_head/data_tail (bsc#977860).
- target/user: Free data ring in unified function (bsc#977860).
- target/user: Use iovec to describe continuous area (bsc#977860).
- target: Remove enum transport_lunflags_table (bsc#977860).
- target/iblock: pass WRITE_SAME to device if possible
  (bsc#977860).
- tcm_fc: Convert to TARGET_SCF_ACK_KREF I/O + TMR krefs
  (bsc#977860).
- sbp-target: Convert to TARGET_SCF_ACK_KREF I/O krefs
  (bsc#977860).
- sbp-target: Conversion to percpu_ida tag pre-allocation
  (bsc#977860).
- tcm_fc: Convert to target_alloc_session usage (bsc#977860).
- target: Convert demo-mode only drivers to target_alloc_session
  (bsc#977860).
- configfs: switch ->default groups to a linked list (bsc#977860).
- target: Add target_alloc_session() helper function (bsc#977860).
- target/transport: add flag to indicate CPU Affinity is observed
  (bsc#977860).
- target: Fix incorrect unmap_zeroes_data_store return
  (bsc#977860).
- target/user: Fix cast from pointer to phys_addr_t (bsc#977860).
- target: Drop legacy se_cmd->task_stop_comp + REQUEST_STOP usage
  (bsc#977860).
- iscsi-target: Use shash and ahash (bsc#977860).
- target/user: Make sure netlink would reach all network
  namespaces (bsc#977860).
- target: Obtain se_node_acl->acl_kref during
  get_initiator_node_acl (bsc#977860).
- target: Convert ACL change queue_depth se_session reference
  usage (bsc#977860).
- tcm_fc: Convert acl lookup to modern get_initiator_node_acl
  usage (bsc#977860).
- ib_srpt: Convert acl lookup to modern get_initiator_node_acl
  usage (bsc#977860).
- tcm_fc: Wait for command completion before freeing a session
  (bsc#977860).
- target: Fix a memory leak in target_dev_lba_map_store()
  (bsc#977860).
- target: Support aborting tasks with a 64-bit tag (bsc#977860).
- target: Remove an unused variable (bsc#977860).
- target: Fix indentation in target_core_configfs.c (bsc#977860).
- target/user: Allow user to set block size before enabling device
  (bsc#977860).
- target/fcoe: Add tag support to tcm_fc (bsc#977860).
- target: use offset_in_page macro (bsc#977860).
- target: fix deprecated attribute names in dmesg (bsc#977860).
- target/sbc: Add LBPRZ attribute + control CDB emulation
  (bsc#977860).
- sbp-target: Remove a superfluous forward declaration
  (bsc#977860).
- iscsi-target: Fix indentation + spelling + unreachable code
  (bsc#977860).
- target: Fix spelling + remove set-but-not-used variables
  (bsc#977860).
- fs: configfs: Drop unused parameter from
  configfs_undepend_item() (bsc#977860).
- tcm_loop: Show address of tpg in configfs (bsc#977860).
- commit 3a69fdc
* Mon May  2 2016 brogers@suse.com
- KVM: x86: fix ordering of cr0 initialization code in
  vmx_cpu_reset (bsc#976504).
- commit 1258181
* Mon May  2 2016 ohering@suse.de
- Drivers: hv: vmbus: handle various crash scenarios
  (fate#320485).
- commit 77a126d
* Mon May  2 2016 ohering@suse.de
- Drivers: hv: balloon: don't crash when memory is added in
  non-sorted order (fate#320485).
- commit 3c31881
* Mon May  2 2016 ohering@suse.de
- Use mainline version to fix hyperv IP failover
- commit 2a00442
* Mon May  2 2016 ohering@suse.de
- Use mainline version to fix signaling logic
  in hv_need_to_signal_on_read() (fate#320485).
- commit 1efb18c
* Mon May  2 2016 ohering@suse.de
- x86/hyperv: Avoid reporting bogus NMI status for Gen2 instances
  (fate#320485).
- commit fbaa874
* Mon May  2 2016 ohering@suse.de
- Correct mainline tag for two hyperv patches
- commit b697d4b
* Mon May  2 2016 oneukum@suse.com
- usb: core: hub: hub_port_init lock controller instead of bus
  (bnc#978056).
- commit 9864d08
* Mon May  2 2016 mbrugger@suse.com
- xgene: get_phy_device() doesn't return NULL anymore
  (bsc#977626).
- commit 5584dd3
* Mon May  2 2016 vbabka@suse.cz
- mm: wake kcompactd before kswapd's short sleep (fate#320635 --
  Disable THP defragmentation by default).
- commit 50aba56
* Mon May  2 2016 mhocko@suse.cz
- memcg: relocate charge moving from ->attach to ->post_attach
  (bnc#972552).
- cgroup, cpuset: replace cpuset_post_attach_flush() with
  cgroup_subsys->post_attach callback (bnc#972552).
- commit 369067c
* Mon May  2 2016 jslaby@suse.cz
- kgraft/xen: Do not block livepatching in the XEN blkif kthread
  (fate#313296).
- kgraft/gfs2: Do not block livepatching in the log daemon for
  too long (fate#313296).
- kgraft/bcache: Do not block livepatching in the writeback
  thread for too long (fate#313296).
- commit f1e6829
* Fri Apr 29 2016 mbrugger@suse.com
- usb: host: xhci-plat: fix NULL pointer in probe for device
  tree case (bsc#977626).
- commit 456f86e
* Fri Apr 29 2016 mbrugger@suse.com
- arm64: Update config files. (bsc#976647)
  Enable DEBUG_RODATA.
- commit ff1c311
* Fri Apr 29 2016 hare@suse.de
- Refresh patches to fixup compilation errors
- scsi: add scsi_set_sense_field_pointer() (bsc#977572).
- Refresh
  patches.drivers/ata-0024-libata-skip-debounce-delay-on-link-resume.patch.
- Refresh
  patches.drivers/ata-0025-drivers-ata-wake-port-before-DMA-stop-for-ALPM.patch.
- Refresh
  patches.drivers/ata-0055-libata-Implement-NCQ-autosense.patch.
- Refresh
  patches.drivers/ata-0056-libata-Implement-support-for-sense-data-reporting.patch.
- Refresh
  patches.drivers/ata-0062-libata-evaluate-SCSI-sense-code.patch.
- Refresh
  patches.drivers/ata-0064-libata-Implement-control-mode-page-to-select-sense-f.patch.
- Delete
  patches.fixes/libata-scsi-use-ata_scsi_set_sense-when-generating-A.patch.
- Delete patches.fixes/scsi-Fixup-fixed-sense-generation.patch.
- commit 06e1f4b
* Fri Apr 29 2016 hare@suse.de
- ahci: per-port msix support (bsc#977572).
- ahci: switch from 'threaded' to 'hardirq' interrupt handling
  (bsc#977572).
- ahci: kill 'intr_status' (bsc#977572).
- sata_rcar: Add compatible string for r8a7795 (bsc#977572).
- ata: sata_rcar: Remove obsolete platform_device_id entries
  (bsc#977572).
- ata: ahci_brcmstb: disable NCQ for MIPS-based platforms
  (bsc#977572).
- ata: ahci_brcmstb: add a quirk for MIPS-based platforms
  (bsc#977572).
- ata: ahci_brcmstb: remove unused definitions (bsc#977572).
- ata: core: fix irq description on AHCI single irq systems
  (bsc#977572).
- ahci: compile out msi/msix infrastructure (bsc#977572).
- ata: ahci_brcmstb: add support for MIPS-based platforms
  (bsc#977572).
- sata_sx4: correctly handling failed allocation (bsc#977572).
- drivers: libata-core: Use usleep_range() instead of msleep()
  for (bsc#977572).
- ata: ahci_brcmstb: enable support for ALPM (bsc#977572).
- ata: ahci_brcmstb: disable DIPM support (bsc#977572).
- libata: skip debounce delay on link resume (bsc#977572).
- drivers: ata: wake port before DMA stop for ALPM (bsc#977572).
- libata: blacklist a Viking flash model for MWDMA corruption
  (bsc#977572).
- libata-sff: use WARN instead of BUG on illegal host state
  machine (bsc#977572).
- PCI: Remove includes of asm/pci-bridge.h (bsc#977572).
- libahci: Implement the capability to override the generic ahci
  (bsc#977572).
- ata: Remove the AHCI_HFLAG_EDGE_IRQ support from libahci
  (bsc#977572).
- ahci_xgene: Implement the workaround to fix the missing of
  the edge (bsc#977572).
- libata: support AHCI on OCTEON platform (bsc#977572).
- gpio: Include linux/gpio.h instead of asm/gpio.h (bsc#977572).
- libata: fix unbalanced spin_lock_irqsave/spin_unlock_irq() in
  (bsc#977572).
- ata: ahci_mvebu: add support for Armada 3700 variant
  (bsc#977572).
- ahci: Cache host controller version (bsc#977572).
- ahci: Convert driver to use modern PM hooks (bsc#977572).
- ahci: Add functions to manage runtime PM of AHCI ports
  (bsc#977572).
- ahci: Add runtime PM support for the host controller
  (bsc#977572).
- sata_via: Apply WD workaround only when needed on VT6421
  (bsc#977572).
- sata_via: Implement hotplug for VT6421 (bsc#977572).
- ahci: Workaround for ThunderX Errata#22536 (bsc#977572).
- ata: sata_rcar: Use ARCH_RENESAS (bsc#977572).
- AHCI: Remove obsolete Intel Lewisburg SATA RAID device IDs
  (bsc#977572).
- ata: ahci_xgene: dereferencing uninitialized pointer in probe
  (bsc#977572).
- ata: hpt366: convert to use match_string() helper (bsc#977572).
- libata: Fixup awkward whitespace in warning by removing line
  (bsc#977572).
- libata: Implement NCQ autosense (bsc#977572).
- libata: Implement support for sense data reporting (bsc#977572).
- libata-scsi: sanitize ata_gen_ata_sense() (bsc#977572).
- libata: sanitize ata_tf_read_block() (bsc#977572).
- libata-scsi: use scsi_set_sense_information() (bsc#977572).
- libata-eh: Set 'information' field for autosense (bsc#977572).
- libata-scsi: use ata_scsi_set_sense() (bsc#977572).
- libata: evaluate SCSI sense code (bsc#977572).
- libata-scsi: generate correct ATA pass-through sense
  (bsc#977572).
- libata: Implement control mode page to select sense format
  (bsc#977572).
- libata-scsi: Set field pointer in sense code (bsc#977572).
- libata-scsi: set bit pointer for sense code information
  (bsc#977572).
- libata-scsi: Set information sense field for invalid parameter
  (bsc#977572).
- libata: do not attempt to retrieve sense code twice
  (bsc#977572).
- Delete
  patches.arch/arm64-ahci-Workaround-for-ThunderX-Errata-22536.patch.
- Delete
  patches.arch/arm64-libahci-Implement-the-capability-to-override-the-gen.patch.
- commit 611b486
* Fri Apr 29 2016 mmarek@suse.com
- config: use fragment configs for vanilla
- commit a6f62ca
* Fri Apr 29 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: CONFIG_MODULE_SIG_KEY is not needed as a macro
- commit f445774
* Fri Apr 29 2016 jthumshirn@suse.de
- Revert "scsi: fix soft lockup in scsi_remove_target() on module
  removal" (bsc#977572).
- scsi: Add intermediate STARGET_REMOVE state to scsi_target_state
  (bsc#977572).
- commit c475724
* Fri Apr 29 2016 neilb@suse.com
- ceph: initial CEPH_FEATURE_FS_FILE_LAYOUT_V2 support
  (Fate#318586).
- libceph: MOSDOpReply v7 encoding (Fate#318586).
- libceph: advertise support for TUNABLES5 (Fate#318586).
- crush: decode and initialize chooseleaf_stable (Fate#318586).
- crush: add chooseleaf_stable tunable (Fate#318586).
- crush: ensure take bucket value is valid (Fate#318586).
- crush: ensure bucket id is valid before indexing buckets array
  (Fate#318586).
- ceph: fix snap context leak in error path (Fate#318586).
- ceph: checking for IS_ERR instead of NULL (Fate#318586).
- libceph: remove outdated comment (Fate#318586).
- libceph: kill off ceph_x_ticket_handler::validity (Fate#318586).
- libceph: invalidate AUTH in addition to a service ticket
  (Fate#318586).
- libceph: fix authorizer invalidation, take 2 (Fate#318586).
- libceph: clear messenger auth_retry flag if we fault
  (Fate#318586).
- libceph: use list_for_each_entry_safe (Fate#318586).
- ceph: use i_size_{read,write} to get/set i_size (Fate#318586).
- ceph: re-send AIO write request when getting -EOLDSNAP error
  (Fate#318586).
- ceph: Asynchronous IO support (Fate#318586).
- ceph: Avoid to propagate the invalid page point (Fate#318586).
- ceph: fix double page_unlock() in page_mkwrite() (Fate#318586).
- rbd: delete an unnecessary check before rbd_dev_destroy()
  (Fate#318586).
- libceph: use list_next_entry instead of list_entry_next
  (Fate#318586).
- ceph: ceph_frag_contains_value can be boolean (Fate#318586).
- ceph: remove unused functions in ceph_frag.h (Fate#318586).
- commit 5195513
* Fri Apr 29 2016 bpoirier@suse.com
- Delete patches.drivers/ixgbe-fix-broken-PFC-with-X550.patch.
- Delete patches.drivers/ixgbe-use-correct-fcoe-ddp-max-check.patch.
  They will be re-added shortly.
- commit 47ac2ac
* Thu Apr 28 2016 fdmanana@suse.com
- Btrfs: fix empty symlink after creating symlink and fsync
  parent dir (bsc#977685).
- Btrfs: fix for incorrect directory entries after fsync log
  replay (bsc#957805, bsc#977685).
- Btrfs: do not collect ordered extents when logging that inode
  exists (bsc#977685).
- Btrfs: fix race when checking if we can skip fsync'ing an inode
  (bsc#977685).
- Btrfs: fix file loss on log replay after renaming a file and
  fsync (bsc#977685).
- Btrfs: fix unreplayable log after snapshot delete + parent
  dir fsync (bsc#977685).
- Btrfs: fix race between fsync and lockless direct IO writes
  (bsc#977685).
- commit 637867d
* Thu Apr 28 2016 agraf@suse.de
- drivers: ata: Disable Device Sleep capability (fate#320029).
- drivers: ata: Add gen 3 mode support in driver (fate#320029).
- drivers: ata: Move sata port phy oob settings to device-tree
  (fate#320029).
- commit c8db8a9
* Thu Apr 28 2016 hare@suse.de
- bnx2fc: Update version number to 2.10.3
  (bsc#966327,FATE#320151).
- bnx2fc: Check sc_cmd device and host pointer before returning
  the command to the mid-layer (bsc#966327,FATE#320151).
- bnx2fc: Print netdev device name when FCoE is successfully
  initialized (bsc#966327,FATE#320151).
- bnx2fc: Print when we send a fip keep alive
  (bsc#966327,FATE#320151).
- bnx2fc: Add driver tunables (bsc#966327,FATE#320151).
- commit e70239b
* Thu Apr 28 2016 dchang@suse.com
- be2net: Don't leak iomapped memory on removal (bsc#963844
  FATE#320192).
- be2net: don't enable multicast flag in be_enable_if_filters()
  routine (bsc#963844 FATE#320192).
- be2net: Fix a UE caused by passing large frames to the ASIC
  (bsc#963844 FATE#320192).
- be2net: Declare some u16 fields as u32 to improve performance
  (bsc#963844 FATE#320192).
- be2net: Fix pcie error recovery in case of NIC+RoCE adapters
  (bsc#963844 FATE#320192).
- be2net: don't report EVB for older chipsets when SR-IOV is
  disabled (bsc#963844 FATE#320192).
- be2net: Interpret and log new data that's added to the port
  misconfigure async event (bsc#963844 FATE#320192).
- be2net: Request RSS capability of Rx interface depending on
  number of Rx rings (bsc#963844 FATE#320192).
- be2net: Fix interval calculation in interrupt moderation
  (bsc#963844 FATE#320192).
- be2net: Add retry in case of error recovery failure (bsc#963844
  FATE#320192).
- be2net: Fix Lancer error recovery (bsc#963844 FATE#320192).
- be2net: Don't run ethtool self-tests for VFs (bsc#963844
  FATE#320192).
- be2net: SRIOV Queue distribution should factor in EQ-count of
  VFs (bsc#963844 FATE#320192).
- be2net: Fix be_vlan_rem_vid() to check vlan id being removed
  (bsc#963844 FATE#320192).
- be2net: check for INSUFFICIENT_PRIVILEGES error (bsc#963844
  FATE#320192).
- be2net: return error status from be_set_phys_id() (bsc#963844
  FATE#320192).
- be2net: bump up the driver version to 11.0.0.0 (bsc#963844
  FATE#320192).
- be2net: support ethtool get-dump option (bsc#963844
  FATE#320192).
- be2net: fix port-res desc query of GET_PROFILE_CONFIG FW cmd
  (bsc#963844 FATE#320192).
- be2net: remove unused error variables (bsc#963844 FATE#320192).
- be2net: remove a line of code that has no effect (bsc#963844
  FATE#320192).
- be2net: log digital signature errors while flashing FW image
  (bsc#963844 FATE#320192).
- be2net: move FW flash cmd code to be_cmds.c (bsc#963844
  FATE#320192).
- be2net: cleanup FW flash image related macro defines (bsc#963844
  FATE#320192).
- be2net: avoid configuring VEPA mode on BE3 (bsc#963844
  FATE#320192).
- be2net: fix VF link state transition from disabled to auto
  (bsc#963844 FATE#320192).
- be2net: remove local variable 'status' (bsc#963844 FATE#320192).
- commit ae8642c
* Thu Apr 28 2016 hare@suse.de
- SCSI: Free resources when we return BLKPREP_INVALID
  (bnc#977572).
- fcoe: Use CHECKSUM_PARTIAL to indicate CRC offload (bnc#977572).
- iscsi_tcp: Use ahash (bnc#977572).
- mvsas: Add SGPIO support to Marvell 94xx (bnc#977572).
- mvsas: fix misleading indentation (bnc#977572).
- scsi: Declare local symbols static (bnc#977572).
- scsi: Drop runtime PM usage count after host is added
  (bnc#977572).
- scsi: Set request queue runtime PM status back to active on
  resume (bnc#977572).
- scsi: use sector_div instead of do_div (bnc#977572).
- scsi_debug: Increase the reported optimal transfer length
  (bnc#977572).
- scsi_debug: check for bigger value first (bnc#977572).
- scsi_transport_fc: Introduce scsi_host_{get,put}() (bnc#977572).
- scsi_transport_sas: add function to get SAS endpoint address
  (bnc#977572).
- scsi_transport_sas: add is_sas_attached() function (bnc#977572).
- ses: fix discovery of SATA devices in SAS enclosures
  (bnc#977572).
- st: Fix MTMKPART to work with newer drives (bnc#977572).
- st: Remove obsolete scsi_tape.max_pfn (bnc#977572).
- commit 37ce76b
* Thu Apr 28 2016 agraf@suse.de
- arm64: Relocate screen_info.lfb_base on PCI BAR allocation (bsc#975159).
- commit 43cd2a7
* Thu Apr 28 2016 hare@suse.de
- qla2xxx: use TARGET_SCF_USE_CPUID flag to indiate CPU Affinity
  (FATE#320146, bsc#966328).
- qla2xxx: Use ATIO type to send correct tmr response
  (FATE#320146, bsc#966328).
- qla2xxx: Fix TMR ABORT interaction issue between qla2xxx and
  TCM (FATE#320146, bsc#966328).
- qla2xxx: Fix warning reported by static checker (FATE#320146,
  bsc#966328).
- scsi_dh_alua: Fix a recently introduced deadlock (bsc#927040).
- scsi_dh_alua: uninitialized variable in alua_check_vpd()
  (bsc#927040).
- commit 234f85c
* Thu Apr 28 2016 jlee@suse.com
- Refresh
  patches.suse/0001-MODSIGN-check-hash-of-kernel-module-in-blacklist.patch.
- Refresh
  patches.suse/0002-MODSIGN-load-hash-blacklist-of-modules-from-MOKx.patch.
- Update
  patches.suse/MODSIGN-loading-keys-from-db-when-SecureBoot-disabled.patch
  (bnc#929696, fate#314574, bsc#856382).
- Delete
  patches.suse/kernel-modsign_uefi.c-Check-for-EFI_RUNTIME_SERVICES.patch.
- commit 258133d
* Wed Apr 27 2016 jroedel@suse.de
- iommu/arm-smmu: Make use of phandle iterators in device-tree
  parsing (bsc#977284).
- of: Introduce of_phandle_iterator_args() (bsc#977284).
- of: Introduce of_for_each_phandle() helper macro (bsc#977284).
- of: Remove counting special case from
  __of_parse_phandle_with_args() (bsc#977284).
- of: Move phandle walking to of_phandle_iterator_next()
  (bsc#977284).
- of: Introduce struct of_phandle_iterator (bsc#977284).
- commit f53638c
* Wed Apr 27 2016 jeffm@suse.com
- rpm/kernel-binary.spec.in: only merge configs when vanilla is a fragment
  We can skip the (slow) merging when we know that the config isn't a
  fragment by keying off of an always-defined option like CONFIG_MMU.
- commit 66c90c3
* Wed Apr 27 2016 gqjiang@suse.com
- md-cluster/bitmap: unplug bitmap to sync dirty pages to disk
  (fate#316335 bsc#971908).
- md-cluster/bitmap: fix wrong page num in bitmap_file_clear_bit
  and bitmap_file_set_bit (fate#316335).
- md-cluster/bitmap: fix wrong calcuation of offset (fate#316335).
- md-cluster: sync bitmap when node received RESYNCING msg
  (fate#316335).
- md-cluster: always setup in-memory bitmap (fate#316335
  bsc#969990).
- md: set MD_CHANGE_PENDING in a spinlocked region (fate#316335).
- md-cluster: wakeup thread if activated a spare disk (fate#316335
  bsc#970197).
- md-cluster: change array_sectors and update size are not
  supported (fate#316335 bsc#962263).
- md-cluster: fix locking when node joins cluster during message
  broadcast (fate#316335).
- md-cluster: unregister thread if err happened (fate#316335).
- md-cluster: wake up thread to continue recovery (fate#316335).
- md-cluser: make resync_finish only called after
  pers->sync_request (fate#316335).
- md-cluster: change resync lock from asynchronous to synchronous
  (fate#316335 bsc#957921).
- md-cluster: delete useless code (fate#316335).
- md-cluster: fix missing memory free (fate#316335).
- md-cluster: update the documentation (fate#316335 bsc#970232).
- md-cluster: update comments for MD_CLUSTER_SEND_LOCKED_ALREADY
  (fate#316335).
- md-cluster: append some actions when change bitmap from
  clustered to none (fate#316335).
- md-cluster: Protect communication with mutexes (fate#316335).
- md-cluster: Defer MD reloading to mddev->thread (fate#316335).
- md-cluster: Allow spare devices to be marked as faulty
  (fate#316335).
- md-cluster: Fix the remove sequence with the new MD reload code
  (fate#316335).
- md-cluster: remove a disk asynchronously from cluster
  environment (fate#316335).
- md-cluster: Avoid the resync ping-pong (fate#316335).
- commit 22401d5
* Wed Apr 27 2016 jjolly@suse.de
- s390/pci: add report_error attribute (FATE#320437, LTC#135989).
- commit 15bc210
* Tue Apr 26 2016 mmarek@suse.cz
- Drop vm.dirty_ratio=20 sysctl on x86_64, it's a NOP
- commit 201f030
* Tue Apr 26 2016 mmarek@suse.cz
- Drop sysctl files for dropped archs, add ppc64le and arm64
- commit 0debc5d
* Tue Apr 26 2016 jeffm@suse.com
- config: resync vanilla configs with default
  This is the result of copying default to vanilla and running
  run_oldconfig.sh --vanilla.
  Differences from default:
- General:
  - LOCALVERSION="-vanilla" -- obvious
  - DM_CACHE_MQ=m -- option merged with DM_CACHE_SMQ in patched kernel
- x86_64:
  - SCHED_OMIT_FRAME_POINTER=y -- option is removed with STACK_UNWIND=y
  - FRAME_POINTER=y -- unselected by STACK_UNWIND=y
  - PRESCAN_RXQ=n -- option does nothing in unpatched kernel
- arm64:
  - ARCH_WANT_GENERAL_HUGETLB=y -- option removed with contiguous PTE patch
  - FB_CFB_FILLRECT=y->m -- FB_EFI=y selects on patched kernel
  - FB_CFB_COPYAREA=y->m -- same
  - FB_CFB_IMAGEBLIT=y->m -- same
- commit 89620b8
* Tue Apr 26 2016 dsterba@suse.com
- Refresh btrfs patches, update tags
- Refresh patches.suse/btrfs-8362-btrfs-Add-qgroup-tracing.patch.
- Refresh
  patches.suse/btrfs-8366-change-max_inline-default-to-2048.patch.
- Refresh
  patches.suse/btrfs-8388-fix-deadlock-between-direct-IO-write-and-defra.patch.
- Refresh
  patches.suse/btrfs-8393-remove-no-longer-used-function-extent_read_ful.patch.
- Refresh
  patches.suse/btrfs-8394-fix-error-path-when-failing-to-submit-bio-for-.patch.
- Refresh
  patches.suse/btrfs-8395-fix-leaking-of-ordered-extents-after-direct-IO.patch.
- Refresh
  patches.suse/btrfs-8400-handle-non-fatal-errors-in-btrfs_qgroup_inheri.patch.
- Refresh
  patches.suse/btrfs-8437-fix-deadlock-between-direct-IO-reads-and-buffe.patch.
- commit f264dd6
* Tue Apr 26 2016 eich@suse.com
- vgaarb: Add more context to error messages (bsc#976868).
- commit 00421df
* Tue Apr 26 2016 dsterba@suse.com
- Reorder btrfs patches
  Put the local non-upstream last.
- commit 57b862b
* Tue Apr 26 2016 dsterba@suse.com
- btrfs: remove error message from search ioctl for nonexistent tree (bnc#976809)
- commit 368f032
* Tue Apr 26 2016 hare@suse.de
- sd: get disk reference in sd_check_events() (bnc#897662).
- commit f1367b7
* Mon Apr 25 2016 jeffm@suse.com
- rpm/kernel-binary.in: reassemble vanilla config from arch default and fragment
  This patch reassembles the vanilla config using the default config
  for the arch ("default" for everything but i386 which uses "pae") and
  the vanilla config fragment.
  This will do the right thing even if the vanilla config is still a
  standalone config, but scripts/kconfig/merge_config.sh will be slow.  Care
  should be taken to convert the vanilla configs on any branch that pulls
  this commit.
- commit a9a75a0
* Mon Apr 25 2016 dchang@suse.com
- bnx2x: Prevent false warning for lack of FC NPIV (bsc#966325
  FATE#320153).
- bnx2x: don't wait for Tx completion on recovery (bsc#966325
  FATE#320153).
- bnx2x: add a separate GENEVE Kconfig symbol (bsc#966325
  FATE#320153).
  Update config files, enable BNX2X_GENEVE
  Enable Generic Network Virtualization Encapsulation
  support for bnx2x.
- bnx2x: Add missing HSI for big-endian machines (bsc#966325
  FATE#320153).
- bnx2x: Warn about grc timeouts in register dump (bsc#966325
  FATE#320153).
- bnx2x: extend DCBx support (bsc#966325 FATE#320153).
- bnx2x: Add support for single-port DCBx (bsc#966325
  FATE#320153).
- bnx2x: Add Geneve inner-RSS support (bsc#966325 FATE#320153).
- geneve: Add geneve_get_rx_port support (bsc#966325 FATE#320153).
- geneve: Add geneve udp port offload for ethernet devices
  (bsc#966325 FATE#320153).
- bnx2x: Remove unneccessary EXPORT_SYMBOL (bsc#966325
  FATE#320153).
- bnx2x: fix indentation in bnx2x_sp_task() (bsc#966325
  FATE#320153).
- bnx2x: define event data reserved fields as little-endian
  (bsc#966325 FATE#320153).
- bnx2x: define fields of struct cfc_del_event_data as
  little-endian (bsc#966325 FATE#320153).
- bnx2x: access cfc_del_event only if the opcode is CFC_DEL
  (bsc#966325 FATE#320153).
- bnx2x: fix receive of VF->PF mailbox messages by the PF on
  big-endian (bsc#966325 FATE#320153).
- bnx2x: fix sending VF->PF messages on big-endian (bsc#966325
  FATE#320153).
- bnx2x: fix crash on big-endian when adding VLAN (bsc#966325
  FATE#320153).
- bnx2x: Fix 84833 phy command handler (bsc#966325 FATE#320153).
- bnx2x: Fix led setting for 84858 phy (bsc#966325 FATE#320153).
- bnx2x: Correct 84858 PHY fw version (bsc#966325 FATE#320153).
- bnx2x: Fix 84833 RX CRC (bsc#966325 FATE#320153).
- bnx2x: Fix link-forcing for KR2 (bsc#966325 FATE#320153).
- bnx2x: remove rx_pkt/rx_calls (bsc#966325 FATE#320153).
- bnx2x: avoid soft lockup in bnx2x_poll() (bsc#966325
  FATE#320153).
- bnx2x: simplify distinction between port and func stats
  (bsc#966325 FATE#320153).
- bnx2x: change FW GRO error message to WARN_ONCE (bsc#966325
  FATE#320153).
- bnx2x: drop redundant error message about allocation failure
  (bsc#966325 FATE#320153).
- bnx2x: Utilize FW 7.13.1.0 (bsc#966325 FATE#320153).
- bnx2x: Show port statistics in Multi-function (bsc#966325
  FATE#320153).
- bnx2x: Add new SW stat 'tx_exhaustion_events' (bsc#966325
  FATE#320153).
- commit 2f6c4ea
* Mon Apr 25 2016 ghe@suse.com
- ocfs2: extend enough credits for freeing one truncate record
  while replaying truncate records (bnc#971947).
- ocfs2: extend transaction for ocfs2_remove_rightmost_path()
  and ocfs2_update_edge_lengths() before to avoid inconsistency
  between inode and et (bnc#971947).
- commit 9774d91
* Fri Apr 22 2016 jbohac@suse.cz
- crypto: testmgr - allow rfc3686 aes-ctr variants in fips mode
  (bsc#958390).
- crypto: testmgr - mark authenticated ctr(aes) also as FIPS able
  (bsc#958390).
- commit a4eb908
* Fri Apr 22 2016 jlee@suse.com
- Refresh
  patches.suse/0001-x86-efi-Fix-invalid-parameter-error-when-getting-hib.patch.
- commit ea6a5c1
* Thu Apr 21 2016 jslaby@suse.cz
- Update patches.kernel.org/patch-4.4.7-8 (CVE-2016-3156
  FATE#318900 FATE#319959 FATE#320147 FATE#320149 FATE#320228
  FATE#320230 bnc#9663123 bsc#956852 bsc#966186 bsc#966191
  bsc#966337 bsc#971360 bsc#973378 bnc#972330).
  One more bnc.
- commit 8418953
* Thu Apr 21 2016 tonyj@suse.de
- Refresh
  patches.suse/perf-additional-warning-when-sampling-rate-if-decayed-below-startup-minimum.patch.
- commit f20aab6
* Wed Apr 20 2016 mbrugger@suse.com
- ar64: Update config files.
  Disable not used drivers.
- commit 7a54804
* Wed Apr 20 2016 mbrugger@suse.com
- supported.conf: add arm64 bits
- commit 58495f6
* Wed Apr 20 2016 eich@suse.com
- rpm/kernel-binary.spec.in:
  Add
  Recommends: perl make gcc
  to kernel-devel. This will install the tools requires to build
  kernels or kernel modules.
- commit 9c9087c
* Wed Apr 20 2016 jslaby@suse.cz
- Linux 4.4.8 (CVE-2016-3156 FATE#318900 FATE#319959 FATE#320147
  FATE#320149 FATE#320228 FATE#320230 bnc#9663123 bsc#956852
  bsc#966186 bsc#966191 bsc#966337 bsc#971360 bsc#973378).
- Refresh
  patches.drivers/0001-usbvision-fix-overflow-of-interfaces-array.patch.
- Refresh
  patches.drivers/0005-libnvdimm-pfn-add-align-attribute-default-to-hpage_size.patch.
- Refresh
  patches.fixes/scsi-Do-not-attach-VPD-to-devices-that-don-t-support.patch.
- Delete
  patches.drivers/0002-Revert-usb-hub-do-not-clear-BOS-field-during-reset-d.patch.
- Delete
  patches.drivers/ALSA-timer-Use-mod_timer-for-rearming-the-system-tim.
- Delete
  patches.drivers/mlx4-0072-mlx4-add-missing-braces-in-verify_qp_parameters.patch.
- Delete
  patches.drivers/qlcnic-Fix-mailbox-completion-handling-during-spurio.patch.
- Delete
  patches.drivers/qlcnic-Remove-unnecessary-usage-of-atomic_t.patch.
- Delete
  patches.drivers/qlcnic-constify-qlcnic_dcb_ops-structures.patch.
- Delete patches.drivers/qlge-Fix-receive-packets-drop.patch.
- Delete
  patches.fixes/ipv4-Don-t-do-expensive-useless-work-during-inetdev-.patch.
- Delete
  patches.fixes/mld-igmp-Fix-reserved-tailroom-calculation.patch.
- Delete patches.suse/nfs-use-file_dentry.patch.
- Delete patches.suse/vfs-add-file_dentry.patch.
- commit a6e472a
* Tue Apr 19 2016 jslaby@suse.cz
- kgr: define pr_fmt and modify all pr_* messages (fate#313296).
- kgr: taint with TAINT_LIVEPATCH (fate#313296 bsc#974406).
- commit 6ceee4a
* Tue Apr 19 2016 jthumshirn@suse.de
- Update config files, remove CONFIG_IDE from ppc64le (FATE#316857, bsc#964440).
- commit 9b9544a
* Tue Apr 19 2016 oneukum@suse.com
- USB: usbip: fix potential out-of-bounds write (bnc#975945).
- commit e4f17db
* Tue Apr 19 2016 mkubecek@suse.cz
- netfilter: x_tables: check for size overflow (CVE-2016-3135
  bsc#970904).
- commit da154fc
* Tue Apr 19 2016 mkubecek@suse.cz
- netfilter: x_tables: fix unconditional helper (CVE-2016-3134
  bsc#971126).
- netfilter: x_tables: make sure e->next_offset covers remaining
  blob size (CVE-2016-3134 bsc#971126).
- netfilter: x_tables: validate e->target_offset early
  (CVE-2016-3134 bsc#971126).
- commit ffd56da
* Tue Apr 19 2016 mkubecek@suse.cz
- enic: set netdev->vlan_features (bsc#966245).
- commit f8a2043
* Tue Apr 19 2016 mkubecek@suse.cz
- series.conf: move netfilter section right after the core networking
- commit f90cd61
* Tue Apr 19 2016 mkubecek@suse.cz
- ipv6: per netns FIB garbage collection (bsc#965319).
- ipv6: per netns fib6 walkers (bsc#965319).
- ipv6: replace global gc_args with local variable (bsc#965319).
- commit cbb1509
* Mon Apr 18 2016 agraf@suse.de
- supported.conf: Add ZynqMP AHCI controller (fate#320029)
- commit 1b354a0
* Mon Apr 18 2016 pmladek@suse.com
- Remove the temporary solution for save printk in NMI (bnc#831949)
  The most critical situation has been solved upstream by the commit
  a9edc88093287183ac9 ("x86/nmi: Perform a safe NMI stack trace on all CPUs").
  It handles the scenarios reported by customers and should be enough.
  The complex temporary solution, used on SLE12-GM and SLE12-SP1, is not worth
  porting. It would be needed only for the dozen of remaining messages
  printed from NMI context.
  There is an alternative solution for the remaining printk's. It has a good
  chance to get accepted but it has not happened yet. See,
  https://lkml.kernel.org/g/<1459353210-20260-1-git-send-email-pmladek@suse.com>
- Delete
  patches.fixes/printk-nmi-0002-printk-allow-to-handle-more-log-buffers.patch.
- Delete
  patches.fixes/printk-nmi-0004-printk-add-NMI-ring-and-cont-buffers.patch.
- Delete
  patches.fixes/printk-nmi-0005-printk-allow-to-modify-NMI-log-buffer-size-using-boo.patch.
- Delete
  patches.fixes/printk-nmi-0006-printk-NMI-safe-printk.patch.
- Delete
  patches.fixes/printk-nmi-0007-printk-right-ordering-of-the-cont-buffers-from-NMI-c.patch.
- Delete
  patches.fixes/printk-nmi-0008-printk-try-hard-to-print-Oops-message-in-NMI-context.patch.
- Delete
  patches.fixes/printk-nmi-0009-printk-merge-and-flush-NMI-buffer-predictably-via-IR.patch.
- Delete
  patches.fixes/printk-nmi-0010-printk-survive-rotation-of-sequence-numbers.patch.
- Delete
  patches.fixes/printk-nmi-0011-printk-avoid-staling-when-merging-NMI-log-buffer.patch.
- Delete
  patches.fixes/printk-nmi-correct-detection-of-the-continuous-buffer-si.patch.
- commit 11332e8
* Mon Apr 18 2016 mbrugger@suse.com
- net: thunderx: Fix broken of_node_put() code (bsc#975970).
- commit 23e16ac
* Mon Apr 18 2016 jthumshirn@suse.de
- snic: correctly check for array overrun on overly long version
  number (FATE#319760, bsc#964943).
- snic: Added additional stats (FATE#319760, bsc#964943).
- snic: LUN goes offline due to scsi cmd timeouts (FATE#319760,
  bsc#964943).
- snic: Handling control path queue issues (FATE#319760,
  bsc#964943).
- snic: target cleanup in driver unload path (FATE#319760,
  bsc#964943).
- snic: Fix for missing interrupts (FATE#319760, bsc#964943).
- snic: Fixing race in the hba reset and IO/TM completion
  (FATE#319760, bsc#964943).
- snic: add scsi host after determining max IOs (FATE#319760,
  bsc#964943).
- commit 1d76dc6
* Mon Apr 18 2016 jthumshirn@suse.de
- hpsa: update copyright information (FATE#319992, bsc#972413).
- hpsa: remove function definition for sanitize_inquiry_string
  (FATE#319992, bsc#972413).
- scsi: Export function scsi_scan.c:sanitize_inquiry_string
  (FATE#319992, bsc#972413).
- hpsa: check for a null phys_disk pointer in ioaccel2 path
  (FATE#319992, bsc#972413).
- hpsa: correct abort tmf for hba devices (FATE#319992,
  bsc#972413).
- hpsa: add SMR drive support (FATE#319992, bsc#972413).
- hpsa: do not get enclosure info for external devices
  (FATE#319992, bsc#972413).
- commit 923efe1
* Mon Apr 18 2016 duwe@suse.de
- crypto: testmgr - mark more algorithms as FIPS compliant
  (bsc#970490).
- commit 06f5088
* Sat Apr 16 2016 agraf@suse.de
- Add support for BCM2837 (FATE#319481)
  - drm/vc4: Add a BO cache (FATE#319481).
  - drm/vc4: Add create and map BO ioctls (FATE#319481).
  - drm/vc4: Add an API for creating GPU shaders in GEM BOs
    (FATE#319481).
  - drm/vc4: Fix a typo in a V3D debug register (FATE#319481).
  - drm/vc4: Bind and initialize the V3D engine (FATE#319481).
  - drm/vc4: Add support for drawing 3D frames (FATE#319481).
  - drm/vc4: Add support for async pageflips (FATE#319481).
  - drm/vc4: Add an interface for capturing the GPU state after
    a hang (FATE#319481).
  - drm/vc4: copy_to_user() returns the number of bytes remaining
    (FATE#319481).
  - drm/vc4: allocate enough memory in vc4_save_hang_state()
    (FATE#319481).
  - drm/vc4: fix an error code (FATE#319481).
  - clk: bcm2835: Add a driver for the auxiliary peripheral clock
    gates (FATE#319481).
  - clk: bcm2835: add a round up ability to the clock divisor
    (FATE#319481).
  - clk: bcm2835: Support for clock parent selection (FATE#319481).
  - clk: bcm2835: Add PWM clock support (FATE#319481).
  - irqchip/bcm2836: Fix initialization of the LOCAL_IRQ_CNT timers
    (FATE#319481).
  - irqchip/bcm2836: Add SMP support for the 2836 (FATE#319481).
  - irqchip/bcm2836: Tolerate IRQs while no flag is set in ISR
    (FATE#319481).
  - irqchip/bcm2836: Make code more readable (FATE#319481).
  - ARM: bcm2835: Move the CPU/peripheral include out of common
    RPi DT (FATE#319481).
  - drm/vc4: fix warning in validate printf (FATE#319481).
  - drm/vc4: Remove broken attempt at GPU reset using genpd
    (FATE#319481).
  - ARM: bcm2835: Add PWM clock support to the device tree
    (FATE#319481).
  - ARM: bcm2835: Add the Raspberry Pi power domain driver to the DT
    (FATE#319481).
  - drm/vc4: Nuke preclose hook (FATE#319481).
  - drm/vc4: Improve comments on vc4_plane_state members
    (FATE#319481).
  - drm/vc4: Add missing __iomem annotation to hw_dlist
    (FATE#319481).
  - drm/vc4: Move the plane clipping/scaling setup to a separate
    function (FATE#319481).
  - drm/vc4: Add a proper short-circut path for legacy cursor
    updates (FATE#319481).
  - drm/vc4: Make the CRTCs cooperate on allocating display lists
    (FATE#319481).
  - drm/vc4: Add more display planes to each CRTC (FATE#319481).
  - drm/vc4: Fix which value is being used for source image size
    (FATE#319481).
  - drm/vc4: Add support for scaling of display planes
    (FATE#319481).
  - drm/vc4: Add support a few more RGB display plane formats
    (FATE#319481).
  - drm/vc4: Add support for YUV planes (FATE#319481).
  - drm/vc4: Validate that WAIT_BO padding is cleared (FATE#319481).
  - drm/vc4: Fix the clear color for the first tile rendered
    (FATE#319481).
  - drm/vc4: Return an ERR_PTR from BO creation instead of NULL
    (FATE#319481).
  - drm/vc4: Fix -ERESTARTSYS error return from BO waits
    (FATE#319481).
  - drm/vc4: Drop error message on seqno wait timeouts
    (FATE#319481).
  - drm/vc4: Fix spurious GPU resets due to BO reuse (FATE#319481).
  - drm/vc4: Enable runtime PM (FATE#319481).
  - drm/vc4: Use runtime PM to power cycle the device when the
    GPU hangs (FATE#319481).
  - clk: bcm2835: Reuse CLK_DIVIDER_MAX_AT_ZERO for recalc_rate()
    (FATE#319481).
  - irqchip/bcm2836: Drop extra memory barrier in SMP boot
    (FATE#319481).
  - clk: bcm2835: added missing clock register definitions
    (FATE#319481).
  - drm/vc4: Fix a framebuffer reference leak on async flip
    interrupt (FATE#319481).
  - drm/vc4: Bring HDMI up from power off if necessary
    (FATE#319481).
  - drm/vc4: Add another reg to HDMI debug dumping (FATE#319481).
  - drm/vc4: Fix the name of the VSYNCD_EVEN register (FATE#319481).
  - drm/vc4: Fix setting of vertical timings in the CRTC
    (FATE#319481).
  - drm/vc4: Initialize scaler DISPBKGND on modeset (FATE#319481).
  - drm/vc4: improve throughput by pipelining binning and rendering
    jobs (FATE#319481).
  - drm/vc4: Let gpiolib know that we're OK with sleeping for HPD
    (FATE#319481).
  - drm/vc4: Respect GPIO_ACTIVE_LOW on HDMI HPD if set in the
    devicetree (FATE#319481).
  - drm/vc4: Return -EFAULT on copy_from_user() failure
    (FATE#319481).
  - drm/vc4: Recognize a more specific compatible string for V3D
    (FATE#319481).
  - clk: bcm2835: fix check of error code returned by
    devm_ioremap_resource() (FATE#319481).
  - clk: bcm2835: pll_off should only update CM_PLL_ANARST
    (FATE#319481).
  - clk: bcm2835: add locking to pll*_on/off methods (FATE#319481).
  - clk: bcm2835: divider value has to be 1 or more (FATE#319481).
  - clk: bcm2835: correctly enable fractional clock support
    (FATE#319481).
  - clk: bcm2835: clean up coding style issues (FATE#319481).
  - clk: bcm2835: expose raw clock-registers via debugfs
    (FATE#319481).
  - clk: bcm2835: remove use of BCM2835_CLOCK_COUNT in driver
    (FATE#319481).
  - clk: bcm2835: reorganize bcm2835_clock_array assignment
    (FATE#319481).
  - clk: bcm2835: enable management of PCM clock (FATE#319481).
  - clk: bcm2835: add missing PLL clock dividers (FATE#319481).
  - clk: bcm2835: add missing osc and per clocks (FATE#319481).
  - ARM: bcm2835: Add VC4 to the device tree (FATE#319481).
  - drm/vc4: Add DPI driver (FATE#319481).
  - irqchip: bcm2835: Avoid arch/arm-specific handle_IRQ
    (FATE#319481).
  - irqchip: bcm2836: Drop smp_set_ops on arm64 builds
    (FATE#319481).
  - irqchip: bcm2836: Fix compiler warning on 64-bit build
    (FATE#319481).
  - irqchip: bcm2836: Use a more generic memory barrier call
    (FATE#319481).
  - clk: bcm2835: Fix compiler warnings on 64-bit builds
    (FATE#319481).
  - clk: bcm2835: Fix PLL poweron (FATE#319481).
  - ARM: bcm2835: Add devicetree for the Raspberry Pi 3
    (FATE#319481).
  - drm/vc4: Fix NULL deref in HDMI init error path (FATE#319481).
  - ARM: bcm2835: Give HDMI a HPD GPIO on the pi3 (FATE#319481).
  - don't force serial pins to uart0 (FATE#319481).
  - clk: bcm2835: Add bindings for the auxiliary peripheral clock
    gates (FATE#319481).
  - ARM: bcm2835: add rpi power domain driver (FATE#319481).
  - ARM: bcm2835: add bcm2835-aux-uart support to DT (FATE#319481).
  - drm: Add an encoder and connector type enum for DPI
    (FATE#319481).
  - drm: Create a driver hook for allocating GEM object structs
    (FATE#319481).
  - ARM: bcm2835: Define two new packets from the latest firmware
    (FATE#319481).
  - arm64: Add platform selection for BCM2835 (FATE#319481).
  - serial: bcm2835: add driver for bcm2835-aux-uart (FATE#319481).
  - serial: bcm2835: fix unsigned int issue with irq (FATE#319481).
  - pwm: bcm2835: Calculate scaler in ->config() (FATE#319481).
  - pwm: bcm2835: Prevent division by zero (FATE#319481).
  - ASoC: bcm2835: cleanup includes by ordering them alphabetically
    (FATE#319481).
  - ASoC: bcm2835: move to use the clock framework (FATE#319481).
  - pinctrl: bcm2835: Implement get_direction callback
    (FATE#319481).
  - pinctrl: bcm2835: use gpiochip data pointer (FATE#319481).
  - spi: bcm2835aux: fix bitmask defines (FATE#319481).
  - spi: bcm2835aux: disable tx fifo empty irq (FATE#319481).
  - spi: bcm2835: Remove unnecessary workaround to call
    gpio_set_value (FATE#319481).
  - spi: bcm2835aux: set up spi-mode before asserting cs-gpio
    (FATE#319481).
  - spi: bcm2835aux: fix CPOL/CPHA setting (FATE#319481).
  - Update config files.
  - supported.conf:
- commit 9f3b827
* Fri Apr 15 2016 jbohac@suse.cz
- IB/hfi1: Add adaptive cacheless verbs copy (bsc#973818,
  fate#319242).
- IB/hfi1: Add ASIC flag view/clear (bsc#973818, fate#319242).
- IB/hfi1: Add ASIC resource reservation functions (bsc#973818,
  fate#319242).
- IB/hfi1: Add filter callback (bsc#973818, fate#319242).
- IB/hfi1: Add MMU tracing (bsc#973818, fate#319242).
- IB/hfi1: Add pin query function (bsc#973818, fate#319242).
- IB/hfi1: Add SDMA cache eviction algorithm (bsc#973818,
  fate#319242).
- IB/hfi1: Add shared ASIC structure (bsc#973818, fate#319242).
- IB/hfi1: Add the break statement that was removed in an
  (bsc#973818, fate#319242).
- IB/hfi1: Add unique trace point for pio and sdma send
  (bsc#973818, fate#319242).
- IB/hfi1: Adjust last address values for intervals (bsc#973818,
  fate#319242).
- IB/hfi1: Allow MMU function execution in IRQ context
  (bsc#973818, fate#319242).
- IB/hfi1: Allow remove MMU callbacks to free nodes (bsc#973818,
  fate#319242).
- IB/hfi1: Change EPROM handling to use resource reservation
  (bsc#973818, fate#319242).
- IB/hfi1: Change QSFP functions to use resource reservation
  (bsc#973818, fate#319242).
- IB/hfi1: Change SBus handling to use resource reservation
  (bsc#973818, fate#319242).
- IB/hfi1: Change thermal init to use resource reservation
  (bsc#973818, fate#319242).
- IB/hfi1: Don't call cond_resched in atomic mode when sending
  (bsc#973818, fate#319242).
- IB/hfi1: Enable adaptive pio by default (bsc#973818,
  fate#319242).
- IB/hfi1: Fix adaptive pio packet corruption (bsc#973818,
  fate#319242).
- IB/hfi1: Fix issues with qp_stats print (bsc#973818,
  fate#319242).
- IB/hfi1: Fix ordering of trace for accuracy (bsc#973818,
  fate#319242).
- IB/hfi1: Fix panic in adaptive pio (bsc#973818, fate#319242).
- IB/hfi1: Fix PIO wakeup timing hole (bsc#973818, fate#319242).
- IB/hfi1: Handle host handshake timeout (bsc#973818,
  fate#319242).
- IB/hfi1: Hold i2c resource across debugfs open/close
  (bsc#973818, fate#319242).
- IB/hfi1: Implement SDMA-side buffer caching (bsc#973818,
  fate#319242).
- IB/hfi1: Improve LED beaconing (bsc#973818, fate#319242).
- IB/hfi1: Move constant to the right in bitwise operations
  (bsc#973818, fate#319242).
- IB/hfi1: Notify remove MMU/RB callback of calling context
  (bsc#973818, fate#319242).
- IB/hfi1: Prevent NULL pointer dereference (bsc#973818,
  fate#319242).
- IB/hfi1: Re-factor MMU notification code (bsc#973818,
  fate#319242).
- IB/hfi1: Reduce hardware mutex timeout (bsc#973818,
  fate#319242).
- IB/hfi1: Remove ASIC block clear (bsc#973818, fate#319242).
- IB/hfi1: Remove compare callback (bsc#973818, fate#319242).
- IB/hfi1: Remove the use of add/remove RB function pointers
  (bsc#973818, fate#319242).
- IB/hfi1: Remove unused HFI1_DO_INIT_ASIC flag (bsc#973818,
  fate#319242).
- IB/hfi1: Report pid in qp_stats to aid debug (bsc#973818,
  fate#319242).
- IB/hfi1: Specify mm when releasing pages (bsc#973818,
  fate#319242).
- IB/hfi1: Switch to using the pin query function (bsc#973818,
  fate#319242).
- IB/hfi1: Use interval RB trees (bsc#973818, fate#319242).
- IB/qib: Add device specific info prints (bsc#973818,
  fate#319242).
- IB/qib: Begin to use rdmavt for verbs (bsc#973818, fate#319242).
- IB/qib: Clean up register_ib_device (bsc#973818, fate#319242).
- IB/qib: Delete QIB user context allocation and de-alloction
  (bsc#973818, fate#319242).
- IB/qib: Destroy SMI AH before de-allocating the protection
  (bsc#973818, fate#319242).
- IB/qib: Implement qib support for AH notification (bsc#973818,
  fate#319242).
- IB/qib: Improve ipoib UD performance (bsc#973818, fate#319242).
- IB/qib: Insure last cursor is updated prior to complete
  (bsc#973818, fate#319242).
- IB/qib,rdmavt: Move smi_ah to qib (bsc#973818, fate#319242).
- IB/qib: Remove completion queue data structures and functions
  (bsc#973818, fate#319242).
- IB/qib: Remove create and free mad agents (bsc#973818,
  fate#319242).
- IB/qib: Remove create qp and create qp table functionality
  (bsc#973818, fate#319242).
- IB/qib: Remove destroy queue pair code (bsc#973818,
  fate#319242).
- IB/qib: Remove dma.c and use rdmavt version of dma functions
  (bsc#973818, fate#319242).
- IB/qib: Remove driver specific members from qib qp type
  (bsc#973818, fate#319242).
- IB/qib: Remove ibport and use rdmavt version (bsc#973818,
  fate#319242).
- IB/qib: Remove mmap from qib (bsc#973818, fate#319242).
- IB/qib: Remove modify queue pair code (bsc#973818, fate#319242).
- IB/qib: Remove modify_port and port_immutable functions
  (bsc#973818, fate#319242).
- IB/qib: Remove most uses of QIB_PERMISSIVE_LID and (bsc#973818,
  fate#319242).
- IB/qib: Remove qib multicast verbs functions (bsc#973818,
  fate#319242).
- IB/qib: Remove qib_lookup_qpn and use rvt_lookup_qpn instead
  (bsc#973818, fate#319242).
- IB/qib: Remove qib_post_receive and use rdmavt version
  (bsc#973818, fate#319242).
- IB/qib: Remove qib_query_device function (bsc#973818,
  fate#319242).
- IB/qib: Remove qib_query_qp function (bsc#973818, fate#319242).
- IB/qib: Remove qp and mr functionality from qib (bsc#973818,
  fate#319242).
- IB/qib: Remove qpn, qp tables and related variables from qib
  (bsc#973818, fate#319242).
- IB/qib: Remove srq from qib (bsc#973818, fate#319242).
- IB/qib: Remove srq functionality (bsc#973818, fate#319242).
- IB/qib: Rename several functions by adding a "qib_" prefix
  (bsc#973818, fate#319242).
- IB/qib: Setup notify free/create mad agent callbacks for
  (bsc#973818, fate#319242).
- IB/qib, staging/rdma/hfi1: add s_hlock for use in post send
  (bsc#973818, fate#319242).
- IB/qib, staging/rdma/hfi1, IB/rdmavt: progress selection
  (bsc#973818, fate#319242).
- IB/qib: Support query gid in rdmavt (bsc#973818, fate#319242).
- IB/qib: Use address handle in rdmavt and remove from qib
  (bsc#973818, fate#319242).
- IB/qib: Use rdmavt device allocation function (bsc#973818,
  fate#319242).
- IB/qib: Use rdmavt lid defines in qib (bsc#973818, fate#319242).
- IB/qib: Use rdmavt pkey verbs function (bsc#973818,
  fate#319242).
- IB/qib: Use rdmavt protection domain (bsc#973818, fate#319242).
- IB/qib: Use rdmavt send and receive flags (bsc#973818,
  fate#319242).
- IB/qib: Use rdmavt version of post_send (bsc#973818,
  fate#319242).
- IB/rdamvt: fix cross build with rdmavt (bsc#973818,
  fate#319242).
- IB/rdmavt: Add address handle stubs (bsc#973818, fate#319242).
- IB/rdmavt: Add AH to rdmavt (bsc#973818, fate#319242).
- IB/rdmavt: Add an ibport data structure to rdmavt (bsc#973818,
  fate#319242).
- IB/rdmavt: Add common LID defines to rdmavt (bsc#973818,
  fate#319242).
- IB/rdmavt: Add completion queue function stubs (bsc#973818,
  fate#319242).
- IB/rdmavt: Add completion queue functions (bsc#973818,
  fate#319242).
- IB/rdmavt: Add create queue pair functionality (bsc#973818,
  fate#319242).
- IB/rdmavt: Add destroy qp verb (bsc#973818, fate#319242).
- IB/rdmavt: Add device specific info prints (bsc#973818,
  fate#319242).
- IB/rdmavt: Add device structure allocation (bsc#973818,
  fate#319242).
- IB/rdmavt: Add driver notification for new AH (bsc#973818,
  fate#319242).
- IB/rdmavt: Add get port immutable stub (bsc#973818,
  fate#319242).
- IB/rdmavt: Add hardware driver send work request check
  (bsc#973818, fate#319242).
- IB/rdmavt: Add ib core device attributes to rvt driver params
  (bsc#973818, fate#319242).
- IB/rdmavt: Add IB user context allocation and de-alloction
  (bsc#973818, fate#319242).
- IB/rdmavt: Add mad agents to rdmavt (bsc#973818, fate#319242).
- IB/rdmavt: Add Mem affinity support (bsc#973818, fate#319242).
- IB/rdmavt: Add memory region stubs (bsc#973818, fate#319242).
- IB/rdmavt: Add misc dev register functionality (bsc#973818,
  fate#319242).
- IB/rdmavt: Add mmap related functions (bsc#973818, fate#319242).
- IB/rdmavt: Add mmap stub (bsc#973818, fate#319242).
- IB/rdmavt: Add modify qp (bsc#973818, fate#319242).
- IB/rdmavt: add modify queue pair driver helpers (bsc#973818,
  fate#319242).
- IB/rdmavt: Add multicast functions (bsc#973818, fate#319242).
- IB/rdmavt: Add multicast stubs (bsc#973818, fate#319242).
- IB/rdmavt: Add per verb driver callback checking (bsc#973818,
  fate#319242).
- IB/rdmavt: Add pkey query stub (bsc#973818, fate#319242).
- IB/rdmavt: Add pkey support (bsc#973818, fate#319242).
- IB/rdmavt: Add post receive to rdmavt (bsc#973818, fate#319242).
- IB/rdmavt: Add post send and recv stubs (bsc#973818,
  fate#319242).
- IB/rdmavt: Add post send to rdmavt (bsc#973818, fate#319242).
- IB/rdmavt: Add process MAD stub (bsc#973818, fate#319242).
- IB/rdmavt: Add protection domain to rdmavt (bsc#973818,
  fate#319242).
- IB/rdmavt: Add query and modify device stubs (bsc#973818,
  fate#319242).
- IB/rdmavt: Add query and modify port stubs (bsc#973818,
  fate#319242).
- IB/rdmavt: Add query gid stub (bsc#973818, fate#319242).
- IB/rdmavt: Add query gid support (bsc#973818, fate#319242).
- IB/rdmavt: Add queue pair data structure to rdmavt (bsc#973818,
  fate#319242).
- IB/rdmavt: Add queue pair function stubs (bsc#973818,
  fate#319242).
- IB/rdmavt: Add R and S flags for queue pairs (bsc#973818,
  fate#319242).
- IB/rdmavt: Add srq functionality to rdmavt (bsc#973818,
  fate#319242).
- IB/rdmavt: Add SRQ stubs (bsc#973818, fate#319242).
- IB/rdmavt: Add support for query_port, modify_port and
  (bsc#973818, fate#319242).
- IB/rdmavt: Add support for rvt_query_device function
  (bsc#973818, fate#319242).
- IB/rdmavt: Add support for rvt_query_qp (bsc#973818,
  fate#319242).
- IB/rdmavt: Add support for tracing events (bsc#973818,
  fate#319242).
- IB/rdmavt: Add the start of capability flags (bsc#973818,
  fate#319242).
- IB/rdmavt: Add trace and error print statements in (bsc#973818,
  fate#319242).
- IB/rdmavt: Alloc and dealloc ucontexts (bsc#973818,
  fate#319242).
- IB/rdmavt: Allow reserving just one qpn (bsc#973818,
  fate#319242).
- IB/rdmavt: Break rdma_vt main include header file up
  (bsc#973818, fate#319242).
- IB/rdmavt: Check lkey_table_size value before use (bsc#973818,
  fate#319242).
- IB/rdmavt: Clean up comments and add more documentation
  (bsc#973818, fate#319242).
- IB/rdmavt: Clean up distinction between port number and index
  (bsc#973818, fate#319242).
- IB/rdmavt: Consolidate dma ops in rdmavt (bsc#973818,
  fate#319242).
- IB/rdmavt: Create module framework and handle driver
  (bsc#973818, fate#319242).
- IB/rdmavt: Do not use rvt prints which rely on driver too
  (bsc#973818, fate#319242).
- IB/rdmavt: Export reset_qp in rdmavt (bsc#973818, fate#319242).
- IB/rdmavt: Fix copyright date (bsc#973818, fate#319242).
- IB/rdmavt: Initialize and teardown of qpn table (bsc#973818,
  fate#319242).
- IB/rdmavt: Macroize override checks during driver (bsc#973818,
  fate#319242).
- IB/rdmavt: Move driver helper functions to a common structure
  (bsc#973818, fate#319242).
- IB/rdmavt: Move memory registration into rdmavt (bsc#973818,
  fate#319242).
- IB/rdmavt: Move MR datastructures into rvt (bsc#973818,
  fate#319242).
- IB/rdmavt: Move SRQ data structure into rdmavt (bsc#973818,
  fate#319242).
- IB/rdmavt: Post receive for QP in ERR state (bsc#973818,
  fate#319242).
- IB/rdmavt: Properly pass gfp to hw driver function (bsc#973818,
  fate#319242).
- IB/rdmavt: Remove RVT_FLAGs (bsc#973818, fate#319242).
- IB/rdmavt: Remove signal_supported and comments (bsc#973818,
  fate#319242).
- IB/rdmavt: Remove unnecessary exported functions (bsc#973818,
  fate#319242).
- IB/rdmavt: remove unused qp field (bsc#973818, fate#319242).
- IB/rdmavt: Remove unused variable from Queue Pair (bsc#973818,
  fate#319242).
- IB/rdmavt, staging/rdma/hfi1: use qps to dynamically scale
  (bsc#973818, fate#319242).
- IB/rdmavt: Support creating qps with GFP_NOIO flag (bsc#973818,
  fate#319242).
- IB/rdmvt: close send engine struct holes (bsc#973818,
  fate#319242).
- IB: remove support for phys MRs (bsc#973818, fate#319242).
- staging/hfi1: Add building blocks for TID caching (bsc#973818,
  fate#319242).
- staging/hfi1: Add definitions needed for TID cache (bsc#973818,
  fate#319242).
- staging/hfi1: Add function stubs for TID caching (bsc#973818,
  fate#319242).
- staging/hfi1: Add MMU notifier callback function (bsc#973818,
  fate#319242).
- staging/hfi1: add per SDMA engine stats to hfistats (bsc#973818,
  fate#319242).
- staging/hfi1: Add TID cache receive init and free funcs
  (bsc#973818, fate#319242).
- staging/hfi1: Add TID entry program function body (bsc#973818,
  fate#319242).
- staging/hfi1: Add TID free/clear function bodies (bsc#973818,
  fate#319242).
- staging/hfi1: Change default krcvqs (bsc#973818, fate#319242).
- staging/hfi1: change krcvqs mod param from byte to uint
  (bsc#973818, fate#319242).
- staging/hfi1: check for ARMED->ACTIVE change in recv int
  (bsc#973818, fate#319242).
- staging/hfi1: Clean up comments (bsc#973818, fate#319242).
- staging/hfi1: Convert lock to mutex (bsc#973818, fate#319242).
- staging/hfi1: Enable TID caching feature (bsc#973818,
  fate#319242).
- staging/hfi1: Fix Xmit Wait calculation (bsc#973818,
  fate#319242).
- staging/hfi1: Move s_sde to read mostly section of hfi1_qp
  (bsc#973818, fate#319242).
- staging/hfi1: Remove un-needed variable (bsc#973818,
  fate#319242).
- staging/hfi1: Remove unneeded variable index (bsc#973818,
  fate#319242).
- staging/hfi1: TID group definitions and support funcs
  (bsc#973818, fate#319242).
- staging/hfi1: Use BIT macro (bsc#973818, fate#319242).
- staging/rdma/hfi: fix CQ completion order issue (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: actually use new RNR timer API in loopback
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Adaptive PIO for short messages (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Add a credit push on diagpkt allocate fail
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: add ACK coalescing logic (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Add active and optical cable support
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Add aeth name syndrome decode (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Add basic rdmavt capability flags for hfi1
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Add blank link after declarations
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Add braces on all arms of statement
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Add comment for spinlock_t definition
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: add common routine for queuing acks
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: add cq head and tail information to
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Add credits for VL0 to VL7 in snoop mode
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: add dd_dev_dbg (bsc#973818, fate#319242).
- staging/rdma/hfi1: add definitions for OPA traps (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Add device specific info prints (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Add one-time LCB reset (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Add page lock limit check for SDMA
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Add qp to send context mapping for PIO
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: add s_avail to qp_stats (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: add s_retry to diagnostics (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Add s_sendcontext priv field (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Add send context sw index (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Add space between concatenated string
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Add spaces around binary operators
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Add support for enabling/disabling PCIe
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: add unique rnr timer (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Adding counter resolutions for (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Adding support for hfi counters via sysfs
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Adds software counters for bitfields
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Adjust EPROM partitions, add EPROM
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Allocate send ctxt on device NUMA node
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Allow a fair scheduling of QPs (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Always download SBus firmware (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: avoid passing pmtu (bsc#973818, fate#319242).
- staging/rdma/hfi1: Avoid using upstream component if it is
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Begin to use rdmavt for verbs (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: centralize timer routines into rc
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Change for data type of port number
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Change num_rcv_contexts to (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Change send_schedule counter to a per cpu
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Check interrupt registers mapping
  (bsc#973818, fate#319242).
- staging: rdma: hfi1: chip: Remove wrapper function (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Clean up init_cntrs() (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Clean up macro indentation (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Clean up register device (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Clean up return handling (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Clean-up unnecessary goto statements
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Cleanup comments and logs in PHY code
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: cleanup messages on qsfp_read() failure
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Clear the QSFP reset that is asserted on
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Consider VL15 MTU also when calculating
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Consolidate CPU/IRQ affinity support
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Consolidate dma ops for hfi1 (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: convert buffers allocated atomic to per
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Convert dd_dev_info() to hfi1_cdbg() in
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Convert to use get_user_pages_fast
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Correct TWSI reset (bsc#973818, fate#319242).
- staging/rdma/hfi1: correctly check for post-interrupt packets
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Correctly limit VLs against SDMA engines
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Correctly set RcvCtxtCtrl register
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Decode CNP opcode (bsc#973818, fate#319242).
- Staging: rdma: hfi1: Delete NULL check before vfree (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Destroy workqueues if (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Detect SDMA transmission error early
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Determine actual operational VLs (bsc#973818,
  fate#319242).
- staging: rdma: hfi1: diag: constify hfi1_filter_array
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: diag.c add missing braces (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: diag.c change null comparisons (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: diag.c correct sizeof parameter (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: diag.c fix alignment (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: diag.c fix logical continuations (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: diag.c fix white space errors (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: diag.c use BIT macros (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Disable thermal polling before sensor
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Disclose more information when i2c fails
  (bsc#973818, fate#319242).
- staging: rdma: hfi1: Do not use | with a variable with value
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Don't attempt to qualify or tune loopback
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: don't cache "prescan head" (bsc#973818,
  fate#319242).
- staging: rdma: hfi1: driver: Replace IS_ALIGNED with
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Eliminate WARN_ON when VL is invalid
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Enable WFR PCIe extended tags from the
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Extend quiet timeout (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Fetch platform configuration data from EFI
  (bsc#973818, fate#319242).
- staging: rdma: hfi1: file_ops: Replace ALIGN with PAGE_ALIGN
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: fix 0-day syntax error (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Fix a possible null pointer dereference
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix block comments (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix bug that could block the process on
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix camel case variables (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Fix code alignment (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix comparison to NULL (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Fix counter read for cp (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Fix debugfs access race (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Fix downgrade race (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix error in hfi1 driver build (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Fix fabric serdes reset by re-downloading
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix for 32-bit counter overflow in driver
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix for generic I2C interface (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Fix for module parameter hdrq_entsize when
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix for module parameter rcvhdrcnt when
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix for opaportconfig ledon by not
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix header size calculation for RC/UC QPs
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix header (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix logical continuations (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Fix memory leaks (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix missing firmware NULL dereference
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix misspellings (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix module parameter spelling (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: fix panic in send engine (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Fix per-VL transmit discard counts
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: fix pio progress routine race with
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix qp.h comments (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix QSFP memory read/write across 128 byte
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix reporting of LED status in (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: fix sdma build failures to always clean up
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix SL->SC checks (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix snoop packet length calculation
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Fix xmit discard error weight (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Further clean up hfi1_ioctl parameter
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Get port type from configuration file
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Guard i2c access against cp (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Handle packets with invalid RHF on context
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: HFI now sends OPA Traps instead of IBTA
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: HFI reports wrong offline disabled reason
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: hfi1_ioctl remove setlink state (bsc#973818,
  fate#319242).
- staging/rdma/hfi1, IB/core: Fix LinkDownReason define for
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Implement hfi1 support for AH notification
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Implement LED beaconing for maintenance
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Improve performance of SDMA transfers
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Improve performance of TID cache look up
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Improve performance of user SDMA (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Insure last cursor is updated prior to
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Make EPROM check per device (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Make firmware failure messages warnings
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Method to toggle "fast ECN" detection
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: move hfi1_migrate_qp (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Move macros to a common header (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: move txreq header code (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: No firmware retry for simulation (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Only warn when board description is not
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: optionally prescan rx queue for {B, F}ECNs
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: pre-compute sc and sde for RC/UC QPs
  (bsc#973818, fate#319242).
- staging: rdma: hfi1 : Prefer using the BIT macro (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Properly determine error status of SDMA
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Put QPs into error state after SL->SC
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Read EFI variable for device description
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Reduce number of parameters passed to send
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Reduce snoop locking scope in IOCTL
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Reduce syslog message severity and provide
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove blank line after an open brace
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove blank line before close brace
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove CamelCase (bsc#973818, fate#319242).
- staging: rdma: hfi1: Remove casts of pointer to same type
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove CQ data structures and functions
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove create and free mad agents
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove create_qp functionality (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Remove destroy qp verb (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Remove driver specific members from hfi1
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: remove duplicate timeout print (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Remove else after break (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Remove file pointer macros (bsc#973818,
  fate#319242).
- staging: rdma: hfi1: Remove header file (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Remove header memcpy from sdma send path
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove hfi1 MR and hfi1 specific qp type
  (bsc#973818, fate#319242).
- staging: rdma: hfi1: Remove hfi1_nomsix() wrapper function
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove hfi1_query_qp function (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Remove ibport and use rdmavt version
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove incorrect link credit check
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove mmap from hfi1 (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Remove modify queue pair from hfi1
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove modify_port and port_immutable
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove MR data structures from hfi1
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove multicast verbs functions (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Remove multiple blank lines (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Remove PCIe AER diagnostic message
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove post_recv and use rdmavt version
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove qpdev and qpn table from hfi1
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove query_device function (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Remove rcv bubbles code (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: remove RxCtxRHQS from hfi1stats (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: remove s_rdma_mr (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove space after cast (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: remove SPC freeze error messages (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Remove spurious error messages (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Remove srq from hfi1 (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Remove srq functionality (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Remove unnecessary duplicated variable
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove unnecessary include files (bsc#973818,
  fate#319242).
- staging: rdma: hfi1: Remove unnecessary kfree (bsc#973818,
  fate#319242).
- staging: rdma: hfi1: Remove unnecessary parantheses (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Remove unnecessary parentheses (bsc#973818,
  fate#319242).
- staging: rdma: hfi1: Remove unnecessary pci_set_drvdata()
  (bsc#973818, fate#319242).
- staging: rdma: hfi1: Remove unnecessary variable (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Remove unused code (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove unused variable nsbr (bsc#973818,
  fate#319242).
- staging: rdma: hfi1: Remove useless return variables
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove user context allocation and
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Remove void function return statement
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Removing unused struct hfi1_verbs_counters
  (bsc#973818, fate#319242).
- staging: rdma: hfi1: Replace ALIGN with PAGE_ALIGN (bsc#973818,
  fate#319242).
- staging: rdma: hfi1: Replace kmalloc and memcpy with kmemdup
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Replacement of goto's for break/returns
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Report physical state changes per device
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Return early from hfi1_ioctl parameter
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Return immediately on error (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: rework is_a0() and is_bx() (bsc#973818,
  fate#319242).
- staging: rdma: hfi1: sdma: Remove wrapper functions (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Select only devices with active links
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: set Gen3 half-swing for integrated devices
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Skip lcb init for simulation (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Split last 8 bytes of copy to user buffer
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Split multiple assignments (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Support alternate firmware names (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Support external device configuration
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Support query gid in rdmavt (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Tune for unknown channel if configuration
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Turning off LED without checking if
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Unconditionally clean-up SDMA queues
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Unexpected link up pkey values are not an
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: unknown frame messages are not errors
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Use address handle in rdmavt and remove
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Use BIT_ULL macro (bsc#973818, fate#319242).
- staging/rdma/hfi1: Use correct rdmavt header files after
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Use device file minor to identify EPROM
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: use mod_timer when appropriate (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: use new RNR timer (bsc#973818, fate#319242).
- staging/rdma/hfi1: use new timer routines (bsc#973818,
  fate#319242).
- staging: rdma: hfi1: Use offset_in_page macro (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: use one-shot LCB write (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Use parallel workqueue for SDMA engines
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Use pointer instead of struct name
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Use rdmavt device allocation function
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Use rdmavt pkey verbs function (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Use rdmavt protection domain (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Use rdmavt send flags and recv flags
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Use rdmavt version of post_send (bsc#973818,
  fate#319242).
- staging: rdma: hfi1: Use setup_timer (bsc#973818, fate#319242).
- staging/rdma/hfi1: use u8 for vl/sl (bsc#973818, fate#319242).
- staging: rdma: hfi1: user_sdma.c: Drop void pointer cast
  (bsc#973818, fate#319242).
- staging/rdma/hfi1: Verbs Mem affinity support (bsc#973818,
  fate#319242).
- staging/rdma/hfi1: Workaround to prevent corruption during
  (bsc#973818, fate#319242).
- staging: rdma: Use kcalloc instead of kzalloc (bsc#973818,
  fate#319242).
- Staging: rdma: Use min macro instead of ternary operator
  (bsc#973818, fate#319242).
- uapi/hfi1_user: Add command and event for TID caching
  (bsc#973818, fate#319242).
- uapi/hfi1_user: Correct comment for capability bit (bsc#973818,
  fate#319242).
- Update config files.
- supported.conf:
- commit 71ebe1b
* Fri Apr 15 2016 mbrugger@suse.com
- supported.conf: arm64: enable Xilinx SPI driver
- commit 55a5437
* Fri Apr 15 2016 mbrugger@suse.com
- arm64: Update config files.
  Enalbe SPI driver for Xilinx.
- commit 3f17649
* Fri Apr 15 2016 mbrugger@suse.com
- irqdomain: Export irq_domain_free_irqs_common (fate#319483).
- commit 514fa35
* Fri Apr 15 2016 hare@suse.de
- qlcnic: Fix mailbox completion handling during spurious
  interrupt (bsc#966337,FATE#320147).
- qlcnic: Remove unnecessary usage of atomic_t
  (bsc#966337,FATE#320147).
- qlcnic: constify qlcnic_dcb_ops structures
  (bsc#966337,FATE#320147).
- commit 430db46
* Fri Apr 15 2016 hare@suse.de
- qlge: Fix receive packets drop (FATE#320149,bnc#9663123).
- commit 454d10f
* Fri Apr 15 2016 jroedel@suse.de
- iommu/amd: Fix checking of pci dma aliases (bsc#975772).
- commit 323c8a0
* Fri Apr 15 2016 jroedel@suse.de
- iommu/vt-d: Ratelimit fault handler (bsc#975772).
- iommu/vt-d: Improve fault handler error messages (bsc#975772).
- iommu: Don't overwrite domain pointer when there is no
  default_domain (bsc#975772).
- iommu/dma: Restore scatterlist offsets correctly (bsc#975772).
- commit 7d149dd
* Fri Apr 15 2016 jroedel@suse.de
- x86/PCI: Add driver for Intel Volume Management Device (VMD)
  (fate#320000).
- Update config files.
- PCI/AER: Use 32 bit PCI domain numbers (fate#320000).
- x86/PCI: Allow DMA ops specific to a PCI domain (fate#320000).
- irqdomain: Export irq_domain_set_info() for module use
  (fate#320000).
- genirq/MSI: Relax msi_domain_alloc() to support parentless
  MSI irqdomains (fate#320000).
- commit 30beb48
* Fri Apr 15 2016 jroedel@suse.de
- PCI: Add DMA alias quirk for mic_x200_dma (fate#320380).
- PCI: Add support for multiple DMA aliases (fate#320380).
- PCI: Move informational printk to pci_add_dma_alias()
  (fate#320380).
- PCI: Add pci_add_dma_alias() to abstract implementation
  (fate#320380).
- commit ea9a59e
* Fri Apr 15 2016 jroedel@suse.de
- iommu/amd: Signedness bug in acpihid_device_group()
  (fate319479).
- commit c0b6beb
* Fri Apr 15 2016 jjolly@suse.de
- s390/pci: fmb enhancements (FATE#319595, LTC#KRN1405).
- s390/pci: add report_error attribute (FATE#320437, LTC#135989).
- dasd: add query host access to volume support (FATE#319605,
  LTC#131276).
- commit 42937f7
* Fri Apr 15 2016 bpoirier@suse.com
- net/mlx4: remove unused array zero_gid (bsc#966191 FATE#320230
  bsc#966186 FATE#320228).
- net/mlx4_core: Fix backward compatibility on VFs (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- mlx4: add missing braces in verify_qp_parameters (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- IB/core: Add vendor's specific data to alloc mw (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- IB/mlx4: Add support for the don't trap rule (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- IB/core: Add don't trap flag to flow creation (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- IB/mlx4: Use boottime (bsc#966191 FATE#320230 bsc#966186
  FATE#320228).
- net/mlx4_core: Allow resetting VF admin mac to zero (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_core: Check the correct limitation on VFs for HA mode
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_core: Fix lockdep warning in handling of mac/vlan
  tables (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_core: Set UAR page size to 4KB regardless of system
  page size (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_core: Do not BUG_ON during reset when PCI is offline
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_core: Fix potential corruption in counters database
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- IB/mlx4: Add support for the port info class for RoCE ports
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- IB/mlx4: Add support for extended counters over RoCE ports
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net/mlx4: fix some error handling in mlx4_multi_func_init()
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- IB/sysfs: remove unused va_list args (bsc#966191 FATE#320230
  bsc#966186 FATE#320228).
- IB/core: Set correct payload length for RoCEv2 over IPv6
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- IB/mlx4: Advertise RoCE v2 support (bsc#966191 FATE#320230
  bsc#966186 FATE#320228).
- IB/mlx4: Create and use another QP1 for RoCEv2 (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- IB/mlx4: Enable send of RoCE QP1 packets with IP/UDP headers
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- IB/mlx4: Enable RoCE v2 when the IB device is added (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- IB/mlx4: Support modify_qp for RoCE v2 (bsc#966191 FATE#320230
  bsc#966186 FATE#320228).
- IB/core: Add definition for the standard RoCE V2 UDP port
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_core: Add support for RoCE v2 entropy (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_core: Add support for configuring RoCE v2 UDP port
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- IB/mlx4: Add support for setting RoCEv2 gids in hardware
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_core: Configure mlx4 hardware for mixed RoCE v1/v2
  modes (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- IB/mlx4: Add gid_type to GID properties (bsc#966191 FATE#320230
  bsc#966186 FATE#320228).
- net/mlx4: Query RoCE support (bsc#966191 FATE#320230 bsc#966186
  FATE#320228).
- IB/core: Fix dereference before check (bsc#966191 FATE#320230
  bsc#966186 FATE#320228).
- IB/core: Eliminate sparse false context imbalance warning
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- infiniband: Replace memset with eth_zero_addr (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- IB/mlx4: Take source mac from AH instead from the port
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- IB/mlx4: Initialize hop_limit when creating address handle
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- IB/cma: allocating too much memory in make_cma_ports()
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- IB/mlx4: Convert kmalloc to kmalloc_array for checkpatch
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- IB/mlx4: Suppress non-fatal memory allocations (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- IB: remove in-kernel support for memory windows (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- IB/cma: Join and leave multicast groups with IGMP (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- IB/core: Initialize UD header structure with IP and UDP headers
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- commit b9a4160
* Fri Apr 15 2016 bpoirier@suse.com
- IB/cma: Add configfs for rdma_cm (bsc#966191 FATE#320230
  bsc#966186 FATE#320228).
- Update config files.
- commit f1d7381
* Fri Apr 15 2016 bpoirier@suse.com
- IB/rdma_cm: Add wrapper for cma reference count (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- IB/core: Validate route when we init ah (bsc#966191 FATE#320230
  bsc#966186 FATE#320228).
- IB/core: Move rdma_is_upper_dev_rcu to header file (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- IB/core: Add rdma_network_type to wc (bsc#966191 FATE#320230
  bsc#966186 FATE#320228).
- IB/core: Add ROCE_UDP_ENCAP (RoCE V2) type (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- IB/core: Add gid attributes to sysfs (bsc#966191 FATE#320230
  bsc#966186 FATE#320228).
- IB/cm: Use the source GID index type (bsc#966191 FATE#320230
  bsc#966186 FATE#320228).
- IB/core: Add gid_type to gid attribute (bsc#966191 FATE#320230
  bsc#966186 FATE#320228).
- IB/core: don't search the GID table twice (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- IB/core: Change per-entry lock in RoCE GID table to one lock
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- IB/core: Refactor GID cache's ib_dispatch_event (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_core: Support the HA mode for SRIOV VFs too (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- IB/mlx4: Use the VF base-port when demuxing mad from wire
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_core: Keep VLAN/MAC tables mirrored in multifunc HA
  mode (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_core: Support mirroring VF DMFS rules on both ports
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_core: Use both physical ports to dispatch link state
  events to VF (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net/mlx4_core: Use both physical ports to set the VF link state
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net: avoid NULL deref in napi_get_frags() (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- net: provide generic busy polling to all NAPI drivers
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net: napi_hash_del() returns a boolean status (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- net: move napi_hash into read mostly section (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- net: add netif_tx_napi_add() (bsc#966191 FATE#320230 bsc#966186
  FATE#320228).
- net: move skb_mark_napi_id() into core networking stack
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- mlx4: remove mlx4_en_low_latency_recv() (bsc#966191 FATE#320230
  bsc#966186 FATE#320228).
- bnx2x: remove bnx2x_low_latency_recv() support (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- mlx5: support napi_complete_done() (bsc#966191 FATE#320230
  bsc#966186 FATE#320228).
- mlx5: add busy polling support (bsc#966191 FATE#320230
  bsc#966186 FATE#320228).
- net: network drivers no longer need to implement ndo_busy_poll()
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net: allow BH servicing in sk_busy_loop() (bsc#966191
  FATE#320230 bsc#966186 FATE#320228).
- net: un-inline sk_busy_loop() (bsc#966191 FATE#320230 bsc#966186
  FATE#320228).
- mlx4: mlx4_en_low_latency_recv() called with BH disabled
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- net: better skb->sender_cpu and skb->napi_id cohabitation
  (bsc#966191 FATE#320230 bsc#966186 FATE#320228).
- commit d401730
* Fri Apr 15 2016 mbrugger@suse.com
- Update config files.
  Update to v4.4.7
- commit 8346247
* Thu Apr 14 2016 mbrugger@suse.com
- staging: fsl-mc: bus: Drop warning.
- commit ab66b1e
* Thu Apr 14 2016 mbrugger@suse.com
- amd-xgbe: Mask auto-negotiation interrupts in ISR (fate#320554).
- amd-xgbe: Check Rx queue fifos before stopping Rx DMA
  (fate#320554).
- amd-xgbe: Fix the mapping of priorities to traffic classes
  (fate#320554).
- amd-xgbe: Enable/disable PFC per traffic class (fate#320554).
- amd-xgbe: Verify forced speed matches the active speedset
  (fate#320554).
- amd-xgbe: Use __napi_schedule_irqoff (fate#320554).
- amd-xgbe: Change from napi_complete to napi_complete_done
  (fate#320554).
- amd-xgbe: Disable VLAN filtering when in promiscuous mode
  (fate#320554).
- commit 15cce8b
* Thu Apr 14 2016 mbrugger@suse.com
- net: thunderx: Don't use mdio.
- commit 2af6082
* Thu Apr 14 2016 mbrugger@suse.com
- net: thunderx: Don't leak phy device references on -EPROBE_DEFER
  condition (fate#319980).
- net: thunderx: Cleanup PHY probing code (fate#319980).
- net: thunderx: Fix for Qset error due to CQ full (fate#319980).
- net: thunderx: Fix receive packet stats (fate#319980).
- net: thunderx: Fix for HW TSO not enabled for secondary qsets
  (fate#319980).
- net: thunderx: Fix for multiqset not configured upon interface
  toggle (fate#319980).
- net: thunderx: Alloc higher order pages when pagesize is small
  (fate#319980).
- net: thunderx: bgx: Add log message when setting mac address
  (fate#319980).
- net: thunderx: Assign affinity hints to vf's interrupts
  (fate#319980).
- commit 6ea89de
* Thu Apr 14 2016 mbrugger@suse.com
- clk: xgene: Add missing parenthesis when clearing divider value
  (fate#319483).
- clk: xgene: Remove return from void function (fate#319483).
- clk: xgene: Add SoC and PMD PLL clocks with v2 hardware
  (fate#319483).
- clk: xgene: Fix divider with non-zero shift value (fate#319483).
- commit d9ace3e
* Thu Apr 14 2016 mbrugger@suse.com
- drivers: net: xgene: Add support for multiple queues
  (fate#319483).
- drivers: net: xgene: Add support for RSS (fate#319483).
- drivers: net: xgene: Add support for Classifier engine
  (fate#319483).
- drivers: net: xgene: fix extra IRQ issue (fate#319483).
- drivers: net: xgene: constify xgene_mac_ops and xgene_port_ops
  structures (fate#319483).
- drivers: net: xgene: optimizing the code (fate#319483).
- commit 4078b0a
* Thu Apr 14 2016 mbrugger@suse.com
- gpio: xgene-sb: Use irq_domain_free_irqs_common() (fate#319483).
- commit a81d9e5
* Thu Apr 14 2016 mbrugger@suse.com
- gpio: xgene: Prevent NULL pointer dereference (fate#319483).
- commit 826d46d
* Thu Apr 14 2016 mbrugger@suse.com
- Update config files.
  Enable XGENE_PMU
- commit 17ee1bf
* Thu Apr 14 2016 mbrugger@suse.com
- [v2,4/4] arm64: dts: apm: Add APM X-Gene SoC PMU DTS entries.
- [v2, 3/4] perf: xgene: Add APM X-Gene SoC Performance Monitoring
  Unit driver.
- [v2, 2/4] Documentation: Add documentation for APM X-Gene SoC
  PMU DTS binding.
- [v2,1/4] MAINTAINERS: Add entry for APM X-Gene SoC PMU driver.
- commit 5a24e7a
* Thu Apr 14 2016 jjolly@suse.de
- KVM: s390: don't load kvm without virtualization support
  (FATE#319575, LTC#131342).
- s390: show virtualization support in /proc/cpuinfo (FATE#319575,
  LTC#131342).
- s390/sclp: introduce check for SIE (FATE#319575, LTC#131342).
- commit 3032585
* Thu Apr 14 2016 mbrugger@suse.com
- Delete
  patches.arch/arm64-net-thunder-bgx-Rework-driver-to-support-ACPI-bindin.patch.
  We don't support ACPI for thunderx
- commit ad31216
* Thu Apr 14 2016 mbrugger@suse.com
- lib/bitmap.c: conversion routines to/from u32 array
  (fate#319481).
- commit f9ff83a
* Thu Apr 14 2016 mbrugger@suse.com
- Refresh
  patches.arch/arm64-6-6-arm64-perf-Add-Broadcom-Vulcan-PMU-support.patch.
  Fix compilation error.
- commit bba09cf
* Thu Apr 14 2016 mbrugger@suse.com
- Refresh:
- patches.arch/arm64-thd-pmu-2-5-arm64-perf-Add-Cavium-ThunderX-PMU-support.patch
- commit 2d667c1
* Thu Apr 14 2016 trenn@suse.com
- Refresh patches.drivers/intel_rapl_add_missing_0x46_cpu.patch.
- commit 66c1e80
* Thu Apr 14 2016 mbrugger@suse.com
- arm64: Enabel mailbox-xgene-slimpro for xgene
- Update config files.
- supported.conf
- commit ddd5f3d
* Thu Apr 14 2016 mbrugger@suse.com
- Documentation: mailbox: Add APM X-Gene SLIMpro mailbox dts
  documentation (fate#319483).
- mailbox: Add support for APM X-Gene platform mailbox driver
  (fate#319483).
- commit 7471629
* Thu Apr 14 2016 mbrugger@suse.com
- arm64: Update config files.
  Enable ACPI in config.
- commit aed27fa
* Thu Apr 14 2016 oneukum@suse.com
- USB: PD: additional feature selectors (FATE#319962).
- USB: PD: define specific requests (FATE#319962).
- USB: add descriptors from USB Power Delivery spec (FATE#319962).
- commit 9089138
* Thu Apr 14 2016 mbrugger@suse.com
- supported.conf: add ahci_seattle driver
- commit 20b762d
* Thu Apr 14 2016 mbrugger@suse.com
- arm64: Update config files.
  Enable SATA_AHCI_SEATTLE
- commit f989f90
* Thu Apr 14 2016 mbrugger@suse.com
- ata: add AMD Seattle platform driver (fate#320554).
- commit 78816bb
* Thu Apr 14 2016 agraf@suse.de
- PCI: xilinx-nwl: Add support for Xilinx NWL PCIe Host Controller
  (fate#320029).
- Update config files: Enable Xilinx ZynqMP components (fate#320029)
- supported.conf: Enable Xilinx ZynqMP components (fate#320029)
- commit e0a0fd1
* Thu Apr 14 2016 jslaby@suse.cz
- Linux 4.4.7 (CVE-2016-2184 CVE-2016-2185 CVE-2016-2186
  CVE-2016-2188 CVE-2016-3136 CVE-2016-3137 CVE-2016-3138
  CVE-2016-3140 CVE-2016-3689 FATE#320193 FATE#320741 bnc#967903
  bnc#970892 bnc#970911 bnc#970955 bnc#970956 bnc#970958
  bnc#970970 bnc#971124 bnc#971628 bnc#971975 bnc#974525
  boo#969098 boo#970968 bsc#963621 bsc#969870 bsc#971125
  FATE#320140 bnc#866012).
- Refresh
  patches.drivers/0001-blk-mq-add-a-flags-parameter-to-blk_mq_alloc_request.patch.
- Refresh patches.drivers/0002-aacraid-scsi-blk-tag-support.patch.
- Refresh
  patches.fixes/dm-distinquish-old-.request_fn-dm-old-vs-dm-mq-reque.patch.
- Refresh
  patches.fixes/dm-fix-a-couple-locking-issues-with-use-of-block-int.patch.
- Refresh
  patches.suse/0004-x86-Lock-down-IO-port-access-when-securelevel-is-ena.patch.
- Refresh
  patches.suse/kgr-0008-mark-task_safe-in-some-kthreads.patch.
- Refresh
  patches.suse/perf-x86-intel-add-perf-core-pmu-support-for-intel-knights-landing.patch.
- Delete
  patches.arch/intel_idle-prevent-SKL-H-boot-failure-when-C8-C9-C10.
- Delete
  patches.drivers/0001-Input-ims-pcu-sanity-check-against-missing-interface.patch.
- Delete
  patches.drivers/0001-Input-powermate-fix-oops-with-malicious-USB-descript.patch.
- Delete
  patches.drivers/0001-USB-cdc-acm-more-sanity-checking.patch.
- Delete
  patches.drivers/0001-USB-cypress_m8-add-endpoint-sanity-check.patch.
- Delete
  patches.drivers/0001-USB-digi_acceleport-do-sanity-checking-for-the-numbe.patch.
- Delete
  patches.drivers/0001-USB-iowarrior-fix-oops-with-malicious-USB-descriptor.patch.
- Delete
  patches.drivers/0001-USB-mct_u232-add-sanity-checking-in-probe.patch.
- Delete
  patches.drivers/0001-USB-usb_driver_claim_interface-add-sanity-checking.patch.
- Delete patches.drivers/0003-aacraid-fix-rrq-overload.patch.
- Delete
  patches.drivers/0005-aacraid-fix-memory-leak-in-aac_fib_map_free.patch.
- Delete
  patches.drivers/0006-aacraid-set-correct-msix-count-for-eeh-recovery.patch.
- Delete
  patches.drivers/0033-be2iscsi-set-the-boot_kset-pointer-to-NULL-in-case-o.patch.
- Delete
  patches.drivers/ALSA-usb-audio-Add-sanity-checks-for-endpoint-access.
- Delete
  patches.drivers/ALSA-usb-audio-Fix-NULL-dereference-in-create_fixed.
- Delete
  patches.fixes/0001-usb-retry-reset-if-a-device-times-out.patch.
- Delete
  patches.fixes/dm-cache-make-sure-every-metadata-function-checks-fa.patch.
- Delete
  patches.fixes/dm-fix-excessive-dm-mq-context-switching.patch.
- Delete
  patches.fixes/dm-fix-rq_end_stats-NULL-pointer-in-dm_requeue_origi.patch.
- Delete
  patches.fixes/dm-snapshot-disallow-the-COW-and-origin-devices-from.patch.
- Delete
  patches.fixes/dm-thin-metadata-don-t-issue-prefetches-if-a-transac.patch.
- Delete
  patches.fixes/net-irda-Fix-use-after-free-in-irtty_open.patch.
- Delete
  patches.suse/msft-hv-0989-tools-hv-Use-include-uapi-with-__EXPORTED_HEADERS__.patch.
- Delete
  patches.suse/msft-hv-1018-scsi-storvsc-fix-SRB_STATUS_ABORTED-handling.patch.
- Delete
  patches.suse/x86-mm-TLB_REMOTE_SEND_IPI-should-count-pages.patch.
- commit d67863a
* Thu Apr 14 2016 jeffm@suse.com
- DAX Backport (FATE#319256) w/ ext4 enablement (FATE#320282).
  - avr32: convert to asm-generic/memory_model.h (FATE#319256).
  - block: disable block device DAX by default.
  - block: fix pfn_mkwrite() DAX fault handler.
  - block: use DAX for partition table reads.
  - dax: add support for fsync/sync.
  - dax: check return value of dax_radix_entry().
  - dax: dirty inode only if required.
  - dax: fix conversion of holes to PMDs.
  - dax: fix lifetime of in-kernel dax mappings with
    dax_map_atomic() (FATE#319256).
  - dax: fix NULL pointer dereference in __dax_dbg().
  - dax: give DAX clearing code correct bdev.
  - dax: guarantee page aligned results from bdev_direct_access()
    (FATE#319256).
  - dax: increase granularity of dax_clear_blocks() operations
    (FATE#319256).
  - dax: move writeback calls into the filesystems.
  - dax: never rely on bh.b_dev being set by get_block().
  - dax: provide diagnostics for pmd mapping failures (FATE#319256).
  - dax: re-enable dax pmd mappings (FATE#319256).
  - dax: Split pmd map when fallback on COW (FATE#319256).
  - dax: support dirty DAX entries in radix tree.
  - direct-io: always call ->end_io if non-NULL.
  - ext2: call dax_pfn_mkwrite() for DAX fsync/msync (FATE#319256).
  - ext2, ext4: fix issue with missing journal entry in
    ext4_dax_mkwrite() (FATE#319256 FATE#320282).
  - ext4: call dax_pfn_mkwrite() for DAX fsync/msync (FATE#319256
    FATE#320282).
  - ext4: document lock ordering (FATE#319256 FATE#320282).
  - ext4: fix crashes in dioread_nolock mode (FATE#319256
    FATE#320282).
  - ext4: get rid of EXT4_GET_BLOCKS_NO_LOCK flag (FATE#319256
    FATE#320282).
  - ext4: implement allocation of pre-zeroed blocks (FATE#319256
    FATE#320282).
  - ext4: move trans handling and completion deferal out of
    _ext4_get_block (FATE#319256 FATE#320282).
  - ext4: provide ext4_issue_zeroout() (FATE#319256 FATE#320282).
  - ext4: rename and split get blocks functions (FATE#319256
    FATE#320282).
  - ext4: retry block allocation for failed DIO and DAX writes
    (FATE#320282).
  - ext4: simplify io_end handling for AIO DIO (FATE#320282).
  - ext4: use pre-zeroed blocks for DAX page faults (FATE#319256
    FATE#320282).
  - frv: fix compiler warning from definition of __pmd()
    (FATE#319256).
  - hugetlb: fix compile error on tile (FATE#319256).
  - kvm: rename pfn_t to kvm_pfn_t (FATE#319256).
  - KVM: x86: MMU: Make mmu_set_spte() return emulate value.
  - KVM: x86: MMU: Remove unused parameter of __direct_map().
  - libnvdimm, pmem: fix kmap_atomic() leak in error path.
  - mm: add find_get_entries_tag().
  - mm, dax: convert vmf_insert_pfn_pmd() to pfn_t (FATE#319256).
  - mm, dax: dax-pmd vs thp-pmd vs hugetlbfs-pmd (FATE#319256).
  - mm, dax: fix livelock, allow dax pmd mappings to become
    writeable (FATE#319256).
  - mm, dax, gpu: convert vm_insert_mixed to pfn_t (FATE#319256).
  - mm, dax, pmem: introduce {get|put}_dev_pagemap() for dax-gup
    (FATE#319256).
  - mm, dax, pmem: introduce pfn_t (FATE#319256).
  - mm: skip memory block registration for ZONE_DEVICE
    (FATE#319256).
  - mm, x86: fix pte_page() crash in gup_pte_range() (FATE#319256).
  - mm, x86: get_user_pages() for dax mappings (FATE#319256).
  - pmem: add wb_cache_pmem() to the PMEM API.
  - pmem, dax: clean up clear_pmem() (FATE#319256).
  - um: kill pfn_t (FATE#319256).
  - x86, mm: introduce _PAGE_DEVMAP (FATE#319256).
  - xfs: call dax_pfn_mkwrite() for DAX fsync/msync.
- commit a2bcd50
* Thu Apr 14 2016 neilb@suse.com
- pipe: limit the per-user amount of pages allocated in pipes
  (bsc#970948).
- commit fcf8fa3
* Thu Apr 14 2016 bpoirier@suse.com
- e1000e: Initial support for KabeLake (bsc#969470 FATE#319819).
- e1000e: Clear ULP configuration register on ULP exit (bsc#969470
  FATE#319819).
- e1000e: Set HW FIFO minimum pointer gap for non-gig speeds
  (bsc#969470 FATE#319819).
- e1000e: Increase PHY PLL clock gate timing (bsc#969470
  FATE#319819).
- e1000e: Increase ULP timer (bsc#969470 FATE#319819).
- commit 8667273
* Thu Apr 14 2016 bpoirier@suse.com
- e1000e: Adds hardware supported cross timestamp on e1000e nic
  (bsc#969470 FATE#319819).
- Update config files.
- commit cb32c98
* Thu Apr 14 2016 bpoirier@suse.com
- ptp: Add PTP_SYS_OFFSET_PRECISE for driver crosstimestamping
  (bsc#969470 FATE#319819).
- x86/tsc: Always Running Timer (ART) correlated clocksource
  (bsc#969470 FATE#319819).
- time: Add history to cross timestamp interface supporting
  slower devices (bsc#969470 FATE#319819).
- time: Add driver cross timestamp interface for higher precision
  time synchronization (bsc#969470 FATE#319819).
- time: Remove duplicated code in ktime_get_raw_and_real()
  (bsc#969470 FATE#319819).
- time: Add timekeeping snapshot code capturing system time and
  counter (bsc#969470 FATE#319819).
- time: Add cycles to nanoseconds translation (bsc#969470
  FATE#319819).
- e1000e: Fix msi-x interrupt automask (bsc#969470 FATE#319819).
- e1000e: Do not write lsc to ics in msi-x mode (bsc#969470
  FATE#319819).
- e1000e: Do not read ICR in Other interrupt (bsc#969470
  FATE#319819).
- e1000e: Remove unreachable code (bsc#969470 FATE#319819).
- e1000e: Switch e1000e_up to void, drop code checking for error
  result (bsc#969470 FATE#319819).
- e1000e: initial support for i219-LM (3) (bsc#969470
  FATE#319819).
- e1000e: Increase timeout of polling bit RSPCIPHY (bsc#969470
  FATE#319819).
- e1000e: Avoid divide by zero error (bsc#968643).
- e1000e: fix division by zero on jumbo MTUs (bsc#969470
  FATE#319819).
- e1000e: clean up the local variable (bsc#969470 FATE#319819).
- commit f252f2c
* Thu Apr 14 2016 bpoirier@suse.com
- Delete patches.drivers/e1000e-avoid-divide-by-zero.
- Delete
  patches.drivers/e1000e-fix-division-by-zero-on-jumbo-MTUs.
- Delete
  patches.fixes/e1000e-Do-not-read-ICR-in-Other-interrupt.patch.
- Delete
  patches.fixes/e1000e-Do-not-write-lsc-to-ics-in-msi-x-mode.patch.
- Delete patches.fixes/e1000e-Fix-msi-x-interrupt-automask.patch.
- Delete patches.fixes/e1000e-Remove-unreachable-code.patch.
  They will be re-added shortly.
- commit dd83459
* Wed Apr 13 2016 mbrugger@suse.com
- [v4,6/6] arm64/perf: Add Broadcom Vulcan PMU support.
- [v4,5/6] arm64/perf: Filter common events based on PMCEIDn_EL0.
- [v4, 4/6] arm64/perf: Define complete ARMv8 recommended
  implementation defined events.
- [v4,3/6] arm64/perf: Changed events naming as per ARM ARM.
- [v4,2/6] arm64: dts: Add Broadcom Vulcan PMU in dts.
- [v4,1/6] Documentation: arm64: pmu: Add Broadcom Vulcan PMU
  binding.
- commit ef40bc3
* Wed Apr 13 2016 mbrugger@suse.com
- staging: fsl-mc: Do not allow building as a module
  (fate#319900).
- commit 818ebdb
* Wed Apr 13 2016 trenn@suse.com
- Refresh patches.drivers/intel_rapl_add_missing_0x46_cpu.patch.
- commit d0188e5
* Wed Apr 13 2016 colyli@suse.de
- lightnvm: fix bio submission issue (FATE#319466).
- lightnvm: fix incorrect nr_free_blocks stat (FATE#319466).
- lightnvm: add check after mempool allocation (FATE#319466).
- lightnvm: unlock rq and free ppa_list on submission fail
  (FATE#319466).
- lightnvm: move ppa erase logic to core (FATE#319466).
- lightnvm: refactor rqd ppa list into set/free (FATE#319466).
- lightnvm: refactor end_io functions for sync (FATE#319466).
- lightnvm: return the get_bb_tbl return value (FATE#319466).
- lightnvm: check bi_error in gc (FATE#319466).
- lightnvm: put block back to gc list on its reclaim fail
  (FATE#319466).
- lightnvm: fix locking and mempool in rrpc_lun_gc (FATE#319466).
- lightnvm: sectors first in ppa list (FATE#319466).
- lightnvm: move the pages per block check out of the loop
  (FATE#319466).
- lightnvm: support multiple ppas in nvm_erase_ppa (FATE#319466).
- lightnvm: move rq->error to nvm_rq->error (FATE#319466).
- lightnvm: introduce nvm_submit_ppa (FATE#319466).
- lightnvm: reference rrpc lun in rrpc block (FATE#319466).
- lightnvm: fix missing grown bad block type (FATE#319466).
- lightnvm: manage open and closed blocks separately
  (FATE#319466).
- lightnvm: add mccap support (FATE#319466).
- lightnvm: introduce mlc lower page table mappings (FATE#319466).
- lightnvm: core on-disk initialization (FATE#319466).
- lightnvm: introduce ioctl to initialize device (FATE#319466).
- lightnvm: use system block for mm initialization (FATE#319466).
- lightnvm: introduce factory reset (FATE#319466).
- lightnvm: ensure that nvm_dev_ops can be used without CONFIG_NVM
  (FATE#319466).
- lightnvm: put bio before return (FATE#319466).
- lightnvm: warn if irqs are disabled in lock laddr (FATE#319466).
- lightnvm: fix request intersection locking in rrpc
  (FATE#319466).
- lightnvm: check overflow and correct mlc pairs (FATE#319466).
- lightnvm: allow to force mm initialization (FATE#319466).
- lightnvm: fix up nonsensical configure overrun checking
  (FATE#319466).
- lightnvm: fold get bb tbl when using dual/quad plane mode
  (FATE#319466).
- lightnvm: update closed list outside of intr context
  (FATE#319466).
- lightnvm: rename ->nr_pages to ->nr_sects (FATE#319466).
- lightnvm: remove struct nvm_dev->total_blocks (FATE#319466).
- lightnvm: generalize rrpc ppa calculations (FATE#319466).
- lightnvm: specify target's logical address area (FATE#319466).
- lightnvm: add a bitmap of luns (FATE#319466).
- nvme: lightnvm: return ppa completion status (FATE#319466).
- lightnvm: do not reserve lun on l2p loading (FATE#319466).
- lightnvm: do not load L2P table if not supported (FATE#319466).
- supported.conf: add gennvm and rrpc (FATE#319446)
- commit fc57b80
* Wed Apr 13 2016 trenn@suse.com
- powercap: intel_rapl: Add missing Haswell model (fate#319174
  and fate#319172).
- commit 5ea221a
* Wed Apr 13 2016 mmarek@suse.cz
- rpm/kernel-binary.spec.in: No -kgraft subpackage for openSUSE (fate#320268)
- commit 269d6bf
* Wed Apr 13 2016 oneukum@suse.com
- USB: mct_u232: add sanity checking in probe (bnc#970955,
  CVE-2016-3136).
- commit bf53451
* Wed Apr 13 2016 oneukum@suse.com
- USB: iowarrior: fix oops with malicious USB descriptors
  (bnc#970956, CVE-2016-2188).
- commit 163f157
* Wed Apr 13 2016 mbrugger@suse.com
- [RFC,2/2] ARM64: arch_timer: Work around QorIQ Erratum A-009971.
- [RFC,1/2] ARM/ARM64: arch_timer: Work around QorIQ Erratum
  A-008585.
- commit c0e3e89
* Wed Apr 13 2016 jdelvare@suse.de
- s390/pageattr: do a single TLB flush for change_page_attr
  (bsc#940413).
- commit f096c34
* Wed Apr 13 2016 oneukum@suse.com
- USB: cdc-acm: more sanity checking (bnc#970911, CVE-2016-3138).
- commit 0815180
* Wed Apr 13 2016 jdelvare@suse.de
- PCI/AER: Log aer_inject error injections (bsc#931448).
- PCI/AER: Log actual error causes in aer_inject (bsc#931448).
- PCI/AER: Use dev_warn() in aer_inject (bsc#931448).
- PCI/AER: Fix aer_inject error codes (bsc#931448).
- commit 14ee7d1
* Wed Apr 13 2016 neilb@suse.com
- NFSv4.1: don't use machine credentials for CLOSE when using
  'sec=sys' (bsc#972003).
- commit 3676fff
* Tue Apr 12 2016 brogers@suse.com
- x86: kvm: increase guest vcpu support count to 240
  (fate#320428).
- commit 9b97d4d
* Tue Apr 12 2016 jeffm@suse.com
- config: disable ext4 encryption
  This was enabled via openSUSE.  There has been no feature request for
  it to be enabled in SLE12-SP2.
- commit a9ae165
* Tue Apr 12 2016 mmarek@suse.cz
- Update config files: Enabled CONFIG_9P_FSCACHE (bsc#974638).
- commit 07d3617
* Tue Apr 12 2016 oneukum@suse.com
- USB: cypress_m8: add endpoint sanity check (bnc#970970,
  CVE-2016-3137).
- commit 457f284
* Tue Apr 12 2016 oneukum@suse.com
- usb: xhci: add a quirk bit for ssic port unused (FATE3319962).
- commit f355071
* Tue Apr 12 2016 jlee@suse.com
- acpi: Disable APEI error injection if securelevel is set
  (bsc#972891).
- commit dbeeb00
* Tue Apr 12 2016 jjolly@suse.de
- Update config file s390x/{default,vanilla} (bsc#974638)
  * Fake NUMA support on s390x (FATE#319589)
  * CONFIG_NET_9P_VERTIO and CONFIG_9P_FSCACHE in conjunction with CONFIG_NET_9P
  * Disabled unnecessary settings for s390x:
  * CONFIG_SCSI_SNIC, CONFIG_SCSI_AM53C974, and CONFIG_SCSI_WD719X
  * CONFIG_RAS and CONFIG_THUNDERBOLT
  * CONFIG_LIBNVDIMM
  * CONFIG_EXTCON
  * CONFIG_PWM
  * CONFIG_HSI
- commit cb9c261
* Mon Apr 11 2016 oneukum@suse.com
- cdc_ncm: do not call usbnet_link_change from cdc_ncm_bind
  (bnc#974418, CVE-2016-3951).
- commit bdf591b
* Mon Apr 11 2016 mbrugger@suse.com
- arm64: dts: vulcan: Update PCI ranges (fate#319481).
- commit 0c3a65f
* Mon Apr 11 2016 mbrugger@suse.com
- gpio: xlp: use gpiochip data pointer (fate#319481).
- gpio: change member .dev to .parent (fate#319481).
- commit 66bfde2
* Mon Apr 11 2016 mbrugger@suse.com
- Update config files.
- supported.conf:
  Enable SPI_XLP and GPIO_XLP for Broadcom Vulcan SoC.
  Add both drivers to suppoerted conf as well.
- commit 9af91f7
* Mon Apr 11 2016 mbrugger@suse.com
- gpio: xlp: Add GPIO driver support for Broadcom Vulcan ARM64
  (fate#319481).
- spi: xlp: Enable SPI driver for Broadcom Vulcan ARM64
  (fate#319481).
- commit 19bb6bc
* Mon Apr 11 2016 mbrugger@suse.com
- dt-bindings: Add documentation for Broadcom Vulcan
  (fate#319481).
- arm64: cputype info for Broadcom Vulcan (fate#319481).
- arm64: Broadcom Vulcan support (fate#319481).
- arm64: defconfig: Add Broadcom Vulcan to defconfig
  (fate#319481).
- commit a17fb87
* Mon Apr 11 2016 mbrugger@suse.com
- staging: fsl-mc: return -EINVAL for all fsl_mc_portal_allocate()
  failures (fate#319900).
- staging: fsl-mc: add dpmcp version check (fate#319900).
- staging: fsl-mc: add dprc version check (fate#319900).
- staging: fsl-mc: read version of root dprc from mc
  (fate#319900).
- commit 4c2131a
* Mon Apr 11 2016 dvaleev@suse.com
- ibmvnic: map L2/L3/L4 header descriptors to firmware
  (fate#320253).
- ibmvnic: enable RX checksum offload (fate#320253).
- commit 03aba49
* Mon Apr 11 2016 jlee@suse.com
- acpi: Disable ACPI table override when UEFI Secure Boot is
  enabled (bsc#970604).
- commit 19e3b38
* Mon Apr 11 2016 rgoldwyn@suse.com
- fs: add file_dentry() (fate#318900).
- commit 4b0c5e2
* Fri Apr  8 2016 duwe@suse.de
- supported.conf:
  add drivers/char/tpm/tpm_crb (TPM 2.0 ACPI driver)
  required for FATE#319203
- commit 82a9ca7
* Fri Apr  8 2016 duwe@suse.de
- keys, trusted: seal with a TPM2 authorization policy
  (FATE#319203).
- keys, trusted: select hash algorithm for TPM2 chips
  (FATE#319203).
- keys, trusted: fix: *do not* allow duplicate key options
  (FATE#319203).
- commit 497de1c
* Fri Apr  8 2016 fdmanana@suse.com
- Btrfs: add full support for the send feature
  The btrfs send feature is now supported on SLES12-SP2, as requested at
  fate#313516.
- commit 32f77da
* Fri Apr  8 2016 jthumshirn@suse.de
- Using rport->dd_data to check rport online instead of
  rport_lookup (FATE#319759, bsc#964937).
- Cleanup the I/O pending with fw and has timed out and is used
  to issue LUN reset (FATE#319759, bsc#964937).
- Fix to cleanup aborted IO to avoid device being offlined by
  mid-layer (FATE#319759, bsc#964937).
- commit 2276a6a
* Fri Apr  8 2016 mbrugger@suse.com
- staging: fsl-mc: bus rescan attribute to sync kernel with MC
  (fate#319900).
- staging: fsl-mc: fsl-mc bus's sysfs rescan documentation
  (fate#319900).
- staging: fsl-mc: root dprc rescan attribute to sync kernel
  with MC (fate#319900).
- staging: fsl-mc: dprc device's sysfs rescan documentation
  (fate#319900).
- staging: fsl-mc: static inline function to differentiate root
  dprc (fate#319900).
- staging: fsl-mc: update dpcon binary interface to v2.2
  (fate#319900).
- staging: fsl-mc: set cacheable flag for added devices if
  applicable (fate#319900).
- staging: fsl-mc: set up coherent dma ops for added devices
  (fate#319900).
- staging: fsl-mc: change binding rules (fate#319900).
- staging: fsl-mc: update dprc binary interface to v5.1
  (fate#319900).
- staging: fsl-mc: update dpbp binary interface to v2.2
  (fate#319900).
- staging: fsl-mc: update dpmcp binary interface to v3.0
  (fate#319900).
- commit 504809c
* Fri Apr  8 2016 vbabka@suse.cz
- powerpc/mm: enable page parallel initialisation (VM Performance,
  bnc#969292, fate#320529).
- Update config files.
- mm: meminit: initialise more memory for inode/dentry hash
  tables in early boot (VM Performance, bnc#969292, fate#320529).
- commit 64a5844
* Fri Apr  8 2016 mbrugger@suse.com
- arm64: Update config files.
  Enable LS_SCFG_MSI - Add SCFG MSI controller support.
- commit 63100b8
* Fri Apr  8 2016 mbrugger@suse.com
- mmc: sdhci-of-esdhc: add/remove some quirks according to vendor
  version (fate#320030 fate#319900).
- commit cae0898
* Fri Apr  8 2016 mbrugger@suse.com
- ahci: qoriq: Adjust the default register values on ls1021a
  (fate#320030).
- commit 71c4ab4
* Fri Apr  8 2016 mbrugger@suse.com
- ahci: qoriq: Update the default Rx watermark value
  (fate#319900).
- commit 1767de3
* Fri Apr  8 2016 mbrugger@suse.com
- staging: fsl-mc: fix incorrect type passed to dev_err macros
  (fate#319900).
- staging: fsl-mc: fix incorrect type passed to dev_dbg macros
  (fate#319900).
- Staging: fsl-mc: Replace pr_err with dev_err (fate#319900).
- Staging: fsl-mc: Replace pr_debug with dev_dbg (fate#319900).
- staging: fsl-mc: bus: Eliminate double function call
  (fate#319900).
- staging: fsl-mc: Drop unneeded void pointer cast (fate#319900).
- staging: fsl-mc: Remove unneeded else following a return
  (fate#319900).
- Staging: fsl-mc: bus: Drop owner assignment from platform_driver
  (fate#319900).
- staging: fsl-mc: Avoid section mismatch (fate#319900).
- staging: fsl-mc: Remove unneeded parentheses (fate#319900).
- staging: fsl-mc: Added MSI support to the MC bus driver
  (fate#319900).
- staging: fsl-mc: Added DPRC interrupt handler (fate#319900).
- staging: fsl-mc: Fixed bug in dprc_probe() error path
  (fate#319900).
- staging: fsl-mc: set MSI domain for DPRC objects (fate#319900).
- staging: fsl-mc: Populate the IRQ pool for an MC bus instance
  (fate#319900).
- staging: fsl-mc: Changed DPRC built-in portal's mc_io to be
  atomic (fate#319900).
- staging: fsl-mc: Extended MC bus allocator to include IRQs
  (fate#319900).
- staging: fsl-mc: Added GICv3-ITS support for FSL-MC MSIs
  (fate#319900).
- staging: fsl-mc: Added generic MSI support for FSL-MC devices
  (fate#319900).
- fsl-mc: msi: Added FSL-MC-specific member to the msi_desc's
  union (fate#319900).
- irqdomain: Added domain bus token DOMAIN_BUS_FSL_MC_MSI
  (fate#319900 fate#320030).
- commit 271fb4d
* Fri Apr  8 2016 oneukum@suse.com
- usb: fix regression in SuperSpeed endpoint descriptor parsing
  (FATE#319959).
- usb: gadget: composite: Access SSP Dev Cap fields properly
  (FATE#319959).
- usb/core: usb_alloc_dev(): fix setting of ->portnum
  (FATE#319959).
- usb: common: convert to use match_string() helper (FATE#319959).
- lib/string: introduce match_string() helper (FATE#319959).
- PCI: Add PCI_CLASS_SERIAL_USB_DEVICE definition (FATE#319959).
- USB: core: let USB device know device node (FATE#319959).
- usb: f_fs: fix memory leak when ep changes during transfer
  (FATE#319959).
- usb: gadget: composite: Update debug message for SuperSpeedPlus
  (FATE#319959).
- usb: gadget: composite: Configure the usb_ep for SuperSpeedPlus
  (FATE#319959).
- usb: gadget: composite: Write SuperSpeedPlus config descriptors
  (FATE#319959).
- usb: gadget: composite: Add function to get descriptors
  (FATE#319959).
- usb: gadget: composite: Count configs for SuperSpeedPlus
  (FATE#319959).
- usb: gadget: Update config for SuperSpeedPlus (FATE#319959).
- usb: gadget: Update function for SuperSpeedPlus (FATE#319959).
- usb: gadget: Update usb_assign_descriptors for SuperSpeedPlus
  (FATE#319959).
- usb: gadget: composite: Return SSP Dev Cap descriptor
  (FATE#319959).
- usb: gadget: composite: Return bcdUSB 0x0310 (FATE#319959).
- usb: host: unhide suspend/resume declarations (FATE#319959).
- usb: phy: msm: Trigger USB state detection work in DRD mode
  (FATE#319959).
- Revert "usb: hub: do not clear BOS field during reset device"
  (FATE#319959).
- usb: host: pci_quirks: fix memory leak, by adding iounmap
  (FATE#319959).
- commit c74f246
* Fri Apr  8 2016 jlee@suse.com
- PKCS#7: Don't require SpcSpOpusInfo in Authenticode pkcs7
  signatures (bsc#974313).
- commit 9fc8ed2
* Fri Apr  8 2016 jjolly@suse.de
- infiniband: cxgb4: use %%pR format string for printing resources
  (bsc#963897,FATE#320114).
- iw_cxgb4: Max fastreg depth depends on DSGL support
  (bsc#963897,FATE#320114).
- iw_cxgb4: remove false error log entry (bsc#963897,FATE#320114).
- iw_cxgb4: make queue allocation code more readable
  (bsc#963897,FATE#320114).
- iw_cxgb4: Take clip reference before starting IPv6 listen
  (bsc#963897,FATE#320114).
- iw_cxgb4: Fixes GW-Basic labels to meaningful error names
  (bsc#963897,FATE#320114).
- iw_cxgb4: Fixes static checker warning in c4iw_rdev_open()
  (bsc#963897,FATE#320114).
- iw_cxgb4: Pass qid range to user space driver
  (bsc#963897,FATE#320114).
- IB: remove the write-only usecnt field from struct ib_mr
  (bsc#963897,FATE#320114).
- IB: remove in-kernel support for memory windows
  (bsc#963897,FATE#320114).
- IB: remove support for phys MRs (bsc#963897,FATE#320114).
- treewide: Fix typos in printk (bsc#963897,FATE#320114).
- commit 9f0df22
* Thu Apr  7 2016 lduncan@suse.com
- be2iscsi: set the boot_kset pointer to NULL in case of failure
  (bsc#963621 fate#320193).
- be2iscsi: Remove unnecessary synchronize_irq() before free_irq()
  (bsc#963621 fate#320193).
- be2iscsi:Add missing error check in beiscsi_eeh_resume
  (bsc#963621 fate#320193).
- be2iscsi: Fix memory leak in beiscsi_alloc_mem() (bsc#963621
  fate#320193).
- be2iscsi: Add lock to protect WRB alloc and free (bsc#963621
  fate#320193).
- be2iscsi: _bh for io_sgl_lock and mgmt_sgl_lock (bsc#963621
  fate#320193).
- be2iscsi: Fix ExpStatSn in management tasks (bsc#963621
  fate#320193).
- be2iscsi: Couple MCC tag and WRB alloc and free (bsc#963621
  fate#320193).
- be2iscsi: Fix MCC WRB leak in open_connection (bsc#963621
  fate#320193).
- be2iscsi: Cleanup processing of BMBX completion (bsc#963621
  fate#320193).
- be2iscsi: Fix be_mcc_compl_poll to use tag_state (bsc#963621
  fate#320193).
- be2iscsi: Remove be_mbox_notify_wait function (bsc#963621
  fate#320193).
- be2iscsi: Rename MCC and BMBX processing functions (bsc#963621
  fate#320193).
- be2iscsi: Remove redundant MCC processing code (bsc#963621
  fate#320193).
- be2iscsi: Use macros for MCC WRB and CQE fields (bsc#963621
  fate#320193).
- be2iscsi: Remove unused mcc_cq_lock (bsc#963621 fate#320193).
- be2iscsi: add checks for dma mapping errors (bsc#963621
  fate#320193).
- be2iscsi: Update the driver version (bsc#963621 fate#320193).
- be2iscsi: Fix WRB leak in login/logout path (bsc#963621
  fate#320193).
- be2iscsi: Fix async link event processing (bsc#963621
  fate#320193).
- be2iscsi: Fix to process 25G link speed info from FW (bsc#963621
  fate#320193).
- scsi_transport_iscsi: Add 25G and 40G speed definition
  (bsc#963621 fate#320193).
- be2iscsi: Fix return value for MCC completion (bsc#963621
  fate#320193).
- be2iscsi: Add FW config validation (bsc#963621 fate#320193).
- be2iscsi: Fix to handle misconfigured optics events (bsc#963621
  fate#320193).
- be2iscsi: Fix VLAN support for IPv6 network (bsc#963621
  fate#320193).
- be2iscsi: Fix to remove shutdown entry point (bsc#963621
  fate#320193).
- be2iscsi: Added return value check for mgmt_get_all_if_id
  (bsc#963621 fate#320193).
- be2iscsi: Set mbox timeout to 30s (bsc#963621 fate#320193).
- be2iscsi: Fix to synchronize tag allocation using spin_lock
  (bsc#963621 fate#320193).
- be2iscsi: Fix to use atomic bit operations for tag_state
  (bsc#963621 fate#320193).
- be2iscsi: Fix mbox synchronization replacing spinlock with mutex
  (bsc#963621 fate#320193).
- be2iscsi: Fix soft lockup in mgmt_get_all_if_id path using bmbx
  (bsc#963621 fate#320193).
- commit 3663291
* Thu Apr  7 2016 jjolly@suse.de
- supported.conf: Added drivers/infiniband/hw/ocrdma/ocrdma.ko (bsc#963842,FATE#320194)
- commit 69fdd23
* Thu Apr  7 2016 jroedel@suse.de
- iommu/amd: Set AMD iommu callbacks for amba bus (fate319479).
- iommu/amd: Manage iommu_group for ACPI HID devices (fate319479).
- iommu/amd: Add iommu support for ACPI HID devices (fate319479).
- iommu/amd: Make call-sites of get_device_id aware of its return
  value (fate319479).
- iommu/amd: Introduces ivrs_acpihid kernel parameter
  (fate319479).
- iommu/amd: Add new map for storing IVHD dev entry type HID
  (fate319479).
- iommu/amd: Use the most comprehensive IVHD type that the driver
  can support (fate319479).
- iommu/amd: Modify ivhd_header structure to support type 11h
  and 40h (fate319479).
- iommu/amd: Adding Extended Feature Register check for PC support
  (fate319479).
- commit d3503ab
* Thu Apr  7 2016 mfleming@suse.de
- efi/arm*: efifb: expose efifb platform device if GOP is
  available (bnc#974215).
- efi/arm*: libstub: wire up GOP handling into the ARM UEFI stub
  (bnc#974215).
- efi: efifb: use builtin_platform_driver and drop unused includes
  (bnc#974215).
- efi/x86: efifb: move DMI based quirks handling out of generic
  code (bnc#974215).
- efi/x86: libstub: move to generic GOP code (bnc#974215).
- efi: libstub: move Graphics Output Protocol handling to generic
  code (bnc#974215).
- efi: make install_configuration_table() boot service usable
  (bnc#974215).
- commit a4a7de3
* Thu Apr  7 2016 jjolly@suse.de
- s390: Kernel message catalog (LTC#138812, bnc#970492).
- Update config files. Re-enabled CONFIG_KMSG_IDS
- Removed old kmsg patches
  - Delete patches.arch/kmsg-fix-parameter-limitations.
  - Delete
    patches.arch/s390-sles12sp1-00-03-17-perf-cpumsf-kmesg.patch.
  - Delete patches.arch/s390-sles12sp1-00-11-03-new-drbg-kmsg.patch.
  - Delete
    patches.arch/s390-sles12sp1-00-13-03-LPAR-watchdog-kmsg.patch.
  - Delete
    patches.arch/s390-sles12sp1-00-14-03-watchdog-diag288_wdt-kmsg-documentation-update.patch.
  - Delete patches.arch/s390-sles12sp1-00-16-02-hmcdrvfs-kmsg.patch.
- commit 578f0ce
* Thu Apr  7 2016 hare@suse.de
- Update config files to include forward-error-correction for dm-verity.
- commit df63568
* Thu Apr  7 2016 hare@suse.de
- crypto: hash - Add helpers to zero stack request/descriptor
  (bnc#974525,FATE#320741).
- dm: add 'dm_mq_nr_hw_queues' and 'dm_mq_queue_depth' module
  params (bnc#974525,FATE#320741).
- dm: add 'dm_numa_node' module parameter
  (bnc#974525,FATE#320741).
- dm: add missing newline between DM_DEBUG_BLOCK_STACK_TRACING
  and (bnc#974525,FATE#320741).
- dm: allocate blk_mq_tag_set rather than embed in mapped_device
  (bnc#974525,FATE#320741).
- dm: allow immutable request-based targets to use blk-mq pdu
  (bnc#974525,FATE#320741).
- dm block manager: cleanup code that prints stacktrace
  (bnc#974525,FATE#320741).
- dm btree: factor out need_insert() helper
  (bnc#974525,FATE#320741).
- dm bufio: return NULL to improve code clarity
  (bnc#974525,FATE#320741).
- dm bufio: store stacktrace in buffers to help find buffer leaks
  (bnc#974525,FATE#320741).
- dm bufio: use BUG_ON instead of conditional call to BUG
  (bnc#974525,FATE#320741).
- dm-bufio: virt_to_phys() doesn't change remainder modulo
  PAGE_SIZE (bnc#974525,FATE#320741).
- dm cache: bump the target version (bnc#974525,FATE#320741).
- dm cache: make sure every metadata function checks fail_io
  (bnc#974525,FATE#320741).
- dm cache: make the 'mq' policy an alias for 'smq'
  (bnc#974525,FATE#320741).
- dm cache policy smq: clarify that mq registration failure was
  for (bnc#974525,FATE#320741).
- dm: cleanup dm_any_congested() (bnc#974525,FATE#320741).
- dm crypt: Use skcipher and ahash (bnc#974525,FATE#320741).
- dm: distinquish old .request_fn (dm-old) vs dm-mq request-based
  DM (bnc#974525,FATE#320741).
- dm: do not return target from dm_get_live_table_for_ioctl()
  (bnc#974525,FATE#320741).
- dm: don't save and restore bi_private (bnc#974525,FATE#320741).
- dm: drop unnecessary assignment of md->queue
  (bnc#974525,FATE#320741).
- dm: fix a couple locking issues with use of block interfaces
  (bnc#974525,FATE#320741).
- dm: fix excessive dm-mq context switching
  (bnc#974525,FATE#320741).
- dm: fix rq_end_stats() NULL pointer in
  dm_requeue_original_request() (bnc#974525,FATE#320741).
- dm: fix sparse "unexpected unlock" warnings in ioctl code
  (bnc#974525,FATE#320741).
- dm mpath: cleanup reinstate_path() et al based on code review
  (bnc#974525,FATE#320741).
- dm mpath: cleanup 'struct dm_mpath_io' management code
  (bnc#974525,FATE#320741).
- dm mpath: eliminate use of spinlock in IO fast-paths
  (bnc#974525,FATE#320741).
- dm mpath: move trigger_event member to the end of 'struct
  multipath' (bnc#974525,FATE#320741).
- dm mpath: push path selector locking down to path selectors
  (bnc#974525,FATE#320741).
- dm mpath: remove __pgpath_busy forward declaration, rename to
  (bnc#974525,FATE#320741).
- dm mpath: remove repeat_count support from multipath core
  (bnc#974525,FATE#320741).
- dm mpath: remove unnecessary casts in front of ti->private
  (bnc#974525,FATE#320741).
- dm mpath: switch from 'unsigned' to 'bool' for flags where
  (bnc#974525,FATE#320741).
- dm mpath: switch to using bitops for state flags
  (bnc#974525,FATE#320741).
- dm mpath: use atomic_t for counting members of 'struct
  multipath' (bnc#974525,FATE#320741).
- dm mpath: use blk-mq pdu for per-request 'struct dm_mpath_io'
  (bnc#974525,FATE#320741).
- dm mpath: use blk_mq_alloc_request() and blk_mq_free_request()
  (bnc#974525,FATE#320741).
- dm: optimize dm_mq_queue_rq() (bnc#974525,FATE#320741).
- dm: optimize dm_request_fn() (bnc#974525,FATE#320741).
- dm path selector: remove 'repeat_count' return from .select_path
  hook (bnc#974525,FATE#320741).
- dm: remove dummy definition of 'struct dm_table'
  (bnc#974525,FATE#320741).
- dm: remove support for stacking dm-mq on .request_fn device(s)
  (bnc#974525,FATE#320741).
- dm: remove unused dm_get_rq_mapinfo() (bnc#974525,FATE#320741).
- dm: rename target's per_bio_data_size to per_io_data_size
  (bnc#974525,FATE#320741).
- dm: reorder 'struct mapped_device' members to fix alignment
  and holes (bnc#974525,FATE#320741).
- dm: return error if bio_integrity_clone() fails in clone_bio()
  (bnc#974525,FATE#320741).
- dm round robin: use percpu 'repeat_count' and 'current_path'
  (bnc#974525,FATE#320741).
- dm: set DM_TARGET_WILDCARD feature on "error" target
  (bnc#974525,FATE#320741).
- dm snapshot: disallow the COW and origin devices from being
  identical (bnc#974525,FATE#320741).
- dm thin: bump thin and thin-pool target versions
  (bnc#974525,FATE#320741).
- dm thin: consistently return -ENOSPC if pool has run out of data
  (bnc#974525,FATE#320741).
- dm thin metadata: don't issue prefetches if a transaction
  abort has (bnc#974525,FATE#320741).
- dm thin metadata: make dm_thin_find_mapped_range() atomic
  (bnc#974525,FATE#320741).
- dm thin metadata: remove needless newline from subtree_dec()
  DMERR (bnc#974525,FATE#320741).
- dm thin metadata: speed up discard of partially mapped volumes
  (bnc#974525,FATE#320741).
- dm verity: add ignore_zero_blocks feature
  (bnc#974525,FATE#320741).
- dm verity: add support for forward error correction
  (bnc#974525,FATE#320741).
- dm verity: clean up duplicate hashing code
  (bnc#974525,FATE#320741).
- dm verity: factor out structures and functions useful to
  separate object (bnc#974525,FATE#320741).
- dm verity: factor out verity_for_bv_block()
  (bnc#974525,FATE#320741).
- dm verity: move dm-verity.c to dm-verity-target.c
  (bnc#974525,FATE#320741).
- dm verity: separate function for parsing opt args
  (bnc#974525,FATE#320741).
- dm-mpath: improve logging (bnc#708296).
- Refresh patches.fixes/dm-table-switch-to-readonly.
- Refresh patches.suse/dm-mpath-accept-failed-paths.
- Refresh patches.suse/dm-mpath-leastpending-path-update.
- Refresh patches.suse/dm-mpath-no-partitions-feature.
- Delete patches.suse/dm-emulate-blkrrpart-ioctl.
- Delete patches.suse/dm-mpath-no-activate-for-offlined-paths.
- commit d5afa0d
* Thu Apr  7 2016 mbrugger@suse.com
- supported.conf: enable mmc-sdhci-of-esdhc
- commit 84f13cb
* Thu Apr  7 2016 mmarek@suse.cz
- supported.conf: Mark dmi-sysfs as supported (fate#320109)
- commit a552caf
* Thu Apr  7 2016 mbrugger@suse.com
- supported.conf: add ahci_qoriq
  This diver is needed for NXP LS1043A
- commit faf0246
* Thu Apr  7 2016 mbrugger@suse.com
- ahci: qoriq: Adjust the default register values on ls1043a
  (fate#319900).
- commit fb48318
* Thu Apr  7 2016 mbrugger@suse.com
- [2/2,v6] irqchip/Layerscape: Add SCFG MSI controller support
  (fate#320030 fate#319900).
- commit 8e0cb6a
* Thu Apr  7 2016 mbrugger@suse.com
- [1/2,v6] dt/bindings: Add bindings for Layerscape SCFG MSI
  (fate#320030 fate#319900).
- commit 4c2a3ae
* Thu Apr  7 2016 mbrugger@suse.com
- PCI: layerscape: Fix MSG TLP drop setting (fate#319900
  fate#320030).
- commit be99a1a
* Thu Apr  7 2016 mbrugger@suse.com
- PCI: layerscape: Add "fsl,ls2085a-pcie" compatible ID
  (fate#319900).
- commit 13a4592
* Thu Apr  7 2016 jthumshirn@suse.de
- Build AACRAID driver for ppc64le as well (FATE#319613).
- commit b0991f2
* Thu Apr  7 2016 hare@suse.de
- lpfc driver update for SLES12-SP2 11.1.0.1
  (bsc#963619,FATE#320191).
- lpfc: Update modified file copyrights (bsc#963619,FATE#320191).
- lpfc: Fix interaction between fdmi_on and enable_SmartSAN
  (bsc#963619,FATE#320191).
- lpfc: Add support for SmartSAN 2.0 (bsc#963619,FATE#320191).
- lpfc: Fix Device discovery failures during switch reboot test
  (bsc#963619,FATE#320191).
- lpfc: Utilize embedded CDB logic to minimize IO latency
  (bsc#963619,FATE#320191).
- lpfc: Fix crash when unregistering default rpi
  (bsc#963619,FATE#320191).
- lpfc: Fix DMA faults observed upon plugging loopback connector
  (bsc#963619,FATE#320191).
- lpfc: Correct LOGO handling during login
  (bsc#963619,FATE#320191).
- lpfc: fix missing zero termination in debugfs
  (bsc#963619,FATE#320191).
- lpfc: Add lockdep assertions (bsc#963619,FATE#320191).
- commit d792310
* Thu Apr  7 2016 lpechacek@suse.com
- supported.conf: Add FATE and Bugzilla references
  Add references to FATE and Bugzilla for more convenient overview of the reasons
  for supporting individual drivers.  Data were extracted from GIT log with
  manual post-processing.
- commit 0b9d5ef
* Thu Apr  7 2016 oneukum@suse.com
- USB: digi_acceleport: do sanity checking for the number of ports
  (bnc#970892, CVE-2016-3140).
- commit e192e61
* Wed Apr  6 2016 mbrugger@suse.com
- supported.conf: enable NXP/Freescale drivers
  drivers/i2c/busses/i2c-imx
  drivers/staging/fsl-mc/bus/mc-bus-driver
- commit d7ceefe
* Wed Apr  6 2016 mbrugger@suse.com
- arm64: Update config files.
  Enable I2C_IMX and FSL_MC_BUS.
- commit a94d3c0
* Wed Apr  6 2016 jthumshirn@suse.de
- mm: exclude ZONE_DEVICE from GFP_ZONE_TABLE (FATE#320460).
- Update config files to use CONFIG_ZONE_DEVICE.
- commit e86b6d3
* Wed Apr  6 2016 jthumshirn@suse.de
- badblocks: fix wrong return value when badblocks are disabled
  (FATE#319858).
- commit 9152e68
* Wed Apr  6 2016 agraf@suse.de
- KVM: arm/arm64: Handle forward time correction gracefully (bnc#974266).
- commit 0e97cb6
* Wed Apr  6 2016 mfleming@suse.de
- arm64: Update config file and enable CONFIG_FB_EFI
- commit 34f46b7
* Tue Apr  5 2016 ddiss@suse.de
- Ceph: Remove racey watch/notify event infrastructure (bsc#964727)
- Delete
  patches.drivers/osd_client-add-support-for-notify-payloads-via-notif.patch.
- Delete
  patches.drivers/osd_client-rbd-update-event-interface-for-watch-noti.patch.
- Delete
  patches.drivers/osd_client-send-watch-ping-messages.patch.
- commit a47b808
* Tue Apr  5 2016 oneukum@suse.com
- Input: powermate - fix oops with malicious USB descriptors
  (bnc#970958, CVE-2016-2186).
- commit 70bbc73
* Tue Apr  5 2016 oneukum@suse.com
- USB: usb_driver_claim_interface: add sanity checking
  (bnc#971124, CVE-2016-2185).
- commit 27557d6
* Mon Apr  4 2016 trenn@suse.com
- cpufreq: intel_pstate: Enable HWP by default (fate#319178).
- Refresh
  patches.suse/intel_pstate-Increase-hold-off-time-before-samples-are-scaled.patch.
- Refresh patches.suse/intel_pstate_performance_tuned.patch.
- commit b4550cd
* Mon Apr  4 2016 dbueso@suse.de
- rcu: Stop treating in-kernel CPU-bound workloads as errors (bsc#971073).
- commit 2b14336
* Mon Apr  4 2016 dbueso@suse.de
- rcu: Set rdp->gpwrap when CPU is idle (bsc#971073).
- commit 61a28ff
* Mon Apr  4 2016 dbueso@suse.de
- rcu: Update rcu_report_qs_rsp() comment (bsc#971073).
- commit 31d927b
* Mon Apr  4 2016 dbueso@suse.de
- rcu: Assign false instead of 0 for ->core_needs_qs (bsc#971073).
- commit 78c483d
* Mon Apr  4 2016 dbueso@suse.de
- futex: Replace barrier() in unqueue_me() with READ_ONCE() (bsc#969755).
- commit cb47968
* Mon Apr  4 2016 mmarek@suse.com
- rpm/find-requires: Generate dependencies for KMPs defined in supported.conf (fate#319339)
- commit 007a83c
* Mon Apr  4 2016 fdmanana@suse.com
- Btrfs: fix deadlock between direct IO reads and buffered writes
  (bsc#973855).
- commit 96eeed7
* Mon Apr  4 2016 jeffm@suse.com
- Delete patches.fixes/scsi-ibmvscsi-show-config.patch.
  This patch was added to address empty sysfs files in SLES9.  The root
  cause was ultimately identified later: the buffer size passed to the
  hardware to query was a 16-bit value, so 64k caused nothing to be
  returned.  It was fixed correctly in v3.7 commit 225c56960fc
  (ibmvscsi: Fix host config length field overflow), rendering this
  patch unnecessary.
- commit d1e6317
* Mon Apr  4 2016 jthumshirn@suse.de
- ibmvfc: byteswap scsi_id, wwpn, and node_name prior to logging.
- ibmvscsi: use H_CLOSED instead of magic number.
- ibmvscsi: Add endian conversions to sysfs attribute show
  functions.
- ibmvscsi: Remove unsupported host config MAD.
- ibmvscsi: Use of_root to access OF device tree root node.
- ibmvscsi: Replace magic values in set_adpater_info() with
  defines.
- ibmvscsi: Add and use enums for valid CRQ header values.
- commit 80a21f9
* Mon Apr  4 2016 jthumshirn@suse.de
- ibmvscsi: Correct values for several viosrp_crq_format enums.
- commit 9595630
* Mon Apr  4 2016 oneukum@suse.com
- Input: ims-pcu - sanity check against missing interfaces
  (bnc#971628, CVE-2016-3689).
- commit 957219b
* Mon Apr  4 2016 mgorman@suse.com
- mm/rmap: batched invalidations should use existing api
  (bnc#971975 VM functionality -- ipi sending).
- x86/mm: TLB_REMOTE_SEND_IPI should count pages (bnc#971975 VM
  functionality -- ipi sending).
- commit ae4c128
* Mon Apr  4 2016 mmarek@suse.com
- rpm/kernel-source.rpmlintrc: Disable rpmlint check for KMP subpackages
  The check is there to ensure that KMPs are built using the
  %%kernel_module_package macro, but we are deliberately not doing this for
  KMPs built from the kernel specfile (fate#319339).
- commit 7c48b60
* Sat Apr  2 2016 tiwai@suse.de
- ACPI / processor: Request native thermal interrupt handling
  via _OSC (bsc#969870).
- commit a7fe140
* Fri Apr  1 2016 mmarek@suse.com
- Import the cluster-network KMP (fate#319339)
- commit ba688b6
* Fri Apr  1 2016 mmarek@suse.com
- supported.conf: Document the new KMP syntax (fate#319339)
- commit 0e3b20a
* Fri Apr  1 2016 mmarek@suse.com
- Import KMPs from the cluster-fs package (fate#319339)
- commit 1d83cbe
* Fri Apr  1 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Only build the -kgraft package for modular kernels (fate#320268)
- commit 9bab96f
* Fri Apr  1 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Only build KMPs if CONFIG_SPLIT_PACKAGE=y (fate#319339)
- commit def905b
* Fri Apr  1 2016 tiwai@suse.de
- ALSA: timer: Use mod_timer() for rearming the system timer
  (bsc#973378).
- ALSA: timer: Call notifier in the same spinlock (bsc#973378).
- ALSA: timer: Protect the whole snd_timer_close() with open race
  (bsc#973378).
- ALSA: timer: Sync timer deletion at closing the system timer
  (bsc#973378).
- ALSA: timer: Introduce disconnect op to snd_timer_instance
  (bsc#973378).
- commit 92e58c2
* Fri Apr  1 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Tag KMPs so that weak-modules2 ignores them
  Also require a suse-module-tools version that can handle this (fate#319339).
- commit 58d21f9
* Fri Apr  1 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Add rpm scriptlets for KMPs (fate#319339)
  Use the --{add,remove}-kernel-modules options of weak-modules2 instead
  of --{add,remove}-kmp, because we do not want any symlinks to be created
  for these KMPs.
- commit 95f8b94
* Fri Apr  1 2016 ohering@suse.de
- supported.conf: fix entry for pci-hyperv
- commit 48fd038
* Fri Apr  1 2016 neilb@suse.com
- Add fs/ceph as a supported module.
- Update config files.
- supported.conf:
- commit 267c1ef
* Thu Mar 31 2016 mfasheh@suse.de
- btrfs: handle non-fatal errors in btrfs_qgroup_inherit()
  (bsc#972951).
- Update patches.suse/btrfs-8362-btrfs-Add-qgroup-tracing.patch
  (bnc#935087, bnc#945649, bsc#972993).
- commit afd0e6e
* Thu Mar 31 2016 jslaby@suse.cz
- Refresh
  patches.suse/0003-kabi-Add-placeholders-to-a-couple-of-important-struc.patch.
- Delete patches.suse/kgr-0100-kabi-add-reserved-fields.patch.
  Add the padding to the proper structure (task_struct, not
  sched_rt_entity). And move it to a dedicated file.
- commit 611cfba
* Thu Mar 31 2016 mmarek@suse.com
- rpm/split-modules: Split modules into KMPs defined in supported.conf (fate#319339)
- commit 39da39b
* Thu Mar 31 2016 mmarek@suse.com
- rpm/mkspec: Generate KMP subpackage sections from a template (fate#319339)
  The KMPs are defined in the supported.conf file using a +<name>-kmp
  guard.
- commit 09cb6b1
* Thu Mar 31 2016 jslaby@suse.cz
- kgr: add objname to kgr_patch_fun struct (fate#313296).
- kgr: remove abort_if_missing flag (fate#313296).
- kgr: do not return and print an error only if the object is
  not loaded (fate#313296).
- kgr: fix subtle race with kgr_module_init(), going notifier
  and kgr_modify_kernel() (fate#313296).
- kgr: fix an asymmetric dealing with delayed module loading
  (fate#313296).
- kgr: call kgr_init_ftrace_ops() only for loaded objects
  (fate#313296).
- kgr: change to kallsyms_on_each_symbol iterator (fate#313296).
- kgr: add sympos as disambiguator field to kgr_patch_fun
  structure (fate#313296).
- kgr: add sympos to sysfs (fate#313296).
- kgr: add sympos and objname to error and debug messages
  (fate#313296).
- Refresh
  patches.suse/kgr-0021-fix-reversion-of-a-patch-already-reverted-by-a-r.patch.
- Refresh patches.suse/kgr-0100-kabi-add-reserved-fields.patch.
- Refresh
  patches.suse/kgr-0102-kgr-mark-kernel-unsupported-upon-patch-revert.patch.
- commit 63fab9c
* Thu Mar 31 2016 dvaleev@suse.com
- rpm/kernel-obs-build.spec.in:add e1000 and ibmveth
  Those modules are required in order to have --vm-telnet option
  working
- commit 1e87b6d
* Wed Mar 30 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Simplify parsing of supported.conf (fate#319339)
- commit 006b146
* Wed Mar 30 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Introduce a kernel-default-kgraft metapackage (fate#320268)
- commit 0439a47
* Wed Mar 30 2016 ohering@suse.de
- hv_netvsc: Fix the order of num_sc_offered decrement
  (fate#320485).
- hv_netvsc: Fix the array sizes to be max supported channels
  (fate#320485).
- hv_netvsc: Fix accessing freed memory in netvsc_change_mtu()
  (fate#320485).
- scsi: storvsc: fix SRB_STATUS_ABORTED handling (fate#320485).
- hv_netvsc: Move subchannel waiting to
  rndis_filter_device_remove() (fate#320485).
- Drivers: hv: vmbus: Support kexec on ws2012 r2 and above
  (fate#320485).
- commit 2251714
* Wed Mar 30 2016 dvaleev@suse.com
- atomics: Allow architectures to define their own (fate#320528).
- powerpc: atomic: Implement acquire/release/relaxed
  (fate#320528).
- powerpc: atomic: Implement atomic{, 64}_*_return_*
  (fate#320528).
- commit df292a7
* Wed Mar 30 2016 jthumshirn@suse.de
- nvme: avoid cqe corruption when update at the same time as read
  (bsc#964944, FATE#319965).
- commit 83549b8
* Wed Mar 30 2016 mbrugger@suse.com
- Delete
  patches.arch/arm64-0004-net-xgbe-Add-A0-silicon-support.patch.
  Drop A0 silicon support for AMD Seattle.
- commit e132391
* Wed Mar 30 2016 alnovak@suse.cz
- fix: print ext4 mountopt data_err=abort correctly (bsc#969735).
- commit c5d48f9
* Tue Mar 29 2016 mbrugger@suse.com
- Refresh
  patches.arch/arm64-Add-workaround-for-Cavium-erratum-27456.patch.
- commit 40749bb
* Tue Mar 29 2016 mbrugger@suse.com
- ahci: Workaround for ThunderX Errata#22536 (fate#319978).
- libahci: Implement the capability to override the generic ahci
  interrupt handler (fate#319978).
- irqchip/gic-v3: Make sure read from ICC_IAR1_EL1 is visible
  on redestributor (fate#318444).
- iommu/arm-smmu-v2: Workaround for ThunderX errata#27704
  (fate#319978).
- iommu/arm-smmu-v2: Add support for 16 bit VMID (fate#319978).
- iommu/arm-smmu: Invalidate TLBs properly (fate#319978).
- iommu/io-pgtable: Indicate granule for TLB maintenance
  (fate#319978).
- arm64: Documentation: add list of software workarounds for
  errata (fate#319978).
- commit 62830ca
* Tue Mar 29 2016 jthumshirn@suse.de
- blk-mq: Use proper cpumask iterator (FATE#319965, bsc#964944).
- block: partition: add partition specific uevent callbacks for
  partition info (FATE#319965, bsc#964944).
- blk-mq: add bounds check on tag-to-rq conversion (FATE#319965,
  bsc#964944).
- block: bio_remaining_done() isn't unlikely (FATE#319965,
  bsc#964944).
- block: cleanup bio_endio (FATE#319965, bsc#964944).
- block: factor out chained bio completion (FATE#319965,
  bsc#964944).
- block: don't unecessarily clobber bi_error for chained bios
  (FATE#319965, bsc#964944).
- blk-mq: Fix NULL pointer updating nr_requests (FATE#319965,
  bsc#964944).
- block: Add blk_set_runtime_active() (FATE#319965, bsc#964944).
- blk-mq: mark request queue as mq asap (FATE#319965, bsc#964944).
- commit 3f2e868
* Tue Mar 29 2016 dvaleev@suse.com
- cxl: Ignore probes for virtual afu pci devices (fate#319921).
- Update config files.
- cxl: Remove cxl_get_phys_dev() kernel API (fate#319921).
- cxlflash: Use new cxl_pci_read_adapter_vpd() API (fate#319921).
- cxl: Add tracepoints around the cxl hcall (fate#319921).
- cxl: Adapter failure handling (fate#319921).
- cxl: Support the cxl kernel API from a guest (fate#319921).
- cxl: Parse device tree and create cxl device(s) at boot
  (fate#319921).
- cxl: Support to flash a new image on the adapter from a guest
  (fate#319921).
- cxl: sysfs support for guests (fate#319921).
- cxl: Add guest-specific code (fate#319921).
- cxl: Separate bare-metal fields in adapter and AFU data
  (fate#319921).
- cxl: New hcalls to support cxl adapters (fate#319921).
- powerpc: New possible return value from hcall (fate#319921).
- cxl: IRQ allocation for guests (fate#319921).
- cxl: Update cxl_irq() prototype (fate#319921).
- cxl: Isolate a few bare-metal-specific calls (fate#319921).
- cxl: Rename some bare-metal specific functions (fate#319921).
- cxl: Introduce implementation-specific API (fate#319921).
- cxl: Define process problem state area at attach time only
  (fate#319921).
- cxl: Move bare-metal specific code to specialized files
  (fate#319921).
- cxl: Move common code away from bare-metal-specific files
  (fate#319921).
- cxlflash: Reorder user context initialization (fate#319921).
- cxlflash: Simplify attach path error cleanup (fate#319921).
- cxlflash: Split out context initialization (fate#319921).
- cxlflash: Unmap problem state area before detaching master
  (fate#319921).
- cxlflash: Simplify PCI registration (fate#319921).
- misc: cxl: use kobj_to_dev() (fate#319922).
- cxl: Enable PCI device ID for future IBM CXL adapter
  (fate#319922).
- cxl: use -Werror only with CONFIG_PPC_WERROR (fate#319922).
- cxl: fix build for GCC 4.6.x (fate#319922).
- cxl: Fix DSI misses when the context owning task exits
  (fate#319922).
- cxl: Fix possible idr warning when contexts are released
  (fate#319922).
- commit e2ac3d7
* Tue Mar 29 2016 ohering@suse.de
- hv: Track allocations of children of hv_vmbus in private
  resource tree (fate#320485).
- commit 6b37420
* Tue Mar 29 2016 ohering@suse.de
- hv: Reverse order of resources in hyperv_mmio (fate#320485).
- commit 83f7fdc
* Tue Mar 29 2016 ohering@suse.de
- hv: Use new vmbus_mmio_free() from client drivers (fate#320485).
- commit c3557a1
* Tue Mar 29 2016 ohering@suse.de
- hv: Lock access to hyperv_mmio resource tree (fate#320485).
- commit 9f5a192
* Tue Mar 29 2016 ohering@suse.de
- hv: Make a function to free mmio regions through vmbus
  (fate#320485).
- commit 5fefcaf
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: kvp: fix IP Failover (fate#320485).
- commit 4518b85
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: Fix a bug in hv_need_to_signal_on_read()
  (fate#320485).
- commit c9c78fb
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: Support handling messages on multiple CPUs
  (fate#320485).
- commit e60bdfd
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: utils: Remove util transport handler from list
  if registration fails (fate#320485).
- commit aa81f0e
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: util: Pass the channel information during the
  init call (fate#320485).
- commit c69eb27
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: avoid unneeded compiler optimizations in
  vmbus_wait_for_unload() (fate#320485).
- commit 3343779
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: remove code duplication in message handling
  (fate#320485).
- commit 8cc9653
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: avoid wait_for_completion() on crash
  (fate#320485).
- commit 5f23fba
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: don't loose HVMSG_TIMER_EXPIRED messages
  (fate#320485).
- commit 61ace0f
* Tue Mar 29 2016 ohering@suse.de
- hv_netvsc: add ethtool support for set and get of settings
  (fate#320485).
- commit b94211c
* Tue Mar 29 2016 ohering@suse.de
- hv_netvsc: add software transmit timestamp support
  (fate#320485).
- commit 9c573fc
* Tue Mar 29 2016 ohering@suse.de
- drivers/hv: Move VMBus hypercall codes into Hyper-V UAPI header
  (fate#320485).
- commit 8a72038
* Tue Mar 29 2016 ohering@suse.de
- kvm/x86: Rename Hyper-V long spin wait hypercall (fate#320485).
- commit d2b7ebb
* Tue Mar 29 2016 ohering@suse.de
- hv_netvsc: cleanup netdev feature flags for netvsc
  (fate#320485).
- commit 975e00b
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: Give control over how the ring access is
  serialized (fate#320485).
- commit b7724c4
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: Eliminate the spin lock on the read path
  (fate#320485).
- commit 92223ff
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: add an API vmbus_hvsock_device_unregister()
  (fate#320485).
- commit e48715f
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: add a per-channel rescind callback
  (fate#320485).
- commit 7bd7a6c
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: add a hvsock flag in struct hv_driver
  (fate#320485).
- commit 177916c
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: define a new VMBus message type for hvsock
  (fate#320485).
- commit 3a1e023
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: vmbus_sendpacket_ctl: hvsock: avoid
  unnecessary signaling (fate#320485).
- commit cc3f8e7
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: define the new offer type for Hyper-V socket
  (hvsock) (fate#320485).
- commit 8a5d4ba
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: add a helper function to set a channel's
  pending send size (fate#320485).
- commit 3aae86e
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: don't manipulate with clocksources on crash
  (fate#320485).
- commit eaae77f
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: avoid scheduling in interrupt context in
  vmbus_initiate_unload() (fate#320485).
- commit a1f2d66
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: avoid infinite loop in init_vp_index()
  (fate#320485).
- commit 5c35c27
* Tue Mar 29 2016 ohering@suse.de
- tools/hv: Use include/uapi with __EXPORTED_HEADERS__
  (fate#320485).
- commit 60576a5
* Tue Mar 29 2016 ohering@suse.de
- Drivers: hv: vmbus: Cleanup vmbus_set_event() (fate#320485).
- commit fd3b938
* Tue Mar 29 2016 ohering@suse.de
- ethtool.h: define INT_MAX for userland (fate#320485).
- commit f4d1a6e
* Tue Mar 29 2016 ohering@suse.de
- ethtool: make validate_speed accept all speeds between 0 and
  INT_MAX (fate#320485).
- commit 1739494
* Tue Mar 29 2016 ohering@suse.de
- ethtool: future-proof interface for speed extensions
  (fate#320485).
- commit a5bfe32
* Tue Mar 29 2016 ohering@suse.de
- ethtool: add speed/duplex validation functions (fate#320485).
- commit e3b5667
* Tue Mar 29 2016 ohering@suse.de
- Reorder pci patches in series.conf
- commit dfbf335
* Tue Mar 29 2016 ohering@suse.de
- Add mainline tag to two pci-hyperv related patches
- commit 88f9fc9
* Tue Mar 29 2016 ohering@suse.de
- Use mainline version of pci-hyperv driver
- commit fd7e4d4
* Tue Mar 29 2016 ohering@suse.de
- Add mainline tag for hyperv vendor/device atttribute change
- commit c0edba2
* Mon Mar 28 2016 tiwai@suse.de
- intel_idle: prevent SKL-H boot failure when C8+C9+C10 enabled
  (bsc#969870,boo#970968,boo#969098).
- commit 514f987
* Mon Mar 28 2016 dbueso@suse.de
- rcu: Move wakeup out from under rnp->lock (bsc#971073).
- commit 1094165
* Mon Mar 28 2016 dbueso@suse.de
- rcu: Don't redundantly disable irqs in rcu_irq_{enter,exit}() (bsc#971073).
- commit c6a2bbc
* Mon Mar 28 2016 dbueso@suse.de
- rcu: Stop disabling interrupts in scheduler fastpaths (bsc#971073).
- commit c386510
* Mon Mar 28 2016 dbueso@suse.de
- rcu: Fix obsolete rcu_bootup_announce_oddness() comment (bsc#971073).
- commit 30c104b
* Mon Mar 28 2016 dbueso@suse.de
- rcu: Remove lock-acquisition loop from rcu_read_unlock_special() (bsc#971073).
- commit 53f4f5f
* Mon Mar 28 2016 dbueso@suse.de
- rcu: Simplify rcu_sched_qs() control flow (bsc#971073).
- commit 1c4cb8b
* Mon Mar 28 2016 dbueso@suse.de
- rcu: Move lock_class_key to local scope (bsc#971073).
- commit 684474b
* Mon Mar 28 2016 dbueso@suse.de
- rcu: Add more diagnostics to expedited stall warning messages (bsc#971073).
- commit 33e1b83
* Mon Mar 28 2016 dbueso@suse.de
- rcu: Make expedited grace periods resolve stall-warning ties (bsc#971073).
- commit d080997
* Mon Mar 28 2016 dbueso@suse.de
- rcu: Reduce expedited GP memory contention via per-CPU variables (bsc#971073).
- commit b752e43
* Mon Mar 28 2016 dbueso@suse.de
- rcu: Invert sync_rcu_exp_select_cpus() "if" statement (bsc#971073).
- commit c538a35
* Mon Mar 28 2016 dbueso@suse.de
- rcu: Move smp_mb() from rcu_seq_snap() to rcu_exp_gp_seq_snap() (bsc#971073).
- commit fe35055
* Mon Mar 28 2016 dbueso@suse.de
- rcu: Clarify role of ->expmaskinitnext (bsc#971073).
- commit d5d03fd
* Mon Mar 28 2016 dbueso@suse.de
- rcu: Short-circuit synchronize_sched_expedited() if only one CPU (bsc#971073).
- commit 898bd42
* Mon Mar 28 2016 dbueso@suse.de
- rcu: Add transitivity to remaining rcu_node ->lock acquisitions (bsc#971073).
- commit 46afbcd
* Mon Mar 28 2016 dbueso@suse.de
- rcu: Create transitive rnp->lock acquisition functions
  (bsc#971073).
- commit 8f35fe9
* Fri Mar 25 2016 lduncan@suse.com
- be2iscsi: Fix IOPOLL implementation (bsc#963621, fate#320193).
- irq_poll: Fix irq_poll_sched() (bsc#963621, fate#320193).
- irq_poll: fold irq_poll_sched_prep into irq_poll_sched
  (bsc#963621, fate#320193).
- irq_poll: don't disable new irq_poll instances (bsc#963621,
  fate#320193).
- commit 666a4ca
* Thu Mar 24 2016 mbrugger@suse.com
- arm64: prefetch: add alternative pattern for CPUs without a
  prefetcher (fate#319977).
- commit 895ee6f
* Thu Mar 24 2016 mkubecek@suse.cz
- ipv4: Don't do expensive useless work during inetdev destroy
  (CVE-2016-3156 bsc#971360).
- commit 0633ad3
* Thu Mar 24 2016 mbrugger@suse.com
- arm64: Update the APM X-Gene EDAC node with the RB register
  resource.
- EDAC, xgene: Add missing SoC register bus error handling.
- Documentation, EDAC: Update xgene binding for missing register
  bus.
- commit 3a4c2b8
* Thu Mar 24 2016 mgorman@suse.com
- cgroup, memcg, writeback: drop spurious rcu locking around mem_cgroup_css_from_page()
  (bnc#971975 VM performance -- rcu locking).
- commit cdb7961
* Thu Mar 24 2016 mgorman@suse.com
- mm: scale kswapd watermarks in proportion to memory
  (bnc#971975 VM performance -- avoid tundering herd reclaim).
- commit 79adf33
* Thu Mar 24 2016 mgorman@suse.com
- intel_pstate: Remove freq calculation from
  intel_pstate_calc_busy() (bnc#969297 PM performance --
  intel_pstate microoptimisations).
- intel_pstate: Move intel_pstate_calc_busy() into
  get_target_pstate_use_performance() (bnc#969297 PM performance
  - - intel_pstate microoptimisations).
- intel_pstate: Optimize calculation for max/min_perf_adj
  (bnc#969297 PM performance -- intel_pstate microoptimisations).
- intel_pstate: Remove extra conversions in pid calculation
  (bnc#969297 PM performance -- intel_pstate microoptimisations).
- mm/page-writeback: fix dirty_ratelimit calculation (bnc#971975
  VM performance -- avoid undefined behaviour).
- commit b819f51
* Thu Mar 24 2016 mbrugger@suse.com
- [v2,5/5] arm64/perf: Cavium ThunderX OCX TLK uncore support
  (fate#319982).
- [v2,4/5] arm64/perf: Cavium ThunderX LMC uncore support
  (fate#319982).
- [v2,3/5] arm64/perf: Cavium ThunderX L2C CBC uncore support
  (fate#319982).
- [v2,2/5] arm64/perf: Cavium ThunderX L2C TAD uncore support
  (fate#319982).
- [v2, 1/5] arm64/perf: Basic uncore counter support for Cavium
  ThunderX (fate#319982).
- commit fe160b8
* Thu Mar 24 2016 mbrugger@suse.com
- genirq: Export IRQ functions for module use (fate#319483
  fate#319482).
- Update config files.
- Delete
  patches.arch/arm64-gpio-xgene-Fix-kconfig-for-standby-GIPO-contoller.patch.
- commit 0d17c37
* Thu Mar 24 2016 tiwai@suse.de
- drm/radeon: rework fbdev handling on chips with no connectors
  (boo#971853).
- commit 2daf04e
* Thu Mar 24 2016 jdelvare@suse.de
- supported.conf: Fix usb-common path
  usb-common moved to its own subdirectory in kernel v3.16.
- commit 28e362d
* Wed Mar 23 2016 mbrugger@suse.com
- net: thunderx: Adjust nicvf structure to reduce cache misses
  (fate#319980).
- net: thunderx: Set recevie buffer page usage count in bulk
  (fate#319980).
- commit 194968b
* Wed Mar 23 2016 mbrugger@suse.com
- arm64: lib: patch in prfm for copy_page if requested
  (fate#319977).
- commit 0427ab4
* Wed Mar 23 2016 mbrugger@suse.com
- Refresh
  patches.arch/arm64-Add-workaround-for-Cavium-erratum-27456.patch.
- commit 2c33f3d
* Wed Mar 23 2016 mbrugger@suse.com
- Refresh
  patches.arch/arm64-thd-irqchip-gicv3-its-numa-workaround-for-cavium-thunderx-erratum-23144.patch
- commit 7ba61b1
* Wed Mar 23 2016 tonyj@suse.de
- powerpc/perf/24x7: Eliminate domain suffix in event names
  (fate#320704).
- powerpc/perf/hv-24x7: Display domain indices in sysfs
  (fate#320704).
- powerpc/perf/hv-24x7: Display change in counter values
  (fate#320704).
- powerpc/perf/hv-24x7: Fix usage with chip events (fate#320704).
- commit 1424ac2
* Wed Mar 23 2016 mgorman@suse.com
- Refresh
  patches.suse/intel_pstate-Increase-hold-off-time-before-samples-are-scaled.patch.
- commit abf2084
* Wed Mar 23 2016 mgorman@suse.com
- Refresh
  patches.suse/mm-thp-Set-THP-defrag-by-default-to-madvise-and-add-a-stall-free-defrag-option.patch.
- commit f658e03
* Wed Mar 23 2016 mgorman@suse.com
- intel_pstate: Increase hold-off time before samples are scaled
  (bnc#945201).
- commit 395eb37
* Tue Mar 22 2016 mgorman@suse.com
- Refresh patches.suse/sched-throttle-nohz.patch.
- commit 72ae2b6
* Tue Mar 22 2016 tonyj@suse.de
- powerpc/perf: Export Power8 generic and cache events to sysfs
  (fate#320530).
- powerpc/perf: Remove PME_ prefix for power7 events
  (fate#320530).
- commit 8eb5850
* Tue Mar 22 2016 jthumshirn@suse.de
- blk-mq: dynamic h/w context count (bsc#964944,FATE#319965).
- NVMe: Fix possible queue use after freed
  (bsc#964944,FATE#319965).
- nvme: fix drvdata setup for the nvme device
  (bsc#964944,FATE#319965).
- nvme: Log the ctrl device name instead of the underlying pci
  device name (bsc#964944,FATE#319965).
- nvme/host: reference the fabric module for each bdev open
  callout (bsc#964944,FATE#319965).
- nvme: move timeout variables to core.c (bsc#964944,FATE#319965).
- nvme: split dev_list_lock (bsc#964944,FATE#319965).
- nvme: split pci module out of core module
  (bsc#964944,FATE#319965).
- nvme: use a work item to submit async event requests
  (bsc#964944,FATE#319965).
- nvme: don't poll the CQ from the kthread
  (bsc#964944,FATE#319965).
- nvme: replace the kthread with a per-device watchdog timer
  (bsc#964944,FATE#319965).
- nvme: return the whole CQE through the request passthrough
  interface (bsc#964944,FATE#319965).
- nvme: expose cntlid in sysfs (bsc#964944,FATE#319965).
- NVMe: Create discard zero quirk white list
  (bsc#964944,FATE#319965).
- NVMe: Remove unused sq_head read in completion path
  (bsc#964944,FATE#319965).
- NVMe: Expose ns wwid through single sysfs entry
  (bsc#964944,FATE#319965).
- Refresh
  patches.drivers/0012-block-defer-timeouts-to-a-workqueue.patch.
- Refresh
  patches.suse/kgr-0008-mark-task_safe-in-some-kthreads.patch.
- commit 5eee3a5
* Tue Mar 22 2016 jack@suse.cz
- ext4: fix races between buffered IO and collapse / insert range
  (bsc#972174).
- ext4: fix races between page faults and hole punching
  (bsc#972174).
- ext4: fix races of writeback with punch hole and zero range
  (bsc#972174).
- ext4: move unlocked dio protection from ext4_alloc_file_blocks()
  (bsc#972174).
- Refresh
  patches.fixes/ext4-more-efficient-SEEK_DATA-implementation.patch.
- commit 65746f4
* Tue Mar 22 2016 jack@suse.cz
- mbcache: add reusable flag to cache entries (bsc#972162).
- ext4: shortcut setting of xattr to the same value (bsc#972162).
- mbcache: get rid of _e_hash_list_head (bsc#972162).
- ext4: kill ext4_mballoc_ready (bsc#972162).
- mbcache2: rename to mbcache (bsc#972162).
- mbcache2: Use referenced bit instead of LRU (bsc#972162).
- mbcache2: limit cache size (bsc#972162).
- mbcache: remove mbcache (bsc#972162).
- ext2: convert to mbcache2 (bsc#972162).
- ext4: convert to mbcache2 (bsc#972162).
- mbcache2: reimplement mbcache (bsc#972162).
- commit 9ffcca6
* Tue Mar 22 2016 jack@suse.cz
- ext4: more efficient SEEK_DATA implementation (bsc#942262
  bsc#967077).
- ext4: return hole from ext4_map_blocks() (bsc#942262
  bsc#967077).
- ext4: factor out determining of hole size (bsc#942262
  bsc#967077).
- commit d52cf6d
* Tue Mar 22 2016 jack@suse.cz
- cfq-iosched: Allow parent cgroup to preempt its child
  (bsc#951265).
- cgroup: Export cgroup_is_descendant() (bsc#951265).
- cfq-iosched: Allow sync noidle workloads to preempt each other
  (bsc#951265).
- cfq-iosched: Reorder checks in cfq_should_preempt()
  (bsc#951265).
- cfq-iosched: Don't group_idle if cfqq has big thinktime
  (bsc#951265).
- commit 2c7c061
* Mon Mar 21 2016 mgorman@suse.com
- Update
  patches.suse/mm-filemap-avoid-unnecessary-calls-to-lock_page-when-waiting-for-IO-to-complete-during-a-read.patch
  (bnc#971975 VM performance -- generic read).
- Update
  patches.suse/mm-filemap-remove-redundant-code-in-do_read_cache_page.patch
  (bnc#971975 VM performance -- generic read).
- commit a667559
* Mon Mar 21 2016 mgorman@suse.com
- mm: thp: set THP defrag by default to madvise and add a stall-free defrag option
  (fate#320635 -- Disable THP defragmentation by default).
- commit d7b83ad
* Mon Mar 21 2016 mgorman@suse.com
- Refresh patches.suse/mm-compaction-introduce-kcompactd.patch.
- Refresh
  patches.suse/mm-kswapd-remove-bogus-check-of-balance_classzone_idx.patch.
- Refresh
  patches.suse/mm-kswapd-replace-kswapd-compaction-with-waking-up-kcompactd.patch.
- Refresh
  patches.suse/mm-memory-hotplug-small-cleanup-in-online_pages.patch.
- commit f4a130b
* Mon Mar 21 2016 mgorman@suse.com
- Refresh
  patches.suse/mm-compaction-speed-up-pageblock_pfn_to_page-when-zone-is-contiguous.patch.
- commit 2c37b82
* Mon Mar 21 2016 mgorman@suse.com
- Refresh
  patches.suse/mm-compaction-fix-invalid-free_pfn-and-compact_cached_free_pfn.patch.
- Refresh
  patches.suse/mm-compaction-pass-only-pageblock-aligned-range-to-pageblock_pfn_to_page.patch.
- commit d2c4291
* Mon Mar 21 2016 mgorman@suse.com
- Refresh
  patches.suse/sched-debug-Make-schedstats-a-runtime-tunable-that-is-disabled-by-default.patch.
- commit 8b1d802
* Mon Mar 21 2016 mgorman@suse.com
- Refresh
  patches.suse/cpuidle-menu-avoid-expensive-square-root-computation.patch.
- Refresh
  patches.suse/cpuidle-menu-help-gcc-generate-slightly-better-code.patch.
- commit 962ddf2
* Mon Mar 21 2016 vbabka@suse.cz
- mm, tracing: refresh __def_vmaflag_names (VM Debugging
  Functionality, fate#320496, bnc#963823).
- commit 751dc74
* Mon Mar 21 2016 dbueso@suse.de
- locking/csd_lock: Use smp_cond_acquire() in csd_lock_wait() (bsc#969756).
- commit 006c48f
* Mon Mar 21 2016 dbueso@suse.de
- locking/csd_lock: Explicitly inline csd_lock*() helpers (bsc#969756).
- commit 7544827
* Mon Mar 21 2016 dbueso@suse.de
- userfaultfd: don't block on the last VM updates at exit time
  (bsc#971248).
- commit f849455
* Fri Mar 18 2016 brogers@suse.com
- supported.conf: list virtio_input and virtio_gpu as supported
  Add the latest virtio drivers to the supported file (FATE#319660).
  This will also probably be needed for KVM ARM guests as well.
- commit 7afc2af
* Fri Mar 18 2016 jslaby@suse.cz
- kgr: fix reversion of a patch already reverted by a replace_all
  patch (fate#313296).
- commit ddfbcff
* Fri Mar 18 2016 jslaby@suse.cz
- kgr: kmemleak, really mark the kthread safe after an interrupt
  (fate#313296).
- commit f67b1d9
* Fri Mar 18 2016 jslaby@suse.cz
- Update patches.kernel.org/patch-4.4.1 (CVE-2016-0728 bnc#962075
  boo#960710 CVE-2013-4312 bnc#839104).
  One more bug reference.
- commit 8044920
* Fri Mar 18 2016 mmarek@suse.com
- supported.conf: Add bridge.ko for OpenStack (bsc#971600)
- commit bdc5ab2
* Fri Mar 18 2016 jslaby@suse.cz
- net: irda: Fix use-after-free in irtty_open() (bnc#967903).
- commit 3cb734a
* Fri Mar 18 2016 vbabka@suse.cz
- Update config files.
  Enable CONFIG_PAGE_OWNER (VM Debugging Functionality, fate#320496, bnc#963823)
- commit b78341d
* Fri Mar 18 2016 vbabka@suse.cz
- mm, debug: move bad flags printing to bad_page() (VM Debugging
  Functionality, fate#320496, bnc#963823).
- commit 306b616
* Fri Mar 18 2016 vbabka@suse.cz
- mm, page_owner: dump page owner info from dump_page() (VM
  Debugging Functionality, fate#320496, bnc#963823).
- mm, page_owner: track and print last migrate reason (VM
  Debugging Functionality, fate#320496, bnc#963823).
- mm, page_owner: copy page owner info during migration (VM
  Debugging Functionality, fate#320496, bnc#963823).
- mm, page_owner: convert page_owner_inited to static key (VM
  Debugging Functionality, fate#320496, bnc#963823).
- mm, page_owner: print migratetype of page and pageblock,
  symbolic flags (VM Debugging Functionality, fate#320496,
  bnc#963823).
- mm, slb: print gfp_flags as strings in slab_out_of_memory()
  (VM Debugging Functionality, fate#320496, bnc#963823).
- mm, oom: print symbolic gfp_flags in oom warning (VM Debugging
  Functionality, fate#320496, bnc#963823).
- mm, page_alloc: print symbolic gfp_flags on allocation failure
  (VM Debugging Functionality, fate#320496, bnc#963823).
- mm, debug: replace dump_flags() with the new printk formats
  (VM Debugging Functionality, fate#320496, bnc#963823).
- mm, printk: introduce new format string for flags (VM Debugging
  Functionality, fate#320496, bnc#963823).
- mm, tracing: unify mm flags handling in tracepoints and printk
  (VM Debugging Functionality, fate#320496, bnc#963823).
- tools, perf: make gfp_compact_table up to date (VM Debugging
  Functionality, fate#320496, bnc#963823).
- mm, tracing: make show_gfp_flags() up to date (VM Debugging
  Functionality, fate#320496, bnc#963823).
- tracepoints: move trace_print_flags definitions to
  tracepoint-defs.h (VM Debugging Functionality, fate#320496,
  bnc#963823).
- tracepoints: Move struct tracepoint to new tracepoint-defs.h
  header (VM Debugging Functionality, fate#320496, bnc#963823).
- commit afef4d9
* Thu Mar 17 2016 mbrugger@suse.com
- supported.conf:
  Add i2c-thunderx driver
- commit f968924
* Thu Mar 17 2016 mbrugger@suse.com
- Update config files.
  Enable CONFIG_I2C_THUNDERX as a module for arm64.
  Let it deselected for x86_64 and ppc64le.
- commit e7f9687
* Thu Mar 17 2016 mbrugger@suse.com
- [v3,14/14] i2c-thunderx: Add smbus support (fate#319983).
- [v3,13/14] i2c-thunderx: Add i2c driver for ThunderX SOC
  (fate#319983).
- [v3,12/14] i2c-octeon: Split the driver into two parts
  (fate#319983).
- [v3,11/14] i2c-octeon: Add workaround for broken irqs on CN3860
  (fate#319983).
- [v3,10/14] i2c-octeon: Faster operation when IFLG signals late
  (fate#319983).
- [v3,09/14] i2c-octeon: Flush TWSI writes with readback
  (fate#319983).
- [v3,08/14] i2c-octeon: Add support for cn78XX chips
  (fate#319983).
- [v3,07/14] dt-bindings: i2c: Add Octeon cn78xx TWSI
  (fate#319983).
- [v3,	06/14] i2c-octeon: Enable high-level controller and
  improve on bus	    contention (fate#319983).
- [v3,05/14] i2c-octeon: Make adapter timeout tunable
  (fate#319983).
- [v3,04/14] i2c-octeon: Support I2C_M_RECV_LEN (fate#319983).
- [v3,03/14] i2c-octeon: Cleanup resource allocation code
  (fate#319983).
- [v3,02/14] i2c-octeon: Cleanup i2c-octeon driver (fate#319983).
- [v3,01/14] i2c-octeon: Cleanup kerneldoc comments (fate#319983).
- commit 1dc31aa
* Thu Mar 17 2016 hare@suse.de
- bnx2fc: bnx2fc_eh_abort(): fix wrong return code
  (bsc#966327,FATE#320151).
- bnx2fc: Show information about log levels in 'modinfo'
  (bsc#966327,FATE#320151).
- commit 05eb9cd
* Thu Mar 17 2016 jthumshirn@suse.de
- aacraid: Update driver version (FATE#320140).
- aacraid: Fix character device re-initialization (FATE#320140).
- aacraid: Fix AIF triggered IOP_RESET (FATE#320140).
- aacraid: Created new mutex for ioctl path (FATE#320140).
- aacraid: Fundamental reset support for Series 7 (FATE#320140).
- aacraid: Set correct msix count for EEH recovery (FATE#320140).
- aacraid: Fix memory leak in aac_fib_map_free (FATE#320140).
- aacraid: Added EEH support (FATE#320140).
- aacraid: Fix RRQ overload (FATE#320140).
- aacraid: SCSI blk tag support (FATE#320140).
- aacraid: aac_release_resources() can be static (FATE#320140).
- commit e422218
* Thu Mar 17 2016 tiwai@suse.de
- ALSA: hda - Fix unexpected resume through regmap code path
  (bsc#969383).
- PM / runtime: Add new helper for conditional usage count
  incrementation (bsc#969383).
- commit b64e343
* Thu Mar 17 2016 mmarek@suse.com
- supported.conf: Add isofs to -base (bsc#969655).
- commit 8d8f6bd
* Thu Mar 17 2016 jslaby@suse.cz
- Linux 4.4.6 (CVE-2016-2143 FATE#318444 FATE#318900 bsc#971081).
- Refresh
  patches.arch/powerpc-powernv-Add-support-for-Nvlink-NPUs.patch.
- Refresh patches.suse/vfs-add-file_dentry.patch.
- Delete
  patches.arch/arm64-account-for-sparsemem-section-alignment-when-c.patch.
- Delete
  patches.fixes/0001-s390-mm-four-page-table-levels-vs.-fork.patch.
- Delete
  patches.suse/ovl-fix-working-on-distributed-fs-as-lower-layer.patch.
- commit cdac3dd
* Wed Mar 16 2016 bpoirier@suse.com
- mld, igmp: Fix reserved tailroom calculation (bsc#956852).
- commit 968c972
* Wed Mar 16 2016 mbrugger@suse.com
- arm64: hugetlb: partial revert of 66b3923a1a0f (fate#318444).
- arm64: account for sparsemem section alignment when choosing
  vmemmap offset (fate#318444).
- commit 7a84934
* Wed Mar 16 2016 trenn@suse.com
- intel_idle: Support for Intel Xeon Phi Processor x200 Product
  Family (fate#319505).
- commit a82a64a
* Wed Mar 16 2016 tiwai@suse.de
- ALSA: usb-audio: Add sanity checks for endpoint accesses
  (CVE-2016-2184,bsc#971125).
- ALSA: usb-audio: Fix NULL dereference in
  create_fixed_stream_quirk() (CVE-2016-2184,bsc#971125).
- commit 4d04255
* Wed Mar 16 2016 jthumshirn@suse.de
- nfit_test: Enable DSMs for all test NFITs (FATE#320071).
- tools/testing/libnvdimm: cleanup mock resource lookup
  (FATE#320071).
- libnvdimm, pfn: enable pfn sysfs interface unit testing
  (FATE#320071).
- commit bfa5f80
* Wed Mar 16 2016 hare@suse.de
- supported.conf: Replace tmscsim with am53c974
  The old tmscsim driver has been replaced with the am53c974 driver,
  providing the same functionality.
- commit 2bdb43e
* Wed Mar 16 2016 hare@suse.de
- Refresh
  patches.drivers/megaraid_sas-Fallback-to-older-scanning-if-not-disks.patch.
  Fixup typo in patch
- commit 838da92
* Wed Mar 16 2016 hare@suse.de
- mpt3sas: Remove unnecessary synchronize_irq() before free_irq()
  (bsc#966277,FATE#320138).
- mpt3sas: Free memory pools before retrying to allocate with
  different value (bsc#966277,FATE#320138).
- mpt3sas: Remove cpumask_clear for zalloc_cpumask_var and don't
  free free_cpu_mask_var before reply_q (bsc#966277,FATE#320138).
- mpt3sas: Updating mpt3sas driver version to 12.100.00.00
  (bsc#966277,FATE#320138).
- mpt3sas: Fix for Asynchronous completion of timedout IO and
  task abort of timedout IO (bsc#966277,FATE#320138).
- mpt3sas: Updated MPI Header to 2.00.42 (bsc#966277,FATE#320138).
- mpt3sas: Add support for configurable Chain Frame Size
  (bsc#966277,FATE#320138).
- mpt3sas: Added smp_affinity_enable module parameter
  (bsc#966277,FATE#320138).
- mpt3sas: Make use of additional HighPriority credit message
  frames for sending SCSI IO's (bsc#966277,FATE#320138).
- mpt3sas: Never block the Enclosure device
  (bsc#966277,FATE#320138).
- mpt3sas: Fix static analyzer(coverity) tool identified defects
  (bsc#966277,FATE#320138).
- mpt3sas: Used IEEE SGL instead of MPI SGL while framing a SMP
  Passthrough request message (bsc#966277,FATE#320138).
- mpt3sas: Added support for high port count HBA variants
  (bsc#966277,FATE#320138).
- mpt3sas: A correction in unmap_resources
  (bsc#966277,FATE#320138).
- commit b285e41
* Wed Mar 16 2016 jthumshirn@suse.de
- nfit: Continue init even if ARS commands are unimplemented
  (FATE#320071).
- nfit: update address range scrub commands to the acpi 6.1 format
  (FATE#320071).
- commit 9397c3c
* Wed Mar 16 2016 hare@suse.de
- megaraid: fix null pointer check in megasas_detach_one()
  (bsc#966272,FATE#320135).
- megaraid_sas: Add an i/o barrier (bsc#966272,FATE#320135).
- megaraid_sas: Code optimization build_and_issue_cmd return-type
  (bsc#966272,FATE#320135).
- megaraid_sas: Do not allow PCI access during OCR
  (bsc#966272,FATE#320135).
- megaraid_sas: Don't issue kill adapter for MFI controllers in
  case of PD list DCMD failure (bsc#966272,FATE#320135).
- megaraid_sas: Dual queue depth support (bsc#966272,FATE#320135).
- megaraid_sas: Fastpath region lock bypass
  (bsc#966272,FATE#320135).
- megaraid_sas: Fix SMAP issue (bsc#966272,FATE#320135).
- megaraid_sas: Fix for IO failing post OCR in SRIOV environment
  (bsc#966272,FATE#320135).
- megaraid_sas: IO throttling support (bsc#966272,FATE#320135).
- megaraid_sas: Introduce module parameter for SCSI command
  timeout (bsc#966272,FATE#320135).
- megaraid_sas: MFI IO timeout handling (bsc#966272,FATE#320135).
- megaraid_sas: MFI adapter OCR changes (bsc#966272,FATE#320135).
- megaraid_sas: Make adprecovery variable atomic
  (bsc#966272,FATE#320135).
- megaraid_sas: Reply Descriptor Post Queue (RDPQ) support
  (bsc#966272,FATE#320135).
- megaraid_sas: SPERC OCR changes (bsc#966272,FATE#320135).
- megaraid_sas: Syncing request flags macro names with firmware
  (bsc#966272,FATE#320135).
- megaraid_sas: Task management support (bsc#966272,FATE#320135).
- megaraid_sas: Update device queue depth based on interface type
  (bsc#966272,FATE#320135).
- megaraid_sas: driver version upgrade (bsc#966272,FATE#320135).
- Refresh
  patches.drivers/megaraid-sas-boot-hangs-while-LD-is-offline.patch.
- megaraid_sas: Fallback to older scanning if no disks are found
  (bnc#870440).
- commit 05fa518
* Tue Mar 15 2016 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Drop the util-linux dependency again (fate#320552)
  The kernel now has a workaround for the old usage.
- commit 5a3de2b
* Tue Mar 15 2016 jthumshirn@suse.de
- qla2xxx: Update driver version to 8.07.00.33-k (FATE#320146,
  bsc#966328).
- qla2xxx: Set relogin flag when we fail to queue login requests
  (FATE#320146, bsc#966328).
- qla2xxx: Enable T10-DIF for ISP27XX (FATE#320146, bsc#966328).
- qla2xxx: Provide mbx info in BBCR data after mbx failure
  (FATE#320146, bsc#966328).
- qla2xxx: Avoid side effects when using endianizer macros
  (FATE#320146, bsc#966328).
- qla2xxx: Add support for Private link statistics counters
  (FATE#320146, bsc#966328).
- qla2xxx: Add support for buffer to buffer credit value for
  ISP27XX (FATE#320146, bsc#966328).
- qla2xxx: Add support for online flash update for ISP27XX
  (FATE#320146, bsc#966328).
- qla2xxx: Allow fw to hold status before sending ABTS response
  (FATE#320146, bsc#966328).
- qla2xxx: Seed init-cb login timeout from nvram exclusively
  (FATE#320146, bsc#966328).
- qla2xxx: Remove unneeded link offline message (FATE#320146,
  bsc#966328).
- scsi: qla2xxxx: avoid type mismatch in comparison (FATE#320146,
  bsc#966328).
- commit b1220e1
* Tue Mar 15 2016 jthumshirn@suse.de
- qla2xxx: Check for online flag instead of active reset when
  transmitting responses (FATE#320146, bsc#966328).
- commit 6ba546b
* Tue Mar 15 2016 jthumshirn@suse.de
- qla2xxx: Set all queues to 4k (FATE#320146, bsc#966328).
- commit 1b0c704
* Tue Mar 15 2016 jthumshirn@suse.de
- qla2xxx: Disable ZIO at start time (FATE#320146, bsc#966328).
- commit d779d81
* Tue Mar 15 2016 jthumshirn@suse.de
- qla2xxx: Move atioq to a different lock to reduce lock
  contention (FATE#320146, bsc#966328).
- commit dac0d1d
* Tue Mar 15 2016 jthumshirn@suse.de
- qla2xxx: Add selective command queuing (FATE#320146,
  bsc#966328).
- commit c865cd8
* Tue Mar 15 2016 jthumshirn@suse.de
- qla2xxx: Add irq affinity notification (FATE#320146,
  bsc#966328).
- commit 1f98ff7
* Tue Mar 15 2016 jthumshirn@suse.de
- qla2xxx: Remove dependency on hardware_lock to reduce lock
  contention (FATE#320146, bsc#966328).
- commit 0539650
* Tue Mar 15 2016 jthumshirn@suse.de
- qla2xxx: Replace QLA_TGT_STATE_ABORTED with a bit (FATE#320146,
  bsc#966328).
- qla2xxx: Wait for all conflicts before ack'ing PLOGI
  (FATE#320146, bsc#966328).
- qla2xxx: Delete session if initiator is gone from FW
  (FATE#320146, bsc#966328).
- qla2xxx: Added interface to send explicit LOGO (FATE#320146,
  bsc#966328).
- commit 79f463b
* Tue Mar 15 2016 jthumshirn@suse.de
- qla2xxx: Add FW resource count in DebugFS (FATE#320146,
  bsc#966328).
- qla2xxx: Enable Target counters in DebugFS (FATE#320146,
  bsc#966328).
- qla2xxx: Enable Exchange offload support (FATE#320146,
  bsc#966328).
- commit 96ebbe6
* Tue Mar 15 2016 jthumshirn@suse.de
- qla2xxx: Enable Extended Logins support (FATE#320146,
  bsc#966328).
- commit 52e9c7a
* Tue Mar 15 2016 jthumshirn@suse.de
- qla2xxx: Remove unavailable firmware files (FATE#320146,
  bsc#966328).
- commit 366827c
* Tue Mar 15 2016 hare@suse.de
- lpfc: Remove redundant code block in lpfc_scsi_cmd_iocb_cmpl.
- lpfc: Update version to 11.0.0.10 for upstream patch set
  (bnc#963619,FATE#320191).
- lpfc: Use kzalloc instead of kmalloc (bnc#963619,FATE#320191).
- lpfc: Delete unnecessary checks before the function call
  (bnc#963619,FATE#320191).
- lpfc: Add logging for misconfigured optics
  (bnc#963619,FATE#320191).
- lpfc: Fix external loopback failure (bnc#963619,FATE#320191).
- lpfc: Fix mbox reuse in PLOGI completion
  (bnc#963619,FATE#320191).
- lpfc: Use new FDMI speed definitions for 10G, 25G and 40G FCoE
  (bnc#963619,FATE#320191).
- lpfc: Make write check error processing more resilient
  (bnc#963619,FATE#320191).
- lpfc: Fix RDP ACC being too long (bnc#963619,FATE#320191).
- lpfc: Fix RDP Speed reporting (bnc#963619,FATE#320191).
- lpfc: Modularize and cleanup FDMI code in driver
  (bnc#963619,FATE#320191).
- lpfc: Fix crash in fcp command completion path
  (bnc#963619,FATE#320191).
- lpfc: Fix driver crash when module parameter lpfc_fcp_io_channel
  set (bnc#963619,FATE#320191).
- lpfc: Fix RegLogin failed error seen on Lancer FC during port
  bounce (bnc#963619,FATE#320191).
- lpfc: Fix the FLOGI discovery logic to comply with T11 standards
  (bnc#963619,FATE#320191).
- lpfc: Fix FCF Infinite loop in lpfc_sli4_fcf_rr_next_index_get
  (bnc#963619,FATE#320191).
- commit 5058bdb
* Tue Mar 15 2016 mgalbraith@suse.de
- Enable NO_HZ_FULL for arm64, ppc64le and x86_64 (FATE#318845)
- Update config files.
- commit 6920d6a
* Tue Mar 15 2016 dbueso@suse.de
- Update config files for CONFIG_PARAVIRT_SPINLOCKS by default (fate#320355)
- commit beca73f
* Tue Mar 15 2016 dbueso@suse.de
- s390/mm: four page table levels vs. fork (bsc#971081,CVE2016-2143).
- commit 3f6705b
* Tue Mar 15 2016 dbueso@suse.de
- x86: fix SMAP in 32-bit environments (bsc#971070).
- commit 5ad2f4c
* Mon Mar 14 2016 dbueso@suse.de
- series.conf: re-order some performance patches for -stable pending
- commit 6c39ea5
* Mon Mar 14 2016 dbueso@suse.de
- locking/lockdep: Fix stack trace caching logic (bsc#969757).
- commit e800183
* Mon Mar 14 2016 dbueso@suse.de
- locking/mcs: Fix mcs_spin_lock() ordering (fate#320355).
- commit 5eca860
* Mon Mar 14 2016 dbueso@suse.de
- locking/pvqspinlock: Enable slowpath locking count tracking (fate#320355).
- commit 0a0b0e5
* Mon Mar 14 2016 dbueso@suse.de
- locking/qspinlock: Use smp_cond_acquire() in pending code (fate#320355).
- commit a942811
* Mon Mar 14 2016 dbueso@suse.de
- locking/pvqspinlock: Move lock stealing count tracking code into pv_queued_spin_steal_lock() (fate#320355).
- commit 377acaa
* Mon Mar 14 2016 dbueso@suse.de
- locking/qspinlock: Move __ARCH_SPIN_LOCK_UNLOCKED to qspinlock_types.h (fate#320355).
- commit 556e0ce
* Mon Mar 14 2016 dbueso@suse.de
- futex: Remove requirement for lock_page() in get_futex_key() (bsc#969755).
- commit eb0afc9
* Mon Mar 14 2016 dbueso@suse.de
- futex: Rename barrier references in ordering guarantees (bsc#969755).
- commit c3963ec
* Mon Mar 14 2016 dbueso@suse.de
- kernel/locking/lockdep.c: convert hash tables to hlists (bsc#969757).
- commit 5ef80c6
* Mon Mar 14 2016 dbueso@suse.de
- locking/mutex: Allow next waiter lockless wakeup (bsc#969756).
- commit cdb8233
* Mon Mar 14 2016 rgoldwyn@suse.com
- ovl: fix working on distributed fs as lower layer (fate#318900).
- nfs: use file_dentry() (fate#318900).
- vfs: add file_dentry() (fate#318900).
- commit 3eebe80
* Mon Mar 14 2016 jroedel@suse.de
- kvm: x86: Check dest_map->vector to match eoi signals for rtc
  (bsc#966471).
- kvm: x86: Track irq vectors in ioapic->rtc_status.dest_map
  (bsc#966471).
- kvm: x86: Convert ioapic->rtc_status.dest_map to a struct
  (bsc#966471).
- commit bc7b321
* Mon Mar 14 2016 mbrugger@suse.com
- Update config files.
  arm64: enable PCIe and ECAM controller
  PCI_HOST_THUNDER_PEM - Cavium Thunder PCIe controller to off-chip devices
  PCI_HOST_THUNDER_ECAM - Cavium Thunder ECAM controller to on-chip devices on pass-1.x silicon
- commit f40ac2e
* Mon Mar 14 2016 mbrugger@suse.com
- PCI: thunder: Add driver for ThunderX-pass{1,2} on-chip devices
  (fate#319484).
- PCI: thunder: Add PCIe host driver for ThunderX processors
  (fate#319484).
- PCI: generic: Expose pci_host_common_probe() for use by other
  drivers (fate#319484).
- PCI: generic: Add pci_host_common_probe(), based on
  gen_pci_probe() (fate#319484).
- PCI: generic: Move structure definitions to separate header file
  (fate#319484).
- commit 913f863
* Mon Mar 14 2016 jdelvare@suse.de
- Update s390x config files: Adjust NR_CPUS
  It was set to 256 in the the default SLES kernel 2 years ago, do the
  same for the vanilla flavor now.
  For the zfcpdump config, a lower value is preferred to satisfy memory
  constraints. Use 2 as suggested by IBM (bsc#970983.) This is also the
  upstream setting.
- commit 3ef0eae
* Mon Mar 14 2016 jdelvare@suse.de
- Update config files: disable MFD_TPS65218
  The TPS65218 is a power management IC for 32-bit ARM systems. Its
  driver serves no purpose on other architectures. All sub-drivers were
  already disabled anyway.
- commit 9f67a64
* Mon Mar 14 2016 jthumshirn@suse.de
- Update
  patches.drivers/0001-block-rename-request_queue-slab-cache.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0002-block-do-not-initialise-globals-to-0-or-null.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0003-block-do-not-initialise-statics-to-0-or-null.patch
  (FATE#319965, bsc#964944).
- Update patches.drivers/0004-bio-use-offset_in_page-macro.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0005-block-clarify-blk_add_timer-use-case-for-blk-mq.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0006-blk-integrity-empty-implementation-when-disabled.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0007-blk-mq-reuse-hardware-context-cpumask-for-tags.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0008-blk-mq-avoid-memoryless-numa-node-encoded-in-hctx-numa_node.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0009-block-add-call-to-split-trace-point.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0010-blk-integrity-checking-for-null-instead-of-is_err.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0011-irq_poll-make-blk-iopoll-available-outside-the-block-layer.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0012-block-defer-timeouts-to-a-workqueue.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0013-block-remove-req_no_timeout-flag.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0014-block-introduce-bdev_file_inode.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0015-block-enable-dax-for-raw-block-devices.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0016-block-fix-del_gendisk-vs-blkdev_ioctl-crash.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0017-pmem-dax-disable-dax-in-the-presence-of-bad-blocks.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0019-block-revert-runtime-dax-control-of-the-raw-block-device.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0021-deadline-remove-unused-struct-member.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0022-block-sd-return-eremoteio-when-write-same-and-discard-are-disabled.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0023-kernel-fs-fix-i-o-wait-not-accounted-for-rw-o_dsync.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0024-block-fix-module-reference-leak-on-put_disk-call-for-cgroups-throttle.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0025-block-initialize-max_dev_sectors-to-0.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0026-blk-mq-end-unstarted-requests-on-dying-queue.patch
  (FATE#319965, bsc#964944).
- Update
  patches.drivers/0027-blk-fix-overflow-in-queue_discard_max_hw_show.patch
  (FATE#319965, bsc#964944).
- commit db7e134
* Mon Mar 14 2016 jdelvare@suse.de
- Update config files: disable MFD_SYSCON
  Disable MFD_SYSCON, GPIO_SYSCON and LEDS_SYSCON in non-arm
  configurations. SYSCON is an arm thing, it was enabled accidentally
  in other configurations because STMMAC_PLATFORM, which was once
  enabled by accident, selects it.
  On s390x, as REGMAP_MMIO was also only selected by MFD_SYSCON, we can
  disable it too.
- commit d14737d
* Mon Mar 14 2016 mmarek@suse.com
- supported.conf: Match 6lowpan modules with a wildcard
- commit 0097f08
* Mon Mar 14 2016 dvaleev@suse.com
- Update
  patches.drivers/ibmvnic-Fix-ibmvnic_capability-struct.patch
  (fate#320253).
- commit 79b5fb0
* Mon Mar 14 2016 hare@suse.de
- scsi: disable automatic target scan (FATE#319786).
- scsi_transport_sas: add 'scsi_target_id' sysfs attribute
  (FATE#319786).
- commit 876500c
* Mon Mar 14 2016 hare@suse.de
- scsi: vpd pages are mandatory for SPC-2.
- commit 89c8db5
* Fri Mar 11 2016 mbrugger@suse.com
- arm64: update numa patches to v15
- [v15, 1/6] efi: ARM/arm64: ignore DT memory nodes instead of
  removing them (fate#319973).
- [v15,2/6] Documentation, dt, numa: dt bindings for NUMA
  (fate#319973).
- [v15,3/6] of, numa: Add NUMA of binding implementation
  (fate#319973).
- [v15,4/6] arm64: Move unflatten_device_tree() call earlier
  (fate#319973).
- [v15,6/6] arm64, mm, numa: Add NUMA balancing support for arm64
  (fate#319973).
- [v15,5/6] arm64, numa: Add NUMA support for arm64 platforms
  (fate#319973).
- Delete
  patches.arch/arm64-efi-0004-ignore-DT-memory-nodes-instead-of-removing-them.patch.
- Delete
  patches.arch/arm64-efi-0005-ignore-DT-memreserve-entries-instead-of-removing-them.patch.
- Delete
  patches.arch/arm64-numa-0001-adding-numa-support-for-arm64-platforms.patch.
- Delete
  patches.arch/arm64-numa-0002-documentation-dt-bindings-for-numa.patch.
- Delete
  patches.arch/arm64-numa-0003-dt-adding-numa-dt-binding-implementation-for-arm64-platforms.patch.
- Delete
  patches.arch/arm64-numa-0004-dt-thunderx-Add-initial-dts-for-Cavium-Thunderx-in-2-node-topology.patch.
- commit 57560ee
* Fri Mar 11 2016 hare@suse.de
- scsi: Add 'access_state' and 'preferred_path' attribute
  (bsc#927040).
- scsi_dh_emc: update 'access_state' field (bsc#927040).
- scsi_dh_rdac: update 'access_state' field (bsc#927040).
- scsi_sysfs: add 'is_bin_visible' callback.
- scsi_sysfs: call 'device_add' after attaching device handler
  (bsc#927040).
- Refresh patches.fixes/scsi_dh-add-rescan-callback.patch.
- Refresh
  patches.fixes/scsi_dh_alua-Add-new-blacklist-flag-BLIST_SYNC_ALUA.patch.
- Refresh
  patches.fixes/scsi_dh_alua-Allow-workqueue-to-run-synchronously.patch.
- Refresh patches.fixes/scsi_dh_alua-Make-stpg-synchronous.patch.
- Refresh
  patches.fixes/scsi_dh_alua-Pass-buffer-as-function-argument.patch.
- Refresh
  patches.fixes/scsi_dh_alua-Recheck-state-on-unit-attention.patch.
- Refresh
  patches.fixes/scsi_dh_alua-Send-TEST-UNIT-READY-to-poll-for-transi.patch.
- Refresh patches.fixes/scsi_dh_alua-Update-version-to-2.0.patch.
- Refresh
  patches.fixes/scsi_dh_alua-Use-separate-alua_port_group-structure.patch.
- Refresh patches.fixes/scsi_dh_alua-Use-workqueue-for-RTPG.patch.
- Refresh
  patches.fixes/scsi_dh_alua-allocate-RTPG-buffer-separately.patch.
- Refresh
  patches.fixes/scsi_dh_alua-call-alua_rtpg-if-stpg-fails.patch.
- Refresh
  patches.fixes/scsi_dh_alua-move-optimize_stpg-evaluation.patch.
- Refresh
  patches.fixes/scsi_dh_alua-remove-rel_port-from-alua_dh_data-struc.patch.
- Refresh
  patches.fixes/scsi_dh_alua-revert-commit-a8e5a2d593cbfccf530c3382c.patch.
- Refresh patches.fixes/scsi_dh_alua-separate-out-alua_stpg.patch.
- Refresh
  patches.fixes/scsi_dh_alua-simplify-alua_initialize.patch.
- Refresh
  patches.fixes/scsi_dh_alua-switch-to-scsi_execute_req_flags.patch.
- Refresh
  patches.fixes/scsi_dh_alua-update-access_state-field.patch.
- Refresh patches.fixes/scsi_dh_alua-update-all-port-states.patch.
- Refresh
  patches.fixes/scsi_dh_alua-use-common-definitions-for-ALUA-state.patch.
- Delete patches.fixes/scsi-Add-access_state-attribute.patch.
- commit 3d97a76
* Thu Mar 10 2016 bp@suse.de
- EDAC, sb_edac: Fix logic when computing DIMM sizes on Xeon Phi
  (fate#319506).
- commit 9e25dce
* Thu Mar 10 2016 hare@suse.de
- loop: Add 'lo_logical_blocksize' (bsc#931634, FATE#319010).
- loop: Compability for older releases (bsc#966891, FATE#320552).
- Refresh
  patches.suse/loop-Enable-correct-physical-blocksize.patch.
- Refresh
  patches.suse/loop-Pass-logical-blocksize-in-lo_init-0-ioctl-field.patch.
- Refresh
  patches.suse/loop-Remove-unused-bdev-argument-from-loop_set_capac.patch.
- Delete
  patches.suse/loop-Remove-bsize-argument-from-do_lo_receive.patch.
- Delete patches.suse/loop-Use-lo_logical_blocksize.patch.
- commit 8e29aa7
* Thu Mar 10 2016 jslaby@suse.cz
- Linux 4.4.5.
- Refresh
  patches.fixes/0001-module-keep-percpu-symbols-in-module-s-symtab.patch.
- Refresh patches.suse/stack-unwind.patch.
- commit fc86faa
* Wed Mar  9 2016 jthumshirn@suse.de
- blk: fix overflow in queue_discard_max_hw_show.
- Update config files.
- blk-mq: End unstarted requests on dying queue.
- block: Initialize max_dev_sectors to 0.
- block: fix module reference leak on put_disk() call for
  cgroups throttle.
- kernel/fs: fix I/O wait not accounted for RW O_DSYNC.
- block/sd: Return -EREMOTEIO when WRITE SAME and DISCARD are
  disabled.
- deadline: remove unused struct member.
- block: revert runtime dax control of the raw block device.
- pmem, dax: disable dax in the presence of bad blocks.
- block: fix del_gendisk() vs blkdev_ioctl crash.
- block: enable dax for raw block devices.
- block: introduce bdev_file_inode().
- block: remove REQ_NO_TIMEOUT flag.
- block: defer timeouts to a workqueue.
- irq_poll: make blk-iopoll available outside the block layer.
- blk-integrity: checking for NULL instead of IS_ERR.
- block: add call to split trace point.
- blk-mq: Avoid memoryless numa node encoded in hctx numa_node.
- blk-mq: Reuse hardware context cpumask for tags.
- blk-integrity: empty implementation when disabled.
- block: clarify blk_add_timer() use case for blk-mq.
- bio: use offset_in_page macro.
- block: do not initialise statics to 0 or NULL.
- block: do not initialise globals to 0 or NULL.
- block: rename request_queue slab cache.
- commit 92735de
* Tue Mar  8 2016 ddiss@suse.de
- rbd: don't log miscompare as an error (bsc#970062).
- commit 3edf93f
* Tue Mar  8 2016 jthumshirn@suse.de
- nvme: fix max_segments integer truncation
  (bsc#964944,FATE#319965).
- Update config files.
- nvme: set queue limits for the admin queue
  (bsc#964944,FATE#319965).
- NVMe: Fix 0-length integrity payload (bsc#964944,FATE#319965).
- NVMe: Don't allow unsupported flags (bsc#964944,FATE#319965).
- NVMe: Move error handling to failed reset handler
  (bsc#964944,FATE#319965).
- NVMe: Simplify device reset failure (bsc#964944,FATE#319965).
- NVMe: Fix namespace removal deadlock (bsc#964944,FATE#319965).
- NVMe: Use IDA for namespace disk naming
  (bsc#964944,FATE#319965).
- NVMe: Don't unmap controller registers on reset
  (bsc#964944,FATE#319965).
- NVMe: Rate limit nvme IO warnings (bsc#964944,FATE#319965).
- NVMe: Poll device while still active during remove
  (bsc#964944,FATE#319965).
- NVMe: Requeue requests on suspended queues
  (bsc#964944,FATE#319965).
- NVMe: Allow request merges (bsc#964944,FATE#319965).
- NVMe: Fix io incapable return values (bsc#964944,FATE#319965).
- nvme: fix Kconfig description for BLK_DEV_NVME_SCSI
  (bsc#964944,FATE#319965).
- NVMe: Export NVMe attributes to sysfs group
  (bsc#964944,FATE#319965).
- NVMe: Shutdown controller only for power-off
  (bsc#964944,FATE#319965).
- NVMe: IO queue deletion re-write (bsc#964944,FATE#319965).
- NVMe: Remove queue freezing on resets (bsc#964944,FATE#319965).
- NVMe: Use a retryable error code on reset
  (bsc#964944,FATE#319965).
- NVMe: Fix admin queue ring wrap (bsc#964944,FATE#319965).
- nvme: make SG_IO support optional (bsc#964944,FATE#319965).
- nvme: fixes for NVME_IOCTL_IO_CMD on the char device
  (bsc#964944,FATE#319965).
- nvme: synchronize access to ctrl->namespaces
  (bsc#964944,FATE#319965).
- nvme: Move nvme_freeze/unfreeze_queues to nvme core
  (bsc#964944,FATE#319965).
- NVMe: Export namespace attributes to sysfs
  (bsc#964944,FATE#319965).
- NVMe: Add pci error handlers (bsc#964944,FATE#319965).
- nvme: merge iod and cmd_info (bsc#964944,FATE#319965).
- nvme: meta_sg doesn't have to be an array
  (bsc#964944,FATE#319965).
- nvme: properly free resources for cancelled command
  (bsc#964944,FATE#319965).
- nvme: simplify completion handling (bsc#964944,FATE#319965).
- nvme: special case AEN requests (bsc#964944,FATE#319965).
- nvme: switch abort to blk_execute_rq_nowait
  (bsc#964944,FATE#319965).
- nvme: switch delete SQ/CQ to blk_execute_rq_nowait
  (bsc#964944,FATE#319965).
- nvme: factor out a few helpers from req_completion
  (bsc#964944,FATE#319965).
- nvme: fix admin queue depth (bsc#964944,FATE#319965).
- NVMe: Simplify metadata setup (bsc#964944,FATE#319965).
- NVMe: Remove device management handles on remove
  (bsc#964944,FATE#319965).
- NVMe: Use unbounded work queue for all work
  (bsc#964944,FATE#319965).
- NVMe: Implement namespace list scanning
  (bsc#964944,FATE#319965).
- nvme: switch abort_limit to an atomic_t
  (bsc#964944,FATE#319965).
- nvme: remove dead controllers from a work item
  (bsc#964944,FATE#319965).
- nvme: merge probe_work and reset_work (bsc#964944,FATE#319965).
- nvme: do not restart the request timeout if we're resetting
  the controller (bsc#964944,FATE#319965).
- nvme: simplify resets (bsc#964944,FATE#319965).
- nvme: add NVME_SC_CANCELLED (bsc#964944,FATE#319965).
- nvme: merge nvme_abort_req and nvme_timeout
  (bsc#964944,FATE#319965).
- nvme: don't take the I/O queue q_lock in nvme_timeout
  (bsc#964944,FATE#319965).
- nvme: protect against simultaneous shutdown invocations
  (bsc#964944,FATE#319965).
- nvme: only add a controller to dev_list after it's been fully
  initialized (bsc#964944,FATE#319965).
- nvme: only ignore hardware errors in nvme_create_io_queues
  (bsc#964944,FATE#319965).
- nvme: precedence bug in nvme_pr_clear()
  (bsc#964944,FATE#319965).
- nvme: fix another 32-bit build warning (bsc#964944,FATE#319965).
- nvme: refactor set_queue_count (bsc#964944,FATE#319965).
- nvme: move chardev and sysfs interface to common code
  (bsc#964944,FATE#319965).
- nvme: move namespace scanning to common code
  (bsc#964944,FATE#319965).
- nvme: move the call to nvme_init_identify earlier
  (bsc#964944,FATE#319965).
- nvme: add a common helper to read Identify Controller data
  (bsc#964944,FATE#319965).
- nvme: move nvme_{enable,disable,shutdown}_ctrl to common code
  (bsc#964944,FATE#319965).
- nvme: move remaining CC setup into nvme_enable_ctrl
  (bsc#964944,FATE#319965).
- nvme: add explicit quirk handling (bsc#964944,FATE#319965).
- nvme: move block_device_operations and ns/ctrl freeing to
  common code (bsc#964944,FATE#319965).
- nvme: use the block layer for userspace passthrough metadata
  (bsc#964944,FATE#319965).
- nvme: split __nvme_submit_sync_cmd (bsc#964944,FATE#319965).
- nvme: move nvme_setup_flush and nvme_setup_rw to common code
  (bsc#964944,FATE#319965).
- nvme: move nvme_error_status to common code
  (bsc#964944,FATE#319965).
- nvme: factor out a nvme_unmap_data helper
  (bsc#964944,FATE#319965).
- nvme: refactor nvme_queue_rq (bsc#964944,FATE#319965).
- nvme: simplify nvme_setup_prps calling convention
  (bsc#964944,FATE#319965).
- nvme: split a new struct nvme_ctrl out of struct nvme_dev
  (bsc#964944,FATE#319965).
- nvme: use vendor it from identify (bsc#964944,FATE#319965).
- nvme: split nvme_trans_device_id_page (bsc#964944,FATE#319965).
- nvme: use offset instead of a struct for registers
  (bsc#964944,FATE#319965).
- nvme: split command submission helpers out of pci.c
  (bsc#964944,FATE#319965).
- nvme: move struct nvme_iod to pci.c (bsc#964944,FATE#319965).
- commit 3f46cae
* Tue Mar  8 2016 trenn@suse.com
- Refresh patches.arch/x86_intel_do_not_modify_perf_bias.patch.
- commit 4c33e17
* Mon Mar  7 2016 mbrugger@suse.com
- Refresh
  patches.arch/arm64-thd-net-0019-net-thunderx-Use-bool-in-stucts-there-possible.patch.
  Refresh
  patches.arch/arm64-thd-net-0028-net-thunderx-HW-TSO-support-for-pass2-chips.patch.
- commit d7ed866
* Mon Mar  7 2016 mbrugger@suse.com
- net: thunderx: Fix const type in nicvf_set_rxfh().
- commit b002500
* Mon Mar  7 2016 trenn@suse.com
- Do not modify perf bias performance setting by default at boot
  (bnc#812259,bsc#959629).
- commit 4ff04e7
* Mon Mar  7 2016 dvaleev@suse.com
- ibmvnic: Fix ibmvnic_capability struct.
- commit 2c7ecd7
* Mon Mar  7 2016 jslaby@suse.cz
- Update patches.kernel.org/patch-4.4.3-4 (CVE-2015-8812
  CVE-2016-2383 bnc#910440 bnc#968396 bnc#968665 bnc#969064
  boo#955096 boo#961263 boo#961887 boo#967938 bsc#950358
  bsc#962535 bsc#966137 bsc#966437 bsc#966684 bsc#967690).
  Cleanup references.
- commit eb8822b
* Sat Mar  5 2016 dmueller@suse.com
- supported.conf: Update bug reference
- commit 35127df
* Fri Mar  4 2016 mkubecek@suse.cz
- supported.conf: core networking cleanup
  This commit does not change support status of any module, it's only
  a cleanup:
- remove modules no longer built (removed or moved into vmlinux)
- add new modules as unsupported (except rpcrdma)
- mark rpcrdma as supported (merge of supported svcrdma and xprtrdma)
- align comments
- fix order
- commit 2552f02
* Fri Mar  4 2016 mkubecek@suse.cz
- Update config files: enable nftables (bsc#963008)
  There is an interest in us providing nftables, even if not necessarily
  as supported.
- commit 2023cf8
* Fri Mar  4 2016 mbrugger@suse.com
- Update config files.
  Enable CONFIG_GPIO_XGENE_SB on arm64.
- commit 15878ff
* Fri Mar  4 2016 mbrugger@suse.com
- gpio: xgene: Fix kconfig for standby GIPO contoller (fate#319482
  fate#319483).
- commit 232efe6
* Fri Mar  4 2016 jslaby@suse.cz
- Linux 4.4.4 (-- CVE-2015-8812 CVE-2016-2383 FS NUMA bnc#910440
  bnc#968396 bnc#968665 bnc#969064 boo#955096 boo#961263
  boo#961887 boo#967938 bsc#950358 bsc#962535 bsc#966137
  bsc#966437 bsc#966684 bsc#967690 excessive fix lock machines
  on performance reclaim).
- Refresh
  patches.suse/btrfs-btrfs-use-the-new-VFS-super_block_dev.patch.
- Refresh
  patches.suse/suse-hv-0001-x86-irq-Export-functions-to-allow-MSI-domains-in-mod.patch.
- Delete
  patches.drivers/0001-bcache-Add-a-cond_resched-call-to-gc.patch.
- Delete
  patches.drivers/0002-bcache-BUG-clear-BCACHE_DEV_UNLINK_DONE-flag-when-at.patch.
- Delete
  patches.drivers/0003-bcache-fix-a-livelock-in-btree-lock.patch.
- Delete
  patches.drivers/0004-bcache-unregister-reboot-notifier-when-bcache-fails-.patch.
- Delete
  patches.drivers/0005-fix-a-leak-in-bch_cached_dev_run.patch.
- Delete
  patches.drivers/01-edac-mc_sysfs-fix-freeing-bus-name.patch.
- Delete
  patches.drivers/02-edac-robustify-workqueues-destruction.patch.
- Delete
  patches.drivers/ALSA-hda-Apply-clock-gate-workaround-to-Skylake-too.
- Delete
  patches.drivers/bcache-fix-writeback-thread-incomplete-stripes-starvation.patch.
- Delete
  patches.drivers/drm-i915-shut-up-gen8-SDE-irq-dmesg-noise.
- Delete
  patches.drivers/drm-radeon-Add-a-common-function-for-DFS-handling.
- Delete
  patches.drivers/drm-radeon-Don-t-hang-in-radeon_flip_work_func-on-di.
- Delete
  patches.drivers/drm-radeon-Fix-off-by-one-errors-in-radeon_vm_bo_set.
- Delete
  patches.drivers/drm-radeon-Fix-slow-audio-over-DP-on-DCE8.
- Delete patches.drivers/drm-radeon-call-hpd_irq_event-on-resume.
- Delete
  patches.drivers/drm-radeon-cleaned-up-VCO-output-settings-for-DP-aud.
- Delete
  patches.drivers/drm-radeon-fix-DP-audio-support-for-APU-with-DCE4.1-.
- Delete
  patches.drivers/drm-radeon-hold-reference-to-fences-in-radeon_sa_bo_.
- Delete
  patches.drivers/drm-radeon-pm-adjust-display-configuration-after-pow.
- Delete
  patches.drivers/drm-radeon-properly-byte-swap-vce-firmware-setup.
- Delete
  patches.drivers/drm-radeon-use-post-decrement-in-error-handling.
- Delete
  patches.fixes/bpf-fix-branch-offset-adjustment-on-backjumps-after-patching-ctx-expansion.patch.
- Delete
  patches.fixes/drm-Fix-drm_vblank_pre-post_modeset-regression-from.
- Delete
  patches.fixes/drm-Fix-treatment-of-drm_vblank_offdelay-in-drm_vbla.
- Delete
  patches.fixes/drm-No-Op-redundant-calls-to-drm_vblank_off-v2.
- Delete
  patches.fixes/drm-Prevent-vblank-counter-bumps-1-with-active-vblan.
- Delete
  patches.fixes/drm-nouveau-display-Enable-vblank-irqs-after-display.
- Delete
  patches.fixes/genirq-Validate-action-before-dereferencing-it-in-ha.patch.
- Delete
  patches.fixes/iw_cxgb3-fix-incorrectly-returning-error-on-success.patch.
- Delete
  patches.fixes/perf-stat-do-not-clean-event-s-private-stats.patch.
- Delete
  patches.fixes/sd-Optimal-I-O-size-is-in-bytes-not-sectors.
- Delete
  patches.fixes/tcp-do-not-drop-syn_recv-on-all-icmp-reports.patch.
- Delete
  patches.suse/Revert-workqueue-make-sure-delayed-work-run-in-local-cpu.patch.
- Delete
  patches.suse/locks-fix-unlock-when-fcntl_setlk-races-with-a-close.patch.
- Delete
  patches.suse/mm-numa-Quickly-fail-allocations-for-NUMA-balancing-on-full-nodes.patch.
- Delete
  patches.suse/msft-hv-0955-Drivers-hv-vmbus-Fix-a-Host-signaling-bug.patch.
- Delete
  patches.suse/msft-hv-0959-tools-hv-vss-fix-the-write-s-argument-error-vss_msg.patch.
- Delete
  patches.suse/workqueue-handle-NUMA_NO_NODE-for-unbound-pool_workqueue-lookup.patch.
- commit 7946f5a
* Fri Mar  4 2016 jslaby@suse.cz
- Refresh
  patches.drivers/0001-bcache-Add-a-cond_resched-call-to-gc.patch.
- Refresh
  patches.drivers/0002-bcache-BUG-clear-BCACHE_DEV_UNLINK_DONE-flag-when-at.patch.
- Refresh
  patches.drivers/0003-bcache-fix-a-livelock-in-btree-lock.patch.
- Refresh
  patches.drivers/0004-bcache-unregister-reboot-notifier-when-bcache-fails-.patch.
- Refresh
  patches.drivers/0005-fix-a-leak-in-bch_cached_dev_run.patch.
  Update upstream status.
- commit 273de56
* Thu Mar  3 2016 fdmanana@suse.com
- Btrfs: fix leaking of ordered extents after direct IO write
  error (bnc#969398).
- Btrfs: fix error path when failing to submit bio for direct
  IO write (bnc#969398).
- commit 764cdac
* Thu Mar  3 2016 vbabka@suse.cz
- mm, hugetlb: don't require CMA for runtime gigantic pages
  (VM Functionality, fate#317885).
- commit ace8c37
* Thu Mar  3 2016 dsterba@suse.com
- Add build dependency for objtool
  objtool requires libelf development headers.
- commit 16f65f2
* Thu Mar  3 2016 tiwai@suse.de
- e1000e: Avoid divide by zero error (bsc#968643).
- e1000e: fix division by zero on jumbo MTUs (bsc#968643).
- commit 2187ae4
* Thu Mar  3 2016 mgorman@suse.com
- cpuidle: menu: help gcc generate slightly better code
  (bnc#969297 PM performance -- cpu idle).
- cpuidle: menu: avoid expensive square root computation
  (bnc#969297 PM performance -- cpu idle).
- commit b5dcc9e
* Thu Mar  3 2016 mbrugger@suse.com
- Update config files.
  Add some modules, enable:
  OVERLAY_FS_COMPAT
  UNWIND_INFO
  SECURITY_SECURELEVEL
  EFI_SIGNATURE_LIST_PARSER
  SYSTEM_BLACKLIST_KEYRING
- commit 6310dda
* Thu Mar  3 2016 mgalbraith@suse.de
- acct, time: Change indentation in __acct_update_integrals() (Performance,fate#318845).
- sched, time: Remove non-power-of-two divides from __acct_update_integrals() (Performance,fate#318845).
- sched, time: Switch VIRT_CPU_ACCOUNTING_GEN to jiffy granularity (Performance,fate#318845).
- time, acct: Drop irq save & restore from __acct_update_integrals() (Performance,fate#318845).
- Update patches.suse/Revert-x86-kvm-On-KVM-re-enable-e.g.-after-suspend-update-clocks.patch (Performance,fate#318845).
- Update patches.suse/arch-tile-move-user_exit-to-early-kernel-entry-sequence.patch (Performance,fate#318845).
- Update patches.suse/context_tracking-Switch-to-new-static_branch-API.patch (Performance,fate#318845).
- Update patches.suse/nohz-Clarify-magic-in-tick_nohz_stop_sched_tick.patch (Performance,fate#318845).
- Update patches.suse/sched-core-Fix-incorrect-wait-time-and-wait-count-statistics.patch (Performance,fate#318845).
- Update patches.suse/sched-core-Move-sched_entity-avg-into-separate-cache-line.patch (Performance,fate#318845).
- Update patches.suse/sched-core-Move-the-sched_to_prio-arrays-out-of-line.patch (Performance,fate#318845).
- Update patches.suse/sched-core-Use-list_is_singular-in-sched_can_stop_tick.patch (Performance,fate#318845).
- Update patches.suse/sched-cputime-Clarify-vtime-symbols-and-document-them.patch (Performance,fate#318845).
- Update patches.suse/sched-cputime-Convert-vtime_seqlock-to-seqcount.patch (Performance,fate#318845).
- Update patches.suse/sched-cputime-Correctly-handle-task-guest-time-on-housekeepers.patch (Performance,fate#318845).
- Update patches.suse/sched-cputime-Introduce-vtime-accounting-check-for-readers.patch (Performance,fate#318845).
- Update patches.suse/sched-cputime-Remove-extra-cost-in-task_cputime.patch (Performance,fate#318845).
- Update patches.suse/sched-cputime-Rename-vtime_accounting_enabled-to-vtime_accounting_cpu_enabled.patch (Performance,fate#318845).
- Update patches.suse/sched-deadline-Fix-the-earliest_dl.next-logic.patch (Performance,fate#318845).
- Update patches.suse/sched-fair-Avoid-redundant-idle_cpu-call-in-update_sg_lb_stats.patch (Performance,fate#318845).
- Update patches.suse/sched-fair-Clean-up-the-explanation-around-decaying-load-update-misses.patch (Performance,fate#318845).
- Update patches.suse/sched-fair-Consider-missed-ticks-in-NOHZ_FULL-in-update_cpu_load_nohz.patch (Performance,fate#318845).
- Update patches.suse/sched-fair-Fix-new-task-s-load-avg-removed-from-source-CPU-in-wake_up_new_task.patch (Performance,fate#318845).
- Update patches.suse/sched-fair-Make-it-possible-to-account-fair-load-avg-consistently.patch (Performance,fate#318845).
- Update patches.suse/sched-fair-Modify-the-comment-about-lock-assumptions-in-migrate_task_rq_fair.patch (Performance,fate#318845).
- Update patches.suse/sched-fair-Prepare-__update_cpu_load-to-handle-active-tickless.patch (Performance,fate#318845).
- Update patches.suse/sched-wait-Document-waitqueue_active.patch (Performance,fate#318845).
- Update patches.suse/x86-asm-Add-asm-macros-for-static-keys-jump-labels.patch (Performance,fate#318845).
- Update patches.suse/x86-entry-64-Bypass-enter_from_user_mode-on-non-context-tracking-boots.patch (Performance,fate#318845).
- Update patches.suse/x86-entry-64_compat-Make-labels-local.patch (Performance,fate#318845).
- Update patches.suse/x86-fpu-Properly-align-size-in-CHECK_MEMBER_AT_END_OF-macro.patch (Performance,fate#318845).
- Update patches.suse/x86-kvm-On-KVM-re-enable-e.g.-after-suspend-update-clocks.patch (Performance,fate#318845).
- Update patches.suse/x86-platform-uv-Include-clocksource.h-for-clocksource_touch_watchdog.patch (Performance,fate#318845).
- Update patches.suse/x86-vdso-Enable-vdso-pvclock-access-on-all-vdso-variants.patch (Performance,fate#318845).
- Update patches.suse/x86-vdso-Get-pvclock-data-from-the-vvar-VMA-instead-of-the-fixmap.patch (Performance,fate#318845).
- Update patches.suse/x86-vdso-Remove-pvclock-fixmap-machinery.patch (Performance,fate#318845).
- Update patches.suse/x86-vdso-pvclock-Simplify-and-speed-up-the-vdso-pvclock-reader.patch (Performance,fate#318845).
- Update patches.suse/x86-vsdo-Fix-build-on-PARAVIRT_CLOCK-y-KVM_GUEST-n.patch (Performance,fate#318845).
- commit 7e1cf45
* Wed Mar  2 2016 mbrugger@suse.com
- arm/arm64: Add new is_kernel_in_hyp_mode predicate.
- commit 1242bad
* Wed Mar  2 2016 mbrugger@suse.com
- net, thunder, bgx: Rework driver to support ACPI binding
  (fate#319980).
- commit a326aec
* Wed Mar  2 2016 mbrugger@suse.com
- arm64: perf: Extend ARMV8_EVTYPE_MASK to include PMCR.LC
  (fate#319982).
- arm64: perf: Count EL2 events if the kernel is running in HYP
  (fate#319982).
- arm64/perf: Extend event mask for ARMv8.1 (fate#319982).
- arm64/perf: Enable PMCR long cycle counter bit (fate#319982).
- arm64: dts: Add Cavium ThunderX specific PMU (fate#319982).
- arm64/perf: Add Cavium ThunderX PMU support (fate#319982).
- arm64/perf: Rename Cortex A57 events (fate#319982).
- arm64: perf: add support for Cortex-A72 (fate#319982).
- arm64: perf: add format entry to describe event -> config
  mapping (fate#319982).
- arm64: perf: Add event descriptions (fate#319982).
- arm64: perf: Convert event enums to #defines (fate#319982).
- commit 70e149a
* Wed Mar  2 2016 mmarek@suse.com
- Disable CONFIG_GPIO_XGENE_SB on arm64 temporarily due to link error.
- commit e8874f7
* Wed Mar  2 2016 ohering@suse.de
- Disable access to lowmem in a Xen PV guest (bnc#964342).
- commit 1ab34c3
* Wed Mar  2 2016 mgorman@suse.com
- series.conf: Place patches that alter default tuning parameters together
- commit 6bf35ed
* Wed Mar  2 2016 mgorman@suse.com
- Refresh patches.drivers/intel_pstate_performance_tuned.patch.
- commit b73ad80
* Wed Mar  2 2016 tiwai@suse.de
- Delete patches.suse/b43-missing-firmware-info.patch (bsc#963847).
  The module is unsupported, and the instruction is outdated.
- commit 8e5b5f9
* Wed Mar  2 2016 jslaby@suse.cz
- tcp: do not drop syn_recv on all icmp reports (bnc#969064).
- commit 0d4d3a1
* Wed Mar  2 2016 tiwai@suse.de
- radeon: r100: Silence 'may be used uninitialized' warnings
  (boo#955096,boo#967938).
- drm/radeon/pm: adjust display configuration after powerstate
  (boo#955096,boo#967938).
- drm/radeon: Don't hang in radeon_flip_work_func on disabled
  crtc. (v2) (boo#955096,boo#967938).
- drm/radeon/pm: Handle failure of drm_vblank_get
  (boo#955096,boo#967938).
- drm/radeon: use post-decrement in error handling
  (boo#955096,boo#967938).
- drm/radeon: hold reference to fences in radeon_sa_bo_new
  (boo#955096,boo#967938).
- drm/radeon: fix DP audio support for APU with DCE4.1 display
  engine (boo#955096,boo#967938).
- drm/radeon: Add a common function for DFS handling
  (boo#955096,boo#967938).
- drm/radeon: cleaned up VCO output settings for DP audio
  (boo#955096,boo#967938).
- drm/radeon: only init fbdev if we have connectors
  (boo#955096,boo#967938).
- drm/radeon: Ensure radeon bo is unreserved in
  radeon_gem_va_ioctl (boo#955096,boo#967938).
- drm/radeon: properly byte swap vce firmware setup
  (boo#955096,boo#967938).
- drm/radeon: Fix off-by-one errors in radeon_vm_bo_set_addr
  (boo#955096,boo#967938).
- drm/radeon: fix dp link rate selection (v2)
  (boo#955096,boo#967938).
- drm/radeon: only increment sync_seq when a fence is really
  emitted (boo#955096,boo#967938).
- drm/radeon: Fix "slow" audio over DP on DCE8+
  (boo#955096,boo#967938).
- drm/radeon: Use unlocked gem unreferencing
  (boo#955096,boo#967938).
- drm/radeon: call hpd_irq_event on resume
  (boo#955096,boo#967938).
- commit 99208d4
* Tue Mar  1 2016 lduncan@suse.com
- Replaced two guareded iBFT patches with correct one
  Two patches that were commented out where needed, but
  the upstream version has merged these two patches into
  one, so I updated replaced the two older patches
  with the currently-proposed upstream version.
- commit 790f100
* Tue Mar  1 2016 mbrugger@suse.com
- arm64: lib: improve copy_page to deal with 128 bytes at a time
  (fate#319977).
- commit 0798f8c
* Tue Mar  1 2016 dmueller@suse.com
- config: ARM64: Remove hardcoded console setting
  Proper way would be to derive it from the ACPI or
  Device tree chosen output.
- commit 7bc1eec
* Tue Mar  1 2016 mbrugger@suse.com
- net: thunderx: Use napi_schedule_irqoff() (fate#319980).
- commit b14ea3a
* Tue Mar  1 2016 mbrugger@suse.com
- Refresh: patches.arch/arm64-pci-0025-net-thunder-bgx-Start-to-use-standard-firmware-node-.patch
  Update patch-mainline tag.
- commit b0cdb92
* Tue Mar  1 2016 dvaleev@suse.com
- powerpc/powernv: Reserve PE#0 on NPU (fate#320647).
- Update config files.
- powerpc/powernv: Change NPU PE# assignment (fate#320647).
- powerpc/powernv: Fix update of NVLink DMA mask (fate#320647).
- powerpc/powernv: Add support for Nvlink NPUs (fate#320647).
- powerpc: Add __raw_rm_writeq() function (fate#320647).
- Revert "powerpc/pci: Remove unused struct pci_dn.pcidev
  (fate#320647).
- commit 2348ad5
* Tue Mar  1 2016 dvaleev@suse.com
- drivers/base/memory.c: fix kernel warning during memory hotplug
  on ppc64 (bsc#963827).
- commit a6fc127
* Tue Mar  1 2016 dvaleev@suse.com
- cxlflash: a couple off by one bugs (fate#318001).
- cxlflash: drop unlikely before IS_ERR_OR_NULL (fate#318001).
- cxlflash: Fix to escalate LINK_RESET also on port 1
  (fate#318001).
- cxlflash: Fix to avoid virtual LUN failover failure
  (fate#318001).
- cxlflash: Fix to resolve cmd leak after host reset
  (fate#318001).
- cxlflash: Resolve oops in wait_port_offline (fate#318001).
- cxlflash: Enable device id for future IBM CXL adapter
  (fate#318001).
- cxlflash: Removed driver date print (fate#318001).
- commit 1eaef90
* Tue Mar  1 2016 jthumshirn@suse.de
- libnvdimm, tools/testing/nvdimm: fix 'ars_status' output buffer
  sizing (FATE#319858).
- libnvdimm, pfn: fix restoring memmap location (FATE#320460).
- libnvdimm: fix mode determination for e820 devices
  (FATE#319858).
- libnvdimm, pmem: move request_queue allocation earlier in probe
  (FATE#320457).
- libnvdimm, pfn, pmem: allocate memmap array in persistent memory
  (FATE#320457, FATE#320460).
- x86, mm: introduce vmem_altmap to augment vmemmap_populate()
  (FATE#320460).
- mm: introduce find_dev_pagemap() (FATE#320460).
- libnvdimm, pmem: nvdimm_read_bytes() badblocks support
  (FATE#320457).
- pmem: fail io-requests to known bad blocks (FATE#320460).
- libnvdimm: convert to statically allocated badblocks
  (FATE#319858, FATE#320457).
- libnvdimm: don't fail init for full badblocks list
  (FATE#319858).
- libnvdimm, pmem: move definition of nvdimm_namespace_add_poison
  to nd.h (FATE#319858, FATE#320457).
- libnvdimm: Add a poison list and export badblocks (FATE#319858,
  FATE#320457).
- libnvdimm, pfn: move 'memory mode' indication to sysfs
  (FATE#319858, FATE#320460).
- libnvdimm, pfn: fix nd_pfn_validate() return value handling
  (FATE#320460).
- libnvdimm, pfn: fix pfn seed creation (FATE#320460).
- libnvdimm, pfn: add parent uuid validation (FATE#320457,
  FATE#320460).
- libnvdimm, pfn: add 'align' attribute, default to HPAGE_SIZE
  (FATE#320457, FATE#320460).
- libnvdimm, pfn: clean up pfn create parameters (FATE#320460).
- libnvdimm, pfn: kill ND_PFN_ALIGN (FATE#320457, FATE#320460).
- nvdimm: do not show pfn_seed for non pmem regions (FATE#320460).
- nvdimm: improve diagnosibility of namespaces (FATE#319858).
- commit 08742fc
* Tue Mar  1 2016 mmarek@suse.com
- rpm/kernel-module-subpackage: Fix obsoleting dropped flavors (bsc#968253)
- commit 5295c19
* Tue Mar  1 2016 mbrugger@suse.com
- [v7, 1/3] gpio: xgene: Enable X-Gene standby GPIO as interrupt
  controller.
- [v7, 3/3] arm64: dts: Update X-Gene standby GPIO controller
  DTS entries.
- [v7, 2/3] Documentation: gpio: Update description for X-Gene
  standby GPIO controller DTS binding.
- gpio: moxart: fix build regression.
- gpio: generic: factor into gpio_chip struct.
- gpio: add a data pointer to gpio_chip.
- irqdomain: Introduce is_fwnode_irqchip helper.
- commit d89d726
* Tue Mar  1 2016 mgorman@suse.com
- Refresh
  patches.suse/mm-numa-Quickly-fail-allocations-for-NUMA-balancing-on-full-nodes.patch.
- commit dae5ad4
* Tue Mar  1 2016 ohering@suse.de
- hv_netvsc: Restore needed_headroom request (fate#320485).
- storvsc: Use the specified target ID in device lookup
  (fate#320485).
- storvsc: Install the storvsc specific timeout handler for FC
  devices (fate#320485).
- hv_netvsc: Fix book keeping of skb during batching process
  (fate#320485).
- hv_netvsc: use skb_get_hash() instead of a homegrown
  implementation (fate#320485).
- commit 7f0ad0d
* Mon Feb 29 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Obsolete xen-kmp (fate#315712, bsc#968253)
- commit 0e7c4d5
* Mon Feb 29 2016 mmarek@suse.com
- Copy packaging changes from master to the packaging branch
- commit 0a2490d
* Mon Feb 29 2016 mgorman@suse.com
- mm: thp: Set THP defrag by default to madvise and add a
  stall-free defrag option
  (fate#320635 -- Disable THP defragmentation by default).
- mm, kswapd: replace kswapd compaction with waking up kcompactd
  (fate#320635 -- Disable THP defragmentation by default).
- mm, memory hotplug: small cleanup in online_pages()
  (fate#320635 -- Disable THP defragmentation by default).
- mm, compaction: introduce kcompactd
  (fate#320635 -- Disable THP defragmentation by default).
- mm, kswapd: remove bogus check of balance_classzone_idx
  (fate#320635 -- Disable THP defragmentation by default).
- commit f6a905a
* Mon Feb 29 2016 mgorman@suse.com
- mm: numa: Quickly fail allocations for NUMA balancing on full nodes
  (bnc#968665 -- fix excessive reclaim on NUMA machines)
- commit a5a5da5
* Sat Feb 27 2016 lduncan@suse.com
- cxgbi: Typo in MODULE_PARM_DESC. (bsc#963904)
- commit 834c188
* Fri Feb 26 2016 mmarek@suse.com
- supported.conf: Add tulip to -base for Hyper-V (bsc#968234)
- commit 1d55c67
* Fri Feb 26 2016 jslaby@suse.cz
- Linux 4.4.3 (CVE-2016-0617 bnc#965794 bnc#968230 boo#962250
  bsc#964436 bug#960174 bsc#960910).
- Refresh patches.fixes/ptrace-in-namespace-perm-check.fix.
- Refresh
  patches.suse/kgr-0013-try-to-apply-skipped-patches-when-a-module-is-lo.patch.
- Refresh
  patches.suse/overlayfs-add-compatibility-mode-for-historical-format.
- Delete
  patches.arch/x86-mm-pat-Avoid-truncation-when-converting-cpa-nump.patch.
- Delete
  patches.fixes/0001-futex-Drop-refcount-if-requeue_pi-acquired-the-rtmut.patch.
- Delete
  patches.fixes/Revert-xfs-clear-PF_NOFREEZE-for-xfsaild-kthread.
- Delete
  patches.fixes/fs-hugetlbfs-inode.c-fix-bugs-in-hugetlb_vmtruncate_.patch.
- Delete
  patches.suse/btrfs-8391-fix-invalid-page-accesses-in-extent_same-dedup.patch.
- Delete
  patches.suse/btrfs-8392-fix-page-reading-in-extent_same-ioctl-leading-.patch.
- Delete
  patches.suse/btrfs-fix-fitrim-discarding-device-area-reserved-for.patch.
- commit 8962ab1
* Fri Feb 26 2016 jslaby@suse.cz
- genirq: Validate action before dereferencing it in
  handle_irq_event_percpu() (bnc#968396).
- commit b669db1
* Thu Feb 25 2016 jthumshirn@suse.de
- supported.conf: Add NFIT and NVDIMM
  Add NFIT and NVDIMM to supported.conf (FATE#319858, FATE#320457, FATE#320458,
  FATE#320459, FATE#320460)
- commit d514b94
* Thu Feb 25 2016 mmarek@suse.com
- supported.conf: Add more qemu device driver (bsc#968234)
- commit b24cda9
* Thu Feb 25 2016 jthumshirn@suse.de
- block, badblocks: introduce devm_init_badblocks (FATE#319858).
- badblocks: rename badblocks_free to badblocks_exit
  (FATE#319858).
- md: convert to use the generic badblocks code (FATE#319858).
- block: Add badblock management for gendisks (FATE#319858).
- badblocks: Add core badblock management code (FATE#319858).
- commit 2696f98
* Thu Feb 25 2016 fdmanana@suse.com
- Btrfs: remove no longer used function
  extent_read_full_page_nolock() (bnc#968230).
- Btrfs: fix page reading in extent_same ioctl leading to csum
  errors (bnc#968230).
- Btrfs: fix invalid page accesses in extent_same (dedup) ioctl
  (bnc#968230).
- commit 8d84e79
* Thu Feb 25 2016 mmarek@suse.com
- supported.conf: Add mptspi and mptsas to -base (bsc#968206)
- commit 2fda49b
* Wed Feb 24 2016 mmarek@suse.cz
- supported.conf: Add e1000e (emulated by VMware) to -base (bsc#968074)
- commit 7dc308f
* Wed Feb 24 2016 tiwai@suse.de
- drm/nouveau/display: Enable vblank irqs after display engine
  is on again (bsc#962535).
- drm: Fix treatment of drm_vblank_offdelay in drm_vblank_on()
  (v2) (bsc#962535).
- drm: Fix drm_vblank_pre/post_modeset regression from Linux 4.4
  (bsc#962535).
- drm: Prevent vblank counter bumps > 1 with active vblank
  clients. (v2) (bsc#962535).
- drm: No-Op redundant calls to drm_vblank_off() (v2)
  (bsc#962535).
- commit 0cca1d5
* Wed Feb 24 2016 mbrugger@suse.com
- Update config files.
  Enable CAVIUM_ERRATUM_27456
- commit 0ff4564
* Wed Feb 24 2016 mbrugger@suse.com
- arm64: Add workaround for Cavium erratum 27456.
- commit 121371b
* Wed Feb 24 2016 dmueller@suse.com
- supported.conf: Add ARM64 crypto modules as supported
  Those modules are already listed for other architectures and
  are probed during installation / boot.
- commit 6e33f5d
* Wed Feb 24 2016 dmueller@suse.com
- supported.conf: List bochs-drm for openQA
  OpenQA uses KVM with -device VGA, which defaults to bochs DRM on
  aarch64, so we need to have it available in the installation
  system.
- commit 950874b
* Wed Feb 24 2016 dmueller@suse.com
- config: arm64: compile xgene-slimpro as a module
- commit 4612d10
* Wed Feb 24 2016 oneukum@suse.com
- usb: Use memdup_user to reuse the code (FATE#319959).
- usb: core: lpm: remove usb3_lpm_enabled in usb_device
  (FATE#319959).
- usb: define USB_SPEED_SUPER_PLUS speed for SuperSpeedPlus
  USB3.1 devices (FATE#319959).
- usb: set USB 3.1 roothub device speed to USB_SPEED_SUPER_PLUS
  (FATE#319959).
- usb: show speed "10000" in sysfs for USB 3.1 SuperSpeedPlus
  devices (FATE#319959).
- usb: add device descriptor for usb 3.1 root hub (FATE#319959).
- usb: Support USB 3.1 extended port status request (FATE#319959).
- USB: core, devio: use to_usb_device (FATE#319959).
- USB: core, wusbcore: use bus_to_hcd (FATE#319959).
- USB: host: use to_platform_device (FATE#319959).
- xhci: Make sure xhci handles USB_SPEED_SUPER_PLUS devices
  (FATE#319959).
- xhci: set roothub speed to USB_SPEED_SUPER_PLUS for USB3.1
  capable controllers (FATE#319959).
- xhci: USB 3.1 add default Speed Attributes to SuperSpeedPlus
  device capability (FATE#319959).
- xhci: set slot context speed field to SuperSpeedPlus for USB
  3.1 SSP devices (FATE#319959).
- usb: core: switch bus numbering to using idr (FATE#319959).
- usb: sysfs: make locking interruptible (FATE#319959).
- usb: no locking for reading descriptors in sysfs (FATE#319959).
- xhci: harden xhci_find_next_ext_cap against device removal
  (FATE#319959).
- usb: core: rename mutex usb_bus_list_lock to usb_bus_idr_lock
  (FATE#319959).
- usb: Add USB3.1 SuperSpeedPlus Isoc Endpoint Companion
  descriptor (FATE#319959).
- usb: Parse the new USB 3.1 SuperSpeedPlus Isoc endpoint
  companion descriptor (FATE#319959).
- usb: Add USB 3.1 Precision time measurement capability
  descriptor support (FATE#319959).
- xhci: refactor and cleanup endpoint initialization
  (FATE#319959).
- xhci: Add SuperSpeedPlus high bandwidth isoc support to xhci
  endpoints (FATE#319959).
- xhci: cleanup isoc tranfers queuing code (FATE#319959).
- xhci: Support extended burst isoc TRB structure used by xhci
  1.1 for USB 3.1 (FATE#319959).
- usb: add HAS_IOMEM dependency to USB_XHCI_HCD (FATE#319959).
- USB: Add support for usbfs zerocopy (FATE#319959).
- usb: Add USB 3.1 Precision time measurement capability
  descriptor support (FATE#319959).
- Refresh
  patches.drivers/0007-xhci-use-debug-level-when-printing-out-interval-roun.patch.
- commit 014c47f
* Wed Feb 24 2016 oneukum@suse.com
- usb: core: devio.c: Removed unnecessary space (FATE#319959).
- usb: core: lpm: add sysfs node for usb3 lpm permit
  (FATE#319959).
- usb : replace dma_pool_alloc and memset with dma_pool_zalloc
  (FATE#319959).
- xhci: rework xhci extended capability list parsing functions
  (FATE#319959).
- xhci: use debug level when printing out interval rounding
  messages (FATE#319959).
- usb: host: xhci-plat: add firmware_name in xhci_plat_priv
  (FATE#319959).
- usb: host: xhci-plat: add struct xhci_plat_priv (FATE#319959).
- usb: host: xhci: add a platform-private field (FATE#319959).
- usb: host: xhci: cleanup hcd private size (FATE#319959).
- xhci: use the correct define to indicate port status suspend
  change (FATE#319959).
- USB: limit usbfs snooping of URB contents (FATE#319959).
- commit 8bf8228
* Tue Feb 23 2016 mmarek@suse.cz
- supported.conf: Add the qemu scsi driver (sym53c8xx) to -base (bsc#967802)
- commit 2a4e93e
* Tue Feb 23 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Sync the main and -base package dependencies
  (bsc#965830#c51).
- commit bf655ed
* Tue Feb 23 2016 tiwai@suse.de
- ALSA: hda - Apply clock gate workaround to Skylake, too
  (bsc#966137).
- commit 53ec758
* Tue Feb 23 2016 tonyj@suse.de
- perf stat: Do not clean event's private stats (bsc#967690).
- perf kvm/powerpc: Add support for HCALL reasons (FATE#319935).
- perf kvm/powerpc: Port perf kvm stat to powerpc (FATE#319935).
- perf kvm/{x86,s390}: Remove const from kvm_events_tp
  (FATE#319935).
- perf kvm/{x86,s390}: Remove dependency on uapi/kvm_perf.h
  (FATE#319935).
- perf/x86/intel/uncore: Add Knights Landing uncore PMU support
  (FATE#318985).
- perf/x86/intel/uncore: Remove hard coding of PMON box control
  MSR offset (FATE#318985).
- perf/x86/intel: Add perf core PMU support for Intel Knights
  Landing (FATE#318985).
- perf/x86/intel/uncore: Add Broadwell-EP uncore support
  (FATE#320429).
- commit 49c17d0
* Mon Feb 22 2016 jeffm@suse.com
- xfs: add unsupported features option (FATE#315263).
- commit dc150a7
* Mon Feb 22 2016 jeffm@suse.com
- SUSE: factor out unsupported feature handling (FATE#314697, FATE#317919, FATE#315263).
- commit 0f9cdae
* Mon Feb 22 2016 jeffm@suse.com
- Update DMAPI patchset against v4.4 (FATE#320558).
- commit bd191ec
* Mon Feb 22 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Conflict with util-linux from SP1
  (fate#320552)
- commit 9df076b
* Sat Feb 20 2016 bp@suse.de
- bpf: fix branch offset adjustment on backjumps after patching
  ctx expansion (bsc#966684, CVE-2016-2383).
- commit 34c3c2e
* Fri Feb 19 2016 hare@suse.de
- pci: Blacklist vpd access for buggy devices (bsc#959146).
- pci: Determine actual VPD size on first access (bsc#959146).
- pci: Update VPD definitions (bsc#959146).
- pci: allow access to VPD attributes with size '0' (bsc#959146).
- Delete
  patches.fixes/pci-Check-for-valid-tags-when-calculating-the-VPD-si.patch.
- Delete
  patches.fixes/pci-Update-VPD-size-with-correct-length.patch.
- commit 7f5197b
* Fri Feb 19 2016 mhocko@suse.cz
- Refresh
  patches.suse/mm-reintroduce-global_reclaimable_page.patch.
- Refresh patches.suse/mm-uninline-add-to-page-cache.patch.
- Refresh patches.suse/pagecache-limit-dirty.diff.
- Refresh
  patches.suse/pagecache-limit-fix-get_nr_swap_pages.patch.
- Refresh patches.suse/pagecache-limit-fix-shmem-deadlock.patch.
- Refresh
  patches.suse/pagecache-limit-reduce-zone-lrulock-bouncing.patch.
- Refresh patches.suse/pagecache-limit-unmapped.diff.
- Refresh patches.suse/pagecache-limit-warn-on-usage.patch.
- Refresh patches.suse/pagecache-limit.patch.
- Refresh patches.suse/pagecachelimit_batch_huge_nr_to_scan.patch.
- Delete
  patches.suse/pagecache-limit-reduce-zone-lrulock-bouncing-fix.patch.
- Delete
  patches.suse/mm-reintroduce-global_reclaimable_page.patch
- commit bed7927
* Fri Feb 19 2016 hare@suse.de
- scsi: Add 'access_state' attribute (bsc#927040).
- scsi_dh: add 'rescan' callback (bsc#927040).
- scsi_dh_alua: Add new blacklist flag 'BLIST_SYNC_ALUA'
  (bsc#927040).
- scsi_dh_alua: Allow workqueue to run synchronously (bsc#927040).
- Update patches.fixes/scsi_dh_alua-Make-stpg-synchronous.patch
  (bsc#708296).
- Refresh
  patches.fixes/scsi_dh_alua-Pass-buffer-as-function-argument.patch.
- Refresh
  patches.fixes/scsi_dh_alua-Recheck-state-on-unit-attention.patch.
- Refresh
  patches.fixes/scsi_dh_alua-Send-TEST-UNIT-READY-to-poll-for-transi.patch.
- Refresh patches.fixes/scsi_dh_alua-Update-version-to-2.0.patch.
- Refresh
  patches.fixes/scsi_dh_alua-Use-separate-alua_port_group-structure.patch.
- Refresh patches.fixes/scsi_dh_alua-Use-workqueue-for-RTPG.patch.
- scsi_dh_alua: allocate RTPG buffer separately (bsc#927040).
- scsi_dh_alua: call alua_rtpg() if stpg fails (bsc#927040).
- Refresh
  patches.fixes/scsi_dh_alua-move-optimize_stpg-evaluation.patch.
- Refresh
  patches.fixes/scsi_dh_alua-remove-rel_port-from-alua_dh_data-struc.patch.
- Refresh
  patches.fixes/scsi_dh_alua-revert-commit-a8e5a2d593cbfccf530c3382c.patch.
- Refresh patches.fixes/scsi_dh_alua-separate-out-alua_stpg.patch.
- Refresh
  patches.fixes/scsi_dh_alua-simplify-alua_initialize.patch.
- Refresh
  patches.fixes/scsi_dh_alua-switch-to-scsi_execute_req_flags.patch.
- Refresh
  patches.fixes/scsi_dh_alua-update-access_state-field.patch.
- Refresh patches.fixes/scsi_dh_alua-update-all-port-states.patch.
- Refresh
  patches.fixes/scsi_dh_alua-use-common-definitions-for-ALUA-state.patch.
- Refresh patches.fixes/scsi_dh_alua-use-unique-device-id.patch.
- Delete
  patches.fixes/scsi_dh_alua-Simplify-access-state-checking.patch.
- commit a434f6c
* Thu Feb 18 2016 dsterba@suse.com
- Fix lint warnings: E: summary-ended-with-dot
  kernel-source-vanilla.noarch: E: summary-ended-with-dot (Badness: 89) C
  Vanilla Linux kernel sources with minor build fixes.
  Summary ends with a dot.
- commit 9050a39
* Thu Feb 18 2016 jslaby@suse.cz
- floppy: fix lock_fdc() signal handling (bnc#966880).
- commit e7d5bfd
* Thu Feb 18 2016 jslaby@suse.cz
- floppy: refactor open() flags handling (bnc#966880).
- commit 16e506e
* Thu Feb 18 2016 jslaby@suse.cz
- Linux 4.4.2 (CVE-2016-0723 CVE-2016-2384 bnc#961500 bnc#966883
  boo#954532 bsc#966693).
- Refresh
  patches.suse/kernel-Avoid-softlockups-in-stop_machine-during-heav.patch.
- Delete
  patches.drivers/ALSA-usb-audio-avoid-freeing-umidi-object-twice.
- Delete
  patches.fixes/0001-tty-Fix-unsafe-ldisc-reference-via-ioctl-TIOCGETD.patch.
- Delete
  patches.fixes/0002-n_tty-Fix-unsafe-reference-to-other-ldisc.patch.
- Delete
  patches.fixes/HID-multitouch-fix-input-mode-switching-on-some-Elan.
- Delete
  patches.fixes/crypto-af_alg-Disallow-bind-setkey-.-after-accept-2.patch.
- commit 1977dd2
* Thu Feb 18 2016 neilb@suse.com
- ptrace: being capable wrt a process requires mapped uids/gids
  (bsc#959709, CVE-2015-8709, bsc#960561).
- commit 89cd51d
* Wed Feb 17 2016 eich@suse.com
- drm/i915: Fix double unref in intelfb_alloc failure path
  (boo#962866, boo#966179).
- drm/i915: Fix failure paths around initial fbdev allocation
  (boo#962866, boo#966179).
- drm/i915: Pin the ifbdev for the info->system_base GGTT mmapping
  (boo#962866, boo#966179).
- drm/mgag200: Add missing drm_connector_unregister()
  (bnc#876238).
- Refresh
  patches.drivers/drm-mgag200-Add-additional-limits-for-certain-G200-variants.patch.
- Refresh
  patches.drivers/drm-mgag200-Add-command-line-option-to-specify-preferred-depth.patch.
- Refresh
  patches.drivers/drm-mgag200-Add-doublescan-and-interlace-support.patch.
- Refresh
  patches.drivers/drm-mgag200-Add-mode-validation-debugging-code.patch.
- Refresh
  patches.drivers/drm-mgag200-Add-support-for-MATROX-PCI-device-IDs-0x520-and-0x521.patch.
- Refresh
  patches.drivers/drm-mgag200-Cleanup-cursor-BOs-properly.patch.
- Refresh
  patches.drivers/drm-mgag200-Consolidate-depth-bpp-handling.patch.
- Refresh
  patches.drivers/drm-mgag200-Don-t-use-crtc_-parameters-for-validation.patch.
- Refresh
  patches.drivers/drm-mgag200-Fix-memleak-in-error-path-in-mgag200_bo_create.patch.
- Refresh
  patches.drivers/drm-mgag200-Free-container-instead-of-member-in-mga_user_framebuffer_destroy.patch.
- Update
  patches.drivers/drm-mgag200-Initialize-data-needed-to-map-fbdev-memory.patch
  (References: bnc#806990).
- Refresh
  patches.drivers/drm-mgag200-Simplify-function-mgag200_ttm_placement.patch.
- Delete
  patches.drivers/drm-mgag200-Copy-fb-name-string-before-using-it-in-mgag200_fb_create.patch.
- Delete
  patches.drivers/drm-mgag200-Fix-memleaks-in-error-path-in-mgag200_fb_create.patch.
- Delete
  patches.drivers/drm-mgag200-Make-local-function-mgag200_gem_init_object-static.patch.
- Delete
  patches.drivers/drm-mgag200-Reject-modes-when-h-parameters-are-no-multiple-of-8.patch.
- Delete
  patches.drivers/drm-mgag200-Remove-connector-in-sysfs-when-unloading-the-driver.patch.
- Delete
  patches.drivers/drm-mgag200-Simplify-function-mgag200_bo_unpin.patch.
- commit c2d27f2
* Wed Feb 17 2016 mmarek@suse.com
- Update mainline info in patches.fixes/0002-MPI-Endianness-fix.patch
- commit 6b4ed51
* Wed Feb 17 2016 mmarek@suse.com
- oracleasm: 4.0 compat changes (bsc#962720).
- commit 1b869a4
* Wed Feb 17 2016 mmarek@suse.com
- supported.conf: Add Hyper-V modules to -base (bsc#965830)
- commit 34091e4
* Wed Feb 17 2016 mbrugger@suse.com
- arm64: hugetlb: add support for PTE contiguous bit.
- commit 8b7096d
* Wed Feb 17 2016 mbrugger@suse.com
- Refresh
  patches.arch/arm64-numa-0001-adding-numa-support-for-arm64-platforms.patch.
- Refresh
  patches.arch/arm64-thd-net-0024-net-thunderx-nicvf_queues-nivc_-_intr-remove-duplica.patch.
- Refresh
  patches.arch/arm64-thd-net-0027-net-thunderx-Remove-unnecessary-rcv-buffer-start-add.patch.
- net: thunderx: HW TSO support for pass-2 hardware.
- net: thunderx: Enable CQE count threshold interrupt.
- net, thunderx: Add TX timeout and RX buffer alloc failure stats.
- Delete
  patches.arch/arm64-thd-net-0030-net-thunderx-HW-errata-workaround-for-non-tunneled-T.patch.
- Delete
  patches.arch/arm64-thd-net-0031-net-thunderx-Fix-for-duplicate-CQEs-by-HW-for-TSO-pa.patch.
- commit 5dbe3a4
* Wed Feb 17 2016 jlee@suse.com
- Update config files.
  Add following config to x86_64/default and x86_64/debug.
  CONFIG_MODULE_SIG_UEFI=y
  CONFIG_EFI_SIGNATURE_LIST_PARSER=y
  CONFIG_SYSTEM_BLACKLIST_KEYRING=y
- commit e573d49
* Wed Feb 17 2016 mmarek@suse.cz
- MPI: Endianness fix (bsc#966839).
- lib/mpi: only require buffers as big as needed for the integer
  (bsc#966839).
- commit ae76fc9
* Tue Feb 16 2016 bp@suse.de
- iw_cxgb3: Fix incorrectly returning error on success
  (bsc#966437, CVE-2015-8812).
- commit 7e73f90
* Tue Feb 16 2016 mgorman@suse.com
- Refresh
  patches.suse/mm-compaction-speed-up-pageblock_pfn_to_page-when-zone-is-contiguous.patch.
- commit 065f151
* Tue Feb 16 2016 mgorman@suse.com
- Use the new batched user accesses in generic user string
  handling (x86 performance -- uaccess).
- Add 'unsafe' user access functions for batched accesses (x86
  performance -- uaccess).
- x86: reorganize SMAP handling in user space accesses (x86
  performance -- uaccess).
- commit 28861aa
* Tue Feb 16 2016 jslaby@suse.cz
- crypto: af_alg - Disallow bind/setkey/... after accept(2)
  (bnc#966883).
- commit f006dbb
* Tue Feb 16 2016 mmarek@suse.com
- Set CONFIG_MODULE_SIG_KEY to the default value
  To allow builds without the SLES certificate.
- commit 95159d7
* Tue Feb 16 2016 jlee@suse.com
- Respin patches to load certificates from db and mok (fate#314486)
- efi: Add EFI_SECURE_BOOT bit (fate#314486).
- Refresh patches.suse/0001-Add-EFI-signature-data-types.patch.
- Refresh
  patches.suse/0002-Add-an-EFI-signature-blob-parser-and-key-loader.patch.
- Refresh
  patches.suse/0003-KEYS-Add-a-system-blacklist-keyring.patch.
- Refresh
  patches.suse/0004-MODSIGN-Import-certificates-from-UEFI-Secure-Boot.patch.
- commit a859e10
* Tue Feb 16 2016 jslaby@suse.cz
- Refresh patches.suse/stack-unwind.patch.
  Remove text_base parameter from read_pointer as it is always 0.
- commit 7d5fc29
* Tue Feb 16 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Set CONFIG_MODULE_SIG_KEY only if a cert is present
  This allows using the unmodified .config from the kernel-source tree in
  the expanded tree.
- commit 5fa6ddd
* Tue Feb 16 2016 bp@suse.de
- EDAC 12SP2 updates
- EDAC, mc_sysfs: Fix freeing bus' name (bsc#950358).
- EDAC: Robustify workqueues destruction (bsc#950358).
- EDAC: Rip out the edac_subsys reference counting (bsc#950358).
- EDAC: Unexport and make edac_subsys static (bsc#950358).
- EDAC: Remove edac_get_sysfs_subsys() error handling (bsc#950358).
- EDAC: Make edac_device workqueue setup/teardown functions static (bsc#950358).
- EDAC: Rework workqueue handling (bsc#950358).
- Refresh patches.drivers/01-edac-add-ddr4-flag.patch.
- EDAC: Balance workqueue setup and teardown (bsc#950358).
- EDAC: Kill workqueue setup/teardown functions (bsc#950358).
- EDAC: Cleanup/sync workqueue functions (bsc#950358).
- commit 9b5bc46
* Mon Feb 15 2016 mhocko@suse.cz
- fs/hugetlbfs/inode.c: fix bugs in hugetlb_vmtruncate_list()
  (bnc#965794, CVE-2016-0617).
- commit cd600c8
* Mon Feb 15 2016 tiwai@suse.de
- ALSA: usb-audio: avoid freeing umidi object twice
  (CVE-2016-2384,bsc#966693).
- commit 0dd9927
* Mon Feb 15 2016 jlee@suse.com
- Update config files.
  Add the following config to x86_64/default and x86_64/debug
  CONFIG_HIBERNATE_VERIFICATION=y
  CONFIG_HIBERNATE_VERIFICATION_FORCE is not set
  CONFIG_EFI_HIBERNATION_KEYS=y
- commit 12010dd
* Mon Feb 15 2016 jlee@suse.com
- Respin patches of hibernation signature checking patches
- x86/efi: Add get and set variable to EFI services pointer table
  (fate#316350).
- Refresh
  patches.suse/0001-PM-hibernate-Force-verify-hibernation-signature-in-s.patch.
- Refresh
  patches.suse/0001-PM-hibernate-define-HMAC-algorithm-and-digest-size-o.patch.
- Refresh
  patches.suse/0003-x86-boot-Public-getting-random-boot-function.patch.
- Refresh
  patches.suse/0004-x86-efi-Generating-random-number-in-EFI-stub.patch.
- Refresh
  patches.suse/0005-x86-efi-Get-entropy-through-EFI-random-number-genera.patch.
- Refresh
  patches.suse/0006-x86-efi-Generating-random-HMAC-key-for-siging-hibern.patch.
- Refresh
  patches.suse/0007-efi-Make-efi_status_to_err-public.patch.
- Refresh
  patches.suse/0008-x86-efi-Carrying-hibernation-key-by-setup-data.patch.
- Refresh
  patches.suse/0009-PM-hibernate-Reserve-hibernation-key-and-erase-footp.patch.
- Refresh
  patches.suse/0010-PM-hibernate-Generate-and-verify-signature-of-hibern.patch.
- Refresh
  patches.suse/0011-PM-hibernate-Avoid-including-hibernation-key-to-hibe.patch.
- Refresh
  patches.suse/0012-PM-hibernate-Forward-signature-verifying-result-and-.patch.
- Refresh
  patches.suse/0013-PM-hibernate-Add-configuration-to-enforce-signature-.patch.
- Refresh
  patches.suse/0014-PM-hibernate-Allow-user-trigger-hibernation-key-re-g.patch.
- Refresh
  patches.suse/0015-PM-hibernate-Bypass-verification-logic-on-legacy-BIO.patch.
- commit 148d66e
* Sun Feb 14 2016 colyli@suse.de
- raid5-cache: handle journal hotadd in quiesce (fate#320291).
- MD: add journal with array suspended (fate#320291).
- md: set MD_HAS_JOURNAL in correct places (fate#320291).
- raid5-cache: add journal hot add/remove support (fate#320291).
- commit d074355
* Thu Feb 11 2016 mmarek@suse.com
- Enable module signing again (fate#319460)
- commit b259e73
* Thu Feb 11 2016 mmarek@suse.cz
- supported.conf: Add xfs to -base (bsc#965891)
- commit 5cc5286
* Thu Feb 11 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Use correct variable to point to the keyring
- commit f026a54
* Thu Feb 11 2016 mmarek@suse.com
- MODSIGN: Support the old-style signature format (fate#319460).
- commit fa66057
* Thu Feb 11 2016 mgorman@suse.com
- mm/compaction: speed up pageblock_pfn_to_page() when zone is
  contiguous (VM performance -- compaction).
- mm/compaction: pass only pageblock aligned range to
  pageblock_pfn_to_page (VM functionality -- compaction).
- mm/compaction: fix invalid free_pfn and compact_cached_free_pfn
  (VM functionality -- compaction).
- commit 5034467
* Thu Feb 11 2016 mmarek@suse.com
- X.509: Fix test for self-signed certificate (bsc#965418).
- commit 1a385cc
* Thu Feb 11 2016 mgorman@suse.com
- Update
  patches.suse/sched-core-Fix-incorrect-wait-time-and-wait-count-statistics.patch
  (Scheduler performance -- cpu accounting).
- commit eb07721
* Thu Feb 11 2016 mgorman@suse.com
- sched/debug: Make schedstats a runtime tunable that is disabled by default
  (Scheduler performance -- debugging overhead, fate#320486).
- locks: don't check for race with close when setting OFD lock
  (FS performance -- lock).
- mm: filemap: avoid unnecessary calls to lock_page when
  waiting for IO to complete during a read (VM performance --
  generic read).
- mm: filemap: remove redundant code in do_read_cache_page
  (VM performance -- generic read).
- locks: fix unlock when fcntl_setlk races with a close (FS
  performance -- lock).
- commit 12237e9
* Thu Feb 11 2016 mgorman@suse.com
- series.conf: Split functional and performance patches pending for -stable
- commit 4df5a8a
* Thu Feb 11 2016 jslaby@suse.cz
- rpm/kernel-obs-build.spec.in: do not limit TasksMax
  We run with build as PID 1 (boo#965564).
- commit 39b708b
* Thu Feb 11 2016 mgalbraith@suse.de
- workqueue: handle NUMA_NO_NODE for unbound pool_workqueue
  lookup.
- Update config files.
- workqueue: implement "workqueue.debug_force_rr_cpu" debug
  feature.
- workqueue: schedule WORK_CPU_UNBOUND work on wq_unbound_cpumask
  CPUs.
- Revert "workqueue: make sure delayed work run in local cpu".
- vmstat: make vmstat_update deferrable.
- mm, vmstat: make quiet_vmstat lighter.
- vmstat: Remove BUG_ON from vmstat_update.
- vmstat: make vmstat_updater deferrable again and shut down
  on idle.
- arch/tile: move user_exit() to early kernel entry sequence.
- nohz: Clarify magic in tick_nohz_stop_sched_tick().
- x86/vsdo: Fix build on PARAVIRT_CLOCK=y, KVM_GUEST=n.
- Revert "x86/kvm: On KVM re-enable (e.g. after suspend),
  update clocks".
- x86/entry/64_compat: Make labels local.
- x86/platform/uv: Include clocksource.h for
  clocksource_touch_watchdog().
- x86/vdso: Enable vdso pvclock access on all vdso variants.
- x86/vdso: Remove pvclock fixmap machinery.
- x86/vdso: Get pvclock data from the vvar VMA instead of
  the fixmap.
- x86, vdso, pvclock: Simplify and speed up the vdso pvclock
  reader.
- x86/kvm: On KVM re-enable (e.g. after suspend), update clocks.
- x86/entry/64: Bypass enter_from_user_mode on
  non-context-tracking boots.
- x86/asm: Add asm macros for static keys/jump labels.
- context_tracking: Switch to new static_branch API.
- sched/fair: Fix new task's load avg removed from source CPU
  in wake_up_new_task().
- sched/core: Move sched_entity::avg into separate cache line.
- x86/fpu: Properly align size in CHECK_MEMBER_AT_END_OF() macro.
- sched/deadline: Fix the earliest_dl.next logic.
- sched/fair: Avoid redundant idle_cpu() call in
  update_sg_lb_stats().
- sched/core: Move the sched_to_prio arrays out of line.
- sched/cputime: Convert vtime_seqlock to seqcount.
- sched/cputime: Introduce vtime accounting check for readers.
- sched/cputime: Rename vtime_accounting_enabled() to
  vtime_accounting_cpu_enabled().
- sched/cputime: Correctly handle task guest time on housekeepers.
- sched/cputime: Clarify vtime symbols and document them.
- sched/cputime: Remove extra cost in task_cputime().
- sched/fair: Make it possible to account fair load avg
  consistently.
- sched/fair: Modify the comment about lock assumptions in
  migrate_task_rq_fair().
- sched/core: Use list_is_singular() in sched_can_stop_tick().
- sched/core: Fix incorrect wait time and wait count statistics.
- sched/fair: Consider missed ticks in NOHZ_FULL in
  update_cpu_load_nohz().
- sched/fair: Prepare __update_cpu_load() to handle active
  tickless.
- sched/fair: Clean up the explanation around decaying load
  update misses.
- sched/wait: Document waitqueue_active().
- workqueue: skip flush dependency checks for legacy workqueues.
- commit 50c237c
* Thu Feb 11 2016 neilb@suse.com
- NFS: Background flush should not be low priority (bsc#955308).
- commit 0ff9c75
* Thu Feb 11 2016 mgalbraith@suse.de
- cpuidle: coupled: remove unused define cpuidle_coupled_lock.
- cpuidle: fix fallback mechanism for suspend to idle in absence
  of enter_freeze.
- cpuidle: menu: Avoid pointless checks in menu_select().
- sched / idle: Drop default_idle_call() fallback from
  call_cpuidle().
- cpuidle: Don't enable all governors by default.
- cpuidle: Default to ladder governor on ticking systems.
- time: nohz: Expose tick_nohz_enabled.
- cpuidle: menu: Fix menu_select() for CPUIDLE_DRIVER_STATE_START
  == 0.
- powerpc/powernv: remove FW_FEATURE_OPALv3 and just use
  FW_FEATURE_OPAL.
- powerpc/powernv: Remove OPALv2 firmware define and references.
- powerpc/powernv: panic() on OPAL < V3.
- drivers/cpuidle: make cpuidle-exynos.c explicitly non-modular.
- drivers/cpuidle: make cpuidle-ux500.c explicitly non-modular.
- drivers/cpuidle: make cpuidle-clps711x.c explicitly non-modular.
- cpuidle,menu: smooth out measured_us calculation.
- cpuidle,menu: use interactivity_req to disable polling.
- cpuidle,x86: increase forced cut-off for polling to 20us.
- commit 5584b8d
* Wed Feb 10 2016 mmarek@suse.com
- supported.conf: Add virtio-rng (bsc#966026)
- commit 52a9cbc
* Wed Feb 10 2016 mmarek@suse.com
- Set CONFIG_MODULE_SIG_KEY to the SLES signing certificate (fate#319460)
- commit 636e2c7
* Wed Feb 10 2016 mmarek@suse.com
- supported.conf: Add more QEMU and VMware drivers to -base (bsc#965840).
- commit 36f9f6e
* Wed Feb 10 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Adapt certificate handling for changes in v4.3
- commit 589be33
* Tue Feb  9 2016 dmueller@suse.com
- config: ARM64: Disable JTAG console
  This takes 0.1s of booting time and we probably don't want/need
  it in a Enterprise kernel.
- commit 690ccd0
* Tue Feb  9 2016 eich@suse.com
- drm/cirrus: Add missing drm_connector_unregister() (bsc#876305).
- Refresh
  patches.drivers/drm-Print-EDID-errors-less-obviously.patch
- Refresh
  patches.drivers/drm-ast-Add-an-crtc_disable-callback-to-the-crtc-helper-funcs.patch.
- Refresh
  patches.drivers/drm-ast-Fix-memleak-in-error-path-in-ast_bo_create.patch.
- Refresh
  patches.drivers/drm-ast-Fix-memleaks-in-error-path-in-ast_fb_create.patch.
- Refresh
  patches.drivers/drm-ast-Free-container-instead-of-member-in-ast_user_framebuffer_destroy.patch.
- Refresh
  patches.drivers/drm-ast-Simplify-function-ast_bo_unpin.patch.
- Delete
  patches.drivers/drm-Allocate-new-master-object-when-client-becomes-master.patch.
- Delete
  patches.drivers/drm-ast-Add-missing-entry-to-dclk_table.patch.
- Delete
  patches.drivers/drm-ast-Add-reduced-non-reduced-mode-parsing-for-wide-screen-mode.patch.
- Delete
  patches.drivers/drm-ast-Initialize-data-needed-to-map-fbdev-memory.patch.
- Delete
  patches.drivers/drm-ast-Make-local-function-ast_bo_unref-static.patch.
- Delete
  patches.drivers/drm-cirrus-Create-a-sysfs-entry-for-connector.patch.
- Delete
  patches.drivers/drm-i915-Only-print-hotplug-event-message-when-hotplug-bit-is-set.patch.
- Delete
  patches.drivers/drm-i915-Queue-reenable-timer-also-when-enable_hotplug_processing-is-false.patch.
- Delete
  patches.drivers/drm-i915-Use-an-interrupt-save-spinlock-in-intel_hpd_irq_handler.patch.
- Delete
  patches.suse/drm-panic-Add-option-to-set-panic-mode.patch.
- Delete
  patches.suse/drm-panic-Only-restore-console-if-kernel-isn-t-set-to-reboot-on-panic.patch.
- Delete
  patches.suse/drm-panic-Set-priority-of-the-drm-panic-code-to-the-lowest-value-possible.patch.
- commit 57ad540
* Tue Feb  9 2016 jslaby@suse.cz
- Disable KASAN for stack unwinder code.
- commit 9fd275e
* Tue Feb  9 2016 jslaby@suse.cz
- DWARF2 EH-frame based stack unwinding.
- Delete patches.suse/stack-unwind.
  Add .patch suffix, so that syntax highlighting works.
- commit 7906e93
* Mon Feb  8 2016 fdmanana@suse.com
- Delete patches.suse/btrfs-allow-dedupe-of-same-inode.patch.
  Patch added to kernel 4.2-rc2, commit 0efa9f48c7e6c15e75946dd2b1c82d3d19e13545.
- commit 0881fd0
* Mon Feb  8 2016 fdmanana@suse.com
- Delete
  patches.suse/btrfs-8203-fix-clone-extent-same-deadlocks.patch.
  Patch added to linux kernel 4.3-rc1,
  commit 293a8489f300536dc6d996c35a6ebb89aa03bab2.
- commit 98468ef
* Mon Feb  8 2016 fdmanana@suse.com
- Delete
  patches.suse/btrfs-8363-btrfs-qgroup-account-shared-subtree-during-snapshot-.patch.
  This patch was merged in 4.4-rc3, commit 82bd101b5240d3d1c4078a8017917a40c0dcc514.
- commit 51d1333
* Mon Feb  8 2016 fdmanana@suse.com
- Delete
  patches.suse/btrfs-8360-Btrfs-use-btrfs_get_fs_root-in-resolve_indirect_ref.patch.
  This patch was merged in linux 4.4-rc3, commit 2d9e97761087b46192c18181dfd1e7a930defcfd.
- commit 2621cce
* Mon Feb  8 2016 fdmanana@suse.com
- Btrfs: fix deadlock between direct IO write and defrag/readpages
  (bnc#965344).
- commit 4198343
* Mon Feb  8 2016 jdelvare@suse.de
- Update s390x/vanilla config file: CONFIG_ENCLOSURE_SERVICES
  Per bsc#884701, CONFIG_ENCLOSURE_SERVICES isn't needed on S/390. It
  was already disabled in the default config, so disable it in vanilla
  too.
  Conflicts:
  config/s390x/vanilla
- commit 917abc7
* Fri Feb  5 2016 bpoirier@suse.com
- Delete
  patches.drivers/disable-catas_reset-by-default-to-avoid-problems-wit.patch.
  Replace this out of tree patch by a modprobe directive.
  See bsc#456389 comment 76, ibs rq 92586 and FATE#320493
- commit ebcb175
* Fri Feb  5 2016 mkubecek@suse.cz
- supported.conf: mark new netfilter modules as supported (bsc#963008)
- commit 93f315c
* Fri Feb  5 2016 jkosina@suse.cz
- Update config files: change CONFIG_KGDB_SERIAL_CONSOLE to built-in (FATE#318461)
- commit 237e072
* Fri Feb  5 2016 mkubecek@suse.cz
- Update config files: disable nftables (bsc#963008)
- commit 775ccfe
* Thu Feb  4 2016 ddiss@suse.de
- libceph: fix scatterlist last_piece calculation (bsc#963746).
- commit 0f7d9d2
* Thu Feb  4 2016 jthumshirn@suse.de
- Update config files to drop the Advansys SCSI driver (FATE#316855)
- commit 02e438b
* Wed Feb  3 2016 mmarek@suse.cz
- supported.conf: Add br_netfilter (needed by xt_physdev)
- commit fb007ea
* Wed Feb  3 2016 ohering@suse.de
- x86/irq: Export functions to allow MSI domains in modules
  (fate#320295).
- genirq/msi: Export functions to allow MSI domains in modules
  (fate#320295).
- commit 137748f
* Wed Feb  3 2016 jdelvare@suse.de
- Update config files: s390x/vanilla
  Synchronize the s390x vanilla kernel configuration with default.
- commit 467b8ae
* Wed Feb  3 2016 jdelvare@suse.de
- Update config files: x86_64/vanilla
  Synchronize the x86_64 vanilla kernel configuration with default.
- commit 15bc172
* Wed Feb  3 2016 bp@suse.de
- EDAC, sb_edac: Set fixed DIMM width on Xeon Knights Landing
  (fate#319506).
- EDAC, sb_edac: Add Knights Landing (Xeon Phi gen 2) support
  (fate#319506).
- EDAC, sb_edac: Add support for duplicate device IDs
  (fate#319506).
- EDAC, sb_edac: Virtualize several hard-coded functions
  (fate#319506).
- EDAC: Add DDR4 flag (fate#319506).
- commit 90b47d5
* Wed Feb  3 2016 oneukum@suse.com
- Refresh
  patches.suse/0002-Add-a-void-suse_kabi_padding-placeholder-to-some-USB.patch.
  Patch was under "needs_review".
  Reviewed. Still needed.
- commit 12bab8b
* Wed Feb  3 2016 oneukum@suse.com
- misleading typo in comment
- commit bb8ff4b
* Wed Feb  3 2016 oneukum@suse.com
- usb: retry reset if a device times out (bnc#866012).
- Delete
  patches.drivers/0001-USB-hub-handle-ETIMEDOUT-during-enumeration.patch.
- commit 6d1d531
* Wed Feb  3 2016 tiwai@suse.de
- Revert "xfs: clear PF_NOFREEZE for xfsaild kthread"
  (boo#962250).
- Refresh
  patches.suse/kgr-0008-mark-task_safe-in-some-kthreads.patch.
- commit 090e16b
* Wed Feb  3 2016 ohering@suse.de
- PCI: hv: New paravirtual PCI front-end for Hyper-V VMs
  (fate#320295).
- Update config files.
- PCI: irqdomain: Look up IRQ domain by fwnode_handle
  (fate#320295).
- PCI: Add fwnode_handle to pci_sysdata (fate#320295).
- acpi: pci: Setup MSI domain for ACPI based pci devices
  (fate#320295).
- commit 5fb53a0
* Wed Feb  3 2016 mmarek@suse.cz
- supported.conf: Add netfilter modules to base (bsc#950292)
- commit 5c66d77
* Wed Feb  3 2016 oneukum@suse.com
- Delete
  patches.suse/0010-UAS-fixup-for-remaining-use-of-dead_list.patch.
  That was an internal fix for a patch that couldn't be backported.
  v4.4 has the upstream fix.
- commit ad358ed
* Wed Feb  3 2016 oneukum@suse.com
- r8152: adjust ALDPS function (bnc#964675).
- r8152: use test_and_clear_bit (bnc#964675).
- r8152: fix the wake event (bnc#964675).
- commit 9760e83
* Tue Feb  2 2016 jthumshirn@suse.de
- supported.conf: Deprecate osst driver (bsc#964729, FATE#319720)
- commit 4b77bc9
* Tue Feb  2 2016 ptesarik@suse.cz
- Delete patches.fixes/kexec-contiguous-ELF-notes.patch.
  The original patch was enhanced and merged into upstream in v4.3
  (see commit bbb78b8f3f4ea8eca14937b693bfe244838e1d4d)
- commit f5ef53f
* Tue Feb  2 2016 oneukum@suse.com
- supported.conf:
  added support for rtl8152
  Support for some devices has moved from generic cdc_ether
  to this driver. This avoids a regression in support.
  bnc#963416
- commit 7de3197
* Tue Feb  2 2016 oneukum@suse.com
- crypto: qat - update init_esram for C3xxx dev type
  (FATE#319820).
- crypto: qat - fix timeout issues (FATE#319820).
- crypto: qat - remove to call get_sram_bar_id for qat_c3xxx
  (FATE#319820).
- crypto: qat - fix SKU definiftion for c3xxx dev (FATE#319820).
- crypto: qat - Fix random config build issue (FATE#319820).
- crypto: qat - use list_for_each_entry* (FATE#319820).
- crypto: qat - uint8_t is not large enough for accel_id
  (FATE#319820).
- crypto: qat - enable VF irq after guest exits ungracefully
  (FATE#319820).
- crypto: qat - select PCI_IOV when VF are enabled (FATE#319820).
- crypto: qat - ring returning retry even though ring has BW
  (FATE#319820).
- crypto: qat - add support for c62xvf accel type (FATE#319820).
- crypto: qat - add support for c3xxxvf accel type (FATE#319820).
- crypto: qat - add support for c62x accel type (FATE#319820).
- crypto: qat - add support for c3xxx accel type (FATE#319820).
- crypto: qat - move isr files to qat common so that they can
  be reused (FATE#319820).
- crypto: qat - fix get instance function (FATE#319820).
- crypto: qat - when stopping all devices make fure VF are
  stopped first (FATE#319820).
- crypto: qat - remove superfluous check from adf_probe
  (FATE#319820).
- crypto: qat - fix some timeout tests (FATE#319820).
- crypto: qat - fix CTX_ENABLES bits shift direction issue
  (FATE#319820).
- crypto: qat - add new device definitions (FATE#319820).
- crypto: qat - add support for new devices to FW loader
  (FATE#319820).
- crypto: qat - Rename dh895xcc mmp firmware (FATE#319820).
- commit 9c02890
* Tue Feb  2 2016 jdelvare@suse.de
- Update config files: Disable CONFIG_DDR
  CONFIG_DDR is selected automatically by drivers which need it. This
  piece of helper code is useless in the absence of any such driver.
- commit 6bb1da0
* Tue Feb  2 2016 jslaby@suse.cz
- Linux 4.4.1 (CVE-2016-0728 bnc#962075 boo#960710).
- Delete
  patches.drivers/ALSA-hda-Flush-the-pending-probe-work-at-remove.
- Delete patches.fixes/keys-fix-leak.patch.
- commit 419d86e
* Mon Feb  1 2016 dbueso@suse.de
- locking/barriers, arch: Remove ambiguous statement in the
  smp_store_mb() documentation (bug#964550).
- commit 373ef3f
* Mon Feb  1 2016 dbueso@suse.de
- lcoking/barriers, arch: Use smp barriers in smp_store_release()
  (bug#964550).
- commit 6a93db3
* Mon Feb  1 2016 dbueso@suse.de
- locking/cmpxchg, arch: Remove tas() definitions (bug#964550).
- commit 8570924
* Mon Feb  1 2016 mfleming@suse.de
- x86/mm/pat: Avoid truncation when converting cpa->numpages to
  address (bsc#964436).
- commit 8bf43b1
* Mon Feb  1 2016 jthumshirn@suse.de
- hpsa: Add box and bay information for enclosure devices
  (bsc#964462, FATE#319992).
- hpsa: Change SAS transport devices to bus 0 (bsc#964462,
  FATE#319992).
- hpsa: fix path_info_show (bsc#964462, FATE#319992).
- commit 489000d
* Mon Feb  1 2016 jthumshirn@suse.de
- bfa: Update driver version to 3.2.25.0 (bsc#964442,
  FATE#320157).
- bfa: File header and user visible string changes (bsc#964442,
  FATE#320157).
- bfa: Fix for crash when bfa_itnim is NULL (bsc#964442,
  FATE#320157).
- bfa: Update copyright messages (bsc#964442, FATE#320157).
- commit c9279b3
* Mon Feb  1 2016 tiwai@suse.de
- drm/i915/skl: Add SKL GT4 PCI IDs (FATE#319161).
- commit 1b57424
* Mon Feb  1 2016 jslaby@suse.cz
- Refresh
  patches.fixes/0001-tty-Fix-unsafe-ldisc-reference-via-ioctl-TIOCGETD.patch.
- Refresh
  patches.fixes/0002-n_tty-Fix-unsafe-reference-to-other-ldisc.patch.
  Upstream status.
- commit 6ed0c02
* Mon Feb  1 2016 dbueso@suse.de
- rtmutex: Make wait_lock irq safe (bug#964366).
- commit 6fed39d
* Mon Feb  1 2016 dbueso@suse.de
- sysrq: Fix warning in sysrq generated crash (bug#964337).
- commit b92a5d9
* Sun Jan 31 2016 tiwai@suse.de
- sd: Optimal I/O size is in bytes, not sectors (boo#961263).
- commit 35c1f26
* Fri Jan 29 2016 neilb@suse.com
- Improve fairness when locking the per-superblock s_anon list
  (bsc#957525, bsc#941363).
- commit 44c10f3
* Thu Jan 28 2016 jslaby@suse.cz
- Update patches.suse/kgr-0005-initial-code.patch (fate#313296
  fate#317827 bnc#905087 bnc#929883 bnc#943989 bnc#963572).
- Refresh
  patches.suse/kgr-0008-mark-task_safe-in-some-kthreads.patch.
- Refresh patches.suse/kgr-0009-kthreads-support.patch.
- Refresh patches.suse/kgr-0010-handle-irqs.patch.
- Refresh patches.suse/kgr-0011-allow-stacking-of-patches.patch.
- Refresh
  patches.suse/kgr-0012-handle-patched-modules-that-are-being-removed.patch.
- Refresh
  patches.suse/kgr-0013-try-to-apply-skipped-patches-when-a-module-is-lo.patch.
- Refresh
  patches.suse/kgr-0014-allow-for-forced-module-load.patch.
- Refresh patches.suse/kgr-0015-allow-replace_all.patch.
- Refresh
  patches.suse/kgr-0017-correct-error-handling-of-the-first-patching-sta.patch.
  Fixes for fate#317827 and bnc#963572.
- commit 9bbdb82
* Thu Jan 28 2016 jlee@suse.com
- Update config files. (fate#320387)
  Add CONFIG_SECURITY_SECURELEVEL=y and
  CONFIG_EFI_SECURE_BOOT_SECURELEVEL=y
  to x86_64/default and x86_64/debug config files.
- commit fa3175b
* Wed Jan 27 2016 mmarek@suse.cz
- supported.conf: Add nls_iso8859-1 and nls_cp437 to -base (bsc#950292)
- commit 8893c45
* Wed Jan 27 2016 vbabka@suse.cz
- mm, procfs: breakdown RSS for anon, shmem and file in
  /proc/pid/status (VM Functionality, fate#313774).
- mm, shmem: add internal shmem resident memory accounting
  (VM Functionality, fate#313774).
- mm, proc: reduce cost of /proc/pid/smaps for unpopulated shmem
  mappings (VM Functionality, fate#313774).
- mm, proc: reduce cost of /proc/pid/smaps for shmem mappings
  (VM Functionality, fate#313774).
- mm, proc: account for shmem swap in /proc/pid/smaps (VM
  Functionality, fate#313774).
- mm, documentation: clarify /proc/pid/status VmSwap limitations
  for shmem (VM Functionality, fate#313774).
- commit d0fa06b
* Wed Jan 27 2016 mgorman@suse.com
- sched/fair: Disable the task group load_avg update for the
  root_task_group (Scheduler performance -- cache footprint).
- sched/fair: Move the cache-hot 'load_avg' variable into its
  own cacheline (Scheduler performance -- cache footprint).
- sched/fair: Remove empty idle enter and exit functions
  (Scheduler performance -- cpu idling).
- proc: meminfo: estimate available memory more conservatively
  (VM functionality -- user space monitoring).
- mm: page_alloc: generalize the dirty balance reserve (VM
  functionality -- user space monitoring).
- mm: allow GFP_{FS,IO} for page_cache_read page cache allocation
  (VM performance -- page cache).
- mm, vmscan: consider isolated pages in zone_reclaimable_pages
  (VM performance -- page reclaim).
- vmscan: do not force-scan file lru if its absolute size is small
  (VM performance -- page reclaim).
- commit b96177b
* Wed Jan 27 2016 bp@suse.de
- Update config files.
  Disable CONFIG_DEBUG_WX as stuff needs to be sorted out upstream first.
- commit 10faf7f
* Wed Jan 27 2016 dvaleev@suse.com
- Update config files SCOM_DEBUGFS=y
  enable CONFIG_SCOM_DEBUGFS for fate#320083
- commit 64b7b4e
* Wed Jan 27 2016 jlee@suse.com
- kexec/uefi: copy secure_boot flag in boot params across kexec reboot (fate#320387, bsc#950804).
- hibernate: Disable when securelevel is set (fate#320387).
- Add option to automatically set securelevel when in Secure Boot mode (fate#320387).
- asus-wmi: Restrict debugfs interface when securelevel is set (fate#320387).
- x86: Restrict MSR access when securelevel is set (fate#320387).
- uswsusp: Disable when securelevel is set (fate#320387).
- kexec: Disable at runtime if securelevel has been set (fate#320387).
- acpi: Ignore acpi_rsdp kernel parameter when securelevel is set (fate#320387).
- acpi: Limit access to custom_method if securelevel is set (fate#320387).
- Restrict /dev/mem and /dev/kmem when securelevel is set (fate#320387).
- x86: Lock down IO port access when securelevel is enabled (fate#320387).
- PCI: Lock down BAR access when securelevel is enabled (fate#320387).
- Add BSD-style securelevel support (fate#320387).
- commit b1b3860
* Wed Jan 27 2016 jlee@suse.com
- Remove old lock down functions that will be replaced by BSD-style securelevel patches
  Remove old lock down functions that will be replaced by BSD-style
  securelevel patches. (FATE#320387)
- Delete
  patches.suse/0001-kexec-uefi-copy-secure_boot-flag-in-boot-params-acro.patch.
- Delete patches.suse/0001_V3_Add_secure_modules_call.patch.
- Delete
  patches.suse/0002_V3_PCI_Lock_down_BAR_access_when_module_security_is_enabled.patch.
- Delete
  patches.suse/0003_V3_x86_Lock_down_IO_port_access_when_module_security_is_enabled.patch.
- Delete
  patches.suse/0004_V3_ACPI_Limit_access_to_custom_method.patch.
- Delete
  patches.suse/0005_V3_asus-wmi_Restrict_debugfs_interface_when_module_loading_is_restricted.patch.
- Delete
  patches.suse/0006_V3_Restrict__dev_mem_and__dev_kmem_when_module_loading_is_restricted.patch.
- Delete
  patches.suse/0007_V3_acpi_Ignore_acpi_rsdp_kernel_parameter_when_module_loading_is_restricted.patch.
- Delete
  patches.suse/0008_V3_kexec_Disable_at_runtime_if_the_kernel_enforces_module_loading_restrictions.patch.
- Delete
  patches.suse/0009_V3_uswsusp_Disable_when_module_loading_is_restricted.patch.
- Delete
  patches.suse/0010_V3_x86_Restrict_MSR_access_when_module_loading_is_restricted.patch.
- Delete
  patches.suse/0011_V3_Add_option_to_automatically_enforce_module_signatures_when_in_Secure_Boot_mode.patch.
- Delete
  patches.suse/0013-efi-Make-EFI_SECURE_BOOT_SIG_ENFORCE-depend-on-EFI.patch.
- Delete patches.suse/0014-efi-Add-EFI_SECURE_BOOT-bit.patch.
- commit fac5295
* Wed Jan 27 2016 alnovak@suse.cz
- supported.conf: drop +external from ghash-clmulni-intel
  It was agreed that it doesn't make sense to maintain "external" for
  this specific module. Furthermore it causes problems in rather ordinary
  VMware environments. (bsc#961971)
- commit f649c9f
* Wed Jan 27 2016 mmarek@suse.com
- supported.conf: Also add virtio_pci to kernel-default-base (bsc#950292).
- commit 1182448
* Wed Jan 27 2016 mmarek@suse.com
- supported.conf: Add virtio_{blk,net,scsi} to kernel-default-base (bsc#950292)
- commit 3426517
* Wed Jan 27 2016 jeffm@suse.com
- overlayfs: add compatibility mode for historical format (FATE#320450).
- Delete patches.suse/ovl05-overlay-filesystem.patch.
- Delete patches.suse/ovl06-overlayfs-add-statfs-support.patch.
- Delete
  patches.suse/ovl07-overlayfs-implement-show_options.patch.
- Delete
  patches.suse/ovl08-overlay-overlay-filesystem-documentation.patch.
- Delete
  patches.suse/ovl09-fs-limit-filesystem-stacking-depth.patch.
- Delete patches.suse/ovl11-default-permissions.patch.
  Rather than support two completely separate overlayfs implementations
  where we're the only maintainer of one of them, this patch adds
  compatibility mode to overlay.ko via the 'overlayfs' file system name
  to support the old whiteout format and uses a hidden working directory
  to get the safety that comes with the newer format 'for free.'
- commit 72a2113
* Tue Jan 26 2016 colyli@suse.de
- mtip32xx: restrict variables visible in current code module
  (fate#319999).
- mtip32xx: don't open-code memdup_user() (fate#319999).
- blk-mq: add a flags parameter to blk_mq_alloc_request
  (fate#319999).
- commit ce7d089
* Tue Jan 26 2016 jslaby@suse.cz
- workqueue: warn if memory reclaim tries to flush !WQ_MEM_RECLAIM
  workqueue (bnc#963572).
- commit ba870a8
* Tue Jan 26 2016 jslaby@suse.cz
- n_tty: Fix unsafe reference to "other" ldisc (bnc#961500
  CVE-2016-0723).
- tty: Fix unsafe ldisc reference via ioctl(TIOCGETD) (bnc#961500
  CVE-2016-0723).
- commit a28bfd8
* Tue Jan 26 2016 mmarek@suse.com
- rpm/kernel-spec-macros: Do not modify the release string in PTFs (bsc#963449)
- commit dc2b096
* Tue Jan 26 2016 hare@suse.de
- scsi_dh_alua: Simplify access state checking.
- scsi: Fix RCU handling for VPD pages.
- commit 9e51a31
* Tue Jan 26 2016 hare@suse.de
- scsi: Do not attach VPD to devices that don't support it.
- commit c0eb7cb
* Tue Jan 26 2016 hare@suse.de
- fddi: Fixup potential uninitialized bars.
- commit 5731cd5
* Tue Jan 26 2016 tiwai@suse.de
- Enable kconfigs for a few Intel ASoC drivers (bsc#963456)
- commit 8ff2e8b
* Tue Jan 26 2016 dbueso@suse.de
- locking/pvqspinlock: Queue node adaptive spinning (fate#320355).
- commit fb753ea
* Tue Jan 26 2016 dbueso@suse.de
- locking/pvqspinlock: Allow limited lock stealing (fate#320355).
- commit 4f5b391
* Tue Jan 26 2016 dbueso@suse.de
- locking/pvqspinlock: Collect slowpath lock statistics
  (fate#320355).
- commit f790e53
* Tue Jan 26 2016 dbueso@suse.de
- sched/core, locking: Document Program-Order guarantees
  (fate#320355).
- commit bb8afc0
* Tue Jan 26 2016 dbueso@suse.de
- locking, sched: Introduce smp_cond_acquire() and use it
  (fate#320355).
- commit 4d9ecac
* Tue Jan 26 2016 dbueso@suse.de
- locking/pvqspinlock, x86: Optimize the PV unlock code path
  (fate#320355).
- commit 62133fc
* Tue Jan 26 2016 dbueso@suse.de
- locking/qspinlock: Avoid redundant read of next pointer
  (fate#320355).
- commit 6a392cd
* Tue Jan 26 2016 dbueso@suse.de
- locking/qspinlock: Prefetch the next node cacheline
  (fate#320355).
- commit 8d923df
* Tue Jan 26 2016 dbueso@suse.de
- locking/qspinlock: Use _acquire/_release() versions of cmpxchg()
  & xchg() (fate#320355).
- commit b6872b4
* Mon Jan 25 2016 jeffm@suse.com
- Delete patches.fixes/tulip-quad-NIC-ifdown.
  The original bug that this patch fixed was addressed in 2004, in v2.6.10
  (6379dd57 of linux-2.6-bk), but pci_disable_device was still required to
  shut down the device.
  Commit c321f7d7c87 in v3.14 added the pci_disable_device at the end of
  tulip_remove_one just far enough out of context so that this patch still
  applied.
- commit 05c9dcc
* Mon Jan 25 2016 mmarek@suse.com
- supported.conf: Add vfat to -base to be able to mount the ESP (bsc#950292).
- commit 19a2713
* Mon Jan 25 2016 ohering@suse.de
- Delete obsolete hv_netvsc patch to handle RNDIS_STATUS_NETWORK_CHANGE
- commit f85f67a
* Mon Jan 25 2016 ohering@suse.de
- storvsc: Fix typo in MODULE_PARM_DESC (fate#315887).
- storvsc: Tighten up the interrupt path (fate#315887).
- storvsc: Refactor the code in storvsc_channel_init()
  (fate#315887).
- storvsc: Properly support Fibre Channel devices (fate#315887).
- storvsc: Fix a bug in the layout of the hv_fc_wwn_packet
  (fate#315887).
- Drivers: hv: vmbus: Treat Fibre Channel devices as performance
  critical (fate#315887).
- Drivers: hv: utils: fix hvt_op_poll() return value on transport
  destroy (fate#315887).
- Drivers: hv: vmbus: fix the building warning with
  hyperv-keyboard (fate#315887).
- drivers/hv: Move struct hv_timer_message_payload into UAPI
  Hyper-V x86 header (fate#315887).
- drivers/hv: Move struct hv_message into UAPI Hyper-V x86 header
  (fate#315887).
- drivers/hv: Move HV_SYNIC_STIMER_COUNT into Hyper-V UAPI x86
  header (fate#315887).
- drivers/hv: replace enum hv_message_type by u32 (fate#315887).
- Drivers: hv: ring_buffer: eliminate hv_ringbuffer_peek()
  (fate#315887).
- Drivers: hv: remove code duplication between
  vmbus_recvpacket()/vmbus_recvpacket_raw() (fate#315887).
- Drivers: hv: ring_buffer: remove code duplication from
  hv_ringbuffer_peek/read() (fate#315887).
- Drivers: hv: ring_buffer: remove stray
  smp_read_barrier_depends() (fate#315887).
- Drivers: hv: ring_buffer.c: fix comment style (fate#315887).
- Drivers: hv: utils: fix crash when device is removed from host
  side (fate#315887).
- Drivers: hv: utils: introduce HVUTIL_TRANSPORT_DESTROY mode
  (fate#315887).
- Drivers: hv: utils: rename outmsg_lock (fate#315887).
- Drivers: hv: utils: fix memory leak on on_msg() failure
  (fate#315887).
- tools: hv: vss: fix the write()'s argument: error -> vss_msg
  (fate#315887).
- Drivers: hv: utils: Invoke the poll function after handshake
  (fate#315887).
- Drivers: hv: vmbus: Force all channel messages to be delivered
  on CPU 0 (fate#315887).
- drivers/hv: correct tsc page sequence invalid value
  (fate#315887).
- Drivers: hv: vmbus: Fix a Host signaling bug (fate#315887).
- drivers:hv: Allow for MMIO claims that span ACPI _CRS records
  (fate#315887).
- Drivers: hv: vmbus: channge vmbus_connection.channel_lock to
  mutex (fate#315887).
- Drivers: hv: vmbus: release relid on error in
  vmbus_process_offer() (fate#315887).
- Drivers: hv: vmbus: fix rescind-offer handling for device
  without a driver (fate#315887).
- Drivers: hv: vmbus: do sanity check of channel state in
  vmbus_close_internal() (fate#315887).
- Drivers: hv: vmbus: serialize process_chn_event() and
  vmbus_close_internal() (fate#315887).
- Drivers: hv: vmbus: Get rid of the unused irq variable
  (fate#315887).
- Drivers: hv: vmbus: Get rid of the unused macro (fate#315887).
- Drivers: hv: vmbus: Use uuid_le_cmp() for comparing GUIDs
  (fate#315887).
- Drivers: hv: vmbus: Use uuid_le type consistently (fate#315887).
- drivers:hv: Define the channel type for Hyper-V PCI Express
  pass-through (fate#315887).
- drivers:hv: Export the API to invoke a hypercall on Hyper-V
  (fate#315887).
- drivers:hv: Export a function that maps Linux CPU num onto
  Hyper-V proc num (fate#315887).
- drivers/hv: cleanup synic msrs if vmbus connect failed
  (fate#315887).
- Drivers: hv: utils: use memdup_user in hvt_op_write
  (fate#315887).
- Drivers: hv: util: catch allocation errors (fate#315887).
- tools: hv: remove repeated HV_FCOPY string (fate#315887).
- tools: hv: report ENOSPC errors in hv_fcopy_daemon
  (fate#315887).
- Drivers: hv: util: Increase the timeout for util services
  (fate#315887).
- Drivers: hv: vmbus: fix build warning (fate#315887).
- hv_netvsc: Fix race condition on Multi-Send Data field
  (fate#315887).
- storvsc: add logging for error/warning messages (fate#315887).
- hv_netvsc: Eliminate vlan_tci from struct hv_netvsc_packet
  (fate#315887).
- hv_netvsc: Eliminate status from struct hv_netvsc_packet
  (fate#315887).
- hv_netvsc: Eliminate xmit_more from struct hv_netvsc_packet
  (fate#315887).
- hv_netvsc: Eliminate completion_func from struct
  hv_netvsc_packet (fate#315887).
- hv_netvsc: Eliminate is_data_pkt from struct hv_netvsc_packet
  (fate#315887).
- hv_netvsc: Eliminate send_completion_tid from struct
  hv_netvsc_packet (fate#315887).
- hv_netvsc: Eliminate page_buf from struct hv_netvsc_packet
  (fate#315887).
- hv_netvsc: remove locking in netvsc_send() (fate#315887).
- hv_netvsc: move subchannel existence check to
  netvsc_select_queue() (fate#315887).
- hv_netvsc: Don't ask for additional head room in the skb
  (fate#315887).
- hv_netvsc: Eliminate send_completion_ctx from struct
  hv_netvsc_packet (fate#315887).
- hv_netvsc: Eliminate send_completion from struct
  hv_netvsc_packet (fate#315887).
- hv_netvsc: Eliminatte the data field from struct
  hv_netvsc_packet (fate#315887).
- hv_netvsc: Eliminate rndis_msg pointer from hv_netvsc_packet
  structure (fate#315887).
- hv_netvsc: Eliminate the channel field in hv_netvsc_packet
  structure (fate#315887).
- hv_netvsc: Rearrange the hv_negtvsc_packet to be space efficient
  (fate#315887).
- hv_netvsc: Resize some of the variables in hv_netvsc_packet
  (fate#315887).
- hv_netvsc: rework link status change handling (fate#315887).
- commit e5e2091
* Mon Jan 25 2016 ohering@suse.de
- Add mainline tags to two hyperv patches
- commit 372bb9c
* Sat Jan 23 2016 tiwai@suse.de
- Delete obsoleted patches.fixes/ptrace-getsiginfo
  This has been fixed in 2.6.26 by e16b278.
- commit 250ec53
* Sat Jan 23 2016 bpoirier@suse.com
- KEYS: Fix keyring ref leak in join_session_keyring()
  (bnc#962075, CVE-2016-0728).
  Refresh patch, its current formatting confuses git am.
- commit 2cbb011
* Sat Jan 23 2016 dbueso@suse.de
- futex: Cleanup the goto confusion in requeue_pi() (bug#960174).
- commit 19ec896
* Sat Jan 23 2016 dbueso@suse.de
- futex: Remove pointless put_pi_state calls in requeue()
  (bug#960174).
- commit d73e85a
* Sat Jan 23 2016 dbueso@suse.de
- futex: Document pi_state refcounting in requeue code
  (bug#960174).
- commit 0bb11cc
* Sat Jan 23 2016 dbueso@suse.de
- futex: Rename free_pi_state() to put_pi_state() (bug#960174).
- commit 75f3d47
* Sat Jan 23 2016 dbueso@suse.de
- futex: Drop refcount if requeue_pi() acquired the rtmutex
  (bug#960174).
- commit 866307b
* Sat Jan 23 2016 dbueso@suse.de
- futex: Allow FUTEX_CLOCK_REALTIME with FUTEX_WAIT op
  (bug#960175).
- commit eaa65b2
* Fri Jan 22 2016 mmarek@suse.com
- rpm/kernel-source.spec.in: Install kernel-macros for kernel-source-vanilla
  (bsc#959090)
- commit cd33617
* Fri Jan 22 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Fix paths in kernel-vanilla-devel (bsc#959090).
- commit 2d2ec7f
* Fri Jan 22 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Fix kernel-vanilla-devel dependency (bsc#959090)
- commit fbbc989
* Fri Jan 22 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Use bzip compression to speed up build (bsc#962356)
- commit e8f8f54
* Fri Jan 22 2016 dvaleev@suse.com
- supported.conf: drivers/scsi/cxlflash/cxlflash.ko
  Add drivers/scsi/cxlflash/cxlflash.ko to supported conf (fate#318001)
- commit 4ea02c2
* Fri Jan 22 2016 hare@suse.de
- Fixup typo in alua backport
- Refresh patches.fixes/scsi_dh_alua-Use-workqueue-for-RTPG.patch.
- Refresh
  patches.fixes/scsi_dh_alua-simplify-alua_initialize.patch.
- Refresh patches.fixes/scsi_dh_alua-use-unique-device-id.patch.
- commit 4c7f6a2
* Fri Jan 22 2016 mgorman@suse.com
- Delete
  patches.suse/sched-Put-expensive-runtime-debugging-checks-under-a-separate-Kconfig-entry.patch.
- commit 0eaea85
* Fri Jan 22 2016 mgorman@suse.com
- Refresh
  patches.suse/mm-Warn-users-of-node-memory-hot-remove-if-the-memory-ratio-is-a-high-risk.patch.
- commit af558cf
* Fri Jan 22 2016 mgorman@suse.com
- Refresh patches.suse/dm-mpath-no-partitions-feature.
- commit 9429736
* Fri Jan 22 2016 mgorman@suse.com
- Refresh patches.suse/sd_init.mark_majors_busy.patch.
- commit 828575b
* Fri Jan 22 2016 mgorman@suse.com
- Refresh patches.drivers/pstore_disable_efi_backend_by_default.patch.
- commit 4490aee
* Fri Jan 22 2016 mgorman@suse.com
- Refresh patches.suse/btrfs-provide-super_operations-get_inode_dev.
- commit 022765f
* Fri Jan 22 2016 mgorman@suse.com
- Refresh patches.arch/acpi_thermal_passive_blacklist.patch.
- commit be6eec0
* Fri Jan 22 2016 mgorman@suse.com
- Delete
  patches.suse/cfq-Increase-default-value-of-target_latency.patch.
- commit c3abfc4
* Fri Jan 22 2016 mgorman@suse.com
- Refresh patches.suse/cfq-Increase-default-value-of-target_latency.patch.
- commit 7520b8f
* Thu Jan 21 2016 hare@suse.de
- Update remaining SCSI patches
- Refresh
  patches.fixes/scsi-Handle-power-on-reset-unit-attention.patch.
- Update
  patches.fixes/scsi_scan-Send-TEST-UNIT-READY-to-LUN0-before-LUN-sc.patch
  (bnc#843236, bnc#893377).
- Delete
  patches.fixes/scsi-Use-BLIST_TESTLUN-for-Fujitsu-Eternus-DXL.patch.
- Delete
  patches.fixes/scsi-clear-host_scribble-upon-successful-abort.patch.
- commit b4ebec7
* Thu Jan 21 2016 dvaleev@suse.com
- Add sd_mod to initrd modules
  For some reason PowerVM backend can't work without sd_mod
- commit 7c2bd21
* Thu Jan 21 2016 hare@suse.de
- Backport queued ALUA update patches
- scsi: Add 'access_state' attribute
  References: bsc#927040.
- scsi: rescan VPD attributes.
- scsi_dh: add 'rescan' callback
  References: bsc#927040.
- scsi_dh_alua: Add new blacklist flag 'BLIST_SYNC_ALUA'
  References: bsc#927040.
- References: bsc#927040.
- scsi_dh_alua: Make stpg synchronous (bnc#708296).
- scsi_dh_alua: Pass buffer as function argument (bnc#708296).
- scsi_dh_alua: Send TEST UNIT READY to poll for transitioning
  (bsc#927040).
- scsi_dh_alua: Update version to 2.0 (bnc#708296).
- scsi_dh_alua: Use separate alua_port_group structure
  (bnc#708296).
- scsi_dh_alua: Use workqueue for RTPG (bnc#708296).
- scsi_dh_alua: allocate RTPG buffer separately
  References: bsc#927040.
- scsi_dh_alua: call alua_rtpg() if stpg fails
  References: bsc#927040.
- scsi_dh_alua: move optimize_stpg evaluation (bsc#927040).
- scsi_dh_alua: remove 'rel_port' from alua_dh_data structure
  (bsc#927040).
- revert commit a8e5a2d593cb (" scsi_dh_alua: ALUA handler attach
  should succeed while TPG is transitioning") (bnc#708296).
- scsi_dh_alua: separate out alua_stpg() (bsc#927040).
- scsi_dh_alua: simplify alua_initialize() (bsc#927040).
- scsi_dh_alua: switch to scsi_execute_req_flags() (bnc#708296).
- scsi_dh_alua: update 'access_state' field (bnc#708296).
- scsi_dh_alua: use common definitions for ALUA state
  (bnc#708296).
- scsi_dh_alua: use unique device id (bnc#708296).
- Refresh
  patches.fixes/scsi_dh_alua-Recheck-state-on-unit-attention.patch.
- Refresh patches.fixes/scsi_dh_alua-update-all-port-states.patch.
- Delete
  patches.fixes/scsi_dh_alua-disable-ALUA-handling-for-non-disk-devi.patch.
- Delete
  patches.fixes/scsi_dh_alua-fixup-crash-in-alua_rtpg_work.patch.
- Delete
  patches.fixes/scsi_dh_alua-parse-device-id-instead-of-target-id.patch.
- Delete
  patches.fixes/scsi_dh_alua-recheck-RTPG-in-regular-intervals.patch.
- commit 2d825ba
* Thu Jan 21 2016 hare@suse.de
- Backport ALUA update from 4.5
- scsi: Add scsi_vpd_lun_id() (bnc#880356).
- scsi: Add scsi_vpd_tpg_id() (bnc#880356).
- scsi: export 'wwid' to sysfs (bnc#880356).
- scsi: remove scsi_show_sense_hdr() (bnc#880356).
- scsi_dh: move 'dh_state' sysfs attribute to generic code
  (bnc#880356).
- scsi_dh_alua: Disable ALUA handling for non-disk devices
  (bnc#880356).
- scsi_dh_alua: Remove stale variables (bnc#880356).
- scsi_dh_alua: fixup description of stpg_endio() (bnc#880356).
- scsi_dh_alua: improved logging (bnc#880356).
- scsi_dh_alua: return standard SCSI return codes in submit_rtpg
  (bnc#880356).
- scsi_dh_alua: rework alua_check_tpgs() to return the tpgs mode
  (bnc#880356).
- scsi_dh_alua: sanitze sense code handling (bnc#880356).
- scsi_dh_alua: use scsi_vpd_tpg_id() (bnc#880356).
- scsi_dh_alua: use standard logging functions (bnc#880356).
- scsi_dh_alua: use unaligned access macros (bnc#880356).
- Refresh
  patches.fixes/scsi_dh_alua-Use-vpd_pg83-information.patch.
- Refresh
  patches.fixes/scsi_dh_alua-simplify-sense-code-handling.patch.
- Refresh
  patches.fixes/scsi_dh_alua-use-flag-for-RTPG-extended-header.patch.
- Delete
  patches.fixes/scsi_dh-invoke-callback-if-activate-is-not-present.patch.
- Delete
  patches.fixes/scsi_dh-return-individual-errors-in-scsi_dh_activate.patch.
- Delete patches.fixes/scsi_dh_alua-Clarify-logging-message.patch.
- Delete
  patches.fixes/scsi_dh_alua-Do-not-attach-to-management-devices.patch.
- Delete patches.fixes/scsi_dh_alua-Improve-error-handling.patch.
- Delete patches.fixes/scsi_dh_alua-Make-stpg-synchronous.patch.
- Delete
  patches.fixes/scsi_dh_alua-Pass-buffer-as-function-argument.patch.
- Delete patches.fixes/scsi_dh_alua-Simplify-state-machine.patch.
- Delete
  patches.fixes/scsi_dh_alua-Use-per-LUN-or-per-LUN-Group-associatio.patch.
- Delete
  patches.fixes/scsi_dh_alua-Use-separate-alua_port_group-structure.patch.
- Delete patches.fixes/scsi_dh_alua-Use-workqueue-for-RTPG.patch.
- Delete
  patches.fixes/scsi_dh_alua-endless-STPG-retries-for-a-failed-LUN.patch.
- Delete
  patches.fixes/scsi_dh_alua-fixup-RTPG-retry-delay-miscalculation.patch.
- Delete patches.fixes/scsi_dh_alua-fixup-optimize-stpg.patch.
- Delete
  patches.fixes/scsi_dh_alua-multipath-failover-fails.patch.
- Delete patches.fixes/scsi_dh_alua-parse-target-device-id.patch.
- Delete
  patches.fixes/scsi_dh_alua-put-sense-buffer-on-stack.patch.
- Delete
  patches.fixes/scsi_dh_alua-revert-commit-a8e5a2d593cbfccf530c3382c.patch.
- Delete
  patches.fixes/scsi_dh_alua-use-local-buffer-for-VPD-inquiry.patch.
- Delete
  patches.fixes/scsi_dh_alua-use-sdev_printk-for-all-messages.patch.
- commit abe2d78
* Thu Jan 21 2016 mmarek@suse.com
- rpm/package-descriptions: Add kernel-zfcpdump and drop -desktop
- commit 54e8f7c
* Wed Jan 20 2016 tiwai@suse.de
- scsi: ignore errors from scsi_dh_add_device() (boo#962813).
- commit 5e135af
* Wed Jan 20 2016 mgorman@suse.com
- Refresh patches.suse/readahead-request-tunables.patch.
- commit fa06cc2
* Wed Jan 20 2016 mgorman@suse.com
- Refresh patches.suse/readahead-request-tunables.patch.
- commit 02b8b18
* Wed Jan 20 2016 tiwai@suse.de
- ALSA: hda - Flush the pending probe work at remove (boo#960710).
- commit 7e466f5
* Wed Jan 20 2016 mmarek@suse.com
- rpm/old-flavors: Obsolete kernel-xen <= 4.4, to match 4.3.anything
- commit cd04346
* Wed Jan 20 2016 mbenes@suse.cz
- module: keep percpu symbols in module's symtab (bsc#962788).
- commit 9b86949
* Wed Jan 20 2016 hare@suse.de
- Fixup backports
- Refresh patches.suse/dm-mpath-accept-failed-paths.
- Delete patches.fixes/lpfc-Fix-race-on-command-completion.patch.
- commit e06f63c
* Wed Jan 20 2016 mgorman@suse.com
- mm: readahead: Increase default readahead window
  (VM Performance, bnc#548529).
- commit 41eb8a8
* Wed Jan 20 2016 mgorman@suse.com
- mm: readahead: Increase default readahead window (VM Performance, bnc#548529).
- Delete
  patches.fixes/cpufreq_ondemand_performance_optimise_default_settings.patch.
  patches.fixes/mm-Fix-assertion-mapping-nrpages-0-in-end_writeback.patch.
- commit 42f90c8
* Wed Jan 20 2016 tiwai@suse.de
- HID: multitouch: fix input mode switching on some Elan panels
  (boo#954532).
- commit 71b733e
* Wed Jan 20 2016 tiwai@suse.de
- Enable CONFIG_PINCTRL_CHERRYVIEW and _BROXTON (boo#954532)
  Needed for recent tablets/laptops.
  CONFIG_PINCTRL_BAYTRAIL is still disabled as it can't be built as a
  module.
- commit d33a340
* Wed Jan 20 2016 jlee@suse.com
- patches.fixes/keys-fix-leak.patch: (bnc#962075, CVE-2016-0728).
- commit e2007ee
* Tue Jan 19 2016 lduncan@suse.com
- Review and update SCSI host_no patch.
- commit d2fc0bc
* Tue Jan 19 2016 hare@suse.de
- Review multipath fixes
- dm-mpath: Improve logging (bnc#708296).
- Refresh patches.fixes/dm-table-switch-to-readonly.
- Refresh patches.suse/dm-mpath-accept-failed-paths.
- dm-mpath: Do not activate offlined paths (bnc#484529).
- Refresh patches.suse/md-abort-pending-requests.
- Delete
  patches.fixes/dm-mpath-never-requeue-request-on-ITL-failure.patch.
- Delete
  patches.fixes/md-Fix-remove_and_add_spares-removes-drive-added-as-spare-in-slot_store.patch.
- Delete patches.suse/dm-mpath-detach-existing-hardware-handler.
- Delete patches.suse/mpath-fix.
- commit 1a24a89
* Tue Jan 19 2016 jslaby@suse.cz
- hwrng: core - sleep interruptible in read (bnc#962597).
- commit d407b31
* Tue Jan 19 2016 rgoldwyn@suse.com
- Delete patches.fixes/md-Fix-remove_and_add_spares-removes-drive-added-as-spare-in-slot_store.patch.
  This is present in 4.4 series kernel.
- commit ef86c5d
* Mon Jan 18 2016 jslaby@suse.cz
- Update
  patches.suse/kgr-0008-mark-task_safe-in-some-kthreads.patch
  (fate#313296 bnc#889207 bnc#891710 bnc#899908 bnc#905087
  bnc#906140 bnc#962336).
  Handle more kthreads.
- commit 3f4f015
* Mon Jan 18 2016 jthumshirn@suse.de
- Delete
  patches.fixes/0001-SCSI-Fix-hard-lockup-in-scsi_remove_target.patch.
- commit 5c08440
* Mon Jan 18 2016 jthumshirn@suse.de
- Delete
  patches.drivers/0018-bcache-backing-device-set-to-clean-after-finishing-d.patch.
- commit d9937dc
* Mon Jan 18 2016 jslaby@suse.cz
- Update patches.suse/kgr-0002-livepatch-add-infrastructure.patch
  (fate#313296 bnc#904681).
- Update
  patches.suse/kgr-0003-livepatch-kgr_in_progress-for-all-threads.patch
  (fate#313296 bnc#929883).
- Update patches.suse/kgr-0005-initial-code.patch (fate#313296
  bnc#905087 bnc#929883 bnc#943989).
- Update
  patches.suse/kgr-0008-mark-task_safe-in-some-kthreads.patch
  (fate#313296 bnc#889207 bnc#891710 bnc#899908 bnc#905087
  bnc#906140).
- Update patches.suse/kgr-0010-handle-irqs.patch (fate#313296
  bnc#912278).
- Update patches.suse/kgr-0011-allow-stacking-of-patches.patch
  (fate#313296 bnc#901169).
  Add bnc references where appropriate. Fix debug print in usb.
- commit 583b60d
* Mon Jan 18 2016 ohering@suse.de
- Delete
  patches.suse/suse-hv-Drivers-scsi-storvsc-Fix-a-bug-in-the-handling-of-SR.patch.
- commit 3f9e68d
* Mon Jan 18 2016 ohering@suse.de
- hyperv_fb: Add screen refresh after pause/resume operation
- commit 28d3776
* Mon Jan 18 2016 ohering@suse.de
- Allow module unload of hyperv drivers in 4.4+
- commit 837fbbf
* Sun Jan 17 2016 mgorman@suse.com
- Refresh
  patches.suse/mm-mempolicy-c-convert-the-shared_policy-lock-to-a-rwlock.patch.
- Delete
  patches.suse/sched-numa-limit-amount-of-virtual-memory-scanned-in-task_numa_work.patch.
- sched/numa: Cap PTE scanning overhead to 3%% of run time
  (Automatic NUMA Balancing (fate#315482)).
- commit 7ee8f1f
* Fri Jan 15 2016 bpoirier@suse.com
- Refresh
  patches.drivers/disable-catas_reset-by-default-to-avoid-problems-wit.patch.
- Refresh
  patches.fixes/e1000e-Do-not-read-ICR-in-Other-interrupt.patch.
- Refresh
  patches.fixes/e1000e-Do-not-write-lsc-to-ics-in-msi-x-mode.patch.
- Refresh patches.fixes/e1000e-Fix-msi-x-interrupt-automask.patch.
- Refresh patches.fixes/e1000e-Remove-unreachable-code.patch.
- commit 51ad1e4
* Fri Jan 15 2016 bp@suse.de
- Documentation: Document kernel.panic_on_io_nmi sysctl
  (bsc#940946, bsc#937444).
- x86/nmi: Save regs in crash dump on external NMI (bsc#940946,
  bsc#937444).
- x86/apic: Introduce apic_extnmi command line parameter
  (bsc#940946, bsc#937444).
- kexec: Fix race between panic() and crash_kexec() (bsc#940946,
  bsc#937444).
- panic, x86: Allow CPUs to save registers even if looping in
  NMI context (bsc#940946, bsc#937444).
- panic, x86: Fix re-entrance problem due to panic on NMI
  (bsc#940946, bsc#937444).
- commit 2a6f9cc
* Fri Jan 15 2016 jbohac@suse.cz
- Refresh
  patches.fixes/ipvs-drop-first-packet-to-dead-server.patch.
- commit 202cf0b
* Fri Jan 15 2016 jbohac@suse.cz
- Refresh patches.arch/x86_64-hpet-64bit-timer.patch.
- commit a209826
* Fri Jan 15 2016 mbrugger@suse.com
- net, thunderx: Add TX timeout, RX buff allocation fail to
  driver stats.
- net, thunderx: Fix for duplicate CQEs by HW for TSO packets.
- net, thunderx: HW errata workaround for non-tunneled TSO pkts.
- net, thunderx: Enable CQ count threshold for pass2 chip.
- net, thunderx: HW TSO support for pass2 chips.
- net, thunderx: Remove unnecessary rcv buffer start address
  management.
- net: thunderx: Increase transmit queue length.
- net: thunderx: nicvf_queues: nivc_*_intr: remove duplication.
- net, thunderx: Fix memory leak while unload modules.
- net, thunderx: Fix crash during shutdown when probe fails.
- net, thunderx: Use bool in stucts there possible.
- arm64, pci, numa: Adding helper functions as required by pci.
- commit 33880c5
* Fri Jan 15 2016 bp@suse.de
- Refresh /dev/kmsg ratelimiting patch and make it less obtrusive
- commit 26f3f43
* Fri Jan 15 2016 hare@suse.de
- Remove obsolete patches after review
- Refresh patches.suse/aacraid-export-fixed-module-param.
- Refresh patches.suse/fcoe-reduce-max_sectors.
- Delete
  patches.drivers/fnic-Correcting-warnings-given-by-Smatch-and-Sp.patch.
- Delete patches.drivers/scsi-bnx2fc-handle_scsi_retry_delay.
- Delete patches.drivers/scsi-bnx2fc-soft_lockup_when_rmmod.
- Delete
  patches.fixes/scsi-Warn-on-invalid-command-completion.patch.
- Delete
  patches.fixes/scsi-retry-MODE-SENSE-on-unit-attention.patch.
- Delete
  patches.suse/scsi-remove-unhandled-error-code-message.patch.
- commit e841249
* Fri Jan 15 2016 hare@suse.de
- Remove obsolete mpt2sas/mpt3sas patches
- Delete
  patches.drivers/mpt2sas-0002-Added-new-driver-module-Parameter-disable_ee.patch.
- Delete
  patches.drivers/mpt2sas-0007-For-2TB-volumes-DirectDrive-support-sends-I-.patch.
- Delete
  patches.drivers/mpt2sas-0010-Added-module-parameter-unblock_io-to-unblock.patch.
- Delete
  patches.drivers/mpt3sas-0001-Added-new-driver-module-Parameter-disable_ee.patch.
- commit 720444a
* Fri Jan 15 2016 hare@suse.de
- Review megaraid_sas patches
- Refresh
  patches.drivers/megaraid-sas-boot-hangs-while-LD-is-offline.patch.
- Refresh
  patches.drivers/megaraid_sas-Fallback-to-older-scanning-if-not-disks.patch.
- Delete
  patches.drivers/call-scsi_activate_tcq-per-scsi-target-and-enabled-tagged_support-inside-struct-scsi_device.patch.
- Delete
  patches.drivers/megaraid_sas-Disable-controller-reset-for-ppc.patch.
- Delete
  patches.drivers/megaraid_sas-Evaluate-return-status-from-megasas_iss.patch.
- Delete patches.drivers/megaraid_sas-handle-fastboot.patch.
- Delete patches.drivers/megaraid_sas-reduce-logging-noise.patch.
- commit dc92554
* Fri Jan 15 2016 dvaleev@suse.com
- Update config files.
  enable CONFIG_SPARSEMEM_VMEMMAP on Power (bsc#951533)
- commit 0bde536
* Fri Jan 15 2016 jack@suse.cz
- Delete patches.fixes/inotify-nested-sleep-fix.patch.
  Fixed by e23738a7300a7591a57a22f47b813 in 4.4
- Delete patches.fixes/quota-block-vs-bytes-fix.patch.
  Fixed by 14bf61ffe6ac54afcd1e888a4407fe16054483db in 4.4
- Delete
  patches.suse/fs-change-direct_access-calling-convention.patch.
  Didn't happen upstream in the end and not likely in near future.
- Delete patches.suse/mm-dax-fault-futureproof.patch.
  struct vm_fault has necessary entries in 4.4.
- commit 877459a
* Fri Jan 15 2016 mmarek@suse.com
- Import the s390x/zfcpdump config from SLE12-SP1 (fate#316142)
  New config options need to be reviewed.
- commit fac2f99
* Fri Jan 15 2016 mbrugger@suse.com
- supported.conf: add arm64 modules
- commit 9ce4d69
* Fri Jan 15 2016 mbrugger@suse.com
- Update config files for arm64
- Enable numa support
- Add thunderx edac driver
- commit e5f5de8
* Fri Jan 15 2016 mbrugger@suse.com
- net, thunder, bgx: Start to use standard firmware node
  infrastructure (fate#319484).
- net: mdio-octeon: Quit using readq_relaxed/writeq_relaxed
  (fate#319484).
- net: mdio-octeon: Add PCI driver binding (fate#319484).
- PCI/pci-host-generic: Add support for Cavium Thunder fixed BARs
  (fate#319484).
- PCI: generic: Add support for Cavium ThunderX PCIe root
  complexes (fate#319484).
- ARM64/KVM : Add support for 48bit PA in EL2 (fate#319484).
- edac: cavium: Add Cavium ThunderX EDAC driver.
- irqchip, gicv3-its, numa: Workaround for Cavium ThunderX
  erratum 23144  .
- arm64, dt, thunderx: Add initial dts for Cavium Thunderx in
  2 node topology.
- arm64/arm, numa, dt: adding numa dt binding implementation
  for arm64 platforms.
- Documentation, dt, arm64/arm: dt bindings for numa.
- arm64, numa: adding numa support for arm64 platforms.
- arm64/efi: adapt to relaxed FDT placement requirements.
- arm64/efi: ignore DT memreserve entries instead of removing
  them.
- arm64/efi: ignore DT memory nodes instead of removing them.
- arm64/efi: move EFI init before early FDT processing.
- efi: move FDT handling to separate object file.
- arm64: clone early_init_dt_add_memory_arch() to override
  default .
- arm64: gicv3: its: Increase FORCE_MAX_ZONEORDER for Cavium
  ThunderX.
- net/mlx4: Remove improper usage of dma_alloc_coherent().
- irqchip: gic-v3: Add gic_get_irq_domain() to get the irqdomain
  of the GIC.
- arm64, pci: Allow RC drivers to supply pcibios_add_device()
  implementation.
- pci: Add is_pcierc element to struct pci_bus.
- commit 8ed06df
* Fri Jan 15 2016 hare@suse.de
- Remove patches after review
- Delete
  patches.fixes/block-factor-out-vector-mergeable-decision-to-a-help.patch.
- Delete
  patches.fixes/block-modify-__bio_add_page-check-to-accept-pages-th.patch.
- commit 3b9419a
* Fri Jan 15 2016 hare@suse.de
- Remove non-upstreamed patches
- Delete patches.suse/no-partition-scan.
- Delete patches.suse/scsi-netlink-ml.
- commit 7c5a064
* Fri Jan 15 2016 hare@suse.de
- Review lpfc patches
- Refresh patches.fixes/lpfc-Fix-race-on-command-completion.patch.
- Delete
  patches.drivers/lpfc-10.5.0.2-Add-support-for-ELS-LCB.patch.
- Delete
  patches.drivers/lpfc-10.5.0.2-Add-support-for-RDP-ELS-command.patch.
- Delete
  patches.drivers/lpfc-10.5.0.2-Change-buffer-pool-empty-message-to-miscellaneo.patch.
- Delete
  patches.drivers/lpfc-10.5.0.2-Check-for-active-portpeerbeacon.patch.
- Delete
  patches.drivers/lpfc-10.5.0.2-Correct-loss-of-RSCNs-during-array-takeaway-giv.patch.
- Delete
  patches.drivers/lpfc-10.5.0.2-Correct-reference-counting-of-rport.patch.
- Delete
  patches.drivers/lpfc-10.5.0.2-Correct-reporting-of-vport-state-on-fdisc-comma.patch.
- Delete
  patches.drivers/lpfc-10.5.0.2-Devices-are-not-discovered-during-takeaway-give.patch.
- Delete
  patches.drivers/lpfc-10.5.0.2-Fix-ABORTs-WQ-selection-in-terminate_rport_io.patch.
- Delete
  patches.drivers/lpfc-10.5.0.2-Fix-cq_id-masking-problem.patch.
- Delete
  patches.drivers/lpfc-10.5.0.2-Fix-crash-in-vport_delete.patch.
- Delete
  patches.drivers/lpfc-10.5.0.2-Fix-discovery-issue-when-changing-from-Pt2Pt-to.patch.
- Delete
  patches.drivers/lpfc-10.5.0.2-Fix-incorrect-log-message-reported-for-empty-FC.patch.
- Delete patches.drivers/lpfc-10.5.0.2-Fix-rport-leak.patch.
- Delete
  patches.drivers/lpfc-10.5.0.2-Fix-to-drop-PLOGIs-from-fabric-node-till-LOGO-p.patch.
- Delete
  patches.drivers/lpfc-10.5.0.2-Fix-to-remove-IRQF_SHARED-flag-for-MSI-MSI-X-ve.patch.
- Delete
  patches.drivers/lpfc-10.5.0.2-Fix-vport-deletion-failure.patch.
- commit b2fb399
* Fri Jan 15 2016 hare@suse.de
- Review HPSA patches
- hpsa: marking older boards as unsupported (FATE#316683).
- Delete patches.drivers/hpsa-0013-Remove-unused-PCI-IDs.patch.
- Delete
  patches.drivers/hpsa-0016-mark-older-boards-as-unsupported.patch.
- Delete patches.drivers/hpsa-additional-controller-ids.patch.
- Delete
  patches.drivers/hpsa-fix-bug-in-figure_lunaddrbytes.patch.
- commit 083b842
* Fri Jan 15 2016 hare@suse.de
- Remove NVMe fixes after review
- Delete
  patches.drivers/nvme-0099-stripe-queue-irq-vector-assignments.patch.
- Delete
  patches.drivers/nvme-0100-return-busy-status-on-suspended-queue.patch.
- Delete
  patches.drivers/nvme-0101-fix-ioctl-passthrough-length-calculation.patch.
- Delete
  patches.drivers/nvme-0102-don-t-write-cq-doorbell-on-suspended-queues.patch.
- Delete
  patches.fixes/nvme-0098-avoid-infinite-loop-on-broken-device.patch.
- Delete patches.fixes/scsi-dh-queuedata-accessors.
- commit c6264ec
* Fri Jan 15 2016 jlee@suse.com
- Delete
  patches.arch/0001-acpi-Add-container-online-uevent-to-acpi_bus_attach.patch.
- commit 0ed2cdf
* Fri Jan 15 2016 hare@suse.de
- Review qla2xxx patches
- Refresh
  patches.drivers/qla2xxx-0040-Add-module-parameter-for-interrupt-mode.patch.
- Delete
  patches.drivers/qla2xxx-0023-Add-mutex-around-optrom-calls-to-serialize-a.patch.
- Delete
  patches.drivers/qla2xxx-0024-Add-handling-for-boot-indication-progress-AE.patch.
- Delete
  patches.drivers/qla2xxx-0025-Replace-constant-value-for-IOCTL-IOCB-abort-.patch.
- Delete
  patches.drivers/qla2xxx-0026-Use-proper-message-for-Non-owner-reset-ACK-T.patch.
- Delete
  patches.drivers/qla2xxx-0027-Remove-init-control-block-related-dead-code-.patch.
- Delete
  patches.drivers/qla2xxx-0028-Select-correct-request-queue-for-error-type-.patch.
- Delete
  patches.drivers/qla2xxx-0029-Enable-the-Flash-Access-Control-FAC-mailbox-.patch.
- Delete
  patches.drivers/qla2xxx-0030-Properly-handle-32-bit-mailbox-register-for-.patch.
- Delete
  patches.drivers/qla2xxx-0031-Set-host-can_queue-value-based-on-available-.patch.
- Delete
  patches.drivers/qla2xxx-0032-Remove-Marker-type-IOCB-logic-for-ISPFX00.patch.
- Delete
  patches.drivers/qla2xxx-0033-Remove-ISP_ABORT_NEEDED-and-ISP_ABORT_RETRY-.patch.
- Delete
  patches.drivers/qla2xxx-0034-Add-changes-in-the-IOCB-structures-to-adjust.patch.
- Delete
  patches.drivers/qla2xxx-0035-Avoid-poisoning-in-the-response-queue-for-IS.patch.
- Delete
  patches.drivers/qla2xxx-0036-Simplify-the-ISPFX00-interrupt-handler-code-.patch.
- Delete
  patches.drivers/qla2xxx-0037-Read-capture-firmware-dump-on-mailbox-timeou.patch.
- Delete
  patches.drivers/qla2xxx-0038-Correctly-set-the-read_optrom-pointer-for-IS.patch.
- Delete
  patches.drivers/qla2xxx-0041-Log-when-device-state-is-moved-to-failed-sta.patch.
- Delete
  patches.drivers/qla2xxx-0042-Issue-abort-command-for-outstanding-commands.patch.
- Delete
  patches.drivers/qla2xxx-0043-Allow-the-next-firmware-dump-if-the-previous.patch.
- Delete
  patches.drivers/qla2xxx-0044-Check-for-peg-alive-counter-and-clear-any-ou.patch.
- Delete
  patches.drivers/qla2xxx-Do-not-crash-system-for-sp-ref-count-zero.patch.
- Delete
  patches.drivers/qla2xxx-Do-not-decrement-the-reference-count-in-abor.patch.
- Delete
  patches.drivers/qla2xxx-Do-not-reset-adapter-if-SRB-handle-is-in-ran.patch.
- Delete
  patches.drivers/qla2xxx-Don-t-reset-ISP-when-we-receive-an-error-ent.patch.
- commit 8de70a2
* Fri Jan 15 2016 jjolly@suse.de
- script/kmsg-doc is not generating messages properly causing the build
  to fail. Disabled CONFIG_KMSG_IDS setting until script can be fixed.
- commit c15d6de
* Fri Jan 15 2016 mgalbraith@suse.de
- SP2 patch review: Forward port keepers, drop the unneeded.
- Refresh patches.fixes/sched-Fix-up-proc-sched_debug-to-print-only-runnable-tasks-again.patch.
- Refresh patches.suse/sched-domain-flags-proc-handler.patch.
- Refresh patches.suse/sched-provide-nortsched-boot-option.patch.
- Refresh patches.suse/sched-provide-rtkthreads-rtworkqueues-boot-options.patch.
- Refresh patches.suse/sched-reinstate-FAIR_SLEEPERS-feature.patch.
- Refresh patches.suse/sched-reinstate-sched_compat_yield.patch.
- Refresh patches.suse/sched-throttle-nohz.patch.
- Delete patches.fixes/hrtimer-Prevent-timer-interrupt-DoS.patch.
- Delete patches.fixes/sched-Fix-__sched_setscheduler-vs-load-balancing-race.patch.
- Delete patches.fixes/sched-update_rq_clock-must-skip-ONE-update.patch.
- Delete patches.suse/sched-rtsched_debug-SMP-only.patch.
- Delete patches.suse/sched-rtsched_debug-boot-option.patch.
- commit 539b6a9
* Fri Jan 15 2016 acho@suse.com
- Delete
  patches.drivers/ixgbe-0001-Remove-support-the-device-ID-s-from-the-code-0x15AC-.patch.
- commit 60b7730
* Fri Jan 15 2016 neilb@suse.com
- Delete
  patches.fixes/0001-NFSv4-do-not-accept-an-incompatible-delegation.patch.
- Delete patches.fixes/nfs-prime-decache-requires-fh.patch.
  both these issues have been addressed differently in mainline
  so the patches are not needed for 4.4
- commit a6264f8
* Fri Jan 15 2016 neilb@suse.com
- Delete
  patches.fixes/0001-NFSv4-do-not-accept-an-incompatible-delegation.patch.
  This was fixed in 4.3 by
  Commit: 24311f884189 ("NFSv4: Recovery of recalled read delegations is broken")
- commit c67a4b2
* Fri Jan 15 2016 mcgrof@suse.com
- Refresh
  patches.drivers/0001-module-warn-if-module-init-probe-takes-long.patch.
- commit 7011374
* Fri Jan 15 2016 mcgrof@suse.com
- Refresh
  patches.suse/btrfs-btrfs-use-the-new-VFS-super_block_dev.patch.
- Refresh
  patches.suse/btrfs-fs-super.c-add-new-super-block-devices-super_block_d.patch.
- commit c746bef
* Fri Jan 15 2016 neilb@suse.com
- Delete
  patches.fixes/0001-SUNRPC-Report-connection-error-values-to-rpc_tasks-o-fix.patch.
- Delete patches.suse/NFS_LOOP_4_SUNRPC_clnt_local.patch.
- Delete patches.suse/NFS_LOOP_5_NFS_no_loop-back_deadlock2.patch.
  More patches which are not needed with 4.4.
- commit 5e2ae40
* Fri Jan 15 2016 neilb@suse.com
- Refresh patches.fixes/nfs_flush_incompatible.fix.
- Refresh
  patches.suse/0001-md-failfast-add-failfast-flag-for-md-to-be-used-by-s.patch.
- Refresh
  patches.suse/0002-md-raid1-add-failfast-handling-for-reads.patch.
- Refresh
  patches.suse/0003-md-raid1-add-failfast-handling-for-writes.patch.
- Refresh
  patches.suse/0004-md-raid10-add-failfast-handling-for-reads.patch.
- Refresh
  patches.suse/0005-md-raid10-add-failfast-handling-for-writes.patch.
- Refresh patches.suse/01a-md-failfast-metadata.
- Refresh patches.suse/blk-timeout-no-round.
- Refresh patches.suse/block-nonblock-causes-failfast.
- Refresh patches.suse/md-bitmap-unplug-fixes.
- Refresh patches.suse/md-display-timeout-error.patch.
- Refresh patches.suse/md-expedite-hot-remove.
- Refresh patches.suse/md-raid10-silence-conf.
- Refresh patches.suse/md-raid10-tracepoints.
- Refresh patches.suse/md-update-sb-async.
- Refresh patches.suse/nfs-no-share-transport.
- Refresh patches.suse/nfs-no-share-transport-nfsv4.
- Delete patches.fixes/0001-BTRFS-support-NFSv2-export.patch.
- Delete patches.fixes/nfs-hang.fix.
- Delete
  patches.suse/0004-autofs4-remove-some-unused-inline-functions.patch.
- Delete
  patches.suse/0005-autofs4-comment-typo-remove-a-a-doubled-word.patch.
- Delete
  patches.suse/0006-autofs4-allow-RCU-walk-to-walk-through-autofs4.patch.
- Delete
  patches.suse/0051-Increment-version-for-clustered-bitmaps.patch.
- Delete
  patches.suse/0052-md-cluster-complete-all-write-requests-before-adding.patch.
- Delete
  patches.suse/0055-md-cluster-Wake-up-suspended-process.patch.
- Delete patches.suse/md-unlock_rdev_access.
  Various updates/removal of needs-review patches.
- commit f3f68e2
* Thu Jan 14 2016 jslaby@suse.cz
- kgr: mark task_safe in non-upstream kthreads (fate#313296).
- commit c2e8233
* Thu Jan 14 2016 jslaby@suse.cz
- Refresh patches.suse/kgr-0100-kabi-add-reserved-fields.patch.
- Refresh
  patches.suse/kgr-0107-reserve-a-place-in-thread_struct-for-storing-RIP.patch.
- Delete
  patches.suse/kgr-0001-ftrace-Add-function-to-find-fentry-of-function.patch.
- Delete
  patches.suse/kgr-0002-ftrace-Make-ftrace_is_dead-available-globally.patch.
- Delete patches.suse/kgr-0003-kgr-initial-code.patch.
- Delete patches.suse/kgr-0004-kgr-add-testing-kgraft-patch.patch.
- Delete
  patches.suse/kgr-0005-kgr-update-Kconfig-documentation.patch.
- Delete patches.suse/kgr-0006-kgr-add-Documentation.patch.
- Delete
  patches.suse/kgr-0007-kgr-trigger-the-first-check-earlier.patch.
- Delete
  patches.suse/kgr-0008-kgr-sched.h-introduce-kgr_task_safe-helper.patch.
- Delete
  patches.suse/kgr-0009-kgr-mark-task_safe-in-some-kthreads.patch.
- Delete patches.suse/kgr-0010-kgr-kthreads-support.patch.
- Delete patches.suse/kgr-0011-kgr-handle-irqs.patch.
- Delete patches.suse/kgr-0012-kgr-add-MAINTAINERS-entry.patch.
- Delete
  patches.suse/kgr-0013-kgr-x86-refuse-to-build-without-fentry-support.patch.
- Delete
  patches.suse/kgr-0014-kgr-add-procfs-interface-for-per-process-kgr_in_prog.patch.
- Delete
  patches.suse/kgr-0015-kgr-make-a-per-process-in-progress-flag-a-single-bit.patch.
- Delete
  patches.suse/kgr-0016-kgr-add-support-for-missing-functions.patch.
- Delete
  patches.suse/kgr-0017-kgr-exercise-non-present-function.patch.
- Delete
  patches.suse/kgr-0018-kgr-fix-race-of-stub-and-patching.patch.
- Delete
  patches.suse/kgr-0019-kgr-expose-global-in_progress-state-through-sysfs.patch.
- Delete
  patches.suse/kgr-0020-kgr-rephrase-the-kGraft-failed-message.patch.
- Delete
  patches.suse/kgr-0022-kgr-add-state-machine-to-a-patch.patch.
- Delete
  patches.suse/kgr-0023-kgr-make-ftrace-ops-initialization-simpler.patch.
- Delete
  patches.suse/kgr-0024-kgr-move-the-logic-to-kgr_patch_code-s-switch.patch.
- Delete
  patches.suse/kgr-0025-kgr-add-patch-information-into-sysfs.patch.
- Delete
  patches.suse/kgr-0026-kgr-support-revert-of-patches.patch.
- Delete patches.suse/kgr-0028-s390-kgr-add-support.patch.
- Delete
  patches.suse/kgr-0029-kgr-allow-stacking-of-patches.patch.
- Delete
  patches.suse/kgr-0030-kgr-avoid-potential-races-in-kgr_finalize.patch.
- Delete
  patches.suse/kgr-0031-kgr-try-to-apply-skipped-patches-when-a-module-is-lo.patch.
- Delete
  patches.suse/kgr-0032-kgr-handle-patched-modules-that-are-being-removed.patch.
- Delete
  patches.suse/kgr-0033-kgr-handle-module-load-and-removal-for-non-finished-.patch.
- Delete
  patches.suse/kgr-0034-kgr-remove-patch-from-global-list-when-being-removed.patch.
- Delete
  patches.suse/kgr-0035-kgr-fix-patch-stacking-also-when-loading-module.patch.
- Delete
  patches.suse/kgr-0036-kgr-confusion-with-fatal-state.patch.
- Delete patches.suse/kgr-0037-kgr-allow-replace_all.patch.
- Delete
  patches.suse/kgr-0038-kgr-make-it-possible-to-avoid-lazy-switching.patch.
- Delete patches.suse/kgr-0039-kgr-fix-ugly-race.patch.
- Delete
  patches.suse/kgr-0040-kgr-usb-storage-mark-kthread-safe.patch.
- Delete
  patches.suse/kgr-0041-kgr-clean-up-reference-handling-when-a-patch-replace.patch.
- Delete
  patches.suse/kgr-0042-kgr-correctly-remove-replaced-patch-when-using-fast-.patch.
- Delete
  patches.suse/kgr-0043-kgr-do-not-allow-double-revert.patch.
- Delete
  patches.suse/kgr-0044-kgr-force-patching-process-to-succeed.patch.
- Delete
  patches.suse/kgr-0045-kgr-always-use-locked-bit-ops-for-thread_info-flags.patch.
- Delete
  patches.suse/kgr-0046-kgr-lower-the-workqueue-scheduling-timeout.patch.
- Delete
  patches.suse/kgr-0047-kgr-prevent-recursive-loops-of-stubs-in-ftrace.patch.
- Delete patches.suse/kgr-0048-kgr-mark-even-more-kthreads.patch.
- Delete
  patches.suse/kgr-0049-kgr-allow-to-search-various-types-of-struct-kgr_patc.patch.
- Delete
  patches.suse/kgr-0050-kgr-be-consistent-when-applying-patches-on-loaded-mo.patch.
- Delete
  patches.suse/kgr-0051-kgr-unregister-only-the-used-ftrace-ops-when-removin.patch.
- Delete patches.suse/kgr-0052-kgr-fix-replace_all.patch.
- Delete
  patches.suse/kgr-0053-kgr-fix-typo-in-error-message.patch.
- Delete
  patches.suse/kgr-0054-kgr-set-revert-slow-state-for-all-reverted-symbols-w.patch.
- Delete
  patches.suse/kgr-0055-kgr-handle-IRQ-context-using-global-variable.patch.
- Delete
  patches.suse/kgr-0064-kgr-x86-make-build-possible-on-x86_64-only.patch.
- Delete
  patches.suse/kgr-0065-kgr-take-switching-of-the-fops-out-of-kgr_patch_code.patch.
- Delete
  patches.suse/kgr-0066-kgr-correct-error-handling-of-the-first-patching-sta.patch.
- Delete
  patches.suse/kgr-0067-kgr-handle-the-failure-of-finalization-stage.patch.
- Delete
  patches.suse/kgr-0068-kgr-handle-the-delayed-patching-of-the-modules.patch.
- Delete
  patches.suse/kgr-0069-kgr-return-error-in-kgr_init-if-notifier-registratio.patch.
- Delete
  patches.suse/kgr-0070-kgr-add-error-code-to-the-message-in-kgr_revert_repl.patch.
- Delete
  patches.suse/kgr-0071-s390-kgr-change-the-kgraft-state-only-if-enabled.patch.
- Delete
  patches.suse/kgr-0072-kgr-use-for_each_process_thread.patch.
- Delete
  patches.suse/kgr-0073-kgr-use-kgr_in_progress-for-all-threads.patch.
- Delete
  patches.suse/kgr-0074-x86-kgr-move-kgr-infrastructure-from-asm-to-C.patch.
- Delete
  patches.suse/kgr-0075-s390-kgr-reorganize-kgr-infrastructure-in-entry64.S.patch.
- Delete
  patches.suse/kgr-0076-kgr-move-kgr_task_in_progress-to-sched.h.patch.
- Delete
  patches.suse/kgr-0077-kgr-send-a-fake-signal-to-all-blocking-tasks.patch.
- Delete patches.suse/kgr-0078-kgr-remove-immediate-feature.patch.
- Delete
  patches.suse/kgr-0079-kgr-fix-migration-of-kthreads-to-the-new-universe.patch.
- Delete
  patches.suse/kgr-0080-kgr-wake-up-kthreads-periodically.patch.
- Delete patches.suse/kgr-0101-handle-btrfs-kthreads.patch.
- Delete
  patches.suse/kgr-0103-add-kgraft-annotations-to-kthreads-wait_event_freezable.patch.
- Delete
  patches.suse/kgr-0106-add-kgraft-annotation-to-hwrng-kthread.patch.
- s390: livepatch, reorganize TIF bits (fate#313296).
- livepatch: add kgr infrastructure (fate#313296).
- livepatch: kgr, kgr_in_progress for all threads (fate#313296).
- ftrace: Make ftrace_is_dead available globally (fate#313296).
- kgr: initial code (fate#313296).
- kgr: add testing kgraft patch (fate#313296).
- kgr: add Documentation (fate#313296).
- kgr: mark task_safe in some kthreads (fate#313296).
- kgr: kthreads support (fate#313296).
- kgr: handle irqs (fate#313296).
- kgr: allow stacking of patches (fate#313296).
- kgr: handle patched modules that are being removed
  (fate#313296).
- kgr: try to apply skipped patches when a module is loaded
  (fate#313296).
- kgr: allow for forced module load (fate#313296).
- kgr: allow replace_all (fate#313296).
- kgr: support for forcing success of patching process
  (fate#313296).
- kgr: correct error handling of the first patching stage
  (fate#313296).
- kgr: send a fake signal to all blocking tasks (fate#313296).
- Refresh patches.suse/printk-mark_kgr_task_safe.patch.
- Update config files. (Enable KGRAFT)
  Version based on v4.4.
- commit e1bd614
* Thu Jan 14 2016 mhocko@suse.cz
- Delete patches.suse/deprecate-file_remap_pages.patch.
  remap_file_pages is gone since c8d78c1823f4 ("mm: replace
  remap_file_pages() syscall with emulation") aka 4.0 so there is no
  need to play kabi games anymore.
- commit c31c63c
* Thu Jan 14 2016 mhocko@suse.cz
- Refresh
  patches.suse/memcg-deprecate-memory.force_empty-knob.patch.
- commit 15a20f9
* Thu Jan 14 2016 mhocko@suse.cz
- Delete patches.fixes/cgroup-revert-cgroup_mutext-removal.patch.
  the fix was only needed for 3.12 based kernel as explained in the
  patch description
- commit 23b08f6
* Thu Jan 14 2016 mmarek@suse.com
- Disable module signing until pesign-obs-integration is updated (fate#319460)
- commit 53f5f59
* Thu Jan 14 2016 mhocko@suse.cz
- mm: memcg: introduce low_limit_in_bytes knob (fate#312101).
- Delete patches.suse/memcg-high-limit-place-holder.patch.
- Delete patches.suse/memcg-introduce-low-limit.patch.
- commit f63f724
* Thu Jan 14 2016 mgorman@suse.com
- Delete patches.suse/paravirt-Split-paravirt-MMU-ops.patch.
- commit d1240da
* Thu Jan 14 2016 dvaleev@suse.com
- Delete upstreamed patches
  patches.arch/0006-crypto-nx-remove-__init-__exit-from-VIO-functions.patch.
- Delete
  patches.arch/0007-crypto-nx-remove-pSeries-NX-status-field.patch.
- Delete
  patches.arch/0008-crypto-nx-move-kzalloc-out-of-spinlock.patch.
- Delete
  patches.arch/0009-crypto-nx-don-t-register-pSeries-driver-if-ENODEV.patch.
- Delete
  patches.arch/0010-crypto-nx-use-common-code-for-both-NX-decompress-suc.patch.
- Delete
  patches.arch/0011-crypto-nx-merge-nx-compress-and-nx-compress-crypto.patch.
- Delete
  patches.arch/0012-crypto-nx-rename-nx-842-crypto.c-to-nx-842.c.patch.
- Delete
  patches.arch/0013-crypto-nx-make-platform-drivers-directly-register-wi.patch.
- commit d748433
* Thu Jan 14 2016 jroedel@suse.de
- Delete
  patches.suse/pm-hibernate-Use-put_page-to-free-ring-buffer-pages.patch.
- Delete
  patches.suse/pm-hibernate-use-put_page-in-free_image_page.patch.
- Delete
  patches.suse/pm-hibernate-use-put_page-in-release_swap_writer.patch.
  Not needed anymore after removal of the PG_waiters patch.
- commit 3a0c308
* Thu Jan 14 2016 tiwai@suse.de
- Update supported.conf: support sound/hda/* generically
- commit 44790a4
* Thu Jan 14 2016 tiwai@suse.de
- Refresh patches.drivers/drm-mgag200-Implement-basic-PM-support.
  The patch hasn't been merged to upstream, so refreshed for up-to-date
  4.4 tree for resubmission.
- commit b92d1e4
* Thu Jan 14 2016 mmarek@suse.com
- supported.conf: Add some new dependencies
- commit 46a3b12
* Thu Jan 14 2016 tiwai@suse.de
- drm/i915: shut up gen8+ SDE irq dmesg noise (boo#961887).
- commit e96cbf4
* Thu Jan 14 2016 mbrugger@suse.com
- Delete obsolete patches
- Delete
  patches.arch/arm64-gpex-0001-device-core-Introduce-per-device-MSI-domain-pointer.patch.
- Delete
  patches.arch/arm64-gpex-0002-PCI-MSI-add-hooks-to-populate-the-msi_domain-field.patch.
- Delete
  patches.arch/arm64-gpex-0003-PCI-MSI-of-add-support-for-OF-provided-msi_domain.patch.
- Delete
  patches.arch/arm64-gpex-0004-PCI-MSI-Let-pci_msi_get_domain-use-struct-device-s-m.patch.
- Delete
  patches.arch/arm64-gpex-0005-irqchip-GICv2m-Get-rid-of-struct-msi_controller.patch.
- Delete
  patches.arch/arm64-gpex-0006-irqchip-gicv3-its-Get-rid-of-struct-msi_controller.patch.
- Delete
  patches.arch/arm64-gpex-0007-PCI-MSI-Drop-domain-field-from-msi_controller.patch.
- Delete
  patches.arch/arm64-gpex-0008-PCI-MSI-of-Allow-msi_domain-lookup-using-the-PHB-nod.patch.
- commit 370a5bb
* Thu Jan 14 2016 dchang@suse.com
- Delete
  patches.drivers/be2net-0010-be2net-Removed-unecessary-log-for-uknown-grp5-event.patch.
- commit aae1307
* Thu Jan 14 2016 duwe@suse.de
- Delete patches.suse/s390-hwrng-enable -- included since mainline-4.2.
- commit 27f26d1
* Thu Jan 14 2016 mmarek@suse.com
- series.conf: Remove bogus guards
- commit 2b6fbbb
* Thu Jan 14 2016 tiwai@suse.de
- Delete obsoleted patches
  These are specific to SLE12-SP0/SP1, no need for 4.4
  patches.drivers/drm-i915-Fix-missing-backlight-update-during-disable
  patches.drivers/hda-0053-Remove-I915-driver-caps-for-SKL-BSA
  patches.suse/acpi-blacklist-win8-HP-ProBook-2012-models
- commit 0fdb63c
* Wed Jan 13 2016 fdmanana@suse.com
- Delete
  patches.suse/btrfs-8224-don-t-initialize-a-space-info-as-full-to-preve.patch.
  The patch landed in upstream kernel 4.3-rc3.
- commit 7d04fc3
* Wed Jan 13 2016 mmarek@suse.cz
- Unset CONFIG_MODULE_SIG_KEY, we sign the modules after the build
- commit 96412d3
* Wed Jan 13 2016 mmarek@suse.cz
- Refresh
  patches.suse/0003-kabi-Add-placeholders-to-a-couple-of-important-struc.patch.
- commit ddb17c4
* Wed Jan 13 2016 jeffm@suse.com
- Update patches.suse/squashfs-3.4.patch to use 4.4 API.
- commit cf739b5
* Wed Jan 13 2016 jeffm@suse.com
- Delete patches.fixes/nouveau-fix-race-with-fence-signaling.
  This patch was obsoleted by protecting ->channel with RCU.
- commit a704b3b
* Wed Jan 13 2016 mgorman@suse.com
- series.conf: Update guards for mgorman
- commit 9b56050
* Wed Jan 13 2016 jeffm@suse.com
- Delete
  patches.drivers/bnx2fc-Do-not-log-for-netevents-that-need-no-action.patch.
  This patch was accepted upstream in v4.4-rc1.
- commit ad4b2fd
* Wed Jan 13 2016 jeffm@suse.com
- Delete patches.fixes/dm-release-map_lock-before-set_disk_ro.
  The drivers/md/dm.c:__bind has changes significantly and this patch
  is no longer relevant.
- commit 75554c0
* Wed Jan 13 2016 duwe@suse.de
- Refresh patches.suse/s390-hwrng-enable -- add commit ID.
- commit 4c07400
* Wed Jan 13 2016 mmarek@suse.com
- Fully sync ppc64le netfilter modules with x86_64 (bsc#951546, 953338).
- commit 620365e
* Wed Jan 13 2016 dmueller@suse.com
- Merge configs with SLE12-SP1-ARM
- commit f653929
* Tue Jan 12 2016 mgorman@suse.com
- Delete
  patches.fixes/cpufreq_ondemand_performance_optimise_default_settings.patch.
  patches.fixes/mm-Fix-assertion-mapping-nrpages-0-in-end_writeback.patch.
  patches.suse/mm-Defer-flush-of-writable-TLB-entries.patch.
  patches.suse/mm-Handle-possibility-of-preemption-in-spin_trylock_page-and-cancel.patch.
  patches.suse/mm-Send-one-IPI-per-CPU-to-TLB-flush-all-entries-after-unmapping-pages.patch.
  patches.suse/mm-convert-p-te-md-_mknonnuma-and-remaining-page-table-manipulations-ppc64le.patch.
  patches.suse/mm-convert-the-rest-to-new-page-table-lock-api-suse.patch.
  patches.suse/mm-filemap-Avoid-unnecessary-barriers-and-waitqueue-lookups-fix.patch.
  patches.suse/mm-filemap-Avoid-unnecessary-barriers-and-waitqueue-lookups-in-unlock_page-fastpath.patch.
  patches.suse/mm-filemap-Optimise-__lock_page_or_retry-by-emulating-an-adaptive-sleeping-spinlock.patch.
  patches.suse/mm-filemap-Optimise-__lock_pages-by-emulating-an-adaptive-sleeping-spinlock.patch.
  patches.suse/mm-fix-huge-zero-page-accounting-in-smaps-report-s390.patch.
  patches.suse/mm-numa-avoid-unnecessary-disruption-of-NUMA-hinting-during-migration-pmd-locking.patch.
  patches.suse/mm-numa-serialise-parallel-get_user_page-against-THP-migration-pmd-locking.patch.
  patches.suse/mm-remove-PG_waiters-from-PAGE_FLAGS_CHECK_AT_FREE.patch.
  patches.suse/mm-use-cpu_chill-in-spin_trylock_page-and-cancel-RT-Only.patch.
  patches.suse/readahead-request-tunables.patch.
  patches.suse/x86-mm-Trace-when-an-IPI-is-about-to-be-sent.patch.
- commit 723375b
* Tue Jan 12 2016 mgorman@suse.com
- series.conf: Add section for performance patches planned for 4.4-stable
- commit 99ef40f
* Tue Jan 12 2016 mmarek@suse.com
- rpm/config.sh: Build the KOTD against SLE12-SP2 (SP1 in the OBS)
- commit d14f326
* Tue Jan 12 2016 mmarek@suse.com
- Merge SLE12-SP1 supported.conf
- commit 373a343
* Tue Jan 12 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Fix build if no UEFI certs are installed
- commit ef1b7d3
* Tue Jan 12 2016 mmarek@suse.com
- Add the SLES UEFI signing certificate
- commit 90b1afc
* Tue Jan 12 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Install libopenssl-devel for newer sign-file
- commit fbdf0b8
* Tue Jan 12 2016 mmarek@suse.com
- Merge SLE12-SP1 config files.
- commit f3da9de
* Tue Jan 12 2016 mmarek@suse.com
- Import non-mainline patches from SLE12-SP1
  Most of them are guarded with +needs_review
- commit e84073f
* Mon Jan 11 2016 mmarek@suse.cz
- Update config files: Drop non-SLE archs and enable SUSE_KERNEL_SUPPORTED
- Start the SLE12-SP2 branch
- commit c80ffb0
* Mon Jan 11 2016 mmarek@suse.cz
- series.conf: Whitespace cleanup
- commit 4a33d40
* Mon Jan 11 2016 mmarek@suse.cz
- rpm/constraints.in: Bump disk space requirements up a bit
  Require 10GB on s390x, 20GB elsewhere.
- commit 558b7b3
* Mon Jan 11 2016 jeffm@suse.com
- Update to 4.4-final.
- commit f1e5f1f
* Fri Jan  8 2016 fdmanana@suse.com
- Btrfs: fix fitrim discarding device area reserved for boot
  loader's use (bsc#960910).
- commit 238d0b8
* Fri Jan  8 2016 jbeulich@suse.com
- Refresh patches.suse/supported-flag (fix modpost command line
  option spec).
- commit 2566c29
* Thu Jan  7 2016 tiwai@suse.de
- ethernet/atheros/alx: sanitize buffer sizing and padding
  (boo#952621).
- commit f8f6570
* Mon Jan  4 2016 jeffm@suse.com
- Update to 4.4-rc8.
- commit e628e30
* Mon Jan  4 2016 dvaleev@suse.com
- Driver for IBM System i/p VNIC protocol.
- Update config files CONFIG_VNIC=m
- commit 85261f3
* Fri Jan  1 2016 afaerber@suse.de
- config: armv7hl: Enable more RK3288 options for lpae
  Namely MMC and IO domains, already enabled for default/vanilla.
- commit 49467f0
* Mon Dec 28 2015 jeffm@suse.com
- Update to 4.4-rc7.
- commit 276c9f4
* Tue Dec 22 2015 jeffm@suse.com
- Update to 4.4-rc6.
- commit f4ac202
* Tue Dec 15 2015 mmarek@suse.com
- rpm/compute-PATCHVERSION.sh: Skip stale directories in the package dir
- commit 014bd26
* Tue Dec 15 2015 jeffm@suse.com
- Update to 4.4-rc5.
- commit da8b87d
* Sun Dec 13 2015 afaerber@suse.de
- config: armv7hl: Enable ACT8865 for lpae, too
  It is needed for the Firefly-RK3288 board.
- commit a961582
* Mon Dec  7 2015 jeffm@suse.com
- Update to 4.4-rc4.
- Eliminated 5 patches.
- commit 923c13b
* Mon Dec  7 2015 jslaby@suse.cz
- Refresh patches.suse/stack-unwind.
- Fix these warnings (since 4.4 as of 0ab32b6f1):
  kernel/unwind.c:672: warning: passing argument 2 of ‘probe_kernel_read’ makes pointer from integer without a cast
- commit 6bcd0e3
* Sun Dec  6 2015 jslaby@suse.cz
- Refresh patches.suse/stack-unwind.
  Add missing put_cpu() in case dwarf unwinder succeeds (bnc#943107)
- commit 68ab1c1
* Tue Dec  1 2015 mbrugger@suse.com
- Delete
  patches.arch/arm64-gpex-0009-pci-Enable-pci-host-generic-support-for-ARM64.patch.
- commit 7985c89
* Tue Dec  1 2015 mbrugger@suse.com
- Delete
  patches.arch/arm64-0005-arm64-dts-Add-X-Gene-reboot-driver-dts-node.patch.
- commit 435b78e
* Mon Nov 30 2015 jeffm@suse.com
- config: sync SWIOTLB config change to ppc/vanilla
- commit 3d7391b
* Mon Nov 30 2015 duwe@suse.de
- On ppc, SWIOTLB is just an alias for DMA bounce buffers
  (see Kconfig help:
  "Support for IO bounce buffering for systems without an IOMMU..." )
  The systems we support all have proper IOMMUs and thus don't need
  it.
- commit d43936a
* Mon Nov 30 2015 jeffm@suse.com
- Update to 4.4-rc3.
- Eliminated 2 patches.
- commit 916e346
* Mon Nov 30 2015 dvaleev@suse.com
- Add RHEL to kernel-obs-build
- commit a010d5e
* Mon Nov 30 2015 mmarek@suse.com
- Enable Xen in x86 vanilla configs
  Align the vanilla configs with i386/pae and x86_64/default,
  respectively.
- commit defd50c
* Mon Nov 30 2015 mmarek@suse.com
- Enable pae in i386/vanilla
  We use kernel-pae in majority of 32bit installs, so it makes sense to
  sync i386/vanilla with this flavor.
- commit 3557f7c
* Mon Nov 30 2015 mmarek@suse.com
- Drop SUSE_KERNEL and SPLIT_PACKAGE patches from vanilla (bsc#957159)
- commit fa79c63
* Fri Nov 27 2015 tiwai@suse.de
- drm/i915: Don't override output type for DDI HDMI (boo#955190).
- drm/i915: Don't compare has_drrs strictly in pipe config
  (bsc#956397).
- commit 7c0fedd
* Thu Nov 26 2015 mkubecek@suse.cz
- Delete patches.fixes/bridge-module-get-put.patch.
  As discussed in
  http://lists.opensuse.org/opensuse-kernel/2015-11/msg00046.html
- commit 856bef8
* Mon Nov 23 2015 jeffm@suse.com
- config: refresh ARM configs for 4.4-rc2.
- commit 7eabae5
* Mon Nov 23 2015 jeffm@suse.com
- Update to 4.4-rc2.
- Eliminated 1 patch.
- commit dea70ff
* Sun Nov 22 2015 afaerber@suse.de
- config: arm64: Update configs for 4.4-rc1
  Align vanilla and default while at it.
- commit f5e67d3
* Sun Nov 22 2015 afaerber@suse.de
- config: armv6hl: Update configs for 4.4-rc1
  Align vanilla and default while at it.
- commit 11c6acd
* Sun Nov 22 2015 afaerber@suse.de
- config: armv7hl: Update configs for 4.4-rc1
  Disable FW_LOADER_USER_HELPER_FALLBACK for vanilla (boo#944661, boo#951260).
- commit d412cf8
* Thu Nov 19 2015 jeffm@suse.com
- serial: export fsl8250_handle_irq.
- commit 42fd13e
* Thu Nov 19 2015 mmarek@suse.com
- xen/events: Always allocate legacy interrupts on PV guests.
- commit b63d753
* Thu Nov 19 2015 tiwai@suse.de
- ethernet/atheros/alx: add Killer E2400 device ID (boo#955363).
- commit aa7197b
* Thu Nov 19 2015 mmarek@suse.cz
- staging: lustre: remove IOC_LIBCFS_PING_TEST ioctl.
- commit 6772624
* Wed Nov 18 2015 mmarek@suse.cz
- XEN: Use the PVOPS kernel (fate#315712)
  Merge the -pv configs into -default (-pae on i386) and -debug and drop
  the -xen flavor and the associated patches.xen series. For a
  transitional period, the -xen flavor will be maintained in a separate
  branch as a reference.
- commit c9b372d
* Wed Nov 18 2015 mmarek@suse.cz
- Refresh config files.
- commit f8f53b4
* Wed Nov 18 2015 jeffm@suse.com
- btrfs: qgroup: fix quota disable during rescan.
- commit 85158a1
* Mon Nov 16 2015 jeffm@suse.com
- Update to 4.4-rc1.
- Xen is disabled.
- ARM configs need updating.
- 7 patches eliminated.
- Config changes:
  - Networking:
  - NETFILTER_NETLINK_GLUE_CT=y
  - renamed from NETFILTER_NETLINK_QUEUE_CT
  - IEEE802154_NL802154_EXPERIMENTAL=n
  - still in development, assumed the option
    will be renamed when it's finalized
  - NET_L3_MASTER_DEV=y (library, no code execution by itself)
  - NFC_FDP=m
  - NFC_FDP_I2C=m
  - NFC_MRVL_I2C=m
  - BNXT=m
  - BNXT_SRIOV=y
  - MLXSW_SPECTRUM=m
  - QED=m
  - QEDE=m
  - RTL8XXXU=m
  - RTL8XXXU_UNTESTED=y
  - WILC1000_DRIVER=n (no module option)
  - Storage:
  - NVM=y
  - NVM_DEBUG=n
  - NVM_GENNVM=m
  - NVM_RRPC=m
  - Input/Serial:
  - TOUCHSCREEN_FT6236=m
  - TOUCHSCREEN_TSC2004=m
  - TOUCHSCREEN_ROHM_BU21023=m
  - INPUT_DA9063_ONKEY=m
  - USERIO=m
  - SERIAL_8250_RT288X=y
  - SERIAL_8250_MID=m
  - HID_CORSAIR=m
  - HID_GFRM=m
  - Misc:
  - PINCTRL_BROXTON=n
  - GPIO_AMDPT=m
  - GPIO_104_IDIO_16=m
  - GPIO_IT87=m
  - BATTERY_BQ27XXX=m
  - BATTERY_BQ27XXX_I2C=y
  - BATTERY_BQ27XXX_PLATFORM=y
  - Video:
  - VIDEO_VIVID_MAX_DEVS=64 (default)
  - FB_IBM_GXT4500=m
  - Audio:
  - SND_PCM_TIMER=y
  - SND_FIREWIRE_DIGI00X=m
  - SND_FIREWIRE_TASCAM=m
  - Sensors:
  - MXC4005=m
  - HI8435=m
  - VZ89X=m
  - HDC100X=m
  - HTU21=m
  - APDS9960=m
  - US5182D=m
  - MCP4531=m
  - MS5637=m
  - LIDAR_LITE_V2=m
  - TSYS01=m
  - TSYS02D=m
  - SENSORS_MAX31790=m
  - Misc:
  - FPGA=m
  - FPGA_MGR_ZYNQ_FPGA=n
  - UBIFS_ATIME_SUPPORT=y
  - VFIO_NOIOMMU=n
  - COMMON_CLK_SI514=m
  - RTC_DRV_RV8803=m
  - Tracing:
  - STM=m
  - STM_DUMMY=m
  - STM_SOURCE_CONSOLE=m
  - TRACING_EVENTS_GPIO=y
  - Debugging:
  - TEST_PRINTF=n
  - SECTION_MISMATCH_WARN_ONLY=y (current behavior)
  - ACPI_DEBUGGER=n
  - EFI:
  - EFI_FAKE_MEMMAP=n
  - EFI_PGT_DUMP=n
  - DEBUG_WX=y
  - Crypto:
  - CRYPTO_KEYWRAP=m
  - PWM_PCA9685=m
  - x86:
  - MIC_COSM=m
  - UNISYS_VISORINPUT=m
  - UNISYS_VISORHBA=m
  - LEGACY_VSYSCALL_EMULATE=emulate
  - INTEL_TH=m
  - INTEL_TH_PCI=m
  - INTEL_TH_GTH=m
  - INTEL_TH_STH=m
  - INTEL_TH_MSU=m
  - INTEL_TH_PTI=m
  - INTEL_TH_DEBUG=n
  - INTEL_IOMMU_SVM=y
  - INTEL_IDMA64=m
  - TOSHIBA_WMI=m
  - ARM:
  - AHCI_QORIQ=n
  - BCM7038_WDT=n
  - SSB_HOST_SOC=n
  - MFD_ATMEL_FLEXCOM=n
- commit ac3c385
* Sun Nov 15 2015 jslaby@suse.cz
- Update config files.
  Enable CRASHER on s390x to be the same as in all other configs.
- commit 71162f2
* Sun Nov 15 2015 jslaby@suse.cz
- Rename patches.suse/crasher-26.diff to patches.suse/crasher.patch
  It is no longer anything for 2.6 :).
- commit d407cb2
* Sun Nov 15 2015 jslaby@suse.cz
- Refresh patches.suse/crasher.patch
  See the patch to see what the update consists of.
- commit 57989db
* Thu Nov 12 2015 tiwai@suse.de
- Clear CONFIG_FW_LOADER_USER_HELPER_FALLBACK in vanilla configs (boo#944661)
  armv7hl/vanilla still contains it because of boo#951260
- commit 18c4504
* Wed Nov 11 2015 dvaleev@suse.com
- Update config files (bsc#951533).
  Set CONFIG_SPARSEMEM_VMEMMAP=y for Power
- commit fd42e9a
* Wed Nov 11 2015 tiwai@suse.de
- Refresh tags in patches.drivers/ALSA-hda-Disable-64bit-address-for-Creative-HDA-cont.
- commit 9005e93
* Wed Nov 11 2015 tiwai@suse.de
- ALSA: hda - Fix lost 4k BDL boundary workaround (bnc#814440).
- commit 05bd5d3
* Tue Nov 10 2015 jbeulich@suse.com
- Refresh Xen patches:
  - Several fixes for Dom0 use of PV flavor.
  - Interrupt setup fix for Xen flavor.
- supported.conf: blktap.ko is unsupported.
- commit 52f9791
* Fri Nov  6 2015 jeffm@suse.com
- patches.apparmor/apparmor-allow-sys_cap_resource-to-be-sufficient-to-prlimit-another-task: fix incomplete backport
- commit 1e85ded
* Fri Nov  6 2015 jeffm@suse.com
- apparmor: allow SYS_CAP_RESOURCE to be sufficient to prlimit
  another task (bsc#921949).
- commit d7c44a5
* Fri Nov  6 2015 tiwai@suse.de
- Input: elantech - add Fujitsu Lifebook U745 to force crc_enabled
  (boo#883192).
- commit 8e60887
* Tue Nov  3 2015 jbeulich@suse.com
- Update Xen patches to 4.3-final and c/s 1298.
- Update Xen config files.
- commit 2b74ad8
* Tue Nov  3 2015 schwab@suse.de
- group-source-files: mark module.lds as devel file
  ld: cannot open linker script file /usr/src/linux-4.2.5-1/arch/arm/kernel/module.lds: No such file or directory
- commit ec6d351
* Mon Nov  2 2015 jeffm@suse.com
- Update to 4.3-final.
  - 1 patch eliminated.
- commit e20b856
* Wed Oct 28 2015 jslaby@suse.cz
- rpm/kernel-binary.spec.in: really pass down %%{?_smp_mflags}
- commit 273a7fb
* Wed Oct 28 2015 tiwai@suse.de
- ALSA: hda - Disable 64bit address for Creative HDA controllers
  (bnc#814440).
- commit 1b5a73d
* Mon Oct 26 2015 mmarek@suse.com
- rpm/kernel-binary.spec.in: Use parallel make in all invocations
  Also, remove the lengthy comment, since we are using a standard rpm
  macro now.
- commit 4d6ba88
* Mon Oct 26 2015 mmarek@suse.com
- rpm/kernel-binary.spec.in: Delete one more DEBUG_SECTION_MISMATCH assignment
- commit fce45dc
* Mon Oct 26 2015 mmarek@suse.com
- rpm/kernel-binary.spec.in: Do not explicitly set DEBUG_SECTION_MISMATCH
  CONFIG_DEBUG_SECTION_MISMATCH is a selectable Kconfig option since
  2.6.39 and is enabled in our configs.
- commit 15aa4f8
* Sat Oct 24 2015 stefan.bruens@rwth-aachen.de
- config: arm: Enable ADS7846 touchscreen driver
  This SPI connected chip is common on RPi TFT displays.
- commit 71386ea
* Fri Oct 23 2015 tiwai@suse.de
- [media] media/vivid-osd: fix info leak in ioctl (CVE-2015-7884,
  bnc#951626).
- staging/dgnc: fix info leak in ioctl (CVE-2015-7885,
  boo#951627).
- commit f554650
* Thu Oct 22 2015 jbeulich@suse.com
- supported.conf: Add pv-ops Xen drivers, 8250-base, and xhci-pci.
- commit ff3f596
* Wed Oct 21 2015 guillaume.gardet@free.fr
- config: arm: Enable CONFIG_PPS_CLIENT_GPIO
  Set CONFIG_PPS_CLIENT_GPIO=m for all ARM configs to be able to use GPS
  with PPS line connected to a GPIO, as a high-precision time reference.
- commit f01eb6a
* Tue Oct 20 2015 tiwai@suse.de
- Disable leftover CONFIG_FW_LOADER_USER_HELPER_FALLBACK in armv7hl/* (boo#951260)
- commit 007f6ba
* Tue Oct 20 2015 tiwai@suse.de
- [media] c8sectpfe: Remove select on
  CONFIG_FW_LOADER_USER_HELPER_FALLBACK (boo#951260).
- drm/sti: Remove select of CONFIG_FW_LOADER_USER_HELPER_FALLBACK
  (boo#951260).
- commit 23d5c78
* Tue Oct 20 2015 tiwai@suse.de
- Disable CONFIG_RT_GROUP_SCHED (boo#950955)
  Even people originally demanded suggest to drop it now...
- commit 58efde7
* Mon Oct 19 2015 jeffm@suse.com
- config: Re-enable DEBUG_INFO on ec2 flavors.
  It was disabled in commit a104accda85, but is enabled explicitly in the
  spec file.  The options that depend on it must be in the config file for
  the build to succeed.
- commit 4415ce9
* Mon Oct 19 2015 jeffm@suse.com
- Update to 4.3-rc6.
- commit d6b2a93
* Fri Oct 16 2015 mmarek@suse.com
- Delete unused rpm/config-subst.
- commit 01841f4
* Fri Oct 16 2015 mmarek@suse.com
- rpm/kernel-source.rpmlintrc: Update the filters
- commit e26b4cc
* Fri Oct 16 2015 mmarek@suse.com
- rpm/kernel-binary.spec.in: Use upstream script to support config.addon
- commit e8739f8
* Fri Oct 16 2015 mmarek@suse.com
- rpm/kernel-binary.spec.in: Drop the %%build_src_dir macro
  It is the parent directory of the O= directory.
- commit 2ed0dbe
* Thu Oct 15 2015 tiwai@suse.de
- rtlwifi: rtl8821ae: Fix system lockups on boot (boo#944978).
- commit 1d81133
* Thu Oct 15 2015 jbeulich@suse.com
- Update Xen patches to 4.3-rc5 and c/s 1293.
- netback: coalesce (guest) RX SKBs as needed (bsc#919154).
- config.conf: Re-enable Xen and PV configs.
- Update config files.
- commit a104acc
* Wed Oct 14 2015 matwey.kornilov@gmail.com
- config: armv7hl: Enable new OMAP serial driver
- commit 54af7c7
* Mon Oct 12 2015 jeffm@suse.com
- Update to 4.3-rc5.
- commit 36c0ed4
* Mon Oct 12 2015 mmarek@suse.com
- rpm/kernel-obs-build.spec.in: Add virtio_rng to the initrd
  This allows to feed some randomness to the OBS workers.
- commit fbb0589
* Mon Oct  5 2015 dmueller@suse.com
- Update config files.
  Disable CONFIG_LEDS_BCM6328 and CONFIG_LEDS_BCM6358, as those
  are MIPS and unlikely to exist on an ARM board.
- commit efc53bd
* Mon Oct  5 2015 jeffm@suse.com
- Update to 4.3-rc4.
- commit 48d7e75
* Sun Oct  4 2015 matwey.kornilov@gmail.com
- config: armv7hl: Sync vanilla with default
  Let vanilla follow changes made in default.
- commit 00ad273
* Sun Oct  4 2015 afaerber@suse.de
- config: armv7hl: Disable all msm8916/apq8016 options
  They are arm64 SoCs, so not needed for armv7hl.
- commit b333226
* Sun Oct  4 2015 matwey.kornilov@gmail.com
- config: armv7hl: Enable preemption
  This patch is to follow 1fcdac3f3d277ffea3462af635a3dea6b854a09a.
  [AF/MK: Enable preemption for vanilla config as well]
- commit d795f96
* Sat Oct  3 2015 afaerber@suse.de
- config: armv7hl: Enable missing STMMAC Ethernet options
  This attempts to fix regressions from 4.1 like built-in Ethernet on
  Cubietruck not working.
- commit 6860845
* Fri Oct  2 2015 mmarek@suse.com
- Obsolete kernel-desktop also in Tumbleweed
- commit 7a85c9f
* Fri Oct  2 2015 tiwai@suse.de
- apparmor: temporary work around for bug while unloading policy
  (boo#941867).
- commit fee03a3
* Wed Sep 30 2015 jlee@suse.com
- Update config files. (bsc#947816)
  Put # CONFIG_KEXEC_VERIFY_SIG is not set (bsc#947816)
- commit ab4942d
* Wed Sep 30 2015 jeffm@suse.com
- Update to 4.3-rc3.
- Eliminated 1 patch.
- commit 66bc908
* Fri Sep 25 2015 mmarek@suse.cz
- Delete patches.suse/kconfig-automate-kernel-desktop.
  No longer needed.
- commit 74bcdcc
* Fri Sep 25 2015 mmarek@suse.cz
- Merge kernel-desktop back into kernel-default/kernel-pae (fate#319416)
- commit 1fcdac3
* Wed Sep 23 2015 dmueller@suse.com
- Backport of https://lkml.org/lkml/2015/9/11/507
  Fixes a build issue with aarch64, see
  http://www.spinics.net/lists/arm-kernel/msg446809.html.
- Update config files.
- commit 2947252
* Wed Sep 23 2015 dmueller@suse.com
- Delete
  patches.arch/arm64-0007-arm64-Do-not-call-enable-PCI-resources-when-specify-.patch.
- commit a608d6a
* Wed Sep 23 2015 jdelvare@suse.de
- Update x86 config files: CONFIG_SURFACE_PRO3_BUTTON=m
  This is an x86 driver, no reason to not enable it.
- commit c28e82c
* Wed Sep 23 2015 jeffm@suse.com
- config: re-enabled EXT4_USE_FOR_EXT2
- commit 681c071
* Tue Sep 22 2015 jslaby@suse.cz
- Update config files.
- Refresh patches.suse/stack-unwind.
  Reenable dwarf stack unwinder for C. Assembler is not dwarf-friendly
  annotated (removed in upstream and neither
  patches.arch/x86_64-unwind-annotations is enabled (yet)), so dwarf
  unwinder does not work there (yet).
  This should be fixed by Josh Poimbeouf's stacktool later. But until
  then, dwarf-unwind at least C and use frame pointers for asm.
  I.e. no more question marks for most cases:
  [<ffffffff81008415>] try_stack_unwind+0x175/0x190
  [<ffffffff81007293>] dump_trace+0x93/0x3a0
  [<ffffffff8100847b>] show_trace_log_lvl+0x4b/0x60
  [<ffffffff810076ac>] show_stack_log_lvl+0x10c/0x180
  [<ffffffff81008515>] show_stack+0x25/0x50
  [<ffffffff81364619>] dump_stack+0x4b/0x72
  [<ffffffffa01a302e>] init1+0xe/0x20 [aaa]
  [<ffffffff810002f3>] do_one_initcall+0xb3/0x200
  [<ffffffff8116e4da>] do_init_module+0x5f/0x1f6
  [<ffffffff810ee87e>] load_module+0x15fe/0x1b60
  [<ffffffff810eefe8>] SYSC_finit_module+0x98/0xc0
  [<ffffffff810ef02e>] SyS_finit_module+0xe/0x10
  [<ffffffff816b07b6>] entry_SYSCALL_64_fastpath+0x16/0x75
  DWARF2 unwinder stuck at entry_SYSCALL_64_fastpath+0x16/0x75
  Leftover inexact backtrace:
  <nothing>
  Instead of the funny:
  [<ffffffff81364619>] ? dump_stack+0x4b/0x72
  [<ffffffffa022a02e>] ? init1+0xe/0x20 [aaa]
  [<ffffffff810002f3>] ? do_one_initcall+0xb3/0x200
  [<ffffffff8116e4a2>] ? do_init_module+0x27/0x1f6
  [<ffffffff8116e4da>] ? do_init_module+0x5f/0x1f6
  [<ffffffff810ee87e>] ? load_module+0x15fe/0x1b60
  [<ffffffff810eaa40>] ? __symbol_put+0x50/0x50
  [<ffffffff811e9501>] ? kernel_read+0x41/0x60
  [<ffffffff810eefe8>] ? SYSC_finit_module+0x98/0xc0
  [<ffffffff810ef02e>] ? SyS_finit_module+0xe/0x10
  [<ffffffff816b07b6>] ? entry_SYSCALL_64_fastpath+0x16/0x75
  where __symbol_put and do_init_module+0x27 should not be there at all.
- commit 14d1f12
* Mon Sep 21 2015 jeffm@suse.com
- Update to 4.3-rc2.
- Eliminated 1 patch.
- Config changes:
  - ARM (32/64-bit)
  - STUB_CLK_HI6220=n
  - ARM64
  - ARM64_ERRATUM_843419=y
- commit 2b75354
* Sun Sep 20 2015 afaerber@suse.de
- config: armv6hl: Update for 4.3-rc1
- commit f41e9a5
* Sun Sep 20 2015 afaerber@suse.de
- config: arm64: Update for 4.3-rc1
- commit bd3ad83
* Fri Sep 18 2015 ddiss@suse.de
- config: disable CONFIG_TCM_RBD on ppc64le and s390x
- commit 11fc316
* Thu Sep 17 2015 jeffm@suse.com
- config: disable MTD_NAND_DENALI_PCI
- commit a9273ca
* Wed Sep 16 2015 matwey.kornilov@gmail.com
- config: armv7hl: Reenable for 4.3
  [AF: Keep STM32 serial disabled, sanitize STi, enable more Qualcomm,
    MediaTek and Renesas options, disable i.MX6 for lpae, switch
    MUSB to Dual Mode while at it, keep SUSE options out of vanilla]
- commit 17ed601
* Wed Sep 16 2015 jeffm@suse.com
- btrfs: provide super_operations->inode_get_dev (bsc#927455).
- vfs: add super_operations->get_inode_dev (bsc#927455).
- Delete patches.suse/btrfs-use-correct-device-for-maps.patch.
- commit 6c14ee2
* Wed Sep 16 2015 jeffm@suse.com
- btrfs: advertise which crc32c implementation is being used on
  mount (bsc#946057).
- commit 75a78f6
* Wed Sep 16 2015 jeffm@suse.com
- config: resync vanilla configs
- commit 8f87143
* Wed Sep 16 2015 jeffm@suse.com
- Update to 4.3-rc1.
- Eliminated 8 patches.
- Xen needs updating.
- ARM configs need updating.
- Config changes:
  - General options:
  - CGROUP_PIDS=y
  - USERFAULTFD=y
  - MEMBARRIER=y
  - EXT4_USE_FOR_EXT2=n
  - TEST_STATIC_KEYS=n
  - NVMEM=m
  - SCSI_DH=y
  - [debug] FAIL_FUTEX=y
  - IDLE_PAGE_TRACKING=n
  - SUSPEND_SKIP_SYNC=n
  - x86 options:
  - X86_LEGACY_VM86=n (dosemu vm86 support eliminaed, use a vm or emulation)
  - MODIFY_LDT_SYSCALL=y
  - CRYPTO_POLY1305_X86_64=m
  - CRYPTO_CHACHA20_X86_64=m
  - IDMA64=m
  - AMD_MCE_INJ=m
  - Networking:
  - IPV6_ILA=m
  - IP_VS_OVF=m
  - NFT_DUP_IPV4=m (go back and check)
  - NF_DUP_IPV4=m
  - NFT_DUP_IPV6=m
  - NF_DUP_IPV6=m
  - MPLS_IPTUNNEL=m
  - BT_HS=y
  - BT_HCIUART_QCA=y
  - NFC_ST_NCI_SPI=m
  - NFC_S3FWRN5_I2C=m
  - NET_VRF=m
  - BNX2X_VXLAN=y
  - MLXSW_CORE=m
  - MLXSW_PCI=m
  - MLXSW_SWITCHX2=m
  - NET_VENDOR_SYNOPSYS=y
  - SYNOPSYS_DWC_ETH_QOS=m
  - AQUANTIA_PHY=m
  - TERANETICS_PHY=m
  - MICROCHIP_PHY=m
  - USB_LAN78XX=m
  - FUJITSU_ES=m
  - INFINIBAND_HFI1=m
  - HFI1_DEBUG_SDMA_ORDER=n
  - HFI1_VERBS_31BIT_PSN=y
  - ESCAN_RXQ=n
  - Other:
  - MTD_NAND_DENALI_PCI=m (do we support moorestown?)
  - MTD_NAND_DENALI_DT=n
  - TOUCHSCREEN_IMX6UL_TSC=m
  - I2C_MUX_REG=m
  - SENSORS_MAX20751=m
  - INTEL_PCH_THERMAL=m
  - MFD_DA9062=m
  - MFD_INTEL_LPSS_ACPI=m
  - DVB_NETUP_UNIDVB=m
  - DVB_PLATFORM_DRIVERS=y
  - DRM_FBDEV_EMULATION=y
  - BACKLIGHT_PM8941_WLED=m
  - HID_GEMBIRD=m
  - STAGING_RDMA=y
  - RPR0521=m
  - CRYPTO_DEV_QAT_DH895xCCVF=m
  - DA9062_WATCHDOG=m
  - ARM:
  - MDIO_OCTEON=n
  - MOST=n
  - SURFACE_PRO3_BUTTON=n
  - USB_XHCI_PLATFORM=n
  - MMC_SDHCI_OF_AT91=n
  - RTC_DRV_DA9063=n
  - RTC_DRV_ZYNQMP=n
  - OPT3001=n
  - PA12203001=n
  - DRM_PANEL_SAMSUNG_LD9040=n
  - DRM_PANEL_LG_LG4573=n
  - DRM_PANEL_SAMSUNG_S6E8AA0=n
  - DRM_NXP_PTN3460=n
  - DRM_PARADE_PS8622=n
  - FB_SM712=n
  - SERIAL_UARTLITE=n
  - I2C_EMEV2=n
  - GPIO_ZX=n
  - ppc64:
  - CXLFLASH=m
  - LEDS_POWERNV=m
- commit 0d41d58
* Mon Sep 14 2015 jslaby@suse.cz
- Refresh
  patches.fixes/mmc-sdhci-fix-dma-memory-leak-in-sdhci_pre_req.patch.
  Fix upstream status.
- commit 9af8b5d
* Sun Sep 13 2015 dmueller@suse.com
- Update config files: ARM64: Raise CPUs to 128
  There are machines with more than 64 CPUs, allow them
  to be used. Update vanilla config from default.
- commit de7016d
* Fri Sep 11 2015 jslaby@suse.cz
- Update config files.
  Fix FW fixes fallout (bnc#944661).
- commit 6a28e38
* Thu Sep 10 2015 mmarek@suse.com
- rpm/kernel-spec-macros: Include the version string in the Obsoletes line
- commit 083cdb4
* Thu Sep 10 2015 mmarek@suse.com
- rpm/kernel-binary.spec.in: Obsolete previous builds of the same package (boo#867595)
- commit ffb73eb
* Wed Sep  9 2015 jdelvare@suse.de
- config/x86_64/ec2: Align CONFIG_STRICT_DEVMEM
  CONFIG_STRICT_DEVMEM is enabled in every other kernel flavor, so
  enable it for x86_64/ec2 as well.
- commit c156734
* Mon Sep  7 2015 tiwai@suse.de
- leds:lp55xx: Correct Kconfig dependency for f/w user helper
  (boo#944661).
- commit 589a02c
* Mon Sep  7 2015 tiwai@suse.de
- Disable CONFIG_FW_LOADER_USER_HELPER_FALLBACK that was reenabled unexpectedly (boo#944661)
- commit 14a23c3
* Mon Sep  7 2015 tiwai@suse.de
- Update config files: enable leftover CONFIG_FB_TFT_HX8357D=m for arm
- commit cae15fc
* Mon Sep  7 2015 tiwai@suse.de
- drm/vmwgfx: Allow dropped masters render-node like access on
  legacy nodes v2 (boo#934266).
-  vmwgfx: Rework device initialization (boo#934266).
- commit 28dbc80
* Mon Sep  7 2015 jslaby@suse.cz
- workqueue: Make flush_workqueue() available again to non
  GPL modules.
- commit 82076fa
* Mon Sep  7 2015 jkosina@suse.cz
- Update config files: update arm config files so that they are up-to-date
  and don't break build.
- commit c1a445e
* Mon Sep  7 2015 jkosina@suse.cz
- bcache: Fix writeback_thread never writing back incomplete
  stripes.
- commit 395add4
* Tue Sep  1 2015 dmueller@suse.com
- config/aarch64: set CONFIG_TCM_RBD=m
  Enable the LIO clustered RBD backend (fate#318836).
- commit f24954a
* Mon Aug 31 2015 jbeulich@suse.com
- Update Xen patches to 4.2-final.
- commit 7b8109d
* Mon Aug 31 2015 jslaby@suse.cz
- Refresh
  patches.apparmor/apparmor-compatibility-patch-for-v5-network-control.
  Fix this:
  patches.apparmor/apparmor-compatibility-patch-for-v5-network-control:25:
  error: Timestamp after filename
  by scripts/refresh_patch.sh.
- commit 2089c9a
* Mon Aug 31 2015 jslaby@suse.cz
- Refresh
  patches.fixes/btrfs-fix-stale-dir-entries-after-unlink-inode-eviction-and-fsync.
  Fix this:
  missing header for unified diff at line 107 of patch
  (Patch is indented 4 spaces.)
  can't find file to patch at input line 107
  by commenting also the @@ sign.
- commit 8e48b46
* Mon Aug 31 2015 jeffm@suse.com
- Update to 4.2-final.
- commit c617119
* Fri Aug 28 2015 jslaby@suse.cz
- mmc: sdhci: fix dma memory leak in sdhci_pre_req() (bnc#934531).
- commit cf7002c
* Wed Aug 26 2015 mmarek@suse.com
- rpm/constraints.in: Require 14GB worth of disk space on POWER
  The builds started to fail randomly due to ENOSPC errors.
- commit 9012f40
* Mon Aug 24 2015 jeffm@suse.com
- Btrfs: fix stale dir entries after unlink, inode eviction and
  fsync (bsc#942925).
- Btrfs: fix stale directory entries after fsync log replay
  (bsc#942925).
- commit afce1cd
* Mon Aug 24 2015 jbeulich@suse.com
- Update EC2 config files: Re-enable DEBUG_INFO.
- commit c02428d
* Mon Aug 24 2015 jeffm@suse.com
- Update to 4.2-rc8.
- commit 46c5271
* Fri Aug 21 2015 jbeulich@suse.com
- Update Xen patches to 4.2-rc7.
- config.conf: Re-enable Xen and PV configs.
- Update config files.
- commit e077731
* Wed Aug 19 2015 dvaleev@suse.com
- Update config files.
  Enable KSM on Power
- commit 25f2e01
* Mon Aug 17 2015 zombah@gmail.com
- config: armv7hl: Disable Exynos IOMMU
  Enabling DRM Exynos IOMMU is currently broken, source
  commit: 6562f3bd396a ("ARM: exynos_defconfig: Disable IOMMU support").
- commit 20f4a20
* Mon Aug 17 2015 jeffm@suse.com
- Update to 4.2-rc7.
- commit de135e9
* Fri Aug 14 2015 ohering@suse.de
- hv_storvsc: use small sg_tablesize on x86 (bnc#937256).
- commit 91e5c2c
* Wed Aug 12 2015 jeffm@suse.com
- config: enable IPV6_SIT_6RD on all flavors
  The option was initially disabled because it was labeled experimental.
- commit 72c7b5d
* Wed Aug 12 2015 ddiss@suse.de
- config/x86_64: set CONFIG_TCM_RBD=m
  Enable the LIO clustered RBD backend (fate#318836).
- commit 4fc318d
* Tue Aug 11 2015 stefan.bruens@rwth-aachen.de
- config: arm*: Enable FB_TFT
  Set CONFIG_FB_TFT*=m for arm64/armv6hl/armv7hl.
  There are several TFT capes/hats/... for all kinds of SBCs, enable these.
  Tested on RPi B with 3.2" TFT connected over SPI.
- commit 204e76a
* Mon Aug 10 2015 jeffm@suse.com
- Update to 4.2-rc6.
- commit 4a2cf4a
* Mon Aug  3 2015 afaerber@suse.de
- config: arm64: Clean up serial options
  [this commit was somehow overwritten with the update to -rc6]
  Change SERIAL_8250_DW from =m to =y.
  Change SERIAL_SAMSUNG from =m to =y and enable SERIAL_SAMSUNG_CONSOLE=y.
  Enable Qualcomm serial: SERIAL_MSM=y and SERIAL_MSM_CONSOLE=y
  Enable Spreadtrum serial: SERIAL_SPRD=y and SERIAL_SPRD_CONSOLE=y
  Disable Altera serial: SERIAL_ALTERA_JTAGUART and SERIAL_ALTERA_UART
  We can revisit this when they have arm64 support out.
  Disable Conexant serial: SERIAL_CONEXANT_DIGICOLOR (not arm64)
- config: arm64: Clean up serial options
  Change SERIAL_8250_DW from =m to =y.
  Change SERIAL_SAMSUNG from =m to =y and enable SERIAL_SAMSUNG_CONSOLE=y.
  Enable Qualcomm serial: SERIAL_MSM=y and SERIAL_MSM_CONSOLE=y
  Enable Spreadtrum serial: SERIAL_SPRD=y and SERIAL_SPRD_CONSOLE=y
  Disable Altera serial: SERIAL_ALTERA_JTAGUART and SERIAL_ALTERA_UART
  We can revisit this when they have arm64 support out.
  Disable Conexant serial: SERIAL_CONEXANT_DIGICOLOR (not arm64)
- commit 7ae9442
* Mon Aug  3 2015 afaerber@suse.de
- config: armv7hl: Clean up serial options
  Fix SERIAL_OF_PLATFORM to be =y. This unbreaks AC100 serial.
  SERIAL_STM32 is for armv7ml and thus irrelevant for armv7hl, disable it.
  SERIAL_8250_INGENIC is for MIPS SoCs, so disable it for armv7hl.
  Fix CONFIG_SERIAL_CONEXANT_DIGICOLOR from =m to =y and
  enable CONFIG_SERIAL_CONEXANT_DIGICOLOR_CONSOLE=y,
  but only for default and vanilla, as it is a Cortex-A8.
  Fix SERIAL_AMBA_PL010 from =m to =y for lpae, matching default, and
  enable CONFIG_SERIAL_AMBA_PL010_CONSOLE=y for lpae, too.
  Disable SERIAL_ST_ASC for lpae, as STi are Cortex-A9 only.
  (cherry picked from commit 5f5dbd3a9cd58bfb803b83459a564d06eb1e1a37)
  [AF: Accidentally reverted in 4a2cf4a409b54e75f8ac4cd7a19fa8e8bc516aca]
- config: armv7hl: Clean up serial options
  Fix SERIAL_OF_PLATFORM to be =y. This unbreaks AC100 serial and
  hopefully Cubietruck as well.
  SERIAL_STM32 is for armv7ml and thus irrelevant for armv7hl, disable it.
  SERIAL_8250_INGENIC is for MIPS SoCs, so disable it for armv7hl.
  Fix CONFIG_SERIAL_CONEXANT_DIGICOLOR from =m to =y and
  enable CONFIG_SERIAL_CONEXANT_DIGICOLOR_CONSOLE=y,
  but only for default and vanilla, as it is a Cortex-A8.
  Fix SERIAL_AMBA_PL010 from =m to =y for lpae, matching default, and
  enable CONFIG_SERIAL_AMBA_PL010_CONSOLE=y for lpae, too.
  Disable SERIAL_ST_ASC for lpae, as STi are Cortex-A9 only.
- commit 373b6db
* Mon Aug  3 2015 jeffm@suse.com
- Update to 4.2-rc5.
- commit 1ac4f2f
* Mon Jul 27 2015 dmueller@suse.com
- Update config files.
  Disable Exynos 3/4 related options.
- commit ada1a44
* Mon Jul 27 2015 dmueller@suse.com
- Update config files.
  Disable Exynos 5 related config options.
- commit 6fd21aa
* Mon Jul 27 2015 jeffm@suse.com
- config: disable HIBERNATION on ppc64* vanilla configs
- commit 2a5007c
* Mon Jul 27 2015 jeffm@suse.com
- Update to 4.2-rc4.
- commit 75c1ba1
* Mon Jul 27 2015 mkubecek@suse.cz
- config: x86_64: enable EFI_MIXED in nonvirtual configs
  An x86_64 kernel needs CONFIG_EFI_MIXED to be able to access EFI
  variables and services if booted under 32-bit UEFI. Some bootloaders
  also need it to be able to boot 64-bit kernel under 32-bit UEFI.
  (boo#935027 fate#318252)
- commit f807859
* Mon Jul 27 2015 mkubecek@suse.cz
- config: enable NET_DROP_MONITOR=m
  The drop_monitor module is useful for debugging networking issues. It
  collects information where in the kernel code are packets dropped;
  dropwatch utility can be used to process the data.
- commit f8a6191
* Thu Jul 23 2015 mbrugger@suse.com
- Enable PCI host controller dirver for arm64
  PCI host controller is not yet supported on mainline.
  We need this patch to get lspci working.
- commit 3b6a8b8
* Thu Jul 23 2015 dvaleev@suse.com
- Update config files.
  Disable HIBERNATION on power due to invalid code generation (bsc#938934)
- commit 03e948d
* Wed Jul 22 2015 jeffm@suse.com
- Update to 4.2-rc3.
- commit bd67def
* Tue Jul 21 2015 oneukum@suse.com
- qmi_wwan: Add support for Dell Wireless 5809e 4G Modem
  (bnc#937974).
- commit 3fae52e
* Tue Jul 21 2015 dmueller@suse.com
- Disable PCI host support for ARM64
  This needs to be rebased on top of 4.2-rcX before they can be enabled
  as they break the build right now, and for now we don't really need it.
  Update config files.
- commit fc75db1
* Tue Jul 21 2015 jslaby@suse.cz
- Update
  patches.fixes/0001-NFSv4-do-not-accept-an-incompatible-delegation.patch
  (bsc#934202).
  Fix bsc #.
- commit 06dac28
* Mon Jul 20 2015 dmueller@suse.com
- Update config files:
  ARM64/default,vanilla: Disable CONFIG_XEN as that should
  only be enabled in the pv flavor
- commit 7010139
* Wed Jul 15 2015 jeffm@suse.com
- Update to 4.2-rc2.
- commit 288d56b
* Wed Jul  8 2015 dmueller@suse.com
- AArch64: config: Update to 4.2-rc1
- config.conf:
- Enabling Hisilicon, Cavium and XGene related options
- rest is synced with x86_64
- commit 5e2f263
* Tue Jul  7 2015 matwey.kornilov@gmail.com
- config: Update armv7hl config for 4.2-rc1
- commit f80d0b6
* Tue Jul  7 2015 jeffm@suse.com
- config: sync CIFS_SMB2=y across all configs
  Note that since Xen and ARM are disabled, these need to updated
  independently.
- commit 7b3bb3b
* Mon Jul  6 2015 jeffm@suse.com
- Update to 4.2-rc1.
- Xen needs updating.
- ARM configs need updating.
- DWARF2 / stack unwinding need updating.
- 5 patches eliminated.
- Config changes:
  - Generic:
  - RCU_EXPERT=n (default)
  - SCHED_OMIT_FRAME_POINTER=y (temporary)
  - ACPI_REV_OVERRIDE_POSSIBLE=y (default)
  - OF_UNITTEST=n (default)
  - THERMAL_WRITABLE_TRIPS=n
  - THERMAL_DEFAULT_GOV_STEP_WISE=y
  - THERMAL_GOV_POWER_ALLOCATOR=n
  - SND_PROC_FS=y
  - DEFERRED_STRUCT_PAGE_INIT=y
  - PROC_CHILDREN=y
  - RCU_EQS_DEBUG=n
  - Networking:
  - GENEVE_CORE=m
  - TCP_CONG_CDG=m
  - NETFILTER_INGRESS=y
  - NF_TABLES_NETDEV=m
  - NET_CLS_FLOWER=m
  - SUNRPC_XPRT_RDMA=m
  - Network drivers:
  - BE2NET_HWMON=y (option to existing driver)
  - EZCHIP_NPS_MANAGEMENT_ENET=m
  - MLX5_CORE_EN=y (option to existing driver)
  - SFC_MCDI_LOGGING=y (option to existing driver)
  - DP83867_PHY=m
  - MT7601U=m
  - IEEE802154_ATUSB=n
  - PHY_PXA_28NM_HSIC=n
  - PHY_PXA_28NM_USB2=n
  - PHY_TUSB1210=n
  - DELL_RBTN=m
  - Input:
  - INPUT_LEDS=y
  - LEDS_AAT1290=n
  - LEDS_BCM6328=n
  - LEDS_BCM6358=n
  - LEDS_TLC591XX=n
  - LEDS_KTD2692=n
  - TOUCHSCREEN_WDT87XX_I2C=m
  - INPUT_DRV2665_HAPTICS=m
  - SERIAL_SC16IS7XX_I2C=y
  - SERIAL_SC16IS7XX_SPI=n
  - Chargers:
  - CHARGER_BQ24257=m
  - CHARGER_BQ25890=m
  - CHARGER_RT9455=m
  - Sensors:
  - SENSORS_TC74=m
  - MAX63XX_WATCHDOG=n
  - GPU:
  - DRM_AMDGPU=m
  - DRM_AMDGPU_CIK=n (experimental)
  - DRM_AMDGPU_USERPTR=y
  - DRM_VIRTIO_GPU=m
  - USB_ULPI_BUS=m
  - Android:
  - STAGING_BOARD=n
  - Accelerometers:
  - STK8312=m
  - STK8BA50=m
  - Light sensors:
  - ACPI_ALS=m
  - BH1750=n
  - STK3310=n
  - MMC35240=n
  - BMC150_MAGN=n
  - Non-Transparent Bridging:
  - NTB_PINGPONG=n
  - NTB_TOOL=n
  - NTB_TRANSPORT=m
  - NTB=n (ppc)
  - Other:
  - F2FS_FS_ENCRYPTION=y
  - Crypto:
  - CRYPTO_RSA=m
  - CRYPTO_CHACHA20POLY1305=m
  - CRYPTO_ECHAINIV=m
  - CRYPTO_POLY1305=m
  - CRYPTO_CHACHA20=m
  - CRYPTO_842=m
  - CRYPTO_JITTERENTROPY=m
  - CRYPTO_USER_API_AEAD=m
  - NV-DIMM:
  - ACPI_NFIT=m
  - ACPI_NFIT_DEBUG=n
  - ND_BLK=m
  - BTT=y
  - Bluetooth:
  - BT_HCIBTUSB_RTL=y (default)
  - NFC:
  - NFC_NCI_UART=m
  - NFC_MRVL_UART=m
  - NFC_ST_NCI=m
  - NFC_ST_NCI_I2C=m
  - Storage:
  - SCSI_SNIC=m
  - SCSI_SNIC_DEBUG_FS=n
  - DM_CACHE_SMQ=m (EXPERIMENTAL)
  - MMC_MTK=m
  - x86:
  - X86_DEBUG_FPU=n
  - PUNIT_ATOM_DEBUG=n
  - UNISYS_VISORBUS=m
  - UNISYS_VISORNIC=m
  - NTB_INTEL=m
  - SCIF_BUS=m
  - SCIF=m
  - INTEL_QUARK_DTS_THERMAL=m
  - INTEL_PMC_IPC=m
  - ppc:
  - GIANFAR=n
  - SERIAL_8250_INGENIC=n
  - ppc64:
  - OPAL_PRD=m
  - MTD_POWERNV_FLASH=m
  - CRYPTO_DEV_NX_COMPRESS_PSERIES=m
  - CRYPTO_DEV_NX_COMPRESS_POWERNV=m
  - CRYPTO_DEV_NX_COMPRESS_CRYPTO=m
  - Cross-endian virtio:
  - TUN_VNET_CROSS_LE=n
  - VHOST_CROSS_ENDIAN_LEGACY=n
  - ARM:
  - SPI_ZYNQMP_GQSPI=n
  - AHCI_CEVA=n (Xilinx Zynq UltraScale+ MPSoC.)
  - QCOM_SPMI_TEMP_ALARM=n
  - THUNDER_NIC_PF=n
  - THUNDER_NIC_VF=n
  - THUNDER_NIC_BGX=n
  - LIQUIDIO=n
  - COMMON_CLK_CDCE925=n
  - UIO_PRUSS=n
- commit 771d075
* Mon Jul  6 2015 jeffm@suse.com
- config: disable CONFIG_GPIO_MCP23S08 on non-ARM platforms
- commit 1c68e62
* Mon Jul  6 2015 jeffm@suse.com
- config: disable MFD_SYSCON on non-ARM platforms
- commit a4a41a7
* Mon Jul  6 2015 jeffm@suse.com
- config: BLK_DEV_SKD=m on ppc64 vanilla configs
  BLK_DEV_SKD was disabled on ppc64 vanilla configs but enabled for
  default.
- commit 16b304b
* Mon Jul  6 2015 jeffm@suse.com
- config: disable BCMGENET on non-ARM platforms
  The Broadcom GENET ethernet chip is part of their BCM7xxx Set Top Box
  chipset and doesn't need to be built on non-ARM architectures.
- commit 8d51fac
* Mon Jul  6 2015 jeffm@suse.com
- Removed invalid Git-commit tags from bcache patches.
- commit c7da326
* Wed Jul  1 2015 jeffm@suse.com
- sysctl/defaults: remove semaphore sysctl override (bsc#936290).
  The sysctl values were lower than the new defaults.
- commit 8e3d11a
* Tue Jun 30 2015 jslaby@suse.cz
- Linux 4.1.1.
- commit ab48011
* Mon Jun 29 2015 jslaby@suse.cz
- Refresh
  patches.fixes/drm-i915-Ensure-cache-flushes-prior-to-doing-CS-flip.patch.
- Refresh patches.fixes/mmc-sdhci-fix-low-memory-corruption.patch.
  Update upstream statuses.
- commit 11b8ced
* Mon Jun 29 2015 jslaby@suse.cz
- drm/i915: Ensure cache flushes prior to doing CS flips
  (bnc#931300).
- commit 406255f
* Thu Jun 25 2015 dmueller@suse.com
- ARM64: config: UNWIND_INFO=y
- commit 8193a68
* Wed Jun 24 2015 jbeulich@suse.com
- Update Xen patches to 4.1-final and c/s 1289.
- guarantee M2P to be invisible to user mode.
- commit fc59188
* Wed Jun 24 2015 neilb@suse.com
- NFSv4: When returning a delegation, don't reclaim an incompatible open mode (bnc#934202).
- commit 6c74958
* Tue Jun 23 2015 jeffm@suse.com
- Update to 4.1-final.
- commit d6cfe1f
* Mon Jun 22 2015 schwab@suse.de
- kernel-obs-build: add btrfs to initrd
  This is needed for kiwi builds.
- commit 1ebf037
* Mon Jun 22 2015 neilb@suse.com
- NFSv3 - do not accept an incompatible delegation (bsc#934203).
- commit ccdebbf
* Thu Jun 18 2015 tiwai@suse.de
- x86/PCI: Use host bridge _CRS info on systems with >32 bit
  addressing (bnc#907092).
- x86/PCI: Use host bridge _CRS info on Foxconn K8M890-8237A
  (bnc#907092).
- commit 1d9da2e
* Tue Jun 16 2015 tiwai@suse.de
- Enable brcmfmac driver for x86-64 and i586 (boo#934932)
- commit 3e79c51
* Tue Jun 16 2015 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Change BuildRequires to match OBS's taste
- commit 15501f0
* Mon Jun 15 2015 jeffm@suse.com
- Update to 4.1-rc8.
- commit d3aa377
* Fri Jun 12 2015 tiwai@suse.de
- Update config files: extend CONFIG_DPM_WATCHDOG_TIMEOUT to 60 (bnc#934397)
- commit b3acd3f
* Fri Jun 12 2015 jslaby@suse.cz
- mmc: sdhci: fix low memory corruption (bnc#934531).
- commit ea963c7
* Tue Jun  9 2015 jeffm@suse.com
- Update to 4.1-rc7.
- Config changes:
  - arm64/armv7hl:
  - PHY_QCOM_UFS=m
- commit abe587d
* Sat Jun  6 2015 dirk@dmllr.de
- ARM: config: Sync more settings with x86_64
  Compile in modules that are =y on x86_64, remove modules
  that are not compiled on x86_64
- commit d36ab59
* Sat Jun  6 2015 dirk@dmllr.de
- config: armv7hl: Disable CONFIG_FW_LOADER_USER_HELPER_FALLBACK
  Only needed by DRM_STI, which we don't need, so disable
  it alltogether (it isn't configured in userspace anyway
  and deprecated)
- commit 6ad70fc
* Sat Jun  6 2015 dirk@dmllr.de
- config: armv7hl: Disable DECNET
  DECNET is not enabled on any other arch either
  and we don't need it
- commit ec172d8
* Sat Jun  6 2015 dirk@dmllr.de
- armv6hl: config: Reenable for 4.1
  Generic options follow x86_64 ones.
- commit 1d5f3b2
* Sat Jun  6 2015 dmueller@suse.com
- config: armv7hl: Enable ARM optimized crypto
  Enable the CONFIG_ARM_CRYPTO related options for up to
  45%% speed improvement on some of the algorithms.
- commit 8a1306d
* Fri Jun  5 2015 mmarek@suse.cz
- Delete disabled patches that have not been updated for years
- Delete
  patches.arch/kvm-only-export-selected-pv-ops-feature-structs.
- Delete
  patches.arch/kvm-replace-kvm-io-delay-pv-ops-with-linux-magic.
- Delete patches.arch/kvm-split-paravirt-ops-by-functionality.
- Delete patches.arch/kvm-split-the-KVM-pv-ops-support-by-feature.
- Delete patches.arch/ppc64-xmon-dmesg-printing.patch.
- Delete patches.suse/ppc-no-LDFLAGS_MODULE.patch.
- commit 6e78d78
* Tue Jun  2 2015 jbeulich@suse.com
- Fix patch headers of just updated Xen patches.
- commit 78a3079
* Tue Jun  2 2015 jbeulich@suse.com
- Update Xen patches to 4.1-rc6.
- config.conf: Re-enabled Xen and PV configs.
- Update config files.
- commit 0447183
* Mon Jun  1 2015 jeffm@suse.com
- config: restore FRAME_POINTER configs to pre-4.1-rc1 values
  The disabling of the stack unwind patches due to required merging
  ended up enabling FRAME_POINTER on some configs. Now that stack
  unwinding is re-enabled, we can disable it again.
- commit e3d8f0a
* Mon Jun  1 2015 jeffm@suse.com
- config: revert options initially selected by EXT4_ENCRYPTION
  EXT4_ENCRYPTION was initially a bool, which caused anything
  selected by it to be selected as =y even if EXT4 was =m.
  We can restore the following options back to being modular:
- CRYPTO_CTS
- CRYPTO_ECB
- CRYPTO_GF128MUL
- CRYPTO_XTS
  Other crypto-related options enabled in the v4.1-rc1 update are
  a result of INTEGRITY=y and can't be returned to modular options
  without also disabling INTEGRITY.
- commit 1c78a8e
* Mon Jun  1 2015 jeffm@suse.com
- Update to 4.1-rc6.
- commit 9abfb15
* Fri May 29 2015 jeffm@suse.com
- Update to 4.1-rc5.
- commit 5c5c1d1
* Thu May 28 2015 dmueller@suse.com
- arm64-0004-net-xgbe-Add-A0-silicon-support: adjust for gettime64/settime64
- commit 8f2a4d1
* Thu May 28 2015 jbeulich@suse.com
- Refresh patches.arch/x86_64-unwind-annotations.
- Refresh
  patches.suse/revert-x86-remove-warning-and-warning_symbol-from-struct-stacktrace_ops.
- Refresh patches.suse/stack-unwind.
- Delete
  patches.arch/stack-unwind-cfi_ignore-takes-more-arguments,
  patches.suse/no-frame-pointer-select,
  patches.suse/unwind-remove-check-for-vdso32-compat-range:
  All folded into base patch.
- Update config files.
- commit 4631e0c
* Tue May 19 2015 jeffm@suse.com
- Update to 4.1-rc4.
- Config changes:
  - armv7hl: SPI_FSL_DSPI=m
- commit 9c4ab6c
* Tue May 19 2015 jslaby@suse.cz
- Update config files.
  Unset PKCS7_TEST_KEY, so that SYSTEM_TRUSTED_KEYRING can stay
  disabled. I.e. make it the same as on other configs/arches.
- commit c9bc255
* Mon May 11 2015 jeffm@suse.com
- Update to 4.1-rc3.
- Config changes:
  - RTC_DRV_ABX80X=m
- commit b798b43
* Thu May  7 2015 jdelvare@suse.de
- config/armv7hl: Disable AMD_XGBE_PHY
  The AMD XGBE ethernet chip is only used on ARM64 systems.
- commit 3541e77
* Wed May  6 2015 dmueller@suse.com
- config: arm64: Reenable for 4.1
  ACPI left disabled for now, Qualcom/Xen enabled,
  rest synced with x86_64
- commit da874b0
* Mon May  4 2015 jeffm@suse.com
- config: disable XGBE on non-ARM hardware
  It's documented as being present only on AMD SoCs.
- commit a32d077
* Mon May  4 2015 jeffm@suse.com
- Update to 4.1-rc2.
- Config changes:
  - CONFIG_EXT4_ENCRYPTION y->m (changed to tristate)
- commit d8dfb45
* Sat May  2 2015 matwey.kornilov@gmail.com
- config: Reenable armv7hl for 4.1
  Update armv7hl configs for 4.1
  Generic options follow x86_64 ones.
  CONFIG_DRM_I2C_NXP_TDA998X set to y as it is single known way to make video work on BBB
- commit 749ab51
* Fri May  1 2015 jeffm@suse.com
- scripts/sequence-patch.sh, scripts/tar-up.sh: Fix detection of SKIP_XEN.
  With the stricter checks to ensure all files in the repository are
  referenced, it's no longer possible to comment out configs in
  config.conf.  It is possible to exclude them via rule, but then
  scripts/guards --list will list them unconditionally.  That breaks the
  automatic no-xen handling.  The fix is to use scripts/guards
  $(scripts/arch-symbols --list) instead.
- commit fbf7f40
* Fri May  1 2015 jeffm@suse.com
- Update to 4.1-rc1.
- Xen needs updating.
- ARM configs need updating.
- Stack unwinding needs updating.
- 11 patches eliminated.
- Config changes:
  - Generic:
  - MULTIUSER=y (default)
  - Networking
  - 6LOWPAN_NHC=m
  - 6LOWPAN_NHC_DEST=m
  - 6LOWPAN_NHC_FRAGMENT=m
  - 6LOWPAN_NHC_HOP=m
  - 6LOWPAN_NHC_IPV6=m
  - 6LOWPAN_NHC_MOBILITY=m
  - 6LOWPAN_NHC_ROUTING=m
  - 6LOWPAN_NHC_UDP=m
  - MPLS_ROUTING=m
  - BT_DEBUGFS=n
  - Driver options:
  - BT_HCIBTUSB
  - BT_HCIBTUSB_BCM=y
  - BT_HCIUART
  - BT_HCIUART_INTEL=y
  - BT_HCIUART_BCM=y
  - TARGET_CORE
  - TCM_USER2=m
  - CHELSIO_T4
  - CHELSIO_T4_FCOE=y
  - MOUSE_PS2
  - MOUSE_PS2_VMMOUSE=y
  - New modules:
  - TOUCHSCREEN_CHIPONE_ICN8318=m
  - TOUCHSCREEN_SX8654=m
  - NFC_NXP_NCI=m
  - NFC_NXP_NCI_I2C=m
  - Storage:
  - BLK_DEV_PMEM=m
  - MD_CLUSTER=m
  - DM_MQ_DEFAULT=n (needs performance testing)
  - DM_LOG_WRITES=m
  - MTD_PARTITIONED_MASTER=y
  - x86/x86_64:
  - SCHED_OMIT_FRAME_POINTER=y (only because unwinding needs updating)
  - X86_PMEM_LEGACY=y (compatibility)
  - MFD_INTEL_QUARK_I2C_GPIO=m
  - PINCTRL_AMD=y
  - ARM (disabled):
  - MACB=n
  - KEYBOARD_BCM=n
  - TCG_TIS_ST33ZP24=n
  - SPI_CADENCE=n
  - GPIO_ALTERA=n
  - GPIO_DWAPB=n
  - POWER_RESET_SYSCON_POWEROFF=n
  - CADENCE_WATCHDOG=n
  - MFD_MAX77843=n
  - MFD_MT6397=n
- commit e5a9df9
* Wed Apr 29 2015 jslaby@suse.cz
- Linux 4.0.1.
- commit b77e339
* Wed Apr 29 2015 jdelvare@suse.de
- rpm/guards: Clarify user message
  When --config=series is used and a listed file is not found on the
  disk, guards prints the following message:
  Not found in series: file
  This message is confusing, as the file was found in series, it is
  missing on the disk. Change the message to make this more obvious.
- commit 3fbe9e5
* Fri Apr 24 2015 jdelvare@suse.de
- rpm/guards: Documentation update
  * Fix synopsis format.
  * Document the new --path=@<file> option.
- commit 7fd4136
* Fri Apr 24 2015 jdelvare@suse.de
- rpm/guards: White space cleanups
- commit d8089eb
* Wed Apr 22 2015 pmladek@suse.cz
- ftrace/x86/xen: use kernel identity mapping only when really needed
  (bsc#873195, bsc#886272, bsc#903727, bsc#927725)
- commit 348571f
* Wed Apr 22 2015 mmarek@suse.cz
- scripts/refresh: Obsoleted by refresh_patch.sh
- commit d1dd729
* Wed Apr 22 2015 mmarek@suse.cz
- rpm/kernel-obs-build.spec.in: Add .build.hostarch.kvm to the filelist
- commit c65f3ca
* Tue Apr 21 2015 jbeulich@suse.com
- Update Xen patches to 4.0-final.
- commit eee4e07
* Tue Apr 21 2015 mmarek@suse.cz
- rpm/mkspec: Do not build kernel-obs-* on 32bit ppc
  The buildservice uses the ppc64 kernel-obs-build package for 32bit
  workers.
- commit d1e0beb
* Tue Apr 21 2015 dvaleev@suse.com
- create .build.hostarch.kvm for kernel-obs-build
  OBS needs to know hostarch, with ppc64/ppc64le this is not that easy.
  Lets create a marker file to help with it.
  See obs-build commit: e47399d738e51
- commit e5d9da9
* Tue Apr 14 2015 mmarek@suse.cz
- rpm/kernel-obs-qa.spec.in: Do not fail if the kernel versions do not match
- commit 28e9e74
* Tue Apr 14 2015 jlee@suse.com
- Update config files. (boo#925479)
  Do not set CONFIG_SYSTEM_TRUSTED_KEYRING until we need it in future
  openSUSE version:
  e.g. MODULE_SIG, IMA, PKCS7(new), KEXEC_BZIMAGE_VERIFY_SIG(new)
- commit 5c4d917
* Mon Apr 13 2015 jeffm@suse.com
- Update to 4.0-final.
- commit 6dbc1a6
* Fri Apr 10 2015 jeffm@suse.com
- Update to 4.0-rc7.
- Config changes:
  - x86_64/pv:
  - CONFIG_XEN_BALLOON_MEMORY_HOTPLUG_LIMIT=512 (default)
- commit 1925449
* Thu Apr  9 2015 agraf@suse.de
- of: Fix size when dma-range is not used.
- of: Move of_dma_configure() to device.c to help re-use.
- of: iommu: Add ptr to OF node arg to of_iommu_configure().
- PCI: Add helper functions pci_get[put]_host_bridge_device().
- PCI: Update DMA configuration from DT.
- of/pci: Add of_pci_dma_configure() to update DMA configuration.
- commit 7d1f328
* Wed Apr  8 2015 dsterba@suse.cz
- Btrfs: fix inode eviction infinite loop after cloning into it.
- commit ba5700e
* Tue Apr  7 2015 agraf@suse.de
- Update XGBE-A0 support to latest code
- commit 2121347
* Mon Apr  6 2015 dmueller@suse.com
- ARMv7: config: Enable more features
  Sync over config settings that have been enabled on x86_64 in the
  last few years also to ARMv7
- commit d480a34
* Sun Apr  5 2015 dmueller@suse.com
- ARMv8: config: Enable more modules / feature flags
- commit 107eae5
* Sun Apr  5 2015 dmueller@suse.com
- ARM64: config: Disable CONFIG_INPUT_E3X0_BUTTON
- commit 9774a1b
* Sun Apr  5 2015 dmueller@suse.com
- ARMv6/v7/v8: config: Disable ISA bus related drivers
  There is no ISA bus here
- commit 469d5c3
* Sun Apr  5 2015 dmueller@suse.com
- ARMv7/v8: config: Disable IIO dummy drivers
  Not enabled on any other arch either.
- commit b10b70d
* Sun Apr  5 2015 dmueller@suse.com
- ARMv7: config: Disable accessibility
  Its not enabled on any other architecture, and enablement was
  an accident.
- commit 7197f38
* Sun Apr  5 2015 dmueller@suse.com
- ARMv6/v7/v8: config: Disable debug/compat/self test options
  Disable those options that shouldn't be enabled on a production
  kernel and are not either enabled on x86_64
- commit 5f7e741
* Sun Apr  5 2015 dmueller@suse.com
- ARMv8/v7: config: Sync more features from x86_64
  Enable various feature flags on ARM if they're also set on x86_64
  to ensure that the feature sets available is roughly compareable
- commit f250654
* Sat Apr  4 2015 dmueller@suse.com
- ARMv6/v7: config: build uncommon HID drivers as modules
  92db3f1ad forgot to update ARM configs accordingly.
- commit a83ec68
* Sat Apr  4 2015 dmueller@suse.com
- ARM64: config: Sync vanilla with default config
- commit 7be032d
* Sat Apr  4 2015 dmueller@suse.com
- ARM64/ARMv6/ARMv7: config: Sync tunables with x86_64
  Set numeric tunables to the same values as on x86_64 if they're
  available for both platforms.
- commit e4e34f2
* Fri Apr  3 2015 mmarek@suse.cz
- Automatically Provide/Obsolete all subpackages of old flavors (bnc#925567)
- commit e3547a5
* Thu Apr  2 2015 dmueller@suse.com
- ARMv6: config: Update and reenable for 4.0-rc6
- commit e32301a
* Wed Apr  1 2015 dmueller@suse.com
- ARMv6: config: Reenable DWC2 host support
  We need the USB host controller support in order to have
  network on the Raspberry Pi, as the network is connected
  via USB.
- commit f54483c
* Tue Mar 31 2015 dmueller@suse.com
- ARM: config: Enable Stack Protector
- commit 0f06efd
* Tue Mar 31 2015 dmueller@suse.com
- ARMv6: config: Cleanup default config
  Previous updates enabled config options that do not make sense
  on ARMv6. ARMv6 default flavor is actually just a RPi1 kernel,
  so enabling platform support for hardware that is unavailable there
  and that conflicts with the Rpi drivers should not be done.
  This causes the kernel to boot again on a Rpi1.
- commit 1bc76eb
* Tue Mar 31 2015 jeffm@suse.com
- Update to 4.0-rc6.
- commit 3062c5b
* Fri Mar 27 2015 mmarek@suse.cz
- guards: Include the file name also in the "Not found" error
- commit 9b71e7b
* Fri Mar 27 2015 mmarek@suse.cz
- guards: Add support for an external filelist in --check mode
  This will allow us to run --check without a kernel-source.git work tree.
- commit 61c3df5
* Fri Mar 27 2015 mmarek@suse.cz
- guards: Simplify help text
- commit f0c085a
* Tue Mar 24 2015 jbeulich@suse.com
- Update Xen patches to 4.0-rc5.
- commit 7636f33
* Tue Mar 24 2015 dsterba@suse.cz
- config: disable SCSI_MQ_DEFAULT on all architectures and configs
  The scsi-mq feature lacks support for io schedulers right now.  This
  exhibits as performance drop for random RW workloads due to excessive
  seeking. The real benefit of scsi-mq comes with high-end and fast
  devices, the estimated impact on our users is low.
- commit 59a4160
* Tue Mar 24 2015 agraf@suse.de
- pci: Enable pci-host-generic support for ARM64 (bnc#911732).
- PCI/MSI: of: Allow msi_domain lookup using the PHB node
  (bnc#911732).
- PCI/MSI: Drop domain field from msi_controller (bnc#911732).
- irqchip: gicv3-its: Get rid of struct msi_controller
  (bnc#911732).
- irqchip: GICv2m: Get rid of struct msi_controller (bnc#911732).
- PCI/MSI: Let pci_msi_get_domain use struct device's msi_domain
  (bnc#911732).
- PCI/MSI: of: add support for OF-provided msi_domain
  (bnc#911732).
- PCI/MSI: add hooks to populate the msi_domain field
  (bnc#911732).
- device core: Introduce per-device MSI domain pointer
  (bnc#911732).
- commit 3583a4a
* Tue Mar 24 2015 agraf@suse.de
- Delete patches.arch/arm64-0012-generic-pci.patch.
- commit 6b01afd
* Tue Mar 24 2015 agraf@suse.de
- Refresh
  patches.arch/arm64-0010-KVM-ARM-Hack-to-enable-VGIC-mapping-on-64k-PAGE_SIZE.patch.
- commit 6c49399
* Mon Mar 23 2015 jeffm@suse.com
- config: disable CONFIG_ACPI_PROCFS_POWER (i386/x86_64) (boo#917728)
  CONFIG_ACPI_PROCFS_POWER is deprecated and should be disabled.
- commit 9eb6ba4
* Mon Mar 23 2015 jeffm@suse.com
- Update to 4.0-rc5.
- Eliminated 1 patch.
- Config changes:
  - ARM64:
  - CAN_XILINXCAN=m
- commit ecb5151
* Sat Mar 21 2015 dmueller@suse.com
- ARM64: config: Raise NR cpus to 64
  There is hardware that has more than 32 cores, so we would
  like to support them out of the box.
- commit 8434f2b
* Wed Mar 18 2015 jbeulich@suse.com
- Update Xen patches to 4.0-rc4 and c/s 1283.
- config.conf: Re-enable Xen and PV configs.
- Update config files.
- commit 09cef55
* Mon Mar 16 2015 dmueller@suse.com
- ARM64: Update patch-mainline for A0-silicon support
- commit 5541c66
* Mon Mar 16 2015 jeffm@suse.com
- Update to 4.0-rc4.
- Config changes:
  - ppc/ppc64/ppc64le/armv7hl/arm64:
  - OF_OVERLAY=y (no functional change, the option was introduced to
    allow disabling of previously builtin behavior)
  - CONFIG_OF_RECONFIG_NOTIFIER_ERROR_INJECT=m
  - i386:
  - OF_OVERLAY=n
- commit 0067839
* Mon Mar 16 2015 jeffm@suse.com
- config: refresh armv7hl-vanilla config
  The armv7hl-vanilla config contained options not offered by the vanilla
  kernel, showing it hadn't been resynced.
- commit 1c9d3a1
* Mon Mar 16 2015 jeffm@suse.com
- config: update arm64-vanilla config
  The ARM64 update for 4.0-rc3 updated default, but not vanilla. This commit
  just syncs the changes.
- commit dc76fd5
* Sun Mar 15 2015 dmueller@suse.com
- ARM64: Adjust xkbe-a0 to Linux 4.0rc3
  Upstream commit df8a39defad4 (net: rename vlan_tx_* helpers since "tx"
  is misleading there) renamed vlan_tx_* helpers causing a build failure for
  xgbe. This commit resyncs with 4.0-rc3.
- commit 126fc64
* Sun Mar 15 2015 dmueller@suse.com
- ARM64: Fix support for ARMv7 userspace
- commit 86b157b
* Mon Mar  9 2015 dmueller@suse.com
- config: ARM64: Reenable configs for 4.0-rc3
  This mainly adds support for Exynos 7, Mediatek and
  Freescale's SoCs.
- commit d573f03
* Mon Mar  9 2015 dmueller@suse.com
- ARM64: Use 64k zero page protection like on other arches
  For cross-architecture compatibility, use the 64k MMAP min
  addr. The old value was nonsensical anyway since we switched to 64k
  page size, which means this change is effectively a NOOP in the 64k
  Pagesize flavor.
- commit d5c547f
* Mon Mar  9 2015 jeffm@suse.com
- config: disable FEC_MPC52xx on ppc
  List discussion indicates that the openSUSE kernel doesn't properly
  support Efika and that there aren't users of the hardware.
  These devices can only be enumerated using open firmware.
- commit 4a3e976
* Mon Mar  9 2015 jeffm@suse.com
- Update to 4.0-rc3.
- commit f264c86
* Sat Mar  7 2015 jeffm@suse.com
- config: disable SERIAL_XILINX_PS_UART on i386
  These devices can only be enumerated using open firmware.
- commit ee2b818
* Sat Mar  7 2015 jeffm@suse.com
- config: disable W1_MASTER_GPIO on i386, x86_64
  These devices can only be enumerated using open firmware.
- commit f84f577
* Sat Mar  7 2015 jeffm@suse.com
- config: disable VIRTIO_MMIO on i386, x86_64
  These devices can only be enumerated using open firmware.
- commit ff54725
* Sat Mar  7 2015 jeffm@suse.com
- config: disable MFD_TI_AM335X_TSCADC on non-ARM platforms
  These devices can only be enumerated using open firmware.
- commit 9ac8349
* Sat Mar  7 2015 jeffm@suse.com
- config: disable STMMAC_PLATFORM on non-ARM platforms
  These devices can only be enumerated using open firmware.
- commit 39cfa0e
* Sat Mar  7 2015 jeffm@suse.com
- config: disable TI_ST and RADIO_WL128X on i386, x86_64
  Can probably also be disabled on ppc*
  These devices can only be enumerated using open firmware.
- commit 90c2553
* Sat Mar  7 2015 jeffm@suse.com
- config: disable MMC_SDHCI_OF_ARASAN on i386
  Can probably also be disabled on ARM64
  These devices can only be enumerated using open firmware.
- commit 4ea5b44
* Sat Mar  7 2015 jeffm@suse.com
- config: disable PPS_CLIENT_GPIO on i386, x86_64
  These devices can only be enumerated using open firmware.
- commit b5f1d4c
* Sat Mar  7 2015 jeffm@suse.com
- config: disable MDIO_BUS_MUX_GPIO on i386
  These devices can only be enumerated using open firmware.
- commit 85bea9a
* Sat Mar  7 2015 jeffm@suse.com
- config: disable KS8851_MLL on i386, x86_64
  Can probably also be disabled on ppc, ppc64, ppc64le but I couldn't
  find a definitive list of platforms this hardware is used with.
  These devices can only be enumerated using open firmware.
- commit 9dc4b32
* Sat Mar  7 2015 jeffm@suse.com
- config: disable I2C_MPC on ppc64, ppc64le
  These devices can only be enumerated using open firmware.
- commit 1fb8e5a
* Sat Mar  7 2015 jeffm@suse.com
- config: disable GPIO_WATCHDOG on i386
  These devices can only be enumerated using open firmware.
- commit 46bdcd6
* Sat Mar  7 2015 jeffm@suse.com
- config: disable GPIO_SYSCON on i386
  These devices can only be enumerated using open firmware.
- commit 05f2a21
* Sat Mar  7 2015 jeffm@suse.com
- config: disable IR_GPIO_CIR on i386, x86_64
  These devices can only be enumerated using open firmware.
- commit feacf1d
* Sat Mar  7 2015 jeffm@suse.com
- config: disable GPIO_GRGPIO on i386, ppc, ppc64, ppc64le
  The hardware enabled by this driver is typically only found on LEON
  SPARC systems. Since it enables an IP library that could potentially
  be found on any embedded board, I've left it enabled for ARM and PPC.
- commit 6b22540
* Sat Mar  7 2015 jeffm@suse.com
- config: disable INPUT_GPIO_BEEPER on i386, x86_64
  These devices can only be enumerated using open firmware.
- commit b215566
* Sat Mar  7 2015 jeffm@suse.com
- config: disable GPIO_74XX_MMIO on i386
  These devices can only be enumerated using open firmware.
- commit ee3e4f4
* Sat Mar  7 2015 jeffm@suse.com
- config: disable SERIAL_FSL_LPUART on non-ARM platforms.
  This hardware is only found on Freescale ARM platforms.
- commit b43a527
* Sat Mar  7 2015 jeffm@suse.com
- config: disable ETHOC on i386, x86_64
  These devices can only be enumerated using open firmware.
- commit aed4e05
* Sat Mar  7 2015 jeffm@suse.com
- config: disable DW_WATCHDOG on i386, x86_64, ppc, ppc64, ppc64le
  This hardware used to be ARM-only but is now available on Xtensa, so
  we can disable it everywhere bug ARM.
- commit a4ffedf
* Sat Mar  7 2015 jeffm@suse.com
- config: disable MTD_DOCG3 on i386, x86_64, ppc64, ppc64le
  This generation of DiskOnChip is quite old and found on embedded platforms.
  It's probably ok to disable it for arm64 as well.
  These devices can only be enumerated using open firmware.
- commit d84f49b
* Sat Mar  7 2015 jeffm@suse.com
- config: disable SERIO_APBPS2 on i386
  The hardware enabled by this driver is typically only found on LEON
  SPARC systems. Since it enables an IP library that could potentially
  be found on any embedded board, I've left it enabled for ARM and PPC.
- commit 27b679d
* Sat Mar  7 2015 jeffm@suse.com
- config: disable APPLE_AIRPORT on ppc64le
  Apple Airport is only found on Apple ppc/ppc64 hardware.
- commit 77cf796
* Sat Mar  7 2015 jeffm@suse.com
- Update to 4.0-rc2.
- commit bdfe724
* Wed Mar  4 2015 matwey.kornilov@gmail.com
- config: armv7hl: Reenable for armv7hl
- commit 23602ae
* Tue Mar  3 2015 jslaby@suse.cz
- x86/vdso: fix a reference to a non-existing instruction.
- commit 584067b
* Tue Mar  3 2015 jeffm@suse.com
- config: revert changes to i386/pv
  The i386/pv config will be resynced when Xen is updated.
- commit c77a495
* Tue Mar  3 2015 jeffm@suse.com
- config: disable ALTERA_TSE on i386/x86_64
  These devices can only be enumerated using open firmware.
- commit 6506dc7
* Tue Mar  3 2015 jeffm@suse.com
- config: disable FB_OPENCORES on i386/x86_64
  These devices can only be enumerated using open firmware.
- commit 1c992f1
* Mon Mar  2 2015 jeffm@suse.com
- Update to 4.0-rc1.
- Eliminated 1 patch.
- Xen needs updating.
- ARM configs need updating.
- Config changes:
  - General:
  - RCU_KTHREAD_PRIO = 0 for default; 1 for desktop
  - X86_INTEL_QUARK=y (32-bit only)
  - X86_AMD_PLATFORM_DEVICE=y
  - ZSMALLOC_STAT=n
  - DEVMEM=y
  - DUMMY_CONSOLE_COLUMNS=80
  - DUMMY_CONSOLE_ROWS=25
  - FS_DAX=y
  - PSTORE_PMSG=n
  - F2FS_IO_TRACE=n
  - NFSD_PNFS=y
  - GDB_SCRIPTS=n (only installs in build dir)
  - LIVEPATCH=y
  - TEST_HEXDUMP=n
  - CRYPTO_USER_API_RNG=m
  - BLK_DEV_RAM_DAX=y
  - PM_DEVFREQ_EVENT=y
  - VIRTIO_PCI_LEGACY=y
  - Networking:
  - IEEE802154_SOCKET=m
  - NET_ACT_BPF=m
  - NET_ACT_CONNMARK=m
  - BT_SELFTEST=n
  - Networking drivers:
  - IXGBE_VXLAN=y
  - AMD_XGBE=m
  - AMD_XGBE_DCB=y
  - Input:
  - MOUSE_PS2_FOCALTECH=y
  - HID_BETOP_FF=m
  - Other drivers, enabled as modules:
  - TCG_CRB
  - I2C_DESIGNWARE_BAYTRAIL
  - SPI_DLN2
  - USB_ISP1760
  - LEDS_CLASS_FLASH
  - FB_SM7XX
  - USB_GSPCA_TOUPTEK
  - SND_USB_POD
  - SND_USB_PODHD
  - SND_USB_TONEPORT
  - SND_USB_VARIAX
  - Disabled drivers:
  - RTC_DRV_DS1685_FAMILY (found on SGI O2/Octane hardware)
  - ACPI-discoverable sensors drivers, enabled as modules:
  - MMA9551
  - MMA9553
  - KMX61
  - JSA1212
  - SX9500
  - x86
  - DEBUG_IMR_SELFTEST=n
  - zSeries:
  - MARCH_Z900
  - TUNE_DEFAULT
  - SCHED_TOPOLOGY=y (renamed from SCHED_BOOK)
  - Device-tree dependent drivers, all disabled:
  - MTD_NAND_HISI504
  - TI_CPSW_ALE
  - INPUT_E3X0_BUTTON
  - INPUT_TPS65218_PWRBUTTON
  - SERIAL_CONEXANT_DIGICOLOR
  - TCG_TIS_I2C_ST33
  - GPIO_XILINX
  - BATTERY_GAUGE_LTC2941
  - POWER_RESET_RESTART
  - MFD_DA9150
  - MFD_RT5033
  - DRM_PANEL_SIMPLE
  - DRM_PANEL_LD9040
  - DRM_PANEL_S6E8AA0
  - DRM_PANEL_SHARP_LQ101R1SX01
  - MMC_SDHCI_F_SDH30
  - RTC_DRV_ABB5ZES3
  - FB_TFT
  - COMMON_CLK_CDCE706
  - ASM9260_TIMER
  - IOMMU_IO_PGTABLE_LPAE
  - CC10001_ADC
  - QCOM_SPMI_VADC
  - IIO_SSP_SENSORHUB
  - CM3232
- commit d6b999d
* Tue Feb 24 2015 guillaume.gardet@free.fr
- config: armv6hl: Update and re-enable armv6 default config
  Please find an update from 3.18.0 to 3.19.0 for armv6 default config.
  It also enables armv6 default config again.
  [AF: Homogenized module selection, dropped Broadcom Kona support (ARMv7)]
- commit 860fc5c
* Mon Feb 16 2015 matwey.kornilov@gmail.com
- config: armv7hl: Temporarily disable CONFIG_PCIE_SPEAR13XX
  spear13xx pcie leads to kernel oopses in random places,
  so lets disable it until a proper solution to fix it is found.
  References: bko#92581
- commit a260777
* Fri Feb 13 2015 jdelvare@suse.de
- Update config files: disable CONFIG_I2C_SLAVE
  Disable CONFIG_I2C_SLAVE on x86 and ppc*. There is currently no known
  use case for this feature on these architectures, and it has a small
  build time and size cost.
- commit 9a477d7
* Tue Feb 10 2015 tiwai@suse.de
- fix a leak in bch_cached_dev_run() (bnc#910440).
- bcache: unregister reboot notifier when bcache fails to register
  a block device (bnc#910440).
- bcache: fix a livelock in btree lock (bnc#910440).
- bcache: [BUG] clear BCACHE_DEV_UNLINK_DONE flag when attaching
  a backing device (bnc#910440).
- bcache: Add a cond_resched() call to gc (bnc#910440).
- commit 24c2cb3
* Tue Feb 10 2015 jbeulich@suse.com
- Update Xen patches to 3.19-final.
- commit 7ba6009
* Mon Feb  9 2015 jeffm@suse.com
- Update to 3.19-final.
- commit b47fe8e
* Thu Feb  5 2015 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix build if there is no *.crt file
- commit c5b1275
* Wed Feb  4 2015 jbeulich@suse.com
- Update Xen patches to 3.19-rc7 and c/s 1279.
- Update Xen config files.
- commit f6f5ce5
* Tue Feb  3 2015 jeffm@suse.com
- Update to 3.19-rc7.
- commit 7505c11
* Fri Jan 30 2015 mmarek@suse.cz
- rpm/constraints.in: Lower the requirement to 4 CPUs on POWER
- commit 9e50821
* Wed Jan 28 2015 jeffm@suse.com
- Update to 3.19-rc6.
- Config changes:
  - SENSORS_I5500=m (i386/x86_64)
- commit 5dca9d9
* Tue Jan 27 2015 jbeulich@suse.com
- rpm/package-descriptions: Describe kernel-pv (and correct kernel-ec2's).
- commit 6dd25c9
* Mon Jan 26 2015 mmarek@suse.cz
- DocBook: Do not exceed argument list limit.
- commit 6eae009
* Mon Jan 26 2015 mmarek@suse.cz
- rpm/kernel-docs.spec.in: Do not ignore errors from make
- commit 86ebfa7
* Sat Jan 24 2015 jdelvare@suse.de
- Update x86_64 config files: CONFIG_SENSORS_NCT6683=m
  The nct6683 driver is already enabled on i386 and history suggests
  that it not being enabled on x86_64 is by mistake.
- commit e31f652
* Fri Jan 23 2015 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Drop sparse from BuildRequires
- commit 9777c26
* Fri Jan 23 2015 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Update the comment about NO_BRP_STALE_LINK_ERROR
  There is no stale symlink in the installed system anymore, but there is
  one during build.
- commit e575cce
* Fri Jan 23 2015 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Own the modules directory in the devel
  package (bnc#910322)
- commit d89b963
* Thu Jan 22 2015 jbeulich@suse.com
- Add x86 PV config files.
- commit 297f762
* Thu Jan 22 2015 jbeulich@suse.com
- Update Xen patches to 3.19-rc5 and c/s 1276.
- config.conf: Re-enable Xen configs.
- Update config files.
- commit 9368e4c
* Wed Jan 21 2015 mmarek@suse.cz
- Fix Module.supported handling for external modules (bnc#905304).
- commit 26d68ed
* Wed Jan 21 2015 jeffm@suse.com
- Update to 3.19-rc5.
- Config changes:
  - I40E_FCOE=y
- commit 1548087
* Fri Jan 16 2015 matwey.kornilov@gmail.com
- config: armv7hl: Update config files for 3.19-rc6
  [AF: Updated for -rc6, enabled some more default options,
    enabled/disabled lpae options, regenerated vanilla from default]
- commit a7bdd86
* Wed Jan 14 2015 agraf@suse.de
- Refresh patches.arch/arm64-0012-generic-pci.patch (fix PCI bridge support)
- commit b9cbcf4
* Mon Jan 12 2015 jeffm@suse.com
- Update to 3.19-rc4.
- Config changes:
  - KDB_DEFAULT_ENABLE=0x1 (default, no change)
- commit f688a05
* Mon Jan 12 2015 jeffm@suse.com
- config: fixed re-enabling of CFG80211_WEXT
- Note: CFG80211_WEXT was disabled in 3.19-rc1, not 3.17.
  * git describe and git name-rev show different things.
- IPW2200_DEBUG=y was set prior to 3.19-rc1, restore it
- Re-sync arm64 config to match pre-rc1 values.
- commit 79a899b
* Thu Jan  8 2015 jeffm@suse.com
- Update to 3.19-rc3.
- Config changes are repairing fallout from the removal of
  wireless extensions in 3.17. They were restored in 3.19-rc3.
- commit 43d6953
* Tue Jan  6 2015 agraf@suse.de
- arm64: Enable DRM
- commit 7a4dbf7
* Mon Jan  5 2015 agraf@suse.de
- arm64: Disable CRC32 accelerator again, doesn't build
- commit c0e01e0
* Mon Jan  5 2015 agraf@suse.de
- arm64: Enable generic PHB driver (bnc#911732).
- commit 5d481ac
* Mon Jan  5 2015 agraf@suse.de
- Update config files for arm64
- commit 4c90d68
* Fri Jan  2 2015 dbueso@suse.de
- rpm/old-flavors: Obsolete kernel-bigsmp (fate#318083)
- commit c5abe0c
* Fri Jan  2 2015 mmarek@suse.cz
- patches.suse/supported-flag: fix mis-reported supported status (bnc#809493)
  Port fix from SLE12.
- commit 92db6d0
* Fri Jan  2 2015 mmarek@suse.cz
- Refresh patches.suse/supported-flag: fix TAINT_NO_SUPPORT handling on
  module load
  Port fix from SLE12.
- commit 47e6368
* Tue Dec 30 2014 jeffm@suse.com
- Update to 3.19-rc2.
- commit aa3360b
* Tue Dec 23 2014 matwey.kornilov@gmail.com
- config: Introduce vanilla configs for armv6l, armv7l and aarch64
- commit cd0d0f3
* Mon Dec 22 2014 jeffm@suse.com
- Update to 3.19-rc1.
- Eliminated 5 patches.
- Xen needs updating.
- ARM configs need updating.
- Config changes:
  - General
  - INIT_FALLBACK (y, default, consistent with old default)
  - PAGE_EXTENSION=n (overhead)
  - PAGE_OWNER=n (overhead)
  - Networking:
  - NET_FOU_IP_TUNNELS=y
  - NFT_REDIR=m
  - NFT_REDIR_IPV4=m
  - NFT_REDIR_IPV6=m
  - NET_DSA_HWMON=y
  - NET_ACT_VLAN=m
  - NET_SWITCHDEV=y (only impact is a slightly bigger ndo)
  - BT_BREDR=y
  - BT_LE=y
  - IPVLAN=m
  - NET_DSA_MV88E6352=m
  - ROCKER=m
  - BCMGENET=m
  - Driver options:
  - CONFIG_MAC80211_RC_MINSTREL_VHT=y
  - ATH9K_PCOEM=y
  - RTC_DRV_DS1374_WDT=y
  - INFINIBAND_ON_DEMAND_PAGING=y
  - SQUASHFS_LZ4=y
  - Drivers:
  - SCSI_AM53C974=m
  - SCSI_WD719X=m
  - KEYBOARD_CAP11XX=m
  - MOUSE_ELAN_I2C=m
  - TOUCHSCREEN_GOODIX=m
  - TOUCHSCREEN_ELAN=m
  - IPMI_SSIF=m
  - I2C_SLAVE=y (does nothing; only here for future additions)
  - GPIO_74XX_MMIO=m
  - SENSORS_NCT7802=m
  - MFD_DLN2=m
  - I2C_DLN2=m
  - GPIO_DLN2
  - IR_IGORPLUGUSB=m
  - DVB_SMIPCIE=m
  - DVB_MN88472=m
  - DVB_MN88473=m
  - VIDEO_SAA7191=n (staging/deprecated)
  - VIDEO_VIM2M=m
  - DRM_I2C_ADV7511=m
  - SND_OXFW=m
  - HID_PLANTRONICS=m
  - MMC_TOSHIBA_PCI=m
  - LEDS_LP8860=m
  - x86
  - X86_INTEL_MPX=y (default n, little kernel overhead for potential security gains)
  - RCU_KTHREAD_PRIO=1 (default)
  - X86_VSYSCALL_EMULATION=y
  - HSA_AMD=m
  - EDAC_AMD64=m
  - EDAC_AMD64_ERROR_INJECTION=y
  - ppc
  - OF_UNITTEST=n
  - IPMI_POWERNV=m
  - I2C_OPAL=m
  - RTC_DRV_OPAL=m
  - s390x
  - SCLP_ASYNC_ID=000000000 (default)
  - SoC
  - PINCTRL_CHERRYVIEW=n
  - ARM?: (all n)
  - PMIC
  - MFD_ATMEL_HLCDC
  - COMMON_CLK_XLNX_CLKWZRD
  - QCOM_SPMI_IADC
  - Mobile sensors: (all n)
  - SI7020
  - BMP280
- commit 85f0072
* Wed Dec 17 2014 jslaby@suse.cz
- Linux 3.18.1.
- Delete
  patches.drivers/ALSA-usb-audio-Don-t-resubmit-pending-URBs-at-MIDI-e.
- commit 0fdb00f
* Sun Dec 14 2014 tiwai@suse.de
- blk-mq: Fix uninitialized kobject at CPU hotplugging
  (bnc#908794).
- commit b68f510
* Fri Dec 12 2014 jbeulich@suse.com
- Refresh Xen patches (adjustments for pv-ops builds and a huge
  memory DomU boot fix).
- commit 0510331
* Tue Dec  9 2014 jbeulich@suse.com
- Update Xen patches to 3.18-final.
- x86-64/MCE: flip CPU and bank numbers in log message.
- commit 2b473fc
* Tue Dec  9 2014 jeffm@suse.com
- Update to 3.18-final.
- commit fb05465
* Sat Dec  6 2014 tiwai@suse.de
- ALSA: usb-audio: Don't resubmit pending URBs at MIDI error
  recovery.
- commit a6e513d
* Fri Dec  5 2014 tiwai@suse.de
- drm: Implement O_NONBLOCK support on /dev/dri/cardN
  (bnc#904097).
- commit 1b14fe6
* Fri Dec  5 2014 tiwai@suse.de
- KEYS: Fix stale key registration at error path (bnc#908163).
- commit 7d9c8f3
* Fri Dec  5 2014 agraf@suse.de
- arm64: Enable 64k page size (bnc#908468)
- commit 088d59b
* Thu Dec  4 2014 agraf@suse.de
- ARMv7: Bump NR_CPUs to 16, the HIP04D01 has that many
- commit 9c41958
* Mon Dec  1 2014 jeffm@suse.com
- Update to 3.18-rc7.
- commit 58b7b67
* Mon Dec  1 2014 jbeulich@suse.com
- Update Xen config files (restore RTC_DRV_EFI).
- commit ab8d181
* Fri Nov 28 2014 jbeulich@suse.com
- Update Xen patches to 3.18-rc6 and c/s 1269.
- commit 7e21a29
* Thu Nov 27 2014 mmarek@suse.cz
- rpm/constraints.in: Require 10GB of disk space also on 32bit POWER
- commit 33a282b
* Wed Nov 26 2014 jeffm@suse.com
- Update to 3.18-rc6.
- commit 961dff7
* Wed Nov 26 2014 mmarek@suse.cz
- rpm/constraints.in: Require 10GB disk space on POWER
  A debuginfo build currently requires about 8.5 GB on POWER. Also,
  require at least 8 CPUs, so that builds do not get accidentally
  scheduled on slow machines.
- commit 596d9cf
* Wed Nov 19 2014 jeffm@suse.com
- Update to 3.18-rc5.
- commit 2e1894b
* Fri Nov 14 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Provide name-version-release for kgraft
  packages (bnc#901925)
- commit c9157ee
* Fri Nov 14 2014 agraf@suse.de
- PPC: Update config files: Enable HV KVM as module
- commit 0521fb3
* Thu Nov 13 2014 tiwai@suse.de
- hp_accel: Add support for HP ZBook 15 (bnc#905329).
- commit 44e7f88
* Mon Nov 10 2014 jeffm@suse.com
- Update to 3.18-rc4.
- commit 1eac9b3
* Fri Nov  7 2014 tiwai@suse.de
- Input: synaptics - add min/max quirk for Lenovo T440s
  (bnc#903748).
- commit b1191bc
* Wed Nov  5 2014 tiwai@suse.de
- Delete patches.rpmify/chipidea-clean-up-dependencies (bnc#903986)
- commit 07807b9
* Wed Nov  5 2014 tiwai@suse.de
- [media] uvc: Fix destruction order in uvc_delete() (bnc#897736).
- commit 2f29e54
* Wed Nov  5 2014 tiwai@suse.de
- Disable patches.rpmify/chipidea-clean-up-dependencies
  This rather causes a problem when building as a module.  If all builds
  fine, drop this later.
- commit d485ed4
* Tue Nov  4 2014 jbeulich@suse.com
- Update Xen patches to 3.18-rc3.
- config.conf: Re-enable Xen configs.
- Update config files.
- commit e706e91
* Mon Nov  3 2014 matwey.kornilov@gmail.com
- config: armv7hl: temporarily disable KEYSTONE_NAVIGATOR_QMSS
  KEYSTONE_NAVIGATOR_QMSS leads to the following module dependency cycle.
  Disable it until it will be fixed in upstream.
  [24907s] depmod: ERROR: Found 2 modules in dependency cycles!
  [24907s] depmod: ERROR: Cycle detected: knav_qmss_queue -> knav_qmss_acc -> knav_qmss_queue
- commit 5709b4c
* Mon Nov  3 2014 jeffm@suse.com
- netfilter: fix missing declaration of csum_ipv6_magic for
  bridge reject.
- commit a73bb9e
* Mon Nov  3 2014 jeffm@suse.com
- Update to 3.18-rc3.
- Eliminated 3 patches.
- commit d6cda9a
* Sun Nov  2 2014 agraf@suse.de
- Limit xgbe a0 driver to arm64
- commit 12cb573
* Sun Nov  2 2014 agraf@suse.de
- usb: Add support for Synopsis H20AHB EHCI host controller
  (bnc#902632).
- usb: fix hcd h20ahb driver depends (bnc#902632).
- KVM: ARM: Add "arm,gic-400" compatible support (bnc#902632).
- net/xgbe: Add A0 silicon support (bnc#902632).
- arm64: dts: Add X-Gene reboot driver dts node (bnc#902632).
- arm64: Select reboot driver for X-Gene platform (bnc#902632).
- arm64: Do not call enable PCI resources when specify
  PCI_PROBE_ONLY (bnc#902632).
- ARM/ARM64: arch-timer: fix arch_timer_probed logic (bnc#902632).
- Documentation: Restrict TSC test code to x86 (bnc#902632).
- KVM: ARM: Hack to enable VGIC mapping on 64k PAGE_SIZE kernels
  (bnc#902633).
- Update config files.
- commit 2d3b60c
* Thu Oct 30 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix including the secure boot cert in /etc/uefi/certs
- commit 72255c9
* Tue Oct 28 2014 tiwai@suse.de
- Split kernel-docs-pdf and kernel-docs-html subpackages
  They'll contain PDF and HTML documents generated from kernel source,
  respectively.  kernel-docs still keeps man pages and basic documents
  in root directory.
- commit 4fa7b81
* Mon Oct 27 2014 jeffm@suse.com
- Update to 3.18-rc2.
- Config changes:
  * ACPI_THERMAL_REL=m
  * DA9063_WATCHDOG=m
  * INT340X_THERMAL=m
  * OVERLAYFS_FS=m (vanilla only, we've been carrying these patches)
  * PWM_LPSS_PCI=m
  * PWM_LPSS_PLATFORM=m
  * TCM_USER=m
  * THERMAL_GOV_BANG_BANG=y
- commit 44afd6d
* Fri Oct 24 2014 jeffm@suse.com
- vdso: don't require 64-bit math in standalone test.
- commit e58d2f6
* Fri Oct 24 2014 jeffm@suse.com
- Refresh patches.fixes/dm-table-switch-to-readonly.
- commit afa7428
* Fri Oct 24 2014 matwey.kornilov@gmail.com
- config: armv6hl: Compile KGDB serial console into kernel
  A serial console is the major communication for ARM devices.
  Having CONFIG_KGDB_SERIAL_CONSOLE=m makes it impossible to debug the kernel
  at early boot stages.
- commit e34532c
* Fri Oct 24 2014 matwey.kornilov@gmail.com
- config: armv7hl: Compile KGDB serial console into kernel
  A serial console is the major communication for ARM devices.
  Having CONFIG_KGDB_SERIAL_CONSOLE=m makes it impossible to debug the kernel
  at early boot stages.
- commit 18c982d
* Fri Oct 24 2014 matwey.kornilov@gmail.com
- config: armv7hl: Disable CONFIG_USB_MUSB_TUSB6010
  TUSB6010 is not used by any of our JeOSes*, but introduces issues
  with USB on BeagleBone (and all other boards utilizing musb_hdrc).
  The way to resolve the issues is currently unknown, so temporarily
  disable it.
  See for details: http://marc.info/?l=linux-usb&m=141088564307331&w=2
- commit fb5877e
* Fri Oct 24 2014 jeffm@suse.com
- patches.fixes/dm-table-switch-to-readonly: fix incomplete merge
- commit 2c7dd5c
* Fri Oct 24 2014 agraf@suse.de
- ARM: Update config files: Move closer to x86_64 config
- commit 0f35e83
* Fri Oct 24 2014 afaerber@suse.de
- config: arm64: Update to v3.18-rc1
  Generic options as x86_64/armv7hl.
  Enabled PCI, enabling lots of devices.
  When in doubt, left miscellaneous drivers disabled.
- commit 83baa8a
* Fri Oct 24 2014 afaerber@suse.de
- config: armv6hl: Update to v3.18-rc1
  Generic options as for x86_64/armv7hl.
  When in doubt, disabled SoC level and PMIC drivers.
- commit 10e9bcb
* Fri Oct 24 2014 afaerber@suse.de
- config: armv7hl: Update to v3.18-rc1
  Generic options like x86_64.
  Meson6 and BCM SoCs for default only.
- commit c8b0df9
* Thu Oct 23 2014 jeffm@suse.com
- Update to 3.18-rc1
- Eliminated 6 patches.
- ARM is disabled.
- Xen is disabled.
- Config changes:
  - Generic config options:
  * TASKS_RCU=n (default)
  * ADVISE_SYSCALLS=y (default)
  * MODULE_COMPRESS=n (default)
  * DISABLE_DEV_COREDUMP=n (default)
  * MTD_SPI_NOR_USE_4K_SECTORS=y (default)
  * SCSI_MQ_DEFAULT=y
  * SCHED_STACK_END_CHECK=y (good protection, may need to reevaluate)
  * HMC_DRV=m
  * DEVFREQ_GOV_SIMPLE_ONDEMAND=m
  * DEVFREQ_GOV_PERFORMANCE=m
  * DEVFREQ_GOV_POWERSAVE=m
  * DEVFREQ_GOV_USERSPACE=m
  * CPUFREQ_DT=n (default)
  - Security:
  * INTEGRITY=y
  - INTEGRITY_SIGNATURE=y
  - INTEGRITY_ASYMMETRIC_KEYS=y
  - INTEGRITY_AUDIT=y
  * CRYPTO_MCRYPTD=m
  * CRYPTO_SHA1_MB=m (x86_64)
  - Networking options:
  * NET_FOU=m
  * GENEVE=m
  * OPENVSWITCH_GENEVE=y
  * TCP_CONG_DCTCP=m
  * NFT_MASQ=m
  * IP_SET_HASH_MAC=m
  * IP_VS_FO=m
  * NF_REJECT_IPV4=y
  * NF_REJECT_IPV6=
  * NFT_MASQ_IPV4=m
  * NFT_MASQ_IPV6=m
  * CAN_M_CAN=m
  - New modules:
  * NET_DSA_MV88E6171=m
  * NET_DSA_BCM_SF2=m
  * FM10K=m
  * - FM10K_VXLAN=y
  * QCA7000=m
  * IWLWIFI_UAPSD=n (default, possible interop problems)
  * RTL8192EE=m
  * RTL8821AE=m
  * TOUCHSCREEN_AR1021_I2C=m
  * INPUT_DRV260X_HAPTICS=m
  * INPUT_DRV2667_HAPTICS=m
  * SERIAL_8250_FINTEK=m
  * HID_PENMOUNT=m
  * IR_HIX5HD2=m
  * DVB_USB_DVBSKY=m
  * USB_HACKRF=m
  * VIDEO_TW68=m
  * VIDEO_SAA7134_GO7007=m
  * DVB_PT3=m
  * USB_LED_TRIG=y
  * LEDS_SYSCON=y
  * BMC150_ACCEL=m
  * VIDEO_PCI_SKELETON=n
  * VIDEO_VIVID=m
  * POWER_RESET_GPIO_RESTART=n (default)
  * POWER_RESET_LTC2952=n
  * POWER_RESET_SYSCON=n
  * ATH9K_DYNACK=n (experimental)
  * ATH9K_CHANNEL_CONTEXT=y (needed for multi-channel concurrency)
  - New options specific to ARM (I think, all disabled):
  * MFD_HI6421_PMIC
  * MFD_RK808
  * MFD_RN5T618
  * SOC_TI
  * EXTCON_RT8973A
  * TI_ADC128S052
  * MAX5821
  * BMG160
  * AL3320A
  * GPIO_DWAPB
  * GPIO_MCP23S08
  - x86/x86_64:
  * IOSF_MBI_DEBUG=n (default)
  - Power:
  * GENERIC_CPU=y (ppc64)
  * POWER7_CPU=y (ppc64le)
  * CXL=m
  - System Z:
  * UPROBE_EVENT=y
- commit ab4cc2f
* Wed Oct 22 2014 tiwai@suse.de
- Use fop for creating PDF files in kernel-docs package
  As some files still cannot be built with the default backend.
- commit 0de03e2
* Wed Oct 22 2014 tiwai@suse.de
- Fix build of PDF files in kernel-docs package
  Double the spaces for tex, and fix buildrequires for docbook.
- commit 9e1f511
* Mon Oct 20 2014 tiwai@suse.de
- Enable some IIO drivers for xen flavors too (bnc#898828)
- commit 6c9b613
* Mon Oct 20 2014 agraf@suse.de
- Delete patches.arch/cubox-configuration.patch.
  - cubox should be used via device tree now
- commit 2a9b81b
* Mon Oct 20 2014 tiwai@suse.de
- Enable some IIO drivers on x86 for Tablet sensors (bnc#898828)
  Only a limited number of drivers are enabled as of now.  If more other
  device-specific drivers are needed, enable appropriately later.
- commit e3b6d24
* Sun Oct 19 2014 dsterba@suse.cz
- Revert "Btrfs: race free update of commit root for ro snapshots"
- commit fd16010
* Fri Oct 17 2014 jbeulich@suse.com
- Update Xen patches to 3.17.1.
- commit e3f9aac
* Wed Oct 15 2014 jslaby@suse.cz
- Linux 3.17.1.
- commit 16cdf1f
* Thu Oct  9 2014 jeffm@suse.com
- block: copy bi_vcnt in __bio_clone_fast (boo#888259).
- commit 263fe49
* Tue Oct  7 2014 jbeulich@suse.com
- Revert "supported.conf: i2c-core -> i2core." - the respective
  upstream change got reverted too.
  This reverts commit 602eb759ffd78c04efb82a041167718d98180ffd.
- commit afa08f0
* Tue Oct  7 2014 jbeulich@suse.com
- Update Xen patches to 3.17-final and c/s 1266.
- commit 28bdf1b
* Mon Oct  6 2014 jeffm@suse.com
- Update to 3.17-final.
- commit ba887ef
* Mon Oct  6 2014 jack@suse.cz
- Refresh patches.suse/ovl01-vfs-add-i_op-dentry_open.patch.
- commit c1c43b8
* Mon Oct  6 2014 jack@suse.cz
  Removing RICHACL support since it never went upstream and noone seems
  to really care (bnc#892834)
- Delete
  patches.suse/0001-vfs-Hooks-for-more-fine-grained-directory-permission.patch.
- Delete
  patches.suse/0002-vfs-Add-generic-IS_ACL-test-for-acl-support.patch.
- Delete
  patches.suse/0003-vfs-Add-IS_RICHACL-test-for-richacl-support.patch.
- Delete
  patches.suse/0004-richacl-In-memory-representation-and-helper-function.patch.
- Delete
  patches.suse/0005-richacl-Permission-mapping-functions.patch.
- Delete
  patches.suse/0006-richacl-Compute-maximum-file-masks-from-an-acl.patch.
- Delete
  patches.suse/0007-richacl-Update-the-file-masks-in-chmod.patch.
- Delete
  patches.suse/0008-richacl-Permission-check-algorithm.patch.
- Delete
  patches.suse/0009-richacl-Helper-functions-for-implementing-richacl-in.patch.
- Delete patches.suse/0010-richacl-Create-time-inheritance.patch.
- Delete
  patches.suse/0011-richacl-Check-if-an-acl-is-equivalent-to-a-file-mode.patch.
- Delete patches.suse/0012-richacl-Automatic-Inheritance.patch.
- Delete
  patches.suse/0013-richacl-Restrict-access-check-algorithm.patch.
- Delete patches.suse/0014-richacl-xattr-mapping-functions.patch.
- Delete
  patches.suse/0016-ext4-Implement-richacl-support-in-ext4.patch.
- commit 81acd03
* Mon Oct  6 2014 jack@suse.cz
- Update
  patches.fixes/xfs-mark-all-internal-workqueues-as-freezable.patch
  (bnc#899785).
- commit 951f215
* Mon Oct  6 2014 jack@suse.cz
- xfs: mark all internal workqueues as freezable.
- commit ba6c1f6
* Mon Sep 29 2014 jeffm@suse.com
- Update to 3.17-rc7.
- commit 6304463
* Thu Sep 25 2014 jbeulich@suse.com
- patches.suse/stack-unwind: Reduce the number of cases where
  hitting broken/missing unwind information would result in a full
  but predictably pointless linear scan of the FDEs. Some cosmetic
  cleanup.
- commit 8a52bcb
* Mon Sep 22 2014 jeffm@suse.com
- Update to 3.17-rc6.
- commit 811b3a2
* Mon Sep 22 2014 jbeulich@suse.com
- patches.arch/x86_64-unwind-annotations: Fix patch format (as reported
  by Luis Rodriguez).
- commit f35848e
* Thu Sep 18 2014 jbeulich@suse.com
- Update EC2 config files again (adding DEBUG_INFO_DWARF4).
- commit 82404e9
* Thu Sep 18 2014 jbeulich@suse.com
- supported.conf: i2c-core -> i2core.
- commit 602eb75
* Thu Sep 18 2014 jbeulich@suse.com
- Refresh patches.xen/xen3-patch-3.17-rc5 (fix build issue on native).
- commit 000c18b
* Wed Sep 17 2014 jbeulich@suse.com
- Update EC2 config files (re-enable DEBUG_INFO).
- commit c7796ab
* Wed Sep 17 2014 jbeulich@suse.com
- Update Xen patches to 3.17-rc5.
- config.conf: Re-enable Xen configs.
- Update config files.
- commit 7069df5
* Tue Sep 16 2014 jdelvare@suse.de
- Update s390x config files: disable CONFIG_EXTCON_SM5502
  Enabling CONFIG_EXTCON_SM5502 broke the build, because this option
  should depend on CONFIG_I2C which is not enabled on s390x. So disable
  CONFIG_EXTCON_SM5502 on s390x, and also disable CONFIG_EXTCON as
  there is no point in enabling it when no extcon device driver is
  selected.
- commit f48cb05
* Mon Sep 15 2014 jeffm@suse.com
- Update to 3.17-rc5.
- Config changes:
  - NAT config option splitout, no real change:
  - CONFIG_IP6_NF_NAT=m
  - CONFIG_IP_NF_NAT=m
  - CONFIG_NETFILTER_XT_NAT=m
  - CONFIG_NF_NAT_H323=m
  - CONFIG_NF_NAT_IPV4=m
  - CONFIG_NF_NAT_IPV6=m
  - CONFIG_NF_NAT_PPTP=m
  - CONFIG_NF_NAT_PROTO_GRE=m
  - CONFIG_NF_NAT_SNMP_BASIC=m
- commit 5a3d027
* Sun Sep 14 2014 jdelvare@suse.de
- Update s390x config files: Disable CONFIG_WATCHDOG_NOWAYOUT
  It's already disabled on all other architectures for a long time and
  has been causing problems on s390x (bnc#756585, bnc#895103.)
- commit 04827b4
* Tue Sep  9 2014 agraf@suse.de
- ARM: Update config files: Enable DRM
- commit 066bdc8
* Tue Sep  9 2014 matwey.kornilov@gmail.com
- config: armv7hl/default: Disable DMA for MUSB
  Hi, this is both for stable and master.
  An issue is the following. We can not have multiple DMA modes in the same kernel due to current musb design.
  So, it will work only for specific hardware (OMAP DMA). Current configuration leads to OOPS at BeaglBone Black (CPI41 DMA which is disabled), because it tries to use wrong DMA functions (from OMAP DMA).
  The fairest way to fix it is to disable DMA for all hardware until fix in upstream.
  [agraf: copy changes to lpae flavor as well]
- commit 957d74e
* Mon Sep  8 2014 jeffm@suse.com
- Update to 3.17-rc4.
- No config changes.
- commit 9c66470
* Mon Sep  8 2014 agraf@suse.de
- kernel-obs-build: Force load kernel modules
  - fixes QEMU kiwi builds
- commit 9a27fc1
* Mon Sep  8 2014 agraf@suse.de
- rpm/kernel-obs-build.spec.in: Enable 32bit ARM builds
- commit 3ccdab2
* Sun Sep  7 2014 agraf@suse.de
- ARM: Update config files.
  - armv7: Increase CMA size to 64MB
  - arm64: Switch to 4k pages, enables KVM on more systems and 32bit compat
- commit 62283c7
* Sat Sep  6 2014 dmueller@suse.com
- config: armv7hl/lpae: Reenable support for Hugepages
  This was apparently accidentally disabled, but we need
  hugepages support for improved performance and stability
  of the KVM build workers.
- commit 3d06ff1
* Fri Sep  5 2014 agraf@suse.de
- rpm/kernel-binary.spec.in: Always build zImage for ARM
- commit 14e56cc
* Wed Sep  3 2014 mmarek@suse.cz
- rpm/kernel-source.spec.in: Create a kernel-macros package with the KMP macros
  This package does not have multiversion(kernel) and is not built in the
  - rt tree (bnc#867595).
- commit 9b6a6fe
* Wed Sep  3 2014 mmarek@suse.cz
- rpm/kernel-source.spec.in: Install doc files in a versioned directory (bnc#867595)
- commit deb25bc
* Tue Sep  2 2014 jeffm@suse.com
- Update to 3.17-rc3.
- Config changes:
  - x86_64: KEXEC_FILE=y
- commit 1149eb3
* Mon Sep  1 2014 agraf@suse.de
- ARM: Update config files: Disable NFC, it results in endless depmod loops
- commit c64eeb2
* Thu Aug 28 2014 matwey.kornilov@gmail.com
- config: armv7hl/default: Disable pcie-spear13xx and gpio-zynq
  This is for master (Kernel:HEAD) to fix build:
  [30000s] ERROR: "dw_pcie_host_init" [drivers/pci/host/pcie-spear13xx.ko] undefined!
  [30000s] ERROR: "dw_handle_msi_irq" [drivers/pci/host/pcie-spear13xx.ko] undefined!
  [30000s] ERROR: "dw_pcie_msi_init" [drivers/pci/host/pcie-spear13xx.ko] undefined!
  [30000s] ERROR: "dw_pcie_cfg_write" [drivers/pci/host/pcie-spear13xx.ko] undefined!
  [30000s] ERROR: "dw_pcie_cfg_read" [drivers/pci/host/pcie-spear13xx.ko] undefined!
  [30000s] ERROR: "dw_pcie_setup_rc" [drivers/pci/host/pcie-spear13xx.ko] undefined!
  [30000s] ERROR: "dw_pcie_link_up" [drivers/pci/host/pcie-spear13xx.ko] undefined!
  [30003s] ERROR: "handle_fasteoi_irq" [drivers/gpio/gpio-zynq.ko] undefined!
- commit f6ce720
* Wed Aug 27 2014 jslaby@suse.cz
- Update config files.
  Turn off udev firmware loading as udev does not provide this service
  anymore and it causes delays. This kernel on older distros still
  should load the fw on its own. (bnc#891645)
- commit 2873b40
* Wed Aug 27 2014 jeffm@suse.com
- Update to 3.17-rc2.
- Config changes:
  - PCI_DRA7XX=n on ARM
  - I2C_ACPI renamed to ACPI_I2C_OPREGION.
- commit 8f730c5
* Tue Aug 26 2014 schwab@suse.de
- config: arm64/default: reenable ARM64_CRYPTO
- commit 9768fa4
* Mon Aug 25 2014 agraf@suse.de
- Update armv6hl config file
- commit 2d13fa5
* Mon Aug 25 2014 agraf@suse.de
- Update armv7l config files
- commit e915f04
* Mon Aug 25 2014 agraf@suse.de
- Update arm64 config file
- commit 90dba99
* Fri Aug 22 2014 jeffm@suse.com
- config: disable COMMON_CLK_QCOM on non-ARM architectures
- commit 901b82f
* Fri Aug 22 2014 jeffm@suse.com
- Update to 3.17-rc1
- Eliminated 8 patches.
- ARM is disabled.
- Xen is disabled.
- Config changes:
  - Generic config options:
  * LOG_CPU_MAX_BUF_SHIFT=15 (32kb, only used with ncpus > 64)
  * KEXEC_VERIFY_SIG=y (needed for secure boot to not get our keys revoked)
  * FW_LOADER_USER_HELPER_FALLBACK=y (we use udev)
  * MESSAGE_LOGLEVEL_DEFAULT=4 (default)
  * DEBUG_INFO_SPLIT=n (would be nice to do =y, but do our tools support it?)
  * DEBUG_INFO_DWARF4=y
  * TEST_RHASHTABLE=n
  * TEST_FIRMWARE=n
  * TEST_UDELAY=n
  * FENCE_TRACE=n
  * GLOB_SELFTEST=n
  * CONFIG_SPI=y
  - USB_MSI2500 depends on SPI
  - Every other SPI driver is disabled
  - New modules:
  * NF_LOG_ARP=m
  * NF_LOG_IPV4=m
  * NF_LOG_IPV6=m
  * NFT_BRIDGE_REJECT=m
  * NF_LOG_BRIDGE=m
  * 6LOWPAN=m
  * TABLET_SERIAL_WACOM4=m
  * I2C_ACPI=y
  * W1_SLAVE_DS2406=m
  * SENSORS_POWR1220=m
  * SENSORS_TPS40422=m
  * SENSORS_TMP103=m
  * IR_XMP_DECODER=m
  * USB_MSI2500=m
  * USB_AIRSPY=m
  * VIDEO_SOLO6X10=m
  * HID_GT683R=m
  * HID_LENOVO=m
  * USB_LINK_LAYER_TEST=m
  * EDAC_IE31200=m
  * RTC_DRV_PCF85063=m
  * MFD_MAX8907=m
  * VIDEO_SOLO6X10=m
  * TOSHIBA_HAPS=m
  * EXTCON_SM5502=m
  * PHY_ST_SPEAR1310_MIPHY=m
  * PHY_ST_SPEAR1340_MIPHY=m
  * THUNDERBOLT=m
  * CRYPTO_DRBG_MENU=m
  - CRYPTO_DRBG_HMAC=y
  - CRYPTO_DRBG_HASH=y
  - CRYPTO_DRBG_CTR=y
  * CRYPTO_DEV_QAT_DH895xCC=m
  * CRYPTO_DES3_EDE_X86_64=m
  * INTEL_MIC_BUS=m
  * INTEL_MIC_X100_DMA=m
  * UNISYS_VISORUTIL=m
  - UNISYS_VISORCHANNEL=m
  - UNISYS_VISORCHIPSET=m
  - UNISYS_CHANNELSTUB=m
  - UNISYS_UISLIB=m
  - UNISYS_VIRTPCI=m
  - UNISYS_VIRTHBA=m
  - ppc64/ppc64le:
  * SENSORS_IBMPOWERNV=m
  * KVM_BOOK3S_64_HV=m
  * CMA_DEBUG=n
  * CMA_AREAS=7 (default)
  - s390x:
  * IRQ_DOMAIN_DEBUG=n
- commit 7627acb
* Thu Aug 21 2014 tiwai@suse.de
- Btrfs: Fix memory corruption by ulist_add_merge() on 32bit arch
  (bnc#887046).
- commit b1e2a41
* Thu Aug 21 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix the version variables in the generated
  Makefile (bnc#892973)
- commit 8331f47
* Wed Aug 20 2014 mmarek@suse.cz
- rpm/compress-vmlinux.sh: Do not duplicate the job of brp-99-compress-vmlinux
- commit e561498
* Wed Aug 20 2014 afaerber@suse.de
- config: arm64: Enable RTC_DRV_HID_SENSOR_TIME
  For consistency across ARM configs.
  This drags in IIO. For consistency, in turn use:
  CONFIG_IIO_SIMPLE_DUMMY=m
  CONFIG_HID_SENSOR_IIO_TRIGGER=m
  CONFIG_IIO_PERIODIC_RTC_TRIGGER=m
  CONFIG_IIO_INTERRUPT_TRIGGER=m
  CONFIG_IIO_SYSFS_TRIGGER=m
  CONFIG_IIO_BUFFER=y
  CONFIG_IIO_KFIFO_BUF=m
  CONFIG_HID_SENSOR_*=m
- commit 7a6e5f7
* Wed Aug 20 2014 afaerber@suse.de
- config: armv6hl: Re-enable DWC2 USB support
  The config update/cleanup for v3.16-rc3 mistakenly disabled USB_DWC2,
  which is needed for the Raspberry Pi.
  Fixes: d2f49e165ca3 ("config: armv6hl: Update config for 3.16-rc3")
- commit cc9f241
* Wed Aug 20 2014 afaerber@suse.de
- config: ARM: Change RTC drivers to built-in
  Consistently do not build RTC drivers as modules. This fixes subtle
  differences between armv7hl default and lpae flavors and avoids any
  timing-related driver initialization issues.
  To make RTC_DRV_88PM80X built-in, make MFD_88PM800 built-in, too.
  To make RTC_DRV_PM8XXX built-in, make MFD_PM8921_CORE built-in, too.
- commit cf526c8
* Mon Aug 18 2014 schwab@suse.de
- rpm/kernel-binary.spec.in: Fix missing quotes around %%build_flavor
  %%build_flavor can be an arbitrary string, so it needs to be quoted for
  string comparison.
- commit 0134440
* Mon Aug 18 2014 dvaleev@suse.com
- rpm/kernel-obs-build.spec.in: Use dracut for SLE12
- commit ec64eaf
* Mon Aug 18 2014 afaerber@suse.de
- config: armv6hl: Enable DMA_BCM2835
  Only bcm2835 option missing.
- commit 1fd2cdd
* Mon Aug 18 2014 afaerber@suse.de
- config: armv7hl: Enable DWMAC_SUNXI for lpae flavor as well
  Without this, the Cubietruck has no network in LPAE mode.
- commit 4f16280
* Sun Aug 17 2014 jslaby@suse.cz
- Linux 3.16.1.
- commit 9353bcb
* Wed Aug 13 2014 tiwai@suse.de
- Revert "config: armv7hl: Disable OMAP DRM"
  This reverts commit f92487dbd7a305531e4cc54c41609b8f77a1bc30.
  The previous commit should fix the build error of omapdrm.
- commit 07174c1
* Wed Aug 13 2014 tiwai@suse.de
- drm: omapdrm: fix compiler errors.
- commit ee3abc8
* Wed Aug 13 2014 afaerber@suse.de
- config: armv7hl: Disable OMAP DRM
  To avoid errors such as:
  ../drivers/gpu/drm/omapdrm/omap_plane.c: In function 'omap_plane_pre_apply':
  ../drivers/gpu/drm/omapdrm/omap_plane.c:145:2: error: format '%%x' expects argument of type 'unsigned int', but argument 5 has type 'dma_addr_t' [-Werror=format=]
    DBG("%%d,%%d %%08x %%08x", info->pos_x, info->pos_y,
    ^
  ../drivers/gpu/drm/omapdrm/omap_plane.c:145:2: error: format '%%x' expects argument of type 'unsigned int', but argument 6 has type 'dma_addr_t' [-Werror=format=]
  cc1: all warnings being treated as errors
  disable OMAP DRM for now.
  Two patches were sent upstream by Matwey V. Kornilov but didn't find
  their way into v3.16. Once patches are applied, revert this commit.
- commit f92487d
* Wed Aug 13 2014 afaerber@suse.de
- config: arm64: Disable ARM64 crypto extensions
  To avoid build errors such as:
  ld: cannot find arch/arm64/crypto/aes-glue-ce.o: No such file or directory
  ../scripts/Makefile.build:411: recipe for target 'arch/arm64/crypto/aes-ce-blk.o' failed
  disable support for ARM64 crypto extensions for now.
  A patch was submitted upstream by Andreas Schwab but didn't make it into
  v3.16. Once that is available, this commit should be reverted.
- commit 5f99cfd
* Tue Aug 12 2014 schwab@suse.de
- config: arm64/default: make rtc-pl03[01] built-in
- commit 1b1d9da
* Fri Aug  8 2014 jeffm@suse.com
- rtsx_usb: export device table (bnc#890096).
- commit a29135e
* Fri Aug  8 2014 tiwai@suse.de
- Delete patches.drivers/drm-cirrus-Use-16bpp-as-default (bnc#890599).
- commit 820d92f
* Wed Aug  6 2014 jbeulich@suse.com
- Update Xen patches to 3.16-final.
- vscsi: support larger transfer sizes (bnc#774818).
- commit 0e31675
* Tue Aug  5 2014 jeffm@suse.com
- nfs: nfs3_list_one_acl(): check get_acl() result with
  IS_ERR_OR_NULL (bko#81111 bnc#889790).
- commit c485b2b
* Tue Aug  5 2014 jeffm@suse.com
- reiserfs: fix corruption introduced by balance_leaf refactor.
- commit 37d2234
* Mon Aug  4 2014 jeffm@suse.com
- config: disable CONFIG_PPC_PS3 on ppc64le
  The PS3 hardware is big-endian.
- commit a9046ed
* Mon Aug  4 2014 jeffm@suse.com
- config: resync vanilla configs (no actual changes)
- commit 2821f4c
* Mon Aug  4 2014 jeffm@suse.com
- Update to 3.16.
- commit bf5b385
* Thu Jul 31 2014 jkosina@suse.cz
- Refresh patches.fixes/input-add-acer-aspire-5710-to-nomux.patch: update
  upstream reference.
- commit 7690e04
* Wed Jul 30 2014 jdelvare@suse.de
- Revert "config: disable USB_UAS (bnc#888069)."
  This reverts commit f509af67eb3a98665e0134eaadb91e93420d9e04. The uas
  driver works fine since kernel v3.15, the problem was that the
  module was blacklisted so it would not load when needed.
- commit 9b5a5f0
* Wed Jul 30 2014 jbeulich@suse.com
- Update Xen patches to 3.16-rc7 and c/s 1263.
- netbk: Don't destroy the netdev until the vif is shut down
  (bnc#881008).
- commit a2720a7
* Tue Jul 29 2014 jeffm@suse.com
- config: disable USB_UAS (bnc#888069).
  uas is already blacklisted in /etc/modprobe.d/50-blacklist.conf as
  being hopelessly broken, but there are parts of usb-storage that are
  ifdef'd around it being configured at all. Let's disable it completely.
- commit f509af6
* Tue Jul 29 2014 jeffm@suse.com
- Update to 3.16-rc7.
- commit 47ebc04
* Mon Jul 28 2014 schwab@suse.de
- config: arm64/default: increase LOG_BUF_SHIFT to 18
- commit f45208d
* Mon Jul 28 2014 lpechacek@suse.cz
- doc/README.SUSE: update Solid Driver team contacts
- commit a90946c
* Thu Jul 24 2014 jdelvare@suse.de
- Update config files: disable CONFIG_STE_MODEM_RPROC
  I was told by Dmitry Tarnyagin and Linus Walleij that there exists no
  public hardware that needs this driver, so there is no point in
  building it and shipping it.
- commit 85b815c
* Mon Jul 21 2014 jeffm@suse.com
- config: sync vanilla configs
- commit a0523f2
* Mon Jul 21 2014 jeffm@suse.com
- Update to 3.16-rc6.
- Eliminated 1 patch.
- commit 2736eea
* Mon Jul 21 2014 jdelvare@suse.de
- Update armv7hl config files for 3.16-rc5
  New driver CONFIG_USB_EHCI_MSM=m.
- commit f1230bd
* Fri Jul 18 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not sign firmware files (bnc#867199)
- commit 38f105d
* Mon Jul 14 2014 jeffm@suse.de
- Update to 3.16-rc5.
- Eliminated 1 patch.
- commit e709184
* Fri Jul 11 2014 jdelvare@suse.de
- Update ppc config files: Disable ChromeOS drivers
  No Chromebook is based on PowerPC so these drivers are useless on ppc.
- commit aa23827
* Wed Jul  9 2014 mmarek@suse.cz
- rpm/package-descriptions: Drop descriptions for dropped flavors
- commit aa68ae6
* Wed Jul  9 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/post(un).sh: Drop checks for dropped archs/flavors
- commit bd6afed
* Wed Jul  9 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: No scriptlets in kernel-zfcpdump
  The kernel should not be added to the bootloader nor are there any KMPs.
- commit bcca34b
* Mon Jul  7 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Delete the build-id links created by vdso_install
- commit ca040af
* Mon Jul  7 2014 jeffm@suse.com
- Update to 3.16-rc4.
- commit 45467d6
* Sun Jul  6 2014 afaerber@suse.de
- config: armv7hl: Update configs for 3.16-rc3
  * Samsung Exynos is now in default flavor, drop exynos flavor
  * Enable Freescale/Xilinx for default flavor only
  * Enable Qualcomm/LSI for both default and lpae flavors
  * Enable Allwinner A20+ in lpae flavor, A10+ in default flavor
  * Enable Hisilicon Hi3xxx in default flavor
  * Enable Renesas RZ/A in default flavor
  * Enable big.LITTLE switcher module
  * Enable PCI for Freescale/Marvell/Nvidia/Samsung
  but keep device drivers to minimum, as known boards are mini PCIe only
  * Build in some more serial drivers for console use
  * Enable some missing USB media device driver modules
  * Disable OMAP4 V4L as it cannot be built as module (Matwey K.)
- commit ca6193e
* Sun Jul  6 2014 afaerber@suse.de
- config: arm64: Update config for 3.16-rc3
- commit 28b0756
* Sun Jul  6 2014 afaerber@suse.de
- config: armv6hl: Update config for 3.16-rc3
- commit d2f49e1
* Fri Jul  4 2014 jdelvare@suse.de
- Update config files: Disable CONFIG_DRM_I2C_NXP_TDA998X
  Disable the TDA998x driver in all flavors where is not needed.
- commit 267d4c1
* Fri Jul  4 2014 mmarek@suse.cz
- kbuild: Do not print the build directory with make -s.
- commit 6bf8303
* Thu Jul  3 2014 jbeulich@suse.com
- Update Xen patches to 3.16-rc3 and c/s 1261.
- config.conf: Re-enable Xen configs.
- Update x86 config files.
- commit 56ffa43
* Wed Jul  2 2014 jeffm@suse.com
- Delete
  patches.fixes/drm-msm-replace-type-of-paddr-to-uint32_t.patch.
- commit 29c1c05
* Wed Jul  2 2014 jeffm@suse.com
- Update to 3.16-rc3.
- Eliminated 1 patch.
- commit d86449f
* Tue Jul  1 2014 jdelvare@suse.de
- net: fix circular dependency in of_mdio code.
- commit 66576dd
* Tue Jul  1 2014 jdelvare@suse.de
- drm/msm: Replace type of paddr to uint32_t.
  This fixes the build on armv7l.
- commit 17a35a3
* Mon Jun 30 2014 schwab@suse.de
- rpm/kernel-obs-build.spec.in: add support for aarch64
  Use Image for kernel_name on aarch64 and add virtio_mmio to KERNEL_MODULES.
- commit 6024dc9
* Fri Jun 27 2014 mmarek@suse.cz
- rpm/compress-vmlinux.sh: Compress vmlinux after find-debuginfo.sh (bnc#884459)
- commit 381a192
* Thu Jun 26 2014 mmarek@suse.cz
- rpm/old-flavors: Obsolete kernel-trace-base by kernel-default
  (bnc#884364)
- commit 568f3cc
* Thu Jun 26 2014 mmarek@suse.cz
- rpm/old-flavors: Explicitly list subpackages to obsolete
- commit 5595ce2
* Wed Jun 25 2014 jbeulich@suse.com
- patches.fixes/bridge-module-get-put.patch,
  patches.suse/stack-unwind: Update Patch-mainline tag.
- commit a0f93ad
* Tue Jun 24 2014 jeffm@suse.com
- config: disable X86_GOLDFISH
  It seems to be built-in and generates loads of messages like:
  genirq: Flags mismatch irq 4. 00000000 (serial) vs. 00000080 (goldfish_pdev_bus)
- commit 37599aa
* Tue Jun 24 2014 jeffm@suse.com
- patches.suse/stack-unwind: VSYSCALL_START replaced with VSYSCALL_ADDR.
- commit f5ee8e7
* Tue Jun 24 2014 jeffm@suse.de
- Update to 3.16-rc2.
- Config changes:
  - Generic config options:
  * RANDOMIZE_BASE=n (default n)
  - With only 9 bits of entropy on 64-bit systems, is it worthwhile?
  - System z:
  * DIAG288_WATCHDOG=m
  - New options specific to ARM (I think), all disabled:
  * I2C_RK3X (SoC)
- commit f93db59
* Tue Jun 24 2014 ddiss@suse.de
- Refresh patch-mainline tags
  patches.fixes/cifs-Do-not-send-ClientGUID-on-SMB2.02-dialect.patch
  patches.fixes/cifs-Set-client-guid-on-per-connection-basis.patch
- commit 9b8b77a
* Mon Jun 23 2014 jslaby@suse.cz
- asus-wmi: Set WAPF to 4 for Asus X550CA (bnc#882234).
- commit 7d71861
* Mon Jun 23 2014 mmarek@suse.cz
- rpm/post.sh: Also check for grub2 config
- commit 0844541
* Mon Jun 23 2014 mmarek@suse.cz
- Port ppc64le packaging fixes from 'SLE12' to 'packaging'
- commit c233eb3
* Mon Jun 23 2014 ddiss@suse.de
- fs/cifs: Fix broken pathnames with mapchars (bnc#883750).
- commit 44c0fc3
* Mon Jun 23 2014 jdelvare@suse.de
- Update config files: Enable Realtek RTL8723AU support
  This wireless network chipset is found in hybrid notebooks/tablets
  such as the first Lenovo Yoga 13.
- commit 0cf7afd
* Tue Jun 17 2014 jslaby@suse.cz
- Linux 3.15.1.
- commit fb8e7ed
* Mon Jun 16 2014 jeffm@suse.de
- Update to 3.16-rc1.
- Eliminated 10 patches.
- ARM is disabled.
- Xen is disabled.
- Config changes:
  - Generic config options:
  * UEVENT_HELPER=y (default y)
  - It should be obsolete - needs review
  * SGETMASK_SYSCALL=y/n
  - default varies by architecture, used default
  * DEBUG_PI_LIST=n (default n)
  * TRACEPOINT_BENCHMARK=n (default n)
  - Only needed if developing tracepoint infrastructure
  * TEST_BPF=n (default n)
  - New options for existing drivers:
  * QLCNIC_HWMON=y (default y)
  * ISDN_CAPI_CAPIDRV_VERBOSE=y (helpful messages, cost only in capi.ko)
  - New modules:
  * SERIAL_SC16IS7XX (i2c)
  * SENSORS_SHTC1 (i2c)
  * USB_GSPCA_DTCS033 (usb)
  * SND_BCD2000 (firewire)
  * SND_FIREWORKS (firewire)
  * SND_BEBOB (firewire)
  * HID_RMI (usb)
  * MMC_USDHI6ROL0 (usb)
  * MMC_REALTEK_USB (usb)
  * MEMSTICK_REALTEK_USB (usb)
  * R8192EE (pci)
  * INPUT_GPIO_BEEPER (generic gpio)
  * NFT_BRIDGE_META (netfilter)
  * CAN_GS_USB (USB)
  * MTD_SPI_NOR (SPI)
  * AMD_XGBE (PCI)
  - x86/x86_64:
  * DELL_SMO8800=m
  * SENSORS_NCT6683=m (found on Intel DQ87PG motherboards)
  * INTEL_SOC_DTS_THERMAL=m
  * X86_GOLDFISH=y (platform driver, used for virtual Android development)
  - KEYBOARD_GOLDFISH_EVENTS=m
  - GOLDFISH_TTY=m
  - BATTERY_GOLDFISH=m
  - MMC_GOLDFISH=m
  - GOLDFISH_AUDIO=m
  - MTD_GOLDFISH_NAND=m
  - GOLDFISH_PIPE=m
  * CRYPTO_SKEIN=n (default n)
  - staging, only available on 64-bit x86 - usefulness?)
  * CRYPTO_THREEFISH=n (same)
  * I2C_CROS_EC_TUNNEL=m (also available on ARM)
  * X86_16BIT=y (default y, required for wine, minimal runtime savings)
  - ppc64le:
  * VIRTUALIZATION=y
  - KVM_BOOK3S_64=m
  - KVM_BOOK3S_64_PR=m
  - KVM_XICS=y
  - New options specific to ARM (I think), all disabled:
  * NFC_ST21NFCA (datasheet says intended for mobile phone use)
  * USB_DWC2
  * SYSTEMPORT
  * KEYBOARD_OMAP4
  * PINCTRL_APQ8064
  * PINCTRL_IPQ8064
  * GENERIC_CPUFREQ_CPU0
  * RTC_DRV_XGENE
  * MFD_AXP20X
- commit 6ff907a
* Mon Jun 16 2014 tiwai@suse.de
- drm/i915, HD-audio: Don't continue probing when nomodeset is
  given (bnc#882648).
- commit cc07b60
* Mon Jun 16 2014 jdelvare@suse.de
- Update config files: Disable CONFIG_8723AU_P2P
  Disable this as it is reported to be totally broken and can cause
  a kernel oops.
- commit a014268
* Fri Jun 13 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Build in a subdirectory of the source tree
  So that the build can use relative paths.
- commit 8eb070a
* Tue Jun 10 2014 jbeulich@suse.com
- swiotlb: don't assume PA 0 is invalid (bnc#865882).
- Update Xen patches to 3.15 final.
- Update x86-64 Xen config files.
- commit 0a9fc1a
* Mon Jun  9 2014 jeffm@suse.de
- Update to 3.15.
- commit 91a9a36
* Thu Jun  5 2014 mmarek@suse.cz
- rpm/package-descriptions: kernel-vmi is gone
- rpm/mkspec: Obsolete $flavor-{devel,extra} $flavor-base is obsolete
  (bnc#881490)
- rpm/kernel-module-subpackage: Obsolete -trace KMPs (bnc#881490)
- rpm/old-flavors: Obsolete also kernel-trace-base (bnc#881490)
- commit 38d4d09
* Thu Jun  5 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not require hmaccalc on 13.1 and earlier
- commit d7a84f7
* Wed Jun  4 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Allow find-debuginfo.sh to create vmlinux.debug
- commit 9b3c48f
* Mon Jun  2 2014 tiwai@suse.de
- usb: musb: tusb6010: Use musb->tusb_revision instead of
  tusb_get_revision call (bnc#872715).
- usb: musb: tusb6010: Add tusb_revision to struct musb to store
  the revision (bnc#872715).
- commit 6141be1
* Mon Jun  2 2014 jeffm@suse.de
- Update to 3.15-rc8.
- commit 93f605c
* Mon Jun  2 2014 mmarek@suse.cz
- Obsolete kernel-trace by kernel-default
- commit 1eb3f59
* Mon Jun  2 2014 jdelvare@suse.de
- Update config files: Disable CONFIG_XO15_EBOOK
  The xo15-ebook driver is useless without the rest of OLPC support. So
  I left it enabled only in i386/default and i386/vanilla.
- commit 9694fd3
* Wed May 28 2014 jdelvare@suse.de
- Update config files: Disable gpio-fan and ntc_thermistor drivers
  Disable the gpio-fan and ntc_thermistor hwmon drivers on all
  architectures where they are not used.
- commit 96f5b60
* Wed May 28 2014 jbeulich@suse.com
- Update Xen patches to 3.15-rc7.
- commit f8382bf
* Tue May 27 2014 jeffm@suse.de
- Update to 3.15-rc7.
- Eliminated 1 patch.
- Config changes:
  - CX_ECAT=m (default n) for i386/x86_64
  - The vendor supplying this hardware only uses 32/64-bit Atom CPUs.
    This may need to be revisited if the hardware extends to different
    architectures (ARM, probably).
  - SENSORS_NTC_THERMISTOR=m (default n)
  - Sensor chip that could be found essentially anywhere.
- commit e9c45a3
* Mon May 26 2014 ddiss@suse.de
- cifs: fix client guid reuse logic
  Client guid reuse across multiple protocol versions causes mount
  failures against Windows 2012 servers (bnc#879932).
- patches.fixes/cifs-Set-client-guid-on-per-connection-basis.patch
- patches.fixes/cifs-Do-not-send-ClientGUID-on-SMB2.02-dialect.patch
- commit 289f0e9
* Fri May 23 2014 jeffm@suse.de
- config: sync vanilla configs for 3.15-rc6.
- commit acf7dab
* Fri May 23 2014 jeffm@suse.de
- Update to 3.15-rc6.
- Config changes:
  - ACPI_PROCFS_POWER=y (default n)
  - Should eventually be =n once userspace tools have been audited.
- commit d2be7e3
* Fri May 23 2014 jdelvare@suse.de
- Update ppc config files: Disable SH_MOBILE media drivers
  These are useless on PowerPC.
- commit cacd723
* Fri May 23 2014 ddiss@suse.de
- Update config files: enable CONFIG_CIFS_SMB2
  cifs.ko is currently built with support for the base SMB1/CIFS dialect
  only. SMB1/CIFS support can be disabled in Windows 8.1 and Windows
  Server 2012 R2, and is completely unsupported with the Microsoft Azure
  File service, leaving cifs.ko users unable to access files on such
  servers without this change (fate#317480).
- commit 837860b
* Fri May 23 2014 jdelvare@suse.de
- Update config files: Disable remaining R-CAR drivers
  These drivers are useless except on arm/shmobile.
- commit 2dd69e8
* Wed May 21 2014 jdelvare@suse.de
- Fix a typo in config/ppc/vanilla, sorry
- commit cc68f12
* Wed May 21 2014 jdelvare@suse.de
- Update config files: Disable unused RTC platform drivers
- commit 85c0b8b
* Wed May 21 2014 jdelvare@suse.de
- Update config files: Disable the rtc-moxart driver
  This driver is only needed on Moxa ART systems, which we do not
  support.
- commit 9939e8f
* Tue May 20 2014 jbeulich@suse.com
- supported.conf: Take care of a few driver renames/splits/etc.
- commit ed5e591
* Tue May 20 2014 jbeulich@suse.com
- Update Xen config files: Set compatibility level back to 4.1
  (bnc#851338).
- commit 22da852
* Mon May 19 2014 jdelvare@suse.de
- Update armv7hl/default config file: CONFIG_DRM_PTN3460=y
  Align on what exynos has, in anticipation of both files being
  merged someday.
- commit 8ba853c
* Mon May 19 2014 jdelvare@suse.de
- Update config files: Disable DRM_PTN3460
  Currently it's only needed on arm/exynos.
- commit 6f380e7
* Mon May 19 2014 jdelvare@suse.de
- Update armv7hl/exynos config file: CONFIG_DRM_PTN3460=y
  DRM_EXYNOS_DP depends on DRM_PTN3460, and we have the former built-in,
  so the latter must be built-in as well. Otherwise we get a linker
  failure like:
  .../linux-3.15-rc5/drivers/gpu/drm/exynos/exynos_dp_core.c:1004:
  undefined reference to `ptn3460_init'
- commit bb0a6e6
* Fri May 16 2014 jdelvare@suse.de
- Update config files: Disable all EG20T drivers except on i386
  EG20T (aka Topcliff PCH) is a chipset for 32-bit x86 processors, so
  we only need these drivers on i386.
- commit 923c7d2
* Fri May 16 2014 mhocko@suse.cz
- memcg: fix swapcache charge from kernel thread context (bnc#878306).
- commit 8eaaed7
* Fri May 16 2014 jdelvare@suse.de
- Update arm64 config file to fix the build
- commit beb76a8
* Fri May 16 2014 afaerber@suse.de
- config: armv6hl: Update config to 3.15-rc5
- commit 15546e3
* Fri May 16 2014 afaerber@suse.de
- config: armv7hl: Update configs to 3.15-rc5
- commit de0d16f
* Thu May 15 2014 jdelvare@suse.de
- Update armv7hl/lpae config file: Enable SERIAL_TEGRA
  Despite what the Kconfig text says, the serial-tegra driver works on
  all Tegra platforms.
- commit 222a09f
* Thu May 15 2014 jdelvare@suse.de
- Update ppc64le config files: Disable DA903x support completely
  It makes no sense to support some sub-drivers and not the rest.
- commit 269e033
* Thu May 15 2014 duwe@suse.de
- Update config files:
  i386/x86_64/ppc64/ppc64le disable:
  timeriomem-rng
  pwm-pca9685
  unsupported RTC drivers
  ssd1307fb/da903x_bl
- commit 7725871
* Wed May 14 2014 afaerber@suse.de
- config: arm64: Update config for 3.15
- commit 2d96bf1
* Wed May 14 2014 jbeulich@suse.com
- Update Xen patches to 3.15-rc5.
- privcmd: actually batch hypercalls for batch ioctls.
- Refresh patches.xen/xen-blkfront-indirect (bnc#876786).
- config.conf: Re-enable Xen configs.
- Update x86 config files.
- commit 9ebd57d
* Wed May 14 2014 jbeulich@suse.com
- Refresh patches.suse/stack-unwind (dump_trace_unwind() can be static).
- commit 47a05b6
* Tue May 13 2014 jdelvare@suse.de
- Update ec2 config files: Disable CAN support
  It was enabled by accident.
- commit 4f49dd9
* Tue May 13 2014 jbeulich@suse.com
- patches.suse/stack-unwind: Drop bogus (redundant) asmlinkage from
  unwind_init_running() definition.
- commit d2673c3
* Mon May 12 2014 tiwai@suse.de
- pvpanic: Set high notifier priority (bnc#875220).
- commit da0842c
* Mon May 12 2014 jeffm@suse.de
- Update to 3.15-rc5.
- Eliminated 2 patches.
- Config changes:
  - CAN_C_CAN_STRICT_FRAME_ORDERING=n (default)
- commit 7f2c6bf
* Mon May 12 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not keep debug symbols in vmlinux-*.gz
  (bnc#877267)
- commit f928d60
* Wed May  7 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Package .vmlinuz-*.hmac as well
- commit 3375bd7
* Wed May  7 2014 jdelvare@suse.de
- Update x86 config files: Disable unused CAN drivers
  Disable platform, grcan and tscan1 CAN drivers. Disable ISA and EG20T
  CAN drivers on x86_64. These are believed to be useless, and will
  only be enabled upon explicit request.
- commit dab25a2
* Wed May  7 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Exclude /boot/symtypes* from the base/main package
  Also, get rid of the comparison of the base and devel filelist.
- commit f1e303f
* Wed May  7 2014 tiwai@suse.de
- ALSA: hda - Add dock pin setups for Thinkpad T440 (bnc#876699).
- commit efc8676
* Tue May  6 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix packaging of vmlinux debuginfo
  (bnc#875946)
  Add the uncompressed vmlinux image as ghost file to the main package, so
  that the vmlinux debuginfo generated by rpm natively and put into the
  right package.
- commit 26b7a64
* Tue May  6 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Simplify filelist for files in /boot
- commit ef040ff
* Mon May  5 2014 mmarek@suse.cz
- Enable CONFIG_INTEL_TXT on i586 as well (fate#311820, fate#311962,
  bnc#707666, bnc#875575)
- commit 403ada2
* Mon May  5 2014 jslaby@suse.cz
- Refresh
  patches.fixes/n_tty-Fix-n_tty_write-crash-when-echoing-in-raw-mode.patch.
  Add commit SHA
- commit 4f0c42a
* Mon May  5 2014 jslaby@suse.cz
- n_tty: Fix n_tty_write crash when echoing in raw mode
  (bnc#871252 bnc#875690 CVE-2014-0196).
- commit f6299c2
* Tue Apr 29 2014 guillaume.gardet@oliseo.fr
- Re-eanble ARM kernel in config.conf file and update all ARM configs:
  * config/arm64/default:
  - Add SATA/PATA support
  - Add voltage and regulator support
  * config/armv6hl/default:
  - Add external I2C controllers
  - Add usermode SPI driver
  * config/armv7hl/default:
  - Add I2C support for Tegra SoC
  - Add external I2C controllers
  - Add SPI, GPIO and watchdog support to Davinci/Keystone SoC
  - Add RTC driver for Tegra and sunxi SoC
  - Enhance nVidia Tegra support with MFD_NVEC and KEYBOARD_TEGRA
  - Add OMAP4 video input support
  - Add IR receiver
  - Add iMX HDMI support
  - Add Serial support for Tegra SoC
  * config/armv7hl/exynos:
  - Trivial update
  * config/armv7hl/lpae:
  - Add I2C support for Tegra SoC
  - Add external I2C controllers
  - Add SPI, GPIO and watchdog support to Davinci/Keystone SoC
  - Remove unused Terga20/Tegra30 SPI support
  - Add RTC driver for Tegra and sunxi SoC
  - Enhance nVidia Tegra supprt with MFD_NVEC and KEYBOARD_TEGRA
  - Add IR receiver
  - Add iMX HDMI support
- commit fcd7b3d
* Tue Apr 29 2014 jeffm@suse.com
- Update to 3.15-rc3.
- commit 62b5593
* Tue Apr 29 2014 jeffm@suse.com
- config: sync PCI changes to s390x/vanilla
- commit 807a685
* Tue Apr 29 2014 jdelvare@suse.de
- Update arm config files: Enable all USB-to-serial drivers
  Specifically, enable USB_SERIAL_WISHBONE, USB_SERIAL_MXUPORT and
  USB_SERIAL_QT2 on all arm flavors.
- commit 589f44f
* Tue Apr 29 2014 jdelvare@suse.de
- Update arm64 config file: Disabled 3 unneeded drivers
  Align the arm64 config file with the rest of the config files:
  CONFIG_ATMEL_SSC is not set
  CONFIG_FB_TMIO is not set
  CONFIG_FB_GOLDFISH is not set
- commit aaf60ce
* Tue Apr 29 2014 jdelvare@suse.de
- Update config files: Enable CONFIG_USB_SERIAL_SIMPLE
  This is a unified driver replacing several drivers we were shipping
  so far, so we should ship it too.
- commit 0d558c9
* Tue Apr 29 2014 mmarek@suse.cz
- Enable CONFIG_INTEL_TXT on x86_64 (fate#311820, fate#311962,
  bnc#707666, bnc#875575)
- commit 8f9c4ac
* Mon Apr 28 2014 jeffm@suse.com
- unwind: remove check for vdso32 compat range.
  This fixes a build failure introduced in 3.15-rc1.
- commit 66cfb7b
* Mon Apr 28 2014 mmarek@suse.cz
- rpm/kernel-obs-build.spec.in: Require only perl-Bootloader
- commit 573fc1b
* Mon Apr 28 2014 mmarek@suse.cz
- rpm/kernel-obs-qa.spec.in: Use per-flavor path for the logfile
- commit 717e968
* Mon Apr 28 2014 jeffm@suse.com
- powerpc: export flush_icache_range.
- commit f47acdb
* Sun Apr 27 2014 jeffm@suse.com
- s390: enable PCI to match SLE12 kernel configs
- PCI=y
- HOTPLUG_PCI=y
- HOTPLUG_PCI_S390=y
- PCI_IOV=y
- INFINIBAND=m
- INFINIBAND_USER_ACCESS=m
- MLX4_INFINIBAND=m
- MLX4_EN=m
- RDS_RDMA=m
  New devices since 3.12:
- MLX5_CORE=m
- MLX5_INFINIBAND=m
- SUNRPC_XPRT_RDMA_CLIENT=m
- SUNRPC_XPRT_RDMA=m
- SUNRPC_XPRT_RDMA_SERVER=m
- All others defaulted to No.
- commit ae2780e
* Sun Apr 27 2014 jeffm@suse.com
- s390: add slab.h for kzalloc/kfree.
- commit 7e349ea
* Sun Apr 27 2014 jeffm@suse.com
- patches.suse/ovl05-overlay-filesystem.patch: fix vfs_rename call due to changed prototype
- commit 0a26d0b
* Sun Apr 27 2014 jeffm@suse.de
- Update to 3.15-rc2.
- Config changes:
  - Generic config options:
  * IPMI_SI_PROBE_DEFAULTS=y (default=n)
  - older hardware only works with boot option
  - New options specific to ARM:
  * PINCTRL_BCM281XX=n (default)
- commit c35b255
* Sun Apr 27 2014 jeffm@suse.de
- Update to 3.15-rc1.
- Xen is disabled.
- ARM is disabled.
- Eliminated 3 patches.
- Config changes:
  - Generic config options:
  * USELIB=y (default) - only used for libc5 users, do we care?
  * SYSFS_SYSCALL=y (default) - libc doesn't even supported it anymore,
  do we care?
  * ACPI_REDUCED_HARDWARE_ONLY=n (default)
  * CGROUP_NET_PRIO=y (new feature, do we want it?)
  * LOCK_TORTURE_TEST=n (default)
  * EVM=n (default)
  - New options for existing drivers:
  * BATMAN_ADV_MCAST=y (default=n) -- optimization w/ better reliability
  * BT_6LOWPAN=y (default=n) -- new feature
  * MTD_UBI_BLOCK=n (default -- do we even care about UBI?)
  * ZRAM_LZ4_COMPRESS=y (new feature)
  * BE2NET_VXLAN=y (default)
  * MLX4_EN_VXLAN=y (default)
  * QLCNIC_VXLAN=y (default=n) - enabled for other drivers
  * IWLWIFI_BCAST_FILTERING=n (default)
  - New modules:
  * IP_SET_HASH_IPMARK
  * INTEL_MEI_TXE
  * DM_ERA
  * ALTERA_TSE
  * RTL8723BE
  * RSI_91X
  - RSI_DEBUGFS=n
  - RSI_SDIO=m
  - RSI_USB=m
  * INPUT_PWM_BEEPER
  * SENSORS_LTC2945
  * SENSORS_LTC4222
  * SENSORS_LTC4260
  * SENSORS_ADC128D818
  * MFD_RTSX_USB
  * IR_SHARP_DECODER
  * IR_IMG
  - IR_IMG_RAW=n (documented as performance degrading and for debugging)
  - IR_IMG_NEC=y
  - IR_IMG_JVC=y
  - IR_IMG_SONY=y
  - IR_IMG_SHARP=y
  - IR_IMG_SANYO=y
  * DRM_PTN3460
  * USB_UAS
  * DVB_RTL2832_SDR (USB)
  * ALIENWARE_WMI
  * PWM_LPSS
  * SUNRPC_XPRT_RDMA_CLIENT=m (default)
  * SUNRPC_XPRT_RDMA_SERVER=m (default)
  - x86_64:
  * EFI_MIXED=n (default) -- do we use a bootloader that can support it?
  - ppc/ppc64le:
  * HV_PERF_CTRS=y (default)
  * POWERNV_CPUFREQ=y (default)
  - Probably ARM but looks generic, all modules:
  * SPMI
  * GPIO_DWAPB
  * HID_CP2112
  * MFD_TPS65218
  * GPIO_SYSCON (depends on MFD_SYSCON, which looks to be only used by ARM)
  - New options specific to ARM (I think), all disabled:
  * IMX_THERMAL
  * AHCI_IMX
  * PWM_FSL_FTM
  * OMAP_CONTROL_PHY
  * PHY_SAMSUNG_USB2
  * FSL_EDMA
  * XILINX_WATCHDOG
  * GS_FPGABOOT
  * BCMGENET
  * SXGBE_ETH
  * MFD_BCM590XX
  * BCM7XXX_PHY
  - New options specific to tablets, all disabled:
  * INPUT_SOC_BUTTON_ARRAY (windows tablet)
  * R8723AU (Lenovo Yogi)
  - Other weird hardware:
  * CONFIG_MCB=n (specific to MEN Mikroelektronik FGPA devices)
  - Changes undocumented here were changed automatically.
- commit c0815d2
* Sun Apr 27 2014 jslaby@suse.cz
- Linux 3.14.2.
- commit 91d5ef4
* Thu Apr 24 2014 jdelvare@suse.de
- Update config files: Disable CONFIG_NFC on s390x and ppc64le
  NFC support makes little sense on server-class hardware.
- commit 5cbf723
* Thu Apr 24 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not store the buildroot in the .hmac file
- commit ce5bd7a
* Thu Apr 24 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Add hmaccalc to buildrequires
- commit 9cca2fa
* Wed Apr 23 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Generate a hmac singature for the kernel
  (fate#316930, bnc#856310)
- commit 2659f6f
* Wed Apr 23 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Drop conditionals for -kdump and -ps3
- commit 01fab08
* Wed Apr 23 2014 adrian@suse.de
- require kernel-obs-build
  It must be also configured as VMinstall, but is a build requires
  as well to avoid that qa and build package build parallel after kernel-default
  or kernel-xen have changed.
- commit 7a16a4e
* Wed Apr 23 2014 adrian@suse.de
- improve error logging in case the kernel module could not get loaded
- commit 3811667
* Wed Apr 23 2014 adrian@suse.de
- add block device modules for xen kernel-obs-build image
- commit 04fbb81
* Wed Apr 23 2014 jdelvare@suse.de
- Update arm64 config file
  I'm an idiot :-(
- commit 6e9f0a1
* Wed Apr 23 2014 jdelvare@suse.de
- Update arm64 config file: Disable CONFIG_IIO
  It is disabled in all other non-ARM configuration files.
- commit 8cbbb4c
* Tue Apr 22 2014 jdelvare@suse.de
- Update arm64 config file: Disable CONFIG_RTC_DRV_HID_SENSOR_TIME
  It forcibly selects CONFIG_IIO, which we don't want.
- commit 9afef89
* Tue Apr 15 2014 jdelvare@suse.de
- Update arm config files: Disable Cadence network drivers
  Disable ARM_AT91_ETHER in all arm config files, it is only needed on
  Atmel AT91 which we don't support.
  CONFIG_MACB is useful on armv6hl/default (for ARCH_PICOXCELL) and
  armv7hl/default (for ARCH_ZYNQ.) Disable it in all other config files.
- commit 43063d0
* Tue Apr 15 2014 jdelvare@suse.de
- Disable CONFIG_NET_CADENCE on non-ARM
- commit 00acb46
* Tue Apr 15 2014 guillaume.gardet@opensuse.org
- Update armv7hl configs
  * config/armv7hl/default :
  - Switch CONFIG_PHYLIB from =m to =y (fix Ethernet on iMX6 boards)
  - Enable CONFIG_USB_DWC3* to add USB3 support for keystone SoC only
  - Enable CONFIG_USB_CHIPIDEA* to add USB support for iMX boards
  * config/armv7hl/exynos :
  - Enable CONFIG_USB_DWC3* to add USB3 support for Exynos SoC only
  * config/armv7hl/lpae :
  - Switch CONFIG_PHYLIB from =m to =y (fix Ethernet on iMX6 boards)
  - Enable CONFIG_USB_DWC3* to add USB3 support for keystone boards
  - Enable CONFIG_USB_CHIPIDEA* to add USB support for iMX boards
- commit 4337939
* Mon Apr 14 2014 mmarek@suse.cz
- Add kernel-obs-qa-xen.spec
- commit f73cebd
* Mon Apr 14 2014 jslaby@suse.cz
- Update config files.
- commit 13cc815
* Mon Apr 14 2014 jslaby@suse.cz
- Linux 3.14.1.
- commit 117c27b
* Fri Apr 11 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Only sign the kernel on x86_64
- commit e0d4304
* Thu Apr 10 2014 jeffm@suse.com
- config: eliminate trace flavor
  With the tracing options synced to the other flavors, we can eliminate
  the trace flavor entirely.
  This implicitly disables the following options that used to be set
  in the trace flavors:
  IRQSOFF_TRACER: carries a substantial runtime overhead
  MMIOTRACE: really only needed for driver development
  FTRACE_SELFTEST: introduces noticible delays during boot
  FTRACE_STARTUP_TEST: introduces noticible delays during tracer startup
- commit 8020846
* Thu Apr 10 2014 jeffm@suse.com
- config: sync RING_BUFFER_BENCHMARK=m on s390x configs
  It is enabled as a module on every other config.
- commit 0b42220
* Thu Apr 10 2014 jeffm@suse.com
- config: enable STACK_TRACER on all flavors
  It carries no runtime overhead when disabled (and it is by default).
- commit fea9446
* Thu Apr 10 2014 jeffm@suse.com
- config: enable FTRACE_SYSCALLS on all flavor files
  It incurs no runtime overhead other than a few KB of memory.
- commit 3427d84
* Thu Apr 10 2014 jeffm@suse.com
- config: enable SCHED_TRACER on all flavors
  It doesn't have any runtime overhead except for a few KB of memory.
- commit 9125183
* Thu Apr 10 2014 jeffm@suse.com
- config: enable ftrace features on all flavors
  We enable the following function tracing options:
- FUNCTION_TRACER
- DYNAMIC_FTRACE
- FUNCTION_PROFILER
- FUNCTION_GRAPH_TRACER
  With dynamic ftrace, there is very little runtime overhead.
  FUNCTION_GRAPH_TRACER is disabled only on ARM because it enables
  frame pointers there, so there is a real runtime cost even when it
  is disabled.
- commit ce4047b
* Thu Apr 10 2014 mmarek@suse.cz
- Generate kernel-obs-*.spec from templates
- commit b2e5f7c
* Wed Apr  9 2014 jdelvare@suse.de
- Update debug config files: enable TTY_PRINTK
  Enabled only in debug kernels for now, as it can't be modular yet.
  Once it can be built as a module, we can enable it in other flavors
  as well.
- commit 043a9a9
* Tue Apr  8 2014 jdelvare@suse.de
- Update arm64 config file: disable CONFIG_USB_DWC3_KEYSTONE
  This driver is only needed on Texas Instruments Keystone2 platforms.
- commit 4e4e502
* Tue Apr  8 2014 jdelvare@suse.de
- Update ppc config files: disble HW_RANDOM_ATMEL
  This driver is only needed on Atmel AT91 systems.
- commit 2cac896
* Tue Apr  8 2014 jdelvare@suse.de
- Update arm/exynos config file: disable AHCI_IMX
  This driver is only used on Freescale i.MX systems so it isn't needed
  on Exynos.
- commit 45d6387
* Tue Apr  8 2014 jdelvare@suse.de
- Update arm config files: Disable exynos support
  Disable exynos support in all non-exynos configuration files, as we
  have a dedicated kernel flavor for exynos.
- commit c65cb20
* Fri Apr  4 2014 mmarek@suse.cz
- rpm/kernel-module-subpackage: Regenerated the initrd in %%posttrans
  (fate#313506)
- commit c0b6219
* Fri Apr  4 2014 jbeulich@suse.com
- Refresh Xen patches (bnc#870874, bnc#871827).
- commit 00dd4e3
* Fri Apr  4 2014 jdelvare@suse.de
- Update x86_64 config files: disable CONFIG_SBC8360_WDT
  The sbc8360 driver is for a Socket 370-based single-board computer,
  so it's useless on x86-64.
- commit 47efdd9
* Fri Apr  4 2014 adrian@suse.de
- fix building initrd for SLE 12
  It does provided and load the critical kernel modules
  for building some kiwi images and cross architecture
  builds like used for aarch64.
  The kernel-obs-build.spec still contains the bits to allow
  to use it also for SLE 11.
- commit e9868b7
* Thu Apr  3 2014 guillaume.gardet@oliseo.fr
- Refresh patches.rpmify/chipidea-clean-up-dependencies
  Replace OF_DEVICE by OF (OF_DEVICE does not exist anymore.)
- commit 299b9cd
* Thu Apr  3 2014 duwe@suse.de
- Refresh patches.suse/pstore-backend-autoaction.
  Fix valid gcc warnings about an unitialised return code
  and printf format problems.
- commit c90cc87
* Thu Apr  3 2014 jdelvare@suse.de
- Update config files: disable all of Timberdale support
  Timberdale is a companion chip for Atom CPUs in embedded in-car
  infotainment systems. We don't need that in openSUSE, really.
- commit 47e54c8
* Wed Apr  2 2014 jdelvare@suse.de
- Update config files: disable CONFIG_I2C_SI470X
  I2C access to the SI470X radio chip is only needed on embedded systems
  so it makes no sense to enable it in most of our kernel configuration
  files.
- commit b60e271
* Wed Apr  2 2014 jbeulich@suse.com
- Refresh patches.xen/xen3-patch-3.7 (fix another AR build issue).
- commit 59b27eb
* Wed Apr  2 2014 jdelvare@suse.de
- Update config files: re-enable twofish crypto support
  Software twofish crypto support was disabled in several architectures
  since openSUSE 10.3. For i386 and x86_64 it was on purpose, because
  hardware-accelerated alternatives exist. However for all other
  architectures it was by accident.
  Re-enable software twofish crypto support in all configuration files,
  to guarantee that at least one implementation is always available,
  (bnc#871325).
- commit 8f37fd4
* Wed Apr  2 2014 mmarek@suse.cz
- rpm/kernel-syms.spec.in: Require pesign-obs-integration for signing KMPs
- commit e68d5fc
* Tue Apr  1 2014 jslaby@suse.cz
- Delete patches.arch/arm-omap3isp.patch.
  superseded by 31036441d785359999e45bf410c778f64ffcab64
- commit fd18f9e
* Tue Apr  1 2014 ohering@suse.de
- Fix typo in netfront, in type check of unplug code
- commit 6623a43
* Tue Apr  1 2014 jdelvare@suse.de
- Update config files: disable CONFIG_TOUCHSCREEN_W90X900
  The w90p910_ts driver only makes sense on the W90x900 architecture,
  which we do not support.
- commit 4ebef59
* Tue Apr  1 2014 jbeulich@suse.com
- Update Xen patches to 3.14-final and c/s 1256.
- blkback: allow using indirect request segment descriptors
  (fate#316871).
- blkfront: allow using indirect request segment descriptors
  (fate#316871).
- commit fbd23cd
* Tue Apr  1 2014 jdelvare@suse.de
- Update config files: CONFIG_HID_BATTERY_STRENGTH=y
  CONFIG_HID_BATTERY_STRENGTH was already enabled on i386, x86_64 and
  most of arm. Enable this feature on all other architectures which can
  benefit from it.
- commit aec4432
* Mon Mar 31 2014 jeffm@suse.de
- Update to 3.14.
- commit 5795bd9
* Fri Mar 28 2014 jdelvare@suse.de
- Update i386/desktop config file: enable CONFIG_RCU_FAST_NO_HZ
  All other x86 kernels have CONFIG_RCU_FAST_NO_HZ enabled so the
  i386/desktop kernel should too.
- commit 05ea8f5
* Fri Mar 28 2014 jdelvare@suse.de
- Update ppc config files: adjust filesystems modularity
  Build reiserfs, fat and vfat support as modules as we do on every
  other architecture. Also align the reiserfs debugging features on
  x86_64.
- commit 0985b71
* Wed Mar 26 2014 jdelvare@suse.de
- Update ec2 config files: disable HID device drivers
  I don't think the HID drivers for non-standard keyboards and mice
  are needed at all on EC2.
- commit 9fdef61
* Tue Mar 25 2014 jeffm@suse.com
- Update to 3.14-rc8.
- commit b356c6a
* Tue Mar 25 2014 jdelvare@suse.de
- Update x86 config files: enable CONFIG_HID_BATTERY_STRENGTH
  Looks like a cool feature to support on desktop systems. As it has
  to be built-in, I'm only enabling it on x86 for now, because I don't
  know for sure how useful it would be on other architectures. Feel
  free to enable on any other architecture where it would be useful.
- commit 1edfe71
* Tue Mar 25 2014 jdelvare@suse.de
- Update ec2 config files: disable CONFIG_INPUT_FF_MEMLESS
  This helper module is useless on EC2.
- commit c2808f3
* Tue Mar 25 2014 jdelvare@suse.de
- Update i386 config files: Modularize all HID device drivers
  HID device drivers are modularized in all config files except arm*
  and desktop, so i386/pae, i386/trace and i386/xen should do the same.
- commit 3c2834b
* Tue Mar 25 2014 jdelvare@suse.de
- Update i386 config files: CONFIG_HID=y
  Align the CONFIG_HID setting of the i386/debug, i386/default and
  i386/vanilla config files with what is done in every other config
  file (but s390x and ec2.)
- commit 177a262
* Mon Mar 24 2014 jdelvare@suse.de
- Refresh patches.suse/kconfig-automate-kernel-desktop.
  Options CGROUPS and CGROUP_SCHED are no longer disabled in desktop
  kernel.
- commit 148e111
* Thu Mar 20 2014 jdelvare@suse.de
- Update s390x config files: disable CONFIG_INPUT_FF_MEMLESS
  It was set by mistake, obviously.
- commit 89fa272
* Wed Mar 19 2014 tiwai@suse.de
- Enable Socketcan again for i386 and x86_64 (bnc#858607)
- commit d1f1027
* Tue Mar 18 2014 jdelvare@suse.de
- Update vanilla config files: enable console rotation
  It's enabled in all other kernel flavors so it should be enabled in
  vanilla too.
- commit 1384611
* Tue Mar 18 2014 jdelvare@suse.de
- config: set CONFIG_X86_INTEL_LPSS in trace and vanilla
  Trying to keep the trace and vanilla kernels in sync with default.
- commit 09e4895
* Tue Mar 18 2014 jdelvare@suse.de
- Align the x86_64 debug config file on the default config
  For real this time.
- commit 0b5593a
* Mon Mar 17 2014 jeffm@suse.de
- Update to 3.14-rc7.
- Eliminated 1 patch.
- commit 56ad46a
* Mon Mar 17 2014 jdelvare@suse.de
- Align the x86_64 debug config file on the default config
  This makes it much easier to validate that the debug config file only
  diverges from default by debug and testing options.
- commit 37f104e
* Mon Mar 17 2014 jdelvare@suse.de
- config.conf: ia64 is history
- Delete config/ia64/debug.
- Delete config/ia64/default.
- Delete config/ia64/trace.
- Delete config/ia64/vanilla.
- commit 9e606b5
* Mon Mar 17 2014 tiwai@suse.de
- Enable CONFIG_IRDA_FAST_RR=y (bnc#860502)
- commit 3659420
* Sat Mar 15 2014 jdelvare@suse.de
- Update x86_64 config files: Disable AMD Elan SC520 drivers
  The AMD Elan SC520 is a 32-bit x86 processor, related drivers are
  useless on other architectures.
- commit e5b4397
* Sat Mar 15 2014 jdelvare@suse.de
- Update x86_64 and ia64 config files: Disable SC1200 drivers
  The SC1200 is a SoC based on the Geode GX1 32-bit x86 processor, so
  its drivers are useless on other architectures.
- commit 1058f71
* Fri Mar 14 2014 jdelvare@suse.de
- Update config files: Restore CONFIG_THERMAL_HWMON
  Setting CONFIG_THERMAL=y in commit e60ddcfe had the side effect of
  disabling CONFIG_THERMAL_HWMON in many configs that didn't have
  CONFIG_HWMON=y. So revert that change in all affected config files.
  Sorry for overlooking that originally.
- commit b197f4a
* Fri Mar 14 2014 jdelvare@suse.de
- Update config files: Drop all Geode-related drivers
  The Geode was a 32-bit x86 CPU, so all drivers for its companion
  chips (CS55xx) are useless on other architectures. Same for OT200
  drivers, as the Bachmann OT200 device was based on a Geode CPU.
- commit 0bdb147
* Fri Mar 14 2014 jdelvare@suse.de
- Update arm and ppc config files: Drop OLPC-related driver
  OLPC drivers are only useful on i386.
- commit c98f904
* Thu Mar 13 2014 jdelvare@suse.de
- Update debug config files: mac80211 debug options
  Enable all mac80211 debug options in all debug kernel flavors.
- commit 855178e
* Wed Mar 12 2014 guillaume.gardet@opensuse.org
- config: Fix version string for armv7hl/lpae
- commit d1a7ba5
* Wed Mar 12 2014 guillaume.gardet@opensuse.org
- ARM: Re-enable and update configs
- commit d73f266
* Tue Mar 11 2014 jbeulich@suse.com
- Update Xen patches to 3.14-rc6.
- commit cc55130
* Mon Mar 10 2014 jeffm@suse.com
- Update to 3.14-rc6.
- commit e9d20d4
* Fri Mar  7 2014 mmarek@suse.cz
- rpm/mkspec: Generate a per-architecture per-package _constraints file
- commit 65a07f7
* Fri Mar  7 2014 mmarek@suse.cz
- rpm/mkspec: Remove dead code
- commit 3fc95f5
* Thu Mar  6 2014 jdelvare@suse.de
- Update config files: CONFIG_THERMAL=y
  The generic thermal module is used by several ACPI components
  (processor, fan, thermal and video) and a few other drivers. So
  in practice it will end up being loaded on almost all systems
  which support ACPI. It is small so build it into the kernel to
  improve boot speed on all ACPI-enabled architectures (i386,
  x86_64 and ia64.)
- commit e60ddcf
* Wed Mar  5 2014 jeffm@suse.com
- Update to 3.14-rc5.
- commit 4126853
* Tue Mar  4 2014 jdelvare@suse.de
- Update ppc64le config files: disable STE_MODEM_RPROC
  Disable config option STE_MODEM_RPROC on all ppc64le flavors, because
  it draws dependencies which aren't available on ppc64le:
  warning: (REMOTEPROC && RPMSG) selects VIRTUALIZATION which has unmet direct dependencies (!CPU_LITTLE_ENDIAN)
- commit 712ca17
* Sat Mar  1 2014 mmarek@suse.cz
- rpm/mkspec: Fix whitespace in NoSource lines
- commit 6320617
* Sat Mar  1 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not zero modules.dep before using it
  (bnc#866075)
- commit b67b660
* Fri Feb 28 2014 jdelvare@suse.de
- Update config files: modularize BLK_DEV_MD, disable MD_AUTODETECT
  Michal Marek says:
  I think that the reason why BLK_DEV_MD is built in is
  config MD_AUTODETECT
    bool "Autodetect RAID arrays during kernel boot"
    depends on BLK_DEV_MD=y
  but since we compile the raid presonalities as modules, this cannot
  work. Also, we use the initrd even in the trivial cases, so why bother
  about root-on-md.
- commit db76347
* Fri Feb 28 2014 jdelvare@suse.de
- Update config files.
  Modularize the following helper drivers:
  INET_LRO, NET_CLS_CGROUP, DNS_RESOLVER
  They had to be built-in before due to dependencies, but this is no
  longer the case, so we can modularize them again.
- commit a970646
* Fri Feb 28 2014 jdelvare@suse.de
- Update x86 config files: CONFIG_X86_MSR=m
  The msr driver creates /dev/cpu/*/msr through which you can poke
  at all the MSRs if you have CAP_SYS_RAWIO. We prefer to be able
  to remove that module if it is not needed.
- commit 9e6b04a
* Fri Feb 28 2014 mmarek@suse.cz
- rpm/kernel-obs-build.spec: Drop useless ExclusiveArch statement
- commit 5cdf1da
* Fri Feb 28 2014 guillaume.gardet@oliseo.fr
- config: Update armv7/exynos
- Add sound support
- Add I2C/SPI support
- commit 93b38ce
* Fri Feb 28 2014 tiwai@suse.de
- ALSA: hda/sigmatel - Allow auto-switching for dock line-in of
  HP laptops (bnc#866100).
- commit 6367fe8
* Fri Feb 28 2014 jdelvare@suse.de
- Update config files: CONFIG_ISO9660_FS=m
  There is no good reason why isofs would be built into the kernel.
  Most systems don't need it after installation, and reportedly
  mkinitrd etc. can deal with it as a module just fine.
- commit 3dd8a1a
* Tue Feb 25 2014 jdelvare@suse.de
- Update config files: CONFIG_AUTOFS4_FS=y
  systemd requires autofs, so autofs4.ko will always be loaded on boot.
  For performance reasons, it makes sense to build it into the kernel
  (bnc#863771).
- commit 70247d1
* Tue Feb 25 2014 jbeulich@suse.com
- Update Xen patches to 3.14-rc4 and c/s 1252.
- privcmd: allow preempting long running user-mode originating
  hypercalls (bnc#861093).
- config.conf: Re-enable Xen configs.
- Update x86 config files.
- scripts/check-cvs-add: Disable config checking for now.
- commit d5aea30
* Mon Feb 24 2014 tiwai@suse.de
- Obsolete compat-wireless, rts5229 and rts_pstor KMPs
  These are found in SLE11-SP3, now replaced with the upstream drivers.
- commit 37738dd
* Mon Feb 24 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not obsolete ocfs2-kmp (bnc#865259)865259
- commit c8661b5
* Mon Feb 24 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Obsolete the -base package from SLE11 (bnc#865096)
- commit 3f926c3
* Mon Feb 24 2014 jeffm@suse.com
- config: disable PINCTRL_MSM and PINCTRL_MSM8X4
  These options were enable accidentally during the 3.14-rc1 update for
  just the i386/default config.
- commit 2ded0ed
* Mon Feb 24 2014 jeffm@suse.com
- Update to 3.14-rc4.
- Eliminated 1 patch.
- commit 16d4242
* Wed Feb 19 2014 jeffm@suse.com
- dmraid45: removed driver.
  This functionality should be offered by the dmraid driver.
- commit 9a83d77
* Tue Feb 18 2014 mszeredi@suse.cz
- cifs: ensure that uncached writes handle unmapped areas
  correctly (bnc#864025 CVE-2014-00691).
- commit 79c42c5
* Mon Feb 17 2014 jeffm@suse.com
- config: CONFIG_BCM_KONA_USB2_PHY=n on s390
- commit f30c873
* Mon Feb 17 2014 jeffm@suse.com
- acpi: Complete fix for thinkpad RSDT blacklist
- commit 2e62bb9
* Mon Feb 17 2014 jeffm@suse.com
- Update to 3.14-rc3.
- commit 058f759
* Mon Feb 17 2014 jeffm@suse.com
- dmraid45: updated to use new bvec iterators.
- commit 9e25806
* Mon Feb 17 2014 jeffm@suse.com
- acpi: Updated acpi=rsdt dmi blacklist to new variable name.
- commit 4bd9031
* Mon Feb 17 2014 jeffm@suse.com
- Update vanilla config files.
- commit b49cb75
* Fri Feb 14 2014 mmarek@suse.cz
- rpm/kernel-obs-build.spec: Do not mount /sys, the build script does it
- commit f11b02a
* Fri Feb 14 2014 jdelvare@suse.de
- Update config files: Disable TS5500-specific drivers
  These drivers are useless without TS5500 board support: mtd-ts5500,
  gpio-ts5500 and max197.
- commit 2a03456
* Fri Feb 14 2014 jslaby@suse.cz
- Linux 3.13.3 (bnc#799216).
- Refresh patches.xen/xen-x86-EFI.
- Refresh patches.xen/xen3-patch-3.12.
- Delete
  patches.drivers/drm-cirrus-Correct-register-values-for-16bpp.
- Update config files.
- commit d6e2c2f
* Thu Feb 13 2014 dvaleev@suse.de
- rpm/kernel-obs-build.spec: Fix for ppc64le
- commit 50c4205
* Wed Feb 12 2014 mq@suse.cz
- Scripts: .nosrc.rpm should contain only the specfile (bnc #639379)
- commit afe62e0
* Wed Feb 12 2014 jdelvare@suse.de
- Drop outdated comment
- commit 65bab82
* Wed Feb 12 2014 jbeulich@suse.com
- Refresh patches.xen/xen3-patch-3.13 (fix net{back,front} checksum setup).
- commit a23672f
* Wed Feb 12 2014 lpechacek@suse.cz
- doc/README.PATCH-POLICY.SUSE: updated links
- commit ac58062
* Tue Feb 11 2014 mmarek@suse.cz
- Delete unused patches.arch/ppc64le-fix-copytofrom.patch
- commit ce3dbc3
* Tue Feb 11 2014 tiwai@suse.de
- drm/cirrus: Fix cirrus drm driver for fbdev + qemu (bnc#856760).
- commit ee73224
* Tue Feb 11 2014 mq@suse.cz
- Spec: zeroing modules.dep to get identical builds among different machines
- commit a1c5879
* Tue Feb 11 2014 mmarek@suse.cz
- rpm/guards: Report which config file has problem in --check mode
- commit b39543d
* Mon Feb 10 2014 jeffm@suse.com
- Updated patch headers for 3.14-rc2.
- commit d0ea44a
* Mon Feb 10 2014 jeffm@suse.com
- Update to 3.14-rc2.
- Eliminated 1 patch.
- commit a5ab7bf
* Mon Feb 10 2014 mmarek@suse.cz
- doc/README.SUSE: Update to match the current package layout
- commit f357abb
* Mon Feb 10 2014 mmarek@suse.cz
- Add the README.SUSE file to the packaging branch
- commit 11905ea
* Thu Feb  6 2014 jslaby@suse.cz
- Linux 3.13.2 (bnc#860993 CVE-2014-0038).
- Delete patches.fixes/compat_sys_recvmmsg-x32-fix.patch.
- Refresh patches.xen/xen3-patch-2.6.37.
- Refresh patches.xen/xen3-patch-3.10.
- commit 7e6b5de
* Wed Feb  5 2014 mmarek@suse.cz
- Change also BuildRequires from module-init-tools to modutils
- commit f650166
* Tue Feb  4 2014 jeffm@suse.com
- Updated patch headers for 3.14-rc1.
- commit 967bc40
* Tue Feb  4 2014 jeffm@suse.com
- Update to 3.14-rc1.
- 19 patches eliminated.
- Xen is disabled.
- ARM is disabled.
- commit 691c6b1
* Fri Jan 31 2014 adrian@suse.de
- avoid double /sys mounts for kernel-obs-build, OBS is doing this meanwhile
- commit 3ea39a4
* Thu Jan 30 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Require 'modutils' also in the subpackages
- commit 91f0a2e
* Thu Jan 30 2014 mmarek@suse.cz
- Reformat the spec files to what the buildservice expects
- commit 0b9e9a1
* Wed Jan 29 2014 bp@suse.de
- compat_sys_recvmmsg X32 fix (bnc#860993 CVE-2014-0038).
- commit b4ff60b
* Wed Jan 29 2014 jslaby@suse.cz
- Linux 3.13.1.
- commit 01e2360
* Mon Jan 27 2014 mmarek@suse.cz
- rpm/kernel-source.spec.in: Add README.PATCH-POLICY.SUSE as source file
- commit 9c9ce61
* Mon Jan 27 2014 mmarek@suse.cz
- Drop the _constraints file, we are using the prjconf setting for now
- commit a0aa890
* Fri Jan 24 2014 jbeulich@suse.com
- Refresh Xen patches (fix PV driver build).
- commit d9213ce
* Thu Jan 23 2014 jkosina@suse.cz
- floppy: bail out in open() if drive is not responding to block0
  read (bnc#773058).
- commit 1d92189
* Wed Jan 22 2014 jbeulich@suse.com
- Update Xen patched to 3.13-final and c/s 1248.
- Update EC2 config files (restore CONFIG_DEBUG_INFO).
- commit a770ad7
* Tue Jan 21 2014 jeffm@suse.de
- Update to 3.13.
- commit ff46e6a
* Fri Jan 17 2014 ohering@suse.de
- xen: pv-on-hvm: skip initialization of emulated devices
  (fate#311487).
- commit f011587
* Fri Jan 17 2014 tiwai@suse.de
- ACPI: Blacklist Win8 OSI for some HP laptop 2013 models
  (bnc#856294).
- commit 0223704
* Fri Jan 17 2014 mmarek@suse.cz
- Revert "rpm/config.sh: Drop the ARM and PPC repositories"
  This was actually wrong, the ports repository is broken.
- commit a983897
* Fri Jan 17 2014 mmarek@suse.cz
- rpm/config.sh: Drop the ARM and PPC repositories
  The architectures are provided by the ports repository
- commit 96b9cec
* Tue Jan 14 2014 mmarek@suse.cz
- rpm/kernel-source.spec.in: Require kernel-devel%%variant
- commit 810ea41
* Tue Jan 14 2014 mhocko@suse.cz
- Delete patches.fixes/remount-no-shrink-dcache.
  the optimization is no longer needed because dcache_lock is long
  gone and replaced by RCU (see b5c84bf6f6 fs: dcache remove
  dcache_lock and others).
- commit 0092763
* Tue Jan 14 2014 mhocko@suse.cz
- Delete patches.fixes/oom-warning.
  The additional warning message is not worth carrying. Highorder
  or atomic allocations which are expected to fail should use
  __GFP_NOWARN to not pollute logs with allocation failures which are
  acceptable.
- commit c07fd34
* Tue Jan 14 2014 mhocko@suse.cz
- Update config files.
  Disable CONFIG_MEMCG_SWAP_ENABLED because it got enabled by accident.
  The CONFIG_MEMCG_SWAP is enabled but the accounting has to be explicitly
  allowed by swap_account=1 kernel command line parameter
- commit 402a841
* Mon Jan 13 2014 jeffm@suse.com
- Update to 3.13-rc8.
- commit 44ad2a9
* Sat Jan 11 2014 ohering@suse.de
- hv: set guest os id (bnc#814005).
- commit e3d0b5d
* Fri Jan 10 2014 mmarek@suse.cz
- rpm/mkspec: Fix for older Perl
- commit ecf021e
* Fri Jan 10 2014 mmarek@suse.cz
- rpm/mkspec: Add .changes file for kernel-obs-*.spec as well
- commit bd3c299
* Fri Jan 10 2014 ro@suse.de
- rpm/kernel-obs-build.spec: Fix building in chroot instead of Xen
- commit 57e89b6
* Thu Jan  9 2014 jdelvare@suse.de
- Disable CONFIG_MODULE_FORCE_UNLOAD (bnc#857673)
  Forcing module unloading can't lead to anything good. If reference
  counting is wrong then it should be fixed. If the reference count is
  right and a regular (unforced) unloading doesn't work, then a forced
  unloading can only lead to chaos and ultimately a kernel crash.
- commit 3d57f73
* Thu Jan  9 2014 afaerber@suse.de
- config: armv6hl: Extend default config for Raspberry Pi
  Enable CONFIG_FB_SIMPLE as that's what U-Boot exposes in DT.
- commit c7b8797
* Wed Jan  8 2014 afaerber@suse.de
- config: armv6hl: Extend default config for Raspberry Pi
  Activate CONFIG_ARM_ATAG_DTB_COMPAT for it to receive U-Boot bootargs.
  Enable BCM2835_{I2C,WDT}, MMC_SDHCI_BCM2835, USB_HCD_BCMA as modules.
- commit 57a2f1c
* Wed Jan  8 2014 jbeulich@suse.com
- Update Xen patches to 3.13-rc7 and c/s 1245.
- netback: bump tx queue length (bnc#849404).
- config.conf: Re-enable Xen configs.
- Update config files.
- commit 0e71aa4
* Tue Jan  7 2014 agraf@suse.de
- Delete config/armv7hl/cubox.
- commit 85bdaf6
* Mon Jan  6 2014 jeffm@suse.com
- Update to 3.13-rc7.
- Eliminated 1 patch.
- commit fed42b5
* Mon Jan  6 2014 jdelvare@suse.de
- Disable CONFIG_I2C_VIA in config/x86_64/desktop too
- commit febc20c
* Mon Jan  6 2014 jdelvare@suse.de
- Disable CONFIG_I2C_VIA, no 64-bit system would need it
- commit 95d3d3d
* Fri Jan  3 2014 mmarek@suse.cz
- Switch to linux-*.tar.xz
- commit 27d9f61
* Fri Jan  3 2014 mmarek@suse.cz
- Add support for linux-*.tar.xz to the spec files
- commit d12c880
* Thu Jan  2 2014 agraf@suse.de
- ARM: Reenable and update configs
- commit 0d77ece
* Thu Jan  2 2014 jeffm@suse.de
- Update to 3.13-rc6.
- commit 63236e5
* Thu Dec 26 2013 jeffm@suse.de
- Update to 3.13-rc5.
- Eliminated 3 patches.
- commit 7127d5f
* Mon Dec 23 2013 dvaleev@suse.com
- Run add_vmlinux for ppc64le
- commit ae96e26
* Mon Dec 23 2013 agraf@suse.de
- ibmveth: Fix more little endian issues.
- powerpc: Don't return to BE mode when we are already there.
- powerpc: Add hack to make ppc64le work on hosts without ILE.
- powerpc: Add relocation code for fixups.
- powerpc: Add global exports for all interrupt vectors.
- commit 3d0a348
* Sat Dec 21 2013 jeffm@suse.de
- Update to 3.13-rc4.
- ppc64le/vanilla appears to have not been resynced when copied.
- commit 82b44e7
* Fri Dec 20 2013 agraf@suse.de
- Update config files: Disable relocation on ppc64le (it's broken)
- commit fbe0eb5
* Thu Dec 19 2013 agraf@suse.de
- Update config files: Disable kvm for ppc64le (not implemented upstream)
- commit 7fa2dfd
* Thu Dec 19 2013 agraf@suse.de
- powerpc: PTRACE_PEEKUSR always returns FPR0.
- commit c9829ea
* Thu Dec 19 2013 agraf@suse.de
- PPC: Build only vmlinux target.
- commit 04c2cde
* Thu Dec 19 2013 agraf@suse.de
- powerpc: Make 64-bit non-VMX __copy_tofrom_user bi-endian.
- commit 0044320
* Thu Dec 19 2013 agraf@suse.de
- Add ppc64le support (configs are a copy of the ppc64 ones with LE enabled)
- commit d86dbed
* Thu Dec 19 2013 agraf@suse.de
- sched: Remove PREEMPT_NEED_RESCHED from generic code.  (fixes ppc)
- commit 605502a
* Thu Dec 19 2013 agraf@suse.de
- Disable 32-on-64 ptrace patch, it breaks for ppc64le
- commit a943cf8
* Thu Dec 19 2013 agraf@suse.de
- Update config files
  - remove epapr bytechan interface, we don't support booke
- commit 68ab0ab
* Wed Dec 18 2013 tiwai@suse.de
- Disable simplefb and x86 sysfb due to breakage (bnc#855821)
- commit 656db57
* Wed Dec 18 2013 adrian@suse.de
- Add kernel-obs-build to use the distribution kernel within OBS VM builds.
  Add kernel-obs-qa to test that the kernel is booting within OBS VMs. It may run also further tests later on.
- commit e9cfd5c
* Tue Dec 17 2013 mmarek@suse.cz
- Port module signing changes from SLE11-SP3 (fate#314508)
- commit 8a264a3
* Mon Dec 16 2013 ohering@suse.de
- fbmem: really support wildcard video=options for all fbdev
  drivers.
- commit 5b170d7
* Mon Dec 16 2013 ohering@suse.de
- Delete
  patches.suse/suse-hv-Drivers-hv-util-Fix-a-bug-in-util-version-negotiatio.patch.
- commit b3125ee
* Mon Dec 16 2013 jkosina@suse.cz
- doc/README.PATCH-POLICY.SUSE: add patch policy / best practices document
- commit 60893d6
* Fri Dec 13 2013 tiwai@suse.de
- Add missing CONFIG_PINCTRL_SINGLE kconfig setups
- commit 39ea148
* Thu Dec 12 2013 jdelvare@suse.de
- config.conf: s390 is history
- Delete config/s390/s390.
- Delete config/s390/trace.
- Delete config/s390/vanilla.
- commit 2bf5161
* Thu Dec 12 2013 jdelvare@suse.de
- Delete patches.suse/ida-remove-warning-dump-stack.patch.
  Already included since kernel 3.11 (WARN calls dump_stack.)
- commit 8e04564
* Wed Dec 11 2013 jdelvare@suse.de
- rpm/guards: Spelling fix
- commit 2e074cb
* Wed Dec 11 2013 jdelvare@suse.de
- rpm/guards: Delete dead code
- commit 98077a9
* Wed Dec 11 2013 jdelvare@suse.de
- rpm/guards: Typo fix from upstream
- commit ce654f8
* Wed Dec 11 2013 stefan.bruens@rwth-aachen.de
- config: set CONFIG_X86_INTEL_LPSS and CONFIG_I2C_DESIGNWARE_PLATFORM
  Enable INTEL LPSS (Low Power SubSystem) for LynxPoint chipsets (bnc#849125)
  and DesignWare (platform) i2c bus driver (bnc#849338).
  The DesignWare i2c driver depends on the clock subsystem.
- commit 3a6fe23
* Mon Dec  9 2013 hare@suse.de
- Delete patches.suse/scsi-error-test-unit-ready-timeout:
  Superseded by commit 0816c9251a7180383bb7811e1a1545f7b78e5374.
- commit 44df1ce
* Mon Dec  9 2013 hare@suse.de
- iscsi_target: race condition on shutdown (bnc#850072).
- commit c4710fd
* Sun Dec  8 2013 jeffm@suse.com
- Update to 3.13-rc3.
- commit 82b4383
* Fri Dec  6 2013 mmarek@suse.cz
- rpm/kernel-source.spec.in: Add the OBS _constraints file as source
- commit 17282e4
* Wed Dec  4 2013 jeffm@suse.de
- config: enable CONFIG_EXPERT
  3.10 introduced Kconfig rules that automatically builds in
  uncommon HID drivers if EXPERT is not set.
  This commit does not introduce any other config changes.
- commit 30a8773
* Wed Dec  4 2013 jeffm@suse.com
- README: Update to document typical patch naming
- commit d2a2470
* Wed Dec  4 2013 tiwai@suse.de
- config: CONFIG_CHECKPOINT_RESTORE=y and CONFIG_MEM_SOFT_DIRTY=y on x86_64
- commit d99342f
* Mon Dec  2 2013 jeffm@suse.com
- Revert "init: define console_initcall when built as a module."
  This reverts commit 9eb723d9911b941e71381831812b7c7bd17d24f3.
- commit c172b07
* Mon Dec  2 2013 jeffm@suse.com
- init: define console_initcall when built as a module.
- commit 9eb723d
* Mon Dec  2 2013 jeffm@suse.com
- overlayfs: update for 3.13 delegated_inode API changes.
- commit 3d88c7f
* Mon Dec  2 2013 jeffm@suse.com
- Update to 3.13-rc2.
  - Eliminated 1 patch.
- commit 75ac3c3
* Fri Nov 29 2013 jslaby@suse.cz
- Linux 3.12.2.
- Refresh patches.xen/xen3-patch-2.6.29.
- Delete
  patches.suse/btrfs-relocate-csums-properly-with-prealloc-extents.patch.
- commit 3b81e61
* Fri Nov 29 2013 tiwai@suse.de
- Build mei and mei_me as modules (bnc#852656)
- commit 1a570dd
* Thu Nov 28 2013 jdelvare@suse.de
- supported.conf: dd drivers/hwmon/smsc47b397
  That one is very simple and reliable and found in a number of
  enterprise-grade workstations. I believe it would make sense to support
  it.
- commit 3a2ac9d
* Wed Nov 27 2013 duwe@suse.de
- pstore: automatically dump and clean dmesg entries
  (fate#315232).
- Update config files.
- commit 9525160
* Tue Nov 26 2013 agraf@suse.de
- omapdrm: fix compile with dma_addr_t > u32.
- commit 611f4eb
* Sat Nov 23 2013 jeffm@suse.com
- Update to 3.13-rc1.
- Eliminated 7 patches.
- Xen is disabled.
- ARM needs config updates.
- commit 2dfdca4
* Thu Nov 21 2013 guillaume.gardet@oliseo.fr
- Add USB PHY support (needed to get USB and Ethernet working on beagle and panda boards) Add CONFIG_PINCTRL_SINGLE=y to be able to use Device tree (at least for beagle and panda boards) Add ARM SoC sound support Add SPI bus support Add user-space access to I2C and SPI
- commit b3c966e
* Thu Nov 21 2013 guillaume.gardet@oliseo.fr
- Set CONFIG_GPIO_TWL4030 as built-in (instead of module) as a requirement to boot on SD card on beagleboard xM
- commit 5b7fb61
* Thu Nov 21 2013 jslaby@suse.cz
- Linux 3.12.1.
- commit 1e06fbe
* Wed Nov 20 2013 jslaby@suse.cz
- Update config files (fate#315172).
- commit a0984ed
* Wed Nov 20 2013 jslaby@suse.cz
- x86/dumpstack: Fix printk_address for direct addresses
  (bnc#845621).
- Refresh patches.suse/stack-unwind.
- Refresh patches.xen/xen-x86_64-dump-user-pgt.
- commit ce55b22
* Tue Nov 19 2013 jbohac@suse.cz
- supported.conf: marked net/netfilter/xt_set as supported (bnc#851066)
  xt_set should have been enabled together with the ip_set modules in
  fate#313309
- commit c2e046e
* Sat Nov 16 2013 jeffm@suse.com
- config: build uncommon HID drivers as modules
- commit 92db3f1
* Sat Nov 16 2013 jeffm@suse.com
- config: sync HID=y on x86_64/debug config
- commit 2437d0f
* Tue Nov 12 2013 jdelvare@suse.de
- armv6hl, armv7hl: Update config files.
  Set CONFIG_BATMAN_ADV_BLA=y as all other kernel configuration files
  have.
- commit e7c00d8
* Fri Nov  8 2013 jdelvare@suse.de
- Update config files:
  * CONFIG_BATMAN_ADV_NC=y, because other BATMAN_ADV options are all
  enabled so why not this one.
  * CONFIG_GPIO_SCH=m, CONFIG_GPIO_PCH=m, because we support all other
  features of these pieces of hardware.
  * CONFIG_INTEL_POWERCLAMP=m, because this small driver might be
  useful in specific cases, and there's no obvious reason not to
  include it.
- commit 79e7a03
* Thu Nov  7 2013 jbeulich@suse.com
- Update Xen patches to 3.12-final.
- commit ec28986
* Wed Nov  6 2013 duwe@suse.de
- fate#316581: CONFIG_IBM_BSR y -> m
- commit f5eba64
* Mon Nov  4 2013 jslaby@suse.cz
- Delete patches.kernel.org/patch-3.11.1.
- commit ec24572
* Mon Nov  4 2013 jeffm@suse.com
- Update config files.
- commit f7c27a2
* Mon Nov  4 2013 jeffm@suse.com
- Update to 3.12-final.
- commit bd2bcf1
* Mon Nov  4 2013 jeffm@suse.com
- Refresh
  patches.suse/btrfs-add-ability-to-query-change-feature-bits-online-ioctl.
- commit a58c8c5
* Mon Nov  4 2013 jeffm@suse.com
- Refresh patches.suse/btrfs-add-tracing-for-failed-reservations.
- Refresh patches.suse/btrfs-publish-allocation-data-in-sysfs.
  - No code change: missing 'quilt add' caused a chunk to be
    in the wrong patch.
- commit 0346b5c
* Wed Oct 30 2013 tiwai@suse.de
- ALSA: hda - Add extra chmap for 2.1 outputs on ASUS laptops
  (bnc#846531).
- commit 5fe5110
* Wed Oct 30 2013 tiwai@suse.de
- ALSA: hda - Add a fixup for ASUS N76VZ (bnc#846529).
- commit c8ca4fb
* Tue Oct 29 2013 jbeulich@suse.com
- Update Xen patches to 3.12-rc7 and c/s 1240.
- commit 49141ff
* Mon Oct 28 2013 jeffm@suse.de
- Update to 3.12-rc7.
- commit c59f68d
* Tue Oct 22 2013 jeffm@suse.com
- nouveau: Fix race with fence signaling (bnc#844177).
- commit db1113e
* Tue Oct 22 2013 jeffm@suse.com
- btrfs: add ioctl to export size of global metadata reservation.
- btrfs: add tracing for failed reservations.
- btrfs: publish allocation data in sysfs.
- btrfs: publish device membership in sysfs.
- btrfs: publish fs label in sysfs.
- btrfs: publish per-super attributes in sysfs.
- btrfs: publish per-super features in sysfs.
- btrfs: publish supported featured in sysfs.
- btrfs: publish unknown feature bits in sysfs.
- kobject: export kobj_sysfs_ops.
- Refresh
  patches.suse/btrfs-add-ability-to-change-features-via-sysfs.
- Refresh
  patches.suse/btrfs-use-feature-attributes-to-print-names-in-errors.
- Delete
  patches.suse/btrfs-add-per-super-attribute-publishing-to-sysfs.
- Delete
  patches.suse/btrfs-add-publishing-of-unknown-features-in-sysfs.
- Delete patches.suse/btrfs-export-supported-featured-to-sysfs.
- Delete patches.suse/btrfs-publish-per-super-features-to-sysfs.
- Delete patches.suse/introduce-kobj_completion.
- commit 28f62b4
* Mon Oct 21 2013 jeffm@suse.com
- Update to 3.12-rc6.
- commit 7244867
* Wed Oct 16 2013 jbeulich@suse.com
- Update x86 Xen config files (RTC_DRV_EFI=y).
- commit ac42dba
* Wed Oct 16 2013 jbeulich@suse.com
- Update Xen patches to 3.12-rc5.
- config.conf: Re-enable Xen configs.
- Update config files.
- Delete patches.xen/xen3-010-acpi_initrd_override_tables.patch.
- commit 8673f3f
* Tue Oct 15 2013 oneukum@suse.de
- sha256_ssse3: also test for BMI2 (bnc#842459).
- commit 243990f
* Mon Oct 14 2013 jeffm@suse.com
- btrfs: Fix creation of per-super sysfs directories when using multiple
  subvolumes (bnc#845774)
- commit adcee6c
* Mon Oct 14 2013 jeffm@suse.com
- Update to 3.12-rc5.
- commit 6c5465f
* Fri Oct 11 2013 jeffm@suse.com
- Update to 3.12-rc4.
- commit 8fdbb19
* Fri Oct 11 2013 tiwai@suse.de
- drm/i915: Undo the PIPEA quirk for i845 (bnc#845503).
- commit e401a74
* Tue Oct  8 2013 tiwai@suse.de
- ALSA: hda - Add fixup for ASUS N56VZ (bnc#841645).
- commit 9f1b1d6
* Mon Oct  7 2013 jack@suse.cz
- supported.conf: Update support info
- commit fe619b0
* Fri Oct  4 2013 bp@suse.de
- supported.conf: Remove IOMMU v2
  This is only needed for HSA.
- commit 1d0217b
* Fri Oct  4 2013 bp@suse.de
- supported.conf: Add a bunch of AMD-specific drivers to the list
  + sb_edac which people wanted since SLE11-SP2.
- commit 942c03a
* Fri Oct  4 2013 bpoirier@suse.de
- supported.conf: update for network related modules
  based on FATE#313655
  +		drivers/net/ethernet/intel/i40e/i40e
  vhost_net depends on vhost
  +		drivers/vhost/vhost
  nf_nat is now nf_nat_ipv4, _ipv6 was introduced in v3.7
  - net/ipv4/netfilter/nf_nat
  +		net/ipv4/netfilter/nf_nat_ipv4
  +		net/ipv6/netfilter/nf_nat_ipv6
  based on the rationale that we already package `ss` and support inet_diag:
  +		net/ipv4/udp_diag
  +		net/netlink/netlink_diag
  +		net/packet/af_packet_diag
  +		net/unix/unix_diag
- commit 07a54e6
* Fri Oct  4 2013 mmarek@suse.cz
- supported.conf: Add newly requested drivers
- commit 199c169
* Fri Oct  4 2013 mmarek@suse.cz
- supported.conf: More updates from SLE11-SP3
- commit 45bc81a
* Fri Oct  4 2013 mmarek@suse.cz
- rpm/split-modules: Check module support only if the -extra package is requested
- commit add86bf
* Fri Oct  4 2013 mmarek@suse.cz
- rpm/split-modules: Remove unused options
- commit 3736315
* Fri Oct  4 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix creating the kernel-*-extra package
  CONFIG_ENTERPRISE_SUPPORT has been renamed to CONFIG_SUSE_KERNEL_SUPPORTED
- commit 9e5b6fe
* Fri Oct  4 2013 mmarek@suse.cz
- supported.conf: Copy some missing changes from SLE11-SP3
- commit fdeb1a7
* Fri Oct  4 2013 mmarek@suse.cz
- supported.conf: Remove the kernel/ prefix from module paths.
- commit 9649d9f
* Fri Oct  4 2013 mmarek@suse.cz
- modpost: Allow wildcards in the Module.supported file.
- commit a464383
* Fri Oct  4 2013 mmarek@suse.cz
- modpost: Fix matching of dashes and underscores in Module.supported (bnc#719090).
- commit cab1abc
* Thu Oct  3 2013 mmarek@suse.cz
- Enable CONFIG_DRM_QXL and mark qxl.ko as supported (fate#316469)
- commit acad9db
* Tue Oct  1 2013 jeffm@suse.com
- Update to 3.12-rc3.
- commit e5ef0d0
* Tue Oct  1 2013 mmarek@suse.cz
- Disable CONFIG_FB_TMIO (Sharp Zaurus) on non-arm configs.
- commit 977b235
* Tue Oct  1 2013 mmarek@suse.cz
- Disable CONFIG_FB_GEODE, as the individual GEODE options are already disabled
- commit d10fe5f
* Mon Sep 30 2013 mmarek@suse.cz
- Always include the git commit in KOTD builds
  This allows us not to set it explicitly in builds submitted to the
  official distribution (bnc#821612, bnc#824171).
- commit a80e5ef
* Mon Sep 30 2013 mmarek@suse.cz
- Do not build udlfb, to avoid conflict with udl (fate#316407)
- commit 678681d
* Mon Sep 30 2013 mmarek@suse.cz
- Disable fb drivers that have been blacklisted for a long time
  via /etc/modprobe.d/50-blacklist.conf.
- commit b34e737
* Mon Sep 30 2013 dsterba@suse.cz
- Btrfs: relocate csums properly with prealloc extents.
- commit 6cf855e
* Sat Sep 28 2013 ohering@suse.de
- Refresh
  patches.suse/suse-hv-X86-Hyper-V-Get-the-local-APIC-timer-frequency-from-.patch.
  actually assign the divide result to hv_lapic_frequency
- commit 9e0a852
* Fri Sep 27 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Add obsolete KMPs from sle11-sp1
- commit 221133c
* Fri Sep 27 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Make sure that all KMP obsoletes are
  versioned (bnc#821465).
- commit d802bf2
* Fri Sep 27 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Provide obsoleted KMPs (bnc#753353)
- commit f5449e6
* Fri Sep 27 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Remove unversioned provides/obsoletes
  for packages that were only seen in openSUSE releases up to 11.0.
  (bnc#821465).
- commit 7e1f4b6
* Fri Sep 27 2013 ohering@suse.de
- Refresh
  patches.suse/suse-hv-X86-Hyper-V-Get-the-local-APIC-timer-frequency-from-.patch.
- commit ff1e29f
* Fri Sep 27 2013 ohering@suse.de
- X86: Hyper-V: Get the local APIC timer frequency from the
  hypervisor.
- commit ca351ea
* Fri Sep 27 2013 ohering@suse.de
- Input: add a driver to support Hyper-V synthetic keyboard
  (fate#315887).
- Update config files.
- commit 0b0a3fa
* Fri Sep 27 2013 jeffm@suse.com
- config: disable DGAP on s390
  It requires ioremap, which isn't available on s390. It's a staging
  driver anyway.
- commit cf0bc41
* Fri Sep 27 2013 mmarek@suse.cz
- rpm/old-flavors, rpm/mkspec: Add version information to obsolete
  flavors (bnc#821465).
- rpm/kernel-binary.spec.in: Move the xenpae obsolete to the
  old-flavors file.
- commit 25c1b0d
* Fri Sep 27 2013 mmarek@suse.cz
- rpm/old-flavors: Convert the old-packages.conf file to a flat
  list.
- rpm/mkspec: Adjust.
- rpm/old-packages.conf: Delete.
- commit 4037e16
* Fri Sep 27 2013 mmarek@suse.cz
- rpm/old-packages.conf: Drop bogus obsoletes for "smp" (bnc#821465)
- commit 50c4c23
* Fri Sep 27 2013 jdelvare@suse.de
- config/*/debug: Enable FSCACHE_DEBUG and CACHEFILES_DEBUG.
- commit 528f287
* Thu Sep 26 2013 jeffm@suse.com
- config.conf: Re-enable s390x and ia64 configs
- commit 954d4c1
* Thu Sep 26 2013 jdelvare@suse.de
- Build gpio-ucb1400 as a module
- commit fc372c0
* Wed Sep 25 2013 agraf@suse.de
- ARM: Update config files: Use lpae for multiarch, exynos for LPAE exynos5
- commit 957e65c
* Wed Sep 25 2013 agraf@suse.de
- Clean up ARM patches:
- Refresh patches.arch/arm-arndale-dma.patch.
- Delete patches.arch/arm-exynos-nosparse.patch.
- Delete
  patches.arch/arm-xen-0001-arm-introduce-psci_smp_ops.patch.
- Delete
  patches.arch/arm-xen-0002-ARM-Enable-selection-of-SMP-operations-at-boot-time.patch.
- Delete
  patches.arch/arm-xen-0006-xen-arm-disable-cpuidle-when-linux-is-running-as-dom.patch.
- Delete
  patches.arch/arm-xen-0007-arm-choose-debug-uncompress.h-include-when-uncompres.patch.
- Delete
  patches.arch/arm-xen-0008-xen-arm-enable-PV-control-for-ARM.patch.
- commit 1cdc83d
* Wed Sep 25 2013 agraf@suse.de
- config.conf:
- Update config files for ARM on 3.12.
- commit 2503bec
* Tue Sep 24 2013 trenn@suse.de
- Delete patches.arch/010-acpi_initrd_override_tables.patch.
  This old one alone broke acpi initrd override -> delete it.
- commit a75f081
* Tue Sep 24 2013 jeffm@suse.com
- lustre/lloop: don't change the logical size for the queue.
- commit 4a2006a
* Tue Sep 24 2013 jeffm@suse.com
- Update to 3.12-rc2.
- Eliminated 3 patches.
- commit d7d9943
* Tue Sep 24 2013 jeffm@suse.com
- Update to 3.12-rc1.
- Eliminated 42 patches.
- Xen is disabled.
- ARM is disabled.
- commit c58d853
* Fri Sep 20 2013 jslaby@suse.cz
- power_supply: Prevent suspend until power supply events are
  processed (bnc#841596).
- commit 50dfbd0
* Wed Sep 18 2013 duwe@suse.de
- Increase NR_CPUS on ppc64 to 2048 (fate#315438)
- commit ddaa978
* Tue Sep 17 2013 jslaby@suse.cz
- Update config files.
  Fix ZSWAP on vanillas.
- commit 5a7a093
* Tue Sep 17 2013 jeffm@suse.com
- btrfs: use feature attribute names to print better error
  messages.
- btrfs: add ability to change features via sysfs.
- btrfs: add publishing of unknown features in sysfs.
- btrfs: publish per-super features to sysfs.
- btrfs: add per-super attributes to sysfs.
- btrfs: export supported featured to sysfs.
- kobject: introduce kobj_completion.
- btrfs: add ioctls to query/change feature bits online.
- btrfs: use btrfs_commit_transaction when setting fslabel.
- commit 7e40f1e
* Tue Sep 17 2013 jeffm@suse.com
- config: Update missing ZSWAP configs.
- commit 85bd223
* Mon Sep 16 2013 dsterba@suse.cz
- Btrfs: optimize key searches in btrfs_search_slot.
- Btrfs: remove ourselves from the cluster list under lock.
- Btrfs: do not clear our orphan item runtime flag on eexist.
- Btrfs: fix printing of non NULL terminated string.
- Btrfs: fix memory leak of orphan block rsv.
- Btrfs: don't miss inode ref items in BTRFS_IOC_INO_LOOKUP.
- Btrfs: add missing error code to BTRFS_IOC_INO_LOOKUP handler.
- Btrfs: move btrfs_free_qgroup_config() out of spin_lock and
  fix comments.
- Btrfs: fix oops when writing dirty qgroups to disk.
- Btrfs: fix heavy delalloc related deadlock.
- Btrfs: fix the error handling wrt orphan items.
- Btrfs: don't allow a subvol to be deleted if it is the default
  subovl.
- Btrfs: skip subvol entries when checking if we've created a
  dir already.
- Btrfs: fix possible memory leak in find_parent_nodes().
- Btrfs: return ENOSPC when target space is full.
- Btrfs: don't ignore errors from btrfs_run_delayed_items.
- Btrfs: fix inode leak on kmalloc failure in tree-log.c.
- Btrfs: stop using GFP_ATOMIC when allocating rewind ebs.
- Btrfs: deal with enomem in the rewind path.
- Btrfs: check our parent dir when doing a compare send.
- Btrfs: handle errors when doing slow caching.
- Btrfs: add missing error handling to read_tree_block.
- Btrfs: add missing error check to find_parent_nodes.
- Btrfs: don't bug_on when we fail when cleaning up transactions.
- Btrfs: change how we queue blocks for backref checking.
- Btrfs: add missing mounting options in btrfs_show_options().
- Btrfs: use u64 for subvolid when parsing mount options.
- Btrfs: don't bother autodefragging if our root is going away.
- Btrfs: cleanup reloc roots properly on error.
- Btrfs: reset ret in record_one_backref.
- btrfs: fix get set label blocking against balance.
- Btrfs: set qgroup_ulist to be null after calling ulist_free().
- Btrfs: add missing error checks to add_data_references.
- Btrfs: Release uuid_mutex for shrink during device delete.
- commit ded2bc7
* Sat Sep 14 2013 jslaby@suse.cz
- Linux 3.11.1.
- commit 1383321
* Thu Sep 12 2013 jeffm@suse.com
- config: Enable CONFIG_ZSWAP (bnc#839064).
  It's built-in but a no-op without zswap.enabled=1 on the kernel
  command line.
- commit 1441e59
* Thu Sep 12 2013 jeffm@suse.com
- Update
  patches.fixes/reiserfs-locking-handle-nested-locks-properly.
- Update
  patches.fixes/reiserfs-locking-push-write-lock-out-of-xattr-code.
- Update
  patches.fixes/reiserfs-locking-release-lock-around-quota-operations.
- commit fd0a178
* Fri Sep  6 2013 rgoldwyn@suse.de
- Update config files to enable GFS DLM locking.
- commit 712cff0
* Thu Sep  5 2013 ohering@suse.de
- Drivers: hv: util: Fix a bug in util version negotiation code
  (bnc#838346).
- commit 938aca5
* Wed Sep  4 2013 jbeulich@suse.com
- Update Xen patches to final 3.11.
- commit e71a103
* Tue Sep  3 2013 jeffm@suse.com
- Update to 3.11-final.
- commit 7561c6f
* Tue Aug 27 2013 jeffm@suse.com
- rpm/kernel-docs.spec.in: Fix missing whitespace error in description
- commit 280c88e
* Tue Aug 27 2013 jeffm@suse.com
- Update to 3.11-rc7.
- commit 99e1318
* Wed Aug 21 2013 jbeulich@suse.com
- Update Xen patches to 3.11-rc6.
- commit 7ee85be
* Mon Aug 19 2013 jeffm@suse.com
- Update to 3.11-rc6.
- commit b474038
* Thu Aug 15 2013 jbeulich@suse.com
- Update Xen patches to 3.11-rc5.
- config.conf: Re-enable Xen configs
- Delete patches.xen/xen-sections.
- commit adcd98b
* Tue Aug 13 2013 guillaume.gardet@oliseo.fr
- config: update armv6 default config to multi-arch armv6
- commit 25b5917
* Mon Aug 12 2013 jeffm@suse.com
- Update to 3.11-rc5.
- commit c33c981
* Thu Aug  8 2013 guillaume.gardet@oliseo.fr
- arm: update default config for 3.11.0-rc4
- Add sound modules
- Add TI wifi modules
- commit 448a93c
* Thu Aug  8 2013 dmueller@suse.com
- config/arm: update and reenable ARM64 config
- commit 327e5fc
* Thu Aug  8 2013 dmueller@suse.com
- Reenable ARMv6/ARMv7 configs
- commit 461df98
* Wed Aug  7 2013 jeffm@suse.com
- config: disable RCU_USER_QS
  RCU_USER_QS is used for hacking on debugging the full dynticks model,
  which we've disabled.
- commit 910e01d
* Mon Aug  5 2013 jeffm@suse.com
- reiserfs: locking, release lock around quota operations
  (bnc#815320).
- reiserfs: locking, handle nested locks properly (bnc#815320).
- reiserfs: locking, push write lock out of xattr code
  (bnc#815320).
- commit 01695c8
* Mon Aug  5 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Avoid hardcoded runtime dependency on
  module-init-tools.
- commit 2889cef
* Mon Aug  5 2013 jeffm@suse.com
- Update to 3.11-rc4.
- commit 38e9077
* Tue Jul 30 2013 jslaby@suse.cz
- Delete patches.drivers/elousb.patch.
- Delete patches.kernel.org/patch-3.10.1-2.
  They are both obsolete.
- commit e924b54
* Mon Jul 29 2013 jeffm@suse.com
- Update to 3.11-rc3.
- Eliminated 3 patches.
- commit c0a4742
* Thu Jul 25 2013 jeffm@suse.com
- btrfs: check index in extent_buffer_page.
- commit 15eacb9
* Thu Jul 25 2013 jdelvare@suse.de
- Hu, OK, RapidIO can't be fully modularized on PPC (yet.)
- commit 4c2611f
* Thu Jul 25 2013 jdelvare@suse.de
- Update config files: build RapidIO support as modules
- commit 1c6c425
* Thu Jul 25 2013 jeffm@suse.com
- rpm/kernel-binary.spec.in: Obsolete microcode_ctl
  The kernel can request CPU microcode itself now and microcode_ctl is
  no longer required.
- commit 43e5ff5
* Thu Jul 25 2013 jeffm@suse.com
- config: enable early CPU microcode loading.
- commit 0911270
* Wed Jul 24 2013 jeffm@suse.com
- btrfs: fall back to global reservation when removing subvolumes.
- commit 026dc43
* Wed Jul 24 2013 jslaby@suse.cz
- drm/i915: correctly restore fences with objects attached
  (bnc#830492).
- commit e9259e0
* Tue Jul 23 2013 jeffm@suse.com
- config: disable USB_CHIPIDEA
- commit 00cdcf9
* Tue Jul 23 2013 jeffm@suse.com
- Refresh patches.suse/dmraid45-api-updates.
- commit 8e1fa8b
* Tue Jul 23 2013 jeffm@suse.com
- Refresh patches.suse/ovl05-overlay-filesystem.patch.
- commit 27c899f
* Tue Jul 23 2013 jeffm@suse.com
- Update to 3.11-rc2.
- Eliminated 1 patch.
- commit f6f5941
* Mon Jul 22 2013 jslaby@suse.cz
- Refresh
  patches.arch/arm-xen-0001-arm-introduce-psci_smp_ops.patch.
- Refresh
  patches.arch/arm-xen-0002-ARM-Enable-selection-of-SMP-operations-at-boot-time.patch.
  Update usptream status.
- commit 17cddd7
* Mon Jul 22 2013 jslaby@suse.cz
- Linux 3.10.2.
- Delete
  patches.arch/arm-xen-0003-ARM-let-the-ASID-allocator-handle-suspended-animatio.patch.
- Delete
  patches.arch/arm-xen-0004-ARM-prevent-risks-of-out-of-bound-access-in-ASID-all.patch.
- Delete
  patches.arch/arm-xen-0005-ARM-Cortex-A15-fix-erratum-798181-implementation.patch.
- commit 16a6c33
* Mon Jul 22 2013 jslaby@suse.cz
- drm/i915: Only clear write-domains after a successful wait-seqno
  (bnc#830492).
- drm/i915: Fix write-read race with multiple rings (bnc#830492).
- commit d76b800
* Fri Jul 19 2013 ohering@suse.de
- Drivers: hv: balloon: Do not post pressure status if interrupted
  (bnc#829539).
- Drivers: hv: balloon: Fix a bug in the hot-add code
  (bnc#829539).
- Drivers: hv: util: Fix a bug in version negotiation code for
  util services (bnc#828714).
- commit 0cd5432
* Thu Jul 18 2013 jbeulich@suse.com
- Refresh patches.xen/xen3-patch-3.7 (bnc#804198).
- commit 123639e
* Tue Jul 16 2013 jslaby@suse.cz
- Refresh patches.drivers/elousb.patch.
- commit abd0978
* Tue Jul 16 2013 jslaby@suse.cz
- drm/nouveau: use vmalloc for pgt allocation (bnc#802347).
- commit 114f846
* Tue Jul 16 2013 jeffm@suse.com
- Updated patch-mainline headers.
- commit ba04848
* Tue Jul 16 2013 jeffm@suse.com
- Update to 3.10-rc1.
- Eliminated 13 patches.
- Xen needs updating and is disabled.
- commit 8ffe6ba
* Tue Jul 16 2013 jeffm@suse.com
- config: revert NO_HZ_FULL=y to NO_HZ_IDLE=y (bnc#826946)
  NO_HZ_FULL mode was introduced in v3.10 but still has some
  problems to be worked out. Most notably are issues with
  CPU accounting and how it interacts with power states.
  We'll re-enable it when it's been proven to be stable.
- commit 80c46a2
* Mon Jul 15 2013 jbeulich@suse.com
- Refresh Xen patches (bnc#814211, bnc#826374).
- commit 56bb9c2
* Mon Jul 15 2013 jslaby@suse.cz
- Revert "cpufreq: Fix cpufreq regression after suspend/resume".
- commit 3bcd588
* Sun Jul 14 2013 jslaby@suse.cz
- Linux 3.10.1.
- commit 062e800
* Mon Jul  8 2013 mmarek@suse.cz
- Require 14GB of free space in the buildservice
- commit e7a8371
* Mon Jul  8 2013 jdelvare@suse.de
- patches.suse/ida-remove-warning-dump-stack.patch: Add upstream commit ID
- commit 4fa2dc2
* Sat Jul  6 2013 agraf@suse.de
- ARM: Enable xen for lpae target
- arm: introduce psci_smp_ops.
- ARM: Enable selection of SMP operations at boot time.
- ARM: let the ASID allocator handle suspended animation.
- ARM: prevent risks of out-of-bound access in ASID allocator.
- ARM: Cortex-A15: fix erratum 798181 implementation.
- xen/arm: disable cpuidle when linux is running as dom0.
- arm: choose debug/uncompress.h include when uncompress debug
  is disabled.
- xen/arm: enable PV control for ARM.
- Update config files.
- Refresh patches.xen/xen3-fixup-xen.
- commit 5c7a1e8
* Fri Jul  5 2013 agraf@suse.de
- MMC: Exynos: Add module alias for dw mmc.
- commit 182d5ca
* Wed Jul  3 2013 agraf@suse.de
- ARM: Enable Arndale board with LPAE config
- ARM: EXYNOS: Set 64-bit DMA mask for EXYNOS5250.
- usb: phy: Fix phy-samsung-usb when built as module.
- USB: ehci-s5p: Fix phy reset.
- ARM: Update config files: Make LPAE Exynos only until Multiarch comes
- commit c521db7
* Tue Jul  2 2013 jbeulich@suse.com
- Update Xen patches to 3.10-final.
- commit c5ad3f9
* Mon Jul  1 2013 jeffm@suse.com
- Update to 3.10-final.
- commit f080c74
* Sat Jun 29 2013 dmueller@suse.com
- arm: cubox, use timer initialization directly in the machine descriptor
  Now that the only field in struct sys_timer is .init, delete the struct,
  and replace the machine descriptor .timer field with the
  initialization function itself.
- commit d522780
* Sat Jun 29 2013 dmueller@suse.com
- arm: add and reenable armv6hl
  We've recently decided to remove the softfp
  targets from the openSUSE ARM portfolio. Add
  a armv6hl default kernel flavor and remove
  traces of armv5tel.
- commit 51c5edf
* Thu Jun 27 2013 mszeredi@suse.cz
- Refresh patches.suse/ovl02-vfs-export-do_splice_direct-to-modules.patch.
- Refresh patches.suse/ovl05-overlay-filesystem.patch.
- commit 0e47df9
* Thu Jun 27 2013 mszeredi@suse.cz
- Revert "overlayfs: api: do_splice_direct has changed."
  This reverts commit 6cbfbd0e38cefde22aef0daf8be435a26aa840f7.
  This does not work as new_file->f_pos will not get updated so the file position
  will never advance.
- commit 93bc660
* Thu Jun 27 2013 jeffm@suse.com
- overlayfs: api: do_splice_direct has changed.
- commit 6cbfbd0
* Thu Jun 27 2013 guillaume.gardet@oliseo.fr
- arm: build lpae kernel as zImage
- commit d8f6242
* Wed Jun 26 2013 jeffm@suse.com
- Update to 3.10-rc7.
- Eliminated 1 patch.
- commit 888aa58
* Wed Jun 26 2013 dmueller@suse.com
- arm: fix cubox build by reverting removal of mach-types
- commit ff0165e
* Fri Jun 21 2013 jbeulich@suse.com
- Update Xen patches to 3.10-rc6 and c/s 1235.
- commit 20cc894
* Mon Jun 17 2013 jeffm@suse.com
- config: update vanilla configs for -rc6.
- commit ca41cec
* Mon Jun 17 2013 jeffm@suse.com
- Update to 3.10-rc6.
- commit dbed8c7
* Tue Jun 11 2013 dmueller@suse.com
- arm: topology: export cpu_topology
- commit e3dca27
* Mon Jun 10 2013 dmueller@suse.com
- Update and reenable armv7hl configs
- commit 2d22236
* Mon Jun 10 2013 jeffm@suse.com
- Update to 3.10-rc5.
- commit 1ce1338
* Mon Jun 10 2013 schwab@suse.de
- Update arm64/default and reenable it
- commit 4d0acbd
* Wed Jun  5 2013 jeffm@suse.com
- powerpc: add missing include to book3s_xics.c.
- commit fc06ef7
* Wed Jun  5 2013 jbeulich@suse.com
- Update Xen patches to 3.10-rc4.
- use vCPU time info registration to support vread_pvclock().
- Delete patches.xen/xen-netback-nr-irqs.
- config.conf: Re-enable Xen flavors.
- Update x86 config files.
- commit 4967b19
* Wed Jun  5 2013 jbeulich@suse.com
- Refresh and re-enable patches.arch/x86_64-unwind-annotations.
- commit 8f640b2
* Wed Jun  5 2013 mszeredi@suse.cz
- Refreshed overlayfs patches
- commit 0c856a9
* Mon Jun  3 2013 jeffm@suse.com
- Update to 3.10-rc4.
- Eliminated 4 patches.
- commit b3d0118
* Mon Jun  3 2013 jeffm@suse.com
- vtime: Use consistent clocks among nohz accounting.
- commit 731983f
* Fri May 31 2013 jeffm@suse.com
- reiserfs: fix spurious multiple-fill in reiserfs_readdir_dentry
  (bnc#822722).
- commit 244eade
* Fri May 31 2013 jeffm@suse.com
- reiserfs: fix problems with chowning setuid file w/ xattrs
  (bnc#790920).
- commit 951bebc
* Fri May 31 2013 jeffm@suse.com
- iscsi-target: fix heap buffer overflow on error (CVE-2013-2850,
  bnc#821560).
- commit 0799911
* Wed May 29 2013 jdelvare@suse.de
- Update config files: Modularize HID drivers
  Modularize all HID drivers which can easily be. Some couldn't due to
  weird Kconfig dependencies.
- commit 02ccd70
* Wed May 29 2013 jdelvare@suse.de
- Update config files: disable RADIO_SI476X
  RADIO_SI476X selects SND_SOC_SI476X, which depends on SND_SOC which we do
  not have.
- commit e75c4a8
* Tue May 28 2013 jeffm@suse.com
- Update to 3.10-rc3.
- 2 patches eliminated.
- commit b74ef38
* Wed May 22 2013 jslaby@suse.cz
- Refresh
  patches.fixes/misdn-add-support-for-group-membership-check.
  Let's use the new UID/GID API.
- commit 17413bd
* Wed May 22 2013 jeffm@suse.com
- Remove unused 3.9-stable patches.
- commit d28ac96
* Wed May 22 2013 jeffm@suse.com
- config: remove sparc64 configs
  The sparc64 configs have been completely unmaintained for two years.
  If someone wants to resurrect support, we'll accept patches.
- commit 17364b5
* Wed May 22 2013 jeffm@suse.com
- sparc64: revert accidental changes during the 3.9-rc2 update
- commit b120c5a
* Wed May 22 2013 schwab@suse.de
- Update group-source-files.pl to handle symlink to directory
  Also add arch/[^/]+/boot/dts/include/dt-bindings to the list of devel
  files and avoid listing README.SUSE twice.
- commit af248e4
* Tue May 21 2013 jeffm@suse.com
- Update to 3.10-rc2.
- commit e454a38
* Mon May 20 2013 jslaby@suse.cz
- Linux 3.9.3.
- Update config files.
- Refresh patches.xen/xen3-patch-2.6.21.
- Refresh patches.xen/xen3-patch-2.6.24.
- Refresh patches.xen/xen3-patch-2.6.36.
- commit 00c4cdd
* Fri May 17 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Avoid duplicates in the certifiate list.
- commit 9d687ad
* Fri May 17 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do an exit 0 at the end of each scriptlet
  (bnc#809617).
- commit 7d1a48f
* Thu May 16 2013 mmarek@suse.cz
- rpm/config.sh: Use openSUSE:Factory:{ARM,PowerPC}
  The openSUSE:Factory/ports repository does not work.
- commit 756ee56
* Thu May 16 2013 jdelvare@suse.de
- Update config files: CONFIG_ZSMALLOC=y
  Zsmalloc support can no longer be built as a module, so change
  CONFIG_ZSMALLOC=m to =y in all configuration files to fix the build.
- commit 861551b
* Tue May 14 2013 jeffm@suse.com
- Update to 3.10-rc1.
- Eliminated 10 patches.
- Xen is disabled.
- ARM configs are disabled pending updates.
- In-kernel Bootsplash has been removed.
- EXT4 rich acls are re-enabled after having the index officially reserved.
- commit 0ead2af
* Tue May 14 2013 jdelvare@suse.de
- Change CONFIG_OF_MDIO from y to m as needed
  Fix build after my previous commit, OF_MDIO depends on PHYLIB so when
  turning the latter into a module I should have done so with the former
  as well.
- commit 7e7365d
* Tue May 14 2013 jdelvare@suse.de
- Update config files : build PHYLIB as a module.
  All but armv7hl/cubox: make PHYLIB modular. Most systems don't
  need it, and it registers a mdio_bus driver. As a side effect,
  we have to disable PHY emulation support, as it is only availble
  when PHYLIB is built-in. This driver is rather weird anyway and
  hopefully no system we want to support needs it, so it should be
  OK.
  - CONFIG_PHYLIB=m
  - CONFIG_FIXED_PHY=n
- commit 49e25f5
* Sun May 12 2013 jslaby@suse.cz
- Linux 3.9.2.
- commit 7bb3aa9
* Fri May 10 2013 jbeulich@suse.com
- Update Xen patches to 3.9.1 and c/s 1231.
- commit 0eb4d0d
* Wed May  8 2013 jslaby@suse.cz
- Linux 3.9.1.
- Delete patches.arch/arm-highbank-sata.patch.
- commit 733bf04
* Wed May  8 2013 jslaby@suse.cz
- Refresh patches.rpmify/ptp-pch-depends-on-x86.
  Update upstream status -- it was rejected.
- commit 4173967
* Wed May  8 2013 neilb@suse.de
- Delete
  patches.fixes/nfsd-06-sunrpc-cache-retry-cache-lookups-that-return-ETIMEDO.patch.
  Patchset went upstream around about
  commit f16b6e8d838b2e2bb4561201311c66ac02ad67df
  in a form that didn't need this patch.
- commit 226d6be
* Wed May  8 2013 neilb@suse.de
- Delete patches.fixes/nfs-connect-timeout.
  Problem fixed upstream by
  commit 3ed5e2a2c394df4e03a680842c2d07a8680f133b
  Author: Trond Myklebust <Trond.Myklebust@netapp.com>
  Date:   Mon Mar 4 17:29:33 2013 -0500
    SUNRPC: Report network/connection errors correctly for SOFTCONN rpc tasks
- commit afa0a59
* Tue May  7 2013 dmueller@suse.com
- Fix -devel package for armv7hl
  armv7hl kernel flavors in the non-multiplatform configuration
  (which is the default for our openSUSE 12.3 release), needs
  more header files from the machine specific directories to
  be included in kernel-devel.
- commit 882120e
* Tue May  7 2013 jslaby@suse.cz
- Delete patches.fixes/nfs-adaptive-readdir-plus.
  Superseded by d69ee9b85541a69a1092f5da675bd23256dc62af.
- commit f35dac6
* Tue May  7 2013 jslaby@suse.cz
- Delete
  patches.fixes/fs-partitions-efi-c-corrupted-guid-partition-tables-can-cause-kernel-oops.
  Superseded by 3eb8e74ec72736b9b9d728bad30484ec89c91dde.
- commit 7838036
* Tue May  7 2013 jslaby@suse.cz
- Delete
  patches.fixes/ia64-configure-HAVE_UNSTABLE_SCHED_CLOCK-for-SGI_SN.patch.
  Superseded by 0773a6cf673316440999752e23f8c3d4f85e48b9.
- commit 36f8ff4
* Mon May  6 2013 jeffm@suse.com
- config.conf: disable s390 support for openSUSE kernels
  There is no community project to build openSUSE on s390 so we don't need
  to waste resources building the kernel for it.
- commit 5e6ccae
* Mon May  6 2013 jdelvare@suse.de
- S390: Disable CONFIG_PHYLIB on 32-bit kernels
  libphy depends on irq code which is only available on 64-bit S390,
  so disable it on 32-bit kernels.
- commit dd79db9
* Sun May  5 2013 jdelvare@suse.de
- idr: Print a stack dump after ida_remove warning
  (http://lists.opensuse.org/opensuse-kernel/2013-04/msg00102.html).
- commit 4c487a5
* Sun May  5 2013 jdelvare@suse.de
- Update config files: enable CC_STACKPROTECTOR
  All other major Linux distributions are building their kernel
  with -fstack-protector, so do the same. See the discussion at:
  http://lists.opensuse.org/opensuse-kernel/2012-06/msg00088.html
  http://lists.opensuse.org/opensuse-kernel/2012-07/msg00000.html
  http://lists.opensuse.org/opensuse-kernel/2013-05/msg00013.html
  - CONFIG_CC_STACKPROTECTOR=y
- commit fc6f988
* Sat May  4 2013 mmarek@suse.cz
- rpm/config.sh: Drop the ARM repository in Kernel:HEAD
  Use the "ports" repository of openSUSE:Factory instead.
- commit 6fc0bd5
* Fri May  3 2013 mmarek@suse.cz
- rpm/mkspec: Stop generating the get_release_number.sh file
  It was only needed for the old KOTD.
- commit ee71b69
* Thu May  2 2013 mmarek@suse.cz
- rpm/kernel-spec-macros: Properly handle KOTD release numbers with
  .g<commit> suffix
- commit ccb20c3
* Thu May  2 2013 mmarek@suse.cz
- rpm/kernel-spec-macros: Drop the %%release_num macro
  We no longer put the -rcX tag into the release string.
- commit b88e78f
* Tue Apr 30 2013 jeffm@suse.de
- Update to 3.9-final.
- commit b4b0bc4
* Mon Apr 29 2013 agraf@suse.de
- Fix highbank sata proc_name.
- commit 1c2686d
* Fri Apr 26 2013 jbeulich@suse.com
- Update Xen patches to 3.9-rc8 and c/s 1229.
- commit dd1fbd8
* Wed Apr 24 2013 jeffm@suse.com
- config: disable SCSI_UFSHCD on s390/x
  It depends on PCI and can be re-enabled when PCI is enabled
  on s390/x. I expect eventually another module will be added to use
  a different bus technology so adding a depends PCI on SCSI_UFSHCD
  won't really help.
- commit 754e58e
* Wed Apr 24 2013 jeffm@suse.com
- patches.arch/ppc-prom-nodisplay.patch: Fix build failure.
  Commit 3bf3dbf8 (Update to 3.9-rc2) missed removing an
  instance of the now-gone RELOC macro, causing build failures.
- commit 674c7b1
* Wed Apr 24 2013 jeffm@suse.com
- Update to 3.9-rc8.
  Eliminated 2 patches.
- commit a86daba
* Wed Apr 24 2013 mmarek@suse.cz
- rpm/macros.kernel-source: Fix the -c option if -n is not given
- commit d704806
* Thu Apr 18 2013 mmarek@suse.cz
- Remove set -x and set +e statements in KMP scripts
- commit 5575c3c
* Fri Apr 12 2013 agraf@suse.de
- cpuidle: calxeda: disable power gating by default.
- commit 1f54900
* Thu Apr 11 2013 sleep_walker@suse.cz
- Enable FRAMEBUFFER_CONSOLE_ROTATION in our kernels
  More and more monitors have insane aspect ratio and can be better used when
  rotated. This may help when X.org is not running and for boot.
- commit f592a19
* Tue Apr  9 2013 jeffm@suse.com
- Refresh patches.xen/xen3-patch-3.9-rc5.
  Previous commit removed a move of a variable declaration to an ifdef section.
- commit 372aad5
* Tue Apr  9 2013 jeffm@suse.com
- Update to 3.9-rc6.
  Eliminated 1 patch.
- commit 68d380d
* Tue Apr  9 2013 agraf@suse.de
- Refresh patches.arch/arm-fec.patch.
- commit 41b3194
* Tue Apr  9 2013 agraf@suse.de
- ARM: cache-l2x0: fix masking of RTL revision numbering and
  set_debug init.
- commit bd5dc17
* Mon Apr  8 2013 tiwai@suse.de
- Refresh patches.suse/SUSE-bootsplash.
  Fix bootsplash breakage due to stable fix (bnc#813963)
- commit 5d7fc50
* Mon Apr  8 2013 agraf@suse.de
- ARM: Exynos: Update config files: Use DRM instead of FB
- commit 7e7c136
* Sun Apr  7 2013 agraf@suse.de
- ARM: DMA: PL330: Add check if device tree compatible.
- commit 73c94ff
* Sun Apr  7 2013 agraf@suse.de
- ARM: exynos: only use device tree when it exists.
- commit afed1f3
* Sun Apr  7 2013 agraf@suse.de
- rpm/package-descriptions: add lpae config for ARM
- ARM: Update config files (fix default, split out lpae).
- ARM: xen: Add missing define.
- config.conf: add lpae config for ARM
- rpm/package-descriptions: add lpae config for ARM
- commit 958fe54
* Fri Apr  5 2013 jbeulich@suse.com
- Update Xen patches to 3.9-rc5.
- config.conf: Re-enable Xen configs.
- Update config files.
- commit 0100be6
* Fri Apr  5 2013 jdelvare@suse.de
- Update config files: enable ViperBoard drivers
  All kernels which include core (MFD) support for the ViperBoard
  should also include the actual drivers for its functions:
  - CONFIG_I2C_VIPERBOARD=m
  - CONFIG_GPIO_VIPERBOARD=m
- commit 688764f
* Fri Apr  5 2013 jdelvare@suse.de
- Update config files: disable UCB1400 on all but ARM
  Currently UCB1400 is only used on ARM OMAP systems, and part of the
  code is dead code that can't even be modularized.
  - CONFIG_UCB1400_CORE=n
  - CONFIG_TOUCHSCREEN_UCB1400=n
  - CONFIG_GPIO_UCB1400=n
- commit c81a0de
* Wed Apr  3 2013 jeffm@suse.com
- Update to 3.9-rc5.
  EFI_VARS_PSTORE is disabled. It is potentially useful but can brick
  certain models of notebooks. Until it's been confirmed as safe, we
  should keep this disabled.
- commit 7fd0ea3
* Sat Mar 30 2013 jdelvare@suse.de
- Update config files: Build DSA drivers as modules
  DSA drivers can be built as modules since kernel v3.3, so do that:
  - CONFIG_NET_DSA=m
  - CONFIG_NET_DSA_MV88E6XXX=m
  - CONFIG_NET_DSA_MV88E6060=m
  - CONFIG_NET_DSA_MV88E6131=m
  - CONFIG_NET_DSA_MV88E6123_61_65=m
- commit ab03c84
* Fri Mar 29 2013 jdelvare@suse.de
- Update config file config/sparc64/default: drop X86-only GPIO drivers
- commit 931180e
* Fri Mar 29 2013 jeffm@suse.com
- config: enable GPIO_[PS]CH, disable INTEL_MID_DMAC
- commit 46bdeb9
* Fri Mar 29 2013 jdelvare@suse.de
- Update config files: CONFIG_I2C_COMPAT
  Disable compatibility with lm-sensors <= 3.1.1, version 3.1.2 was
  released 3 years ago.
- commit c1b3c2d
* Wed Mar 27 2013 mmarek@suse.cz
- rpm/kernel-cert-subpackage: Fix description and summary.
- commit a4cd5e1
* Tue Mar 26 2013 agraf@suse.de
- Delete config/armv7hl/u8500.
- commit b9fe3d9
* Mon Mar 25 2013 jeffm@suse.com
- Updated to 3.9-rc4.
  Eliminated 2 patches.
- commit 894fec7
* Thu Mar 21 2013 agraf@suse.de
- SMDKV310: Fix compilation.
- commit cf345eb
* Thu Mar 21 2013 agraf@suse.de
- ARM: FEC: Fix module compilation.
- ARM: kvm: fix IOMMU dependency check.
- omap3isp: fix miscompile.
- VT8500: fix miscompile in clk driver.
- config.conf: Remove imx51 and omap2plus, reenable arm
- Update config files.
- Delete config/armv7hl/imx51.
- Delete config/armv7hl/omap2plus.
- commit 7d60e2d
* Mon Mar 18 2013 jeffm@suse.com
- Update to 3.9-rc3.
- 2 patches were eliminated
  CONFIG_EXPERIMENTAL was eliminated, so I've updated the Xen patches for
  that. DMRAID45 and Rich ACLs also needed updating.
- commit 228c5dd
* Mon Mar 18 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix sed command with multiple certificates
- commit 59405a2
* Fri Mar 15 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Install the used certificates below
  /etc/uefi/certs (fate#314507).
- commit 19b4300
* Fri Mar 15 2013 mmarek@suse.cz
- rpm/kernel-cert-subpackage: Make the template work with multiple
  certificates.
- commit 3bf5898
* Thu Mar 14 2013 jeffm@suse.com
- Updated to 3.9-rc2.
- Eliminated 52 patches.
- Xen is disabled.
- ARM configs need updating and are disabled.
- commit 3bf3dbf
* Thu Mar 14 2013 jeffm@suse.com
- Updated Patch-mainline headers for HyperV patches.
- commit 2e0d7a5
* Thu Mar 14 2013 jeffm@suse.com
- supported-flag: clean up patches and merge into one
  The config option is renamed to CONFIG_SUSE_KERNEL_SUPPORTED and
  the text has been updated to reflect that SUSE is no longer a
  unit of Novell.
- commit 7761647
* Thu Mar 14 2013 tiwai@suse.de
- drm/i915: bounds check execbuffer relocation count
  (bnc#808829,CVE-2013-0913).
- commit 72202f0
* Wed Mar 13 2013 jeffm@suse.com
- config: disabled CONFIG_SPI and CONFIG_IIO on non-ARM architectures
  These devices are found almost entirely on embedded platforms and
  end up adding hundreds of drivers for hardware that most users won't
  have. On systems using them, they are more likely to be embedded
  systems that should probably have a specialized kernel anyway.
- commit 33d736f
* Wed Mar 13 2013 jeffm@suse.com
- Updated patch-mainline for patches.rpmify/apm-honor-config_apm_cpu_idle-n
- commit 1008856
* Tue Mar 12 2013 ohering@suse.de
- Drivers: hv: balloon: Do not request completion notification
  (fate#314663).
- commit 6b249cb
* Tue Mar 12 2013 jslaby@suse.cz
- e1000e: fix runtime power management transitions (bnc#806966).
- e1000e: fix pci-device enable-counter balance (bnc#806966).
- e1000e: fix accessing to suspended device (bnc#806966).
- commit 48a333b
* Mon Mar 11 2013 rw@suse.de
- supported.conf: add drivers/s390/block/scm_block
  (fate#314095, bnc#807237)
- commit 09836cb
* Sun Mar 10 2013 mmarek@suse.cz
- KMP: Add -c <cert> option to the %%kernel_module_package macro
  This produces an -ueficert subpackage that imports the certificate into
  the MokList when installed (fate#314511)
- commit d8f177c
* Fri Mar  8 2013 mmarek@suse.cz
- KMP: Add the -kmp suffix inside the subpackage definition
- commit 7c6395d
* Tue Mar  5 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not require new mkinitrd in kernel-vanilla
- commit 26431d8
* Tue Mar  5 2013 jbeulich@suse.com
- Update Xen patches to 3.8.2 and c/s 1226.
- commit eee1405
* Tue Mar  5 2013 jdelvare@suse.de
- gpio-ich: Fix ichx_gpio_check_available() return what callers expect.
  Conflicts:
  series.conf
- commit 051149b
* Mon Mar  4 2013 tiwai@suse.de
- Refresh patches.suse/SUSE-bootsplash-mgadrmfb-workaround.
  Add the same w/a for ast and cirrus KMS, too (bnc#806990).
- commit 0422575
* Mon Mar  4 2013 jslaby@suse.cz
- Linux 3.8.2 (bnc#802153).
- Delete patches.arch/009-acpi_initrd_override_tables.patch.
- Delete
  patches.fixes/quota-autoload-the-quota_v2-module-for-qfmt_vfs_v1-quota-format.
- commit 3611cf6
* Fri Mar  1 2013 tiwai@suse.de
- Fix broken VT1 output with mgadrmfb (bnc#806990).
- commit 0934989
* Fri Mar  1 2013 jslaby@suse.cz
- PCI/PM: Clear state_saved during suspend (bnc#806966).
- commit cdd289b
* Thu Feb 28 2013 agraf@suse.de
- Add AArch64 support
- commit 09220ef
* Thu Feb 28 2013 jslaby@suse.cz
- Update config files.
- commit 9ad7236
* Thu Feb 28 2013 jslaby@suse.cz
- Linux 3.8.1.
- Refresh patches.xen/xen3-patch-2.6.31.
- Delete
  patches.suse/suse-hv-register-clocksource-only-if-its-adverti.patch.
- commit 0c01cac
* Thu Feb 28 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Copy kernel signing changes from 12.3 to the
  packaging branch
- commit 59d2acf
* Thu Feb 28 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: 'bc' is required since v3.9-rc1
- commit 4a9a926
* Thu Feb 28 2013 mmarek@suse.cz
- Copy packaging changes from master to the packaging branch
- commit dd227e2
* Wed Feb 27 2013 jslaby@suse.cz
- Refresh patches.drivers/elousb.patch.
- commit 4687d79
* Tue Feb 26 2013 agraf@suse.de
- ARM: Update config files: Drop mmap min addr to at most 32k
- commit db497a6
* Tue Feb 26 2013 agraf@suse.de
- ARM: default: Update config file: Compile RTC drivers =y
- commit dfccf37
* Tue Feb 26 2013 aj@suse.de
- Mention Linux 3.x as well
- commit 3d86a6c
* Mon Feb 25 2013 jslaby@suse.cz
- TTY: do not update atime/mtime on read/write (bnc#797175
  CVE-2013-0160).
- commit 821f03c
* Thu Feb 21 2013 ohering@suse.de
- Drivers: hv: balloon: Execute hot-add code in a separate context
  (fate#314663).
- Drivers: hv: balloon: Execute balloon inflation in a separate
  context (fate#314663).
- commit 2c746be
* Thu Feb 21 2013 ohering@suse.de
- Drivers: hv: vmbus: Handle channel rescind message correctly
  (fate#314665).
- commit bd98cf4
* Thu Feb 21 2013 jbeulich@suse.com
- update Xen patches to 3.8 final and c/s 1224
- add symbols to hypercall stubs
- commit 88b4228
* Wed Feb 20 2013 jslaby@suse.cz
- Delete patches.drivers/x86_acpi_cpufreq_autoload.patch.
  Substituted by efa17194581bdfca0986dabc178908bd7c21ba00 upstream.
- commit a060c45
* Wed Feb 20 2013 trenn@suse.de
- Disable efi pstore by default (bnc#804482).
- commit 5986b31
* Wed Feb 20 2013 jeffm@suse.com
- config: disable ACPI_BGRT on ia64
  bgrt_image is only defined on x86.
- commit e252f7f
* Wed Feb 20 2013 jeffm@suse.com
- config: disable ACPI_INITRD_TABLE_OVERRIDE on ia64
  It requires max_low_pfn_mapped, which is x86 only.
- commit 9901a64
* Wed Feb 20 2013 jeffm@suse.com
- Update to 3.8-final.
- commit c9c649c
* Tue Feb 19 2013 jslaby@suse.cz
- Revert "USB: EHCI: remove ASS/PSS polling timeout" (bnc#804367).
- commit 83cb8d1
* Sun Feb 17 2013 ohering@suse.de
- video: Add Hyper-V Synthetic Video Frame Buffer Driver
- Update config files.
- commit f3ee42f
* Mon Feb 11 2013 ohering@suse.de
- Drivers: hv: balloon: Prevent the host from ballooning the
  guest too low.
- Drivers: hv: balloon: Add a parameter to delay pressure
  reporting.
- Drivers: hv: balloon: Make adjustments to the pressure report.
- commit 31ecddc
* Mon Feb 11 2013 jeffm@suse.de
- Update to 3.8-rc7.
  Eliminated 1 patch.
- commit 82fec2f
* Wed Feb  6 2013 jbeulich@suse.com
- Refresh.
- commit 1001e0b
* Wed Feb  6 2013 jbeulich@suse.com
- xen-pciback: rate limit error messages from
  xen_pcibk_enable_msi{,x}() (CVE-2013-0231 XSA-43 bnc#801178).
- Update Xen patches to 3.8-rc6 and c/s 1222.
- commit e6b44d3
* Wed Feb  6 2013 ohering@suse.de
- Drivers: hv: Bind all vmbus interrupts to the boot CPU
  (fate#314665).
- Drivers: hv: vmbus: Use the new infrastructure for delivering
  VMBUS interrupts (fate#314665).
- Delete patches.suse/suse-hv-fate314665-force-win2008.patch.
- commit 444d3d1
* Tue Feb  5 2013 ohering@suse.de
- X86: Handle Hyper-V vmbus interrupts as special hypervisor
  interrupts (fate#314665).
- hv: deliver vmbus interrupts to all vcpus
- Refresh patches.xen/xen3-patch-2.6.23.
- Refresh patches.xen/xen3-patch-2.6.27.
- commit 3a682f8
* Tue Feb  5 2013 ohering@suse.de
- X86: Add a check to catch Xen emulation of Hyper-V
  (fate#314665).
- commit 3f41db6
* Tue Feb  5 2013 jeffm@suse.com
- quota: autoload the quota_v2 module for QFMT_VFS_V1 quota format
  (bnc#802153).
- commit bdeb401
* Sun Feb  3 2013 jeffm@suse.com
- Update to 3.8-rc6.
- commit afa3941
* Thu Jan 31 2013 tiwai@suse.de
- drm/cirrus: Use 16bpp as default (bnc#799216).
- drm/cirrus: Correct register values for 16bpp (bnc#799216).
  Conflicts:
  series.conf
- commit 86d0404
* Wed Jan 30 2013 jeffm@suse.com
- ptp: PTP_1588_CLOCK_PCH depends on x86.
- commit 99fbe25
* Wed Jan 30 2013 ohering@suse.de
- scsi: storvsc: avoid usage of WRITE_SAME.
- Drivers: scsi: storvsc: Initialize the sglist.
- Drivers: hv: Execute shutdown in a thread context.
- commit 1b6d4ef
* Wed Jan 30 2013 jeffm@suse.com
- config: disable CONFIG_MVMDIO on s390/x
  CONFIG_MVMDIO is only used by a few ARM SoCs, so we don't need to build
  it everywhere else. Not sure why s390 got skipped in the previous commit.
- commit f0b494a
* Wed Jan 30 2013 jeffm@suse.com
- config: disable CONFIG_MVMDIO on non-ARM arches
  CONFIG_MVMDIO is only used by a few ARM SoCs, so we don't need to build
  it everywhere else.
- commit 2bf6fb1
* Wed Jan 30 2013 jbeulich@suse.com
- Update Xen patches to 3.8-rc5 and c/s 1218.
- commit 36b617a
* Wed Jan 30 2013 jbeulich@suse.com
- Comment out patches.drivers/x86_acpi_cpufreq_autoload.patch as
  conflicting with 3.8.-rc5. Refresh patches.xen/xen3-auto-common.diff.
- commit 737e677
* Wed Jan 30 2013 jeffm@suse.com
- Update to 3.8-rc5.
  Eliminated 4 patches.
- commit e8b3b53
* Tue Jan 29 2013 jeffm@suse.com
- sysctl: Fixed vm.dirty_ratio sysctl name for desktop flavors
- commit 8e77fa9
* Mon Jan 28 2013 mmarek@suse.cz
- rpm/config.sh: Update $IBS_PROJECT_ARM
- commit 3e873c5
* Mon Jan 28 2013 ohering@suse.de
- Drivers: hv: balloon: Make adjustments to the pressure report.
- commit 3c7bac7
* Thu Jan 24 2013 jeffm@suse.com
- Updated to 3.8-rc2.
  Eliminated 1 patch.
- commit e466109
* Mon Jan 21 2013 agraf@suse.de
- ARM: fix imx usb driver build issue.
- commit 4f2d1a3
* Sun Jan 20 2013 agraf@suse.de
- Delete config/armv7hl/highbank (included in default now)
- commit c0e90d8
* Sun Jan 20 2013 agraf@suse.de
- ARM: Default: Update config file (enable multiarch)
- commit 8a5d039
* Sat Jan 19 2013 agraf@suse.de
- Delete config/armv7hl/tegra
- commit 77424cc
* Sat Jan 19 2013 agraf@suse.de
- ARM: IMX51: Update config file (enable drm)
- commit 8e98c0c
* Sat Jan 19 2013 agraf@suse.de
- ARM: Exynos: Update config file (set drm+video =y)
- commit 7904ca2
* Sat Jan 19 2013 agraf@suse.de
- staging/omapdrm: garbage collect OMAP_DSS_DISPLAY_SUSPENDED.
- OMAP: Fix missing usb.h include.
- OMAP: Fix missing cm3xxx.h include.
- commit c3f4aa6
* Sat Jan 19 2013 agraf@suse.de
- ARM: use zImage for "default" flavor
- commit 0d71552
* Tue Jan 15 2013 dmueller@suse.com
- Fix build of omap2plus kernel
- commit 48790e9
* Tue Jan 15 2013 dmueller@suse.com
- reenable armv7hl configs
- commit a996303
* Tue Jan 15 2013 ohering@suse.de
- hyperv: force vmbus interrupts to cpu 0.
  (instead of forcing ws2008 during vmbus negotiation.)
- commit 5a7c533
* Tue Jan 15 2013 ohering@suse.de
- x86: Hyper-V: register clocksource only if its advertised
  (bnc#792500).
- commit adcc013
* Tue Jan 15 2013 jbeulich@suse.com
- Update Xen patches to 3.8-rc3.
- config.conf: Re-enable Xen flavors.
- Update x86 config files.
- commit 4de2e49
* Thu Jan 10 2013 jeffm@suse.com
- Update to 3.8-rc3.
- commit 7ce28dd
* Thu Jan 10 2013 dmueller@suse.com
- config: update armv5tel config for 3.8-rc2
- commit df5a66e
* Mon Jan  7 2013 ohering@suse.de
- force ws2008 during vmbus negotiation.
- commit f68af45
* Fri Jan  4 2013 jeffm@suse.com
- staging/sb105x: remove asm/segment.h dependency.
- commit 473afce
* Thu Jan  3 2013 jeffm@suse.com
- config: Update vanilla configs.
- commit 0d2a457
* Thu Jan  3 2013 jeffm@suse.com
- Updated to 3.8-rc2.
- commit 79d206a
* Thu Dec 27 2012 jslaby@suse.cz
- drm/i915: TLB invalidation with MI_FLUSH_DW requires a post-sync
  op v3 (bnc#795963).
- commit db55aa9
* Tue Dec 25 2012 jeffm@suse.com
- Updated to 3.8-rc1.
- Eliminated 13 patches.
- Xen is disabled.
- ARM configs need updating.
- ext4 richacls are disabled until the upstream index can be reserved.
- commit a952042
* Tue Dec 18 2012 jbeulich@suse.com
- Update Xen patches to 3.7.1 and c/s 1213.
- commit 756a7d4
* Mon Dec 17 2012 jslaby@suse.cz
- Linux 3.7.1.
- Delete patches.rpmify/ezusb-add-dependency-to-usb.
- commit 7c5f8a6
* Wed Dec 12 2012 jeffm@suse.com
- ezusb: add dependency to USB.
  This prevents build failures by making it depend on the value of CONFIG_USB.
  Commit 36e0f0bd did this for architectures other than ARM manually.
- commit b89db5d
* Tue Dec 11 2012 ohering@suse.de
- Drivers: hv: balloon: Fix a memory leak.
- commit 26cdad5
* Tue Dec 11 2012 jeffm@suse.com
- Update to 3.7-final.
- commit 1771a73
* Tue Dec 11 2012 ohering@suse.de
- Update patch headers for fate314663 and fate314665 changes
- commit 44044f1
* Tue Dec 11 2012 jack@suse.cz
- Disable ext3 driver in all kernels and use ext4 driver instead. Eventually
  ext3 will be removed upstream so let's do the transition.
- commit dadc8ea
* Fri Dec  7 2012 guillaume.gardet@oliseo.fr
- Update omap2plus (armv7) config: Enable TWL* USB drivers
- commit 28c09f5
* Fri Dec  7 2012 jbeulich@suse.com
- rpm/kernel-binary.spec.in: Conditionalize the use of vmlinuz instead
  of bzImage for Xen flavors.
- commit 713a73c
* Fri Dec  7 2012 jbeulich@suse.com
- Update Xen config files (enable XEN_BZIMAGE and EFI_STUB).
- commit d1ec1be
* Fri Dec  7 2012 jbeulich@suse.com
- Update Xen patches to 3.7-rc7 and c/s 1211.
- allow non-pv-ops kernel to be built as bzImage.
- commit 2a7feb8
* Thu Dec  6 2012 ohering@suse.de
- fate#314663 hyper-v memory ballooning support
- mm: Export a function to get vm committed memory.
- Drivers: hv: Add Hyper-V balloon driver.
- Drivers: hv: balloon: Fix a bug in the definition of struct
  dm_info_msg.
- Update config files.
  fate#314665 hyper-v: Update the Vmbus protocol
- Drivers: hv: Implement routines for read side signaling
  optimization.
- Drivers: hv: Add state to manage batched reading.
- Drivers: hv: Turn off batched reading for util drivers.
- Drivers: hv: Optimize signaling in the read path.
- Drivers: hv: Optimize the signaling on the write path.
- Drivers: hv: Get rid of hv_get_ringbuffer_interrupt_mask().
- Drivers: hv: Support handling multiple VMBUS versions.
- Drivers: hv: Update the ring buffer structure to match win8
  functionality.
- Drivers: hv: Extend/modify vmbus_channel_offer_channel for
  win7 and beyond.
- Drivers: hv: Save and export negotiated vmbus version.
- Drivers: hv: Change the signature for hv_signal_event().
- Drivers: hv: Change the signature of vmbus_set_event().
- Drivers: hv: Move vmbus version definitions to hyperv.h.
- Drivers: hv: Manage signaling state on a per-connection basis.
- Drivers: hv: Cleanup vmbus_set_event() to support win7 and
  beyond.
- Drivers: hv: Setup a mapping for Hyper-V's notion cpu ID.
- Drivers: hv: Add state to manage incoming channel interrupt
  load.
- Drivers: hv: Modify the interrupt handling code to support
  win8 and beyond.
- Drivers: hv: Add code to distribute channel interrupt load.
- Drivers: hv: Get rid of the unused global signaling state.
- Drivers: hv: Get rid of unnecessary request for offers.
- Drivers: hv: Manage event tasklets on per-cpu basis.
- Drivers: hv: Handle vmbus interrupts concurrently on all cpus.
- Drivers: hv: Add a check to deal with spurious interrupts.
- Drivers: hv: Enable protocol negotiation with win8 hosts.
- Drivers: hv: Implement flow management on the send side.
- Drivers: hv: Capture the host build information.
- Drivers: hv: Cleanup and consolidate reporting of build/version
  info.
- commit 4fccd03
* Wed Dec  5 2012 jeffm@suse.com
- Update to 3.7-rc8.
- Delete patches.rpmify/net-fix-build-failure-in-xilinx.
- commit 76b3d92
* Tue Dec  4 2012 ohering@suse.de
- add splash=black option to bootsplash code,
  to keep a black background, useful for remote access to VMs
  (bnc#773487)
- commit c060ae1
* Fri Nov 23 2012 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not remove fillup from the buildsystem
  (bnc#781327)
- commit 841d864
* Tue Nov 20 2012 jeffm@suse.com
- net: fix build failure in xilinx.
- commit 28be621
* Tue Nov 20 2012 sjayaraman@suse.com
- Update config files. Enable CONFIG_SMB2 to 'y'.
- commit 25bdfaf
* Mon Nov 19 2012 jeffm@suse.com
- Update to 3.7-rc6.
- commit daac70a
* Fri Nov 16 2012 mmarek@suse.cz
- rpm/config.sh: Set projects for ARM
- commit 55bac79
* Thu Nov 15 2012 jbeulich@suse.com
- Refresh patches.xen/xen3-patch-3.7-rc3 (fix FPU handling related
  crash in context switch code).
- commit bb1d12d
* Wed Nov 14 2012 jbeulich@novell.com
- Update to 3.7-rc5.
- Update Xen patches additionally to c/s 1204:
- commit d5de9cf
* Tue Nov  6 2012 jeffm@suse.com
- config: sync x86_64 configs for NR_UARTS
  This commit sets both CONFIG_SERIAL_8250_RUNTIME_UARTS and
  CONFIG_SERIAL_8250_NR_UARTS to 32.
- commit ddf88e6
* Tue Nov  6 2012 jeffm@suse.com
- Delete patches.arch/s390-remove-kvm-para.patch.
- commit f759e1e
* Tue Nov  6 2012 jeffm@suse.com
- config: sync ppc64 configs for LIB80211, NET_SDA_MV*
  This commit changes the following options to be modular:
  LIB80211
  NET_DSA_MV88E6XXX
  NET_DSA_MV88E6060
- commit caa5a52
* Tue Nov  6 2012 jeffm@suse.com
- config: sync ppc64/debug with ppc64/default
  The debug config should be identical to default with the exception of
  the debug options. This patch brings ppc64/debug in line with ppc64/default
  with the exception of a few things that are modular in debug that should
  also be modular in default.
- commit b981fcd
* Tue Nov  6 2012 jeffm@suse.com
- config: sync kvm options between ppc64 flavors.
- commit 8a389d5
* Tue Nov  6 2012 jeffm@suse.com
- config: disable HW_RANDOM_AMD on ppc64
  This chip is only on AMD hardware and an old ppc64 eval board. We can skip
  it on ppc64.
- commit 03001a4
* Tue Nov  6 2012 jeffm@suse.com
- config: Eliminate unused ppc/ppc64 configs.
  The history of the ppc/ppc64 configs is a convoluted one that started
  before the kernel source could support multiple machine types with a
  single image and before there was a usable 64-bit userspace.
  In the subsequent years, the powerpc code has been unified and we've
  released a 64-bit powerpc userspace. The "default" and "ppc64" configs
  on ppc64 are essentially identical and just waste space. The "ppc64"
  config on 32-bit ppc address a long since unnecessary corner case. Users
  who still want a 32-bit userspace with a 64-bit kernel can install and
  update it themselves using the 64-bit repository like i386/x86_64 users
  can do.
  This commit can be summarized thusly:
  rm config/ppc/ppc64
  rm config/ppc/ps3 (already unused)
  mv config/ppc64/ppc64 config/ppc64/default
- commit a9cc3d5
* Tue Nov  6 2012 guillaume.gardet@oliseo.fr
- Add kernel-versatile description
- commit 5424cf2
* Tue Nov  6 2012 guillaume.gardet@oliseo.fr
- Enable armv5 in arch-symbols
- commit 401de81
* Mon Nov  5 2012 jeffm@suse.com
- config: sync vanilla flavor with default flavor for each platform
  The vanilla configs have drifted away from the default configuration
  for each platform. This patch brings them back in sync.
- commit 8d4661f
* Mon Nov  5 2012 jeffm@suse.com
- config: -ec2 still had CONFIG_ENTERPRISE_SUPPORT enabled.
- commit 9907c37
* Mon Nov  5 2012 jeffm@suse.com
- Updated to 3.7-rc4.
  Eliminated 1 patch.
- commit 5168053
* Mon Nov  5 2012 jbeulich@novell.com
- Refresh patches.xen/xen3-patch-3.7-rc3 (make "unmodified drivers" build again).
- commit 5feff7e
* Fri Nov  2 2012 jbeulich@novell.com
- Update Xen patches to 3.7-rc3 and c/s 1202.
- extend base interfaces to support multi-page rings for
  frontend/backend communication.
- blkback: allow using multiple page frontend communication ring.
- blkfront: allow using multiple page backend communication ring.
- ACPI: Store valid ACPI tables passed via early initrd in
  reserved memblock areas.
- ACPI: Fix build when disabled.
- ACPI: Cleanup acpi_initrd_override declaration and remove
  ifdefs.
- config.conf: Re-enable Xen configs.
- Update x86 config files.
- Delete patches.xen/xen3-acpi_override_2_2.patch.
- commit f042386
* Wed Oct 31 2012 guillaume.gardet@oliseo.fr
- Add support to armv5 versatile kernel
- commit 99d34f3
* Wed Oct 31 2012 jeffm@suse.com
- Update to 3.7-rc3.
- commit 48e5027
* Tue Oct 30 2012 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Require coreutils in kernel-*-devel (bnc#783615)
- commit 2520563
* Tue Oct 30 2012 agraf@suse.de
- ARM: Update config files: Fix vexpress (default) config
- commit be072b4
* Thu Oct 25 2012 hare@suse.de
- Fixup kvm for s390.
- commit 503388b
* Tue Oct 23 2012 agraf@suse.de
- ARM: Update config files: Exynos: Disable 8bit sd mode to support wifi
- commit 336ead7
* Mon Oct 22 2012 agraf@suse.de
- Revert "disable non-compiling irrelevant I2C module"
- commit d5a21c5
* Mon Oct 22 2012 agraf@suse.de
- thermal: exynos: Fix wrong name of MODULE_DEVICE_TABLE.
- commit 8e108ab
* Mon Oct 22 2012 agraf@suse.de
- ARM: Update config files.
- commit 565b450
* Mon Oct 22 2012 agraf@suse.de
- Refresh patches.arch/arm-exynos-nosparse.patch.
- commit 55fbf60
* Mon Oct 22 2012 agraf@suse.de
- ARM: Update config files.
- commit 118f2f9
* Mon Oct 22 2012 agraf@suse.de
- ARM: Exynos: Fix MMC driver
- ARM: Exynos: Update configs
- commit 37a1704
* Mon Oct 22 2012 jeffm@suse.com
- config: change CONFIG_USB_EZUSB_FX2 to module
- commit 36e0f0b
* Mon Oct 22 2012 jeffm@suse.com
- Actually use kthread_run in crasher.ko.
  The previous commit was incomplete.
- commit b8b35ae
* Mon Oct 22 2012 jeffm@suse.com
- crasher: use kthread_run() instead of kernel_thread().
  Linux 3.7-rc2 no longer exports kernel_thread on all architectures.
- commit f17d925
* Mon Oct 22 2012 jeffm@suse.com
- Updated to 3.7-rc2.
- commit e00a663
* Mon Oct 22 2012 agraf@suse.de
- ARM: Update config files: Exynos: Enable gfx and highmem
- commit e8b3bd9
* Sun Oct 21 2012 jslaby@suse.cz
- Linux 3.6.3.
- Refresh patches.xen/xen3-fixup-xen.
- Refresh patches.xen/xen3-patch-2.6.23.
- Refresh patches.xen/xen3-patch-3.2.
- Refresh patches.xen/xen3-patch-3.6.
- Delete patches.fixes/hv-storvsc-reset-wait.patch.
- Delete
  patches.rpmify/x86-kbuild-archscripts-depends-on-scripts_basic.
- commit cfee26b
* Thu Oct 18 2012 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Use a macro instead of /etc/IGNORE-KABI-BADNESS
- commit 19e7e54
* Thu Oct 18 2012 agraf@suse.de
- ARM: Update config files: Fix exynos uart
- commit 1b4b5c5
* Thu Oct 18 2012 trenn@suse.de
- Cleanup ACPI table override patches with latest x86-tip commits
  and proper git-xy: meta tags:
- lib: Add early cpio decoder.
- x86, acpi: Introduce x86 arch specific arch_reserve_mem_area()
  for e820 handling.
- ACPI: Store valid ACPI tables passed via early initrd in
  reserved memblock areas.
- ACPI: Implement physical address table override.
- ACPI: Create acpi_table_taint() function to avoid code
  duplication.
- ACPI: Document ACPI table overriding via initrd.
- ACPI: Fix build when disabled.
- X86 ACPI: Use #ifdef not #if for CONFIG_X86 check.
- ACPI: Overriding ACPI tables via initrd only works with
  an initrd.
- ACPI: Cleanup acpi_initrd_override declaration and remove
  ifdefs.
- Delete patches.arch/acpi_fix_custom_method_acc.patch.
- Delete patches.arch/acpi_override_2_2.patch.
- Delete patches.arch/acpi_override_documentation.
- Delete patches.arch/acpi_override_introduce_taint_func.patch.
- Delete patches.arch/acpi_physical_override.patch.
- Delete patches.arch/lib_earlycpio.patch.
- Delete patches.arch/x86_introduce_reserve_mem_area.patch.
- commit c45da8f
* Wed Oct 17 2012 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Also check for /etc/IGNORE-KABI-BADNESS file
  This allows to control the kabi checker from outside of the package.
- commit 0a0900c
* Wed Oct 17 2012 jeffm@suse.com
- Update to 3.7-rc1.
- Eliminated 38 patches.
- Xen is disabled.
- ARM configs need updating.
- Module signing is disabled until the build infrastructure can support it.
- commit fce087a
* Sat Oct 13 2012 jslaby@suse.cz
- x86/kbuild: archscripts depends on scripts_basic.
- commit 007718d
* Sat Oct 13 2012 jslaby@suse.cz
- Linux 3.6.2.
- commit 798d597
* Thu Oct 11 2012 guillaume.gardet@oliseo.fr
- ARM (omap2plus) : re-enable OMAP DRM module
- commit 379798d
* Wed Oct 10 2012 jslaby@suse.cz
- Delete
  patches.suse/msft-hv-0394-tools-hv-Fix-file-handle-leak.patch.
- Delete
  patches.suse/msft-hv-0395-tools-hv-Fix-exit-error-code.patch.
- Delete
  patches.suse/msft-hv-0396-tools-hv-Check-for-read-write-errors.patch.
  These are in 3.6.1.
- commit 2a321c4
* Mon Oct  8 2012 dmueller@suse.com
- Remove noncompiling modules
- commit b7cdd5a
* Mon Oct  8 2012 agraf@suse.de
- ARM: Update config files: Exynos: Enable serial console
- commit a8d41ec
* Sun Oct  7 2012 jslaby@suse.cz
- Linux 3.6.1.
- commit 1f7626a
* Thu Oct  4 2012 ohering@suse.de
- rpm/kernel-binary.spec.in: enable Conflicts for
  apparmor, udev and lvm2 also for vanilla kernel
- commit a24206f
* Thu Oct  4 2012 ohering@suse.de
- rpm/kernel-binary.spec.in: add Conflicht: hyper-v < 4
  to make sure the daemon is in sync with the kernel
  (bnc#770763 , fate#314441)
- commit 86f9ba3
* Thu Oct  4 2012 jbeulich@novell.com
- Update Xen patches to 3.6-final and c/s 1197.
- Update Xen config files.
- commit 338be2c
* Thu Oct  4 2012 ohering@suse.de
- Hyper-V KVP IP injection (fate#31441)
- hyperv: Add comments for the extended buffer after RNDIS message.
- Drivers: hv: Cleanup the guest ID computation.
- Drivers: hv: vmbus: Use the standard format string to format
  GUIDs.
- Drivers: hv: Add KVP definitions for IP address injection.
- Drivers: hv: kvp: Cleanup error handling in KVP.
- Drivers: hv: Explicitly size elements of protocol structures.
- Drivers: hv: kvp: Support the new IP injection messages.
- Tools: hv: Prepare to expand kvp_get_ip_address() functionality.
- Tools: hv: Further refactor kvp_get_ip_address().
- Tools: hv: Gather address family information.
- Tools: hv: Gather subnet information.
- Tools: hv: Represent the ipv6 mask using CIDR notation.
- Tools: hv: Gather ipv[4,6] gateway information.
- hv: fail the probing immediately when we are not in hyperv
  platform.
- hv: vmbus_drv: detect hyperv through x86_hyper.
- Tools: hv: Get rid of some unused variables.
- Tools: hv: Correctly type string variables.
- Tools: hv: Add an example script to retrieve DNS entries.
- Tools: hv: Gather DNS information.
- Drivers: hv: kvp: Copy the address family information.
- Tools: hv: Add an example script to retrieve dhcp state.
- Tools: hv: Gather DHCP information.
- Tools: hv: Add an example script to configure an interface.
- Tools: hv: Implement the KVP verb - KVP_OP_SET_IP_INFO.
- Tools: hv: Rename the function kvp_get_ip_address().
- Tools: hv: Implement the KVP verb - KVP_OP_GET_IP_INFO.
- tools/hv: Fix file handle leak.
- tools/hv: Fix exit() error code.
- tools/hv: Check for read/write errors.
- tools/hv: Parse /etc/os-release.
- hyperv: Fix the max_xfer_size in RNDIS initialization.
- hyperv: Fix the missing return value in
  rndis_filter_set_packet_filter().
- hyperv: Fix page buffer handling in rndis_filter_send_request().
- hyperv: Remove extra allocated space for recv_pkt_list elements.
- hyperv: Report actual status in receive completion packet.
- hyperv: Add buffer for extended info after the RNDIS response
  message.
- Delete
  patches.suse/suse-hv-Cleanup-the-guest-ID-computation.patch.
- commit 08d283b
* Mon Oct  1 2012 agraf@suse.de
- ARM: Update config files: Exynos: Disable broken config options
- commit 8d7f8ab
* Mon Oct  1 2012 agraf@suse.de
- ARM: Update config files: Exynos: disable VFIO
- commit 80abd68
* Mon Oct  1 2012 jeffm@suse.com
- Update to 3.6-final.
- commit 6066894
* Sat Sep 29 2012 dmueller@suse.com
- ARM/u5800: Fix build of ux500 driver
- commit 0ea37a0
* Sat Sep 29 2012 dmueller@suse.com
- disable non-compiling irrelevant I2C module
- commit 0ba9bac
* Sat Sep 29 2012 dmueller@suse.com
- ARM/tegra: Remove optional parts to fix build
- commit d729a16
* Sat Sep 29 2012 dmueller@suse.com
- ARM: enable zcache support
- commit 17b147b
* Sat Sep 29 2012 dmueller@suse.com
- ARM/cubox: set cachefilesd to module
- commit c1fb243
* Fri Sep 28 2012 trenn@suse.de
- Remove old patchset to override ACPI tables via initrd.
  Also remove a stale xen patch related to that.
- Delete
  patches.arch/acpi_implement_overriding_of_arbitrary_acpi_tables_via_initrd.patch.
- Delete
  patches.arch/acpica_fix_wrongly_mapped_acpi_table_header_when_overriding_via_initrd.patch.
- Delete
  patches.arch/acpica_introduce_acpi_os_phys_table_override_function.patch.
- Delete
  patches.xen/xen3-acpi_implement_overriding_of_arbitrary_acpi_tables_via_initrd.patch.
- commit dd8f1b0
* Fri Sep 28 2012 trenn@suse.de
- Refresh patches.arch/acpi_override_2_2.patch.
- commit 80dcdb8
* Fri Sep 28 2012 mszeredi@suse.cz
- Update config files to enable building overlayfs as a module.
- commit 42f70e6
* Fri Sep 28 2012 trenn@suse.de
- Update config files.
  Enable ACPI table override capability via initrd for
  all i386/x86_64 flavors:
  +CONFIG_ACPI_INITRD_TABLE_OVERRIDE=y
- commit 08721cc
* Fri Sep 28 2012 trenn@suse.de
- ACPI: Only allow users with CAP_SYS_RAWIO rights to overwrite
  ACPI funcs at runtime.
- ACPI: Document ACPI table overriding via initrd.
- ACPI: Create acpi_table_taint() function to avoid code
  duplication.
- ACPI: Implement physical address table override.
- ACPI: Store valid ACPI tables passed via early initrd in
  reserved memblock areas.
- X86 ACPI: Introduce x86 arch specific arch_reserve_mem_area()
  for e820 handling.
- lib: Add early cpio decoder.
- commit dfdfcd3
* Fri Sep 28 2012 mszeredi@suse.cz
- overlayfs: copy up i_uid/i_gid from the underlying inode.
- ovl: switch to __inode_permission().
- vfs: export __inode_permission() to modules.
- overlayfs: create new inode in ovl_link.
- overlayfs: fix possible leak in ovl_new_inode.
- fs: limit filesystem stacking depth.
- overlay: overlay filesystem documentation.
- overlayfs: implement show_options.
- overlayfs: add statfs support.
- overlay filesystem.
- vfs: introduce clone_private_mount().
- vfs: export do_splice_direct() to modules.
- vfs: add i_op->dentry_open().
- commit f3e02da
* Thu Sep 27 2012 agraf@suse.de
- Update config files: Disable JTAG HVC, when enabled the kernel hangs on access
- commit cdf0705
* Tue Sep 25 2012 jeffm@suse.com
- Update to 3.6-rc7.
  Eliminated one patch.
- commit 91c0ddc
* Tue Sep 25 2012 mmarek@suse.cz
- Delete scripts/config.sh, rpm/config.sh has all the needed information
- commit 06c7ff0
* Thu Sep 20 2012 jeffm@suse.com
- x86/kbuild: archscripts depends on scripts_basic.
  patches.rpmify/makefile-fix-scripts_basic-archscripts-build-order is
  now obsolete.
- commit 33eb1e6
* Wed Sep 19 2012 jeffm@suse.com
- Makefile: Fix scripts_basic / archscripts build order.
- commit 65590b3
* Wed Sep 19 2012 agraf@suse.de
- Delete patches.arch/arm-phys-offset.patch.
- commit 50837bd
* Mon Sep 17 2012 jeffm@suse.com
- Update to 3.6-rc6.
- Eliminated 1 patch.
  patches.arch/arm-phys-offset.patch needs review.
- commit d6432fe
* Tue Sep 11 2012 dmueller@suse.com
- (ARM/tegra) remove non-building module from config
- commit 4cdd491
* Tue Sep 11 2012 jeffm@suse.com
- config: disabled MFD drivers that aren't buildable as modules
  This allows MFD_CORE to be modular on all arch/flavors except for
  ARM and the non-PAE flavors on i386, since it's used with the OLPC XO-1.
- commit ff91de4
* Mon Sep 10 2012 jeffm@suse.com
- Update to 3.6-rc5.
- commit 11b8e7e
* Mon Sep 10 2012 jbeulich@novell.com
- patches.arch/s390-message-catalog.diff: Properly handle pr_cont() and fold
  in the below two trivial fixes.
- Delete patches.arch/s390-message-catalog-fix.diff.
- Delete patches.arch/s390-message-catalog-perl-fix.diff.
- Refresh patches.arch/kmsg-fix-parameter-limitations.
- commit 71b4cc3
* Fri Sep  7 2012 dmueller@suse.com
- fix build of imx51 flavor by removing irrelevant drivers
- commit 7ea6615
* Fri Sep  7 2012 dmueller@suse.com
- remove drivers that do not exist and do not build on ARM (default)
- commit 2319db4
* Thu Sep  6 2012 ohering@suse.de
- Refresh
  patches.suse/suse-hv-identify-virtual-pc-in-ata_piix.patch.
- commit fb4b7f9
* Thu Sep  6 2012 ohering@suse.de
- identify Virtual PC guests in ata_piix (bnc#737532).
- commit 13500ed
* Thu Sep  6 2012 mmarek@suse.cz
- rpm/package-descriptions: Fix typo
- commit c08c34b
* Thu Sep  6 2012 jbeulich@novell.com
- Update Xen patches to 3.6-rc4 and c/s 1188.
- config.conf: Re-enable Xen configs.
- Update x86 config files.
- commit 4cdebd8
* Tue Sep  4 2012 jeffm@suse.com
- Update to 3.6-rc4.
- Eliminated one patch.
- commit 9fe3afb
* Tue Sep  4 2012 mmarek@suse.cz
- Disable CONFIG_KMSG_IDS on s390x, because it is currently broken
- commit c1db24a
* Mon Sep  3 2012 jslaby@suse.cz
- Update config files. (vanilla ones)
- commit ca19bfb
* Fri Aug 31 2012 dmueller@suse.com
- ARM(omap2plus): Remove optional parts that don't compile
- commit 77105c2
* Fri Aug 31 2012 jslaby@suse.cz
- i2c/busses: Fix build error if CONFIG_I2C_DESIGNWARE_PLATFORM=y
  && CONFIG_I2C_DESIGN.
- Delete
  patches.fixes/i2c-busses-fix-build-error-if-config_i2c_designware_platform-y-config_i2c_design.
  Move it to rpmify, so that vanilla builds fine too.
- commit 0217ad5
* Thu Aug 30 2012 agraf@suse.de
- Update config files: Add highbank (forgot in last patch)
- commit e86b000
* Thu Aug 30 2012 agraf@suse.de
- config.conf: Enable ARM
- Update ARM config files.
- Add highbank definition
- commit 835e93d
* Thu Aug 30 2012 mmarek@suse.cz
- rpm/kernel-module-subpackage: Provide name-kmp = %%version in KMPs
  This allows userspace packages to require a specific version of a KMP,
  wothout worrying about the _k<kernel version> suffix.
- commit caaaa9a
* Tue Aug 28 2012 jeffm@suse.com
- config: Update -vanilla for ChipIdea fix
- commit c45f0ac
* Tue Aug 28 2012 jeffm@suse.com
- chipidea: Allow user to select PCI/IMX options.
  This allows us to disable the ChipIdea IMX code on powerpc,
  where it was causing build problems.
- commit 278cad2
* Tue Aug 28 2012 jeffm@suse.com
- config: Disable EXYNOS_VIDEO and HW_RANDOM_EXYNOS on all configs except exynos
  This hardware is only found on the Samsung EXYNOS boards.
- commit 429a008
* Mon Aug 27 2012 jeffm@suse.com
- Revert "clk.h: Fix shim ifdef guard (HAVE_CLK -> COMMON_CLK)."
  This reverts commit 54e1c0025e4757174d8d648e8224bf74009b3c2b.
  The issue is either an incomplete clk API on powerpc or clk_devm needs
  to be made generic. Discussion continues upstream.
- commit 8c9a4e9
* Mon Aug 27 2012 jeffm@suse.com
- clk.h: Fix shim ifdef guard (HAVE_CLK -> COMMON_CLK).
  This fixes the clk_devm_get build failures on ppc.
- commit 54e1c00
* Mon Aug 27 2012 jeffm@suse.com
- Update to 3.6-rc3.
- commit 0a688a0
* Tue Aug 21 2012 jeffm@suse.com
- config: update vanilla configs for 3.6-rc2.
- commit e0fa472
* Fri Aug 17 2012 jeffm@suse.com
- Update to 3.6-rc2.
  - Eliminated 1 patch.
- commit 71963b0
* Fri Aug 10 2012 jeffm@suse.com
- printk: Fix calculation of length used to discard records.
- commit bfdd968
* Thu Aug  9 2012 jslaby@suse.cz
- ubifs: remove __DATE__ and __TIME__.
- commit 6702208
* Thu Aug  9 2012 jslaby@suse.cz
- Refresh
  patches.drivers/ALSA-hda-Fix-mute-LED-GPIO-setup-for-HP-Mini-210.
  Update git-commit tag.
- commit f3a1eba
* Thu Aug  9 2012 jeffm@suse.com
- Update to 3.6-rc2. - Eliminated 2 patches.
- commit b073c66
* Thu Aug  9 2012 jeffm@suse.com
- reiserfs: fix deadlock with nfs racing on create/lookup
  (bnc#762693).
- commit 5b2dce3
* Thu Aug  9 2012 mmarek@suse.cz
- Delete patches.suse/s390-Kerntypes.diff until we get an updated version.
- commit 78f2edc
* Thu Aug  9 2012 mmarek@suse.cz
- Disable CONFIG_DRM_NOUVEAU on ia64 due to build errors
- commit 38e08ef
* Wed Aug  8 2012 mmarek@suse.cz
- Update config files to fix build.
- commit 9c9630c
* Wed Aug  8 2012 dmueller@suse.com
- config: enable various ARM errata workarounds to improve stability
- commit 4e28647
* Mon Aug  6 2012 tiwai@suse.de
- ASoC: omap: Add missing modules aliases to get sound working
  on omap devices.
- commit cbda3c2
* Fri Aug  3 2012 jeffm@suse.com
- Updated and re-enabled DMRAID45.
- commit 6b8bedd
* Fri Aug  3 2012 jeffm@suse.com
- Updated and re-enabled richacl support.
- commit 001594d
* Fri Aug  3 2012 jeffm@suse.com
- Update to 3.6-rc1.
  - Eliminated 11 patches.
  - Rich ACLs are disabled.
  - Xen is disabled.
  - ARM is disabled.
  - DMRAID45 is disabled.
- commit 5807d6b
* Fri Aug  3 2012 jeffm@suse.com
- i2c/busses: Fix build error if CONFIG_I2C_DESIGNWARE_PLATFORM=y
  && CONFIG_I2C_DESIGN.
- commit 3bec42b
* Fri Aug  3 2012 jeffm@suse.com
- reiserfs: fix deadlocks with quotas.
- commit 77ba55a
* Wed Aug  1 2012 jbeulich@novell.com
- Refresh Xen patches (fixing a major bug in the most recent Xen commit).
- commit 5df2b91
* Wed Aug  1 2012 jbeulich@novell.com
- Refresh patches.suse/stack-unwind (to work with older tool chains).
- commit 30e4ab0
* Tue Jul 31 2012 jeffm@suse.com
- rpm/kernel-binary.spec.in: Add dependency on mkinitrd >= 2.7.1 (bnc#773559).
- commit 2f75710
* Tue Jul 31 2012 tiwai@suse.de
- ALSA: hda - Fix mute-LED GPIO initialization for IDT codecs
  (bnc#772923).
- ALSA: hda - Fix polarity of mute LED on HP Mini 210
  (bnc#772923).
- commit f3c90ee
* Mon Jul 30 2012 jeffm@suse.com
- Update config files: HID_GENERIC=y where USBHID=y (bnc#773559).
  On flavors where USBHID is built-in statically, we want HID_GENERIC to
  be built statically as well. This, notably, includes i386/x86_64's desktop
  flavors.
- commit 6d995bc
* Mon Jul 30 2012 jeffm@suse.com
- Synced configs after commit 940e57e2 (Delete patches.drivers/input-Add-LED-support-to-Synaptics-device.)
- commit 104f550
* Mon Jul 30 2012 dmueller@suse.com
- Enable RTL8150 for omap2plus
  Generic USB Network device that also works fine on ARM, so enable it
- commit 400dcb7
* Mon Jul 30 2012 ohering@suse.de
- Drivers: hv: Cleanup the guest ID computation.
- hyperv: Add a check for ring_size value.
- hyperv: Add error handling to rndis_filter_device_add().
- Drivers: hv: Change the hex constant to a decimal constant.
- hyperv: Add support for setting MAC from within guests.
- commit 73d4430
* Fri Jul 27 2012 trenn@suse.de
- ACPI: Only count valid srat memory structures (bnc#757888).
- ACPI: Untangle a return statement for better readability
  (bnc#757888).
- commit 876d6b9
* Fri Jul 27 2012 tiwai@suse.de
- Refresh patches.suse/SUSE-bootsplash.
  Fix wrong vfree() (bnc#773406)
- commit a637a16
* Thu Jul 26 2012 tiwai@suse.de
- Delete patches.drivers/input-Add-LED-support-to-Synaptics-device.
  This feature was dropped from 12.2/FACTORY packages due to instability
  (bnc#768506,bnc#765524)
- commit 940e57e
* Thu Jul 26 2012 tiwai@suse.de
- ALSA: hda - Fix mute-LED GPIO setup for HP Mini 210
  (bnc#772923).
- commit 0ac6c27
* Thu Jul 26 2012 jeffm@suse.com
- Enabled patches.fixes/brcmsmac-firmware.
- commit 4ed5cb4
* Thu Jul 26 2012 jeffm@suse.com
- brcmsmac: document firmware dependencies (bnc#733148).
- commit f489263
* Wed Jul 25 2012 jbeulich@novell.com
- Update Xen patches to 3.5-final and c/s 1184.
- Delete patches.xen/xen3-apei_allow_drivers_access_nvs_ram.patch.
- commit 341366d
* Tue Jul 24 2012 jeffm@suse.com
- Update to 3.5-final.
  patches.suse/dm-raid45-26-Nov-2009.patch needs updating to new kmsg
  interface but, since powerpc isn't officially supported by opensuse, the
  update can happen later.
- commit fb9c50b
* Mon Jul 23 2012 jbeulich@novell.com
- patches.suse/no-frame-pointer-select: Update mainline tag.
- commit 4e207cd
* Wed Jul 18 2012 ohering@suse.de
- Delete patches.suse/led_classdev.sysfs-name.patch.
  All valid changes in this patch were merged into 2.6.32-rc3
  The remaining change to default-on LED trigger changed the name
  from default-on to default::on, which is wrong.
- commit 13b12c9
* Tue Jul 17 2012 tiwai@suse.de
- Refresh patches.drivers/input-Add-LED-support-to-Synaptics-device.
  Fix a typo in the capability bit check (bnc#768506).
- commit 5aa2a0b
* Mon Jul 16 2012 jeffm@suse.com
- Updated to 3.5-rc7.
- Eliminated 1 patch.
- commit 58a8fc5
* Fri Jul 13 2012 neilb@suse.de
- Update config files.
  Updates vanilla config files to include NFS_DEBUG implied by SUNRPC_DEBUG
- commit f36b6ed
* Fri Jul 13 2012 neilb@suse.de
- Update config files.
  Add SUNRPC_DEBUG - a new option for functionality that was
  previously always present.
  Without this, "rpcdebug" doesn't work.
  We often request customers enable this to analyse problems.
- commit b4fa24f
* Thu Jul 12 2012 mmarek@suse.cz
- Update vanilla config files.
- commit a0c6b82
* Tue Jul 10 2012 jeffm@suse.com
- Enable VMWGFX as module (bnc#769534).
  This option affects GNOME performance in VMware virtual machines.
- commit 8442da0
* Mon Jul  9 2012 jeffm@suse.com
- Updated to 3.5-rc6.
- Eliminated 1 patch.
- commit 93575a7
* Mon Jul  9 2012 jeffm@suse.com
- coretemp-xen: Fix usage of X86_FEATURE_DTS -> X86_FEATURE_DTHERM
  Upstream commit 4ad33411308596f2f918603509729922a1ec4411 renamed _DTS to
  _DTHERM, so fix its usage in the Xen driver.
- commit 1732d37
* Mon Jul  9 2012 sjayaraman@suse.com
- Update config files: CONFIG_CIFS_FSCACHE=y.
- commit 72cd989
* Mon Jul  9 2012 sjayaraman@suse.com
- Update config files: CONFIG_CIFS_FSCACHE=m.
- commit cdced94
* Mon Jul  9 2012 jeffm@suse.com
- Updated to 3.5-rc5.
- Eliminated 2 patches.
- commit ec675c6
* Thu Jul  5 2012 agraf@suse.de
- Update config files: use PR KVM on ppc/ppc64
- commit c902ea5
* Wed Jul  4 2012 hare@suse.de
- mach-dove: define TIMER_PHYS_BASE.
- Update config files.
- commit 0ea0e05
* Wed Jul  4 2012 trenn@suse.de
- Fix NULL pointer derference in acpi_ns_check_object_type()
  (kernel bug 44171).
- commit 10f1915
* Wed Jul  4 2012 trenn@suse.de
- Delete patches.arch/dell_latitude_e6xxx_e5xxx__fix_reboot.patch.
- Delete patches.drivers/apei_allow_drivers_access_nvs_ram.patch.
- commit c6e9e42
* Wed Jul  4 2012 trenn@suse.de
- Delete patches.arch/acpi_fix_fadt_32_bit_zero_length.patch.
- Delete patches.suse/acpi_osi_sle11_ident.patch.
- commit d8799fb
* Tue Jul  3 2012 agraf@suse.de
- omap2+: Revert "mmc: omap_hsmmc: Enable Auto CMD12".
- omap2+: Revert "Fix OMAP EHCI suspend/resume failure (i693)".
- omap2+: add drm device for the new Xorg driver.
- commit 4829a29
* Mon Jul  2 2012 dsterba@suse.cz
- btrfs: allow cross-subvolume file clone (bnc#698540).
- btrfs: use correct device for maps (bnc#672923 bnc#769545).
- commit 25d8571
* Tue Jun 26 2012 vojtech@suse.com
- Update post.sh to make the RT kernel default in the bootloader
  after installation.
- commit 3c10ce7
* Tue Jun 26 2012 guillaume.gardet@oliseo.fr
- Update omap2plus (ARM) config
- commit 466b846
* Mon Jun 25 2012 jeffm@suse.com
- Updated to 3.5-rc4.
- Eliminated 1 patch.
- commit 65cee14
* Sun Jun 24 2012 awafaa@opensuse.org
- Add support for Samsung Exynos SoC
- commit 81fc687
* Sun Jun 24 2012 awafaa@opensuse.org
- Update configs for cubox/default/imx51/tegra/u8500
- commit 65b18f1
* Tue Jun 19 2012 jbeulich@novell.com
- Update Xen patches to 3.5-rc3 and c/s 1182.
- Update x86 config files.
- Delete patches.xen/add-console-use-vt.
- commit d11f278
* Mon Jun 18 2012 jeffm@suse.com
- Fixed up post-3.5-merge conflicts.
- patches.drivers/mach-dove-Fixup-ge00-initialisation.patch.
- patches.drivers/spi-orion-convert-to-new-infrastructure.patch.
- commit 7a3a50c
* Mon Jun 18 2012 jeffm@suse.com
- Updated to 3.5-rc3.
- commit 3ee859e
* Mon Jun 18 2012 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Revert "Add provides and make most obsoletes
  versioned." (commit e3023c7). This change is wrong, the packages have
  their own versioning schemes.
- commit 29957f5
* Mon Jun 18 2012 jbeulich@novell.com
- Delete patches.xen/frontswap-config.
- Delete patches.xen/frontswap-core.
- Delete patches.xen/frontswap-header.
- Delete patches.xen/frontswap-hooks.
- commit cb6120e
* Mon Jun 18 2012 jbeulich@novell.com
- Refresh an re-enable patches.arch/x86_64-unwind-annotations.
- commit 9ed2387
* Fri Jun 15 2012 mhocko@suse.cz
- mm: correctly synchronize rss-counters at exit/exec (bnc#767152).
- commit d161b60
* Thu Jun 14 2012 jeffm@suse.com
- CONFIG_RTC_DRV_CMOS=y on all x86/x86_64 flavors (bnc#755525).
  When rtc_cmos is module, hctosys fails to set the clock on boot, issuing
  ominious error messages to the console.
- commit cddcbe7
* Thu Jun 14 2012 jbeulich@novell.com
- Update x86 config files (ATA_PIIX=m, bnc#766284).
- commit d80afa8
* Thu Jun 14 2012 tiwai@suse.de
- Refresh patches.drivers/input-Add-LED-support-to-Synaptics-device.
  Add product ID 0x84 that may have the LED support (bnc#764339)
- commit 6e5a834
* Wed Jun 13 2012 hare@suse.de
- Rediff patch
- patches.drivers/mach-dove-Fixup-ge00-initialisation.patch:
  Rediff after backport from upstream.
- commit fa58c5e
* Wed Jun 13 2012 hare@suse.de
- Fixup patch to apply
- patches.drivers/spi-orion-convert-to-new-infrastructure.patch
  backported from upstream.
- commit 2507393
* Wed Jun 13 2012 hare@suse.de
- Add SolidRun Cubox configuration
- Update config files.
- Add separate cubox configuration.
- mach-dove: Fixup ge00 initialisation.
- spi-orion: convert to new infrastructure.
- config.conf: Add cubox configuration
- rpm/package-descriptions: Add cubox description
- commit bfddec4
* Mon Jun 11 2012 jeffm@suse.com
- Update to 3.5-rc2.
  - Xen needs update.
  - ARM needs update.
  - Eliminated 13 patches.
- commit 3f461b1
* Fri Jun  8 2012 tiwai@suse.de
- Refresh patches.drivers/input-Add-LED-support-to-Synaptics-device.
  Use depends instead of reverse selection for avoiding the inconsitent
  Kconfig state.
- commit 316d77d
* Wed Jun  6 2012 tiwai@suse.de
- Refresh patches.drivers/input-Add-LED-support-to-Synaptics-device.
  Fix the detection of LED on the recent HP laptops (bnc#765524)
- commit 27c3276
* Tue Jun  5 2012 ohering@suse.de
- usb/net: rndis: merge command codes.
  only net/hyperv part
- usb/net: rndis: remove ambigous status codes.
  only net/hyperv part
- usb/net: rndis: break out <linux/rndis.h> defines.
  only net/hyperv part
- net/hyperv: Add flow control based on hi/low watermark.
- hv: fix return type of hv_post_message().
- Drivers: hv: util: Properly handle version negotiations.
- Drivers: hv: Get rid of an unnecessary check in vmbus_prep_negotiate_resp().
- HID: hyperv: Set the hid drvdata correctly.
- HID: hid-hyperv: Do not use hid_parse_report() directly.
- commit cfebefe
* Mon Jun  4 2012 ohering@suse.de
- [SCSI] storvsc: Properly handle errors from the host
  (bnc#747404).
- Delete patches.suse/suse-hv-storvsc-ignore-ata_16.patch.
- commit ad28e23
* Fri Jun  1 2012 tiwai@suse.de
- Update config files: Use CONFIG_SND_HDA_INPUT_BEEP=1 instead of 2
  The mode 2 was an ugly hack and shouldn't have been set, but it was so
  changed since some time ago...
- commit 86629f1
* Fri Jun  1 2012 guillaume.gardet@oliseo.fr
- Update ARM configs
- commit 550ef37
* Thu May 31 2012 ohering@suse.de
- replace our version of this patch with upstream variant:
  ata_piix: defer disks to the Hyper-V drivers by default
  libata: add a host flag to ignore detected ATA devices.
- commit bf70e35
* Wed May 30 2012 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Own the right -kdump initrd (bnc#764500)
- commit 5c85db8
* Tue May 29 2012 mhocko@suse.cz
- Refresh
  patches.apparmor/apparmor-compatibility-patch-for-v5-network-control.
  Fix a compile error due to anonymous union initialization not supported
  by earlier gcc versions (<4.6.x).
- commit 790f341
* Tue May 29 2012 jbeulich@novell.com
- Update Xen config files (XEN_SPINLOCK_ACQUIRE_NESTING=1).
- commit d03820c
* Fri May 25 2012 jeffm@suse.com
- Renamed armv7l to armv7hl, following %%_cpu_target convention.
- commit 64b97cd
* Wed May 23 2012 jbeulich@novell.com
- Update Xen patches to 3.4-final and c/s 1177.
- commit a3c5f2c
* Tue May 22 2012 trenn@suse.de
- X86 acpi_cpufreq: Do not use request_module for autoloading
  (bnc#756085).
- Refresh patches.xen/xen3-auto-common.diff.
- patches.xen/xen3-patch-3.3:
- commit caf270e
* Mon May 21 2012 jeffm@suse.com
- Update to 3.4-final.
- commit 91b2c6e
* Tue May 15 2012 agraf@suse.de
- Update config files: ppc64: use PR instead of HV KVM which is usable by more people
- commit 5e7640a
* Tue May 15 2012 jeffm@suse.com
- Make CRYPTO_CRC32C modular (bnc#762344)
  It was pulled in =y via CEPH_LIB=y, so we change the
  following options to =m:
- CONFIG_CEPH_LIB
- CONFIG_CRYPTO_CRC32C
- CONFIG_LIBCRC32C
  Making it modular allows the Intel-optimized crc32c implementation
  to be loaded, improving performance of things like btrfs.
- commit d569763
* Mon May 14 2012 jeffm@suse.com
- Disabled more Intel embedded drivers.
  Disabled:
- CONFIG_GPIO_LANGWELL
- CONFIG_GPIO_PCH
- CONFIG_GPIO_SCH
- commit f554d8b
* Mon May 14 2012 jeffm@suse.com
- USB storage on -desktop should be modular.
- commit 9331d48
* Mon May 14 2012 jeffm@suse.com
- Disabled more testing options.
  Disables:
  - CONFIG_TEST_POWER
  - CONFIG_VIDEO_MEM2MEM_TESTDEV
- commit ef1f4ca
* Mon May 14 2012 jeffm@suse.com
- Update to 3.4-rc7.
  - Eliminated 1 patch.
- commit 4cd9e9b
* Wed May  9 2012 jeffm@suse.com
- geodefb: Depend on X86_32.
  Disables:
- CONFIG_FB_GEODE_GX1
- CONFIG_FB_GEODE_GX
- CONFIG_FB_GEODE_LX
- CONFIG_FB_GEODE
- commit 1f260fb
* Wed May  9 2012 jeffm@suse.com
- Disabled testing config options on !debug
- CONFIG_CRYPTO_TEST
- CONFIG_DMATEST
- CONFIG_RTC_DRV_TEST
- commit d7c9a65
* Wed May  9 2012 guillaume.gardet@opensuse.org
- Update ARM configs
- commit aac8787
* Tue May  8 2012 jbeulich@novell.com
- Update Xen patches to 3.4-rc6.
- commit 8ed7ef0
* Mon May  7 2012 jeffm@suse.com
- IA32 emulation: Fix build problem for modular ia32 a.out
  support. (Xen version)
- commit 1c19c30
* Mon May  7 2012 jeffm@suse.com
- IA32 emulation: Fix build problem for modular ia32 a.out
  support.
- commit ad06d7d
* Mon May  7 2012 jeffm@suse.com
- Update to 3.4-rc6.
  - Eliminated 2 patches.
- commit 749ea8f
* Sat May  5 2012 jeffm@suse.com
- Disabled MMC_TEST (bnc#760077).
- commit c36bb06
* Fri May  4 2012 jeffm@suse.com
- sysctl/defaults: kernel.hung_task_timeout -> kernel.hung_task_timeout_secs (bnc#700174)
- commit 94b5c35
* Thu May  3 2012 guillaume.gardet@opensuse.org
- Update config/armv7l/omap2plus
- commit db627f7
* Wed May  2 2012 jeffm@suse.com
- patches.drivers/ehea-modinfo.patch: Updated patch-mainline for submission.
- commit e0eb735
* Wed May  2 2012 jeffm@suse.com
- omap-usb-host: include <plat/cpu.h>.
- commit 4d1394a
* Wed May  2 2012 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not require distribution-release
  during build.
- commit 3cd703f
* Wed May  2 2012 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Depend on distribution-release, so that
  the grub entry has correct title (bnc#757565).
- commit 30145a4
* Mon Apr 30 2012 jeffm@suse.com
- Updated and re-enabled armv7l.
  Thanks to Guillaume GARDET <guillaume.gardet@opensuse.org>
- commit d5a693e
* Mon Apr 30 2012 neilb@suse.de
- Update config files.
  Add CONFIG options for NFSv4v1 support.
  bnc#730444
- commit bd05821
* Mon Apr 30 2012 jeffm@suse.com
- Update to 3.4-rc5.
- commit e4e6b33
* Fri Apr 27 2012 jeffm@suse.com
- Disabled more Moorestown/Medfield drivers.
  Specific options disabled:
  I2C_INTEL_MID
  CONFIG_SFI
  MTD_NAND_DENALI
  SERIAL_MRST_MAX3110
  DRM_GMA600
  SPI_DW_MID_DMA
  APDS9802ALS
- commit 9a9ecdf
* Thu Apr 26 2012 jeffm@suse.com
- Disabled DECNet and ARCNet.
  Specific config options disabled:
  CONFIG_ARCNET
  CONFIG_ARCNET_1051
  CONFIG_ARCNET_1201
  CONFIG_ARCNET_CAP
  CONFIG_ARCNET_COM20020_CS
  CONFIG_ARCNET_COM20020
  CONFIG_ARCNET_COM20020_PCI
  CONFIG_ARCNET_COM90xxIO
  CONFIG_ARCNET_COM90xx
  CONFIG_ARCNET_RAW
  CONFIG_ARCNET_RIM_I
  CONFIG_DECNET
  CONFIG_DECNET_NF_GRABULATOR
- commit 272dd14
* Thu Apr 26 2012 jeffm@suse.com
- Disabled embedded hardware on all architectures except armv7l.
  Regulator drivers, except those needed by Via vx885/875 and OLPC
  are disabled.  IIO drivers are disabled.  SPI drivers are disabled.
  Drivers used only with Intel Medfield or Moorestown have been disabled.
  Specific options disabled:
  CONFIG_AD2S1200, CONFIG_AD2S1210, CONFIG_AD2S90, CONFIG_AD5064,
  CONFIG_AD5360, CONFIG_AD5380, CONFIG_AD5421, CONFIG_AD5446, CONFIG_AD5504,
  CONFIG_AD5624R_SPI, CONFIG_AD5686, CONFIG_AD5764, CONFIG_AD5791,
  CONFIG_AD5930, CONFIG_AD5933, CONFIG_AD7150, CONFIG_AD7152, CONFIG_AD7192,
  CONFIG_AD7280, CONFIG_AD7291, CONFIG_AD7298, CONFIG_AD7476,
  CONFIG_AD7606_IFACE_PARALLEL, CONFIG_AD7606_IFACE_SPI, CONFIG_AD7606,
  CONFIG_AD7746, CONFIG_AD7780, CONFIG_AD7793, CONFIG_AD7816, CONFIG_AD7887,
  CONFIG_AD799X, CONFIG_AD799X_RING_BUFFER, CONFIG_AD9832, CONFIG_AD9834,
  CONFIG_AD9850, CONFIG_AD9852, CONFIG_AD9910, CONFIG_AD9951,
  CONFIG_ADE7753, CONFIG_ADE7754, CONFIG_ADE7758, CONFIG_ADE7759,
  CONFIG_ADE7854_I2C, CONFIG_ADE7854, CONFIG_ADE7854_SPI, CONFIG_ADIS16060,
  CONFIG_ADIS16080, CONFIG_ADIS16130, CONFIG_ADIS16201, CONFIG_ADIS16203,
  CONFIG_ADIS16204, CONFIG_ADIS16209, CONFIG_ADIS16220, CONFIG_ADIS16240,
  CONFIG_ADIS16260, CONFIG_ADIS16400, CONFIG_ADT7310, CONFIG_ADT7316_I2C,
  CONFIG_ADT7316, CONFIG_ADT7316_SPI, CONFIG_ADT7410, CONFIG_ADXRS450,
  CONFIG_BACKLIGHT_WM831X, CONFIG_CAN_JANZ_ICAN3, CONFIG_FB_SM501,
  CONFIG_GPIO_JANZ_TTL, CONFIG_GPIO_RDC321X, CONFIG_GPIO_STMPE,
  CONFIG_GPIO_TIMBERDALE, CONFIG_GPIO_WM831X, CONFIG_IIO_BUFFER,
  CONFIG_IIO_CONSUMERS_PER_TRIGGER=2, CONFIG_IIO_GPIO_TRIGGER,
  CONFIG_IIO_KFIFO_BUF, CONFIG_IIO, CONFIG_IIO_PERIODIC_RTC_TRIGGER,
  CONFIG_IIO_SIMPLE_DUMMY, CONFIG_IIO_ST_HWMON, CONFIG_IIO_SW_RING,
  CONFIG_IIO_SYSFS_TRIGGER, CONFIG_IIO_TRIGGER,
  CONFIG_INPUT_MC13783_PWRBUTTON, CONFIG_INPUT_WM831X_ON,
  CONFIG_KEYBOARD_STMPE, CONFIG_KXSD9, CONFIG_LEDS_MC13783,
  CONFIG_LEDS_REGULATOR, CONFIG_LEDS_WM831X_STATUS,
  CONFIG_LIS3L02DQ_BUF_KFIFO, CONFIG_LIS3L02DQ, CONFIG_MAX1363,
  CONFIG_MAX1363_RING_BUFFER, CONFIG_MAX517, CONFIG_MFD_CORE,
  CONFIG_MFD_JANZ_CMODIO, CONFIG_MFD_MC13783, CONFIG_MFD_MC13XXX,
  CONFIG_MFD_RDC321X, CONFIG_MFD_SM501_GPIO, CONFIG_MFD_SM501,
  CONFIG_MFD_STMPE, CONFIG_MFD_TIMBERDALE, CONFIG_MFD_TPS65217,
  CONFIG_MFD_WM831X_SPI, CONFIG_MFD_WM831X, CONFIG_MFD_WM8400,
  CONFIG_RADIO_TIMBERDALE, CONFIG_REGMAP_I2C, CONFIG_REGMAP_SPI,
  CONFIG_REGMAP, CONFIG_REGULATOR_AD5398, CONFIG_REGULATOR_DA903X,
  CONFIG_REGULATOR_DEBUG, CONFIG_REGULATOR_DUMMY,
  CONFIG_REGULATOR_FIXED_VOLTAGE, CONFIG_REGULATOR_GPIO,
  CONFIG_REGULATOR_ISL6271A, CONFIG_REGULATOR_LP3971,
  CONFIG_REGULATOR_LP3972, CONFIG_REGULATOR_MAX1586,
  CONFIG_REGULATOR_MAX8649, CONFIG_REGULATOR_MAX8660,
  CONFIG_REGULATOR_MAX8952, CONFIG_REGULATOR_MC13783,
  CONFIG_REGULATOR_MC13892, CONFIG_REGULATOR_MC13XXX_CORE,
  CONFIG_REGULATOR_PCAP, CONFIG_REGULATOR_TPS6105X,
  CONFIG_REGULATOR_TPS62360, CONFIG_REGULATOR_TPS65023,
  CONFIG_REGULATOR_TPS6507X, CONFIG_REGULATOR_TPS65217,
  CONFIG_REGULATOR_TPS6524X, CONFIG_REGULATOR_USERSPACE_CONSUMER,
  CONFIG_REGULATOR_VIRTUAL_CONSUMER, CONFIG_REGULATOR_WM831X,
  CONFIG_REGULATOR_WM8400, CONFIG_REGULATOR, CONFIG_RFKILL_REGULATOR,
  CONFIG_RTC_DRV_MC13XXX, CONFIG_RTC_DRV_WM831X, CONFIG_SCA3000,
  CONFIG_SENSORS_AK8975, CONFIG_SENSORS_HMC5843, CONFIG_SENSORS_ISL29018,
  CONFIG_SENSORS_MC13783_ADC, CONFIG_SENSORS_TSL2563, CONFIG_SENSORS_WM831X,
  CONFIG_SERIAL_MFD_HSU, CONFIG_SERIAL_UARTLITE, CONFIG_STMPE_I2C,
  CONFIG_STMPE_SPI, CONFIG_TOUCHSCREEN_MC13783, CONFIG_TOUCHSCREEN_STMPE,
  CONFIG_TOUCHSCREEN_WM831X, CONFIG_TPS6105X, CONFIG_TSL2583,
  CONFIG_WM831X_BACKUP, CONFIG_WM831X_POWER, CONFIG_WM831X_WATCHDOG
- commit 0f27f25
* Thu Apr 26 2012 jeffm@suse.com
- Disabled CONFIG_COPS and CONFIG_LTPC: Ancient ISA LocalTalk hardware.
- commit 43b6598
* Wed Apr 25 2012 jeffm@suse.com
- dl2k: Tighten ioctl permissions (bnc#758813).
- commit 8d00242
* Wed Apr 25 2012 jeffm@suse.com
- Update to 3.4-rc4.
- commit 37113a8
* Sun Apr 22 2012 jeffm@suse.com
- Update config files: Merged omap2plus changes.
- commit f0e2149
* Fri Apr 20 2012 jbeulich@novell.com
- Update Xen patches to 3.4-rc3 and c/s 1172.
- config.conf: Re-enabled Xen configs.
- Update config files.
- commit 9f943f6
* Tue Apr 17 2012 jeffm@suse.com
- Update to 3.4-rc3.
  - Eliminated 1 patch.
- commit 2fde7e0
* Fri Apr 13 2012 jbeulich@novell.com
- Drivers: scsi: storvsc: Account for in-transit packets in the
  RESET path.
- commit 4c1e258
* Mon Apr  9 2012 jeffm@suse.com
- Update to 3.4-rc2.
- commit 976094f
* Fri Apr  6 2012 jeffm@suse.com
- Update AppArmor for 3.4.
  - apparmor: Add "profiles" list to sysfs.
- commit 59517ac
* Thu Apr  5 2012 jeffm@suse.com
- Update richacl patchset for 3.4.
- commit f13764e
* Thu Apr  5 2012 jeffm@suse.com
- Updated to 3.4-rc1.
  - Eliminated 121 patches.
  - Xen is unavailable.
  - ACPI overrides are unavailable.
  - AppArmor network feature are unavailable.
- commit 3ac7e79
* Thu Apr  5 2012 jeffm@suse.de
- Updated patch headers
- commit 09c9338
* Tue Apr  3 2012 ohering@suse.de
- Drivers: scsi: storvsc: Properly handle errors from the host
  (bnc#747404).
- commit 2f7920e
* Mon Apr  2 2012 jeffm@suse.de
- armv7l: Disable CONFIG_TOUCHSCREEN_EGALAX on default and u8500 due to missing infrastructure.
- commit b614c98
* Mon Apr  2 2012 jslaby@suse.cz
- samsung-laptop: make the dmi check less strict (bnc#746695).
- commit 170a6a2
* Fri Mar 30 2012 tiwai@suse.de
- drm/i915: suspend fbdev device around suspend/hibernate
  (bnc#732908).
- commit 028c29f
* Wed Mar 28 2012 jeffm@suse.com
- net: fix a potential rcu_read_lock() imbalance in
  rt6_fill_node() (bnc#754186).
- commit 8d5a9e4
* Mon Mar 26 2012 ohering@suse.de
- net/hyperv: Fix the code handling tx busy.
- Tools: hv: Support enumeration from all the pools.
- Tools: hv: Fully support the new KVP verbs in the user level
  daemon.
- Drivers: hv: Support the newly introduced KVP messages in
  the driver.
- Drivers: hv: Add new message types to enhance KVP.
- net/hyperv: Add support for vlan trunking from guests.
- net/hyperv: Fix data corruption in rndis_filter_receive().
- drivers: hv: Increase the number of VCPUs supported in the
  guest.
- drivers: hv: kvp: Cleanup the kernel/user protocol.
- tools: hv: Use hyperv.h to get the KVP definitions.
- drivers: hv: Cleanup the kvp related state in hyperv.h.
- net/hyperv: Remove the unnecessary memset in
  rndis_filter_send().
- net/hyperv: Correct the assignment in netvsc_recv_callback().
- net/hyperv: Convert camel cased variables in rndis_filter.c
  to lower cases.
- drivers: hv: kvp: Move the contents of hv_kvp.h to hyperv.h.
- drivers: hv: kvp: Add/cleanup connector defines.
- drivers: hv: Get rid of some unnecessary code.
- commit 78acc3b
* Sat Mar 24 2012 dsterba@suse.cz
- Revert "Btrfs: increase the global block reserve estimates"
- commit 7e9dd21
* Sat Mar 24 2012 dsterba@suse.cz
- Refresh patches.suse/btrfs-handle-EIO.
- Refresh
  patches.suse/btrfs-volumes-schedule_bio-should-return-void.
- commit d97ade6
* Fri Mar 23 2012 jbeulich@novell.com
- Update Xen patches to 3.3 final and c/s 1165.
- commit 6c5f5ef
* Thu Mar 22 2012 jeffm@suse.com
- Update config files: Disable CONFIG_INTEL_IOMMU_DEFAULT_ON (bnc#740102 and others)
- commit b244b17
* Thu Mar 22 2012 jeffm@suse.de
- Update config files: Disabled CONFIG_COMPAT_BRK and CONFIG_COMPAT_VDSO (FATE#313171)
- commit 990b059
* Wed Mar 21 2012 meissner@suse.de
- rpm: include crtsavres.o on ppc
- commit 854a031
* Mon Mar 19 2012 jeffm@suse.com
- Update vanilla config files.
- commit bd476d4
* Mon Mar 19 2012 jslaby@suse.cz
- Update (vanilla) config files.
- commit 55a0a56
* Mon Mar 19 2012 jslaby@suse.cz
- Delete
  patches.arch/acpi_ec_provide_non_interrupt_mode_boot_param.patch.
- Delete patches.arch/dell_optiplex_990_fix_reboot.patch.
- Delete
  patches.drivers/alsa-hda-0004-Add-missing-static-ADC-tables-for-ALC269-qu.
- Delete patches.drivers/libata-unlock-hpa-by-default.
- Delete patches.fixes/scsi-add-tgps-setting.
- Delete patches.fixes/scsi-dh-rdac-add-stk.
- Delete patches.suse/dm-mpath-evaluate-request-result-and-sense.
- Delete patches.suse/richacl-fix.
  Remove unused patches.
- commit 2cbabfe
* Mon Mar 19 2012 jeffm@suse.com
- Update to 3.3-final.
- commit a9ab64a
* Fri Mar 16 2012 ohering@suse.de
- Update bugnumber patches.suse/sd_init.mark_majors_busy.patch (bnc#744658).
- commit e60f2c3
* Mon Mar 12 2012 jbeulich@novell.com
- Update Xen patches to 3.3-rc7 and c/s 1163.
- commit 0054c83
* Mon Mar 12 2012 ohering@suse.de
- Staging: hv: storvsc: Cleanup some comments.
- Staging: hv: storvsc: Cleanup storvsc_probe().
- Staging: hv: storvsc: Cleanup storvsc_queuecommand().
- Staging: hv: storvsc: Introduce defines for srb status codes.
- Staging: hv: storvsc: Cleanup storvsc_host_reset_handler().
- Staging: hv: storvsc: Move and cleanup storvsc_remove().
- Staging: hv: storvsc: Add a comment to explain life-cycle
  management.
- Staging: hv: storvsc: Get rid of the on_io_completion in
  hv_storvsc_request.
- Staging: hv: storvsc: Rename the context field in
  hv_storvsc_request.
- Staging: hv: storvsc: Miscellaneous cleanup of storvsc driver.
- Staging: hv: storvsc: Cleanup the code for generating protocol
  version.
- Staging: hv: storvsc: Cleanup some protocol related constants.
- Staging: hv: storvsc: Get rid of some unused defines.
- Staging: hv: storvsc: Consolidate the request structure.
- Staging: hv: storvsc: Consolidate all the wire protocol
  definitions.
- Staging: hv: storvsc: Move the storage driver out of the
  staging area.
- Rename patches.suse/staging-hv-pata_piix-ignore-disks.patch to
  patches.suse/suse-hv-pata_piix-ignore-disks.patch
- commit 7487199
* Mon Mar 12 2012 jeffm@suse.com
- Update to 3.3-rc7.
- commit 81a18ea
* Sun Mar 11 2012 jeffm@suse.com
- btrfs: Handle EIO.
- btrfs: add varargs to btrfs_error.
- btrfs: Remove BUG_ON from __finish_chunk_alloc().
- btrfs: Remove BUG_ON from __btrfs_alloc_chunk().
- btrfs: Don't BUG_ON insert errors in btrfs_alloc_dev_extent().
- btrfs: Go readonly on tree errors in balance_level.
- btrfs: Don't BUG_ON errors from update_ref_for_cow().
- btrfs: Go readonly on bad extent refs in update_ref_for_cow().
- btrfs: Don't BUG_ON errors in __finish_chunk_alloc().
- btrfs: Don't BUG_ON kzalloc error in btrfs_lookup_csums_range().
- btrfs: Don't BUG_ON() errors in update_ref_for_cow().
- btrfs: Don't BUG_ON errors from btrfs_create_subvol_root().
- btrfs: btrfs_drop_snapshot should return int.
- brfs: split extent_state ops.
- btrfs: drop gfp_t from lock_extent.
- btrfs: scrub functions should return void.
- btrfs: btrfs_set_item_key_safe should BUG on error and return
  void.
- btrfs: Add extent_state alloc/free tracing.
- btrfs: btrfs_destroy_pending_snapshots should return void.
- btrfs: btrfs_destroy_ordered_extents should return void.
- btrfs: btrfs_destroy_ordered_operations should return void.
- btrfs: del_fs_roots should return void.
- btrfs: btrfs_free_fs_root should return void.
- btrfs: btrfs_add_ordered_sum should return void.
- btrfs: btrfs_add_ordered_operation should return void.
- btrfs: btrfs_run_ordered_operations should return void.
- btrfs: btrfs_wait_ordered_range should return void.
- btrfs: btrfs_wait_ordered_extents should return void.
- btrfs: __btrfs_remove_ordered_extent should return void.
- btrfs: btrfs_put_ordered_extent should return void.
- btrfs: update_inline_extent_backref should return void.
- btrfs: copy_for_split should return void.
- btrfs: end_compressed_writeback should return void.
- btrfs: btrfs_extend_item should return void.
- btrfs: btrfs_truncate_item should return void.
- btrfs: add_delayed_data_ref should return void.
- btrfs: add_delayed_tree_ref should return void.
- btrfs: add_delayed_ref_head should return void.
- btrfs: insert_ptr should return void.
- btrfs: del_ptr should return void.
- btrfs: setup_items_for_insert should return void.
- btrfs: fixup_low_keys should return void.
- btrfs: __add_reloc_root error push-up.
- btrfs: ->submit_bio_hook error push-up.
- btrfs: Factor out tree->ops->merge_bio_hook call.
- btrfs: Simplify btrfs_submit_bio_hook.
- btrfs: Fix kfree of member instead of structure.
- btrfs: setup_inline_extent_backref should return void.
- btrfs: btrfs_set_block_group_rw should return void.
- btrfs: btrfs_prepare_extent_commit should return void.
- btrfs: btrfs_destroy_delalloc_inodes should return void.
- btrfs: __setup_root should return void.
- btrfs: btrfs_invalidate_inodes should return void.
- btrfs: btrfs_init_compress should return void.
- btrfs: wait_for_writer should return void.
- btrfs: btrfs_end_log_trans should return void.
- btrfs: btrfs_requeue_work should return void.
- btrfs: btrfs_stop_workers should return void.
- btrfs: run_ordered_completions should return void.
- btrfs: fill_device_from_item should return void.
- btrfs: schedule_bio should return void.
- btrfs: btrfs_close_extra_devices should return void.
- btrfs: run_scheduled_bios should return void.
- btrfs: btrfs_cleanup_fs_uuids should return void.
- btrfs: clear_extent_buffer_dirty should return void.
- btrfs: check_page_writeback should return void.
- btrfs: check_page_locked should return void.
- btrfs: check_page_uptodate should return void.
- btrfs: __unlock_for_delalloc should return void.
- btrfs: wait_extent_bit should return void.
- btrfs: wait_on_state should return void.
- btrfs: btrfs_update_root error push-up.
- btrfs: find_and_setup_root error push-up.
- btrfs: Remove set bits return from clear_extent_bit.
- btrfs: avoid NULL deref in btrfs_reserve_extent with
  DEBUG_ENOSPC.
- btrfs: clean_tree_block should panic on observed memory
  corruption and return void.
- btrfs: btrfs_tree_{,un}lock should return void.
- btrfs: Simplify btrfs_insert_root.
- btrfs: Panic on bad rbtree operations.
- btrfs: Catch locking failures in {set,clear,convert}_extent_bit.
- btrfs: Add btrfs_panic().
- commit fd31baf
* Fri Mar  9 2012 ohering@suse.de
- mark busy sd majors as allocated (bug#744658).
- commit b2a640b
* Thu Mar  8 2012 mmarek@suse.cz
- Fix vanilla config files.
- commit b343c8a
* Thu Mar  8 2012 mmarek@suse.cz
- Delete patches.rpmify/nvme-broken, nvme builds again on 32bit.
- commit d60272f
* Thu Mar  8 2012 jbeulich@novell.com
- patches.suse/crasher-26.diff: Eliminate build warnings.
- commit 67c3c8d
* Thu Mar  8 2012 agraf@suse.de
- armv7l: config: omap: disable HDMI output (breaks build)
- commit 6a871bd
* Tue Mar  6 2012 agraf@suse.de
- armv7l: omap2plus: Enable TIDSPBRIDGE and SND codecs
- commit 0d8ec4d
* Mon Mar  5 2012 jeffm@suse.com
- Refresh patches.xen/xen3-fixup-arch-x86.
- commit f4b95ae
* Mon Mar  5 2012 jeffm@suse.com
- Update to 3.3-rc6. Previous commit was configs.
- commit 639167f
* Mon Mar  5 2012 jeffm@suse.com
- Update to 3.3-rc6.
- commit ebec13a
* Sun Mar  4 2012 jslaby@suse.cz
- Update config files.
  Enable RT2800USB_RT35XX and RT2800USB_RT53XX.
- commit adb37b7
* Wed Feb 29 2012 jbeulich@novell.com
- Update Xen patches to 3.3-rc5 and c/s 1157.
- config.conf: Re-enable Xen configs.
- Update config files.
- commit f225622
* Mon Feb 27 2012 jeffm@suse.com
- Updated to 3.3-rc5.
- commit 0b7f048
* Sun Feb 19 2012 jeffm@suse.com
- Updated to 3.3-rc4.
- commit 8831dca
* Mon Feb 13 2012 trenn@suse.de
- cpufreq/gx: Fix the compile error.
- commit 4ba1d8b
* Mon Feb 13 2012 mmarek@suse.cz
- nvme: Mark as broken on x86_32.
- commit 28ad576
* Sun Feb 12 2012 trenn@suse.de
- Add driver auto probing for x86 features v4
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- x86/cpu: Fix overrun check in arch_print_cpu_modalias()
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- crypto: Add support for x86 cpuid
  auto loading for x86 crypto drivers
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- x86/cpu: Clean up modalias feature matching
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- intel-idle: convert to x86_cpu_id auto probing
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- intel_idle: Fix ID for Nehalem-EX Xeon in device ID table
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- HWMON: Convert via-cputemp to x86 cpuid autoprobing
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- powernow-k7: Fix CPU family number
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- ACPI: Load acpi-cpufreq from processor driver automatically
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- intel_idle: Revert change of auto_demotion_flags for Nehalem
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- HWMON: Convert coretemp to x86 cpuid autoprobing
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- powernow-k6: Really enable auto-loading
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- X86: Introduce HW-Pstate scattered cpuid feature
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- cpufreq: Add support for x86 cpuinfo auto loading v4
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- x86: autoload microcode driver on Intel and AMD systems v2
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- CPU: Introduce ARCH_HAS_CPU_AUTOPROBE and X86 parts
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- ACPI: remove duplicated lines of merging
  problems with acpi_processor_start
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- Update config files.
- commit 6efe9b5
* Fri Feb 10 2012 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Build x86 packages as i686, except for
  - default (bnc#745632). KMPs are still built as i586.
- commit 88a632b
* Thu Feb  9 2012 jeffm@suse.com
- Update to 3.3-rc3.
- commit 07ec27c
* Thu Feb  9 2012 agraf@suse.de
- armv7l: Update config files.
- commit d223353
* Thu Feb  9 2012 agraf@suse.de
- armv7l: config: integrate bmwiedemann's updates to make it usable
- commit 76d12ed
* Tue Feb  7 2012 jeffm@suse.com
- Update vanilla config files.
- commit fd3673f
* Tue Feb  7 2012 jeffm@suse.com
- Update to 3.3-rc2.
  - Eliminated 5 patches.
  - Xen is disabled.
- commit d017ea1
* Wed Jan 25 2012 dkukawka@suse.de
- fix NULL pointer dereference in DSS2 VENC sysfs debug attr on OMAP4.
- commit 2206a5c
* Wed Jan 25 2012 mmarek@suse.cz
- proc: clean up and fix /proc/<pid>/mem handling (bnc#742279,
  CVE-2012-0056).
- commit 4fb112d
* Tue Jan 17 2012 trenn@suse.de
- Delete patches.fixes/intel_idle_add_flush_tlb_param.patch.
- Delete patches.fixes/intel_idle_lapic_param.patch.
- commit e18e852
* Tue Jan 17 2012 agraf@suse.de
- KVM: PPC: Add HPT preallocator.
- KVM: PPC: Convert RMA allocation into generic code.
- commit a6da6a5
* Fri Jan 13 2012 agraf@suse.de
- ARM: Update config files: Enable highmem everywhere
- commit 4522c1c
* Fri Jan 13 2012 tiwai@suse.de
- Refresh patches.suse/SUSE-bootsplash.
- add a proper support for Xen fb (bnc#739020);
- fix the bootsplash-verbose switch race (bnc#734213)
- commit 6f3d77f
* Wed Jan 11 2012 jbeulich@novell.com
- patches.suse/stack-unwind: Fix more 2.6.29 merge problems plus a glue code problem.
- commit 9166360
* Mon Jan  9 2012 mmarek@suse.cz
- Set CONFIG_LOCALVERSION for armv7l/u8500.
- commit dde56d0
* Fri Jan  6 2012 awafaa@opensuse.org
- add support for ST-Ericsson Nova based SoCs
- commit 06d2b6e
* Fri Jan  6 2012 jbeulich@novell.com
- Update Xen patches to 3.2-final and c/s 1140.
- commit 917dd7e
* Thu Jan  5 2012 jeffm@suse.com
- Update to 3.2-final.
- commit 778e265
* Mon Jan  2 2012 jeffm@suse.com
- Updated to 3.2-rc7.
- commit f458508
* Thu Dec 22 2011 jeffm@suse.com
- Update config files.
- CONFIG_X86_INTEL_MID -> CONFIG_X86_WANT_INTEL_MID
- commit c4246bf
* Wed Dec 21 2011 jbeulich@novell.com
- Update Xen patches to 3.2-rc6 and c/s 1133.
- kexec: properly handle pCPU hotplug.
- x86: pCPU handling.
- commit cbe54a1
* Tue Dec 20 2011 jeffm@suse.com
- Update to 3.2-rc6.
  - Eliminated 1 patch.
- commit d5a489e
* Tue Dec 20 2011 trenn@suse.de
- These should all be mainline in some form:
- Delete
  patches.arch/implement_stop_machine_from_offline_cpu.patch.
- Delete patches.arch/kill-__stop_machine.patch.
- Delete patches.arch/reorganize_stop_cpus.patch.
- Delete patches.arch/use_stop_machine_for_mtrr_rendezvous.patch.
- commit 78eb159
* Sun Dec 18 2011 aj@suse.de
- rpm/kernel-source.rpmlintrc: The hidden files are fine, silence rpmlint.
- commit a7813dd
* Fri Dec 16 2011 aj@suse.de
- rpm/kernel-binary.spec.in: Add provides and make most obsoletes versioned.
  This silences rpmlint warnings.
- commit e3023c7
* Wed Dec 14 2011 mmarek@suse.cz
- rpm/kernel-source.spec.in, rpm/mkspec: Fix tarball URL for -rcX and
  do not generate any URL for linux-next and vanilla snapshots.
- commit 1548daf
* Wed Dec 14 2011 mmarek@suse.cz
- rpm/kernel-source.spec.in, rpm/mkspec: Fix linux tarball URL
- commit 5453f99
* Tue Dec 13 2011 agraf@suse.de
- doc/config-options.changes: add CONFIG_DEBUG_STACKOVERFLOW change
- commit 42de6ff
* Tue Dec 13 2011 agraf@suse.de
- PPC: Update config files: disable CONFIG_DEBUG_STACKOVERFLOW
- commit 4d462dd
* Mon Dec 12 2011 aj@suse.de
- Silence missing defattr warning.
- commit e7e3743
* Mon Dec 12 2011 aj@suse.de
- Silence warning about dangling symlink and vdsos
- commit 701c5c7
* Fri Dec  9 2011 aj@suse.de
- No self-obsoletions.
- commit 1d2e747
* Fri Dec  9 2011 aj@suse.de
- Do not show rpmlint warnings.
- commit bb45b41
* Fri Dec  9 2011 aj@suse.de
- Use versioned provides/obsoletes.
- commit cf4f296
* Fri Dec  9 2011 aj@suse.de
- Adjust kernel-source.rpmlintrc for Linux 3.x
- commit bc1534e
* Thu Dec  8 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not package the vmlinux image in the devel
  package.
- commit 02bb976
* Wed Dec  7 2011 aj@suse.de
- Use GPL-2.0 as license tag (from http://spdx.org/licenses/)
  Only have one licenses line per file, the rest was just duplicated.
- commit f7c443c
* Wed Dec  7 2011 aj@suse.de
- Fix typo: Base package should not conflict with itself but with main package.
- commit e961ef0
* Tue Dec  6 2011 jeffm@suse.com
- Update to 3.2-rc4.
  - Eliminated 1 patch.
- commit a7d546d
* Mon Dec  5 2011 agraf@suse.de
- ARM: Update config files: omap: enable power management
- commit b97f846
* Tue Nov 29 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Make the -base package conflict with the main
  one.
- commit 45ada0d
* Mon Nov 28 2011 jeffm@suse.com
- Fix kernel-source spec to give ownership of the /usr/src/linux link
  to kernel-devel. kernel-source depends on kernel-devel, so this is correct.
- commit 7160a9c
* Mon Nov 28 2011 jbeulich@novell.com
- Refresh patches.xen/xen-pcpu-hotplug.
- Refresh patches.xen/xen3-patch-3.2-rc3.
- commit 7956240
* Mon Nov 28 2011 jbeulich@novell.com
- Update Xen patches to 3,2-rc3 and c/s 1127.
- Update frontswap patches to v10.
- config.conf: Re-enable Xen.
- Update config files.
- commit b08ea4f
* Mon Nov 28 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Ignore staging failures only in vanilla only
  branches.
- commit eeaaaf1
* Fri Nov 25 2011 agraf@suse.de
- ARM: config: omap: set omap_fb=y
- commit c1efd33
* Fri Nov 25 2011 agraf@suse.de
- ARM: config: omap: disable OMAP2 to fix reboots
- commit 2d07cf1
* Fri Nov 25 2011 agraf@suse.de
- ARM: config: omap: enable DVI
- commit 40ecc5c
* Fri Nov 25 2011 agraf@suse.de
- ARM: config: omap: enable ehci
- commit 96a74f9
* Fri Nov 25 2011 agraf@suse.de
- ARM: config: omap: enable pandaboard usb
- commit bab20e3
* Fri Nov 25 2011 agraf@suse.de
- ARM: config: omap: enable pandaboard LAN
- commit db7157b
* Fri Nov 25 2011 agraf@suse.de
- ARM: configs: Align with non-arm configs
- commit 9a9b9ee
* Fri Nov 25 2011 agraf@suse.de
- new script common_config.sh: find identical config options
- commit 1562f91
* Fri Nov 25 2011 agraf@suse.de
- ARM: configs: enable devtmpfs on all targets
- commit 5c31b37
* Fri Nov 25 2011 jeffm@suse.com
- Update config files for vanilla.
- commit 4c5b0b9
* Fri Nov 25 2011 jeffm@suse.com
- Update to 3.2-rc3.
  - stack unwind: cfi_ignore takes more arguments.
  - iio: Fix build error in industrialio-core.c.
- commit 48ef020
* Thu Nov 24 2011 ohering@suse.de
- ata_piix: ignore disks in a hyper-v guest.
- commit d0bebdb
* Thu Nov 24 2011 mmarek@suse.cz
- rpm/try-disable-staging-driver: Script to disable failing staging
  driver and restart make.
- commit 819d1fa
* Thu Nov 24 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not have a separate make invocation for
  s390 and the rest.
- commit d72f6c1
* Thu Nov 24 2011 agraf@suse.de
- ARM: Update config file file i.MX51 (disable i.MX53)
- commit 6557e92
* Wed Nov 23 2011 agraf@suse.de
- ARM: Refresh patches.arch/arm-phys-offset.patch. (fix warnings)
- commit 519c94a
* Wed Nov 23 2011 agraf@suse.de
- ARM: create uImage, not zImage, so we can boot with u-boot
- commit 63a7b2c
* Wed Nov 23 2011 agraf@suse.de
- ARM: Fix compile breakage for generic kernel.
- commit 9d31b12
* Tue Nov 22 2011 agraf@suse.de
- ARM: Update config files: fix several issues in 3.2
- commit 3488f8d
* Tue Nov 22 2011 agraf@suse.de
- ARM: Update config files: disable broken eth driver
- commit 3729fdf
* Tue Nov 22 2011 agraf@suse.de
- ARM: Update config files: run_oldconfig.sh
- commit ae90ef9
* Tue Nov 22 2011 agraf@suse.de
- ARM: fix run_oldconfig.sh
- commit 0362ed5
* Tue Nov 22 2011 agraf@suse.de
- ARM: Use zImage, not vmlinux
  On ARM we use the arch/arm/boot/zImage file similar to x86 to boot systems.
  Put that into the rpm as vmlinuz instead of the vmlinux ELF binary.
- commit 4c08eb0
* Tue Nov 22 2011 agraf@suse.de
- ARM: Dont generalize the target
  On ARM we can not build generic kernels that work through different generations,
  such as armv5 and armv7. So we better list them explicitly and not export an rpm
  that wouldn't even work on the respective architecture :).
- commit 854928d
* Thu Nov 17 2011 bpoirier@suse.de
- dm-raid45: split region hash and log, used by mirror and raid45.
- Update config files.
- commit a85f754
* Wed Nov 16 2011 jeffm@suse.com
- Update to 3.2-rc2.
  - Eliminated 1 patch.
- commit 85c9930
* Wed Nov 16 2011 jeffm@suse.com
- Update to 3.2-rc1.
  - Eliminate 212 patches.
- commit 6318d5b
* Mon Nov 14 2011 awafaa@opensuse.org
- Add package descriptions for ARM kernels
- Add ARM support for iMX51, OMAP2plus & Tegra SoC
- commit 51ebb2d
* Mon Nov 14 2011 jeffm@suse.com
- Updated incorrect Patch-mainline header.
- commit ef7dc61
* Sat Nov 12 2011 adrian@suse.de
- initial armv7l default kernel config, everything enable except the non compiling modules
- commit 7a5cd10
* Mon Nov  7 2011 neilb@suse.de
- sunrpc: wake up SOFTCONN tasks when a connection error happens
  (bnc#679059).
- commit f97b834
* Sat Nov  5 2011 trenn@suse.de
- X86: Solve Dell Latitudes do not reboot on x86_64 more
  generally.
- commit b3cc84a
* Thu Nov  3 2011 mszeredi@suse.cz
- patches.fixes/hfs-fix-hfs_find_init-sb-ext_tree-null-ptr-oops.patch:
  hfs: fix hfs_find_init() sb->ext_tree NULL ptr oops
  (CVE-2011-2203 bnc#699709).
- commit 7923119
* Thu Nov  3 2011 tiwai@suse.de
- ALSA: hda/realtek - Skip invalid digital out pins (bnc#727348).
- ALSA: hda - Add missing static ADC tables for ALC269 quirks.
- commit 102bac3
* Thu Nov  3 2011 jdelvare@suse.de
- patches.fixes/drm-radeon-kms-fix-i2c-masks.patch: Add git commit ID.
- commit ee8439f
* Thu Nov  3 2011 jeffm@suse.com
- Re-disabled patches.xen/xencons-tty_mutex.patch
- commit 187dde0
* Thu Nov  3 2011 jeffm@suse.com
- Re-added patches accidentally dropped with commit 28551a0c.
- commit 3795fde
* Thu Nov  3 2011 jbeulich@novell.com
- Update Xen patches to 3.1-final and c/s 1123.
- commit 35973e8
* Wed Nov  2 2011 jeffm@suse.com
- Add Elantech touchpad v3/v4 support (bnc#716852):
  - Input: elantech - add v3 hardware support.
  - Input: elantech - add v4 hardware support.
  - Input: elantech - better support all those v2 variants.
  - Input: elantech - clean up elantech_init.
  - Input: elantech - correct x, y value range for v2 hardware.
  - Input: elantech - get rid of ETP_2FT_* in elantech.h.
  - Input: elantech - packet checking for v2 hardware.
  - Input: elantech - remove ETP_EDGE_FUZZ_V2.
  - Input: elantech - remove module parameter force_elantech.
  - Input: elantech - use firmware provided x, y ranges.
- commit 28551a0
* Sun Oct 30 2011 mmarek@suse.cz
- rpm/{arch-symbols,mkspec}: Add support for ARM
  The various ARM families need similar handling like i?86.
- commit 0c6be6b
* Thu Oct 27 2011 tiwai@suse.de
- ALSA: hda - Fix ADC input-amp handling for Cx20549 codec.
- ALSA: hda - Keep EAPD turned on for old Conexant chips.
- ALSA: hda/realtek - Fix missing volume controls with ALC260
  (bnc#726812).
- commit 08229b0
* Tue Oct 25 2011 ohering@suse.de
- tty deadlock in kernel-xen, xenconsole (bnc#726333).
- commit 68289aa
* Tue Oct 25 2011 eich@suse.de
-  patches.suse/SUSE-bootsplash: remove DEBUG macro which was
  left in the code by accident.
- commit a56ba15
* Mon Oct 24 2011 jeffm@suse.com
- Update to 3.1-final.
- commit ec0449c
* Mon Oct 24 2011 ohering@suse.de
- patches.suse/staging-hv-pata_piix-ignore-disks.patch:
  Update comments in code and reduce patch size
- commit 8913d07
* Thu Oct 20 2011 eich@suse.de
- bootsplash: fix logo location when a splash image with an off-center
  logo is rescaled (bnc #722471).
- commit f6d77d4
* Tue Oct 18 2011 jeffm@suse.com
- -Update to 3.1-rc10.
- commit 239957e
* Fri Oct 14 2011 trenn@suse.de
- x86: Fix reboot issue for Dell Optiplex 990.
- commit 00ea2b5
* Fri Oct 14 2011 mmarek@suse.cz
- rpm/*.spec.in, rpm/mkspec: Generate specfiles according to Factory
  requirements.
- commit aebe2d9
* Thu Oct 13 2011 ohering@suse.de
- series.conf: really apply all hv_mouse patches
- commit 11f65b5
* Wed Oct 12 2011 ohering@suse.de
- Various updates for hv drivers, which fix also the hv_mouse driver
- staging: hv: storvsc: ignore SET_WINDOWN scsi command
  (bnc#722646).
- staging/hv: advertise hv_storvsc instead of storvsc as sysfs
  driver name (bnc#716708).
- staging/hv: fill scsi/proc_name for the sake of mkinitrd
  (bnc#716708).
- Staging: hv: util: Invoke cn_netlink_send() in a work context.
- Refresh patches.suse/staging-hv-pata_piix-ignore-disks.patch.
- Refresh patches.xen/xen3-patch-2.6.32.
- Delete patches.suse/staging-hv-vmbus-modalias-show.patch.
- commit c836841
* Wed Oct 12 2011 eich@suse.de
- SUSE-bootsplash: Don't crash when splash is turned off.
  Fix crash when splash is off (ie. (struct fb_info *)->splash_data == NULL)
  but someone tries to manipulate the splash image thru the /proc interface.
  All other functions in render.c seem to be save - ie. upper level code
  already protects them from being called if the splash_data member is NULL
  (bnc #718666).
- commit 2fc2aaf
* Tue Oct 11 2011 jdelvare@suse.de
- drm/radeon/kms: Fix I2C mask definitions (bnc#712023).
- commit d4a7ce4
* Fri Oct  7 2011 jbeulich@novell.com
- Update Xen patches to 3.1-rc9 and c/s 1116.
- commit 8f986a2
* Wed Oct  5 2011 jbeulich@novell.com
- patches.suse/supported-flag: Also look for Module.supported in the
  source tree.
- Refresh patches.suse/supported-flag-enterprise.
- commit 9c8680a
* Wed Oct  5 2011 jeffm@suse.com
- Update to 3.1-rc9.
- commit a477439
* Mon Oct  3 2011 jeffm@suse.com
- Update to 3.1-rc8.
- commit 6c33ac4
* Wed Sep 28 2011 jbeulich@novell.com
- Update Xen config files.
- commit 50fb02f
* Tue Sep 27 2011 eich@suse.de
- Refresh patches.suse/SUSE-bootsplash.
  Fix crash when updating boxes: Don't reallocate
  picture.
- commit ba0cfdc
* Mon Sep 26 2011 mmarek@suse.cz
- rpm/host-memcpy-hack.h: Hack to use older version of the memcpy symbol
  in userspace programs, so that they keep working on older systems.
- rpm/kernel-binary.spec.in: Pass -include
  %%_sourcedir/host-memcpy-hack.h to the compiler when compiling
  userspace programs.
- commit e3c78cf
* Mon Sep 26 2011 jbeulich@novell.com
- Update Xen patches to 3.1-rc7 and c/s 1105.
- pass PCI segment information to Xen.
- ACPI: Implement overriding of arbitrary ACPI tables via initrd.
- x86: allow NVS can be accessed by driver.
- commit 7de39e8
* Mon Sep 26 2011 jeffm@suse.com
- Update to 3.1-rc7.
- commit ee8cc90
* Thu Sep 22 2011 mmarek@suse.cz
- rpm/split-modules: Print the full path for modules missing in supported.conf
- commit e55e4c6
* Thu Sep 22 2011 mmarek@suse.cz
- supported.conf: Fix stray line making net/atm/atm suddenly unsupported.
- commit 58dbd06
* Wed Sep 21 2011 mmarek@suse.cz
- Add support for wildcards in supported.conf
- rpm/kernel-binary.spec.in: Generate Module.supported with all
  lines from supported conf, unsupported modules are marked as "no"
- rpm/split-modules: Use the supported flag in modules, instead of
  parsing the Module.supported file and report modules that have no
  supported marking.
- rpm/check-supported-list: Delete, this is done by split-modules
  now.
- commit edfdc2a
* Wed Sep 21 2011 trenn@suse.de
- Refresh
  patches.arch/acpi_implement_overriding_of_arbitrary_acpi_tables_via_initrd.patch.
  - > Fix build on ia64, by moving asm/e820.h into ifdef config protected region.
- commit 0ac4276
* Wed Sep 21 2011 mhocko@suse.cz
- Provide memory controller swap extension.
  Keep the feature disabled by default. Use swapaccount=1 kernel
  boot parameter for enabling it.
- commit 000742c
* Wed Sep 21 2011 mhocko@suse.cz
- Update config files.
  Clean run_oldconfig.sh run to get configs into sync
- commit c985824
* Tue Sep 20 2011 trenn@suse.de
- ACPI: Implement overriding of arbitrary ACPI tables via initrd
  (none).
- ACPICA: Fix wrongly mapped acpi table header when overriding
  via initrd (none).
- ACPICA: Introduce acpi_os_phys_table_override function (none).
- x86: allow NVS can be accessed by driver (none).
- Update config files:
  CONFIG_ACPI_INITRD_TABLE_OVERRIDE=y
  on i386 and x86_64 flavors
- commit 34bb195
* Thu Sep 15 2011 jeffm@suse.de
- Update to 3.1-rc6.
- commit 8f0eaba
* Thu Sep 15 2011 jbeulich@novell.com
- patches.arch/x86_64-unwind-annotations: Fix unwinding through
  interrupt frames, requiring ...
- patches.suse/stack-unwind: ... support for DW_CFA_def_cfa_expression.
- commit 4d917a5
* Wed Sep 14 2011 agraf@suse.de
- KVM: PPC: Fix incorrect CBE KVM hooks.
  There is another issue with KVM_HV and CBE that I only saw building
  this tree, so the patch is on its way to the kvm tree now.
- KVM: PPC: Assemble book3s{,_hv}_rmhandlers.S separately
  When building KVM HV mode with plenty other options enabled, the build
  fails. That's fixed upstream, but 3.1-rc5 doesn't have the patch yet.
  So I pulled it in from the kvm tree.
- commit 2be41bd
* Mon Sep 12 2011 jbeulich@novell.com
- Re-enabled patches.arch/x86_64-unwind-annotations.
- commit bfd10a0
* Mon Sep 12 2011 jbeulich@novell.com
- Refresh patches.arch/x86_64-unwind-annotations.
- Refresh patches.suse/supported-flag.
- commit aa89174
* Mon Sep 12 2011 jbeulich@novell.com
- Update Xen patches to 3.1-rc5 and c/s 1104.
- mm: frontswap: config and doc files.
- mm: frontswap: core code.
- mm: frontswap: add swap hooks and extend try_to_unuse.
- mm: frontswap: swap data structure changes.
- In HVM guests do not take over the CDROM device (bnc#645893).
- x86: report ACPI-reserved state of PCI MMCONFIG region to
  hypervisor.
- config.conf: Re-enable Xen flavors.
- Update config files.
- commit 3692f47
* Sun Sep 11 2011 agraf@suse.de
- Update config files (disable EHCA on PPC - gcc bug)
- commit 03a0c8c
* Sun Sep 11 2011 agraf@suse.de
- Update config files (enable KVM on PPC64 for OBS)
- commit 00b922d
* Mon Sep  5 2011 mmarek@suse.cz
- Update to 3.1-rc5 from https://github.com/torvalds/linux.git.
- commit 8a211c9
* Fri Sep  2 2011 ohering@suse.de
- Staging: hv: vmbus: Show the modalias in /sys/bus/vmbus/devices/*/
  (fate#311487).
- commit 94054c9
* Thu Sep  1 2011 ohering@suse.de
- ata_piix: ignore disks in a hyper-v guest.
- Staging: hv: vmbus: Don't wait indefinitely for IRQ resouces.
- Staging: hv: tools: Fix a checkpatch warning in hv_kvp_daemon.c.
- Staging: hv: vmbus: Fix checkpatch warnings.
- Staging: hv: util: kvp: Fix the reported OSVersion string.
- Staging: hv: util: kvp: Cleanup kvp_get_domain_name().
- Staging: hv: Fix macros, tab errors and warning in
  drivers/staging/hv/hv_mouse.c.
- Staging: hv: vmbus: VMBUS is an ACPI enumerated device, get
  rid of the PCI signature.
- Staging: hv: Replace struct hv_guid with the uuid type already
  defined in Linux.
- Staging: hv: vmbus: Introduce vmbus ID space in struct
  hv_driver.
- Staging: hv: blkvsc: Use the newly introduced vmbus ID in the
  blockvsc driver.
- Staging: hv: storvsc: Use the newly introduced vmbus ID in
  storvsc driver.
- Staging: hv: netvsc: Use the newly introduced vmbus ID in
  netvsc driver.
- Staging: hv: mousevsc: Use the newly introduced vmbus ID in
  mouse driver.
- Staging: hv: util: Make hv_utils a vmbus device driver.
- Staging: hv: create VMBUS_DEVICE macro and use it.
- Staging: hv: vmbus: Cleanup vmbus_match().
- Staging: hv: vmbus: Cleanup vmbus_uevent() code.
- Staging: hv: vmbus: Support the notion of id tables in
  vmbus_match().
- Staging: hv: vmbus: Get rid of an unnecessary include line
  in vmbus_drv.c.
- Staging: hv: storvsc: Get rid of the DMI signature.
- Staging: hv: netvsc: Get rid of the PCI signature.
- Staging: hv: netvsc: Get rid of the DMI signature in
  netvsc_drv.c.
- Staging: hv: util: Get rid of the DMI signature in hv_util.c.
- Staging: hv: util: Get rid of the PCI signature in hv_util.c.
- Staging: hv: fix up driver registering mess.
- Staging: hv: vmbus: Get rid of some unnecessary comments.
- Staging: hv: vmbus: Cleanup unnecessary comments in hv.c.
- Staging: hv: vmbus: Cleanup error handling in hv_init().
- Staging: hv: vmbus: Get rid of unnecessay comments in
  connection.c.
- Staging: hv: vmbus: Get rid of the function dump_gpadl_body().
- Staging: hv: vmbus: Get rid of the function dump_gpadl_header().
- Staging: hv: vmbus: Rename openMsg to open_msg in channel.c.
- Staging: hv: vmbus: Get rid of unnecessary comments in
  channel.c.
- Staging: hv: vmbus: Change the variable name openInfo to
  open_info in channel.c.
- Staging: hv: vmbus: Cleanup error values in ringbuffer.c.
- Staging: hv: vmbus: Cleanup the error return value in
  vmbus_recvpacket_raw().
- Staging: hv: netvsc: Get rid of an unnecessary print statement
  in netvsc_probe().
- Staging: hv: vmbus: Retry vmbus_post_msg() before giving up.
- Staging: hv: storvsc: Cleanup error handling in
  storvsc_dev_add().
- Staging: hv: storvsc: Cleanup error handling in
  storvsc_channel_init().
- Staging: hv: storvsc: Cleanup error handling in
  storvsc_connect_to_vsp().
- Staging: hv: storvsc: Cleanup error handling in storvsc_do_io().
- Storage: hv: storvsc: Get rid of some unnecessary DPRINTs
  from storvsc.c.
- Staging: hv: storvsc: Fix/cleanup some dated comments in
  storvsc.c.
- Staging: hv: storvsc: Cleanup returned error code in
  storvsc_host_reset().
- Staging: hv: storvsc: Cleanup error code returned in
  storvsc_probe().
- Staging: hv: storvsc: Cleanup returned error code in
  storvsc_drv_init().
- Staging: hv: netvsc: Cleanup the returned error code in
  netvsc_probe().
- Staging: hv: netvsc: Cleanup error return codes in
  netvsc_destroy_recv_buf().
- Staging: hv: netvsc: Cleanup error return values in
  netvsc_init_recv_buf().
- Staging: hv: netvsc: Cleanup error returns in
  netvsc_connect_vsp().
- Staging: hv: netvsc: Cleanup error return values in
  netvsc_send().
- Staging: hv: netvsc: Cleanup error return codes in
  netvsc_device_add().
- Staging: hv: netvsc: Cleanup error codes in
  rndis_filter_receive().
- Staging: hv: netvsc: Cleanup error code in
  rndis_filter_query_device().
- Staging: hv: netvsc: Cleanup error return values in
  rndis_filter_set_packet_filter().
- Staging: hv: netvsc: Cleanup error returns in
  rndis_filter_init_device().
- Staging: hv: netvsc: Cleanup error code in
  rndis_filter_device_add().
- Staging: hv: mouse: Change the jump label Cleanup to cleanup.
- Staging: hv: netvsc: Change the jump label Cleanup to cleanup.
- Staging: hv: netvsc: Change the jump label Exit to exit.
- Staging: hv: mouse: Get rid of the unused PCI signature.
- Staging: hv: hv_mouse: remove deviceinfo_callback function.
- Staging: hv: hv_mouse: remove inputreport_callback function.
- Staging: hv: hv_mouse: remove a forward declaration.
- Staging: hv: hv_mouse: fix up remove() function.
- Staging: hv: Add struct hv_vmbus_device_id to mod_devicetable.h.
- Staging: hv: add driver_data to hv_vmbus_device_id.
- Staging: hv: Add code to parse struct hv_vmbus_device_id table.
- Staging: hv: file2alias: fix up alias creation logic for
  hv_vmbus_device_id.
- Staging: hv: storvsc: Inline free_stor_device().
- Staging: hv: storvsc: Do not aquire an unnecessary reference
  on stor_device.
- Staging: hv: storvsc: Rename must_get_stor_device().
- Staging: hv: storvsc: Rename get_stor_device().
- Staging: hv: storvsc: Cleanup alloc_stor_device().
- Staging: hv: storvsc: Introduce state to manage the lifecycle
  of stor device.
- Staging: hv: storvsc: Prevent outgoing traffic when stor dev
  is being destroyed.
- Staging: hv: storvsc: Get rid of release_stor_device() by
  inlining the code.
- Staging: hv: storvsc: Get rid of final_release_stor_device()
  by inlining code.
- Staging: hv: storvsc: Get rid of the reference counting in
  struct storvsc_device.
- Staging: hv: netvsc: Inline the code for free_net_device().
- Staging: hv: netvsc: Cleanup alloc_net_device().
- Staging: hv: netvsc: Introduce state to manage the lifecycle
  of net device.
- Staging: hv: netvsc: Prevent outgoing traffic when netvsc dev
  is destroyed.
- Staging: hv: netvsc: Get rid of release_outbound_net_device()
  by inlining the code.
- Staging: hv: netvsc: Get rid of release_inbound_net_device()
  by inlining the code.
- Staging: hv: netvsc: Get rid of the refcnt field in struct
  netvsc_device.
- Staging: hv: storvsc: Add code to handle IDE devices using
  the storvsc driver.
- Staging: hv: storvsc: Handle IDE devices using the storvsc
  driver.
- Staging: hv: blkvsc: Get rid of blkvsc_drv.c as this code is
  not used.
- Staging: hv: storvsc: Optimize bounce buffer handling for the
  "write" case.
- Staging: hv: storvsc: Optimize the bounce buffer handling in
  the "read" case.
- Staging: hv: storvsc: Include storvsc.c in storvsc_drv.c.
- Staging: hv: storvsc: Cleanup storvsc_drv.c after adding the
  contents of storvsc.c.
- Staging: hv: storvsc: Add the contents of hyperv_storage.h
  to storvsc_drv.c.
- Staging: hv: storvsc: Cleanup storvsc_drv.c after adding the
  contents of hyperv_storage.h.
- Staging: hv: storvsc: Fixup srb and scsi status for INQUIRY
  and MODE_SENSE.
- Staging: hv: storvsc: Fix a typo.
- Staging: hv: storvsc: In case of scsi errors offline the device.
- Staging: hv: storvsc: No need to copy from bounce buffer in
  case of a failure.
- Staging: hv: util: Forcefully shutdown when shutdown is
  requested.
- Staging: hv: util: Adjust guest time in a process context.
- Staging: hv: vmbus: Check before invoking the channel callback.
- Staging: hv: vmbus: Properly deal with de-registering channel
  callback.
- Staging: hv: Fix a bug in vmbus_match().
- Staging: hv: vmbus: Get rid of vmbus_on_isr() by inlining
  the code.
- Staging: hv: vmbus: Do not enable auto eoi.
- Staging: hv: vmbus: Fixup indentation in vmbus_acpi_add().
- Staging: hv: vmbus: Get rid of some dated/redundant comments.
- Staging: hv: vmbus: Get rid of an unnecessary check in
  vmbus_connect().
- Staging: hv: vmbus: Fix a checkpatch warning in ring_buffer.c.
- Staging: hv: vmbus: Fix checkpatch warnings in connection.c.
- Staging: hv: mousevsc: Fix checkpatch errors and warnings.
- Staging: hv: netvsc: return negative error codes.
- Delete patches.suse/staging-hv-vmbus-init-on-dmi-match.patch.
- commit d77df1b
* Tue Aug 30 2011 jdelvare@suse.de
- Delete patches.fixes/net-tulip-debug-off-by-default.patch.
  Obsoleted by upstream commit 0b8f6273eb6fd0611849d6fb432151f04e042434.
- commit bd9ecd2
* Tue Aug 30 2011 gregkh@suse.de
- supported.conf: xhci-hcd not xhci. Also move it to base so you can boot
  off of a USB3 device (bnc#712752)
- commit f6522ba
* Mon Aug 29 2011 jeffm@suse.com
- Re-Refresh patches.rpmify/pti-depends-on-x86-pci.
- commit 626749c
* Mon Aug 29 2011 jeffm@suse.com
- Refresh patches.rpmify/pti-depends-on-x86-pci.
- commit e82bcac
* Mon Aug 29 2011 jeffm@suse.com
- Disabled patches.rpmify/pti-depends-on-x86-pci
- commit 0baba30
* Mon Aug 29 2011 jeffm@suse.com
- Update to 3.1-rc4.
- commit 68e08b1
* Wed Aug 24 2011 jeffm@suse.com
- PTI: depends on X86 && PCI.
- commit e975e4b
* Wed Aug 24 2011 jeffm@suse.com
- scsi_dh_alua: always update TPGS status on activate.
- scsi_dh: Check for sdev state in store_dh_state() (bnc#616080).
- scsi_dh_alua: Evaluate TPGS setting from inquiry data.
- scsi_dh: Implement match callback function.
- Delete patches.fixes/scsi-dh-alua-retry-UA.
- Delete patches.fixes/scsi-dh-alua-send-stpg.
- commit 58d8073
* Wed Aug 24 2011 jeffm@suse.com
- Refresh and re-enable patches.arch/x86_64-hpet-64bit-timer.patch.
- commit 7d43f4b
* Wed Aug 24 2011 jeffm@suse.com
- Refreshed and re-enabled dm-path patches:
  - patches.suse/dm-mpath-accept-failed-paths.
  - patches.suse/dm-mpath-detach-existing-hardware-handler.
- commit 70cadcd
* Wed Aug 24 2011 jeffm@suse.com
- Update to 3.1-rc3.
  - Eliminated 8 patches.
  - Xen is disabled.
- commit eccefcc
* Thu Aug 18 2011 eich@suse.de
- * Refresh patches.suse/SUSE-bootsplash.
  * Fix bootsplash code for 15bpp framebuffers.
  These framebuffers are rare these days, the legendary and still
  popular server chipset Radeon ES1000 supports it, though.
- commit f25ce3e
* Sun Aug 14 2011 trenn@suse.de
- Properly destroy pmsr devices:
  Refresh patches.xen/xen-x86-msr-on-pcpu.
- commit 934d81a
* Sat Aug 13 2011 gregkh@suse.de
- Update config files, enabling CONFIG_RT2800PCI as requested.
- commit b2f65f0
* Tue Aug  9 2011 trenn@suse.de
- Update config files:
  bnc#674988, change:
  - CONFIG_ACPI_CUSTOM_METHOD=m
  +# CONFIG_ACPI_CUSTOM_METHOD is not set
  for all flavors
- commit f1af972
* Mon Aug  1 2011 mmarek@suse.cz
- rpm/modversions: Support for new genksyms format with E# tags for enum
  constants.
- commit ee6da8c
* Fri Jul 29 2011 jslaby@suse.cz
- tg3: Fix io failures after chip reset (bnc#705962).
- commit c8d864c
* Mon Jul 25 2011 mmarek@suse.cz
- Fix format of patches to apply with series2git:
  patches.arch/s390-message-catalog.diff
  patches.drivers/input-Add-LED-support-to-Synaptics-device
  patches.fixes/kvm-macos.patch
  patches.fixes/mm-Fix-assertion-mapping-nrpages-0-in-end_writeback.patch
  patches.fixes/nfs-slot-table-alloc
  patches.fixes/oom-warning
  patches.fixes/scsi-dh-alua-send-stpg
  patches.suse/0001-vfs-Hooks-for-more-fine-grained-directory-permission.patch
  patches.suse/0002-vfs-Add-generic-IS_ACL-test-for-acl-support.patch
  patches.suse/0015-ext4-Use-IS_POSIXACL-to-check-for-POSIX-ACL-support.patch
  patches.suse/0016-ext4-Implement-richacl-support-in-ext4.patch
  patches.suse/dm-mpath-no-activate-for-offlined-paths
  patches.suse/dm-mpath-no-partitions-feature
  patches.suse/no-frame-pointer-select
  patches.suse/no-partition-scan
  patches.suse/revert-x86-remove-warning-and-warning_symbol-from-struct-stacktrace_ops
  patches.suse/setuid-dumpable-wrongdir
  patches.suse/stack-unwind
  patches.suse/supported-flag-enterprise
- commit b5f5212
* Mon Jul 25 2011 meissner@suse.de
- Powerpc config adjustments
  This makes CONFIG_POWER_SUPPLY=y like in the other architectures,
  it also disables the EHCA driver as gcc 4.6 currently fails to compile
  it correctly.
- commit aa27d23
* Sun Jul 24 2011 jslaby@suse.cz
- fix crash in scsi_dispatch_cmd() (bnc#707853).
- commit dfe0dcf
* Fri Jul 22 2011 mmarek@suse.cz
- Update to 3.0.
- commit 50c05d7
* Thu Jul 21 2011 jbeulich@novell.com
- Update Xen patches to 3.0-rc7 and c/s 1098.
- Update Xen config files.
- commit f4eb207
* Mon Jul 18 2011 jdelvare@suse.de
- tulip: Disable debugging messages by default
- commit 141a54f
* Fri Jul 15 2011 ohering@suse.de
- hv: only load the driver in a hyper-v guest (bnc#704957).
- commit f2f7449
* Thu Jul 14 2011 tiwai@suse.de
- Refresh patches.suse/SUSE-bootsplash.  Fix for nouveau.
- commit 27de298
* Thu Jul 14 2011 tiwai@suse.de
- ALSA: hda - Add Kconfig for the default buffer size
  (bnc#682725).
- Update config files.
- Delete, replaced with the new upstream patch
  patches.drivers/alsa-hda-0019-Increase-default-buffer-size.
- commit 40c7644
* Wed Jul 13 2011 jeffm@suse.com
- Update to 3.0-rc7.
- commit 0de37e1
* Sat Jul  9 2011 jslaby@suse.cz
- Delete patches.fixes/x86_mtrr_stop_machine_1_2.patch.
- Delete patches.fixes/x86_mtrr_use_stop_machine_2_2.patch.
  They were superseded by other patches in
  aa3d6e2b140aac24a432f830d30047b1842aed0b.
- commit e95707d
* Thu Jul  7 2011 jeffm@suse.com
- Update to 3.0-rc6.
  - Eliminated 1 patch.
- commit 56e99da
* Tue Jul  5 2011 jbeulich@novell.com
- Update Xen patches to 3.0-rc5 and c/s 1095.
- xen: prepare tmem shim to handle frontswap.
- support booting Xen from EFI (fate#311376, fate#311529,
  bnc#578927, bnc#628554).
- config.conf: Re-enabled Xen flavors.
- Update x86 config files.
- Delete patches.xen/xen-blkback-bimodal-suse.
- commit 4c2a76f
* Mon Jul  4 2011 tiwai@suse.de
- Fix invalid colormap override in SUSE-bootsplash patch (bnc#584493)
- commit ac30089
* Wed Jun 29 2011 jeffm@suse.com
- Update to 3.0-rc5.
- commit 9eb1a0f
* Wed Jun 29 2011 jslaby@suse.cz
- TTY: ldisc, do not close until there are readers (bnc#698247
  bnc#693374).
- commit b3afb1a
* Fri Jun 24 2011 jeffm@suse.com
- Enable TOMOYO (FATE#310292, bnc#668381).
- commit 997e757
* Tue Jun 21 2011 mmarek@suse.cz
- Update vanilla configs.
- commit 1738011
* Tue Jun 21 2011 mmarek@suse.cz
- Update to 3.0-rc4
- commit 1b6bf5d
* Fri Jun 17 2011 mmarek@suse.cz
- rpm/post.sh: Touch /boot/do_purge_kernels on package install
  (fate#312018).
- rpm/postun.sh: Remove it again if it still exists on package
  uninstall.
- commit 82f4a5d
* Fri Jun 17 2011 trenn@suse.de
- stop_machine: implement stop_machine_from_offline_cpu()
  (bnc#697859).
- stop_machine: kill __stop_machine() (bnc#697859).
- x86, mtrr: lock stop machine during MTRR rendezvous sequence
  (bnc#697859).
- stop_machine: reorganize stop_cpus() implementation
  (bnc#697859).
- x86, mtrr: use __stop_machine() for doing MTRR rendezvous
  (bnc#697859).
- commit aa3d6e2
* Thu Jun 16 2011 mmarek@suse.cz
- Remove the novfs patches, it should be packaged as a KMP, or
  ideally, reimplemented as a fuse filesystem (which is the reason why
  the current implementation it is never going to be accepted upstream).
- Delete patches.fixes/novfs-copy_user-fixes.diff.
- Delete patches.fixes/novfs-minsize-fixes.
- Delete patches.fixes/novfs-nwcapi.patch.
- Delete patches.suse/novfs-client-module.
- Delete patches.suse/novfs-remove-bkl.
- commit bc3a79d
* Thu Jun 16 2011 ohering@suse.de
- Update vanilla config files.
- commit a642909
* Thu Jun 16 2011 ohering@suse.de
- rpm/kernel-binary.spec.in:
  jobs is not defined for home: projects, use the new _smp_mflags to enable parallel build
- commit 1009eaf
* Thu Jun 16 2011 ohering@suse.de
- rpm/kernel-binary.spec.in:
  Update comment, get the number of cpus from /proc/stat
- commit b4cf18c
* Wed Jun 15 2011 jeffm@suse.com
- Update config files: Disable BRCMSMAC on ppc/ppc64.
- commit 20b3d8e
* Wed Jun 15 2011 jack@suse.cz
- "Unable to save Login Script" appears when trying to save a
  user login script (bnc#638985).
- commit 7c243a4
* Wed Jun 15 2011 jack@suse.cz
- fs: novfs: Limit check for datacopy between user and kernel space.
- commit 5fbc5ed
* Wed Jun 15 2011 jeffm@suse.com
- Update to 3.0-rc3.
  - Eliminated 2 patches.
- commit a1fe999
* Tue Jun 14 2011 mmarek@suse.cz
- scripts/config.sh: Remove MIRROR handling, _find_tarball() does it
  itself.
- commit 18ad47f
* Mon Jun 13 2011 jeffm@suse.com
- nouveau: Make vga_switcheroo code depend on VGA_SWITCHEROO.
- commit b3f32a6
* Mon Jun 13 2011 jeffm@suse.com
- apm: Honor CONFIG_APM_CPU_IDLE=n.
- commit 8ad9b51
* Mon Jun 13 2011 jeffm@suse.com
- Update config files.
- commit 2cd7359
* Mon Jun 13 2011 jeffm@suse.com
- Delete patches.rpmify/qla4xx-missing-readq-definition.
- commit b48337d
* Mon Jun 13 2011 mmarek@suse.cz
- Remove copypasted lines from vanilla configs.
- commit b395e52
* Mon Jun 13 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Call gzip with -n.
- commit 9a65e48
* Mon Jun 13 2011 mmarek@suse.cz
- rpm/mkspec: Put the -rcX tag into the rpm version instead of the
  trailing zero. Rpm considers "rc" older than "0", so this will sort
  properly.
- commit 8d9b2b9
* Mon Jun 13 2011 mmarek@suse.cz
- x86, build: Do not set the root_dev field in bzImage.
- commit 15e4a82
* Mon Jun 13 2011 mmarek@suse.cz
- rpm/compute-PATCHVERSION.sh: Set default PATCHLEVEL and SUBLEVEL to 0.
  The package version will thus always match the Makefile version and
  the SRCVERSION variable will only be used to determine the tarball
  version.
- rpm/compute-PATCHVERSION.sh: Set default PATCHLEVEL and SUBLEVEL to 0.
  The package version will thus always match the Makefile version and
  the SRCVERSION variable will only be used to determine the tarball
  version.
- rpm/kernel-binary.spec.in: Revert the previous hack.
- commit 95c9977
* Sat Jun 11 2011 jeffm@suse.de
- kbuild: Fix KERNELVERSION for empty SUBLEVEL or PATCHLEVEL.
- kbuild: Fix <linux/version.h> for empty SUBLEVEL or PATCHLEVEL.
- Refresh patches.suse/supported-flag.
- rpm/kernel-binary.spec.in: Hack to work around v3.0 vs v3.0.0
- commit a95ebd8
* Fri Jun 10 2011 jeffm@suse.com
- Delete patches.suse/file-capabilities-disable-by-default.diff.
- commit 2694a88
* Fri Jun 10 2011 jeffm@suse.com
- x86: Remove warning and warning_symbol from struct
  stacktrace_ops.
- Delete
  patches.fixes/asus-wmi-Remove-__init-from-asus_wmi_platform_init.patch.
- commit 608ce9e
* Fri Jun 10 2011 trenn@suse.de
- Update Suresh's patchset to version 3:
- Refresh patches.fixes/x86_mtrr_stop_machine_1_2.patch.
- Refresh patches.fixes/x86_mtrr_use_stop_machine_2_2.patch.
- commit 9f2e923
* Wed Jun  8 2011 jeffm@suse.com
- Revert "Revert "- Updated to 3.0-rc1.""
  This reverts commit b2d9e72dc9cd8e62d49e0565babd76332f7c2114.
  Conflicts:
  rpm/config.sh
  series.conf
- commit 408e273
* Wed Jun  8 2011 jeffm@suse.com
- Update to 3.0-rc2.
- commit b97d26c
* Wed Jun  8 2011 trenn@suse.de
- Update Suresh's version 2 of the patchseries:
- Refresh patches.fixes/x86_mtrr_stop_machine_1_2.patch.
- Refresh patches.fixes/x86_mtrr_use_stop_machine_2_2.patch.
- commit 4ef8999
* Tue Jun  7 2011 mmarek@suse.cz
- rpm/compute-PATCHVERSION.sh: Fix for empty EXTRAVERSION
- commit a0a1386
* Tue Jun  7 2011 mmarek@suse.cz
- rpm/compute-PATCHVERSION.sh: Fix for 3.0
- commit dca1465
* Tue Jun  7 2011 mmarek@suse.cz
- rpm/mkspec: Fix perl warning
- commit 395d7d8
* Tue Jun  7 2011 trenn@suse.de
- x86, mtrr: use __stop_machine() for doing MTRR rendezvous
  (bnc#672008).
- stop_machine: enable __stop_machine() to be called from the
  cpu online path (bnc#672008).
- commit 684cd78
* Mon Jun  6 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Loosen the mkinitrd requirement, this was
  only a workaround for a 11.3 update problem (cf bnc#615680).
- commit 05ade7d
* Sun Jun  5 2011 jslaby@suse.cz
- asus-wmi: Remove __init from asus_wmi_platform_init
  (bnc#696212).
- commit 2e6cc6b
* Fri Jun  3 2011 mmarek@suse.cz
- Temporarily set PPC_DISABLE_WERROR=y in power to fix build
- commit 5e9cb3b
* Fri Jun  3 2011 mmarek@suse.cz
- scripts/kmsg-doc: Do not require Switch.pm.
- commit 83a39c7
* Fri Jun  3 2011 mmarek@suse.cz
- rpm/macros.kernel-source: Add -b option to %%kernel_module_package
  to unconditionally call mkinitrd on kmp install (fate#309400).
- rpm/kernel-module-subpackage: Pass KMP_NEEDS_MKINITRD=1 to
  weak-modules2 if the -b option is used.
- commit 83331f5
* Wed Jun  1 2011 jbeulich@novell.com
- Delete patches.xen/sfc-* (as advised by Solarflare).
- commit a144c73
* Tue May 31 2011 jeffm@suse.com
- Revert "- Updated to 3.0-rc1."
  This reverts commit 5710413eb834b0f215f6f4249d6ff7c3f7673eb7.
  Should have been committed to the merge-v3.0 branch.
- commit b2d9e72
* Tue May 31 2011 jeffm@suse.com
- Updated to 3.0-rc1.
  - Eliminated 9 patches.
- commit 5710413
* Mon May 30 2011 jack@suse.cz
- mm: Fix assertion mapping->nrpages == 0 in end_writeback()
  (bnc#693013 bnc#666423).
- Refresh patches.xen/tmem.
- commit d3e465a
* Mon May 30 2011 jslaby@suse.cz
- Refresh
  patches.fixes/block-add-proper-state-guards-to-__elv_next_request.patch.
- aic94xx: world-writable sysfs update_bios file.
  Update upstream info.
- commit 8912816
* Fri May 27 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Set KBUILD_BUILD_{USER,HOST} to
  geeko@buildhost, obsoleting the patch to scripts/mkcompile_h.
- commit b4b7255
* Mon May 23 2011 jbeulich@novell.com
- Update Xen patches to 2.6.39 final and c/s 1085.
- xen/sfc_netfront: fix an unused variable error.
- commit 3b6edff
* Fri May 20 2011 jslaby@suse.cz
- PM: Print a warning if firmware is requested when tasks are
  frozen (bnc#695219).
- commit e78f4ce
* Fri May 20 2011 jslaby@suse.cz
- Refresh
  patches.fixes/block-add-proper-state-guards-to-__elv_next_request.patch.
  Bah, cherry-picked a wrong version. Fix it.
- commit f9674b8
* Fri May 20 2011 jslaby@suse.cz
- Delete patches.suse/slab-handle-memoryless-nodes-v2a.patch.
  It was part of removed SoN patches.
- commit 1d0599a
* Fri May 20 2011 jeffm@suse.com
- Updated to 2.6.39-final.
- commit 7c72384
* Thu May 19 2011 jbeulich@novell.com
- supported.conf: blktap2 modules are supported.
- commit fa60394
* Mon May 16 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Add the commit hash to uname -v, cleanup.
- commit f3bdb4c
* Fri May 13 2011 jeffm@suse.com
- Update to 2.6.39-rc7.
  - Eliminated 5 patches.
- commit a8a170f
* Thu May 12 2011 jslaby@suse.cz
- block: add proper state guards to __elv_next_request.
- commit bcb6433
* Thu May 12 2011 jslaby@suse.cz
- Delete
  patches.fixes/iwlwifi-fix-tx-power-configuration-on-3945-and-4965-devices.
  It's fixed differently by commits 43f12d47f and f844a709a7 in .39-rc1
- commit 7934e2d
* Thu May 12 2011 jslaby@suse.cz
- Refresh
  patches.fixes/iwlwifi-fix-tx-power-configuration-on-3945-and-4965-devices.
  Note about submission.
- commit 9922e20
* Tue May 10 2011 mhocko@suse.cz
- Delete patches.suse/files-slab-rcu.patch.
- commit 6547edf
* Tue May 10 2011 mhocko@suse.cz
- patches.fixes/aggressive-zone-reclaim.patch: delete because
  the patch is very workload specific and can lead to unexpected
  reclaims in parallel node local workloads.
- commit 56cf10e
* Tue May 10 2011 mhocko@suse.cz
- Delete patches.suse/mm-devzero-optimisation.patch: we do not need
  it anymore as we have zero page back since 2.6.32
- commit 323a093
* Tue May 10 2011 mmarek@suse.cz
- Really delete patches.fixes/aggressive-zone-reclaim.patch.
- commit b21d4b6
* Mon May  9 2011 jbeulich@novell.com
- Update Xen patches to 2.6.39-rc6.
- commit b976a7e
* Mon May  9 2011 jbeulich@novell.com
- patches.suse/kconfig-automate-kernel-desktop: Remove stray blank
  lines (for older versions of "patch" to grok).
- commit 4dfa74d
* Sat May  7 2011 jeffm@suse.com
- Removed network driver entropy patches. haveged is installed by default
  and should be enabled to generate entropy from non-predictable sources.
  - Delete patches.drivers/bnx2-entropy-source.patch.
  - Delete patches.drivers/e1000-entropy-source.patch.
  - Delete patches.drivers/e1000e-entropy-source.patch.
  - Delete patches.drivers/igb-entropy-source.patch.
  - Delete patches.drivers/ixgbe-entropy-source.patch.
  - Delete patches.drivers/tg3-entropy-source.patch.
- commit c88b893
* Fri May  6 2011 jeffm@suse.com
- Update
  patches.fixes/netfilter-implement-rfc-1123-for-ftp-conntrack
  (bnc#466279 bnc#681639).
- commit 72e779f
* Fri May  6 2011 jeffm@suse.com
- Disabled patches.drivers/libata-unlock-hpa-by-default; It may have
  been obsoleted by upstream commit d8d9129e.
- commit 1a21ab3
* Fri May  6 2011 jeffm@suse.com
- sysctl: Increase IPC defaults (bnc#146656)
  - Delete patches.suse/shmall-bigger.
- commit a70e34f
* Fri May  6 2011 jeffm@suse.com
- sysctl/i386/desktop, sysctl/x86_64/desktop: Add vm.dirty_ratio = 20
  for desktop flavors (bnc#552883)
  - Delete patches.suse/mm-tune-dirty-limits.patch.
- commit dbe73e2
* Fri May  6 2011 jeffm@suse.com
- sysctl/defaults: Added kernel.hung_task_timeout=0
  - Delete patches.suse/hung_task_timeout-configurable-default.
- commit 78f9eed
* Fri May  6 2011 mmarek@suse.cz
- rpm/kernel-{binary,source}.spec.in: Install per-kernel /boot/sysctl-*
  files (patch from Jeff Mahoney).
- commit 473f2d1
* Thu May  5 2011 jeffm@suse.com
- Update config files for -vanilla.
- commit 97ce5d8
* Thu May  5 2011 jeffm@suse.com
- Updated to 2.6.39-rc6.
  - 2 patches eliminated.
- commit 2643e59
* Tue May  3 2011 tonyj@suse.de
- Delete patches.fixes/oprofile_bios_ctr.patch.
- Delete patches.suse/kdump-dump_after_notifier.patch.
- commit 012455a
* Fri Apr 29 2011 jeffm@suse.com
- rpm/compute-PATCHVERSION.sh: Replace ^+++ with ^\+\+\+ as an
    awk regex. It's technically invalid.
- commit 52dd0f0
* Fri Apr 29 2011 sjayaraman@suse.de
- Delete patches.suse/sched-revert-latency-defaults.
- commit 90be226
* Fri Apr 29 2011 tiwai@suse.de
- Delete patches.arch/ppc-ipic-suspend-without-83xx-fix.
- Delete patches.arch/x86-hpet-pre-read.
- commit 3489146
* Fri Apr 29 2011 gregkh@suse.de
- Delete patches.suse/linux-2.6.29-dont-wait-for-mouse.patch.
- Delete patches.suse/linux-2.6.29-even-faster-kms.patch.
- Delete
  patches.suse/linux-2.6.29-jbd-longer-commit-interval.patch.
- Delete patches.suse/linux-2.6.29-kms-after-sata.patch.
- Delete patches.suse/linux-2.6.29-touchkit.patch.
- commit c13427d
* Fri Apr 29 2011 jbenc@suse.cz
- Delete patches.suse/panic-on-io-nmi-SLE11-user-space-api.patch.
- commit df46fe0
* Thu Apr 28 2011 rjw@suse.de
- Delete patches.xen/xen3-x86-mcp51-no-dac.
  Also remove the series.conf entires for the x86-mcp-no-dac patches.
- commit 574577b
* Thu Apr 28 2011 rjw@suse.de
- Delete patches.arch/x86-mcp51-no-dac.  (This is a blacklist entry that
  has been rejected by the mainline, the problem reporter is gone and
  it's next to impossible to verify it now.)
- commit 195b113
* Thu Apr 28 2011 jslaby@suse.cz
- Refresh
  patches.fixes/iwlwifi-fix-tx-power-configuration-on-3945-and-4965-devices.
- commit a2662ae
* Thu Apr 28 2011 jslaby@suse.cz
- Delete patches.suse/wireless-no-aes-select.
  Optimized x86 AES implementations select CRYPTO_AES themselves. So we
  don't need the patch anymore -- AES is selected always.
- commit 88f80fa
* Thu Apr 28 2011 bphilips@suse.de
- Delete
  patches.drivers/tg3-5785-and-57780-asic-revs-not-working.patch.
- commit 9917206
* Thu Apr 28 2011 bphilips@suse.de
- Delete
  patches.suse/uvcvideo-ignore-hue-control-for-5986-0241.patch.
- commit 08374b3
* Thu Apr 28 2011 jeffm@suse.com
- Delete patches.suse/audit-export-logging.patch.
- commit de054eb
* Thu Apr 28 2011 jbeulich@novell.com
- Update i386 Xen config files.
- commit 7b776ee
* Thu Apr 28 2011 jack@suse.cz
- Fix checking of login id (bnc#626119).
- commit 3f71ac4
* Thu Apr 28 2011 jbeulich@novell.com
- Update Xen patches to 2.6.39-rc5.
- Delete patches.xen/xen3-seccomp-disable-tsc-option.
- Delete patches.xen/xen3-x86-mark_rodata_rw.patch.
- commit 81fdf67
* Wed Apr 27 2011 jeffm@suse.com
- Delete
  patches.drivers/disable-catas_reset-by-default-to-avoid-problems-with-eeh.patch.
- commit 399a100
* Wed Apr 27 2011 jeffm@suse.com
- Delete patches.arch/x86_agpgart-g33-stoeln-fix-2.patch.
- commit e5c964a
* Wed Apr 27 2011 jeffm@suse.com
- Merged patches.fixes/fix-nf_conntrack_slp into patches.suse/netfilter-ip_conntrack_slp.patch.
- commit 213a0d5
* Wed Apr 27 2011 jeffm@suse.com
- Removed Swap-over-NFS patches.
- commit e061d16
* Wed Apr 27 2011 jeffm@suse.com
- Unified novfs patches into patches.suse/novfs-client-module.
- commit 3f8a199
* Wed Apr 27 2011 jeffm@suse.com
- Delete patches.fixes/reiserfs-remove-2-tb-file-size-limit.
- commit 2d63b14
* Wed Apr 27 2011 jeffm@suse.com
- Delete patches.suse/mm-increase-dirty-limits.patch: Replaced by patches.suse/mm-tune-dirty-limits.patch
- commit 4f8033f
* Wed Apr 27 2011 jeffm@suse.com
- series.conf: Removed commented out patches for cpuidle. The patches themselves are long gone.
- commit 93ce9f3
* Wed Apr 27 2011 jeffm@suse.com
- Delete patches.arch/acpi-export-hotplug_execute: ACPI_DOCK is now a boolean.
- commit f178332
* Wed Apr 27 2011 jeffm@suse.com
- Delete patches.suse/acpi-dsdt-initrd-v0.9a-2.6.25.patch.
- commit 5a2eae2
* Wed Apr 27 2011 jeffm@suse.com
- Delete patches.suse/acpi-don-t-preempt-until-the-system-is-up.
- Delete
  patches.suse/acpi-generic-initramfs-table-override-support.
- Delete patches.suse/add-initramfs-file_read_write.
- Delete
  patches.suse/init-move-populate_rootfs-back-to-start_kernel.
- commit d4910b3
* Wed Apr 27 2011 jeffm@suse.com
- Delete patches.fixes/nfs-acl-caching.diff.
- Delete patches.suse/nfsacl-client-cache-CHECK.diff.
- commit e1a5c5c
* Wed Apr 27 2011 jeffm@suse.com
- Delete patches.suse/osync-error. It was unused and the issue it fixed in
  kernels prior to 2.6.32 doesn't exist anymore.
- commit 52cc654
* Wed Apr 27 2011 jeffm@suse.com
- Delete patches.suse/s390-System.map.diff: Proper fix in binutils has
  long since been upstream.
- commit 2847a36
* Wed Apr 27 2011 jeffm@suse.com
- patches.suse/x86-mark_rodata_rw.patch: Removed as promised.
- commit f196f98
* Wed Apr 27 2011 jeffm@suse.com
- Delete patches.arch/ia64-page-migration.
- Delete patches.arch/ia64-page-migration.fix.
- Delete patches.arch/mm-avoid-bad-page-on-lru.
- commit e469a91
* Wed Apr 27 2011 jeffm@suse.com
- patches.suse/hung_task_timeout-configurable-default: Update patch-mainline.
- commit 4bcc987
* Wed Apr 27 2011 jeffm@suse.com
- Delete patches.fixes/seccomp-disable-tsc-option: Unused in all configs.
- commit 0833556
* Wed Apr 27 2011 jeffm@suse.com
- Delete patches.suse/unmap_vmas-lat: No bug report or signed-off-by.
  - Delete patches.arch/s390-add-FREE_PTE_NR.
- commit 2a392c2
* Wed Apr 27 2011 jeffm@suse.com
- Updated Patch-mainline for  patches.fixes/ia64-sparse-fixes.diff.
- commit d79b32f
* Wed Apr 27 2011 jeffm@suse.com
- Update to 2.6.39-rc5.
  - Eliminated 2 patches.
- commit 5288a05
* Wed Apr 27 2011 jeffm@suse.com
- Delete patches.suse/export-release_open_intent.
- Delete patches.suse/export-security_inode_permission.
- commit 5cd669f
* Wed Apr 27 2011 jeffm@suse.com
- Delete patches.trace/utrace-core.
- commit a9639aa
* Tue Apr 26 2011 jkosina@suse.cz
- HID: add noget quirk barcode scanners from Symbol Technologies
  (bnc#689290).
- commit f5b999f
* Fri Apr 22 2011 jeffm@suse.com
- Delete patches.suse/nameif-track-rename.patch: The same info is made available via udev.
- commit e74929e
* Tue Apr 19 2011 jack@suse.cz
- Revert changes to sparc configs to not make life harder for Jan Engelhardt
  maintaining sparc architecture.
- commit cdac873
* Tue Apr 19 2011 jack@suse.cz
- config.conf: Remove sparc as it is maintained separately by Jan Engelhardt
- commit 91307e3
* Tue Apr 19 2011 jack@suse.cz
- Update vanilla config files.
- commit 5e3c232
* Tue Apr 19 2011 jeffm@suse.com
- Updated to 2.6.39-rc4.
  - Eliminated 1 patch.
- commit 3f654c8
* Tue Apr 19 2011 jeffm@suse.com
- libata: DVR-216D can't do SETXFER DVD-RW DVR-216D (bnc#679143).
- commit b09d00e
* Mon Apr 18 2011 eich@suse.de
- Combined and consolidated bootsplash patch (bnc#669777,
  bnc#570082, bnc#595657, bnc#594209, bnc#544645).
  - Delete patches.suse/Cleanup-and-make-boot-splash-work-with-KMS.patch.
  - Delete patches.suse/bootsplash.
  - Delete patches.suse/bootsplash-console-fix.
  - Delete patches.suse/bootsplash-keep-multiple-data.
  - Delete patches.suse/bootsplash-scaler.
  - Reformatted code, fixed some minor bugs that became obvious.
  - Fixed race that led to null pointer dereference in splash_read_proc():
    bnc#669777.
- commit 95844c5
* Sat Apr 16 2011 trenn@suse.de
- intel_idle: Add a boot param to keep flushing TLBs (bnc#675161).
- commit 02c0d8a
* Sat Apr 16 2011 trenn@suse.de
- intel_idle: Make lapic_timer_reliable_states a boot param
  (bnc#675161).
- commit 85b156b
* Sat Apr 16 2011 jack@suse.cz
- Disable ext2, use ext4 instead as a driver
- Update config files.
- commit 2601b15
* Fri Apr 15 2011 jeffm@suse.com
- Enabled CONFIG_GIGASET_CAPI (bnc#686008).
  - This results in automatically disabling CONFIG_GIGASET_I4L.
- commit 697e68b
* Fri Apr 15 2011 jack@suse.cz
- novfs: Set the sticky bit for the novfs mountpoint (bnc#686412).
- commit 860f111
* Fri Apr 15 2011 jbeulich@novell.com
- patches.arch/x86_64-unwind-annotations: Re-add.
- commit 728e154
* Fri Apr 15 2011 jbeulich@novell.com
- Update Xen patches to 2.6.39-rc3 and c/s 1079.
- blktap2: replace hard-coded limit of tap devices with
  configurable one.
- config.conf: Re-enable Xen configs.
- Update x86 config files.
- commit d3bfd6c
* Thu Apr 14 2011 jeffm@suse.com
- fs/partitions/efi.c: corrupted GUID partition tables can cause
  kernel oops (bnc#687113 CVE-2011-1577).
- commit 385b393
* Thu Apr 14 2011 jeffm@suse.com
- scsi: aic94xx: world-writable sysfs update_bios file.
- commit 7f827e6
* Wed Apr 13 2011 jeffm@suse.com
- mpc5xxx_can: Fix typo causing build failure (of_dev -> ofdev).
- ft1000: Remove unnecessary EXPORT_SYMBOLs.
- commit 62653bb
* Wed Apr 13 2011 jeffm@suse.de
- fhandle: Add <linux/personality.h> for ia64.
- commit 83cec5a
* Wed Apr 13 2011 jeffm@suse.com
- kvm: Fix off by one in kvm_for_each_vcpu iteration.
- commit 4e5c2b7
* Wed Apr 13 2011 jeffm@suse.com
- rts_pstor: Add <linux/vmalloc.h>.
- rts_pstor: use #ifdef instead of #if.
- commit caa5347
* Tue Apr 12 2011 jeffm@suse.com
- gma500: Depend on X86.
- commit 3aa298c
* Tue Apr 12 2011 jeffm@suse.com
- Updated to 2.6.39-rc3.
  - Eliminated 2 patches.
- commit 200c913
* Tue Apr 12 2011 jeffm@suse.com
- patches.suse/s390-Kerntypes.diff: remove <linux/smp_lock.h>
- commit d7c79f2
* Tue Apr 12 2011 jeffm@suse.com
- olpc: Add <linux/delay.h>.
- commit 58ce0db
* Tue Apr 12 2011 jeffm@suse.com
- Update config files for -vanilla.
- commit 52fe306
* Tue Apr 12 2011 jeffm@suse.com
- Update to 2.6.39-rc2.
  - Eliminated 18 patches.
  - Added 3 patches.
  - hv_mouse: needs <linux/delay.h>.
  - dm-raid45: Remove blk_unplug calls.
  - novfs: 2.6.39 API update.
  - Xen, Swap-over-NFS, and certain SCSI multipath features are disabled.
  - patches.kernel.org is no longer used to contain upstream patches
    for -rc releases. Users planning on building their own kernel should
    have a copy of the tarball corresponding to the -rc releases.
- commit adf9d16
* Mon Apr 11 2011 neilb@suse.de
- Make selection of 'readdir-plus' adapt to usage patterns
  (bnc#678123).
- commit 5de99a8
* Wed Apr  6 2011 jeffm@suse.de
- reiserfs: Force inode evictions before umount to avoid crash
  (bnc#610598 bnc#680073 bnc#684112).
- Delete patches.fixes/reiserfs-xattr-crash-fix.
- commit bf57d20
* Tue Apr  5 2011 jslaby@suse.cz
- remove obsolete comment from series.conf
- commit 4bad172
* Wed Mar 30 2011 jeffm@suse.com
- Delete patches.suse/twofish-2.6.
  - This was for 2.4 compatibility and has been moved to KMP purgatory.
- commit dcca506
* Wed Mar 30 2011 jslaby@suse.cz
- Relax si_code check in rt_sigqueueinfo and rt_tgsigqueueinfo
  (bnc#681826).
- commit 2e71042
* Mon Mar 28 2011 trenn@suse.de
- Update config files, remove CONFIG_X86_MCE_XEON75XX=m
  - >driver got reverted with previous commit
- Refresh patches.xen/xen3-auto-arch-x86.diff.
- commit b367e7b
* Mon Mar 28 2011 trenn@suse.de
- Remove xeon75xx driver, was intended as a SLE11 SP1 workaround
  to decode physical memory address on Boxboro-EX for MCEs.
  APEI implementation should take care of that in recent kernels.
- Delete patches.arch/x86_mce_intel_decode_physical_address.patch.
- Delete
  patches.arch/x86_mce_intel_decode_physical_address_compile_fix.patch.
- Delete
  patches.arch/x86_mce_intel_decode_physical_address_rename_fix.patch.
- Delete
  patches.arch/x86_mce_intel_decode_physical_fix_dynamic_debug.patch.
- commit 1fe7a22
* Mon Mar 28 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not install unneeded packages in the
  build chroot.
- commit 7f4c49d
* Mon Mar 28 2011 tiwai@suse.de
- ALSA: hda - Increase the default buffer size (682725).
- ALSA: hda - Fix pin-config of Gigabyte mobo (bnc#677256).
- commit 8088cec
* Thu Mar 24 2011 tiwai@suse.de
- ALSA: hda - Fix SPDIF out regression on ALC889 (bnc#679588).
- commit 5253098
* Thu Mar 24 2011 jslaby@suse.cz
- Prevent rt_sigqueueinfo and rt_tgsigqueueinfo from spoofing
  the signal code (bnc#681826 CVE-2011-1020).
- commit 2e42fd4
* Thu Mar 24 2011 tiwai@suse.de
- sound/oss/opl3: validate voice and channel indexes (bnc#681999).
- sound/oss: remove offset from load_patch callbacks (bnc#681999).
- ALSA: sound/pci/asihpi: check adapter index in hpi_ioctl
  (bnc#680816).
- commit 09ff6e9
* Mon Mar 21 2011 jack@suse.cz
- Fix almost-infinite slab cache growing (bnc#554081).
- commit 52eabac
* Mon Mar 21 2011 jkosina@suse.cz
- HID: add support for Skycable 0x3f07 wireless presenter
  (bnc#681297).
- commit 892e8d4
* Mon Mar 21 2011 mmarek@suse.cz
- Delete config/i386/vmi, it was an artifact from SLE11-SP1 development.
- commit 9c2342b
* Fri Mar 18 2011 jslaby@suse.cz
- NET: cdc-phonet, handle empty phonet header (bnc#673992).
- commit da6e6d1
* Fri Mar 18 2011 jslaby@suse.cz
- SPI: dw_spi, fix PPC build.
- commit 80ca063
* Fri Mar 18 2011 jbeulich@novell.com
- Update Xen patches to 2.6.38 and c/s 1073.
- commit 89cb2b4
* Thu Mar 17 2011 sjayaraman@suse.de
- netvm: Do not mark requests for swapfile writes as dirty or
  kswapd fails to free the page (bnc#678472).
- nfs: Use page_file_offset during page writeback (bnc#677738).
- nfs: Convert nfs_mark_request_dirty() to use page_file_mapping()
  (bnc#677738).
- netvm: Remove duplicated initialization in net/ipv4/route.c
  (bnc#678970).
- collapse: mm: Report the low watermark correctly (bnc#678497).
- commit a798dd1
* Tue Mar 15 2011 jeffm@suse.com
- Update to 2.6.38.
- commit f2ec6ad
* Mon Mar 14 2011 jeffm@suse.com
- Linux: 2.6.38-rc8.
  - Eliminated 1 patch.
- commit 7da557d
* Fri Mar 11 2011 jbeulich@novell.com
- Update Xen patches to 2.6.38-rc7 and c/s 1072
- pv-ops blktap2.
- adjust xen build after addition of pv-ops' blktap2.
- blktap: Fix reference to freed struct request.
- cleanup to blkback and blktap.
- apply xen specific patch to the Chelsio ethernet drivers.
- Update Xen config files.
- commit 289ecca
* Fri Mar 11 2011 jbeulich@novell.com
- fix i386 unwind annotations.
- commit 02bd501
* Tue Mar  8 2011 jeffm@suse.de
- Update to 2.6.38-rc7.
  - Refresh patches.xen/xen-x86-no-lapic.
  - Refresh patches.xen/xen3-patch-2.6.19.
- commit 7eb9d30
* Mon Mar  7 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not abort build because of
  supported.conf inconsistency if %%supported_modules_check == 0.
- commit 88d5daa
* Wed Mar  2 2011 jbeulich@novell.com
- patches.arch/x86_64-unwind-annotations: Fix a fatal oversight in
  yesterday's change.
- commit 098768b
* Mon Feb 28 2011 jbeulich@novell.com
- patches.arch/x86_64-unwind-annotations: Add annotations to
  lib/rwsem_64.S.
- commit 87944ac
* Thu Feb 24 2011 tiwai@suse.de
- ALSA: usb-audio: fix oops due to cleanup race when disconnecting
  (bnc#674735).
- commit ed81f8c
* Thu Feb 24 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Remove unused code.
- commit dacbc44
* Tue Feb 22 2011 jeffm@suse.com
- Update to 2.6.38-rc6.
  - Eliminated 1 patch.
- commit 6cce7bb
* Tue Feb 22 2011 mmarek@suse.cz
- rpm/mkspec: Do not create kernel-syms.spec on vanilla-only branches
- commit eb17bba
* Mon Feb 21 2011 tiwai@suse.de
- ALSA: caiaq - Fix possible string-buffer overflow (bnc#672499,
  CVE-2011-0712).
- commit 5ef002b
* Sat Feb 19 2011 rjw@suse.de
- ACPI / debugfs: Fix buffer overflows, double free (bnc#666095).
- commit 41c6654
* Thu Feb 17 2011 jeffm@suse.de
- Update to 2.6.38-rc5.
- commit 8344657
* Thu Feb 17 2011 gregkh@suse.de
- Update config files.
  - disable CONFIG_DRM_VMWGFX (bnc#606458)
  - update sparc configs to at least be able to run "make oldconfig"
- commit da75bd9
* Wed Feb 16 2011 jbeulich@novell.com
- patches.arch/x86_64-unwind-annotations: Re-add change lost during
  initial 2.6.37 merge.
- commit e493205
* Mon Feb 14 2011 mmarek@suse.cz
- Move spec file templates and helper scripts to a separate branch, to
  ease synchronizing these files among master, vanilla and linux-next.
- commit 411abb8
* Mon Feb 14 2011 mmarek@suse.cz
- Delete a couple of obsolete kabi and other scripts from misc/:
- Delete misc/checkmod.
- Delete misc/collect_ksyms.
- Delete misc/diff-the-xfs-cvs.
- Delete misc/ksyms.py.
- Delete misc/mangle-ifdef.py.
- Delete misc/obsolete-module-aliases.
- Delete misc/testmodule.
- commit edc6d32
* Mon Feb 14 2011 mmarek@suse.cz
- rpm/kernel-source.spec.in: Delete misc/extract-modaliases, the code
  was merged into rpm's find-supplements script.
- Delete rpm/check-build.sh, not needed anymore.
- commit 0a157b1
* Thu Feb 10 2011 jeffm@suse.com
- flexcop: fix registering braindead stupid names (brc#575873
  bnc#661429).
- commit 72bd3d0
* Wed Feb  9 2011 gregkh@suse.de
- Staging: samsung-laptop: add support for lots of laptops
  (bnc#661682).
- commit 1eb5eaa
* Wed Feb  9 2011 mmarek@suse.cz
- rpm/kernel-source.spec.in: Set timestamp of sources to the commit
  timestamp, so that they are always older than generated files in
  /usr/src/linux-obj (bnc#669669).
- commit 8565452
* Wed Feb  9 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not run fdupes in /usr/src/linux-obj, to
  keep timestamps intact.
- commit 9ba5ff0
* Wed Feb  9 2011 mmarek@suse.cz
- rpm/kernel-source.spec.in: Remove .gitignore files after applying patches
  (fix last change).
- commit 907f9cc
* Tue Feb  8 2011 jeffm@suse.com
- Updated to 2.6.38-rc4.
  - Eliminated 1 patch.
- commit c327e0a
* Tue Feb  8 2011 jbeulich@novell.com
- Fix a few issues in patches.suse/stack-unwind (bnc#661409).
- commit 027481c
* Tue Feb  8 2011 jbeulich@novell.com
- Update Xen patches to 2.6.38-rc4 and c/s 1066.
- config.conf: Re-enable Xen.
- Update x86 config files.
- commit 72cea6e
* Tue Feb  8 2011 jbeulich@novell.com
- Update config files.
- Refresh and re-enable patches.arch/x86_64-unwind-annotations.
- Refresh and re-enable patches.suse/stack-unwind.
- commit 1fabeda
* Tue Feb  8 2011 sjayaraman@suse.de
- Refresh patches.suse/SoN-06-mm-kmem_estimate_pages.patch to accomodate an
  upstream change.
- commit ae5bb3f
* Mon Feb  7 2011 mmarek@suse.cz
- rpm/{kernel-source.spec.in,mkspec}: Sync with vanilla and linux-next
- commit c93cd6c
* Mon Feb  7 2011 mmarek@suse.cz
- rpm/kernel-source.spec.in: Remove dead code.
- commit 99e8891
* Mon Feb  7 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/kernel-spec-macros: Fix the definition
  of %%release_major and rename it to %%release_num to better describe
  what it does. Add some comments to explain how the versioning works.
- commit 9a3bc94
* Fri Feb  4 2011 mmarek@suse.cz
- rpm/compute-PATCHVERSION.sh: Fix sed regexp
- commit 608bae2
* Fri Feb  4 2011 jeffm@suse.com
- hfs: avoid crash in hfs_bnode_create (bnc#552250).
- commit d84296a
* Fri Feb  4 2011 jeffm@suse.com
- Updated to 2.6.38-rc3.
  - Eliminated 2 patches.
- commit b6b51ca
* Wed Feb  2 2011 tiwai@suse.de
- ALSA: hda - Fix memory leaks in conexant jack arrays
  (bnc#668929).
- commit 31971a4
* Tue Feb  1 2011 jslaby@suse.cz
- Refresh patches.rpmify/cloneconfig.diff.
  scripts/kconfig/conf accepts long parameters only for some time already
- commit 939410c
* Mon Jan 24 2011 jeffm@suse.com
- netfilter: Implement RFC 1123 for FTP conntrack (bnc#466279).
- commit 4bf0e68
* Sun Jan 23 2011 jeffm@suse.de
- winbond: needs <linux/delay.h> for msleep and friends.
- commit e394a2e
* Sun Jan 23 2011 jeffm@suse.de
- Refresh patches.arch/ia64-page-migration: Update for migrate_pages() API change.
- commit 40d2921
* Sun Jan 23 2011 jeffm@suse.de
- supported.conf: Added rc_core as a dependency.
- commit 8b2c1b9
* Sun Jan 23 2011 jeffm@suse.com
- Update config files.
  - CONFIG_EXPERT=n on all but ps3
  - Vanilla configs updated.
- commit b25e639
* Sun Jan 23 2011 jeffm@suse.com
- Revert "- Update config files: CONFIG_EXPERT=n except ps3"
  This reverts commit 3f2c93d6a0593b2cc0c40f5ffee426eef27cc400.
  This was a bad commit. I have no idea where all the changes came from.
- commit 459f3f1
* Sun Jan 23 2011 jeffm@suse.com
- Update config files: CONFIG_EXPERT=n except ps3
- commit 3f2c93d
* Sun Jan 23 2011 jeffm@suse.com
- Updated to 2.6.38-rc2.
  - Eliminated 1 patch.
- commit 90baa82
* Sat Jan 22 2011 jeffm@suse.com
- ata: Fix panics with ata_id (bnc#660464).
- commit fa7af15
* Sat Jan 22 2011 jeffm@suse.de
- Updated some Patch-mainline headers.
- commit 9122bf0
* Sat Jan 22 2011 jeffm@suse.de
- Update to 2.6.38-rc1.
  - Removed 12 patches.
  - Xen is disabled.
  - Quite a few patches need updating.
- commit 9163bb7
* Fri Jan 21 2011 trenn@suse.de
- perf: Do not export power_frequency, but power_start event
  (bnc#665153).
- cpuidle/x86/perf: fix power:cpu_idle double end events and
  throw cpu_idle events from the cpuidle layer (bnc#665153).
- perf: Clean up power events by introducing new, more generic
  ones (bnc#665153).
- cpuidle: Rename X86 specific idle poll state from C0 to POLL
  (bnc#665153).
- perf timechart: Adjust perf timechart to the new power events
  (bnc#665153).
- Fix display of idle boxes (none).
- Fix huge and wronge C-state drawings due to uninitialized
  start/end timestamps (none).
- Update config files.
- doc/config-options.changes:
  CONFIG_EVENT_POWER_TRACING_DEPRECATED=y
- commit b308eff
* Wed Jan 19 2011 jbohac@suse.cz
-    revert: ipv6: don't flush routes when setting loopback down.
- commit de347ac
* Tue Jan 18 2011 trenn@suse.de
- ACPI / ACPICA: Initialize the global lock spinlock as
  appropriate (bnc#637377).
- commit c4b8238
* Tue Jan 18 2011 trenn@suse.de
- ACPI / ACPICA: Fix global lock acquisition (bnc#637377).
- commit 15cd726
* Mon Jan 17 2011 jeffm@suse.com
- mISDN: Add support for group membership check (bnc#564423).
- commit 3f46938
* Fri Jan 14 2011 mmarek@suse.cz
- Revert %%kernelrelease changes originally made on the vanilla branch,
  they break on master and must be done differently.
- commit b610327
* Thu Jan 13 2011 jkosina@suse.cz
- Input: introduce 'notimeout' blacklist for Dell Vostro V13
  (bnc#641105).
- commit cb76856
* Wed Jan 12 2011 jeffm@suse.com
- In-kernel dependencies for reiser4
  - Delete patches.suse/reiser4-exports.
  - Delete patches.suse/reiser4-set_page_dirty_notag.
- commit 1b97130
* Tue Jan 11 2011 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.29: Fix a regression.
- commit 6acb967
* Mon Jan 10 2011 jack@suse.cz
- novfs: NCP Fragments can be upto 64k in size (bnc#625965).
- commit afd7489
* Mon Jan 10 2011 jbeulich@novell.com
- Update Xen patches to 2.6.37-final and c/s 1062.
- commit ef70146
* Mon Jan 10 2011 jeffm@suse.com
- Enabled AGP modules as parts of the static kernel on i386 (bnc#609607)
- commit 9446eb0
* Sat Jan  8 2011 jengelh@medozas.de
- config: run oldconfig on sparc64/default
- commit aa3e940
* Sat Jan  8 2011 jengelh@medozas.de
- config: update sparc64/net and throw out unworthy options
- commit 1aca53d
* Fri Jan  7 2011 mmarek@suse.cz
- Delete patches.suse/gfs2-ro-mounts-only.patch (obsolete and unused)
- commit 38ff246
* Fri Jan  7 2011 trenn@suse.de
- Some are mainline, some are/will be implemented differently:
- Delete patches.drivers/dynamic_debug_1.patch.
- Delete patches.drivers/dynamic_debug_2.patch.
- Delete patches.drivers/dynamic_debug_3.patch.
- Delete patches.drivers/dynamic_debug_4.patch.
- Delete patches.drivers/dynamic_debug_5.patch.
- Delete patches.drivers/dynamic_debug_6.patch.
- Delete patches.drivers/dynamic_debug_7.patch.
- commit 68dc5c8
* Fri Jan  7 2011 neilb@suse.de
- Remove old patch
- commit 7fc009b
* Thu Jan  6 2011 jeffm@suse.com
- reiserfs: Fix crash during umount (bnc#610598).
- commit 88f26ac
* Thu Jan  6 2011 mmarek@suse.cz
- rpm/kernel-source.spec.in: Move the source tree if %%kernelrelease is
  different from the tarball version.
- commit 6be9ffe
* Thu Jan  6 2011 mmarek@suse.cz
- Delete patches.suse/export-sync_page_range (unused).
- commit d19ee6d
* Thu Jan  6 2011 jeffm@suse.com
- Delete patches.suse/supported-flag-sysfs: Merged with patches.suse/supported-flag
- commit 0f2e67b
* Thu Jan  6 2011 jeffm@suse.com
- Removed unused kdb patches.
  - Delete patches.suse/kdb-build-fixes.
  - Delete patches.suse/kdb-common.
  - Delete
    patches.suse/kdb-fix-assignment-from-incompatible-pointer-warnings.
  - Delete
    patches.suse/kdb-fix-kdb_cmds-to-include-the-arch-common-macro.
  - Delete patches.suse/kdb-handle-nonexistance-keyboard-controller.
  - Delete patches.suse/kdb-ia64.
  - Delete patches.suse/kdb-usb-rework.
  - Delete patches.suse/kdb-vm-api-changes-for-2-6-34.
  - Delete patches.suse/kdb-x86.
  - Delete patches.suse/kdb-x86-build-fixes.
  - Delete patches.suse/kdb_dont_touch_i8042_early.patch.
  - Delete patches.suse/kdb_fix_ia64_build.patch.
  - Delete patches.xen/xen3-kdb-x86.
- commit c9e725d
* Thu Jan  6 2011 jeffm@suse.com
- rpm/kernel-source.spec.in: Remove the relocation of the source tree.
  It's expanded in-place.
- commit 8cde941
* Thu Jan  6 2011 jack@suse.cz
- Delete patches.suse/ext2-fsync-err as it is obsolete and unused.
- commit c8f4ebe
* Thu Jan  6 2011 mmarek@suse.cz
- Delete patches.fixes/kbuild-fix-generating-of-.symtypes-files.
  Fixed upstream in commit e26d6b8.
- commit 1b628e1
* Thu Jan  6 2011 mgalbraith@suse.de
- Replaced autogroup patch with what will appear in 2.6.38
- Replaced cgroup use after free fix wtih what will appear in 2.6.38
- Refresh
  patches.fixes/sched-cgroup-use-exit-hook-to-avoid-use-after-free-crash.
- Refresh patches.suse/sched-automated-per-session-task-groups.
- Delete patches.fixes/sched-fix-autogroup-proc-interface-race.
- commit 81f018b
* Thu Jan  6 2011 jeffm@suse.com
- Update to 2.6.37-final.
- commit f4cd126
* Thu Dec 30 2010 jeffm@suse.com
- taskstats: Use better ifdef for alignment (bko#24272).
- commit 2948ffa
* Wed Dec 29 2010 jeffm@suse.com
- Update to 2.6.37-rc8.
  - Eliminated 1 patch.
- commit 42518e6
* Tue Dec 28 2010 mgalbraith@suse.de
- sched: fix autogroup /proc interface race.
- commit fd7019c
* Tue Dec 28 2010 jeffm@suse.com
- scripts/wd-functions.sh: Re-added support for finding tarball in $MIRROR.
- commit c8014fb
* Tue Dec 28 2010 jeffm@suse.com
- sched, cgroup: Use exit hook to avoid use-after-free crash.
- commit 59c0581
* Tue Dec 28 2010 jeffm@suse.com
- Update to 2.6.37-rc7.
  - Eliminated 9 patches.
- commit d38591c
* Mon Dec 20 2010 jslaby@suse.cz
- Revert "x86: allocate space within a region top-down"
  (bnc#655048).
  Backport to XEN.
- commit 92c0965
* Mon Dec 20 2010 jslaby@suse.cz
- Revert "PCI: fix pci_bus_alloc_resource() hang, prefer positive
  decode" (bnc#655048).
- Revert "x86: allocate space within a region top-down"
  (bnc#655048).
- Revert "x86/PCI: allocate space from the end of a region,
  not the beginning" (bnc#655048).
- Revert "PCI: allocate bus resources from the top down"
  (bnc#655048).
- Revert "resources: support allocating space within a region
  from the top down" (bnc#655048).
- resources: add arch hook for preventing allocation in reserved
  areas (bnc#655048).
- x86: avoid low BIOS area when allocating address space
  (bnc#655048).
- x86: avoid E820 regions when allocating address space
  (bnc#655048).
- x86: avoid high BIOS area when allocating address space
  (bnc#655048).
- Refresh patches.xen/xen3-patch-2.6.34.
- commit 7bbbf27
* Mon Dec 20 2010 jslaby@suse.cz
- Revert "- resources: add arch hook for preventing allocation in reserved"
  This reverts commit 7e253537787f4fb057e12a166356169c5adb9665. It was unintended to be pushed as the patches are obsoleted.
- commit 6f3bdf8
* Mon Dec 20 2010 jslaby@suse.cz
- Delete
  patches.fixes/res-0010-PCI-fix-pci_bus_alloc_resource-hang-prefer-positive-.patch.
  It's unreferenced and wrong.
- commit 9e6fc50
* Fri Dec 17 2010 mmarek@suse.cz
- rpm/kernel-source.spec.in: Define %%kernelrelease
- commit 1d67b13
* Thu Dec 16 2010 jeffm@suse.com
- Linux: 2.6.37-rc6.
- Update config files.
- Refresh patches.suse/SoN-23-mm-swapfile.patch.
- Refresh patches.suse/SoN-26-nfs-swapper.patch.
- Refresh patches.xen/xen3-fixup-xen.
- Refresh patches.xen/xen3-patch-2.6.24.
- commit 5650f90
* Mon Dec 13 2010 jbeulich@novell.com
- Update Xen config files (XEN_NETDEV_LOOPBACK=n).
- supported.conf: Update.
- commit d385dff
* Mon Dec 13 2010 tiwai@suse.de
- Refresh patches.suse/bootsplash-scaler: Fix crash when bootsplash animation is used (bnc#646908)
- commit c5eced1
* Fri Dec 10 2010 jslaby@suse.cz
- resources: add arch hook for preventing allocation in reserved
  areas (bnc#655048).
- x86: avoid BIOS area when allocating address space (bnc#655048).
- x86: avoid PNP resources when allocating address space
  (bnc#655048).
- Refresh patches.xen/xen3-patch-2.6.34.
- commit 7e25353
* Fri Dec 10 2010 jbeulich@novell.com
- Update Xen config files (CONFIG_XEN_COMPAT=0x040000).
- commit 5343e5f
* Fri Dec 10 2010 jbeulich@novell.com
- Update Xen patches to 2.6.37-rc5.
- commit bef1a0d
* Thu Dec  9 2010 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix timestamp of /usr/src/linux-obj/.../.config
- commit 149d22b
* Thu Dec  9 2010 mmarek@suse.cz
- rpm/config.sh: Build against openSUSE:Factory
- commit bf19860
* Wed Dec  8 2010 mmarek@suse.cz
- rpm/kernel-docs.spec.in: Allow to build against any version of
  kernel-source
- commit 37bdc47
* Tue Dec  7 2010 jbeulich@novell.com
- patches.arch/x86_64-unwind-annotations: Remove stringification
  (needed only with very old assemblers).
- commit 987c244
* Tue Dec  7 2010 jeffm@suse.com
- scripts/sequence-patch.sh: Added -vanilla suffix to the directory name when expanding vanilla tree.
- commit 77ad87b
* Tue Dec  7 2010 jeffm@suse.com
- Update vanilla config files.
- commit f55f81b
* Tue Dec  7 2010 jeffm@suse.com
- Update to 2.6.37-rc5.
- commit ca102d9
* Tue Dec  7 2010 jbeulich@novell.com
- patches.suse/novfs-fix-ioctl-usage: Fix compiler warnings.
- commit faf2142
* Mon Dec  6 2010 mgalbraith@suse.de
- Replace buggy per tty autogroup patch with final per session patch as
  integrated into tip.
- sched: Add 'autogroup' scheduling feature: automated per session task groups (bnc#657613).
- Delete patches.suse/sched-automated-per-tty-task-groups.
- commit 0db6b6b
* Mon Dec  6 2010 jbeulich@novell.com
- patches.rpmify/rpm-kernel-config, patches.rpmify/split-package,
  patches.suse/0004-richacl-In-memory-representation-and-helper-function.patch,
  patches.suse/SoN-15-netvm-reserve.patch,
  patches.suse/SoN-27-nfs-swap_ops.patch,
  patches.suse/kconfig-automate-kernel-desktop,
  patches.suse/mm-tune-dirty-limits.patch,
  patches.suse/supported-flag-enterprise: Clean up Kconfig portions.
- commit 713650c
* Mon Dec  6 2010 jeffm@suse.com
- Fixed corrupted -rc4 patch.
- commit 9802d4e
* Mon Dec  6 2010 jeffm@suse.de
- Update to 2.6.37-rc4.
- commit d102b44
* Mon Nov 29 2010 jeffm@suse.com
- Merge 2.6.37-rc3-git6 with Xen.
- commit 7089cd5
* Mon Nov 29 2010 jeffm@suse.com
- Update to 2.6.37-rc3-git6.
- commit 1294ef9
* Fri Nov 26 2010 jbeulich@novell.com
- Update Xen patches to 2.6.37-rc3-git1 and c/s 1055.
- xen/acpi: Add memory hotadd to pvops dom0 (bnc#651066).
- xen/acpi: Export host physical CPU information to dom0
  (bnc#651066).
- Xen: para-virtual watchdog driver.
- introduce {rd,wr}msr_safe_on_pcpu() and add/enable users.
- eliminate scalability issues from initrd handling.
- config.conf: Re-enable Xen.
- Update x86 config files.
- commit cf6d991
* Fri Nov 26 2010 trenn@suse.de
- PERF: Fix perf timechart C-state regression (none).
- commit ba2671d
* Wed Nov 24 2010 jeffm@suse.com
- Update to 2.6.37-rc3-git1.
- commit 4ad245f
* Mon Nov 22 2010 jeffm@suse.com
- Update to 2.6.37-rc3.
  - Eliminated 1 patch.
- commit 12ac0ac
* Mon Nov 22 2010 jslaby@suse.cz
- Delete patches.fixes/make-note_interrupt-fast.diff.
- Delete patches.fixes/twl6030-fix-note_interrupt-call.
  __do_IRQ from ia64 lapic code is no longer called, because they use
  genirqs properly. So these patches don't make sense anymore. If we
  need something to do, then it's adding action_ret == IRQ_NONE test
  into handle_percpu_irq before jumping into note_interrupt.
- commit facd623
* Sun Nov 21 2010 jslaby@suse.cz
- PCI: fix offset check for sysfs mmapped files (bnc#655157).
- commit 2938f56
* Wed Nov 17 2010 jeffm@suse.com
- sched: automated per tty task groups.
  - Enabled in -desktop flavors for better interactivity.
- commit 2d5d397
* Tue Nov 16 2010 jeffm@suse.de
- doc/config-options.changes: Updated changes for 2.6.37-rc1 and -rc2.
- commit 0aca8b8
* Tue Nov 16 2010 jeffm@suse.com
- Update to 2.6.37-rc2.
- commit 1453a04
* Tue Nov 16 2010 jslaby@suse.cz
- PCI: fix pci_bus_alloc_resource() hang, prefer positive decode
  (bnc#651256).
- commit 4404c19
* Mon Nov 15 2010 jeffm@suse.com
- Update vanilla config files.
- commit 60b4a47
* Mon Nov 15 2010 jeffm@suse.com
- Update to 2.6.37-rc1-git11.
  - Eliminated 2 patches.
- commit 5959a67
* Mon Nov 15 2010 jeffm@suse.com
- supported.conf: Added missing dependencies.
- commit 0537c35
* Sat Nov 13 2010 jslaby@suse.cz
- TTY: restore tty_ldisc_wait_idle (bnc#642043).
- commit 84d87bf
* Fri Nov 12 2010 jeffm@suse.de
- Update to 2.6.37-rc1.
  - Eliminated 26 patches.
  - Xen is disabled.
- commit b9044e3
* Thu Nov 11 2010 gregkh@suse.de
- Update config files. (bnc#652954) increase the number of possible and
  default uarts for users with multi-port serial cards for the i386 and
  x86-64 default configs.
- commit 85c87e3
* Thu Nov 11 2010 jslaby@suse.cz
- rt2x00: Fix max TX power settings (bnc#584028).
- rt2x00: Fix channel configuration for RF3052 (bnc#584028).
- commit 60c0452
* Thu Nov 11 2010 jslaby@suse.cz
- resources: add a default alignf to simplify find_resource()
  (bnc#651256).
- resources: factor out resource_clip() to simplify
  find_resource() (bnc#651256).
- resources: ensure callback doesn't allocate outside available
  space (bnc#651256).
- resources: handle overflow when aligning start of available area
  (bnc#651256).
- resources: support allocating space within a region from the
  top down (bnc#651256).
- PCI: allocate bus resources from the top down (bnc#651256).
- x86/PCI: allocate space from the end of a region, not the
  beginning (bnc#651256).
- x86: update iomem_resource end based on CPU physical address
  capabilities (bnc#651256).
- x86: allocate space within a region top-down (bnc#651256).
- Refresh patches.xen/xen3-patch-2.6.34.
- commit 8c68ad1
* Tue Nov  9 2010 jack@suse.cz
- novfs: Fix for the issue of kernel dumps core on restart
  (bnc#641811).
- commit 76ba833
* Fri Oct 29 2010 jslaby@suse.cz
- net: Limit socket I/O iovec total length to INT_MAX
  (bnc#650128).
- commit 2ba74bb
* Fri Oct 29 2010 trenn@suse.de
- Update config files.
  Forgot to enable ACPI_EC_DEBUGFS on i386/pae
- commit 66b605b
* Wed Oct 27 2010 jslaby@suse.cz
- aha152x: enable PCMCIA on 64bit (bnc#630652).
- Update config files.
- commit a91d17c
* Wed Oct 27 2010 jslaby@suse.cz
- hpet: unmap unused I/O space (bnc#629908 bnc#629901).
- commit dad22c3
* Tue Oct 26 2010 trenn@suse.de
- Update config files.
  Enable CONFIG_ACPI_EC_DEBUGFS=m on supported archs.
- commit 9035254
* Tue Oct 26 2010 jbeulich@novell.com
- Update Xen config files (restore options accidentally deleted
  by 1b1584fccbfdc42e6e8b35c3c207ca65feb0c7d5).
- commit f8e5000
* Mon Oct 25 2010 jbeulich@novell.com
- Update Xen patches to 2.6.36 and c/s 1043.
- xen: netback: take net_schedule_list_lock when removing entry
  from net_schedule_list.
- Update Xen config files.
- commit b772cd8
* Mon Oct 25 2010 tiwai@suse.de
- ALSA: hda - Add workarounds for CT-IBG controllers (bnc#564324).
- ALSA: hda - Add some workarounds for Creative IBG (bnc#564324).
- ALSA: hda - Fix wrong SPDIF NID assignment for CA0110
  (bnc#564324).
- commit 2256eda
* Fri Oct 22 2010 jeffm@suse.de
- Update to 2.6.36-final.
- commit 1b1584f
* Fri Oct 22 2010 jbeulich@novell.com
- patches.arch/i386-unwind-annotations,
  patches.arch/x86_64-unwind-annotations: Update Patch-mainline tags.
- commit 6ee5ccb
* Thu Oct 21 2010 sjayaraman@suse.de
- SoN: fix null pointer dereference in swap_entry_free.
- SoN: fix mess up on swap with multi files from same nfs server.
- Refresh patches.xen/tmem.
- commit d068f12
* Mon Oct 18 2010 trenn@suse.de
- ACPI: Make Embedded Controller command timeout delay
  configurable (bnc#639261).
- commit 9ea38cf
* Fri Oct 15 2010 jslaby@suse.cz
- Update to 2.6.36-rc8.
- commit 0c0e67c
* Fri Oct 15 2010 jslaby@suse.cz
- Refresh patches.suse/SoN-22-netvm.patch.
  Fix lock imbalance in net core (caused errors with bridges). (bnc#637235)
- commit f7ca98f
* Tue Oct 12 2010 jbeulich@novell.com
- Update Xen patches to 2.6.36-rc7 and c/s 1042.
- Update tmem interface to v1.
- commit 03c1043
* Mon Oct 11 2010 mmarek@suse.cz
- Generate per-symbol provides again (fate#305945).
  11.4 will do incremental downloads of repository metadata
  (fate#309561), so there should be no problem with the update
  repository anymore.
- commit 4258cf2
* Mon Oct 11 2010 jbeulich@novell.com
- patches.apparmor/apparmor-compatibility-patch-for-v5-network-control:
  Remove .rej file from this patch.
- commit 8828ce5
* Fri Oct  8 2010 jeffm@suse.de
- Update to 2.6.36-rc7.
- commit 82673e4
* Tue Oct  5 2010 jbeulich@novell.com
- patches.drivers/dynamic_debug_4.patch: Fix build issues with
  !DYNAMIC_DEBUG and build warning.
- commit b08d2aa
* Tue Oct  5 2010 jeffm@suse.de
- Enable SECURITY_APPARMOR_COMPAT_24
- commit f9b83fc
* Tue Oct  5 2010 jeffm@suse.de
- AppArmor: Allow dfa backward compatibility with broken
  userspace.
- AppArmor: compatibility patch for v5 interface.
- AppArmor: compatibility patch for v5 network control.
- commit cb27981
* Mon Oct  4 2010 jeffm@suse.de
- Update to 2.6.36-rc6.
  - Eliminated 2 patches.
- commit 57ae577
* Fri Sep 24 2010 jbeulich@novell.com
- Refresh patches.xen/xen3-patch-2.6.28 one more time.
- commit d527087
* Fri Sep 24 2010 trenn@suse.de
- acpi: ec_sys: access user space with get_user()/put_user()
  (none).
- commit d028761
* Fri Sep 24 2010 trenn@suse.de
- kernel/module.c: Fix compiler warnings if debug is compiled in
  (none).
- PNP: Use dev_dbg instead of dev_printk(KERN_DEBUG.. if
  DYNAMIC_DEBUG is compiled in (none).
- PNP: Compile all pnp built-in stuff in one module namespace
  (none).
- Dynamic Debug: Introduce global fake module param module.ddebug
  - V4 (none).
- Dynamic Debug: Initialize dynamic debug earlier via
  arch_initcall (none).
- Dynamic Debug: Introduce ddebug_query= boot parameter (none).
- Dynamic Debug: Split out query string parsing/setup from
  proc_write (none).
- commit dcd5c68
* Fri Sep 24 2010 jbeulich@novell.com
- Refresh patches.xen/xen3-patch-2.6.28 again.
- commit 2fbc89f
* Fri Sep 24 2010 jbeulich@novell.com
- Refresh patches.xen/xen3-patch-2.6.28.
- commit cba31c7
* Fri Sep 24 2010 jbeulich@novell.com
- Update Xen patches to 2.6.36-rc5 and c/s 1038.
- commit 7b86243
* Thu Sep 23 2010 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix for kernel release strings like
  2.6.36-rc5-73-g57aebd7-vanilla.
- rpm/kernel-spec-macros: Cleanup.
- commit 0926a18
* Thu Sep 23 2010 jeffm@suse.de
- rose: Fix signedness issues wrt. digi count (CVE-2010-3310
  bnc#640721).
- commit bcdc88b
* Tue Sep 21 2010 jeffm@suse.de
- qla4xxx: add workaround for missing readq/writeq.
- commit 643f9cf
* Tue Sep 21 2010 mmarek@suse.cz
- rpm/kernel-docs.spec.in: BuildRequire proper version of kernel-source
- commit beb33d1
* Tue Sep 21 2010 jeffm@suse.de
- Linux: 2.6.36-rc5.
  - Eliminated 6 patches (all security backports).
- commit d4603b4
* Mon Sep 20 2010 jeffm@suse.de
- Revert "- make SCSI and ATA drivers modules again. (bnc#564357)."
  This reverts commit 75e8e5eae2c1e8dd279370f2c7650835ee821deb.
  - make SCSI and ATA drivers modules again.
    (bnc#564357)
  This change only applies to enterprise releases and should have been
  reverted prior to the release of openSUSE 11.3.
- commit 7fc084f
* Mon Sep 20 2010 sjayaraman@suse.de
- Update patches.suse/SoN-05-reserve-slub.patch to accomodate an upstream
  change that uses kmem_cache flags instead of PageSlubDebug flag.
- commit 4ea582b
* Mon Sep 20 2010 jeffm@suse.de
- Set LSM_MMAP_MIN_ADDR=0 to allow tools like DOSemu to work properly. The
  default is still set to 64k.
- commit 0581892
* Sun Sep 19 2010 jeffm@suse.com
- Delete patches.suse/cgroup-disable-memory.patch: It is no longer needed. The performance hit that it caused has been eliminated.
- commit 1ec7da8
* Fri Sep 17 2010 jeffm@suse.de
- wext: fix potential private ioctl memory content leak
  (CVE-2010-2955 bnc#635413).
- commit 6df45c9
* Thu Sep 16 2010 jeffm@suse.de
- x86-64, compat: Test %%rax for the syscall number, not %%eax
  (CVE-2010-3301 bnc#639708).
- x86-64, compat: Retruncate rax after ia32 syscall entry tracing
  (CVE-2010-3301 bnc#639708).
- commit fb77404
* Thu Sep 16 2010 jeffm@suse.de
- compat: Make compat_alloc_user_space() incorporate the
  access_ok() (CVE-2010-3081 bnc#639709).
- commit 664a0ac
* Wed Sep 15 2010 jeffm@suse.com
- Remove reference to unused patch.
- commit a3abfe2
* Wed Sep 15 2010 jeffm@suse.de
- drivers/net/usb/hso.c: prevent reading uninitialized memory
  (CVE-2010-3298 bnc#639483).
- commit 35e70c8
* Wed Sep 15 2010 jeffm@suse.de
- drivers/net/cxgb3/cxgb3_main.c: prevent reading uninitialized
  stack memory (CVE-2010-3296 bnc#639481).
- commit a0634a9
* Wed Sep 15 2010 jeffm@suse.de
- drivers/net/eql.c: prevent reading uninitialized stack memory
  (CVE-2010-3297 bnc#639482).
- commit 2a7b160
* Wed Sep 15 2010 tiwai@suse.de
- Revert "patches.drivers/matador_reset_quirk.diff: Fix reset with Matador btusb devices bnc#626171"
  This reverts commit c6a176c1df9ab4c69dd54ff3076bc92806eac8fd.
  It should have been applied to SLE11-SP1 branch.
- commit 05f07f3
* Tue Sep 14 2010 jslaby@suse.cz
- Update to Linux 2.6.36-rc4.
  - Obsoletes:
  - patches.fixes/bonding-jiffies2.patch.
  - patches.fixes/irda-correctly-clean-up-self-ias_obj-on-irda_bind-failure.
  - patches.fixes/net-sched-fix-kernel-leak-in-act_police.
  - patches.rpmify/spectra-depends-on-moorestown.
- fix build on s390 as of 2.6.36-rc4.
- Refresh patches.suse/SoN-08-mm-page_alloc-emerg.patch.
- Refresh patches.suse/reiser4-set_page_dirty_notag.
- Refresh patches.xen/pci-guestdev.
- Update config files.
- commit 6915057
* Mon Sep 13 2010 oneukum@suse.de
- patches.drivers/matador_reset_quirk.diff: Fix reset with Matador btusb devices bnc#626171
- commit c6a176c
* Mon Sep 13 2010 jdelvare@suse.de
- patches.fixes/bonding-jiffies2.patch: Update patch-mainline.
- commit a1a8fdd
* Fri Sep  3 2010 jeffm@suse.de
- Always build in AGP on x86/x86_64 so KMS works on LiveCDs (bnc#609607).
- commit d9bfa1e
* Fri Sep  3 2010 jeffm@suse.com
- irda: Correctly clean up self->ias_obj on irda_bind() failure
  (CVE-2010-2954 bnc#636112).
- commit f04e61f
* Wed Sep  1 2010 jbeulich@novell.com
- Update Xen patches to 2.6.36-rc3 and c/s 1029.
- fix unwind annotations.
- config.conf: Re-enable Xen.
- Update x86 config files.
- commit 6836619
* Wed Sep  1 2010 jbeulich@novell.com
- fix unwind annotations.
- commit 5aa6daf
* Wed Sep  1 2010 jeffm@suse.com
- net sched: fix kernel leak in act_police (CVE-2010-2942
  bnc#632309).
- commit 66e1d72
* Tue Aug 31 2010 jdelvare@suse.de
- fix jiffies overflow problems in bonding (bnc#613273).
- commit 28bd2e8
* Mon Aug 30 2010 jeffm@suse.de
- Refresh vanilla configs.
- commit 26a681e
* Mon Aug 30 2010 jeffm@suse.de
- Update to Linux: 2.6.36-rc3.
  - Eliminated 7 patches.
- commit d298d2d
* Sat Aug 28 2010 jslaby@suse.cz
- Delete
  patches.suse/rlim-0020-core-optimize-setrlimit-for-current-task.patch.
- Delete
  patches.suse/rlim-0021-FS-proc-switch-limits-reading-to-fops.patch.
- Delete
  patches.suse/rlim-0022-FS-proc-make-limits-writable.patch.
  This was just a workaround crap. In 2.6.36 we have a nice syscall
  instead. Sorry for commiting this to the merge-36 branch first. I
  didn't notice it was already merged here.
- commit 5449fcb
* Fri Aug 27 2010 jeffm@suse.com
- Disabled ACPI table override patches again. fsnotify was introduced into
  the truncate path and causes crashes.
- commit e18fc2c
* Thu Aug 26 2010 jeffm@suse.de
- Refresh patches.suse/supported-flag-enterprise: Fixed recovery on load failure.
- commit 8a06643
* Thu Aug 26 2010 jeffm@suse.de
- Refresh patches.suse/stack-unwind: Fixed recovery on load failure.
- commit 7f15b29
* Tue Aug 24 2010 jeffm@suse.com
- patches.arch/s390-message-catalog.diff: dev_info -> _dev_info
- commit ba20988
* Tue Aug 24 2010 jeffm@suse.de
- patches.suse/stack-unwind: Fix build on !SMP
- commit abd5493
* Tue Aug 24 2010 jeffm@suse.de
- s390: Fix prototype for execve.
- commit b448268
* Tue Aug 24 2010 jeffm@suse.de
- spectra: depend on X86_MRST.
- commit 1e3fb89
* Tue Aug 24 2010 jeffm@suse.de
- Delete patches.arch/ppc-vmcoreinfo.diff.
- commit ea39e14
* Tue Aug 24 2010 jeffm@suse.de
- caif: Use asm/unaligned.h.
- commit 92c07c2
* Tue Aug 24 2010 jeffm@suse.de
- Refresh patches.suse/SoN-20-netvm-tcp-deadlock.patch: Added missing
  fixup for sk_rmem_schedule in caif.
- commit a9ff761
* Tue Aug 24 2010 mmarek@suse.cz
- makefile: not need to regenerate kernel.release file when
  make kernelrelease.
- commit 81237a8
* Tue Aug 24 2010 jeffm@suse.com
- rpm/kernel-source.spec.in, scripts/tar-up.sh: Renamed config-options.changes
  to config-options.changes.txt in the exported package to avoid triggering
  a build service rule error.
- commit ff4889e
* Tue Aug 24 2010 jeffm@suse.com
- Revert "- Renamed doc/config-options.changes to doc/config-options.changes.txt to"
  This reverts commit 124ac26de4839f8181a5badedb231eedf5770a3e.
- commit 2932c62
* Tue Aug 24 2010 jeffm@suse.com
- Renamed doc/config-options.changes to doc/config-options.changes.txt to
  avoid triggering a build service rule error.
- commit 124ac26
* Mon Aug 23 2010 jeffm@suse.de
- supported.conf: Add iscsi_boot_sysfs
- commit 80e2ea9
* Mon Aug 23 2010 jeffm@suse.de
- rpm/kernel-binary.spec.in: Fixed typo with last fix.
- commit 22210d9
* Mon Aug 23 2010 jeffm@suse.de
- rpm/kernel-binary.spec.in: Disable CONFIG_DEBUG_INFO. It's enabled
  dynamically in the spec file and now has follow-on options.
- commit d270759
* Mon Aug 23 2010 jeffm@suse.de
- patches.rpmify/spectra-drop-locked_ioctl-support: add <linux/smp_lock.h>
  to grab the BKL
- commit 1df02ec
* Mon Aug 23 2010 jeffm@suse.de
- Update config files: Disabled DEBUG_INFO_REDUCED.
- commit 393680a
* Mon Aug 23 2010 jeffm@suse.de
- Updated to 2.6.36-rc2.
  - Eliminated 2 patches.
- commit 52d47a0
* Wed Aug 18 2010 jeffm@suse.de
- Update to 2.6.36-rc1.
  - Eliminated 71 patches.
  - spectra: Drop ->locked_ioctl support.
  - spectra: Drop ->prepare_flush_fn support.
  - spectra: Remove duplicate GLOB_VERSION.
  - novfs: Fix ioctl usage.
  - novfs: use evict_inode.
  - Xen is disabled.
- commit 63642f6
* Mon Aug 16 2010 tiwai@suse.de
- ALSA: hda - Add quirk for Dell Vostro 1220 (bnc#631066).
- commit df12c34
* Fri Aug 13 2010 jeffm@suse.com
- README.BRANCH: Updated to reflect the permenent in-progress status.
- commit a2c882e
* Thu Aug 12 2010 gregkh@suse.de
- Update to 2.6.35.1
  - security fixes
  - bug fixes
  - obsoletes:
    patches.fixes/e1000e-don-t-inadvertently-re-set-INTX_DISABLE.patch.
- commit a009fb4
* Thu Aug 12 2010 gregkh@suse.de
- Delete patches.kernel.org/patch-2.6.35-rc1.
- Delete patches.kernel.org/patch-2.6.35-rc1-rc2.
- Delete patches.kernel.org/patch-2.6.35-rc2-rc3.
- Delete patches.kernel.org/patch-2.6.35-rc3-rc4.
- Delete patches.kernel.org/patch-2.6.35-rc4-rc5.
- Delete patches.kernel.org/patch-2.6.35-rc5-rc6.
- commit 2e67843
* Thu Aug 12 2010 gregkh@suse.de
- Refresh patches.fixes/novfs-lindent.
  Someone needs to remember to actually test out their patches before
  adding them to the repo...
- commit 6569c56
* Thu Aug 12 2010 jeffm@suse.com
- doc/README.SUSE: Updated to describe the process used to add custom patches
- commit e5f4670
* Thu Aug 12 2010 jslaby@suse.cz
- patches.fixes/vmscan-fix-stalls.patch: vmscan: raise the bar
  to PAGEOUT_IO_SYNC stalls (bnc#625339).
- commit 1efea94
* Wed Aug 11 2010 jack@suse.cz
- novfs: Lindent novfs sources.
- commit 361594a
* Wed Aug 11 2010 neilb@suse.de
- Refresh
  patches.fixes/nfsd-05-sunrpc-cache-allow-thread-to-block-while-waiting-for.patch.
- Refresh patches.fixes/sunrpc-monotonic-expiry.
- Delete patches.fixes/nfs-write.c-bug-removal.patch.
  Update some patches for 2.6.35
- commit 15d7a62
* Wed Aug 11 2010 neilb@suse.de
- NFS: allow close-to-open cache semantics to apply to root of
  NFS filesystem (bnc#584720).
- commit deea101
* Tue Aug 10 2010 tiwai@suse.de
- ALSA: hda - patch_nvhdmi.c: Add missing codec IDs, unify names
  (bnc#627212).
- ALSA: hda - Add pin-fix for HP dc5750 (bnc#624118).
- commit 4844a71
* Mon Aug  9 2010 jbeulich@novell.com
- Update Xen patches to 2.6.35 final and c/s 1025.
- create devices in /dev/xen when they are expected to be
  used there.
- xen/netback: Allow setting of large MTU before rings have
  connected.
- xen/netback: Always pull through PKT_PROT_LEN bytes into the
  linear part of an skb.
- pass trigger mode and polarity information to Xen for all
  interrupts.
- Update Xen config files.
- supported.conf: Add pci-iomul.ko.
- commit c642c1b
* Fri Aug  6 2010 jeffm@suse.de
- patches.xen/xen3-auto-xen-arch.diff: Update struct acpi_power_register
  usage from upstream commit 718be4aa.
- commit 4ce0b48
* Fri Aug  6 2010 jeffm@suse.de
- Update to 2.6.35-final and refresh patch set.
- commit a40327f
* Mon Aug  2 2010 mmarek@suse.cz
- rpm/kernel-source.spec.in: Package log.sh in the source rpm
- commit 53246ff
* Fri Jul 23 2010 jack@suse.cz
- novfs: Fix error codes for getxattr for novfs (bnc#529535).
- commit 06b3243
* Fri Jul 23 2010 jeffm@suse.de
- Update to 2.6.35-rc6.
- commit 643df99
* Fri Jul 23 2010 jack@suse.cz
- novfs: code cleanup for one case of novfs return value
  (bnc#624606).
- commit 4875860
* Wed Jul 21 2010 jack@suse.cz
- Fixed patch headers of patches.fixes/novfs-xattr-memleak
- commit 65ab01f
* Wed Jul 21 2010 jack@suse.cz
- novfs: Fix a memory leak that causes an OOM condition
  (bnc#610828).
- commit 519d8a0
* Tue Jul 20 2010 jack@suse.cz
- novfs: backing device info initialization (bnc#623472).
- commit b576dae
* Tue Jul 20 2010 mmarek@suse.cz
- scripts/tar-up.sh: Generate the rpm changelog using gitlog2changes.
- Move kernel-source.changes.old to rpm/ (not included in the pachage
  though).
- commit 8ed2389
* Tue Jul 20 2010 jblunck@suse.de
- rpm/package-descriptions: Change summary/description for trace flavor (bnc#488692).
- commit da8e17e
* Mon Jul 19 2010 mmarek@suse.cz
- Move rpm changelog to kernel-source.changes.old
- commit 93036bd
* Thu Jul 15 2010 bphilips@suse.de
- X86_MRST: Disable moorsetown since it deselects SERIO_I8042
  - See 0b28bac5aef7bd1ab213723df031e61db9ff151a, fixed in -tip but we
    still don't want X86_MRST
* Wed Jul 14 2010 trenn@suse.de
- patches.arch/acpi_fix_fadt_32_bit_zero_length.patch: Only use
  32 bit addresses if they have a valid length (bug#581644).
* Wed Jul 14 2010 bphilips@suse.de
- Update -desktop config files to enable CGROUPS for systemd
* Wed Jul 14 2010 jeffm@suse.de
- Update to 2.6.35-rc5.
  - Eliminated 5 patches.
* Tue Jul 13 2010 jack@suse.de
- patches.fixes/novfs-overflow-fixes: novfs: security: Add buffer
  overflow, integer wraparound fixes (bnc#594362).
* Wed Jul  7 2010 jbeulich@novell.com
- Update Xen patches to 2.6.35-rc4.
* Wed Jul  7 2010 jeffm@suse.de
- patches.suse/xfs-dmapi-2.6.35-api-changes: Updated for -debug flavor.
* Wed Jul  7 2010 jeffm@suse.de
- Update config files for vanilla.
* Wed Jul  7 2010 mmarek@suse.cz
- rpm/kernel-source.spec.in: Install config-option.changes
  This file documents the changes in the kernel configs.
* Wed Jul  7 2010 mmarek@suse.cz
- patches.rpmify/kbuild-setlocalversion-fix: kbuild: Fix path
  to scripts/setlocalversion.
* Wed Jul  7 2010 jeffm@suse.de
- Update to 2.6.35-rc4.
  - Eliminated 4 patches.
* Fri Jul  2 2010 jeffm@suse.de
- patches.fixes/iwlwifi-fix-tx-power-configuration-on-3945-and-4965-devices:
  iwlwifi: fix TX power configuration on 3945 and 4965 devices
  (bnc#619440 bnc#610421).
* Fri Jul  2 2010 jbeulich@novell.com
- patches.suse/stack-unwind: Fix after upstream commit
  9e565292270a2d55524be38835104c564ac8f795.
* Fri Jul  2 2010 trenn@suse.de
- patches.arch/x86_mce_intel_decode_physical_fix_dynamic_debug.patch:
  For some reason the macro used by dynamic debug breaks things
  (bnc#619416).
* Fri Jul  2 2010 trenn@suse.de
  Mainline goes another way (bug #476509).
  Also there is a problem with this patch, breaking dynamic debugging
  (bnc#619416) -> just remove it, there will show up something else
  mainline.
- patches.xen/xen3-auto-arch-x86.diff: Refresh.
- patches.arch/x86_mce_intel_decode_physical_address.patch:
  Delete.
- patches.arch/x86_mce_intel_decode_physical_address_compile_fix.patch:
  Delete.
- patches.arch/x86_mce_intel_decode_physical_address_rename_fix.patch:
  Delete.
* Thu Jul  1 2010 jeffm@suse.de
- patches.suse/dm-raid45-api-update-remove-dm_put-after-dm_table_get_md:
  dm-raid45: API update: Remove dm_put after dm_table_get_md
  (bnc#615656).
* Thu Jul  1 2010 jdelvare@suse.de
- patches.fixes/e1000e-don-t-inadvertently-re-set-INTX_DISABLE.patch:
  Update references (bnc#610362).
* Thu Jul  1 2010 bphilips@suse.de
- patches.drivers/ixgbe-disable-tx-engine-before-disabling-tx-laser.patch:
  ixgbe: disable tx engine before disabling tx laser.
- patches.drivers/ixgbe-fix-panic-when-shutting-down-system-with-WoL-e.patch:
  ixgbe: fix panic when shutting down system with WoL enabled.
- patches.drivers/ixgbe-skip-non-IPv4-packets-in-ATR-filter.patch:
  ixgbe: skip non IPv4 packets in ATR filter.
- patches.fixes/e1000e-don-t-inadvertently-re-set-INTX_DISABLE.patch:
  e1000e: don't inadvertently re-set INTX_DISABLE.
* Wed Jun 30 2010 bphilips@suse.de
- patches.drivers/e1000-enhance-frame-fragment-detection.patch:
  Delete.
- patches.drivers/e1000e-enhance-frame-fragment-detection.patch:
  Delete.
* Tue Jun 29 2010 nfbrown@suse.de
- patches.fixes/nfs_wb_page_deadlock.fix: NFS: Fix another
  nfs_wb_page() deadlock (bnc#612794).
* Mon Jun 28 2010 mmarek@suse.cz
- rpm/find-provides: Add base symsets to the main subpackage.
* Fri Jun 25 2010 jeffm@suse.de
- Update config files for sparc64/net to remove unnecessary options.
* Fri Jun 25 2010 jeffm@suse.de
- patches.suse/add-initramfs-file_read_write: Fixed typo.
* Fri Jun 25 2010 jbeulich@novell.com
- patches.arch/kvm-split-paravirt-ops-by-functionality: Adjust
  Kconfig style to match upstream.
- patches.fixes/seccomp-disable-tsc-option: Adjust Kconfig style
  to match upstream.
- patches.suse/SoN-11-mm-reserve.patch: Fix compiler warning.
* Fri Jun 25 2010 jbeulich@novell.com
- Update Xen patches to 2.6.35-rc3.
- config.conf: Re-enable Xen.
- Update x86 config files.
* Thu Jun 24 2010 agruen@suse.de
- Replace the nfs4acl patches by their successor patch queue,
  richacls (see http://www.suse.de/~agruen/richacl/).
- Update config files: CONFIG_EXT4_FS_RICHACL=y.
* Thu Jun 24 2010 jeffm@suse.de
- patches.fixes/ext4-make-sure-the-move_ext-ioctl-can-t-overwrite-append-only-files:
  ext4: Make sure the MOVE_EXT ioctl can't overwrite append-only
  files (bnc#612457 CVE-2010-2066).
* Thu Jun 24 2010 jeffm@suse.de
- patches.fixes/gfs2-fix-writing-to-non-page-aligned-gfs2_quota-structures:
  GFS2: Fix writing to non-page aligned gfs2_quota structures
  (bnc#599957 CVE-2010-1436).
* Thu Jun 24 2010 jeffm@suse.de
- patches.fixes/gfs2-fix-permissions-checking-for-setflags-ioctl:
  GFS2: Fix permissions checking for setflags ioctl() (bnc#608576
  CVE-2010-1641).
* Thu Jun 24 2010 jdelvare@suse.de
- patches.drivers/hwmon-it87-fix-in7-on-IT8720F.patch: hwmon:
  (it87) Fix in7 on IT8720F (bnc#612910).
* Thu Jun 24 2010 jdelvare@suse.de
- patches.drivers/hwmon-it87-fix-in7-on-IT8720F.patch: hwmon:
  (it87) Fix in7 on IT8720F (bnc#612910).
* Thu Jun 24 2010 jeffm@suse.de
- btrfs fix rollup from v2.6.35:
- patches.fixes/btrfs-handle-err_ptr-from-posix_acl_from_xattr:
  Btrfs: handle ERR_PTR from posix_acl_from_xattr().
- patches.fixes/btrfs-avoid-bug-when-dropping-root-and-reference-in-same-transaction:
  Btrfs: avoid BUG when dropping root and reference in same
  transaction.
- patches.fixes/btrfs-prohibit-a-operation-of-changing-acl-s-mask-when-noacl-mount-option-used:
  Btrfs: prohibit a operation of changing acl's mask when noacl
  mount option used.
- patches.fixes/btrfs-should-add-a-permission-check-for-setfacl:
  Btrfs: should add a permission check for setfacl.
- patches.fixes/btrfs-btrfs_lookup_dir_item-can-return-err_ptr:
  Btrfs: btrfs_lookup_dir_item() can return ERR_PTR.
- patches.fixes/btrfs-btrfs_read_fs_root_no_name-returns-err_ptrs:
  Btrfs: btrfs_read_fs_root_no_name() returns ERR_PTRs.
- patches.fixes/btrfs-unwind-after-btrfs_start_transaction-errors:
  Btrfs: unwind after btrfs_start_transaction() errors.
- patches.fixes/btrfs-btrfs_iget-returns-err_ptr: Btrfs:
  btrfs_iget() returns ERR_PTR.
- patches.fixes/btrfs-handle-kzalloc-failure-in-open_ctree:
  Btrfs: handle kzalloc() failure in open_ctree().
- patches.fixes/btrfs-handle-error-returns-from-btrfs_lookup_dir_item:
  Btrfs: handle error returns from btrfs_lookup_dir_item().
- patches.fixes/btrfs-fix-bug_on-for-fs-converted-from-extn:
  Btrfs: Fix BUG_ON for fs converted from extN.
- patches.fixes/btrfs-fix-null-dereference-in-relocation-c:
  Btrfs: Fix null dereference in relocation.c.
- patches.fixes/btrfs-fix-remap_file_pages-error: Btrfs: fix
  remap_file_pages error.
- patches.fixes/btrfs-uninitialized-data-is-check_path_shared:
  Btrfs: uninitialized data is check_path_shared().
- patches.fixes/btrfs-fix-fallocate-regression: Btrfs: fix
  fallocate regression.
- patches.fixes/btrfs-fix-loop-device-on-top-of-btrfs: Btrfs:
  fix loop device on top of btrfs.
- patches.fixes/btrfs-add-more-error-checking-to-btrfs_dirty_inode:
  Btrfs: add more error checking to btrfs_dirty_inode.
- patches.fixes/btrfs-allow-unaligned-dio: Btrfs: allow unaligned
  DIO.
- patches.fixes/btrfs-drop-verbose-enospc-printk: Btrfs: drop
  verbose enospc printk.
- patches.fixes/btrfs-fix-block-generation-verification-race:
  Btrfs: Fix block generation verification race.
- patches.fixes/btrfs-fix-preallocation-and-nodatacow-checks-in-o_direct:
  Btrfs: fix preallocation and nodatacow checks in O_DIRECT.
- patches.fixes/btrfs-avoid-enospc-errors-in-btrfs_dirty_inode:
  Btrfs: avoid ENOSPC errors in btrfs_dirty_inode.
- patches.fixes/btrfs-move-o_direct-space-reservation-to-btrfs_direct_io:
  Btrfs: move O_DIRECT space reservation to btrfs_direct_IO.
- patches.fixes/btrfs-rework-o_direct-enospc-handling: Btrfs:
  rework O_DIRECT enospc handling.
- patches.fixes/btrfs-use-async-helpers-for-dio-write-checksumming:
  Btrfs: use async helpers for DIO write checksumming.
- patches.fixes/btrfs-don-t-walk-around-with-task-state-task_running:
  Btrfs: don't walk around with task->state != TASK_RUNNING.
- patches.fixes/btrfs-do-aio_write-instead-of-write: Btrfs:
  do aio_write instead of write.
- patches.fixes/btrfs-add-basic-dio-read-write-support: Btrfs:
  add basic DIO read/write support.
- patches.fixes/direct-io-add-a-hook-for-the-fs-to-provide-its-own-submit_bio-function:
  direct-io: add a hook for the fs to provide its own submit_bio
  function.
- patches.fixes/btrfs-metadata-enospc-handling-for-balance:
  Btrfs: Metadata ENOSPC handling for balance.
- patches.fixes/btrfs-pre-allocate-space-for-data-relocation:
  Btrfs: Pre-allocate space for data relocation.
- patches.fixes/btrfs-metadata-enospc-handling-for-tree-log:
  Btrfs: Metadata ENOSPC handling for tree log.
- patches.fixes/btrfs-metadata-reservation-for-orphan-inodes:
  Btrfs: Metadata reservation for orphan inodes.
- patches.fixes/btrfs-introduce-global-metadata-reservation:
  Btrfs: Introduce global metadata reservation.
- patches.fixes/btrfs-update-metadata-reservation-for-delayed-allocation:
  Btrfs: Update metadata reservation for delayed allocation.
- patches.fixes/btrfs-integrate-metadata-reservation-with-start_transaction:
  Btrfs: Integrate metadata reservation with start_transaction.
- patches.fixes/btrfs-introduce-contexts-for-metadata-reservation:
  Btrfs: Introduce contexts for metadata reservation.
- patches.fixes/btrfs-kill-init_btrfs_i: Btrfs: Kill
  init_btrfs_i().
- patches.fixes/btrfs-shrink-delay-allocated-space-in-a-synchronized:
  Btrfs: Shrink delay allocated space in a synchronized.
- patches.fixes/btrfs-kill-allocate_wait-in-space_info: Btrfs:
  Kill allocate_wait in space_info.
- patches.fixes/btrfs-link-block-groups-of-different-raid-types:
  Btrfs: Link block groups of different raid types.
- patches.fixes/nilfs-fix-breakage-caused-by-barrier-flag-changes:
  nilfs: fix breakage caused by barrier flag changes.
- patches.fixes/blkdev-generalize-flags-for-blkdev_issue_fn-functions:
  blkdev: generalize flags for blkdev_issue_fn functions.
* Wed Jun 23 2010 jeffm@suse.de
- patches.suse/add-initramfs-file_read_write: Fixed typo.
* Tue Jun 22 2010 teheo@suse.de
- patches.drivers/libata-ata_generic-force_dma: ata_generic:
  implement ATA_GEN_* flags and force enable DMA on MBP 7,1
  (bko#15923).
* Tue Jun 22 2010 knikanth@suse.de
- patches.suse/dm-raid45-26-Nov-2009.patch: DMRAID45 module
  (bnc#615906, bnc#565962).
- patches.suse/dm-raid45_2.6.27_20081027.patch: Delete.
- Sync dm-raid45 to the later version.
* Tue Jun 22 2010 mmarek@suse.cz
- rpm/config.sh: Build against openSUSE:11.3.
* Tue Jun 22 2010 knikanth@suse.de
- patches.suse/dm-raid45-26-Nov-2009.patch: DMRAID45 module
  (bnc#615906, bnc#565962).
- patches.suse/dm-raid45_2.6.27_20081027.patch: Delete.
- Sync dm-raid45 to the later version.
* Mon Jun 21 2010 jeffm@suse.de
- Resync v2.6.35 with master.
* Mon Jun 21 2010 jeffm@suse.de
- patches.suse/acpi-generic-initramfs-table-override-support:
  Refresh.
- patches.suse/init-move-populate_rootfs-back-to-start_kernel:
  Refresh.
* Mon Jun 21 2010 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Require a mkinitrd that supports
  KMS (bnc#615680).
* Mon Jun 21 2010 jeffm@suse.de
- patches.suse/add-initramfs-file_read_write: Fix missing kmap calls
  while loading initramfs files.
* Mon Jun 21 2010 jeffm@suse.de
- patches.suse/add-initramfs-file_read_write: Fix missing kmap of
  pages for initramfs loading.
* Fri Jun 18 2010 jbeulich@novell.com
- patches.xen/xen3-driver-core-add-devname-module-aliases-to-allow-module-on-demand-auto-loading.patch:
  driver core: add devname module aliases to allow module
  on-demand auto-loading.
- Refresh other Xen patches.
- Update Xen config files.
* Thu Jun 17 2010 teheo@suse.de
- patches.drivers/libata-ata_generic-mcp89-mbp71:
  ahci,ata_generic: let ata_generic handle new MBP w/ MCP89
  (bko#15923).
* Wed Jun 16 2010 jeffm@suse.de
- Update to 2.6.35-rc3.
  - Eliminated 1 patch.
* Mon Jun 14 2010 jslaby@suse.de
- patches.fixes/pci-hotplug-cpqphp-fix-crash.patch: PCI:
  hotplug/cpqphp, fix NULL dereference (bnc#609338).
* Wed Jun  9 2010 jeffm@suse.de
- patches.rpmify/ceph-atomic_long-init-fix: ceph: fix atomic64_t
  initialization on ia64.
* Tue Jun  8 2010 jeffm@suse.de
- patches.trace/utrace-core: Workaround missing kref_set().
* Tue Jun  8 2010 jeffm@suse.de
- patches.arch/ppc64-xmon-dmesg-printing.patch: Refresh.
* Tue Jun  8 2010 jeffm@suse.de
- patches.rpmify/powerpc-kvm-build-failure-workaround: Refresh.
- patches.rpmify/wlags49-missing-strlen-include: wlags49_h2:
  build fix.
* Tue Jun  8 2010 jeffm@suse.de
- patches.arch/x86_mce_intel_decode_physical_address.patch:
  Refresh.
- patches.arch/x86_mce_intel_decode_physical_address_rename_fix.patch:
  Refresh.
* Tue Jun  8 2010 jeffm@suse.com
- supported.conf: Updated dependencies for 2.6.35
* Mon Jun  7 2010 jeffm@suse.com
- patches.kernel.org/revert-tty-fix-a-little-bug-in-scrup-vt-c:
  Revert "tty: fix a little bug in scrup, vt.c".
* Mon Jun  7 2010 jeffm@suse.com
- Update to 2.6.35-rc2.
* Thu Jun  3 2010 jeffm@suse.de
- Re-enable DSDT in initramfs code.
- patches.suse/acpi-don-t-preempt-until-the-system-is-up: acpi:
  don't preempt until the system is up.
* Wed Jun  2 2010 bphilips@suse.de
- patches.drivers/e1000e-entropy-source.patch: Reintroduce IRQF_SHARED
  to fix non-MSI case (bnc#610362).
* Wed Jun  2 2010 mmarek@suse.cz
- rpm/kernel-docs.spec.in: More -rt fixes.
* Tue Jun  1 2010 jeffm@suse.com
- Update to 2.6.35-rc1.
  - Eliminated 13 patches.
  - Xen is disabled.
* Tue Jun  1 2010 bphilips@suse.de
- patches.drivers/tg3-5785-and-57780-asic-revs-not-working.patch:
  tg3: 5785 and 57780 asic revs not working (bnc#580780).
* Tue Jun  1 2010 mmarek@suse.cz
- rpm/kernel-module-subpackage: Change the kmp versioning to prefix
  the kernel version with "k" to avoid false version downgrades
  (bnc#609483).
* Tue Jun  1 2010 mmarek@suse.cz
- rpm/kernel-source.spec.in: pcre-tools is not needed.
* Mon May 31 2010 mmarek@suse.cz
- rpm/kernel-docs.spec.in: Fix for -rt.
* Wed May 26 2010 gregkh@suse.de
- patches.drivers/driver-core-add-devname-module-aliases-to-allow-module-on-demand-auto-loading.patch:
  driver core: add devname module aliases to allow module
  on-demand auto-loading.
* Tue May 25 2010 jeffm@suse.de
- supported.conf: Added mperf, which powernow and acpi-cpufreq now
  depend on.
* Tue May 25 2010 jeffm@suse.com
- patches.arch/powernow-k8-add-core-performance-boost-support:
  powernow-k8: Add core performance boost support (bnc#602209).
- patches.arch/x86-cpu-add-amd-core-boosting-feature-flag-to-proc-cpuinfo:
  x86, cpu: Add AMD core boosting feature flag to /proc/cpuinfo.
- patches.arch/x86-cpufreq-add-aperf-mperf-support-for-amd-processors:
  x86, cpufreq: Add APERF/MPERF support for AMD processors
  (bnc#602209).
* Tue May 25 2010 jbeulich@novell.com
- Update Xen patches to 2.6.34 final.
- Update Xen config files.
- patches.xen/xen3-acpi_processor_check_maxcpus.patch: Do not
  try to set up acpi processor stuff on cores exceeding maxcpus=
  (bnc#601520).
* Mon May 24 2010 jbenc@suse.cz
- patches.suse/b43-missing-firmware-info.patch: b43: Change
  firmware missing message to refer to openSUSE script.
* Sun May 23 2010 teheo@suse.de
- patches.drivers/pci-disable-msi-on-K8M800: pci: disable MSI
  on VIA K8M800 (bnc#599508).
* Sat May 22 2010 trenn@suse.de
- patches.xen/xen3-auto-common.diff: Refresh.
* Sat May 22 2010 trenn@suse.de
- patches.fixes/acpi_processor_check_maxcpus.patch: Do not try
  to set up acpi processor stuff on cores exceeding maxcpus=
  (bnc#601520).
* Sat May 22 2010 trenn@suse.de
- patches.fixes/acpi_processor_check_maxcpus.patch: Do not try
  to set up acpi processor stuff on cores exceeding maxcpus=
  (bnc#601520).
- patches.fixes/acpi_wmi_debug.patch: X86 platform wmi: Introduce
  debug param to log all WMI events (bnc#598059).
- patches.fixes/hp_wmi_fix_acpi_version_integer_size.patch:
  x86 platform drivers: hp-wmi fix buffer size depending on ACPI
  version (bnc#598059).
- patches.fixes/wmi_debug_pass_guid: X86 platform wmi: Also log
  GUID string when an event happens and debug is set (bnc#598059).
- patches.fixes/wmi_dump_wdg_data.patch: X86 platfrom wmi: Add
  debug facility to dump WMI data in a readable way (bnc#598059).
* Thu May 20 2010 jeffm@suse.com
- Disabled CONFIG_RT2800PCI (bnc#606243)
  - These devices are handled by the rt2860 staging driver.
* Mon May 17 2010 jeffm@suse.com
- patches.fixes/kvm-ioapic.patch: Refresh.
* Mon May 17 2010 jeffm@suse.com
- Update to 2.6.34-final.
* Wed May 12 2010 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix preserving of old symsets.
* Wed May 12 2010 jbeulich@novell.com
- Update Xen patches to 2.6.34-rc7 and c/s 1017.
* Tue May 11 2010 jeffm@suse.com
- Update config files for vanilla.
* Tue May 11 2010 jeffm@suse.com
- Updated to 2.6.34-rc7.
  - Eliminated 3 patches.
* Sun May  2 2010 jeffm@suse.com
- Update to 2.6.34-rc6.
  - Eliminated 2 patches.
* Sun May  2 2010 sjayaraman@suse.de
- patches.fixes/cifs-fix-oops-due-to-null-nameidata: Allow null nd
  (as nfs server uses) on create (bnc#593940).
* Fri Apr 30 2010 trenn@suse.de
- patches.fixes/acpi_ensure_spec_correct_address_space_length.patch:
  ACPI/x86/PCI: compute Address Space length rather than using
  _LEN (bnc#598641).
* Thu Apr 29 2010 jbeulich@novell.com
- Update -ec2 config files (X86_MSR=m again).
* Thu Apr 29 2010 jbeulich@novell.com
- Update Xen patches to 2.6.34-rc5-git8 and c/s 1016.
- Update Xen config files.
- patches.xen/xen-kzalloc: use kzalloc() in favor of
  kmalloc()+memset().
- patches.xen/xen-fix_trace_power.patch: Rename to ...
- patches.xen/xen3-x86_cpufreq_make_trace_power_frequency_cpufreq_driver_independent.patch:
  ... this.
* Thu Apr 29 2010 knikanth@suse.de
- patches.fixes/dm-release-map_lock-before-set_disk_ro: Refresh.
  Fix patch to call dm_table_get directly instead of calling
  dm_get_table unnecesarily.
* Thu Apr 29 2010 jeffm@suse.com
- Update to 2.6.34-rc5-git8.
  - Eliminated 1 patch.
* Wed Apr 28 2010 trenn@suse.de
- patches.xen/xen-fix_trace_power.patch: x86 cpufreq: Make
  trace_power_frequency cpufreq driver independent (none).
* Wed Apr 28 2010 mmarek@suse.cz
- Disable CONFIG_FIRMWARE_IN_KERNEL in all configs, we start udev
  early enough in the initrd.
* Wed Apr 28 2010 trenn@suse.de
- patches.fixes/acpi-cpufreq_fix_cpu_any_notification.patch:
  acpi-cpufreq: Fix CPU_ANY CPUFREQ_{PRE,POST}CHANGE notification
  (none).
- patches.trace/x86_cpufreq_make_trace_power_frequency_cpufreq_driver_independent.patch:
  x86 cpufreq: Make trace_power_frequency cpufreq driver
  independent (none).
* Wed Apr 28 2010 trenn@suse.de
- Update config files.
  Unify X86_MSR and X86_CPUID configs:
  - CONFIG_X86_CPUID=m
  - CONFIG_X86_MSR=y
  for all i386 and x86_64 flavors.
* Mon Apr 26 2010 jeffm@suse.com
- Disabled CONFIG_TUNE_CELL on ppc64 (bnc#599045)
* Mon Apr 26 2010 jeffm@suse.com
- Enabled CONFIG_FIREWIRE (bnc#586172)
  - CONFIG_IEEE1394 is still enabled but deprecated.
* Fri Apr 23 2010 trenn@suse.de
- patches.fixes/hp_wmi_add_media_key.patch: x86 platform drivers:
  hp-wmi Add media key 0x20e8 (bnc#598059).
* Fri Apr 23 2010 trenn@suse.de
- patches.fixes/hp-wmi_detect_keys.patch: x86 platform drivers:
  hp-wmi Reorder event id processing (bnc#598059).
- patches.fixes/hp_wmi_catch_unkown_event_key_codes.patch: x86
  platform drivers: hp-wmi Catch and log unkown event and key
  codes correctly (bnc#598059).
- patches.fixes/hp_wmi_use_prefix_string.patch: x86 platform
  drivers: hp-wmi Use consistent prefix string for messages
  (bnc#598059).
* Thu Apr 22 2010 jeffm@suse.com
- patches.suse/s390-Kerntypes.diff: Fix slab.h vs slab_def.h
  include ordering in kerntypes.c
* Thu Apr 22 2010 mmarek@suse.cz
- rpm/kernel-*.spec.in: Provide %%name = %%version-%%source_rel in
  all spec files (bnc#598453).
* Thu Apr 22 2010 tiwai@suse.de
- Update config files: Fix remaining CONFIG_LEDS_CLASS=m
* Thu Apr 22 2010 tiwai@suse.de
- patches.drivers/input-Add-LED-support-to-Synaptics-device:
  Refresh.  Fix dependency with LED class.
- Update config files.
* Wed Apr 21 2010 tiwai@suse.de
- patches.drivers/input-Add-LED-support-to-Synaptics-device:
  input: Add LED support to Synaptics device
  (bnc#547370,bnc#582529,bnc#589014).
- patches.drivers/input-Add-support-of-Synaptics-Clickpad-device:
  input: Add support of Synaptics Clickpad device
  (bnc#547370,bnc#582529,bnc#589014).
- patches.drivers/synaptics-hp-clickpad: Delete.
* Wed Apr 21 2010 jeffm@suse.com
- Update to  2.6.34-rc5.
  - Eliminated 1 patch.
* Tue Apr 20 2010 jack@suse.de
- patches.fixes/novfs-LFS-initialization: fs: novfs: Initialize
  super-block with standard macros.
- patches.fixes/novfs-return-ENOTEMPTY-when-deleting-nonempty-dir:
  fs: novfs: Return ENOTEMPTY when tyring to delete a non-empty
  folder (bnc#583964).
* Mon Apr 19 2010 jeffm@suse.de
- patches.fixes/x86-apbt-conditionally-register-cpu-hp-notifier-for-apbt:
  x86/apbt: conditionally register cpu hp notifier for apbt
  (bko#15786).
* Fri Apr 16 2010 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/mkspec, rpm/old-packages.conf:
  Obsolete kernel-vmi-base by kernel-pae-base (bnc#594271).
- commit a48fbdf
* Fri Apr 16 2010 mmarek@suse.cz
- rpm/mkspec, rpm/old-packages.conf: Explicitly list ppc64 flavors that
  obsolete kernel-kdump.
- commit 0a4f75b
* Fri Apr 16 2010 mmarek@suse.cz
- rpm/old-packages.conf: s390(x) provides/obsoletes not needed anymore.
- commit 0e039b7
* Thu Apr 15 2010 jbeulich@novell.com
- Update Xen patches to 2.6.34-rc4 and c/s 1011.
- patches.xen/xen-netfront-ethtool: netfront: ethtool -i does
  not return info about xennet driver (bnc#591179).
- patches.xen/xen-no-reboot-vector: eliminate REBOOT_VECTOR.
- patches.xen/xen-x86_64-kern_addr_valid: x86-64:
  kern_addr_valid() must not walk page tables mapping hypervisor
  space (bnc#591371).
- Update Xen config files.
- supported.conf: drivers/xen/evtchn.ko is supported.
* Thu Apr 15 2010 teheo@suse.de
- patches.fixes/block-blk_abort_request-lock-fix: libata/SCSI:
  fix locking around blk_abort_request() (bnc#585927).
* Wed Apr 14 2010 jeffm@suse.de
- Update to 2.6.34-rc4.
  - Eliminated 3 patches.
* Tue Apr 13 2010 mmarek@suse.cz
- Update vanilla config files.
* Tue Apr 13 2010 tiwai@suse.de
- patches.suse/bootsplash-console-fix: Fix rendering on linux
  console with bootsplash (bnc#595657,bnc#594209).
* Tue Apr 13 2010 agraf@suse.de
- Update config files to disable KVM on PPC also for ppc/ppc64.
* Tue Apr 13 2010 teheo@suse.de
- Update config files to disable CONFIG_DEBUG_BLOCK_EXT_DEVT which was
  enabled by 5246824c to ease testing userland handling of ext devt.
* Mon Apr 12 2010 jslaby@suse.de
- patches.fixes/hibernation-fix-s2disk.patch: PM / Hibernate:
  user.c, fix SNAPSHOT_SET_SWAP_AREA handling (bko#15728).
* Mon Apr 12 2010 jack@suse.de
- patches.fixes/novfs-dentry-cache-limit.patch: novfs: Remove
  dcache count restricting code (bnc#576026).
* Mon Apr 12 2010 jbeulich@novell.com
- patches.arch/x86_64-unwind-annotations: Refresh (bnc#588458).
* Fri Apr  9 2010 jeffm@suse.de
- patches.fixes/reiserfs-remove-2-tb-file-size-limit: Fix issue on
  32-bit systems.
* Fri Apr  9 2010 knikanth@suse.de
- patches.fixes/loop-update-mtime.patch: loop: Update mtime when
  writing using aops (bnc#590738).
* Fri Apr  9 2010 jeffm@suse.de
- patches.fixes/reiserfs-fix-permissions-on-reiserfs_priv:
  reiserfs: Fix permissions on .reiserfs_priv (bnc#593906
  CVE-2010-1146).
* Thu Apr  8 2010 agraf@suse.de
- Update PPC config files to disable KVM on PPC. It's not ready yet.
  Please enable it again as soon as we hit 2.6.35.
* Wed Apr  7 2010 jengelh@medozas.de
- Add config/sparc64/net that is light on size. For netbooting,
  both the kernel and initrd must fit into 10MB.
* Wed Mar 31 2010 jeffm@suse.de
- Updated sparc64 config.
* Wed Mar 31 2010 jeffm@suse.de
- Update to 2.6.34-rc3.
* Wed Mar 31 2010 mmarek@suse.cz
- doc/README.SUSE: Update some obsolete information.
* Wed Mar 31 2010 mmarek@suse.cz
- rpm/kernel-docs.spec.in: Fix path to kernel source.
* Wed Mar 31 2010 mmarek@suse.cz
- rpm/configtool.pl, rpm/kernel-binary.spec.in,
  rpm/kernel-source.spec.in: Add support for custom config options
  in config.addon.tar.bz2. This tarball is expected to have the
  same layout as config.tar.bz2 and the config options listed there
  take precedence over config.tar.bz2.
* Wed Mar 31 2010 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in, rpm/mkspec:
  Generate the chmod +x line automatically.
* Wed Mar 31 2010 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/mkspec, scripts/tar-up.sh:
  Generate the Source: lines from kernel-source.spec.in.
* Tue Mar 30 2010 jeffm@suse.de
- patches.fixes/reiserfs-remove-2-tb-file-size-limit: reiserfs:
  Remove 2 TB file size limit (bnc#592100).
* Tue Mar 30 2010 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in, rpm/mkspec:
  Generated the NoSource and %%setup lines automatically from the
  preamble.
* Tue Mar 30 2010 mmarek@suse.cz
- rpm/kernel-source.spec.in: Provide $pkg = %%version-%%source_rel
  in kernel-devel and kernel-source-vanilla.
* Mon Mar 29 2010 jeffm@suse.de
- patches.fixes/reiserfs-fix-locking-BUG-during-mount-failure:
  reiserfs: Fix locking BUG during mount failure (bnc#591807).
* Mon Mar 29 2010 jeffm@suse.de
- Disabled MAX63XX_WATCHDOG on s390.
* Mon Mar 29 2010 jeffm@suse.de
- Update to 2.6.34-rc2-git3.
  - Eliminated 1 patch.
  - Fixed ps3 config.
* Mon Mar 29 2010 jbeulich@novell.com
- Update Xen patches to 2.6.34-rc2 and c/s 1007.
- Update config files.
- config.conf: Re-enable Xen configs.
- patches.xen/xen-floppy: Xen: improve floppy behavior
  (bnc#584216).
- patches.xen/xen-vscsi-module-alias: allow pv scsi hba driver
  to be loaded automatically.
- patches.xen/xen-vusb-module-alias: allow pv usb hcd driver to
  be loaded automatically (bnc#584213).
* Fri Mar 26 2010 jkosina@suse.cz
- patches.fixes/hid-fix-gyration-oops.patch: HID: fix oops in
  gyration_event() (bnc#589329).
* Fri Mar 26 2010 jack@suse.de
- patches.fixes/novfs-fix-oops-in-scope-finding: novfs: fix an
  oops in novfs scope-finding code (bnc#588579).
* Thu Mar 25 2010 jeffm@suse.de
- patches.fixes/powerpc-fix-handling-of-strnlen-with-zero-len:
  powerpc: fix handling of strnlen with zero len (bnc#582681).
* Tue Mar 23 2010 jeffm@suse.de
- patches.drivers/lpfc-add-raywire-id: Delete.
* Tue Mar 23 2010 jeffm@suse.de
- patches.suse/linux-2.6.29-kms-after-sata.patch: Refresh.
* Tue Mar 23 2010 jeffm@suse.de
- patches.fixes/do_anonymous_page-race: Delete.
* Tue Mar 23 2010 jeffm@suse.de
- patches.drivers/libata-prefer-over-ide: Delete.
- patches.drivers/libata-ahci-aspire-3810t-noncq: Delete.
- patches.drivers/libata-ata_piix-clear-spurious-IRQ: Delete.
- patches.suse/block-add-mangle-devt-switch: Delete.
* Tue Mar 23 2010 jeffm@suse.de
- patches.suse/apm_setup_UP.diff: Delete.
* Mon Mar 22 2010 jeffm@suse.de
- patches.arch/ppc-efika-bestcomm-ata-dma.patch: Delete.
- patches.arch/ppc-efika-mpc52xx-ac97.patch: Delete.
- patches.arch/ppc-efika-psc-console-autodetection.patch: Delete.
- patches.suse/suse-ppc32-mol-BIT: Delete.
- patches.suse/suse-ppc32-mol-get-property: Delete.
- patches.suse/suse-ppc32-mol-handle-mm-fault: Delete.
- patches.suse/suse-ppc32-mol-ioctl: Delete.
- patches.suse/suse-ppc32-mol-kbuild.patch: Delete.
- patches.suse/suse-ppc32-mol-semaphore: Delete.
- patches.suse/suse-ppc32-mol-sheep: Delete.
- patches.suse/suse-ppc32-mol.patch: Delete.
* Mon Mar 22 2010 jeffm@suse.de
- patches.fixes/dlm-enable-debug.patch: Delete.
* Mon Mar 22 2010 jeffm@suse.de
- patches.fixes/ds1682-build-fix: Delete.
* Mon Mar 22 2010 jeffm@suse.de
- patches.suse/kvm-as-kmp: Delete.
* Mon Mar 22 2010 jeffm@suse.de
- patches.suse/xfs-dmapi-fix-incompatible-pointer-type-warning:
  xfs/dmapi: fix incompatible pointer type warning.
* Mon Mar 22 2010 jeffm@suse.de
- Updated to 2.6.34-rc2.
  - Eliminated 4 patches.
* Fri Mar 19 2010 jbohac@suse.cz
- set CONFIG_IPV6=y for all flavours (bnc#561611)
* Thu Mar 18 2010 jeffm@suse.de
- Refreshed patch series.
* Wed Mar 17 2010 jeffm@suse.de
- Updated to 2.6.34-rc1-git6.
  - Eliminated 8 patches.
* Tue Mar 16 2010 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Remove Obsoletes: for 10.3 KMPs.
* Tue Mar 16 2010 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Move Obsoletes: msi-wmi-kmp to the
  sle11-ga group and make the comment more explanatory.
* Tue Mar 16 2010 trenn@suse.de
- rpm/kernel-binary.spec.in:
  bnc#587578
* Thu Mar 11 2010 jeffm@suse.de
- patches.rpmify/powerpc-mpc52xx-build-fix: powerpc: Build fix
  for mpc52xx.
* Thu Mar 11 2010 knikanth@suse.de
- patches.fixes/xfs-nonblocking-inode-locking-io-completion.patch:
  Fix unintialized variable. Refresh.
* Wed Mar 10 2010 jeffm@suse.de
- supported.conf: Added kernel/drivers/gpio/max730x, max7301 now
  depends on it.
* Wed Mar 10 2010 jeffm@suse.de
- Enabled CONFIG_DRM_RADEON_KMS; Matching KMS-enabled X.org has
  been committed to Factory.
* Wed Mar 10 2010 jeffm@suse.de
- patches.rpmify/powerpc-kvm-build-failure-workaround: powerpc:
  kvm build failure workaround.
* Wed Mar 10 2010 jeffm@suse.de
- patches.rpmify/powerpc-mpc52xx-build-fix: powerpc: Build fix
  for mpc52xx.
* Wed Mar 10 2010 jeffm@suse.de
- supported.conf: Added kernel/drivers/i2c/i2c-smbus, i2c-parport
  now depends on it.
* Wed Mar 10 2010 mmarek@suse.cz
- rpm/kernel-binary.spec.in: the dwarfextract package has been
  dropped from Factory.
* Wed Mar 10 2010 jeffm@suse.de
- Update config files for vanilla.
* Wed Mar 10 2010 jdelvare@suse.de
- supported.conf: Add hwmon/ams back.
* Wed Mar 10 2010 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix symsets for non-split kernels.
* Wed Mar 10 2010 mmarek@suse.cz
- rpm/kernel-source.spec.in: Add symsets.pl to the src.rpm.
* Wed Mar 10 2010 jeffm@suse.de
- Updated to 2.6.34-rc1.
  - Eliminated 36 patches.
  - Xen is disabled
  - Added new doc/config-options.changes to document configuration
    changes.
* Tue Mar  9 2010 mmarek@suse.cz
- rpm/old-packages.conf: Obsolete kernel-vmi by kernel-default.
- rpm/kernel-module-subpackage: Also obsolete vmi KMPs.
- commit bf55479
* Tue Mar  9 2010 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Package symsets in the -devel package.
* Tue Mar  9 2010 mmarek@suse.cz
- rpm/find-provides: Do not generate ksym(...) provides.
* Tue Mar  9 2010 mmarek@suse.cz
- rpm/find-provides, rpm/symsets.pl: Generate symsets again
  (bnc#582907).
* Fri Mar  5 2010 knikanth@suse.de
- patches.fixes/xfs-nonblocking-inode-locking-io-completion.patch:
  xfs: Non-blocking inode locking in IO completion (bnc#568319).
* Fri Mar  5 2010 jengelh@medozas.de
- rpm/kernel-source.spec.in: split devel files and full source
  into two rpms, of which only the former is really required for
  KMP building
* Fri Mar  5 2010 jengelh@medozas.de
- add configs/sparc64/default
* Wed Mar  3 2010 tonyj@suse.de
- patches.trace/powerpc-rename-irq-tracing: should have been deleted by
  previous commit
* Wed Mar  3 2010 tonyj@suse.de
- remove perfmon2 patches
* Wed Mar  3 2010 tonyj@suse.de
- Remove lttng-instrumentation patches, they have been removed from
  SLE11SP1
- patches.xen/tmem: Refresh.
- patches.xen/xen3-auto-common.diff: Refresh.
* Tue Mar  2 2010 jbeulich@novell.com
- Update Xen patches to 2.6.33 and c/s 1003.
- patches.xen/xen-clockevents: replace Xen's custom time handling
  with such using GENERIC_CLOCKEVENTS infrastructure.
- Update Xen config files.
* Tue Mar  2 2010 nfbrown@suse.de
- patches.fixes/sunrpc-monotonic-expiry: sunrpc: use monotonic
  time in expiry cache (bnc#578668).
* Thu Feb 25 2010 jeffm@suse.de
- patches.rpmify/ia64-sn-fix-percpu-warnings: Obsolete.
* Thu Feb 25 2010 mmarek@suse.cz
- Drop include of generated/autoconf.h in our patches, it's not
  needed since 2.6.15:
- patches.suse/novfs-client-module: Refresh.
- patches.suse/s390-Kerntypes.diff: Refresh.
- patches.suse/suse-ppc32-mol.patch: Refresh.
* Thu Feb 25 2010 teheo@suse.de
- scripts/run_oldconfig.sh doesn't update ppc/vanilla for some reason.
  Do it manually.
* Thu Feb 25 2010 teheo@suse.de
- ppc explicitly sets CONFIG_LEDS_TRIGGER_IDE_DISK.  Run
  scripts/run_oldconfig.sh to fix configs up.
* Thu Feb 25 2010 teheo@suse.de
- Drop CONFIG_IDE from all configs.
* Thu Feb 25 2010 jeffm@suse.com
- patches.xen/xen3-patch-2.6.33-rc8-final: Build fix for the
  2.6.33-final update.
* Wed Feb 24 2010 jeffm@suse.de
- Updated to 2.6.33-final.
  - Eliminated 4 patches.
* Wed Feb 24 2010 jeffm@suse.de
- patches.rpmify/ftrace-fix-ftrace_event_call-alignment-for-use-with-gcc-4-5:
  ftrace: fix ftrace_event_call alignment for use with gcc 4.5
  (bnc#582222).
* Wed Feb 24 2010 jbeulich@novell.com
- Update Xen patches to 2.6.33-rc8 and c/s 997.
- patches.xen/xen-x86-time-per-cpu: fold per-CPU accounting data
  into a structure.
- patches.xen/xen-x86-xtime-lock: reduce contention on xtime_lock
  (bnc#569014, bnc#571041, bnc#571769, bnc#572146).
* Wed Feb 24 2010 jengelh@medozas.de
- rpm/kernel-source.spec.in: use macros in a few more places
* Tue Feb 23 2010 jack@suse.de
- patches.fixes/novfs-fix-inode-uid: novfs: Get proper UID when
  looking up inode (bnc#486997).
- patches.fixes/novfs-incorrect-filesize-fix: novfs: novfs
  reports incorrect file size (bnc#426536).
- patches.fixes/novfs-truncate-fix: novfs: Fixes corruption of
  OO documents on NSS Volumes (bnc#508259).
* Sun Feb 21 2010 jengelh@medozas.de
- use standard short options in tar commands
* Wed Feb 17 2010 nfbrown@suse.de
- patches.fixes/nfs-find-crash: Fix potential oops when running
  find on an NFS mount. (bnc#573107).
* Tue Feb 16 2010 jeffm@suse.com
- Set CONFIG_LSM_MMAP_MIN_ADDR=4096 to allow qemu to emulate
  other architectures properly (bnc#574654).
* Tue Feb 16 2010 jeffm@suse.com
- Update to 2.6.33-rc8.
  - Eliminated 1 patch.
* Mon Feb 15 2010 rgoldwyn@suse.de
- patches.fixes/novfs-err_ptr-fix.diff: Oops in novfs:unlink_local
  (bnc#569071).
* Fri Feb 12 2010 trenn@suse.de
- Update config files.
  Enable p4_clockmod for i386 desktop
  While this is broken by design it allows to remove clocking
  limits from the vendor on e.g. eeepc 701
* Fri Feb 12 2010 jeffm@suse.com
- patches.fixes/taskstats-alignment: delayacct: align to 8 byte
  boundary on 64-bit systems (bnc#578065).
* Fri Feb 12 2010 trenn@suse.de
- patches.fixes/acpi_fix_no_critical_tp.patch: ACPI thermal:
  Don't invalidate thermal zone if critical trip point is bad
  (bnc#531547).
- patches.fixes/acpi_pci_hot_plug_sanity_checks.patch: ACPI:
  acpi_bus_{scan,bus,add}: return -ENODEV if no device was found
  (bnc#531547).
- patches.fixes/acpi_thermal_check_trip_points.patch: ACPI
  thermal: Check for thermal zone requirement (bnc#531547).
* Fri Feb 12 2010 jdelvare@suse.de
- supported.conf: saa7111 and saa7114 are gone.
* Wed Feb 10 2010 jeffm@suse.com
- patches.suse/kdb-fix-kdb_cmds-to-include-the-arch-common-macro:
  kdb: fix kdb_cmds to include the arch common macro (bnc#578421).
* Wed Feb 10 2010 jeffm@suse.com
- patches.suse/kdb-handle-nonexistance-keyboard-controller: kdb:
  handle nonexistance keyboard controller (bnc#578051).
* Wed Feb 10 2010 gregkh@suse.de
- patches.fixes/dvb-l64781.ko-broken-with-gcc-4.5.patch: dvb:
  l64781.ko broken with gcc 4.5.
* Tue Feb  9 2010 jeffm@suse.com
- patches.apparmor/apparmor-check-for-network-in-interrupt-and-work-around:
  apparmor: check for network in interrupt and work around
  (bnc#492961, bln#350789).
* Tue Feb  9 2010 jeffm@suse.com
- Update to 2.6.33-rc7.
  - Eliminated 1 patch.
* Tue Feb  9 2010 tiwai@suse.de
- patches.drivers/alsa-sp1-hda-66-idt-hp-mute-led-fix-polarity:
  ALSA: hda - Fix default polarity of mute-LED GPIO on 92HD83x/88x
  codecs (bnc#578190).
* Mon Feb  8 2010 tiwai@suse.de
- patches.drivers/alsa-sp1-hda-63-idt-hp-mute-led-detect:
  ALSA: hda - Detect HP mute-LED GPIO setup from GPIO counts
  (bnc#577927).
- patches.drivers/alsa-sp1-hda-64-idt-hp-mute-led-cleanup: ALSA:
  hda - Merge HP mute-LED status callback on both IDT 92HD7x
  and 8x codecs (bnc#577927).
- patches.drivers/alsa-sp1-hda-65-idt-hp-mute-led-cleanup2:
  ALSA: hda - Remove static gpio_led setup via model (bnc#577927).
* Fri Feb  5 2010 coly.li@suse.de
- patches.suse/64bytes_lvb_len.diff: Delete from repo and series.conf.
  Back to 32bytes lvb length for clvm (bnc#573460).
* Fri Feb  5 2010 duwe@suse.de
- Update config files: Compile IBM_BSR into kernel, not as module.
  (ppc only, bnc#572381)
* Fri Feb  5 2010 duwe@suse.de
- patches.arch/ppc-pseries-ncpus-1: powerpc: Add static fields
  to ibm,client-architecture call (bnc#570909).
- patches.arch/ppc-pseries-ncpus-2: powerpc/pseries: Pass more
  accurate number of supported cores to firmware (bnc#570909).
* Fri Feb  5 2010 coly.li@suse.de
- disable patches.suse/64bytes_lvb_len.diff in series.conf
* Thu Feb  4 2010 mmarek@suse.de
- rpm/find-provides, rpm/kernel-binary.spec.in: Remove the previous
  hack and set STRIP_KEEP_SYMTAB='*/vmlinux-*' instead to avoid
  stripping symbols from the ppc vmlinux image (bnc#572148).
* Thu Feb  4 2010 knikanth@suse.de
- patches.fixes/dm-stripe-zero-stripes: dm-stripe: return -EINVAL
  if stripe count is zero (bnc#576312).
* Thu Feb  4 2010 npiggin@suse.de
- Disable patches.suse/files-slab-rcu.patch.
* Thu Feb  4 2010 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Obsolete iwlagn-2-6-27-kmp
  (bnc#559533).
* Thu Feb  4 2010 tiwai@suse.de
- supported.conf: mark snd-wss-lib unsupported
* Thu Feb  4 2010 tiwai@suse.de
- patches.drivers/alsa-sp1-hda-61-add-idt92hd88x-support2:
  ALSA: hda - Adding support for another IDT 92HD83XXX codec
  (bnc#569354).
* Wed Feb  3 2010 jbohac@suse.cz
- supported.conf: marked em_cmp supported (bnc#568130)
* Wed Feb  3 2010 mmarek@suse.cz
- rpm/kernel-binary.spec.in: automatically install a matching
  - devel package if kernel-source is installed.
* Wed Feb  3 2010 jbeulich@novell.com
- Update Xen patches to 2.6.33-rc6 and c/s 989.
- patches.xen/xen-netback-generalize: Netback: Generalize
  static/global variables into 'struct xen_netbk'.
- patches.xen/xen-netback-kernel-threads: Use Kernel thread to
  replace the tasklet.
- patches.xen/xen-netback-multiple-tasklets: Netback:
  Multiple tasklets support.
* Tue Feb  2 2010 jkosina@suse.cz
- patches.suse/suse-ppc64-branding: the message about crashed kernel
  doesn't make sense any more with CONFIG_CRASH_DUMP enabled by
  default (bnc#575884).
* Sat Jan 30 2010 jeffm@suse.com
- Update to 2.6.33-rc6.
  - Eliminated 12 patches.
* Sat Jan 30 2010 jeffm@suse.com
- patches.rpmify/hugetlbfs-fix-section-mismatches: Removed __init
  from hugetlb_sysfs_add_hstate instead of adding it elsewhere.
* Sat Jan 30 2010 jslaby@suse.de
- patches.suse/kdb-common: Fix hid crash (bnc#570591)
* Fri Jan 29 2010 tiwai@suse.de
- patches.drivers/alsa-sp1-hda-60-add-idt92hd88x-support: ALSA:
  hda - Add support for IDT 92HD88 family codecs (bnc#569354).
* Fri Jan 29 2010 jkosina@suse.cz
- patches.fixes/pci-fix-nested-spinlock-hang-in-aer_inject.patch:
  Update patch-mainline tag.
* Fri Jan 29 2010 jbenc@suse.cz
- Update config files: fixed vanilla configs.
* Thu Jan 28 2010 tiwai@suse.de
- patches.drivers/alsa-sp1-hda-59-idt92hd83xxx-hp-mute-led: ALSA:
  hda - Add mute LED check for HP laptops with IDT 92HD83xxx codec
  (bnc#569354).
* Thu Jan 28 2010 jbeulich@novell.com
- patches.suse/supported-flag: Fix -ec2 build.
- patches.suse/supported-flag-enterprise: Refresh.
- patches.xen/xen3-patch-2.6.33-rc3: Fix ia64 build.
* Thu Jan 28 2010 jbeulich@novell.com
- Update Xen patches to 2.6.33-rc5 and c/s 987.
- config.conf: Re-enable Xen.
- Update config files.
* Thu Jan 28 2010 jbenc@suse.cz
- Update config files: enabled CONFIG_CFG80211_WEXT to keep backward
  user space compatibility and enabled few wireless drivers.
* Thu Jan 28 2010 mmarek@suse.cz
- rpm/apply-patches: Add support for an additional series file in
  patches.addon/series, this will be applied after the main series.
* Thu Jan 28 2010 mmarek@suse.cz
- rpm/apply-patches: put the patch loops from kernel-binary.spec.in
  and kernel-source.spec.in to one place.
* Wed Jan 27 2010 jeffm@suse.de
- Deleted 28 unused patches.
* Wed Jan 27 2010 jeffm@suse.com
- Update config files.
* Wed Jan 27 2010 jkosina@suse.cz
- patches.fixes/pci-fix-nested-spinlock-hang-in-aer_inject.patch:
  pci: fix nested spinlock hang in aer_inject (bnc#573578).
* Wed Jan 27 2010 mmarek@suse.cz
- Update config files: disable generic_serial users.
- patches.drivers/reenable-generic_serial: Delete.
- rpm/generic_serial-blacklist: Delete (bnc#569676).
* Wed Jan 27 2010 jengelh@medozas.de
- remove patches.suse/netfilter-ipv4options [bnc#490142]
* Wed Jan 27 2010 jeffm@suse.com
- patches.suse/slab-handle-memoryless-nodes-v2a.patch: Refresh.
* Tue Jan 26 2010 knikanth@suse.de
- supported.conf: Fix misspelt dm-region-hash and mark it supported
  correctly (bnc#565962)
* Mon Jan 25 2010 gregkh@suse.de
- Update to 2.6.32.6
  - security fixes
  - bugfixes
  - obsoletes:
  - patches.drivers/8250_pnp-wacom-add
  - patches.drivers/staging-hv-fix-smp-problems-in-the-hyperv-core-code.patch
  - patches.kernel.org/scsi-enclosure-fix-oops-while-iterating-enclosure_status-array.patch
  - patches.kernel.org/x86-msr-cpuid-register-enough-minors-for-the-msr-and-cpuid-drivers.patch
* Mon Jan 25 2010 jeffm@suse.com
- supported.conf: Added sparse_keymap (eeepc_laptop depends on it)
* Mon Jan 25 2010 npiggin@suse.de
- patches.suse/slab-handle-memoryless-nodes-v2a.patch: slab -
  handle memoryless nodes V2a (bnc#436025, bnc#570492).
* Mon Jan 25 2010 jeffm@suse.com
- Updated to 2.6.33-rc5.
  - Eliminated 2 patches.
* Mon Jan 25 2010 trenn@suse.de
- Update config files.
- patches.arch/x86_mce_intel_decode_physical_address.patch: x86,
  mce: Xeon75xx specific interface to get corrected memory error
  information (bnc#573380, fate#307738).
- patches.arch/x86_mce_intel_decode_physical_address_compile_fix.patch:
  x86, mce: Xeon75xx specific interface to get corrected memory
  error information (bnc#573380, fate#307738).
- patches.arch/x86_mce_intel_decode_physical_address_rename_fix.patch:
  x86, mce: Rename cpu_specific_poll to mce_cpu_specific_poll
  (bnc#573380, fate#307738).
- patches.xen/xen3-auto-arch-x86.diff: Refresh.
* Mon Jan 25 2010 tiwai@suse.de
- patches.drivers/alsa-sp1-hda-57-cx5051-toshiba-quirk:
  ALSA: hda - Add support for Toshiba Satellite M300
  (bnc#492233,bnc#565904).
- patches.drivers/alsa-sp1-hda-58-cx5051-lenovo-mute-fix: ALSA:
  hda - Change headphone pin control with master volume on cx5051
  (bnc#573050).
* Mon Jan 25 2010 trenn@suse.de
- patches.arch/x86_enable_tsc_sync_check_again.patch: x86:
  Reenable TSC sync check at boot, even with NONSTOP_TSC
  (bnc#573379).
* Mon Jan 25 2010 trenn@suse.de
- patches.arch/x86_node_hotplug_parse_srat_fix_2nd_ver.patch:
  x86: Set hotpluggable nodes in nodes_possible_map (bnc#567216).
- patches.arch/x86_node_hotplug_parse_srat_fix.patch: Delete.
* Mon Jan 25 2010 trenn@suse.de
- supported.conf:
  Add mce-inject and hwpoison-inject so that Intel can easier test
  this. As these are debug drivers, they might get reverted from
  support.conf again if kernel-extra package gets fixed for SLES,
  only seem to exist for SLED because "NCC is not yet working for SP1".
  (bnc#572552).
* Sat Jan 23 2010 bphilips@suse.de
- patches.drivers/tg3-updates-from-f4188d-to-ba5b0bf.patch: tg3:
  updates from f4188d to ba5b0bf (bnc#573237).
* Sat Jan 23 2010 rjw@suse.de
- patches.arch/x86-irq-check-move_in_progress-before-freeing-the-vector-mapping.patch:
  x86, irq: Check move_in_progress before freeing the vector
  mapping (bnc#558247).
* Sat Jan 23 2010 rjw@suse.de
- patches.arch/x86-apic-use-logical-flat-for-systems-with-8-or-fewer-logical-cpus.patch:
  x86, apic: use logical flat for systems with <= 8 logical cpus
  (bnc#567510).
- patches.arch/x86-revert-apic-Use-logical-flat-on-intel-with-8-or-fewer-logical-cpus.patch:
  x86: Revert "apic: Use logical flat on intel with <= 8 logical
  cpus" (bnc#567510).
* Sat Jan 23 2010 gregkh@suse.de
- Update to 2.6.32.5:
  - security fixes
  - bug fixes
  - obsoletes:
  - patches.drivers/alsa-sp1-hda-54-alc861-capture-fix
  - patches.fixes/hid-add-device-ids-for-new-model-of-apple-wireless-keyboard
  - patches.fixes/megaraid_sas-fix-permissions-on-poll_mode_io
  - patches.fixes/reiserfs-truncate-blocks-not-used-by-a-write.patch
* Fri Jan 22 2010 tonyj@suse.de
- Update config files: drop UTRACE from default s390 configs
  as per communication from Ihno.
* Fri Jan 22 2010 gregkh@suse.de
- patches.kernel.org/x86-msr-cpuid-register-enough-minors-for-the-msr-and-cpuid-drivers.patch:
  x86, msr/cpuid: Register enough minors for the MSR and CPUID
  drivers (bnc#572720).
* Fri Jan 22 2010 gregkh@suse.de
- patches.kernel.org/scsi-enclosure-fix-oops-while-iterating-enclosure_status-array.patch:
  SCSI: enclosure: fix oops while iterating enclosure_status array
  (bnc#572818).
- patches.fixes/enclosure-fix-oops-while-iterating-enclosure_status-array:
  Delete.
* Fri Jan 22 2010 duwe@suse.de
- Update config files.
- patches.arch/ppc-extended_h_cede-update-to-mainline: Incremental
  patch set to sync H_CEDE with actual mainline (bnc#550447,
  FATE#307059).
* Fri Jan 22 2010 trenn@suse.de
- Update config files.
  Add DMAR to -trace flavor -> get in sync with -default
* Fri Jan 22 2010 hare@suse.de
- patches.fixes/qla2xxx-restore-pci-state-after-eeh-recovery:
  Re-save PCI state after EEH recovery (bnc#570233).
* Fri Jan 22 2010 jjolly@suse.de
- patches.arch/s390-06-01-zfcp-introduce-bsg-timeout-callback.patch:
  zfcp: introduce BSG timeout callback (BNC#572659).
- patches.arch/s390-06-02-zfcp-set-hw-timeout-requested-by-bsg.patch:
  zfcp: set HW timeout requested by BSG request (BNC#572659).
* Fri Jan 22 2010 bphilips@suse.de
- patches.drivers/netxen-8f9b3f-to-c651a8.patch: netxen: 8f9b3f
  to c651a8 (bnc#572832).
* Fri Jan 22 2010 mfasheh@suse.com
- patches.suse/ocfs2-allocation-resrvations.patch: Refresh to
  newest version of patch.
* Thu Jan 21 2010 astarikovskiy@suse.de
- supported.conf: added power_meter driver (FATE #306959).
* Thu Jan 21 2010 tonyj@suse.de
- config.conf: add -trace flavor for s390* at Ihno's request
- Add more tracers to existing ppc64 trace config at IBM request
  Both related to FATE# 307051.
- patches.trace/ftrace-framepointer.diff: Delete.
* Thu Jan 21 2010 hare@suse.de
- patches.fixes/scsi-fc-class-allow-LLD-bsg-timeout:
  scsi_transport_fc: Allow LLD to reset FC BSG timeout
  (bnc#572658).
* Thu Jan 21 2010 jbeulich@novell.com
- patches.xen/xen-privcmd-mmap-batch-clear: privcmd: mmapbatch-v2
  fixes.
* Thu Jan 21 2010 hare@suse.de
- patches.drivers/lpfc-8.3.5-update: lpfc update to 8.3.5
  (bnc#572427).
- patches.drivers/lpfc-8.3.5.3-update: lpfc driver update to
  8.3.5.3 (bnc#572427).
* Thu Jan 21 2010 hare@suse.de
- patches.drivers/e1000-enhance-frame-fragment-detection.patch:
  Update headers for series2git.
- patches.drivers/e1000e-enhance-frame-fragment-detection.patch:
  Update headers for series2git.
* Wed Jan 20 2010 tiwai@suse.de
- patches.suse/bootsplash-scaler: Refresh. More updates and
  clean-up by Egbert (bnc#570082)
* Wed Jan 20 2010 jkosina@suse.cz
- patches.drivers/add-support-for-intel-cougar-point-chipset.patch:
  Intel Cougar Point PCH Support (FATE#308854 bnc#565845).
* Wed Jan 20 2010 jslaby@suse.de
- patches.drivers/bnx2x-backports-v2.6.32-to-af901ca.patch:
  Refresh.
  (change firmwares in makefile)
* Wed Jan 20 2010 jslaby@suse.de
- patches.suse/rlim-0006-PPC-use-helpers-for-rlimits.patch: Refresh.
- patches.suse/rlim-0007-S390-use-helpers-for-rlimits.patch: Refresh.
* Wed Jan 20 2010 jbeulich@novell.com
- Update Xen patches to 2.6.32.4 and c/s 984.
- Update Xen config files.
* Wed Jan 20 2010 bphilips@suse.de
- patches.drivers/bnx2i-backport-from-v2.6.32-to-45ca38e.patch:
  bnx2i: Backport from v2.6.32 to 45ca38e (bnc#564640).
- patches.drivers/bnx2x-backports-v2.6.32-to-af901ca.patch:
  bnx2x: backports v2.6.32 to af901ca (bnc#564638).
- patches.drivers/cnic-backport-from-v2.6.32-4e9c4f.patch: cnic:
  backport from v2.6.32-4e9c4f (bnc#564640).
* Wed Jan 20 2010 gregkh@suse.de
- Update config files.  2.6.32.4 changed one of them.
* Wed Jan 20 2010 tiwai@suse.de
- patches.suse/bootsplash-scaler: Refresh.  Fixed the text area
  calculation, and added the upscaling (bnc#570082).
* Tue Jan 19 2010 jeffm@suse.com
- Updated to 2.6.33-rc4-git7.
  - Eliminated 4 patches.
* Tue Jan 19 2010 gregkh@suse.de
- Patch refresh for fuzz due to upstream -stable additions.
* Tue Jan 19 2010 gregkh@suse.de
- Update to 2.6.32.4
  - security fixes
  - bug fixes
  - obsoletes:
  - patches.arch/module-handle-ppc64-relocating-kcrctabs-when-config_relocatable-y
  - patches.drivers/alsa-sp1-hda-53-alc861vd-capture-fix
  - patches.fixes/audit_untag_chunk.patch
  - patches.fixes/quota-fix-reserved-space-management-for-ordinary-fs.patch
  - patches.fixes/signal-fix-kernel-information-leak-with-print-fatal-signals-1
* Tue Jan 19 2010 tiwai@suse.de
- patches.drivers/alsa-sp1-hda-55-alc259-hp-pin-fix: ALSA: hda -
  Fix parsing pin node 0x21 on ALC259 (bnc#571879).
- patches.drivers/alsa-sp1-hda-56-realtek-eapd-fix: ALSA: hda -
  Turn on EAPD only if available for Realtek codecs (bnc#571879).
* Tue Jan 19 2010 tiwai@suse.de
- patches.suse/bootsplash-scaler: Refresh.  Fix the hang-up with
  resolution changes (bnc#570082)
* Tue Jan 19 2010 jkosina@suse.cz
- supported.conf: added aesni-intel (bnc#566618 FATE#304209).
* Tue Jan 19 2010 jkosina@suse.cz
- Update config files: set CONFIG_CRYPTO_HMAC=y to avoid
  regression from SLE11 (bnc#571501).
* Tue Jan 19 2010 jack@suse.de
- patches.fixes/reiserfs-truncate-blocks-not-used-by-a-write.patch:
  reiserfs: truncate blocks not used by a write (bnc#483375).
* Mon Jan 18 2010 jeffm@suse.de
- patches.suse/smtnice-disable: Delete (obsolete).
* Mon Jan 18 2010 jeffm@suse.com
- Disabled custom ACPI table loading from initramfs again.
* Mon Jan 18 2010 jeffm@suse.com
- patches.fixes/nfsd-05-sunrpc-cache-allow-thread-to-block-while-waiting-for.patch:
  Refresh.
* Mon Jan 18 2010 trenn@suse.de
- patches.arch/x86_node_hotplug_parse_srat_fix.patch:
  x86/mm/srat_64.c: nodes_parsed should include all nodes detected
  by ACPI (bnc#567140).
* Mon Jan 18 2010 hare@suse.de
- patches.fixes/aic79xx-null-scb-in-nonpkt-busfree: aic79xx: check
  for non-NULL scb in ahd_handle_nonpkt_busfree (bnc#542568).
* Mon Jan 18 2010 nfbrown@suse.de
- patches.fixes/nfsd-05-sunrpc-cache-allow-thread-to-block-while-waiting-for.patch:
  Refresh to fix 60 second delay. (bnc#568271)
* Sat Jan 16 2010 tonyj@suse.de
- patches.fixes/audit_untag_chunk.patch: fix braindamage in
  audit_tree.c untag_chunk() (bnc#556282).
* Sat Jan 16 2010 rjw@suse.de
- patches.xen/xen-x86-rename-display_cacheinfo-to-cpu_detect_cache_sizes.patch:
  x86: Rename display_cacheinfo() to cpu_detect_cache_sizes().
* Fri Jan 15 2010 gregkh@suse.de
- Update config files.
- patches.drivers/vmw_pvscsi-scsi-driver-for-vmware-s-virtual-hba.patch:
  vmw_pvscsi: SCSI driver for VMware's virtual HBA.
* Fri Jan 15 2010 jeffm@suse.com
- patches.fixes/hid-add-device-ids-for-new-model-of-apple-wireless-keyboard:
  HID: add device IDs for new model of Apple Wireless Keyboard
  (bnc#568231).
* Fri Jan 15 2010 hare@suse.de
- patches.drivers/qla2xxx-8.03.01.01.11.1-k8-update: qla2xxx
  driver update to 8.03.01.01.11.1-k8 (bnc#560415).
- patches.drivers/qla2xxx-8.03.01.02.11.1-k8-update: qla2xxx
  driver update to 8.03.01.02.11.1-k8 (bnc#570233).
- patches.drivers/lpfc-add-raywire-id: Delete.
- patches.drivers/qla2xxx-8.03.01-k7-update: Delete.
* Fri Jan 15 2010 hare@suse.de
- patches.drivers/qla2xxx-8.03.01.01.11.1-k8-update: qla2xxx
  driver update to 8.03.01.01.11.1-k8 (bnc#560415).
- patches.drivers/qla2xxx-8.03.01.02.11.1-k8-update: qla2xxx
  driver update to 8.03.01.02.11.1-k8 (bnc#570233).
- patches.drivers/lpfc-add-raywire-id: Delete.
- patches.drivers/qla2xxx-8.03.01-k7-update: Delete.
* Fri Jan 15 2010 trenn@suse.de
- patches.suse/kdb_dont_touch_i8042_early.patch: Avoid early
  hang when i8042 controller is missing (bnc#528811).
* Fri Jan 15 2010 jeffm@suse.com
- patches.suse/reiser4-sync_inodes: Delete (obsolete).
* Fri Jan 15 2010 jeffm@suse.com
- patches.suse/reiser4-sync_inodes: Delete (obsolete).
* Fri Jan 15 2010 jeffm@suse.com
- patches.fixes/remount-no-shrink-dcache: Updated to 2.6.33.
* Fri Jan 15 2010 jeffm@suse.com
- patches.arch/s390-08-02-zfcp-gpn-align-fix.diff: Delete (obsolete).
* Fri Jan 15 2010 jeffm@suse.com
- patches.suse/smtnice-disable: Updated to 2.6.33.
* Fri Jan 15 2010 jeffm@suse.com
- patches.arch/s390-08-02-zfcp-gpn-align-fix.diff: Delete (obsolete).
* Fri Jan 15 2010 mfasheh@suse.com
- patches.fixes/Ocfs2-Let-ocfs2-support-fiemap-for-symlink-and-fast-.patch:
  Ocfs2: Let ocfs2 support fiemap for symlink and fast symlink..
- patches.fixes/Ocfs2-Should-ocfs2-support-fiemap-for-S_IFDIR-inode.patch:
  Ocfs2: Should ocfs2 support fiemap for S_IFDIR inode?.
- patches.fixes/ocfs-stop-using-do_sync_mapping_range.patch:
  ocfs: stop using do_sync_mapping_range.
- patches.fixes/ocfs2-Add-reflinked-file-s-inode-to-inode-hash-earil.patch:
  ocfs2: Add reflinked file's inode to inode hash eariler..
- patches.fixes/ocfs2-Find-proper-end-cpos-for-a-leaf-refcount-block.patch:
  ocfs2: Find proper end cpos for a leaf refcount block..
- patches.fixes/ocfs2-Set-i_nlink-properly-during-reflink.patch:
  ocfs2: Set i_nlink properly during reflink..
- patches.fixes/ocfs2-always-include-acl-support.patch: ocfs2:
  Always include ACL support.
- patches.fixes/ocfs2-cluster-Make-fence-method-configurable-v2.patch:
  ocfs2/cluster: Make fence method configurable - v2.
- patches.fixes/ocfs2-devel-remove-redundant-OCFS2_MOUNT_POSIX_ACL-c.patch:
  ocfs2-devel: remove redundant OCFS2_MOUNT_POSIX_ACL check
  in ocfs2_get_acl_nolock().
- patches.fixes/ocfs2-explicit-declare-uninitialized-var-in-user_clu.patch:
  ocfs2: explicit declare uninitialized var in
  user_cluster_connect().
- patches.fixes/ocfs2-make-acl-use-the-default.patch: ocfs2:
  Make acl use the default.
- patches.fixes/ocfs2-refcounttree.c-cleanup.patch: ocfs2:
  refcounttree.c cleanup..
- patches.fixes/ocfs2-replace-u8-by-__u8-in-ocfs2_fs.h.patch:
  ocfs2: replace u8 by __u8 in ocfs2_fs.h.
- patches.fixes/ocfs2-return-EAGAIN-instead-of-EAGAIN-in-dlm.patch:
  ocfs2: return -EAGAIN instead of EAGAIN in dlm.
- patches.fixes/ocfs2-set-MS_POSIXACL-on-remount.patch: ocfs2:
  Set MS_POSIXACL on remount.
- patches.fixes/ocfs2-trivial-Use-le16_to_cpu-for-a-disk-value-in-xa.patch:
  ocfs2/trivial: Use le16_to_cpu for a disk value in xattr.c.
- patches.fixes/ocfs2-trivial-Use-proper-mask-for-2-places-in-hearbe.patch:
  ocfs2/trivial: Use proper mask for 2 places in hearbeat.c.
- patches.suse/fiemap-Add-new-extent-flag-FIEMAP_EXTENT_SHARED.patch:
  fiemap: Add new extent flag FIEMAP_EXTENT_SHARED.
- patches.suse/ocfs2-Use-FIEMAP_EXTENT_SHARED.patch: ocfs2:
  Use FIEMAP_EXTENT_SHARED.
- patches.suse/ocfs2-allocation-resrvations.patch: Refresh.
* Thu Jan 14 2010 rjw@suse.de
- patches.arch/x86-Limit-number-of-per-cpu-TSC-sync-messages.patch:
  x86: Limit number of per cpu TSC sync messages (bnc#564618,
  FATE#306952).
- patches.arch/x86-Limit-the-number-of-processor-bootup-messages.patch:
  x86: Limit the number of processor bootup messages (bnc#564618,
  FATE#306952).
- patches.arch/x86-Remove-CPU-cache-size-output-for-non-Intel-too.patch:
  x86: Remove CPU cache size output for non-Intel too (bnc#564618,
  FATE#306952).
- patches.arch/x86-Remove-enabling-x2apic-message-for-every-CPU.patch:
  x86: Remove enabling x2apic message for every CPU (bnc#564618,
  FATE#306952).
- patches.arch/x86-Remove-the-CPU-cache-size-printks.patch: x86:
  Remove the CPU cache size printk's (bnc#564618, FATE#306952).
- patches.arch/x86-cpu-mv-display_cacheinfo-cpu_detect_cache_sizes.patch:
  x86, cpu: mv display_cacheinfo -> cpu_detect_cache_sizes
  (bnc#564618, FATE#306952).
- patches.arch/x86-ucode-amd-Load-ucode-patches-once-and-not-separately-of-each-CPU.patch:
  x86: ucode-amd: Load ucode-patches once and not separately of
  each CPU (bnc#564618, FATE#306952).
- patches.fixes/sched-Limit-the-number-of-scheduler-debug-messages.patch:
  sched: Limit the number of scheduler debug messages (bnc#564618,
  FATE#306952).
- patches.fixes/timers-init-Limit-the-number-of-per-cpu-calibration-bootup-messages.patch:
  timers, init: Limit the number of per cpu calibration bootup
  messages (bnc#564618, FATE#306952).
* Thu Jan 14 2010 jeffm@suse.com
- patches.suse/add-initramfs-file_read_write: Build fix.
* Thu Jan 14 2010 jeffm@suse.com
- patches.suse/supported-flag-enterprise: Refresh.
* Thu Jan 14 2010 jeffm@suse.com
- patches.suse/supported-flag-sysfs: Properly report proprietary modules
* Thu Jan 14 2010 jeffm@suse.de
- patches.suse/add-initramfs-file_read_write: initramfs: add
  initramfs_{read,write} (bnc#568120).
- Re-enabled custom ACPI table loading from initramfs.
* Thu Jan 14 2010 trenn@suse.de
- Update config files.
  Enable CONFIG_CPU_FREQ_DEBUG as requested by HP.
  This one adds conditional printks which can be enabled via:
  cpufreq.debug=7
* Thu Jan 14 2010 tiwai@suse.de
- patches.drivers/alsa-sp1-hda-54-alc861-capture-fix: ALSA: hda -
  Fix missing capture mixer for ALC861/660 codecs (bnc#567340).
* Thu Jan 14 2010 mmarek@suse.de
- rpm/find-provides, rpm/kernel-binary.spec.in: really fix ppc
  symbol provides.
* Thu Jan 14 2010 rjw@suse.de
- patches.arch/UV-Expose-irq_desc-node-in-proc.patch: Expose the
  irq_desc node as /proc/irq/*/node. (bnc#566745, fate#306952).
* Thu Jan 14 2010 bphilips@suse.de
- patches.drivers/dmfe-tulip-Let-dmfe-handle-DM910x-except-for-SPARC-o.patch:
  dmfe/tulip: Let dmfe handle DM910x except for SPARC on-board
  chips (bnc#537016).
* Thu Jan 14 2010 jkosina@suse.cz
- patches.fixes/crypto-testmgr-fix-complain-about-lacking-test.patch:
  crypto: testmgr - Fix complain about lack test for internal
  used algorithm (bnc#568278 FATE#306883).
* Wed Jan 13 2010 jeffm@suse.com
- Update to 2.6.33-rc4.
  - Eliminated patches.fixes/megaraid_sas-fix-permissions-on-poll_mode_io
* Wed Jan 13 2010 mmarek@suse.cz
- patches.suse/bootsplash-keep-multiple-data: Keep multiple
  splash screens for KMS (bnc#570082).
- patches.suse/bootsplash-scaler: Add bootsplash image scaler
  (bnc#570082).
* Wed Jan 13 2010 mmarek@suse.de
- rpm/kernel-binary.spec.in, rpm/find-provides: extract exported
  symbols from /boot/vmlinux before the image is stripped (affects
  ppc).
* Wed Jan 13 2010 jeffm@suse.com
- patches.rpmify/twl6030-fix-note_interrupt-call: Rename to patches.fixes/twl6030-fix-note_interrupt-call
* Wed Jan 13 2010 bphilips@suse.de
- patches.drivers/e1000-enhance-frame-fragment-detection.patch:
  Avoid atomic op by introducing discarding flag instead
- patches.drivers/e1000e-enhance-frame-fragment-detection.patch:
  Avoid atomic op by introducing discarding flag instead
* Wed Jan 13 2010 jeffm@suse.com
- patches.rpmify/autoconf-h-fix-locations: autoconf.h: Fix
  locations.
* Wed Jan 13 2010 jeffm@suse.com
- patches.fixes/ppc-crashdump-typefix: Renamed to patches.rpmify/ppc-crashdump-typefix
* Wed Jan 13 2010 jeffm@suse.com
- patches.fixes/signal-fix-kernel-information-leak-with-print-fatal-signals-1:
  Delete.
* Tue Jan 12 2010 jeffm@suse.com
- Update config files.
* Tue Jan 12 2010 jeffm@suse.com
- patches.fixes/ppc-crashdump-typefix: rename to patches.rpmify/ppc-crashdump-typefix
* Tue Jan 12 2010 jeffm@suse.com
- patches.fixes/signal-fix-kernel-information-leak-with-print-fatal-signals-1:
  kernel/signal.c: fix kernel information leak with
  print-fatal-signals=1 (bnc#569902).
* Tue Jan 12 2010 jeffm@suse.com
- patches.fixes/signal-fix-kernel-information-leak-with-print-fatal-signals-1:
  kernel/signal.c: fix kernel information leak with
  print-fatal-signals=1 (bnc#569902).
* Tue Jan 12 2010 rjw@suse.de
- needs_update: Remove some patches that we've got through the
  upstream.
* Tue Jan 12 2010 tiwai@suse.de
- patches.drivers/alsa-sp1-hda-53-alc861vd-capture-fix: ALSA:
  hda - Fix ALC861-VD capture source mixer (bnc#568305).
* Tue Jan 12 2010 jeffm@suse.com
- Update to 2.6.33-rc3-git5.
* Tue Jan 12 2010 trenn@suse.de
- patches.fixes/nohz_prevent_clocksource_wrapping_during_idle.patch:
  nohz: Prevent clocksource wrapping during idle (bnc#569238).
* Tue Jan 12 2010 jack@suse.de
- patches.suse/readahead-request-tunables.patch: Update readahead
  and max_sectors tunables (bnc#548529).
* Tue Jan 12 2010 jkosina@suse.cz
- patches.drivers/watchdog-iTCO_wdt-Add-support-for-Intel-Ibex-Peak.patch:
  iTCO_wdt: Add support for Intel Ibex Peak (bnc#557081
  FATE#308591).
* Tue Jan 12 2010 tonyj@suse.de
- needs_update: remove LTT/trace patches (assigned to jbl), all had
  already been taken care of by my fwd port to 2.6.32
* Tue Jan 12 2010 hare@suse.de
- patches.drivers/qla4xxx-5.01.00-k9-5.01.00.00.11.01-k10.patch:
  Fixup compilation error.
* Tue Jan 12 2010 rjw@suse.de
- patches.fixes/PCI-Always-set-prefetchable-base-limit-upper32-registers.patch:
  PCI: Always set prefetchable base/limit upper32 registers
  (bnc#569003).
* Mon Jan 11 2010 jeffm@suse.com
- Merged patches.rpmify/x86_64-ksyms-make-the-native_load_gs_index-export-depend-on-config_paravirt_cpu into
  patches.arch/kvm-split-paravirt-ops-by-functionality
* Mon Jan 11 2010 jeffm@suse.com
- Renamed patches.rpmify/kmsg-fix-parameter-limitations to
  patches.arch/kmsg-fix-parameter-limitations
* Mon Jan 11 2010 jeffm@suse.com
- patches.rpmify/x86_64-ksyms-make-the-native_load_gs_index-export-depend-on-config_paravirt_cpu:
  x86_64/ksyms: Make the native_load_gs_index export depend
  on CONFIG_PARAVIRT_CPU.
* Mon Jan 11 2010 jeffm@suse.com
- Renamed patches.rpmify/rt2870-fix-section-mismatches to
  patches.rpmify/rt2860-fix-section-mismatches
* Mon Jan 11 2010 jeffm@suse.de
- Updated to 2.6.33-rc3-git3.
  - Eliminated 392 patches.
  - Xen is disabled.
* Mon Jan 11 2010 hare@suse.de
- patches.drivers/qla4xxx-5.01.00-k9-5.01.00.00.11.01-k10.patch:
  Update qla4xxx driver for SLES11 SP1 (bnc#556572,FATE#307128).
* Mon Jan 11 2010 jblunck@suse.de
- needs_update: Removed some patches.
* Mon Jan 11 2010 hare@suse.de
- patches.drivers/bfa-2.1.2.1-update: Update bfa driver to
  version 2.1.2.1 (bnc#561881).
* Mon Jan 11 2010 hare@suse.de
- patches.fixes/fcoe-libfc-adds-enable-di: adds enable/disable
  for fcoe interface (bnc#562046).
- patches.fixes/fcoe-use-lld-s-wwpn-and-w: Use LLD's WWPN and
  WWNN for lport if LLD supports ndo_fcoe_get_wwn (bnc#562046).
- patches.fixes/libfc-reduce-hold-time-on: reduce hold time on
  SCSI host lock (bnc#562046).
- patches.fixes/libfc-remote-port-gets-st: remote port gets
  stuck in restart state without really restarting (bnc#562046).
* Mon Jan 11 2010 hare@suse.de
- patches.drivers/mpt2sas-03.100.03.00-update: LSI mptsas2 driver
  update to 03.100.03.00 (bnc#566013).
* Mon Jan 11 2010 jbeulich@novell.com
- patches.xen/xen-x86_64-nx-user-mappings: Delete (bnc#568741).
- patches.xen/xen3-rlim-0025-x86-add-ia32-compat-prlimit-syscalls.patch:
  Delete.
* Mon Jan 11 2010 hare@suse.de
- patches.fixes/qla4xxx-lun-reset-fix: Delete.
* Mon Jan 11 2010 hare@suse.de
- patches.fixes/scsi-dh-rdac-add-ibm-174x: scsi_dh_rdac: Add
  two new IBM devices (bnc# 556159).
* Sat Jan  9 2010 jslaby@suse.de
- patches.suse/perfmon2.patch: Refresh.
- patches.suse/rlim-0001-SECURITY-selinux-fix-update_rlimit_cpu-parameter.patch:
  Refresh.
- patches.suse/rlim-0002-resource-move-kernel-function-inside-__KERNEL__.patch:
  resource: move kernel function inside __KERNEL__ (FATE#305733).
- patches.suse/rlim-0003-resource-add-helpers-for-fetching-rlimits.patch:
  resource: add helpers for fetching rlimits (FATE#305733).
- patches.suse/rlim-0004-IA64-use-helpers-for-rlimits.patch:
  [IA64] use helpers for rlimits (FATE#305733).
- patches.suse/rlim-0005-core-posix-cpu-timers-cleanup-rlimits-usage.patch:
  core: posix-cpu-timers, cleanup rlimits usage (FATE#305733).
- patches.suse/rlim-0006-PPC-use-helpers-for-rlimits.patch: PPC:
  use helpers for rlimits (FATE#305733).
- patches.suse/rlim-0007-S390-use-helpers-for-rlimits.patch:
  S390: use helpers for rlimits (FATE#305733).
- patches.suse/rlim-0008-SPARC-use-helpers-for-rlimits.patch:
  SPARC: use helpers for rlimits (FATE#305733).
- patches.suse/rlim-0009-X86-use-helpers-for-rlimits.patch: X86:
  use helpers for rlimits (FATE#305733).
- patches.suse/rlim-0010-FS-use-helpers-for-rlimits.patch: FS:
  use helpers for rlimits (FATE#305733).
- patches.suse/rlim-0011-MM-use-helpers-for-rlimits.patch: MM:
  use helpers for rlimits (FATE#305733).
- patches.suse/rlim-0012-core-use-helpers-for-rlimits.patch:
  core: use helpers for rlimits (FATE#305733).
- patches.suse/rlim-0013-infiniband-use-helpers-for-rlimits.patch:
  infiniband: use helpers for rlimits (FATE#305733).
- patches.suse/rlim-0014-ipc-use-helpers-for-rlimits.patch: ipc:
  use helpers for rlimits (FATE#305733).
- patches.suse/rlim-0015-SECURITY-add-task_struct-to-setrlimit.patch:
  SECURITY: add task_struct to setrlimit (FATE#305733).
- patches.suse/rlim-0016-core-add-task_struct-to-update_rlimit_cpu.patch:
  core: add task_struct to update_rlimit_cpu (FATE#305733).
- patches.suse/rlim-0017-sys_setrlimit-make-sure-rlim_max-never-grows.patch:
  sys_setrlimit: make sure ->rlim_max never grows (FATE#305733).
- patches.suse/rlim-0018-core-split-sys_setrlimit.patch: core:
  split sys_setrlimit (FATE#305733).
- patches.suse/rlim-0019-core-allow-setrlimit-to-non-current-tasks.patch:
  core: allow setrlimit to non-current tasks (FATE#305733).
- patches.suse/rlim-0020-core-optimize-setrlimit-for-current-task.patch:
  core: optimize setrlimit for current task (FATE#305733).
- patches.suse/rlim-0021-FS-proc-switch-limits-reading-to-fops.patch:
  FS: proc, switch limits reading to fops (FATE#305733).
- patches.suse/rlim-0022-FS-proc-make-limits-writable.patch:
  FS: proc, make limits writable (FATE#305733).
- patches.suse/rlim-0023-core-do-security-check-under-task_lock.patch:
  core: do security check under task_lock (FATE#305733).
- patches.suse/rlim-0002-SECURITY-add-task_struct-to-setrlimit.patch:
  Delete.
- patches.suse/rlim-0003-core-add-task_struct-to-update_rlimit_cpu.patch:
  Delete.
- patches.suse/rlim-0004-sys_setrlimit-make-sure-rlim_max-never-grows.patch:
  Delete.
- patches.suse/rlim-0005-core-split-sys_setrlimit.patch: Delete.
- patches.suse/rlim-0006-core-allow-setrlimit-to-non-current-tasks.patch:
  Delete.
- patches.suse/rlim-0007-core-optimize-setrlimit-for-current-task.patch:
  Delete.
- patches.suse/rlim-0008-FS-proc-make-limits-writable.patch:
  Delete.
- patches.suse/rlim-0009-core-posix-cpu-timers-cleanup-rlimits-usage.patch:
  Delete.
- patches.suse/rlim-0010-core-do-security-check-under-task_lock.patch:
  Delete.
- patches.suse/rlim-0011-resource-add-helpers-for-fetching-rlimits.patch:
  Delete.
- patches.suse/rlim-0012-IA64-use-helpers-for-rlimits.patch:
  Delete.
- patches.suse/rlim-0013-PPC-use-helpers-for-rlimits.patch:
  Delete.
- patches.suse/rlim-0014-S390-use-helpers-for-rlimits.patch:
  Delete.
- patches.suse/rlim-0015-SPARC-use-helpers-for-rlimits.patch:
  Delete.
- patches.suse/rlim-0016-X86-use-helpers-for-rlimits.patch:
  Delete.
- patches.suse/rlim-0017-FS-use-helpers-for-rlimits.patch: Delete.
- patches.suse/rlim-0018-MM-use-helpers-for-rlimits.patch: Delete.
- patches.suse/rlim-0019-core-use-helpers-for-rlimits.patch:
  Delete.
- patches.suse/rlim-0020-misc-use-helpers-for-rlimits.patch:
  Delete.
- patches.suse/rlim-0021-core-rename-setrlimit-to-do_setrlimit.patch:
  Delete.
- patches.suse/rlim-0022-core-implement-getprlimit-and-setprlimit-syscalls.patch:
  Delete.
- patches.suse/rlim-0023-unistd-add-__NR_-get-set-prlimit-syscall-numbers.patch:
  Delete.
- patches.suse/rlim-0024-COMPAT-add-get-put_compat_rlimit.patch:
  Delete.
- patches.suse/rlim-0025-x86-add-ia32-compat-prlimit-syscalls.patch:
  Delete.
  Sync with upstream. Drop limits syscalls altogether.
* Sat Jan  9 2010 jkosina@suse.cz
- patches.apparmor/apparmor.diff: Delete, as it is unused after
  splitup into smaller patches.
* Fri Jan  8 2010 sjayaraman@suse.de
- patches.suse/SoN-23-mm-swapfile.patch: Fix up the enum declaration
  to avoid conflict due to a upstream change.
* Fri Jan  8 2010 jkosina@suse.cz
- patches.fixes/quota-fix-reserved-space-management-for-ordinary-fs.patch:
  quota: fix reserved space management for ordinary fs.
* Fri Jan  8 2010 gregkh@suse.de
- patches.drivers/staging-hv-fix-smp-problems-in-the-hyperv-core-code.patch:
  Staging: hv: fix smp problems in the hyperv core code.
* Fri Jan  8 2010 jeffm@suse.de
- Disable set,getprlimit compat syscalls on xen.
* Fri Jan  8 2010 jeffm@suse.de
- Disabled custom ACPI table loading from initramfs until
  the scheduling while atomic issues are worked out.
* Fri Jan  8 2010 jeffm@suse.de
- Disabled set,getprlimit syscalls until the syscall numbers
  have been officially reserved.
* Fri Jan  8 2010 jeffm@suse.com
- patches.arch/module-handle-ppc64-relocating-kcrctabs-when-config_relocatable-y:
  module: handle ppc64 relocating kcrctabs when
  CONFIG_RELOCATABLE=y (bnc#566243).
* Thu Jan  7 2010 jbeulich@novell.com
- Update Xen patches to 2.6.32.3 and c/s 974.
- Update EC2 config files.
- patches.xen/xen3-x86-Remove-local_irq_enable-local_irq_disable-in-fixup_irqs.patch:
  x86: Remove local_irq_enable()/local_irq_disable() in
  fixup_irqs() (bnc#558247).
- patches.xen/xen3-x86-Unify-fixup_irqs-for-32-bit-and-64-bit-kernels.patch:
  x86: Unify fixup_irqs() for 32-bit and 64-bit kernels
  (bnc#558247).
- patches.xen/xen3-x86-intr-remap-Avoid-irq_chip-mask-unmask-in-fixup_irqs-for-intr-remapping.patch:
  x86, intr-remap: Avoid irq_chip mask/unmask in fixup_irqs()
  for intr-remapping (bnc#558247).
- patches.xen/xen-fix-compilation-after-rename_generic_int.patch:
  Delete.
- patches.xen/xen-scsifront-block-timeout-update: Delete.
- patches.xen/xen3-x86-fix-nodac: Delete.
* Thu Jan  7 2010 bphilips@suse.de
- patches.drivers/e1000-enhance-frame-fragment-detection.patch:
  e1000: enhance frame fragment detection (bnc#567376,
  CVE-2009-4536).
- patches.drivers/e1000e-enhance-frame-fragment-detection.patch:
  e1000e: enhance frame fragment detection (bnc#567376,
  CVE-2009-4538).
* Thu Jan  7 2010 gregkh@suse.de
- Update to 2.6.32.3
  - security fixes
  - bugfixes
  - obsoletes:
  - patches.arch/s390-04-03-dasd-diag-ro.patch
  - patches.drivers/alsa-sp1-hda-50-alc88x-missing-capsrc_nids
  - patches.fixes/qla2xxx-dpc-thread-can-execute-before-scsi-host
  - patches.fixes/scsi-ipr-fix-eeh-recovery
* Wed Jan  6 2010 rjw@suse.de
- patches.arch/x86-Force-irq-complete-move-during-cpu-offline.patch:
  x86: Force irq complete move during cpu offline (bnc#558247).
- patches.arch/x86-Remove-local_irq_enable-local_irq_disable-in-fixup_irqs.patch:
  x86: Remove local_irq_enable()/local_irq_disable() in
  fixup_irqs() (bnc#558247).
- patches.arch/x86-Remove-move_cleanup_count-from-irq_cfg.patch:
  x86: Remove move_cleanup_count from irq_cfg (bnc#558247).
- patches.arch/x86-Remove-unnecessary-mdelay-from-cpu_disable_common.patch:
  x86: Remove unnecessary mdelay() from cpu_disable_common()   .
- patches.arch/x86-Unify-fixup_irqs-for-32-bit-and-64-bit-kernels.patch:
  x86: Unify fixup_irqs() for 32-bit and 64-bit kernels
  (bnc#558247).
- patches.arch/x86-Use-EOI-register-in-io-apic-on-intel-platforms.patch:
  x86: Use EOI register in io-apic on intel platforms
  (bnc#558247).
- patches.arch/x86-intr-remap-Avoid-irq_chip-mask-unmask-in-fixup_irqs-for-intr-remapping.patch:
  x86, intr-remap: Avoid irq_chip mask/unmask in fixup_irqs()
  for intr-remapping (bnc#558247).
- patches.arch/x86-io-apic-Move-the-effort-of-clearing-remoteIRR-explicitly-before-migrating-the-irq.patch:
  x86, io-apic: Move the effort of clearing remoteIRR explicitly
  before migrating the irq (bnc#558247).
- patches.arch/x86-ioapic-Document-another-case-when-level-irq-is-seen-as-an-edge.patch:
  x86, ioapic: Document another case when level irq is seen as
  an edge (bnc#558247).
- patches.arch/x86-ioapic-Fix-the-EOI-register-detection-mechanism.patch:
  x86, ioapic: Fix the EOI register detection mechanism
  (bnc#558247).
* Wed Jan  6 2010 trenn@suse.de
- patches.fixes/pci_aer_mce_inject_check_osc_for_aer.patch: PCI:
  AER: fix aer inject result in kernel oops (bnc#566619).
* Wed Jan  6 2010 trenn@suse.de
- patches.fixes/PCIe-AER-reject-aer-inject-if-hardware-mask-error-reporting.patch:
  PCIe AER: reject aer inject if hardware mask error reporting
  (bnc#566621).
* Wed Jan  6 2010 gregkh@suse.de
- patches.xen/xen3-patch-2.6.29: Refresh due to conflicts from i915
  changes.  Ick, the xen code sucks rocks, it shouldn't be touching
  stuff here at all.
* Wed Jan  6 2010 gregkh@suse.de
- patches.drivers/drm-i915-add-acpi-opregion-support-for-ironlake.patch:
  Refresh.
- patches.drivers/drm-i915-add-i915_lp_ring_sync-helper.patch:
  drm/i915: add i915_lp_ring_sync helper (bnc#568447).
- patches.drivers/drm-i915-fix-get_core_clock_speed-for-g33-class-desktop-chips.patch:
  drm/i915: fix get_core_clock_speed for G33 class desktop chips
  (bnc#568447).
- patches.drivers/drm-i915-fully-switch-off-overlay-when-not-in-use.patch:
  drm/i915: fully switch off overlay when not in use (bnc#568447).
- patches.drivers/drm-i915-implement-drmmode-overlay-support-v4.patch:
  drm/i915: implement drmmode overlay support v4 (bnc#568447).
- patches.drivers/drm-i915-implement-fastpath-for-overlay-flip-waiting.patch:
  drm/i915: implement fastpath for overlay flip waiting
  (bnc#568447).
* Wed Jan  6 2010 gregkh@suse.de
- patches.drivers/drm-i915-add-acpi-opregion-support-for-ironlake.patch:
  Refresh.
* Wed Jan  6 2010 gregkh@suse.de
- patches.drivers/drm-i915-add-acpi-opregion-support-for-ironlake.patch:
  drm/i915: Add ACPI OpRegion support for Ironlake (bnc#568436).
* Tue Jan  5 2010 tonyj@suse.de
- patches.fixes/oprofile_bios_ctr.patch: Update to newer version
* Wed Dec 30 2009 nfbrown@suse.de
- patches.fixes/nfs-fix-NFS4ERR_FILE_OPEN-handling:
  NFS4ERR_FILE_OPEN handling in Linux/NFS (bnc#526819).
* Mon Dec 28 2009 jeffm@suse.com
- patches.fixes/dmar-fix-oops-with-no-dmar-table: dmar: Fix oops
  with no DMAR table (bnc#548108).
* Sun Dec 27 2009 tiwai@suse.de
- patches.drivers/alsa-sp1-hda-52-hdmi-sticky-stream-tag: ALSA:
  hda - HDMI sticky stream tag support (FATE#306783).
* Thu Dec 24 2009 rjw@suse.de
- patches.arch/xpc_first_contact_when_active.patch: X86: UV
  - xpc_make_first_contact hang due to not accepting ACTIVE
  state. (bnc#562288, fate#306952).
- patches.arch/xpc_fix_xpc_get_fifo_entry_uv.patch: x86: UV - XPC
  NULL deref when mesq becomes empty. (bnc#562288, fate#306952).
- patches.arch/xpc_introduce_xp_socket.patch: x86: UV - XPC
  needs to provide an abstraction for uv_gpa. (bnc#562288,
  fate #306952).
- patches.arch/xpc_pass_nasid_to_gru_create_message_queue.patch:
  UV - pass nasid instead of nid to gru_create_message_queue
  (bnc#562288, fate#306952).
- patches.arch/xpc_recv_msg_slots_wrap.patch: X86: UV - XPC
  receive message reuse triggers invalid BUG_ON(). (bnc#562288,
  fate#306952).
- patches.arch/xpc_uv_bios_changes.patch: x86: UV - Update XPC
  to handle updated BIOS interface. (bnc#562288, fate#306952).
* Wed Dec 23 2009 rjw@suse.de
- patches.arch/bug-561989_gru_rollup.patch: SGI GRU Updates
  (bnc#561989, fate#306952).
* Wed Dec 23 2009 jeffm@suse.com
- patches.fixes/ppc-crashdump-typefix: powerpc: use min_t in
  copy_oldmem_page.
* Wed Dec 23 2009 rjw@suse.de
- patches.arch/bug-561946_uv_irq_affinity.patch: x86: SGI UV: Fix
  irq affinity for hub based interrupts (bnc#561946, fate#306952).
- patches.arch/bug-561946_uv_move_ioapic.patch: x86, apic: Move
  SGI UV functionality out of generic IO-APIC code (bnc#561946,
  fate#306952).
- patches.arch/bug-561946_uv_use_rtc.patch: x86: UV RTC: Always
  enable RTC clocksource (bnc#561946, fate#306952).
* Wed Dec 23 2009 jeffm@suse.com
- patches.fixes/ia64-fix-sba-iommu-to-handle-allocation-failure-properly:
  fix SBA IOMMU to handle allocation failure properly
  (bnc#545367).
* Tue Dec 22 2009 jeffm@suse.com
- Enabled CONFIG_CRASH_DUMP on ppc/ppc64 (bnc#566243).
* Tue Dec 22 2009 jeffm@suse.com
- patches.fixes/scsi-ipr-fix-eeh-recovery: ipr: fix EEH recovery
  (bnc#566613).
* Sun Dec 20 2009 trenn@suse.de
- Update config files.
- patches.drivers/cpufreq_ondemand_limit_fix.patch: cpufreq:
  Fix ondemand to not request targets outside policy limits
  (fate#306746).
- patches.drivers/cpufreq_processor_clocking_control_pcc_driver.patch:
  x86,cpufreq: Processor Clocking Control (PCC) driver
  (fate#306746).
- supported.conf:
* Sun Dec 20 2009 rjw@suse.de
- patches.arch/bug-561939_uv_bios_call_hwperf_updated.patch:
  x86, uv: Add serial number parameter to uv_bios_get_sn_info()
  (bnc#561939, fate#306952).
- patches.arch/bug-561939_uv_bios_call_hwperf.patch: Delete.
* Sat Dec 19 2009 jeffm@suse.com
- patches.fixes/scsi_debug-scale-virtual_gb-with-sector_size-properly:
  scsi_debug: scale virtual_gb with sector_size properly
  (bnc#535939).
* Sat Dec 19 2009 gregkh@suse.de
- patches.xen/xen3-fixup-xen: Refresh.  Fix up build error from
  .32.2 import
* Sat Dec 19 2009 gregkh@suse.de
- Update to 2.6.32.2
  - lots of security fixes
  - loads of bugfixes
  - other goodness
  - obsoletes:
  - patches.arch/bug-561939_bau_data_config.patch
  - patches.arch/bug-564471_x86_Fix_duplicated_UV_BAU_interrupt_vector.patch
  - patches.arch/s390-04-01-clear-high-regs.patch
  - patches.arch/s390-kvm-prefix.patch
  - patches.arch/s390-kvm-psw.patch
  - patches.arch/x86-fix-nodac
  - patches.arch/x86_mce_nfs-mig2
  - patches.fixes/firewire-ohci-handle-receive-packets-with-a-data-length-of-zero
  - patches.fixes/uart-txen-race.patch
* Fri Dec 18 2009 jeffm@suse.com
- Update config files: CONFIG_STRICT_DEVMEM=n. It was enabled
  mistakenly in commit 3df90f9e and affects using tools like
  crash with a live system.
* Fri Dec 18 2009 gregkh@suse.de
- Update config files.
  CONFIG_CALGARY_IOMMU_ENABLED_BY_DEFAULT = n (bnc#565607)
* Fri Dec 18 2009 tiwai@suse.de
- patches.drivers/alsa-sp1-hda-{24..51}-*: 2.6.33-rc1 backport
  fixes for HDMI and new Realtek codecs (FATE#306783)
- Refresh Patch-mainline tags in patches.drivers/alsa-*
* Fri Dec 18 2009 jjolly@suse.de
- patches.arch/s390-05-01-netiucv-tx-bytes.patch: netiucv:
  displayed TX bytes value much too high (BNC#565612).
- patches.arch/s390-05-02-cmm-suspend.patch: cmm: free pages on
  hibernate. (BNC#565612).
- patches.arch/s390-05-03-iucv-suspend.patch: iucv: add work_queue
  cleanup for suspend (BNC#565612).
- patches.arch/s390-05-04-zfcp-work-queue.patch: zfcp: Assign
  scheduled work to driver queue (BNC#565612).
- patches.arch/s390-05-05-zfcp-fail-commands.patch: zfcp: Don't
  fail SCSI commands when transitioning to blocked fc_rport
  (BNC#565612,LTC#58541).
- patches.arch/s390-05-06-zfcp-adisc.patch: zfcp: Improve ELS
  ADISC handling (BNC#565612).
- patches.arch/s390-05-07-zfcp-fsf-errors.patch: zfcp: Update
  FSF error reporting (BNC#565612).
- patches.arch/s390-05-08-zfcp-block.diff: zfcp: Block SCSI EH
  thread for rport state BLOCKED (BNC#565612).
- patches.arch/s390-05-09-ctcm-suspend-wait.diff: ctcm: suspend
  has to wait for outstanding I/O (BNC#565612).
- patches.arch/s390-05-10-rework-tso.diff: qeth: rework TSO
  functions (BNC#565612).
- patches.arch/s390-05-11-atomic-volatile.patch: kernel: improve
  code generated by atomic operations. (BNC#565612).
- patches.arch/s390-05-12-tape-remove-fn.patch: tape: incomplete
  device removal (BNC#565612).
- patches.arch/s390-05-13-qeth-blkt-defaults.patch: qeth:
  set default BLKT settings dependend on OSA hw level
  (BNC#565612,LTC#58654).
- patches.arch/s390-05-14-dasd-dasd-enable-prefix.patch: dasd:
  enable prefix independent of pav support (BNC#565612).
- patches.arch/s390-05-15-dasd-s390dbf-strings.patch: dasd:
  remove strings from s390dbf (BNC#565612).
- patches.arch/s390-05-16-dasd-wait-lcu-setup.patch: dasd:
  let device initialization wait for LCU setup (BNC#565612).
* Fri Dec 18 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix generating /boot/Kerntypes* for
  s390/vanilla.
* Fri Dec 18 2009 nfbrown@suse.de
- patches.fixes/md-start_ro-fix: md: fix small irregularity with
  start_ro module parameter (bnc#565219).
* Fri Dec 18 2009 rjw@suse.de
- patches.xen/xen-fix-compilation-after-rename_generic_int.patch:
  XEN: Fix compilation after renaming of generic_irqs.
* Fri Dec 18 2009 rjw@suse.de
- patches.arch/bug-561946_rename_generic_int.patch: x86: UV RTC:
  Rename generic_interrupt to x86_platform_ipi (bnc#561946,
  fate#306952).
* Fri Dec 18 2009 mmarek@suse.cz
- patches.suse/s390-Kerntypes.diff: S390: Generate Kerntypes file.
- rpm/kernel-binary.spec.in: install /boot/Kerntypes-$version.
* Thu Dec 17 2009 jeffm@suse.com
- patches.fixes/powerpc-fix-cpu-name-in-show-cpuinfo: powerpc:
  fix cpu name in show-cpuinfo (bnc#565267).
* Thu Dec 17 2009 hare@suse.de
- patches.fixes/fc-transport-remove-BUG_ON: scsi_transport_fc:
  remove invalid BUG_ON (bnc#564479).
- patches.fixes/lpfc-ia64-hang: lpfc: fix hang on SGI ia64
  platform (bnc#564479).
- patches.fixes/qla2xxx-dpc-thread-can-execute-before-scsi-host:
  qla2xxx: dpc thread can execute before scsi host has been added
  (bnc#564479).
- patches.suse/fc-transport-allow-dev_loss_tmo-disable: Remove
  capping from dev_loss_tmo (bnc#492469).
* Wed Dec 16 2009 gregkh@suse.de
- Update config files.
  - fix up CONFIG_IPV6 option that was built into the kernel
    incorrectly (bnc#564357)
* Wed Dec 16 2009 jeffm@suse.com
- patches.fixes/acpi-fix-build-when-config_acpi_custom_override_initramfs-is-not-defined:
  acpi: Fix build when CONFIG_ACPI_CUSTOM_OVERRIDE_INITRAMFS is
  not defined.
* Wed Dec 16 2009 jbeulich@novell.com
- Update Xen patches to c/s 960.
- Update Xen EC2 config files.
- patches.xen/xen3-bug-561933_uv_pat_is_gru_range.patch: x86:
  UV SGI: Don't track GRU space in PAT (bnc#561933, fate#306952).
- patches.xen/xen3-x86-mark_rodata_rw.patch: Add mark_rodata_rw()
  to un-protect read-only kernel code pages (bnc#439348).
* Wed Dec 16 2009 npiggin@suse.de
- needs_update:
- patches.fixes/aggressive-zone-reclaim.patch: be more aggressive
  with zone reclaims (bnc#476525).
* Wed Dec 16 2009 npiggin@suse.de
- needs_update:
- patches.suse/x86-mark_rodata_rw.patch: Refresh.
* Wed Dec 16 2009 npiggin@suse.de
- patches.suse/x86-mark_rodata_rw.patch: Add mark_rodata_rw()
  to un-protect read-only kernel code pages (bnc#439348).
* Tue Dec 15 2009 jeffm@suse.com
- patches.fixes/firewire-ohci-handle-receive-packets-with-a-data-length-of-zero:
  firewire: ohci: handle receive packets with a data length of
  zero (bnc#564712 CVE-2009-4138).
* Tue Dec 15 2009 mmarek@suse.cz
- rpm/config.sh: set OBS_PROJECT and IBS_PROJECT variables for
  osc_wrapper.
* Tue Dec 15 2009 knikanth@suse.de
- supported.conf: Mark dm-log-userspace as supported (fate#307380).
* Tue Dec 15 2009 sjayaraman@suse.de
- patches.fixes/sched-recalculate-tunables-on-hot-add-remove:
  Fix the build failure due to previous commit.
* Tue Dec 15 2009 sjayaraman@suse.de
- patches.fixes/sched-recalculate-tunables-on-hot-add-remove:
  sched: Fix missing sched tunable recalculation on cpu add/remove
  (bnc#560317).
- patches.fixes/sched-make-tunable-scaling-configurable: sched:
  Make tunable scaling style configurable (bnc#560317).
- patches.fixes/sched-sysctl-for-normalized-tunables:  sched:
  Update normalized values on user updates via proc (bnc#560317).
* Tue Dec 15 2009 gregkh@suse.de
- Update config files.
  - make SCSI and ATA drivers modules again.
    (bnc#564357)
* Tue Dec 15 2009 gregkh@suse.de
- Update config files.
  - fix up USB options that were built into the kernel incorrectly
    (bnc#564357)
* Mon Dec 14 2009 jjolly@suse.de
- patches.arch/s390-04-01-clear-high-regs.patch: kernel:
  clear high-order bits after switching to 64-bit mode
  (BNC#563999,LTC#58088).
- patches.arch/s390-04-02-zcrypt-hrtimer.patch: zcrypt: Do not
  simultaneously schedule hrtimer (BNC#563999,LTC#58222).
- patches.arch/s390-04-03-dasd-diag-ro.patch: dasd: support DIAG
  access for read-only devices (BNC#563999,LTC#57147).
- patches.arch/s390-04-04-mm-fault-fix.patch: kernel: performance
  counter fix and page fault optimization (BNC#563999).
- patches.arch/s390-04-05-sclp-dump-indicator.patch: kernel:
  fix dump indicator (BNC#563999).
- patches.arch/s390-04-06-dasd-move-diag-kmsg.patch: dasd:
  move diag kmsg to generic dasd kmsg (BNC#563999).
- patches.arch/s390-04-07-cio-fix-double-free.patch: cio: double
  free under memory pressure (BNC#563999).
- patches.arch/s390-04-08-cio-fix-dev-stall.patch: cio: device
  recovery stalls after multiple hardware events (BNC#563999).
- patches.arch/s390-04-09-cio-recover-hw-changes.patch: cio:
  device recovery fails after concurrent hardware changes
  (BNC#563999).
- patches.arch/s390-04-10-cio-fix-onoffline-failure.patch: cio:
  setting a device online or offline fails for unknown reasons
  (BNC#563999).
- patches.arch/s390-04-11-cio-error-reporting.patch: cio:
  incorrect device state after device recognition and recovery
  (BNC#563999).
- patches.arch/s390-04-12-cio-avoid-panic.patch: cio: kernel
  panic after unexpected interrupt (BNC#563999).
- patches.arch/s390-04-13-cio-internal-io.patch: cio:
  initialization of I/O devices fails (BNC#563999).
- patches.arch/s390-04-14-cio-allow-offline.patch: cio: not
  operational devices cannot be deactivated (BNC#563999).
- patches.arch/s390-04-15-cio-split-pgid.patch: cio: erratic
  DASD I/O behavior (BNC#563999).
- patches.arch/s390-04-16-cio-path-verification.patch: cio:
  DASD cannot be set online (BNC#563999).
- patches.arch/s390-04-17-cio-steal-lock.patch: cio: DASD steal
  lock task hangs (BNC#563999).
- patches.arch/s390-04-18-cio-fix-memleak-chk-dev.patch: cio:
  memory leaks when checking unusable devices (BNC#563999).
- patches.arch/s390-04-19-cio-fix-deact-dev-panic.patch: cio:
  deactivated devices can cause use after free panic (BNC#563999).
* Mon Dec 14 2009 rjw@suse.de
- patches.arch/bug-561933_uv_pat_is_gru_range.patch: x86: UV SGI:
  Don't track GRU space in PAT (bnc#561933, fate#306952).
- patches.arch/bug-561939_bau_data_config.patch: x86: SGI UV
  BAU initialization (bnc#561939, fate#306952).
- patches.arch/bug-561939_uv_bios_call_hwperf.patch: x86: UV
  hardware performance counter and topology access  (bnc#561939,
  fate#306952).
- patches.arch/bug-561939_uv_gpa_is_mmr_space.patch: x86: UV -
  Introduce uv_gpa_is_mmr. (bnc#561939, fate#306952).
- patches.arch/bug-561939_uv_gpa_to_soc_phys_ram.patch:
  x86: UV - Introduce a means to translate from gpa ->
  socket_paddr. (bnc#561939, fate#306952).
- patches.arch/bug-561939_uv_ipi_macro.patch: x86: UV: Introduce
  uv_hub_ipi_value (bnc#561939, fate#306952).
- patches.arch/bug-561939_uv_mmap_low.patch: x86: SGI UV: Map
  low MMR ranges (bnc#561939, fate#306952).
- patches.arch/bug-561939_uv_rtc_cleanup.patch: x86: UV RTC:
  Clean up error handling (bnc#561939, fate#306952).
- patches.arch/bug-561939_uv_rtc_fixes.patch: x86: UV RTC:
  Fix early expiry handling  (bnc#561939, fate#306952).
- patches.arch/bug-561939_uv_rtc_setup_evt.patch: x86: UV RTC:
  Add clocksource only boot option (bnc#561939, fate#306952).
- patches.arch/bug-564471_x86_Fix_duplicated_UV_BAU_interrupt_vector.patch:
  x86: Fix duplicated UV BAU interrupt vector (bnc#564471).
* Mon Dec 14 2009 gregkh@suse.de
- Refresh patches to be clean of fuzz
* Mon Dec 14 2009 gregkh@suse.de
- Update to 2.6.32.1
  - security fixes
  - bugfixes
  - obsoletes:
  - patches.fixes/ext4-fix-insufficient-checks-in-ext4_ioc_move_ext
  - patches.fixes/scsi-fix-bug-with-dma-maps-on-nested-scsi-objects
* Mon Dec 14 2009 jjolly@suse.de
- patches.drivers/dcb-data-center-bridging-ops-s: dcb: data
  center bridging ops should be r/o (BNC#562046).
- patches.drivers/drivers-net-request_irq-remove: drivers/net:
  request_irq - Remove unnecessary leading & from second arg
  (BNC#562046).
- patches.drivers/ethtool-add-direct-attach-supp: ethtool: Add
  Direct Attach support to connector port reporting (BNC#562046).
- patches.drivers/ixgbe-add-support-for-82599-al: ixgbe: Add
  support for 82599 alternative WWNN/WWPN prefix (BNC#562046).
- patches.drivers/ixgbe-add-support-for-82599-ba: ixgbe: add
  support for 82599 based Express Module X520-P2 (BNC#562046).
- patches.drivers/ixgbe-add-support-for-netdev_o: ixgbe: Add
  support for netdev_ops.ndo_fcoe_get_wwn to 82599 (BNC#562046).
- patches.drivers/ixgbe-change-default-ring-size: ixgbe: change
  default ring size (BNC#562046).
- patches.drivers/ixgbe-disable-flow-control-for: ixgbe: Disable
  Flow Control for certain devices (BNC#562046).
- patches.drivers/ixgbe-display-currently-attach: ixgbe: Display
  currently attached PHY through ethtool (BNC#562046).
- patches.drivers/ixgbe-fix-erroneous-display-of: ixgbe: Fix
  erroneous display of stats by ethtool -S (BNC#562046).
- patches.drivers/ixgbe-fix-kr-to-kx-fail-over-f: ixgbe: Fix KR
  to KX fail over for Mezzanine cards (BNC#562046).
- patches.drivers/ixgbe-fix-receive-address-regi: ixgbe:
  Fix Receive Address Register (RAR) cleaning and accounting
  (BNC#562046).
- patches.drivers/ixgbe-flush-the-lsc-mask-chang: ixgbe: Flush
  the LSC mask change to prevent repeated interrupts (BNC#562046).
- patches.drivers/ixgbe-handle-parameters-for-tx: ixgbe: handle
  parameters for tx and rx EITR, no div0 (BNC#562046).
- patches.drivers/ixgbe-links2-is-not-a-valid-re: ixgbe: LINKS2
  is not a valid register for 82598 (BNC#562046).
- patches.drivers/ixgbe-make-queue-pairs-on-sing: ixgbe: Make
  queue pairs on single MSI-X interrupts (BNC#562046).
- patches.drivers/ixgbe-modify-82599-hwrsc-stati: ixgbe: Modify
  82599 HWRSC statistics counters (BNC#562046).
- patches.drivers/ixgbe-only-set-clear-vfe-in-ix: ixgbe: Only
  set/clear VFE in ixgbe_set_rx_mode (BNC#562046).
- patches.drivers/ixgbe-performance-tweaks: ixgbe: performance
  tweaks (BNC#562046).
- patches.drivers/ixgbe-r_idx-not-used-in-ixgbe_: ixgbe: r_idx
  not used in ixgbe_msix_clean_rx() (BNC#562046).
- patches.drivers/ixgbe-select-fcoe-tx-queue-in-: ixgbe: select
  FCoE Tx queue in ndo_select_queue (BNC#562046).
- patches.drivers/ixgbe-use-eiam-to-automask-msi: ixgbe: use
  EIAM to automask MSI-X (BNC#562046).
- patches.drivers/ixgbe-use-known-user-priority-: ixgbe: use
  known user priority for FCoE when DCB is enabled (BNC#562046).
- patches.drivers/ixgbe-use-rx-buffer-length-fro: ixgbe: Use rx
  buffer length from rx ring for configuring rscctl (BNC#562046).
- patches.drivers/ixgbe-use-the-instance-of-net_: ixgbe: Use
  the instance of net_device_stats from net_device. (BNC#562046).
- patches.drivers/net-add-ndo_fcoe_get_wwn-to-ne: net: Add
  ndo_fcoe_get_wwn to net_device_ops (BNC#562046).
- patches.drivers/net-add-netdev_alloc_skb_ip_al: net: Add
  netdev_alloc_skb_ip_align() helper (BNC#562046).
- patches.drivers/net-use-netdev_alloc_skb_ip_al: net: Use
  netdev_alloc_skb_ip_align() (BNC#562046).
- patches.drivers/vlan-add-support-to-netdev_ops: vlan:
  Add support to netdev_ops.ndo_fcoe_get_wwn for VLAN device
  (BNC#562046).
- patches.fixes/fcoe-allow-scsi-fcp-to-be: fcoe: allow SCSI-FCP
  to be processed directly in softirq context (BNC#562046).
- patches.fixes/fcoe-libfc-add-get_lesb-t: fcoe, libfc: add
  get_lesb() to allow LLD to fill the link error status block
  (LESB) (BNC#562046).
- patches.fixes/libfc-add-fc-bb-5-lesb-co: libfc: add FC-BB-5
  LESB counters to fcoe_dev_stats (BNC#562046).
- patches.fixes/libfc-add-fcoe_fc_els_les: libfc: add
  fcoe_fc_els_lesb to fc_fcoe.h for FC-BB-5 LESB definitions
  (BNC#562046).
- patches.fixes/libfc-add-support-of-rece: libfc: add support
  of receiving ELS_RLS (BNC#562046).
- patches.fixes/libfc-add-target-reset-fl: libfc: Add target
  reset flag to FCP header file (BNC#562046).
- patches.fixes/libfc-fix-payload-size-pa: libfc: fix payload size
  passed to fc_frame_alloc() in fc_lport_els_request (BNC#562046).
- patches.fixes/libfcoe-add-checking-disa: libfcoe: add checking
  disable flag in FIP_FKA_ADV (BNC#562046).
- patches.fixes/libfcoe-add-tracking-fip-: libfcoe: add tracking
  FIP Missing Discovery Advertisement count (BNC#562046).
- patches.fixes/libfcoe-add-tracking-fip--0: libfcoe: add tracking
  FIP Virtual Link Failure count (BNC#562046).
* Mon Dec 14 2009 mmarek@suse.cz
- rpm/kabi.pl: Do not print harmless kabi changes by default.
* Mon Dec 14 2009 sjayaraman@suse.de
- patches.suse/sched-revert-latency-defaults: Revert sched
  latency defaults and turn FAIR_SLEEPERS off (bnc#557307).
* Mon Dec 14 2009 jkosina@suse.cz
- patches.fixes/uart-txen-race.patch: Serial: Do not read IIR in
  serial8250_start_tx when UART_BUG_TXEN (bnc#479304 bnc#509066).
* Mon Dec 14 2009 rjw@suse.de
- patches.fixes/bug-562290-Fix-isolcpus-boot-option.patch: sched:
  Fix isolcpus boot option (bnc#562290, fate#306952).
* Sat Dec 12 2009 mmarek@suse.cz
- patches.suse/supported-flag: Fix -Wmissing-prototypes warnings
  in modpost.c.
* Sat Dec 12 2009 mmarek@suse.cz
- patches.rpmify/modpost-segfault: modpost: fix segfault with
  short symbol names.
* Fri Dec 11 2009 jeffm@suse.com
- Moved kernel-docs into the git repo. It is now built automatically
  with the matching kernel sources.
* Fri Dec 11 2009 trenn@suse.de
- patches.suse/kdb_fix_ia64_build.patch: Fix ia64 - Export
  kdb_usb_kbds (none).
* Fri Dec 11 2009 trenn@suse.de
  Jeff updated kdb, try without this ugly workaround.
  If it still does not work, I have something better...
- patches.suse/kdb_x86_fix_hang.patch: Delete.
* Fri Dec 11 2009 hare@suse.de
  Cleanup patches for series2git:
- patches.suse/kdb-common: Refresh.
- patches.suse/kdump-dump_after_notifier.patch: Refresh.
* Fri Dec 11 2009 trenn@suse.de
  Updated MCE/MCA patches from Andi -> delete the old ones:
- patches.arch/x86_mce_hwpoison-action_result-valid-pfn.patch:
  HWPOISON: return ENXIO on invalid page number (fate#307738).
- patches.arch/x86_mce_hwpoison-is-free-page.patch: HWPOISON:
  detect free buddy pages explicitly (fate#307738).
- patches.arch/x86_mce_hwpoison-no-double-ref.patch: HWPOISON:
  avoid grabbing the page count multiple times during madvise
  injection (fate#307738).
- patches.arch/x86_mce_madvise-locking: HWPOISON: Use
  get_user_page_fast in hwpoison madvise (fate#307738).
- patches.arch/x86_mce_nfs-mig2: NFS: Fix nfs_migrate_page()
  (fate#307738).
- patches.arch/x86_mce_offline-inject: HWPOISON: Add a madvise()
  injector for soft page offlining (fate#307738).
- patches.arch/x86_mce_page-offline: HWPOISON: Add soft page
  offline support (fate#307738).
- patches.arch/x86_mce_ref-to-flags: HWPOISON: Turn ref argument
  into flags argument (fate#307738).
- patches.arch/x86_mce_shake-page: HWPOISON: Be more aggressive
  at freeing non LRU caches (fate#307738).
- patches.arch/x86_mce_undef-lru: HWPOISON: Undefine short-hand
  macros after use to avoid namespace conflict (fate#307738).
- patches.arch/x86_mce_lru_cleanup.patch: Delete.
- patches.arch/x86_mce_page_offlining.patch: Delete.
- patches.arch/x86_mce_page_offlining_test_ability.patch: Delete.
- patches.arch/x86_mce_test_page.patch: Delete.
* Fri Dec 11 2009 hare@suse.de
- needs_update: Merge or delete remaining patches.
- patches.fixes/scsi-dh-emc-mode-select-10-size: DM-MPIO fails
  to tresspass LUNs on CLARiiON arrays (bnc#484529).
- patches.fixes/scsi-dh-emc-rw-mismatch: Server crashes when
  path failures occur against EMC storage (bnc#474482).
- patches.fixes/scsi-dh-rdac-add-stk: STK arrays missing from
  rdac devicehandler (bnc#503855).
- patches.fixes/scsi-retry-alua-transition-in-progress: I/O
  errors for ALUA state transitions (bnc#491289).
- patches.suse/dm-mpath-no-activate-for-offlined-paths: DM-MPIO
  fails to tresspass LUNs on CLARiiON arrays (bnc#484529).
- patches.suse/dm-mpath-no-partitions-feature: Disable partitions
  scan for multipathed devices (bnc#402922,bnc#514767).
* Fri Dec 11 2009 tiwai@suse.de
- Update config files: set back to CONFIG_SOUND=m
* Fri Dec 11 2009 tiwai@suse.de
- patches.drivers/alsa-sp1-hda-23-hp-mute-led-gpio-fixes:
  ALSA: hda - Fix LED GPIO setup for HP laptops with IDT codecs
  (bnc#547357,bnc#523487).
* Fri Dec 11 2009 jeffm@suse.de
- patches.suse/kdb-usb-rework: Fix ia64.
* Fri Dec 11 2009 jeffm@suse.com
- Update config files: Enable USB_SERIAL_DEBUG.
* Fri Dec 11 2009 jeffm@suse.com
- patches.suse/kdb-usb-rework: kdb: Cleanup KDB_USB.
* Fri Dec 11 2009 jeffm@suse.com
- Update config files.
  - Disabled USB_TEST and USB_LIBUSUAL.
* Thu Dec 10 2009 jeffm@suse.com
- Update config files. Re-enable missing options:
  - CONFIG_FRAMEBUFFER_CONSOLE_ROTATION=y
  - CONFIG_VIDEO_GO7007=m (and related options)
* Thu Dec 10 2009 bphilips@suse.de
- patches.drivers/netxen-0008-reset-sequence-changes.patch:
  Refresh to fix fuzz
* Thu Dec 10 2009 jeffm@suse.com
- Updated KDB to v4.4-2.6.32-3 and re-enabled USB keyboard support.
* Thu Dec 10 2009 mmarek@suse.de
- rpm/kernel-binary.spec.in: Fix vmlinux stripping on power
  (bnc#559547)
* Thu Dec 10 2009 bphilips@suse.de
- patches.drivers/netxen-0000-Use-the-instance-of-net_device_stats-from-net.patch:
  netxen: Use the instance of net_device_stats from
  net_device. (bnc#560003, fate#307134).
- patches.drivers/netxen-0001-remove-sub-64-bit-mem-accesses.patch:
  netxen: remove sub 64-bit mem accesses (bnc#560003,
  fate#307134).
- patches.drivers/netxen-0002-add-access-to-on-chip-memory-for-tools.patch:
  netxen: add access to on chip memory for tools (bnc#560003,
  fate#307134).
- patches.drivers/netxen-0003-annotate-register-windowing-code.patch:
  netxen: annotate register windowing code (bnc#560003,
  fate#307134).
- patches.drivers/netxen-0004-separate-register-and-memory-access-lock.patch:
  netxen: separate register and memory access lock (bnc#560003,
  fate#307134).
- patches.drivers/netxen-0005-add-sysfs-entries-for-diag-tools.patch:
  netxen: add sysfs entries for diag tools (bnc#560003,
  fate#307134).
- patches.drivers/netxen-0006-defines-for-next-revision.patch:
  netxen: defines for next revision (bnc#560003, fate#307134).
- patches.drivers/netxen-0007-128-memory-controller-support.patch:
  netxen: 128 memory controller support (bnc#560003, fate#307134).
- patches.drivers/netxen-0008-reset-sequence-changes.patch:
  netxen: reset sequence changes (bnc#560003, fate#307134).
- patches.drivers/netxen-0009-onchip-memory-access-change.patch:
  netxen: onchip memory access change (bnc#560003, fate#307134).
- patches.drivers/netxen-0010-fix-error-codes-in-for-tools-access.patch:
  netxen: fix error codes in for tools access (bnc#560003,
  fate#307134).
- patches.drivers/netxen-0011-sysfs-control-for-auto-firmware-recovery.patch:
  netxen: sysfs control for auto firmware recovery (bnc#560003,
  fate#307134).
- patches.drivers/netxen-0012-update-version-to-4.0.62.patch:
  netxen; update version to 4.0.62 (bnc#560003, fate#307134).
- patches.drivers/netxen-0013-fix-builds-for-SYSFS-n-or-MODULES-n.patch:
  netxen: fix builds for SYSFS=n or MODULES=n (bnc#560003,
  fate#307134).
- patches.drivers/netxen-0014-support-for-new-firmware-file-format.patch:
  netxen: support for new firmware file format (bnc#560003,
  fate#307134).
- patches.drivers/netxen-0015-refactor-indirect-register-access.patch:
  netxen: refactor indirect register access (bnc#560003,
  fate#307134).
- patches.drivers/netxen-0016-add-PCI-IDs-for-new-chip.patch:
  netxen: add PCI IDs for new chip (bnc#560003, fate#307134).
- patches.drivers/netxen-0017-update-module-info.patch: netxen:
  update module info (bnc#560003, fate#307134).
- patches.drivers/netxen-0018-module-firmware-hints.patch:
  netxen: module firmware hints (bnc#560003, fate#307134).
- patches.drivers/netxen-0019-update-version-to-4.0.65.patch:
  netxen: update version to 4.0.65 (bnc#560003, fate#307134).
- patches.drivers/netxen-0020-remove-PCI-IDs-of-CNA-device.patch:
  netxen: remove PCI IDs of CNA device (bnc#560003, fate#307134).
- patches.drivers/netxen-0021-fix-debug-tools-access-for-NX2031.patch:
  netxen : fix debug tools access for NX2031 (bnc#560003,
  fate#307134).
- patches.drivers/netxen-0022-fix-failure-cases-for-fw-hang-recovery.patch:
  netxen: fix failure cases for fw hang recovery (bnc#560003,
  fate#307134).
* Thu Dec 10 2009 bphilips@suse.de
- patches.drivers/qlge-0001-Use-the-instance-of-net_device_stats-from-net_.patch:
  qlge: Use the instance of net_device_stats from
  net_device. (bnc#560420, FATE#307130).
- patches.drivers/qlge-0002-Remove-explicit-setting-of-PCI-Dev-CTL-reg.patch:
  qlge: Remove explicit setting of PCI Dev CTL reg. (bnc#560420,
  FATE#307130).
- patches.drivers/qlge-0003-Set-PCIE-max-read-request-size.patch:
  qlge: Set PCIE max read request size. (bnc#560420, FATE#307130).
- patches.drivers/qlge-0004-Add-handler-for-DCBX-firmware-event.patch:
  qlge: Add handler for DCBX firmware event. (bnc#560420,
  FATE#307130).
- patches.drivers/qlge-0005-Store-firmware-revision-as-early-as-possible.patch:
  qlge: Store firmware revision as early as possible. (bnc#560420,
  FATE#307130).
- patches.drivers/qlge-0006-Remove-inline-math-for-small-rx-buf-mapping.patch:
  qlge: Remove inline math for small rx buf mapping. (bnc#560420,
  FATE#307130).
- patches.drivers/qlge-0007-Get-rid-of-firmware-handler-debug-code.patch:
  qlge: Get rid of firmware handler debug code. (bnc#560420,
  FATE#307130).
- patches.drivers/qlge-0008-Don-t-fail-open-when-port-is-not-initialized.patch:
  qlge: Don't fail open when port is not initialized. (bnc#560420,
  FATE#307130).
- patches.drivers/qlge-0009-Add-CBFC-pause-frame-counters-to-ethtool-stats.patch:
  qlge: Add CBFC pause frame counters to ethtool
  stats. (bnc#560420, FATE#307130).
- patches.drivers/qlge-0010-Size-RX-buffers-based-on-MTU.patch:
  qlge: Size RX buffers based on MTU. (bnc#560420, FATE#307130).
- patches.drivers/qlge-0011-Add-ethtool-get-set-pause-parameter.patch:
  qlge: Add ethtool get/set pause parameter. (bnc#560420,
  FATE#307130).
- patches.drivers/qlge-0012-Add-ethtool-blink-function.patch:
  qlge: Add ethtool blink function. (bnc#560420, FATE#307130).
- patches.drivers/qlge-0013-Add-ethtool-wake-on-LAN-function.patch:
  qlge: Add ethtool wake on LAN function. (bnc#560420,
  FATE#307130).
- patches.drivers/qlge-0014-Add-ethtool-register-dump-function.patch:
  qlge: Add ethtool register dump function. (bnc#560420,
  FATE#307130).
- patches.drivers/qlge-0015-Add-ethtool-self-test.patch: qlge:
  Add ethtool self-test. (bnc#560420, FATE#307130).
- patches.drivers/qlge-0016-Change-naming-on-vlan-API.patch:
  qlge: Change naming on vlan API. (bnc#560420, FATE#307130).
- patches.drivers/qlge-0017-Fix-indentations.patch: qlge: Fix
  indentations. (bnc#560420, FATE#307130).
- patches.drivers/qlge-0018-Add-firmware-driver-sub-command-support.patch:
  qlge: Add firmware/driver sub-command support. (bnc#560420,
  FATE#307130).
- patches.drivers/qlge-0019-Clean-up-netdev-stats-usage.patch:
  qlge: Clean up netdev->stats usage. (bnc#560420, FATE#307130).
- patches.drivers/qlge-0020-Do-not-change-frame-routing-during-suspend.patch:
  qlge: Do not change frame routing during suspend. (bnc#560420,
  FATE#307130).
- patches.drivers/qlge-0021-Add-asic-reset-to-open-call.patch:
  qlge: Add asic reset to open call. (bnc#560420, FATE#307130).
- patches.drivers/qlge-0022-Clean-up-module-parameter-name.patch:
  qlge: Clean up module parameter name. (bnc#560420, FATE#307130).
- patches.drivers/qlge-0023-Change-version-to-v1.00.00.23.00.00-01.patch:
  qlge: Change version to v1.00.00.23.00.00-01. (bnc#560420,
  FATE#307130).
- patches.drivers/qlge-0024-Bonding-fix-for-mode-6.patch: qlge:
  Bonding fix for mode 6. (bnc#560420, FATE#307130).
- patches.drivers/qlge-0025-Add-performance-change-for-non-split-headers.patch:
  qlge: Add performance change for non-split headers. (bnc#560420,
  FATE#307130).
- patches.drivers/qlge-0026-Add-firmware-core-dump.patch: qlge:
  Add firmware core dump. (bnc#560420, FATE#307130).
* Thu Dec 10 2009 hare@suse.de
- needs_update: Delete more merged fixes.
- patches.suse/dm-mpath-leastpending-path-update: Refresh.
* Thu Dec 10 2009 hare@suse.de
- needs_update: Delete merged driver fixes.
- patches.drivers/megaraid-mbox-fix-SG_IO: megaraid_mbox: Oops
  on SG_IO (bnc#475619).
* Thu Dec 10 2009 duwe@suse.de
- Disable PHYP_DUMP for all PPC flavours, per bnc#541302.
* Thu Dec 10 2009 jbenc@suse.cz
- patches.suse/novfs-fix-debug-message.patch: novfs: fix debug
  message.
* Thu Dec 10 2009 hare@suse.de
- patches.fixes/tehuti-firmware-name: Tehuti network driver
  references wrong firmware (bnc#562092).
* Wed Dec  9 2009 tonyj@suse.de
- patches.suse/audit-export-logging.patch: fix section mismatch due to
  previous checkin
* Wed Dec  9 2009 tonyj@suse.de
- patches.suse/audit-export-logging.patch: export audit logging
  symbols.
* Wed Dec  9 2009 jbohac@suse.cz
- Update config files: added CONFIG_IP_NF_MATCH_IPV4OPTIONS
  to ppc64/trace
* Wed Dec  9 2009 jeffm@suse.com
- patches.fixes/ext4-fix-insufficient-checks-in-ext4_ioc_move_ext:
  ext4: Fix insufficient checks in EXT4_IOC_MOVE_EXT (bnc#561018
  CVE-2009-4131).
* Wed Dec  9 2009 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.32: Fix a potentially serious mis-merge
  in swiotlb code.
* Wed Dec  9 2009 jjolly@suse.de
- patches.fixes/nohz-delay-from-tip.diff: nohz: Introduce
  arch_needs_cpu.
- patches.fixes/reuse-ktime-from-tip.diff: nohz: Reuse ktime in
  sub-functions of tick_check_idle..
- series.conf: Moved s390 patchs to proper place
* Wed Dec  9 2009 npiggin@suse.de
- patches.fixes/ipc-ns-fix-memory-leak-idr.patch: ipc: ns fix
  memory leak (bnc#518767).
- patches.fixes/ipc-remove-unreachable-code-in-semc.patch:
  (bnc#518767).
- patches.fixes/ipc-semc-add-a-per-semaphore-pending-list.patch:
  (bnc#518767).
- patches.fixes/ipc-semc-optimize-if-semops-fail.patch:
  (bnc#518767).
- patches.fixes/ipc-semc-optimize-single-semop-operations.patch:
  (bnc#518767).
- patches.fixes/ipc-semc-optimize-single-sops-when-semval-is-zero.patch:
  (bnc#518767).
- patches.fixes/ipc-semc-sem-optimise-undo-list-search.patch:
  (bnc#518767).
- patches.fixes/ipc-semc-sem-preempt-improve.patch:  (bnc#518767).
- patches.fixes/ipc-semc-sem-use-list-operations.patch:
  (bnc#518767).
* Wed Dec  9 2009 bphilips@suse.de
- needs_update: patches moved upstream or obsoleted by upstream
* Tue Dec  8 2009 mmarek@suse.cz
- patches.suse/kbuild-generate-modules.builtin: Update to what will
  hopefully be in 2.6.33.
- patches.suse/kbuild-rebuild-fix-for-Makefile.modbuiltin: Delete.
* Tue Dec  8 2009 jbohac@suse.cz
- Update config files.
- patches.suse/netfilter-ipv4options: netfilter ipv4options
  match from patch-o-matic-ng (bnc#131728 - FATE#182).
* Tue Dec  8 2009 npiggin@suse.de
- needs_update:
- patches.suse/mm-devzero-optimisation.patch: mm: /dev/zero
  optimisation (bnc#430738).
* Tue Dec  8 2009 tiwai@suse.de
- patches.drivers/alsa-sp1-hda-22-alc888-exclude-unusable-adcs:
  ALSA: hda - Exclude unusable ADCs for ALC88x (bnc#561235).
* Tue Dec  8 2009 mmarek@suse.cz
- patches.drivers/reenable-generic_serial: Revert "tty: Mark
  generic_serial users as BROKEN".
- Update config files: enable RIO and SX.
- rpm/generic_serial-blacklist: blacklist generic_serial users from
  automatic loading (bnc#551348).
* Tue Dec  8 2009 rgoldwyn@suse.de
- needs_update: patches merged upstream
- novfs patches to be handled by novfs team
* Tue Dec  8 2009 npiggin@suse.de
- needs_update:
- patches.suse/mm-vmalloc-fail-dump-stack.patch: mm: improve
  vmalloc reporting (bnc#511079).
* Tue Dec  8 2009 npiggin@suse.de
- needs_update: most of mine are merged. apparmor patch sent to Andreas.
* Tue Dec  8 2009 coly.li@suse.de
- patches.suse/64bytes_lvb_len.diff: use 64byte lvb len.(bnc#515645)
* Tue Dec  8 2009 agraf@suse.de
- patches.arch/s390-kvm-prefix.patch: KVM: s390: Fix prefix
  register checking in arch/s390/kvm/sigp.c (FATE#306513).
- patches.arch/s390-kvm-psw.patch: KVM: s390: Make psw available
  on all exits, not just a subset (FATE#306513).
* Mon Dec  7 2009 tiwai@suse.de
- patches.drivers/synaptics-hp-clickpad: Input: Add support of
  clickpad mode to synaptics mouse driver (bnc#547370).
* Mon Dec  7 2009 jbeulich@novell.com
- Update Xen patches to 2.6.32 final and c/s 958.
- patches.xen/xen-dcdbas: force proper address translation
  in DCDBAS.
- patches.xen&xen-vmalloc_32: guarantee 32-bit
  (bus-)addressability of vmalloc_32() output (bnc#548010,
  bnc#552492).
- patches.xen/xen-x86_64-nx-user-mappings: set NX bit in kernel
  version of top level user mode page table entries.
- patches.xen/xen3-rlim-0025-x86-add-ia32-compat-prlimit-syscalls.patch:
  x86: add ia32 compat prlimit syscalls (FATE#305733).
- patches.xen/xen3-x86-64-align-rodata-kernel-section-to-2mb-with-config_debug_rodata:
  x86-64: align RODATA kernel section to 2MB with
  CONFIG_DEBUG_RODATA (bnc#558249).
- patches.xen/xen3-x86-64-preserve-large-page-mapping-for-1st-2mb-kernel-txt-with-config_debug_rodata:
  x86-64: preserve large page mapping for 1st 2MB kernel txt
  with CONFIG_DEBUG_RODATA (bnc#558249).
- patches.xen/xen3-x86-fix-nodac: x86: fix iommu=nodac parameter
  handling (bnc#463829, bnc#482220).
- patches.xen/xen3-x86-mcp51-no-dac: x86: disallow DAC for MCP51
  PCI bridge (bnc#463829, bnc#482220).
- Update EC2 config files (disable CAN_DEV and UIO).
* Mon Dec  7 2009 jbeulich@novell.com
- patches.arch/x86-crypto-add-ghash-algorithm-test.patch,
  patches.fixes/cpufreq_ondemand_performance_optimise_default_settings.patch:
  Fix build warnings.
* Mon Dec  7 2009 hare@suse.de
- patches.drivers/lpfc-add-raywire-id: Add missing PCI-ID to lpfc.
* Sat Dec  5 2009 tonyj@suse.de
- config.conf: add trace flavor for ppc64 (fate# 307051)
- Update config files.
* Fri Dec  4 2009 jeffm@suse.com
- Split apparmor.diff out into separate patches to align more
  closely with the upstream AppArmor 2.4 repo.
- patches.apparmor/apparmor-fix-cap-audit_caching-preemption-disabling:
  AppArmor: Fix cap audit_caching preemption disabling.
- patches.apparmor/apparmor-fix-change_profile-failing-lpn401931:
  AppArmor: Fix change_profile failing lpn401931.
- patches.apparmor/apparmor-fix-change_profile-failure: AppArmor:
  Fix change_profile failure.
- patches.apparmor/apparmor-fix-determination-of-forced-audit-messages:
  AppArmor: Fix determination of forced AUDIT messages..
- patches.apparmor/apparmor-fix-failure-to-audit-change_hat-correctly:
  AppArmor: fix failure to audit change_hat correctly.
- patches.apparmor/apparmor-fix-file-auditing-when-quiet-is-used:
  AppArmor: Fix file auditing when quiet is used.
- patches.apparmor/apparmor-fix-leak-when-profile-transition-table-fails-unpack:
  AppArmor: Fix leak when profile transition table fails unpack.
- patches.apparmor/apparmor-fix-mediation-of-created-paths-that-look-like-deleted-paths:
  AppArmor: Fix mediation of created paths that look like
  "deleted" paths.
- patches.apparmor/apparmor-fix-oops-after-profile-removal:
  AppArmor: Fix oops after profile removal.
- patches.apparmor/apparmor-fix-oops-when-auditing-the-addition-of-profile-namespace:
  AppArmor: Fix oops when auditing the addition of profile
  namespace.
- patches.apparmor/apparmor-fix-oops-when-in-apparmor_bprm_set_creds:
  AppArmor: Fix Oops when in apparmor_bprm_set_creds.
- patches.apparmor/apparmor-fix-profile-namespace-removal:
  AppArmor: Fix profile namespace removal..
- patches.apparmor/apparmor-fix-refcounting-bug-causing-leak-of-creds-and-oops:
  AppArmor: Fix refcounting bug causing leak of creds and oops.
- patches.apparmor/apparmor-fully-close-race-condition-for-deleted-paths:
  AppArmor: Fully close race condition for deleted paths.
- patches.apparmor/apparmor-missing-unlock: AppArmor: Add missing
  unlock to next_profile.
- patches.apparmor/apparmor-policy-load-and-replacement-can-fail-to-alloc-mem:
  AppArmor: Policy load and replacement can fail to alloc mem.
- patches.apparmor/apparmor-fix-security_ops-task_setrlimit-api-use:
  AppArmor: Fix security_ops->task_setrlimit API use.
* Fri Dec  4 2009 gregkh@suse.de
- Update config files.
- patches.suse/revert-usb-remove-phidget-drivers-from-kernel-tree.patch:
  Revert "USB: remove phidget drivers from kernel tree.".
* Fri Dec  4 2009 jjolly@suse.de
- patches.arch/s390-message-catalog.diff: Updated patch
  (bnc#549193,FATE#306999,LTC#57210).
* Fri Dec  4 2009 mmarek@suse.cz
- supported.conf: Update wireless drivers.
* Fri Dec  4 2009 jjolly@suse.de
- patches.arch/s390-03-qeth-hs-traffic-analyzer.patch: qeth:
  HiperSockets Network Traffic Analyzer (bnc#560674).
* Fri Dec  4 2009 hare@suse.de
- patches.drivers/qla2xxx-8.03.01-k7-update: qla2xxx driver
  update to 8.03.01-k7 (bnc#560415).
* Fri Dec  4 2009 mmarek@suse.cz
- rpm/package-descriptions: Add description for kernel-vmi.
* Fri Dec  4 2009 trenn@suse.de
- patches.arch/x86_mce_lru_cleanup.patch: HWPOISON: Undefine lru
  define after table to avoid namespace conflict (fate#307738).
- patches.arch/x86_mce_page_offlining.patch: Add soft page
  offline support (fate#307738).
- patches.arch/x86_mce_page_offlining_test_ability.patch:
  HWPOISON: Add a madvise() injector for soft page offlining
  (fate#307738).
- patches.arch/x86_mce_test_page.patch: Expose Test pageflagA
  and set pageflagB primitive (fate#307738).
* Fri Dec  4 2009 mmarek@suse.cz
- Add the vmi flavor again.
* Fri Dec  4 2009 sjayaraman@suse.de
- patches.suse/SoN-18-netvm-skbuff-reserve.patch: add emergeny flag
  inside kmemcheck boundaries.
- patches.xen/xen3-auto-common.diff: Refresh.
* Fri Dec  4 2009 gregkh@suse.de
- Update config files.
  CONFIG_DRM_I915_KMS=y for x86-64 and i386 vanilla (bnc#560402)
* Fri Dec  4 2009 gregkh@suse.de
- Update config files.
  CONFIG_DRM_I915_KMS=y for x86-64 (bnc#560402)
* Fri Dec  4 2009 gregkh@suse.de
- Update config files.
  CONFIG_DRM_I915_KMS=y for i386 (bnc#560402)
* Thu Dec  3 2009 jeffm@suse.com
- patches.arch/ppc-spufs-07-Don-t-spu_acquire_saved-unnecessarily.patch:
  Delete. (bnc#560043)
* Thu Dec  3 2009 jeffm@suse.com
- Cleanup config files.
* Thu Dec  3 2009 bphilips@suse.de
- patches.drivers/tg3_libphy_workaround: Delete. We have all of the 57780
  phylib and tg3 changes due to 2.6.32 bump.
* Thu Dec  3 2009 duwe@suse.de
- back out cpuidle feature that is still unconsistent.
* Thu Dec  3 2009 mfasheh@suse.com
- patches.suse/ocfs2-allocation-resrvations.patch: Refresh.
* Thu Dec  3 2009 duwe@suse.de
- patches.suse/cpuidle-cleanup: Refresh.
  Fix the "fixed" feature patch set from IBM.
* Thu Dec  3 2009 mfasheh@suse.com
- Update config files.
- patches.suse/gfs2-ro-mounts-only.patch: gfs2: allow spectator
  mounts for migration to ocfs2 (FATE#307584).
* Thu Dec  3 2009 duwe@suse.de
- Update config files for 2.6.32 (again).
* Thu Dec  3 2009 duwe@suse.de
- Update config files for cpuidle.
* Thu Dec  3 2009 tiwai@suse.de
- patches.drivers/8250_pnp-wacom-add: serial/8250_pnp.c: add
  new Wacom devices (bnc#544763).
* Thu Dec  3 2009 duwe@suse.de
- patches.suse/cpuidle-cleanup: Refresh.
  one lonely hunk already seems to be in 2.6.32 final
* Thu Dec  3 2009 duwe@suse.de
- bnc#552860 / FATE#307104: kernel idle low power, take 2:
- patches.suse/cpuidle-cleanup: Refresh.
- patches.suse/cpuidle-cleanup-x86: Refresh.
- patches.suse/cpuidle-eliminate-ppcmdpowersave1: Refresh.
* Thu Dec  3 2009 jeffm@suse.com
- Updated to 2.6.32-final.
  - 2 patches eliminated.
* Thu Dec  3 2009 hare@suse.de
- Update config files: Enable Hibernation for zSeries.
* Thu Dec  3 2009 mmarek@suse.cz
- Update config files: Disable CONFIG_MFD_PCF50633, the chip is
  unlikely to be used on architectures we support.
* Thu Dec  3 2009 mmarek@suse.cz
- rpm/split-modules: Print which supported modules need unsupported
  modules.
* Thu Dec  3 2009 jdelvare@suse.de
- supported.conf: support lis3lv02d, hp_accel needs it.
* Thu Dec  3 2009 jdelvare@suse.de
- supported.conf: hp_accel is supported (FATE #306448).
* Thu Dec  3 2009 jdelvare@suse.de
- supported.conf: remove wm831x drivers, we no longer ship them.
* Thu Dec  3 2009 jdelvare@suse.de
- Update config files: disable all new hwmon drivers on ppc
  (default and vanilla) for consistency.
* Thu Dec  3 2009 mmarek@suse.cz
- supported.conf: Add wm831x, needed by drivers/input/misc/wm831x-on.
* Thu Dec  3 2009 mmarek@suse.cz
- supported.conf: Fix up after commit bfea0bd.
* Thu Dec  3 2009 jdelvare@suse.de
- Update config files: disable WM831x and WM8350 support entirely,
  as recommended by the drivers author. These devices are only
  found on embedded devices such as music players or mobile phones.
* Thu Dec  3 2009 hare@suse.de
- supported.conf: Mark pmcraid and igbvf as supported;
  OSD drivers as unsupported.
* Thu Dec  3 2009 jdelvare@suse.de
- Restore link from config/s390/vanilla to config/s390x/vanilla.
* Thu Dec  3 2009 jbeulich@novell.com
- supported.conf: Update Xen drivers.
* Thu Dec  3 2009 tonyj@suse.de
- needs_update: readd
  patches.suse/perfmon2-remove_get_base_syscall_attr.patch
  patches.suse/perfmon2-remove_syscalls.patch
* Thu Dec  3 2009 gregkh@suse.de
- rpm/post.sh:
- rpm/postun.sh: woh dluoc I tegrof ot esolc eht fi
* Thu Dec  3 2009 gregkh@suse.de
- rpm/post.sh:
- rpm/postun.sh: If this is a Moblin-based box, don't run yast-bootloader
* Thu Dec  3 2009 jdelvare@suse.de
- Update config files: stop shipping wm831x-hwmon, wm8350-hwmon,
  i2c-simtec and i2c-designware.
- supported.conf: remove i2c-simtec.
* Wed Dec  2 2009 jdelvare@suse.de
- supported.conf: Add all new hwmon and i2c/busses drivers. The
  former unsupported, the latter supported.
* Wed Dec  2 2009 jdelvare@suse.de
- Update config files: disable CONFIG_I2C_VOODOO3.
- supported.conf: drop i2c-voodoo3, superseded by tdfxfb.
* Wed Dec  2 2009 jdelvare@suse.de
- supported.conf: Drop hwmon and i2c/chips drivers which have been
  obsoleted.
* Wed Dec  2 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Obsolete perfmon-kmp.
* Wed Dec  2 2009 mmarek@suse.cz
- supported.conf: Add perfmon, hid and input modules.
* Wed Dec  2 2009 tiwai@suse.de
- Update config files: Fix vanilla configs
* Wed Dec  2 2009 tiwai@suse.de
- Update config files: disabled CONFIG_SND_SOC* in ppc configs.
* Wed Dec  2 2009 tiwai@suse.de
- Updated the sound section of supported.conf
* Wed Dec  2 2009 gregkh@suse.de
- Update config files. disable USB OTG drivers that should not
  have been enabled.
* Wed Dec  2 2009 gregkh@suse.de
- supported.conf: remove some usb drivers that were deleted or renamed.
* Wed Dec  2 2009 gregkh@suse.de
- supported.conf: update usb driver section
* Wed Dec  2 2009 mmarek@suse.cz
- rpm/check-supported-list: Skip modules in Documentation and
  drivers/staging.
* Wed Dec  2 2009 jbenc@suse.cz
- patches.fixes/mac80211-fix-remote-DoS.patch: mac80211: fix
  remote DoS (bnc#558267).
* Tue Dec  1 2009 tiwai@suse.de
- Forward-port 11.2 patches:
  patches.drivers/alsa-sp1-hda-18-msi-wind-u115-fix: ALSA: hda -
    Add a position_fix quirk for MSI Wind U115.
  patches.drivers/alsa-sp1-hda-19-cx5047-test-mode-fix: ALSA:
    hda - Fix Cxt5047 test mode (bnc#559062).
  patches.drivers/alsa-sp1-hda-20-fsc-amilo-pi1505-fix: ALSA:
    hda - Add a pin-fix for FSC Amilo Pi1505 (bnc#557403).
  patches.drivers/alsa-sp1-hda-21-hp-dv3-position-fix-quirk:
    ALSA: hda - Add position_fix quirk for HP dv3 (bnc#555935).
* Tue Dec  1 2009 jeffm@suse.com
- patches.fixes/megaraid_sas-fix-permissions-on-poll_mode_io:
  megaraid_sas: Fix permissions on poll_mode_io (bnc#557180
  CVE-2009-3939).
* Tue Dec  1 2009 jeffm@suse.com
- patches.arch/x86-64-add-comment-for-rodata-large-page-retainment:
  x86-64: add comment for RODATA large page retainment
  (bnc#558249).
- patches.arch/x86-64-align-rodata-kernel-section-to-2mb-with-config_debug_rodata:
  x86-64: align RODATA kernel section to 2MB with
  CONFIG_DEBUG_RODATA (bnc#558249).
- patches.arch/x86-64-preserve-large-page-mapping-for-1st-2mb-kernel-txt-with-config_debug_rodata:
  x86-64: preserve large page mapping for 1st 2MB kernel txt
  with CONFIG_DEBUG_RODATA (bnc#558249).
* Mon Nov 30 2009 teheo@suse.de
- needs_update: drop libata patches which are already included in
  2.6.31 vanilla.
* Mon Nov 30 2009 teheo@suse.de
- needs_update: drop patches which are already included in 2.6.31
  vanilla.
* Mon Nov 30 2009 teheo@suse.de
  Forward port two x86 patches from SLE11.
- needs_update:
- patches.arch/x86-fix-nodac: x86: fix iommu=nodac parameter
  handling (bnc#463829).
- patches.arch/x86-mcp51-no-dac: x86: disallow DAC for MCP51
  PCI bridge (bnc#463829).
* Mon Nov 30 2009 agraf@suse.de
- Update config files: Enable KSM (FATE#306513)
* Sat Nov 28 2009 gregkh@suse.de
- needs_update: acpi dock patch was hmacht's, not mine
* Sat Nov 28 2009 gregkh@suse.de
- needs_update: sysfs debugging crash patch is now upstream
* Sat Nov 28 2009 gregkh@suse.de
- needs_update: jeffm merged novfs patches into the main novfs patch.
* Sat Nov 28 2009 gregkh@suse.de
- needs_update: qualcomm modem driver is upstream
* Sat Nov 28 2009 gregkh@suse.de
- needs_update: squashfs is now upstream
* Sat Nov 28 2009 gregkh@suse.de
- needs_update: via driver bugfixes never went upstream, and people
  are complaining about them, so they were dropped.
* Sat Nov 28 2009 gregkh@suse.de
- needs_update: remove staging driver entries, they are all upstream.
* Sat Nov 28 2009 gregkh@suse.de
- needs_update: remove hv driver entries, those are upstream now.
* Sat Nov 28 2009 gregkh@suse.de
- needs_update: remove xen patches with my name on it.  Just because
  I refreshed the patch, doesn't mean I own it or even like the
  thing :)
* Sat Nov 28 2009 sjayaraman@suse.de
- patches.suse/SoN-11-mm-reserve.patch: Fix build errors in -trace
  and ppc64 flavors.
* Fri Nov 27 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Abort if supported modules depend on
  unsupported ones.
* Fri Nov 27 2009 mmarek@suse.cz
- supported.conf: mark cnic as supported (needed by bnx2i).
* Fri Nov 27 2009 jbenc@suse.cz
- patches.suse/panic-on-io-nmi-SLE11-user-space-api.patch: API
  fix: X86: sysctl to allow panic on IOCK NMI error (bnc#427979).
- patches.suse/kdb-common: Refresh.
- patches.suse/kdump-dump_after_notifier.patch: Refresh.
* Fri Nov 27 2009 jbohac@suse.cz
- patches.fixes/cpufreq_ondemand_performance_optimise_default_settings.patch:
  CPUFREQ: ondemand: Limit default sampling rate to 300ms
  max. (bnc#464461).
* Fri Nov 27 2009 trenn@suse.de
- needs_update:
  One I still have to send upstream, but it's nicer error output
  only, SP1 is fine in respect to removing all these, thanks.
* Fri Nov 27 2009 hare@suse.de
- Update config files: Compile in efivars module for
  x86_64 (FATE#306931).
* Fri Nov 27 2009 sjayaraman@suse.de
- needs_update:	sjayaraman's patches are either upstream already or
  rebased to SP1.
* Fri Nov 27 2009 sjayaraman@suse.de
- Update config files: NFS_SWAP=y.
* Fri Nov 27 2009 sjayaraman@suse.de
- patches.trace/lttng-instrumentation-swap.patch: Refresh and fix
  a build failure with fuzz factor 0.
* Fri Nov 27 2009 sjayaraman@suse.de
- Rebase Swap-over-NFS(SoN) patches:
- patches.xen/tmem: Refresh to accomodate changes due to SoN patches.
- patches.xen/xen3-auto-common.diff: Refresh to accomodate changes
  due to SoN patches.
* Fri Nov 27 2009 knikanth@suse.de
- needs_update: Verify knikanth's patches in SLE11 but not in SP1
- patches.fixes/dm-release-map_lock-before-set_disk_ro: Release
  md->map_lock before set_disk_ro  (bnc#556899 bnc#479784).
* Fri Nov 27 2009 nfbrown@suse.de
- Restore following patches from SLES11 that are still needed for
  SLES11-SP1
- patches.fixes/nfsd-05-sunrpc-cache-allow-thread-to-block-while-waiting-for.patch:
  sunrpc/cache: allow thread to block while waiting for cache
  update. (bnc#498708).
- patches.fixes/nfsd-06-sunrpc-cache-retry-cache-lookups-that-return-ETIMEDO.patch:
  sunrpc/cache: retry cache lookups that return -ETIMEDOUT
  (bnc#498708).
- patches.fixes/nfsd-07-nfsd-idmap-drop-special-request-deferal-in-favour-of.patch:
  nfsd/idmap: drop special request deferal in favour of improved
  default. (bnc#498708).
- patches.fixes/nfsd-09-fix-kabi: Fix kabi breakage in previous
  nfsd patch series (bnc#498708).
* Thu Nov 26 2009 coly.li@suse.de
- needs_update: remove patches item of coly.li, lmb and mfasheh.
- patches.fixes/dlm-enable-debug.patch: update the patch from SLES11
  to SLES11 SP1 tree.
* Thu Nov 26 2009 jslaby@suse.cz
- patches.fixes/make-note_interrupt-fast.diff: Fix performance
  regression on large IA64 systems (bnc #469589).
* Thu Nov 26 2009 mmarek@suse.cz
- rpm/old-packages.conf: obsolete kernel-kdump on ppc.
- config.conf: delete kdump configs.
- config/ppc/kdump: Delete.
- config/ppc64/kdump: Delete.
* Thu Nov 26 2009 duwe@suse.de
- patches.arch/ppc-extended_h_cede-Export_memory_sysdev_class:
  Refresh. Fix "typo", memory_sysdev_class should be exported
  only to GPL'ed modules.
* Thu Nov 26 2009 hare@suse.de
  Fixup patches for series2git:
- patches.xen/tmem: Refresh.
- patches.xen/xen3-auto-common.diff: Refresh.
* Thu Nov 26 2009 duwe@suse.de
- config.conf: disable build of ppc kdump flavours
  (FATE#304346)
* Thu Nov 26 2009 tiwai@suse.de
- patches.drivers/libata-missing-_SDD-is-not-an-error:
  libata-acpi: missing _SDD is not an error (bnc#551942).
* Thu Nov 26 2009 jbenc@suse.cz
- patches.fixes/mac80211-fix-spurious-delba-handling.patch:
  mac80211: fix spurious delBA handling (bnc#558267,
  CVE-2009-4026, CVE-2009-4027).
* Thu Nov 26 2009 tiwai@suse.de
- patches.drivers/sky2-add-register-definitions: sky2: add
  register definitions for new chips (bnc#544760).
- patches.drivers/sky2-88E8059-support: sky2: 88E8059 support
  (bnc#544760).
- patches.drivers/sky2-optima-tcp-offload-fix: net: Fix Yukon-2
  Optima TCP offload setup (bnc#544760).
- patches.drivers/sky2-optima-fix-pci-cfg: net: Add missing
  TST_CFG_WRITE bits around sky2_pci_write (bnc#544760).
* Thu Nov 26 2009 nfbrown@suse.de
- Update config files.
  disable CONFIG_MULTICOE_RAID456 as it is not yet stable.
  Enable CONFIG_ASYNC_TX_DMA for FATE#306368
* Thu Nov 26 2009 gregkh@suse.de
- clean up patch fuzz
* Thu Nov 26 2009 gregkh@suse.de
- patches.drivers/via-unichrome-drm-bugfixes.patch: Delete.
  it never went upstream, so we should drop it as well.
* Thu Nov 26 2009 tonyj@suse.de
- patches.trace/lttng-*: update for 2.6.32
- patches.trace/lttng-instrumentation-timer.patch: Delete.
- patches.xen/tmem: Refresh.
- patches.xen/xen3-auto-common.diff: Refresh.
* Thu Nov 26 2009 tonyj@suse.de
- patches.fixes/oprofile_bios_ctr.patch: detect oprofile counters
  reserved by bios (FATE#307426).
* Wed Nov 25 2009 jeffm@suse.com
- patches.fixes/netfilter-remove-pointless-config_nf_ct_acct-warning:
  netfilter: Remove pointless CONFIG_NF_CT_ACCT warning
  (bnc#552033 (and others)).
* Tue Nov 24 2009 hare@suse.de
- Update config files.
- patches.drivers/mpt-fusion-4.22.00.00-update: Update MPT Fusion
  driver to 4.22.00.00-suse (bnc#556587).
- patches.drivers/mpt-fusion-4.16.00.00-update: Delete.
* Tue Nov 24 2009 tiwai@suse.de
- patches.drivers/alsa-sp1-hda-17-fix-mute-LED-sync-idt92h383xxx:
  ALSA: hda - Fix mute-LED sync on HP laptops with IDT92HD83xxx
  codecs (bnc#547357).
* Tue Nov 24 2009 duwe@suse.de
- patches.arch/ppc-extended_h_cede-*: Increase power savings
  by allowing the core to sleep.
  (FATE##307059, bnc#550447)
* Tue Nov 24 2009 sjayaraman@suse.de
- patches.suse/kconfig-automate-kernel-desktop: automate a few config
  options for kernel-desktop (FATE#305694).
* Tue Nov 24 2009 agraf@suse.de
- patches.arch/kvm-only-export-selected-pv-ops-feature-structs:
  Update references (bnc#556135, FATE#306453).
- patches.arch/kvm-replace-kvm-io-delay-pv-ops-with-linux-magic:
  Update references (bnc#556135, FATE#306453).
- patches.arch/kvm-split-paravirt-ops-by-functionality: Update
  references (bnc#556135, FATE#306453).
- patches.arch/kvm-split-the-KVM-pv-ops-support-by-feature:
  Update references (bnc#556135, FATE#306453).
* Mon Nov 23 2009 jeffm@suse.com
- Enabled:
  patches.fixes/enclosure-fix-oops-while-iterating-enclosure_status-array
* Mon Nov 23 2009 jkosina@suse.de
- patches.arch/x86-crypto-add-ghash-algorithm-test.patch: crypto:
  Add ghash algorithm test before provide to users (FATE#306883,
  bnc#554578).
* Mon Nov 23 2009 jkosina@suse.de
- patches.arch/x86-crypto-pclmulqdq-accelerated-implementation.patch:
  incorporate "ghash - put proper .data section in place" fix
* Mon Nov 23 2009 sjayaraman@suse.de
- Update config files.
  - Add new options KERNEL_DESKTOP and DEFAULT_VM_DIRTY_RATIO.
  - Enable KERNEL_DESKTOP for only desktop flavor.
* Mon Nov 23 2009 sjayaraman@suse.de
- patches.suse/mm-tune-dirty-limits.patch: mm: Make default
  VM dirty ratio configurable to suit different workloads
  (bnc#552883).
* Fri Nov 20 2009 mmarek@suse.cz
- rpm/kernel-syms.spec.in, rpm/mkspec: build kernel-syms only for
  supported architectures.
* Fri Nov 20 2009 jeffm@suse.com
- Enabled B43_PHY_LP=y for PHY support on certain b43 chips.
* Fri Nov 20 2009 mmarek@suse.cz
- patches.suse/export-sync_page_range: Revert "vfs: Remove
  generic_osync_inode() and sync_page_range{_nolock}()"
  (bnc#557231).
* Fri Nov 20 2009 jbeulich@novell.com
- patches.suse/init-move-populate_rootfs-back-to-start_kernel:
  Fix a bad-pointer warning.
* Fri Nov 20 2009 agruen@suse.de
- rpm/macros.kernel-source: Add kernel_module_package_moddir()
  macro for cross-distro compatibility (FATE 305225).
* Fri Nov 20 2009 jslaby@suse.cz
- patches.suse/rlim-0001-SECURITY-selinux-fix-update_rlimit_cpu-parameter.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0002-SECURITY-add-task_struct-to-setrlimit.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0003-core-add-task_struct-to-update_rlimit_cpu.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0004-sys_setrlimit-make-sure-rlim_max-never-grows.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0005-core-split-sys_setrlimit.patch: Update
  references (FATE#305733).
- patches.suse/rlim-0006-core-allow-setrlimit-to-non-current-tasks.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0007-core-optimize-setrlimit-for-current-task.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0008-FS-proc-make-limits-writable.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0009-core-posix-cpu-timers-cleanup-rlimits-usage.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0010-core-do-security-check-under-task_lock.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0011-resource-add-helpers-for-fetching-rlimits.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0012-IA64-use-helpers-for-rlimits.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0013-PPC-use-helpers-for-rlimits.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0014-S390-use-helpers-for-rlimits.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0015-SPARC-use-helpers-for-rlimits.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0016-X86-use-helpers-for-rlimits.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0017-FS-use-helpers-for-rlimits.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0018-MM-use-helpers-for-rlimits.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0019-core-use-helpers-for-rlimits.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0020-misc-use-helpers-for-rlimits.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0021-core-rename-setrlimit-to-do_setrlimit.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0022-core-implement-getprlimit-and-setprlimit-syscalls.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0023-unistd-add-__NR_-get-set-prlimit-syscall-numbers.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0024-COMPAT-add-get-put_compat_rlimit.patch:
  Update references (FATE#305733).
- patches.suse/rlim-0025-x86-add-ia32-compat-prlimit-syscalls.patch:
  Update references (FATE#305733).
* Fri Nov 20 2009 jslaby@suse.cz
- Add writable resource limits support
- patches.suse/perfmon2.patch: Refresh.
- patches.suse/rlim-0001-SECURITY-selinux-fix-update_rlimit_cpu-parameter.patch:
  SECURITY: selinux, fix update_rlimit_cpu parameter.
- patches.suse/rlim-0002-SECURITY-add-task_struct-to-setrlimit.patch:
  SECURITY: add task_struct to setrlimit.
- patches.suse/rlim-0003-core-add-task_struct-to-update_rlimit_cpu.patch:
  core: add task_struct to update_rlimit_cpu.
- patches.suse/rlim-0004-sys_setrlimit-make-sure-rlim_max-never-grows.patch:
  sys_setrlimit: make sure ->rlim_max never grows.
- patches.suse/rlim-0005-core-split-sys_setrlimit.patch: core:
  split sys_setrlimit.
- patches.suse/rlim-0006-core-allow-setrlimit-to-non-current-tasks.patch:
  core: allow setrlimit to non-current tasks.
- patches.suse/rlim-0007-core-optimize-setrlimit-for-current-task.patch:
  core: optimize setrlimit for current task.
- patches.suse/rlim-0008-FS-proc-make-limits-writable.patch:
  FS: proc, make limits writable.
- patches.suse/rlim-0009-core-posix-cpu-timers-cleanup-rlimits-usage.patch:
  core: posix-cpu-timers, cleanup rlimits usage.
- patches.suse/rlim-0010-core-do-security-check-under-task_lock.patch:
  core: do security check under task_lock.
- patches.suse/rlim-0011-resource-add-helpers-for-fetching-rlimits.patch:
  resource: add helpers for fetching rlimits.
- patches.suse/rlim-0012-IA64-use-helpers-for-rlimits.patch:
  IA64: use helpers for rlimits.
- patches.suse/rlim-0013-PPC-use-helpers-for-rlimits.patch: PPC:
  use helpers for rlimits.
- patches.suse/rlim-0014-S390-use-helpers-for-rlimits.patch:
  S390: use helpers for rlimits.
- patches.suse/rlim-0015-SPARC-use-helpers-for-rlimits.patch:
  SPARC: use helpers for rlimits.
- patches.suse/rlim-0016-X86-use-helpers-for-rlimits.patch: X86:
  use helpers for rlimits.
- patches.suse/rlim-0017-FS-use-helpers-for-rlimits.patch: FS:
  use helpers for rlimits.
- patches.suse/rlim-0018-MM-use-helpers-for-rlimits.patch: MM:
  use helpers for rlimits.
- patches.suse/rlim-0019-core-use-helpers-for-rlimits.patch:
  core: use helpers for rlimits.
- patches.suse/rlim-0020-misc-use-helpers-for-rlimits.patch:
  misc: use helpers for rlimits.
- patches.suse/rlim-0021-core-rename-setrlimit-to-do_setrlimit.patch:
  core: rename setrlimit to do_setrlimit.
- patches.suse/rlim-0022-core-implement-getprlimit-and-setprlimit-syscalls.patch:
  core: implement getprlimit and setprlimit syscalls.
- patches.suse/rlim-0023-unistd-add-__NR_-get-set-prlimit-syscall-numbers.patch:
  unistd: add __NR_[get|set]prlimit syscall numbers.
- patches.suse/rlim-0024-COMPAT-add-get-put_compat_rlimit.patch:
  COMPAT: add get/put_compat_rlimit.
- patches.suse/rlim-0025-x86-add-ia32-compat-prlimit-syscalls.patch:
  x86: add ia32 compat prlimit syscalls.
* Fri Nov 20 2009 bphilips@suse.de
- patches.drivers/phy-broadcom-bug-fixes-for-sp1.patch:
  phy/broadcom: bug fixes for SP1 (FATE#307117, bnc#556234).
- patches.drivers/tg3-update-version-to-3.104.patch: tg3: Update
  version to 3.104 (bnc#556234, FATE#307117).
* Fri Nov 20 2009 bphilips@suse.de
- patches.drivers/phy-broadcom-bug-fixes-for-sp1.patch:
  phy/broadcom: bug fixes for SP1 (FATE#307117, bnc#556234).
- patches.drivers/tg3-update-version-to-3.104.patch: tg3: Update
  version to 3.104 (bnc#556234, FATE#307117).
* Fri Nov 20 2009 hare@suse.de
- patches.drivers/megaraid-04.12-update: megaraid: Update
  megaraid_sas to version 04.12 (FATE#307125).
* Fri Nov 20 2009 bphilips@suse.de
- patches.drivers/bnx2-entropy-source.patch: bnx2: entropy source
  (FATE#307517).
- patches.drivers/e1000-entropy-source.patch: Enable e1000 as
  entropy source (disabled by default) (FATE#307517).
- patches.drivers/e1000e-entropy-source.patch: Enable e1000e as
  entropy source (disabled by default) (FATE#307517).
- patches.drivers/igb-entropy-source.patch: Enable igb as entropy
  source (disabled by default) (FATE#307517).
- patches.drivers/ixgbe-entropy-source.patch: Enable ixgbe as
  entropy source (disabled by default) (FATE#307517).
- patches.drivers/tg3-entropy-source.patch: tg3: entropy source
  (FATE#307517).
* Fri Nov 20 2009 hare@suse.de
- patches.fixes/scsi-fix-bug-with-dma-maps-on-nested-scsi-objects:
  scsi_lib_dma: fix bug with dma maps on nested scsi objects
  (bnc#556595).
- patches.fixes/scsi-introduce-helper-function-for-blocking-eh:
  scsi_transport_fc: Introduce helper function for blocking
  scsi_eh (bnc#556595).
- patches.fixes/scsi-skip-nonscsi-device-for-dma: Delete.
* Fri Nov 20 2009 hare@suse.de
  Whitespace cleanup for series2git:
- patches.arch/s390-message-catalog.diff: Refresh.
- patches.drivers/aacraid-24701-update: Refresh.
- patches.suse/crasher-26.diff: Refresh.
- patches.suse/kdb-common: Refresh.
- patches.suse/kdb-ia64: Refresh.
- patches.suse/kdb-x86: Refresh.
- patches.suse/ocfs2-allocation-resrvations.patch: Refresh.
- patches.suse/perfmon2.patch: Refresh.
- patches.suse/perfmon2_ioctl.patch: Refresh.
- patches.suse/stack-unwind: Refresh.
* Fri Nov 20 2009 bphilips@suse.de
- patches.drivers/igb-add-support-for-82576NS-SerDes-adapter.patch:
  igb: add support for 82576NS SerDes adapter (FATE#306856).
* Fri Nov 20 2009 jbeulich@novell.com
- patches.suse/dm-mpath-evaluate-request-result-and-sense:
  Fix for !CONFIG_SCSI (in -ec2).
* Fri Nov 20 2009 mfasheh@suse.com
- patches.suse/ocfs2-allocation-resrvations.patch: ocfs2:
  allocation reservations (bnc#501563 FATE#307247).
* Fri Nov 20 2009 jjolly@suse.de
- patches.suse/perfmon2.patch: Refresh.
- patches.arch/x86-self-ptrace.patch: Delete. (bnc#554585,LTC#57794)
- patches.suse/self-ptrace.patch: Delete. (bnc#554585,LTC#57794)
* Fri Nov 20 2009 jeffm@suse.com
- Update to 2.6.32-rc8.
  - Eliminated 1 patch.
* Fri Nov 20 2009 jeffm@suse.de
- patches.fixes/enclosure-fix-oops-while-iterating-enclosure_status-array:
  enclosure: fix oops while iterating enclosure_status array
  (bnc#540997).
* Thu Nov 19 2009 tonyj@suse.de
- Update config files.
- patches.suse/perfmon2.patch: perfmon2 (FATE#303968).
- patches.suse/perfmon2_ioctl.patch: switch to ioctl interface
  for perfmon2.
- patches.suse/perfmon2_noutrace.patch: remove UTRACE code
  from perfmon2.
- patches.xen/xen3-patch-2.6.28: Refresh.
* Thu Nov 19 2009 jjolly@suse.de
- Update config files.
- patches.arch/s390-message-catalog.diff: Kernel message
  catalog. (bnc#549193,LTC#57210,FATE#306999).
- rpm/kernel-binary.spec.in:
* Thu Nov 19 2009 jbohac@suse.cz
- patches.suse/add-queue_depth-ramp-up-code.patch: add queue_depth
  ramp up code (fate#306857, fate#306859, bnc#551175).
- patches.suse/fcoe-add-a-separate-scsi-transport-template-for-npiv-vports.patch:
  fcoe: add a separate scsi transport template for NPIV vports
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/fcoe-add-check-to-fail-gracefully-in-bonding-mode.patch:
  fcoe: add check to fail gracefully in bonding mode (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/fcoe-call-ndo_fcoe_enable-disable-to-turn-fcoe-feature-on-off-in-lld.patch:
  fcoe: Call ndo_fcoe_enable/disable to turn FCoE feature on/off
  in LLD (fate#306857, fate#306859, bnc#551175).
- patches.suse/fcoe-fix-checking-san-mac-address.patch: fcoe: Fix
  checking san mac address (fate#306857, fate#306859, bnc#551175).
- patches.suse/fcoe-fix-getting-san-mac-for-vlan-interface.patch:
  fcoe: Fix getting san mac for VLAN interface (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/fcoe-fix-setting-lport-s-wwnn-wwpn-to-use-san-mac-address.patch:
  fcoe: Fix setting lport's WWNN/WWPN to use san mac address
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/fcoe-fix-using-vlan-id-in-creating-lport-s-wwwn-wwpn.patch:
  fcoe: Fix using VLAN ID in creating lport's WWWN/WWPN
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/fcoe-formatting-cleanups-and-commenting.patch:
  fcoe: Formatting cleanups and commenting (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/fcoe-increase-fcoe_max_lun-to-0xffff-65535.patch:
  fcoe: Increase FCOE_MAX_LUN to 0xFFFF (65535) (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/fcoe-initialize-return-value-in-fcoe_destroy.patch:
  fcoe: initialize return value in fcoe_destroy (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/fcoe-libfc-fix-an-libfc-issue-with-queue-ramp-down-in-libfc.patch:
  fcoe, libfc: fix an libfc issue with queue ramp down in libfc
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/fcoe-libfc-use-single-frame-allocation-api.patch:
  fcoe, libfc: use single frame allocation API (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/fcoe-npiv-vport-create-destroy.patch: fcoe: NPIV
  vport create/destroy (fate#306857, fate#306859, bnc#551175).
- patches.suse/fcoe-remove-extra-function-decalrations.patch:
  fcoe: remove extra function decalrations (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/fcoe-remove-redundant-checking-of-netdev-netdev_ops.patch:
  fcoe: remove redundant checking of netdev->netdev_ops
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/fcoe-use-netif_f_fcoe_mtu-flag-to-set-up-max-frame-size-lport-mfs.patch:
  fcoe: Use NETIF_F_FCOE_MTU flag to set up max frame size
  (lport->mfs) (fate#306857, fate#306859, bnc#551175).
- patches.suse/fcoe-vport-symbolic-name-support.patch: fcoe: vport
  symbolic name support (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-add-host-number-to-lport-link-up-down-messages.patch:
  libfc: add host number to lport link up/down
  messages. (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-add-libfc-fc_libfc-ch-for-libfc-internal-routines.patch:
  libfc: Add libfc/fc_libfc.[ch] for libfc internal routines
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-add-queue_depth-ramp-up.patch: libfc:
  add queue_depth ramp up (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-add-routine-to-copy-data-from-a-buffer-to-a-sg-list.patch:
  libfc: Add routine to copy data from a buffer to a SG list
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-add-set_fid-function-to-libfc-template.patch:
  libfc: add set_fid function to libfc template (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/libfc-add-some-generic-npiv-support-routines-to-libfc.patch:
  libfc: add some generic NPIV support routines to libfc
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-adds-can_queue-ramp-up.patch: libfc: adds
  can_queue ramp up (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-adds-missing-exch-release-for-accepted-rrq.patch:
  libfc: adds missing exch release for accepted RRQ (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/libfc-changes-to-libfc_host_alloc-to-consolidate-initialization-with-allocation.patch:
  libfc: changes to libfc_host_alloc to consolidate initialization
  with allocation (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-combine-name-server-registration-request-functions.patch:
  libfc: combine name server registration request functions
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-combine-name-server-registration-response-handlers.patch:
  libfc: combine name server registration response handlers
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-convert-to-scsi_track_queue_full.patch:
  libfc: convert to scsi_track_queue_full (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/libfc-do-not-use-did_no_connect-for-pkt-alloc-failures.patch:
  libfc: do not use DID_NO_CONNECT for pkt alloc
  failures. (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-don-t-warn_on-in-lport_timeout-for-reset-state.patch:
  libfc: don't WARN_ON in lport_timeout for RESET state
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-export-fc-headers.patch: libfc: Export FC
  headers (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-fcoe-add-fc-passthrough-support.patch: libfc,
  fcoe: Add FC passthrough support (fate#306857, fate#306859,
  bnc#551175).
- patches.suse/libfc-fcoe-don-t-export_symbols-unnecessarily.patch:
  libfc, fcoe: Don't EXPORT_SYMBOLS unnecessarily (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/libfc-fcoe-fixes-for-highmem-skb-linearize-panics.patch:
  libfc, fcoe: fixes for highmem skb linearize panics
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-fcoe-increase-els-and-ct-timeouts.patch:
  libfc fcoe: increase ELS and CT timeouts (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/libfc-fix-an-issue-of-pending-exch-es-after-i-f-destroyed-or-rmmod-fcoe.patch:
  libfc: fix an issue of pending exch/es after i/f destroyed or
  rmmod fcoe (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-fix-ddp-in-fc_fcp-for-0-xid.patch: libfc: fix
  ddp in fc_fcp for 0 xid (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-fix-fc_els_resp_type-to-correct-display-of-ct-responses.patch:
  libfc: fix fc_els_resp_type to correct display of CT responses
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-fix-frags-in-frame-exceeding-skb_max_frags-in-fc_fcp_send_data.patch:
  libfc: Fix frags in frame exceeding SKB_MAX_FRAGS in
  fc_fcp_send_data (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-fix-free-of-fc_rport_priv-with-timer-pending.patch:
  libfc: fix free of fc_rport_priv with timer pending
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-fix-memory-corruption-caused-by-double-frees-and-bad-error-handling.patch:
  libfc: fix memory corruption caused by double frees and bad
  error handling (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-fix-rnn_id-smashing-skb-payload.patch: libfc:
  fix RNN_ID smashing skb payload (fate#306857, fate#306859,
  bnc#551175).
- patches.suse/libfc-fix-symbolic-name-registrations-smashing-skb-data.patch:
  libfc: fix symbolic name registrations smashing skb data
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-fix-typo-in-retry-check-on-received-prli.patch:
  libfc: fix typo in retry check on received PRLI (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/libfc-fix-wrong-scsi-return-status-under-fc_data_undrun.patch:
  libfc: Fix wrong scsi return status under FC_DATA_UNDRUN
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-formatting-cleanups-across-libfc.patch:
  libfc: Formatting cleanups across libfc (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/libfc-libfcoe-fdisc-els-for-npiv.patch: libfc,
  libfcoe: FDISC ELS for NPIV (fate#306857, fate#306859,
  bnc#551175).
- patches.suse/libfc-lport-fix-minor-documentation-errors.patch:
  libfc: lport: fix minor documentation errors (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/libfc-move-libfc_init-and-libfc_exit-to-fc_libfc-c.patch:
  libfc: Move libfc_init and libfc_exit to fc_libfc.c
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-move-non-common-routines-and-prototypes-out-of-libfc-h.patch:
  libfc: Move non-common routines and prototypes out of libfc.h
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-reduce-can_queue-for-all-fcp-frame-allocation-failures.patch:
  libfc: reduce can_queue for all FCP frame allocation failures
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-register-fc4-features-with-the-fc-switch.patch:
  libfc: register FC4 features with the FC switch (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/libfc-register-symbolic-node-name-rsnn_nn.patch:
  libfc: Register Symbolic Node Name (RSNN_NN) (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/libfc-register-symbolic-port-name-rspn_id.patch:
  libfc: Register Symbolic Port Name (RSPN_ID) (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/libfc-remove-fc_fcp_complete.patch: libfc: Remove
  fc_fcp_complete (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-remove-unused-fc_lport-pointer-from-fc_fcp_pkt_abort.patch:
  libfc: Remove unused fc_lport pointer from fc_fcp_pkt_abort
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-removes-initializing-fc_cpu_order-and-fc_cpu_mask-per-lport.patch:
  libfc: removes initializing fc_cpu_order and fc_cpu_mask per
  lport (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-removes-unused-disc_work-and-ex_list.patch:
  libfc: removes unused disc_work and ex_list (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/libfc-rnn_id-may-be-required-before-rsnn_nn-with-some-switches.patch:
  libfc: RNN_ID may be required before RSNN_NN with some switches
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfc-rpn_id-is-obsolete-and-unnecessary.patch:
  libfc: RPN_ID is obsolete and unnecessary (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/libfc-vport-link-handling-and-fc_vport-state-managment.patch:
  libfc: vport link handling and fc_vport state managment
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfcoe-allow-fip-to-be-disabled-by-the-driver.patch:
  libfcoe: Allow FIP to be disabled by the driver (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/libfcoe-do-not-pad-fip-keep-alive-to-full-frame-size.patch:
  libfcoe: Do not pad FIP keep-alive to full frame size
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfcoe-don-t-send-els-in-fip-mode-if-no-fcf-selected.patch:
  libfcoe: don't send ELS in FIP mode if no FCF selected
  (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfcoe-fcoe-libfcoe-npiv-support.patch:
  libfcoe, fcoe: libfcoe NPIV support (fate#306857, fate#306859,
  bnc#551175).
- patches.suse/libfcoe-fcoe-simplify-receive-flogi-response.patch:
  libfcoe: fcoe: simplify receive FLOGI response (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/libfcoe-fip-allow-fip-receive-to-be-called-from-irq.patch:
  libfcoe: fip: allow FIP receive to be called from
  IRQ. (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfcoe-fip-should-report-link-to-libfc-whether-selected-or-not.patch:
  libfcoe: FIP should report link to libfc whether selected or
  not (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfcoe-fip-use-scsi-host-number-to-identify-debug-messages.patch:
  libfcoe: fip: use SCSI host number to identify debug
  messages. (fate#306857, fate#306859, bnc#551175).
- patches.suse/libfcoe-formatting-and-comment-cleanups.patch:
  libfcoe: formatting and comment cleanups (fate#306857,
  fate#306859, bnc#551175).
- patches.suse/modify-change_queue_depth-to-take-in-reason-why-it-is-being-called.patch:
  modify change_queue_depth to take in reason why it is being
  called (fate#306857, fate#306859, bnc#551175).
- patches.suse/scsi-error-have-scsi-ml-call-change_queue_depth-to-handle-queue_full.patch:
  scsi error: have scsi-ml call change_queue_depth to handle
  QUEUE_FULL (fate#306857, fate#306859, bnc#551175).
* Thu Nov 19 2009 hare@suse.de
- patches.suse/dm-mpath-accept-failed-paths: Fixup patch to apply.
* Thu Nov 19 2009 hare@suse.de
  Port patches from SLES11:
- patches.fixes/scsi-dh-queuedata-accessors: Kernel bug triggered
  in multipath (bnc#486001).
- patches.suse/dm-mpath-accept-failed-paths: Refresh.
- patches.suse/dm-mpath-detach-existing-hardware-handler:
  multipath: detach existing hardware handler if none was
  specified.
- patches.suse/dm-mpath-requeue-for-stopped-queue: Delete.
* Thu Nov 19 2009 hare@suse.de
- patches.suse/dm-mpath-evaluate-request-result-and-sense:
  multipath: Evaluate request result and sense code
  (FATE#303695,bnc#433920,bnc#442001).
* Thu Nov 19 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Kill support for kernel-$flavor
  symbols, we need a unified kernel-source for all flavors.
* Thu Nov 19 2009 hare@suse.de
- patches.fixes/bnx2i-use-common-iscsi-suspend-queue: bnx2i:
  use common iscsi suspend queue (FATE#307215).
- patches.fixes/iscsi-class-modify-handling-of-replacement-time:
  iscsi class: modify handling of replacement timeout
  (FATE#307215).
- patches.fixes/iser-set-tgt-and-lu-reset-timeout: iser: set
  tgt and lu reset timeout (FATE#307215).
- patches.fixes/libiscsi-add-warm-target-reset-tmf-support:
  libiscsi: add warm target reset tmf support (FATE#307215).
- patches.fixes/libiscsi-check-tmf-state-before-sending-pdu:
  libiscsi: Check TMF state before sending PDU (FATE#307215).
- patches.fixes/libiscsi-fix-login-text-checks-in-pdu-inject:
  libiscsi: fix login/text checks in pdu injection code
  (FATE#307215).
- patches.fixes/scsi-add-scsi-target-reset-support-to-ioctl:
  add scsi target reset support to scsi ioctl.
- patches.fixes/scsi-devinfo-update-hitachi-entries: scsi_devinfo:
  update Hitachi entries (v2).
- patches.fixes/scsi-fc-class-failfast-bsg-requests: [SCSI]
  fc class: fail fast bsg requests.
- patches.drivers/cxgb3i: Delete.
- patches.drivers/cxgb3i-fixed-offload-array-size: Delete.
- patches.fixes/disable-lro-per-default: Delete.
* Thu Nov 19 2009 hare@suse.de
- patches.fixes/scsi_dh-always-attach-sysfs: scsi_dh: create
  sysfs file, dh_state for all SCSI disk devices.
- patches.fixes/scsi_dh-change-activate-interface: scsi_dh: Change
  the scsidh_activate interface to be asynchronous (bnc#556144).
- patches.fixes/scsi_dh-make-alua-handler-asynchronous: scsi_dh:
  Make alua hardware handler's activate() async (bnc#556144).
- patches.fixes/scsi_dh-make-hp_sw-handler-asynchronous: scsi_dh:
  Make hp hardware handler's activate() async (bnc#556144).
- patches.fixes/scsi_dh-make-rdac-handler-asynchronous: scsi_dh:
  Make rdac hardware handler's activate() async (bnc#556144).
* Thu Nov 19 2009 hare@suse.de
- patches.drivers/qla4xxx-5.01.00-k8_sles11-03-update: Delete.
- patches.drivers/qla4xxx-sles11-update: Delete.
* Thu Nov 19 2009 hare@suse.de
- Update config files.
- patches.drivers/hpsa: hpsa: New driver SCSI driver for HP
  Smart Array (FATE#307153,bnc#555855).
- supported.conf: Mark hpsa as supported.
* Thu Nov 19 2009 jjolly@suse.de
- patches.arch/s390-01-qeth-isolation.patch: qeth: Exploit QDIO
  Data Connection Isolation (bnc#555199,LTC#57826,FATE#307015).
- patches.arch/s390-02-01-cex3-init-msg.patch:
  zcrypt: initialize ap_messages for cex3 exploitation
  (bnc#555200,LTC#57825,FATE#307112).
- patches.arch/s390-02-02-cex3-special-command.patch:
  zcrypt: special command support for cex3 exploitation
  (bnc#555200,LTC#57825,FATE#307112).
- patches.arch/s390-02-03-cex3-device.patch: zcrypt: add support
  for cex3 device types (bnc#555200,LTC#57825,FATE#307112).
- patches.arch/s390-02-04-cex3-use-def.patch: zcrypt: use
  definitions for cex3 (bnc#555200,LTC#57825,FATE#307112).
- patches.arch/s390-02-05-zcrypt-speed-cex2c.patch:
  zcrypt: adjust speed rating between cex2 and pcixcc
  (bnc#555200,LTC#57825,FATE#307112).
- patches.arch/s390-02-06-zcrypt-speed-cex3.patch:
  zcrypt: adjust speed rating of cex3 adapters
  (bnc#555200,LTC#57825,FATE#307112).
- patches.arch/s390-sles11sp1-01-qeth-isolation.patch: Delete.
* Thu Nov 19 2009 jjolly@suse.de
- patches.arch/s390-sles11sp1-01-qeth-isolation.patch:
  qeth: Exploit QDIO Data Connection Isolation
  (bnc#555199,LTC#57826,FATE#307015).
* Wed Nov 18 2009 jeffm@suse.com
- scripts/sequence-patch.sh: Add automatic generation of supported
  modules list.
* Wed Nov 18 2009 jeffm@suse.com
- Update config files: Enable CONFIG_ACPI_CUSTOM_OVERRIDE_INITRAMFS
* Wed Nov 18 2009 jeffm@suse.com
- patches.suse/acpi-generic-initramfs-table-override-support:
  ACPI: generic initramfs table override support (bnc#533555).
- patches.suse/init-move-populate_rootfs-back-to-start_kernel:
  init: move populate_rootfs back to start_kernel (bnc#533555).
* Wed Nov 18 2009 jkosina@suse.de
- patches.arch/x86-crypto-pclmulqdq-accelerated-implementation.patch:
  incorporate "crypto: ghash-intel - Hard-code pshufb" fix
* Wed Nov 18 2009 jeffm@suse.com
- patches.suse/hung_task_timeout-configurable-default:
  hung_task_timeout: configurable default (bnc#552820).
  - Default to runtime-disabled on all flavors except debug.
* Wed Nov 18 2009 agraf@suse.de
- patches.fixes/kvm-ioapic.patch: Ignore apic polarity
  (bnc#556564).
- patches.fixes/kvm-macos.patch: Implement some missing intercepts
  so osx doesn't blow up (bnc#556564).
* Wed Nov 18 2009 hare@suse.de
- supported.conf: mark missing 10Gb drivers as supported
  (bnc#555793)
* Wed Nov 18 2009 hare@suse.de
- patches.drivers/aacraid-24701-update: Problems with aacraid
  (bnc#524242,FATE#307437).
* Wed Nov 18 2009 hare@suse.de
  Cleanup patches for series2git:
- patches.apparmor/apparmor.diff: Refresh.
- patches.suse/Cleanup-and-make-boot-splash-work-with-KMS.patch:
  Refresh.
- patches.suse/bootsplash: Refresh.
- patches.suse/nfs4acl-ext3.diff: Refresh.
- patches.suse/silent-stack-overflow-2.patch: Refresh.
- patches.suse/suse-ppc32-mol.patch: Refresh.
- patches.suse/xfs-dmapi-src: Refresh.
* Wed Nov 18 2009 agraf@suse.de
- Update config files to enable pv-ops for KVM clock. (bnc#556135)
* Wed Nov 18 2009 tiwai@suse.de
- patches.drivers/alsa-sp1-hda-01-select-ibexpeak-handler: ALSA:
  hda - select IbexPeak handler for Calpella (FATE#306783).
- patches.drivers/alsa-sp1-hda-02-vectorize-get_empty_pcm_device:
  ALSA: hda - vectorize get_empty_pcm_device() (FATE#306783).
- patches.drivers/alsa-sp1-hda-03-allow-up-to-4-HDMI: ALSA:
  hda - allow up to 4 HDMI devices (FATE#306783).
- patches.drivers/alsa-sp1-hda-04-convert-intelhdmi-global-references:
  ALSA: hda - convert intelhdmi global references to local
  parameters (FATE#306783).
- patches.drivers/alsa-sp1-hda-05-remove-intelhdmi-dependency-on-multiout:
  ALSA: hda - remove intelhdmi dependency on multiout
  (FATE#306783).
- patches.drivers/alsa-sp1-hda-06-use-pcm-prepare-callbacks-for-intelhdmi:
  ALSA: hda - use pcm prepare/cleanup callbacks for intelhdmi
  (FATE#306783).
- patches.drivers/alsa-sp1-hda-07-reorder-intelhemi-prepare-callbacks:
  ALSA: hda - reorder intelhdmi prepare/cleanup callbacks
  (FATE#306783).
- patches.drivers/alsa-sp1-hda-08-vectorize-intelhdmi: ALSA:
  hda - vectorize intelhdmi (FATE#306783).
- patches.drivers/alsa-sp1-hda-09-get-intelhtemi-max-channels:
  ALSA: hda - get intelhdmi max channels from widget caps
  (FATE#306783).
- patches.drivers/alsa-sp1-hda-10-auto-parse-intelhdmi-cvt-pin:
  ALSA: hda - auto parse intelhdmi cvt/pin configurations
  (FATE#306783).
- patches.drivers/alsa-sp1-hda-11-remove-static-intelhdmi-config:
  ALSA: hda - remove static intelhdmi configurations
  (FATE#306783).
- patches.drivers/alsa-sp1-hda-12-reset-pins-idt-codec-free:
  ALSA: hda - Reset pins of IDT/STAC codecs at free (bnc#544779).
- patches.drivers/alsa-sp1-hda-13-add-reboot-notifier: ALSA:
  hda - Add reboot notifier to each codec (bnc#544779).
- patches.drivers/alsa-sp1-hda-14-add-missing-export: ALSA: hda -
  Add missing export for snd_hda_bus_reboot_notify (bnc#544779).
- patches.drivers/alsa-sp1-hda-15-fix-build-warning: ALSA: hda -
  Add a proper ifdef to a debug code (FATE#306783).
- patches.drivers/alsa-sp1-hda-16-stac-dual-headphones-fix:
  ALSA: hda - Fix detection of dual headphones (bnc#556532).
* Wed Nov 18 2009 jkosina@suse.de
- patches.arch/x86-crypto-pclmulqdq-accelerated-implementation.patch:
  crypto: ghash - Add PCLMULQDQ accelerated implementation
  (FATE#306883, bnc#554578).
- Update config files: set CRYPTO_GHASH_CLMUL_NI_INTEL=m
- patches.xen/xen3-patch-2.6.28: Refresh to apply cleanly
* Wed Nov 18 2009 agraf@suse.de
- patches.arch/kvm-only-export-selected-pv-ops-feature-structs:
  Only export selected pv-ops feature structs (bnc#556135).
- patches.arch/kvm-replace-kvm-io-delay-pv-ops-with-linux-magic:
  Replace kvm io delay pv-ops with linux magic (bnc#556135).
- patches.arch/kvm-split-paravirt-ops-by-functionality: Split
  paravirt ops by functionality (bnc#556135).
- patches.arch/kvm-split-the-KVM-pv-ops-support-by-feature:
  Split the KVM pv-ops support by feature (bnc#556135).
- patches.xen/xen3-patch-2.6.23: Refresh.
- patches.xen/xen3-patch-2.6.31: Refresh.
* Wed Nov 18 2009 teheo@suse.de
- patches.suse/kbuild-icecream-workaround: Delete.
* Wed Nov 18 2009 trenn@suse.de
- Update config files.
  Also enable CONFIG_DMAR (fate#306796) for vanilla flavors
* Wed Nov 18 2009 trenn@suse.de
- Update config files.
  Do the same for i386
* Wed Nov 18 2009 trenn@suse.de
- Update config files.
  Enabling CONFIG_DMAR (fate#306796), introduces these changes:
    +CONFIG_HAVE_INTEL_TXT=y
  - # CONFIG_DMAR is not set
    +CONFIG_DMAR=y
    +# CONFIG_DMAR_DEFAULT_ON is not set
    +CONFIG_DMAR_FLOPPY_WA=y
    +# CONFIG_INTEL_TXT is not set
  Done for x86_64 for now only.
* Tue Nov 17 2009 jkosina@suse.de
- patches.fixes/hid-fixup-ncr-quirk.patch: HID: fixup quirk for
  NCR devices (bnc#548807).
* Fri Nov 13 2009 mmarek@suse.cz
- rpm/*.spec.in, rpm/kernel-module-subpackage: add
  Provides: multiversion(kernel) to binary kernel packages,
  kernel-source, kernel-syms and all KMPs so that zypp can be
  configured to keep multiple versions of these packages
  (fate#305311).
* Fri Nov 13 2009 npiggin@suse.de
- Disable LGUEST on x86 32. It doesn't build properly without PARAVIRT.
* Wed Nov 11 2009 jack@suse.cz
- patches.fixes/zisofs-large-pagesize-read.patch: zisofs:
  Implement reading of compressed files when PAGE_CACHE_SIZE >
  compress block size (bnc#540349).
* Wed Nov 11 2009 npiggin@suse.de
- Update config files.
* Wed Nov 11 2009 npiggin@suse.de
- Disable PARAVIRT_GUEST on x86 32 and 64.
* Tue Nov 10 2009 teheo@suse.de
- patches.drivers/libata-ahci-aspire-3810t-noncq: ahci: disable
  NCQ on Aspire 3810t (bnc#522790).
* Tue Nov 10 2009 npiggin@suse.de
- Update config files.
* Tue Nov 10 2009 npiggin@suse.de
- Update config files. Disable CONFIG_CC_STACKPROTECTOR on all
  x86 kernels except debug. Overhead is prohibitive.
* Mon Nov  9 2009 npiggin@suse.de
- patches.suse/files-slab-rcu.patch: SLAB_DESTROY_BY_RCU for
  file slab.
* Mon Nov  9 2009 npiggin@suse.de
- Update config files. Vanilla doesn't have unwinder, trace selects
  options which select frame pointers.
* Mon Nov  9 2009 npiggin@suse.de
- Disable FRAME_POINTER on i386 and x86-64, all kernels. Unwind info
  should provide all this functionality.
* Mon Nov  9 2009 nfbrown@suse.de
- patches.fixes/nfs-honour-server-preferred-io-size: NFS: Honour
  server-preferred io sizes (bnc#550648).
* Mon Nov  9 2009 nfbrown@suse.de
- patches.fixes/nfs-slot-table-alloc: Don't fail allocations
  for the slot table when mounting an NFS filesystem (bnc#519820).
* Fri Nov  6 2009 trenn@suse.de
- patches.arch/x86_amd_fix_erratum_63.patch: x86/amd-iommu:
  Workaround for erratum 63 (bnc#548274).
* Fri Nov  6 2009 jeffm@suse.de
- Disabled PARAVIRT_GUEST on ia64/trace and ia64/vanilla.
* Fri Nov  6 2009 trenn@suse.de
- patches.suse/kdb_x86_fix_hang.patch: X86 KDB: Reduce timeout
  for blinking LEDs (bnc#528811).
* Fri Nov  6 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: fix last change.
* Fri Nov  6 2009 jbeulich@novell.com
- Update Xen patches to 2.6.32-rc6 and c/s 941.
- Update Xen config files.
- supported.conf: Add domctl.
* Fri Nov  6 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: add the /lib/modules/.../{source,devel}
  symlinks to the -devel package (bnc#548728).
* Fri Nov  6 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: obsolete kvm-kmp.
* Thu Nov  5 2009 jeffm@suse.com
- Update to 2.6.32-rc6.
  - 2 patches eliminated
  - NR_CPUS=4096 on ia64/vanilla again
* Thu Nov  5 2009 jeffm@suse.com
- Performance: Disabled CONFIG_PARAVIRT on all flavors.
* Thu Nov  5 2009 mmarek@suse.cz
- Delete unused 2.6.31.y patches.
* Thu Nov  5 2009 mmarek@suse.cz
- supported.conf: add libfcoe and fix typo.
* Thu Nov  5 2009 mmarek@suse.cz
- supported.conf: update so that supported modules don't require
  unsupported ones by adding following modules: async_pq
  async_raid6_recov ath blkback_pagemap crypto_hash drm_kms_helper
  fddi fscache lib80211 libfcoe libipw libiscsi_tcp llc md_mod mdio
  mfd_core nf_defrag_ipv4 p8022 psnap raid6_pq tr ttm ucb1400_core
  v4l2_compat_ioctl32.
* Thu Nov  5 2009 mmarek@suse.cz
- config.conf: remove kernel-ps3-devel (does not exist) and
  kernel-debug-devel (not needed most of the time) from
  kernel-syms.
* Thu Nov  5 2009 hare@suse.de
- Update config files: Set CONFIG_HZ to 100 for zSeries
  (bnc#552564).
* Thu Nov  5 2009 hare@suse.de
- Update config files: Increase MAX_RAW_DEVS to 4096 on
  zSeries (bnc#552565).
* Thu Nov  5 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: delete stray text.
* Tue Nov  3 2009 mmarek@suse.cz
- config.conf: remove the ec2 flavor from kernel-syms, most KMPs
  don't make any sense on ec2
  (http://lists.opensuse.org/opensuse-kernel/2009-11/msg00001.html).
* Mon Nov  2 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: obsolete also brocade-bfa-kmp.
* Mon Nov  2 2009 mmarek@suse.cz
- rpm/kernel-source.spec.in: add split-modules to the src.rpm.
* Mon Nov  2 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: obsolete enic-kmp and fnic-kmp.
* Mon Nov  2 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: obsolete kmps by their full name, not
  just the foo-kmp virtual dependency (bnc#472410).
* Thu Oct 29 2009 tonyj@suse.de
- Update ppc/ps3 config for CONFIG_UTRACE
* Thu Oct 29 2009 tonyj@suse.de
- patches.trace/utrace-core: Update for SP1 (FATE# 304321)
* Wed Oct 28 2009 nfbrown@suse.de
- patches.fixes/nfsd-acl.patch: nfsd: Fix sort_pacl in
  fs/nfsd/nf4acl.c to actually sort groups (bnc#549748).
* Wed Oct 28 2009 jdelvare@suse.de
- Update config files:
  CONFIG_NTFS_FS=n
  We handle NTFS through FUSE these days.
* Tue Oct 27 2009 jbohac@suse.cz
- Update config files:
  CONFIG_NETLABEL=y
  CONFIG_SECURITY_NETWORK_XFRM=y
  (fate#307284)
* Tue Oct 27 2009 jkosina@suse.de
- patches.fixes/sched-move-rq_weight-data-array-out-of-percpu:
  fix compilation failure for configs with CONFIG_SMP=n and
  CONFIG_FAR_GROUP_SCHED=y
* Tue Oct 27 2009 jbeulich@novell.com
- Update config files (MINIX_FS=m globally, NTFS_FS off for -ec2).
- supported.conf: Add fs/minix.
* Tue Oct 27 2009 jkosina@suse.de
- patches.fixes/percpu-allow-pcpu_alloc-to-be-called-with-IRQs-off:
  percpu: allow pcpu_alloc() to be called with IRQs off
  (bnc#548119).
- patches.fixes/sched-move-rq_weight-data-array-out-of-percpu:
  Update to newer version which is going to be merged upstream.
* Fri Oct 23 2009 jeffm@suse.com
- Update to 2.6.32-rc5-git3.
* Fri Oct 23 2009 mmarek@suse.cz
- Update config files: set NR_CPUS back to 2048 for ia64/vanilla
  until there is a fix in mainline.
* Fri Oct 23 2009 mmarek@suse.cz
- patches.fixes/sched-move-rq_weight-data-array-out-of-percpu:
  fix for !CONFIG_SMP.
* Fri Oct 23 2009 mmarek@suse.cz
- patches.suse/Cleanup-and-make-boot-splash-work-with-KMS.patch:
  Cleanup and make boot splash work with KMS (bnc#544645).
* Thu Oct 22 2009 jeffm@suse.com
- Re-enabled NR_CPUS=4096 on ia64.
- patches.fixes/sched-move-rq_weight-data-array-out-of-percpu:
  sched: move rq_weight data array out of .percpu (bnc#548119).
* Tue Oct 20 2009 jbeulich@novell.com
- Update x86-64 Xen config file (NR_CPUS=512).
- Refresh a few Xen patches.
- rpm/kernel-binary.spec.in: Handle -ec2 flavor.
- rpm/package-descriptions: Describe -ec2 flavor.
- rpm/post.sh: Handle -ec2 flavor.
* Tue Oct 20 2009 jbeulich@novell.com
- patches.fixes/use-totalram_pages: Delete.
* Tue Oct 20 2009 jbeulich@novell.com
- config.conf: Add -ec2 configs (fate#305273)
- Add ec2 config files.
- patches.xen/xen-unpriv-build: No need to build certain bits
  when building non-privileged kernel.
- supported.conf: Add fs/nls/nls_base.
* Mon Oct 19 2009 jeffm@suse.com
- Temporarily reduce NR_CPUS to 2048 on ia64 to avoid build
  failures (bnc#548119)
* Mon Oct 19 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: [s390x] ignore errors from
  dwarfextract for now.
* Fri Oct 16 2009 jeffm@suse.com
- Update config files.
* Fri Oct 16 2009 jeffm@suse.com
- Update to 2.6.32-rc5.
* Fri Oct 16 2009 mmarek@suse.de
- patches.rpmify/ia64-sn-fix-percpu-warnings: ia64/sn: fix
  percpu warnings.
* Fri Oct 16 2009 mmarek@suse.de
- Update config files: disable MTD_GPIO_ADDR, VME_CA91CX42 and
  VME_TSI148 on ia64 to fix build.
* Fri Oct 16 2009 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.32-rc4: Fix AGP for PowerPC.
* Fri Oct 16 2009 jbeulich@novell.com
- Update Xen patches to 2.6.32-rc4 and c/s 938.
- config.conf: Re-enable Xen.
- Update x86 config files.
* Tue Oct 13 2009 jeffm@suse.com
- patches.rpmify/staging-missing-sched.h: Added missing sites.
* Mon Oct 12 2009 jeffm@suse.com
- patches.rpmify/staging-missing-sched.h: staging: Complete
  sched.h removal from interrupt.h.
* Mon Oct 12 2009 jeffm@suse.de
- patches.apparmor/ptrace_may_access-fix: apparmor:
  ptrace_may_access -> ptrace_access_check.
* Mon Oct 12 2009 jeffm@suse.de
- Update config files.
* Mon Oct 12 2009 jeffm@suse.de
- Updated to 2.6.32-rc4.
  - Eliminated 4 patches.
  - Refreshed context.
* Mon Oct 12 2009 jeffm@suse.de
- patches.apparmor/apparmor.diff: Refresh and enable.
* Fri Oct  9 2009 jeffm@suse.de
- Cleanup unused patches:
  - patches.fixes/iwl3945-fix-rfkill.patch: Delete.
  - patches.fixes/iwlagn-fix-rfkill.patch: Delete.
  - patches.suse/kdb-serial-8250: Delete.
  - patches.suse/kdb-sysctl-context: Delete.
* Fri Oct  9 2009 jeffm@suse.de
- patches.fixes/scsi-add-tgps-setting: Refresh and re-enable.
* Fri Oct  9 2009 jeffm@suse.de
- patches.arch/x86_64-hpet-64bit-timer.patch: Refresh and re-enable.
* Fri Oct  9 2009 jeffm@suse.de
- patches.suse/kbuild-icecream-workaround: Refresh and re-enable.
* Fri Oct  9 2009 jeffm@suse.de
- patches.rpmify/spin_is_contended-fix: Delete.
* Fri Oct  9 2009 jeffm@suse.de
- patches.arch/mm-avoid-bad-page-on-lru: Refresh and re-enable.
* Fri Oct  9 2009 jeffm@suse.de
- Update vanilla config files.
* Fri Oct  9 2009 jeffm@suse.de
- Update to 2.6.32-rc3.
* Fri Oct  9 2009 jeffm@suse.de
- patches.rpmify/tsi148-dependency: vme/tsi148: Depend on VIRT_TO_BUS
* Thu Oct  8 2009 jeffm@suse.de
- patches.suse/kdb-x86-build-fixes: kdb: Use $srctree not $TOPDIR
  in Makefile.
* Thu Oct  8 2009 jeffm@suse.de
- patches.rpmify/winbond-prepare_multicast: winbond: implement
  prepare_multicast and fix API usage.
- patches.rpmify/winbond_beacon_timers: winbond: use
  bss_conf->beacon_int instead of conf->beacon_int.
- patches.rpmify/winbond-build-fixes: Delete.
* Thu Oct  8 2009 jeffm@suse.de
- patches.rpmify/rtl8192e-build-fixes: rtl8192e: Add #include
  <linux/vmalloc.h>.
* Thu Oct  8 2009 jeffm@suse.de
- patches.suse/kdb-build-fixes: kdb: Build fixes.
* Thu Oct  8 2009 jeffm@suse.de
- patches.rpmify/iio-s390-build-fix: iio: Don't build on s390.
* Thu Oct  8 2009 jeffm@suse.de
- patches.rpmify/winbond-build-fixes: winbond: API fix.
* Thu Oct  8 2009 jeffm@suse.de
- Update vanilla config files.
* Thu Oct  8 2009 jeffm@suse.de
- Update config files.
* Thu Oct  8 2009 jeffm@suse.de
- Updated to 2.6.32-rc1 (AKA 2.6.32-rc2).
  - Eliminated 28 patches.
  - 14 patches need further review.
  - Xen and AppArmor are currently disabled.
  - USB support in KDB is disabled.
* Thu Oct  8 2009 gregkh@suse.de
- patches.kernel.org/patch-2.6.31.2-3: Linux 2.6.31.3.
  - major tty bugfix
* Wed Oct  7 2009 tiwai@suse.de
- patches.drivers/alsa-hda-alc268-automic-fix: ALSA: hda -
  Fix yet another auto-mic bug in ALC268 (bnc#544899).
* Wed Oct  7 2009 knikanth@suse.de
- patches.suse/block-seperate-rw-inflight-stats: Fix the regression,
  "iostat reports wrong service time and utilization", introduced
  by this patch  (bnc#544926).
* Tue Oct  6 2009 gregkh@suse.de
- patches.suse/x86-mark_rodata_rw.patch: Delete.
- patches.xen/xen3-x86-mark_rodata_rw.patch: Delete.
  - both of these were not being used anyway.
* Tue Oct  6 2009 jbeulich@novell.com
- Update Xen patches to 2.6.31.2.
* Tue Oct  6 2009 tiwai@suse.de
- patches.drivers/alsa-hda-alc660vd-asus-a7k-fix: ALSA: hda -
  Add a workaround for ASUS A7K (bnc#494309).
* Mon Oct  5 2009 gregkh@suse.de
- refresh patch fuzz due to 2.6.31.2 import.
* Mon Oct  5 2009 gregkh@suse.de
- Update to Linux 2.6.31.2:
  - bugfixes, lots of them.
  - security fixes
* Mon Oct  5 2009 tiwai@suse.de
- patches.drivers/alsa-hda-alc861-toshiba-fix: ALSA: hda -
  Fix invalid initializations for ALC861 auto mode (bnc#544161).
* Fri Oct  2 2009 gregkh@suse.de
- Update config files.
- patches.drivers/add-via-chrome9-drm-support.patch: Delete.
  The code never got upstream and looks incorrect.
* Fri Oct  2 2009 tiwai@suse.de
- patches.drivers/alsa-ctxfi-04-fix-surround-side-mute: ALSA:
  ctxfi: Swapped SURROUND-SIDE mute.
- patches.drivers/alsa-hda-2.6.32-rc1-toshiba-fix: ALSA: hda -
  Added quirk to enable sound on Toshiba NB200.
- patches.drivers/alsa-hda-2.6.32-rc2: ALSA: backport 2.6.32-rc2
  fixes for HD-audio.
* Thu Oct  1 2009 jbeulich@novell.com
- Update Xen patches to 2.6.31.1 and c/s 934.
* Thu Oct  1 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: obsolete quickcam-kmp (bnc#543361).
* Wed Sep 30 2009 gregkh@suse.de
- Update to 2.6.31.1
  - lots of bugfixes
  - security fixes
* Wed Sep 30 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: obsolete the sle11 ocfs2-kmp.
* Tue Sep 29 2009 trenn@suse.de
- Disabled patches.suse/acpi-dsdt-initrd-v0.9a-2.6.25.patch
  with +trenn (bnc#542767)
* Wed Sep 23 2009 teheo@suse.de
- Update config files.  Build pci-stub driver into the kernel so that
  built in pci drivers can be blocked from attaching to devices.
* Tue Sep 22 2009 mmarek@suse.cz
- rpm/kernel-module-subpackage: when building against Linus'
  kernels (2.6.x), append a .0 to the kernel version embedded in
  the KMP version, to ensure that such KMP is older than a KMP
  built against a subsequent stable kernel (2.6.x.y, y > 0).
* Mon Sep 21 2009 jeffm@suse.de
- Update config files.
* Mon Sep 21 2009 jeffm@suse.de
- patches.suse/acpi-dsdt-initrd-v0.9a-2.6.25.patch: Ported to
  2.6.31 (bnc#533555).
* Sat Sep 19 2009 mmarek@suse.cz
- rpm/postun.sh: do not remove the bootloader entry if the kernel
  version didn't change (bnc#533766).
* Sat Sep 19 2009 mmarek@suse.cz
- rpm/postun.sh: remove dead code.
* Fri Sep 18 2009 jeffm@suse.de
- patches.fixes/reiserfs-replay-honor-ro: reiserfs: Properly
  honor read-only devices (bnc#441062).
* Thu Sep 17 2009 jeffm@suse.de
- patches.arch/acpi_srat-pxm-rev-ia64.patch: Use SRAT table rev
  to use 8bit or 16/32bit PXM fields (ia64) (bnc#503038).
- patches.arch/acpi_srat-pxm-rev-store.patch: Store SRAT table
  revision (bnc#503038).
- patches.arch/acpi_srat-pxm-rev-x86-64.patch: Use SRAT table
  rev to use 8bit or 32bit PXM fields (x86-64) (bnc#503038).
* Thu Sep 17 2009 tiwai@suse.de
- patches.drivers/alsa-hda-2.6.32-rc1: ALSA HD-audio backport
  from 2.6.32-rc1.
* Wed Sep 16 2009 jbeulich@novell.com
- Update Xen patches to 2.6.31 final.
* Tue Sep 15 2009 teheo@suse.de
  Backport attach inhibition for builtin pci drivers from 2.6.32-rc.
- patches.drivers/pci-separate-out-pci_add_dynid: pci: separate
  out pci_add_dynid().
- patches.drivers/pci_stub-add-ids-parameter: pci-stub: add
  pci_stub.ids parameter.
* Tue Sep 15 2009 teheo@suse.de
  Backport patches from 2.6.32-rc to ease ossp testing.
- Update config files - SOUND_OSS_CORE_PRECLAIM is set to N.
- patches.drivers/implement-register_chrdev: chrdev: implement
  __register_chrdev().
- patches.drivers/sound-make-oss-device-number-claiming-optional:
  sound: make OSS device number claiming optional and schedule
  its removal.
- patches.drivers/sound-request-char-major-aliases-for-oss-devices:
  sound: request char-major-* module aliases for missing OSS
  devices.
* Mon Sep 14 2009 sdietrich@suse.de
- patches.suse/novfs-client-module: Update header todo list with
  locking nits (semaphore used as mutex / completion)
* Mon Sep 14 2009 jeffm@suse.com
- Revert back to CONFIG_M586TSC from CONFIG_M686 for default flavor
  (bnc#538849)
* Fri Sep 11 2009 jbeulich@novell.com
- patches.suse/crasher-26.diff: Add capability to also trigger a
  kernel warning.
* Fri Sep 11 2009 knikanth@suse.de
- patches.suse/block-seperate-rw-inflight-stats: Seperate read
  and write statistics of in_flight requests (fate#306525).
* Thu Sep 10 2009 gregkh@suse.de
- patch fuzz removal now that 2.6.31 is the base.
* Thu Sep 10 2009 gregkh@suse.de
- Update config files.
    CONFIG_MOUSE_PS2_ELANTECH=y
    CONFIG_MOUSE_PS2_TOUCHKIT=y
    (bnc#525607)
* Thu Sep 10 2009 tiwai@suse.de
- patches.drivers/alsa-hda-2.6.32-pre: Refresh: fix misc realtek
  issues, add another Nvidia HDMI device id
* Thu Sep 10 2009 jeffm@suse.de
- Updated to 2.6.31-final.
* Tue Sep  8 2009 gregkh@suse.de
- refresh patches for fuzz due to upstream changes
* Tue Sep  8 2009 gregkh@suse.de
- Update to 2.6.31-rc9
  - obsoletes:
  - patches.drivers/alsa-hda-fix-01-add-missing-mux-for-vt1708
  - patches.drivers/alsa-hda-fix-02-mbp31-hp-fix
* Tue Sep  8 2009 knikanth@suse.de
- patches.fixes/scsi_dh-Provide-set_params-interface-in-emc-device-handler.patch:
  scsi_dh: Provide set_params interface in emc device handler
  (bnc#521607).
- patches.fixes/scsi_dh-Use-scsi_dh_set_params-in-multipath.patch:
  scsi_dh: Use scsi_dh_set_params() in multipath. (bnc#521607).
- patches.fixes/scsi_dh-add-the-interface-scsi_dh_set_params.patch:
  scsi_dh: add the interface scsi_dh_set_params() (bnc#521607).
* Mon Sep  7 2009 mmarek@suse.cz
- rpm/kernel-source.spec.in: delete obsolete macro.
* Mon Sep  7 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: require minimum versions of
  module-init-tools and perl-Bootloader, the %%post script is no
  longer compatible with ancient versions.
* Mon Sep  7 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: obsolete %%name-base <= 2.6.31, the
  previous <= 2.6.30-1 didn't catch some cases obviously
  (bnc#533766).
* Fri Sep  4 2009 jeffm@suse.de
- Enabled CONFIG_SCSI_DEBUG=m (bnc#535923).
* Fri Sep  4 2009 mmarek@suse.cz
- kabi/severities, rpm/kabi.pl, rpm/kernel-binary.spec.in,
- rpm/kernel-source.spec.in: Use a simple script to check kabi by
  comparing Module.symvers files (similar to the old SLES9 one).
- rpm/built-in-where: Delete.
- rpm/symsets.pl: Delete.
- kabi/commonsyms: Delete.
- kabi/usedsyms: Delete.
* Fri Sep  4 2009 mmarek@suse.cz
- patches.suse/kbuild-rebuild-fix-for-Makefile.modbuiltin:
  kbuild: rebuild fix for Makefile.modbuiltin.
* Thu Sep  3 2009 gregkh@suse.de
- patches.drivers/usb-storage-increase-the-bcd-range-in-sony-s-bad-device-table.patch:
  Delete, it was wrong.
* Wed Sep  2 2009 jbeulich@novell.com
- Update Xen config files.
* Wed Sep  2 2009 jbeulich@novell.com
- Update Xen patches to 2.6.31-rc8 and c/s 931.
- patches.fixes/use-totalram_pages: use totalram_pages in favor
  of num_physpages for sizing boot time allocations (bnc#509753).
- patches.xen/xen-x86-per-cpu-vcpu-info: x86: use per-cpu storage
  for shared vcpu_info structure.
* Wed Sep  2 2009 tiwai@suse.de
- patches.drivers/alsa-hda-2.6.32-pre: Refresh; merged fixes for
  IDT92HD73* codecs
* Tue Sep  1 2009 jeffm@suse.com
- patches.apparmor/apparmor.diff: Update to latest git.
* Tue Sep  1 2009 jeffm@suse.com
- patches.arch/add_support_for_hpet_msi_intr_remap.patch:
  intr-remap: generic support for remapping HPET MSIs
  (bnc#532758).
- patches.arch/add_x86_support_for_hpet_msi_intr_remap.patch:
  x86: arch specific support for remapping HPET MSIs (bnc#532758).
* Tue Sep  1 2009 mmarek@suse.cz
- rpm/package-descriptions: fix description of the x86_64
  kernel-desktop package (bnc#535457).
* Mon Aug 31 2009 jeffm@suse.com
- Update to 2.6.31-rc8.
  - Eliminated 1 patch.
* Mon Aug 31 2009 tiwai@suse.de
- patches.drivers/alsa-hda-fix-01-add-missing-mux-for-vt1708:
  ALSA: hda - Add missing mux check for VT1708 (bnc#534904).
- patches.drivers/alsa-hda-fix-02-mbp31-hp-fix: ALSA: hda -
  Fix MacBookPro 3,1/4,1 quirk with ALC889A.
- patches.drivers/alsa-hda-2.6.32-pre: Refresh.
* Wed Aug 26 2009 tiwai@suse.de
- patches.drivers/alsa-hda-[0-9]*: Delete, fold into a single patch
  patches.drivers/alsa-hda-2.6.32-pre
* Tue Aug 25 2009 gregkh@suse.de
- Update config files.
- patches.drivers/samsung-backlight-driver.patch: Delete.
* Tue Aug 25 2009 jbeulich@novell.com
- scripts/run_oldconfig.sh: Consistently use $prefix.
* Mon Aug 24 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: obsolete %%name-base <= 2.6.30-1
  (bnc#530752).
* Mon Aug 24 2009 jeffm@suse.com
- Update to 2.6.31-rc7.
  - Eliminated 3 patches.
* Mon Aug 24 2009 jeffm@suse.com
- Update config files: Enable CONFIG_PROC_EVENTS.
* Fri Aug 21 2009 mmarek@suse.cz
- rpm/post.sh: Do not call /sbin/module_upgrade, the rename
  happened before SLES10.
* Fri Aug 21 2009 mmarek@suse.cz
- rpm/module-renames: Delete, we don't need to care about modules
  renamed before SLES10. Also, current mkinitrd gets the list of
  storage drivers based on pci ids.
* Fri Aug 21 2009 mmarek@suse.cz
- rpm/post.sh, rpm/postun.sh: drop support for SLE10, the package
  can't be installed on SLE10 as is, so why not make it more
  adventurous.
* Fri Aug 21 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: remove product(openSUSE) supplements
  from the -extra subpackage which doesn't exist on openSUSE
  anymore.
* Thu Aug 20 2009 tiwai@suse.de
- patches.drivers/alsa-hda-fix-0*: Backport from 2.6.31-rc fixes
  (to be merged)
- patches.drivers/alsa-hda-32-Reword-auto-probe-messages: Refresh.
- patches.drivers/alsa-hda-33-IDT-codec-updates: Refresh.
* Thu Aug 20 2009 jbeulich@novell.com
- Update config files (modularize crypto again).
- supported.conf: Add resulting modules as supported.
* Wed Aug 19 2009 jbeulich@novell.com
- Update Xen patches to 2.6.31-rc6 and c/s 928.
* Wed Aug 19 2009 tiwai@suse.de
- patches.drivers/alsa-hda-48-alc268-oops-fix: ALSA: hda -
  Fix invalid capture mixers with some ALC268 models.
* Tue Aug 18 2009 gregkh@suse.de
- patches.drivers/usb-storage-increase-the-bcd-range-in-sony-s-bad-device-table.patch:
  USB: storage: increase the bcd range in Sony's bad device
  table. (bnc#466554).
* Mon Aug 17 2009 gregkh@suse.de
- patches.drivers/samsung-backlight-driver.patch: Change the range from
  0-255 to 0-7 to make it easier for HAL to handle the device without a
  need for custom scripts.
* Mon Aug 17 2009 jeffm@suse.com
- Updated to 2.6.31-rc6.
* Mon Aug 17 2009 gregkh@suse.de
- patches.drivers/samsung-backlight-driver.patch: added N120 support
  and some other devices that were integrated into the driver from
  upstream.
* Sun Aug 16 2009 coly.li@suse.de
- supported.conf:
  set kernel/fs/dlm/dlm as unsupported, since fs/dlm is provided
  separately in the ocfs2 KMP package
* Sat Aug 15 2009 tiwai@suse.de
- patches.drivers/alsa-hda-47-idt92hd8x-fix: ALSA: hda - Fix /
  clean up IDT92HD83xxx codec parser (bnc#531533).
* Sat Aug 15 2009 gregkh@suse.de
- Update config files.
- patches.drivers/samsung-backlight-driver.patch: Samsung
  backlight driver (bnc#527533, bnc#531297).
* Fri Aug 14 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: add some hints how to set the %%jobs
  macro (bnc#530535).
* Fri Aug 14 2009 mmarek@suse.cz
- rpm/modversions: for overriden functions, keep the keyword in
  - -pack.
* Thu Aug 13 2009 jeffm@suse.com
- Updated to 2.6.31-rc5-git9.
  - Eliminated 7 patches.
* Thu Aug 13 2009 tiwai@suse.de
- patches.drivers/alsa-hda-42-hp-more-quirk: ALSA: hda - Add
  quirks for some HP laptops (bnc#527284).
- patches.drivers/alsa-hda-4[35]-*: Improve Realtek codec mic
  support
- patches.drivers/alsa-hda-46-stac-lo-detect-fix: ALSA: hda -
  Enable line-out detection only with speakers (bnc#520975).
* Wed Aug 12 2009 mmarek@suse.cz
- rpm/split-modules, rpm/kernel-binary.spec.in: add the base files
  also to the main package. That way, kernel-$flavor-base is not
  needed in normal setups (fate#307154).
* Wed Aug 12 2009 mmarek@suse.cz
- rpm/find-provides: no rpm provides for drivers/staging. It's
  higly unlikely that any KMP would require them and they just
  take up space in the rpm metadata.
* Tue Aug 11 2009 tiwai@suse.de
- patches.drivers/alsa-hda-41-msi-white-list: ALSA: hda - Add
  a white-list for MSI option (bnc#529971).
* Tue Aug 11 2009 tiwai@suse.de
- patches.drivers/alsa-hda-39-dont-override-ADC-definitions:
  ALSA: hda - Don't override ADC definitions for ALC codecs
  (bnc#529467).
- patches.drivers/alsa-hda-40-auto-mic-support-for-realtek:
  ALSA: hda - Add auto-mic support for Realtek codecs.
* Tue Aug 11 2009 mmarek@suse.cz
- rpm/kernel-source.spec.in: do not rename kernel-source.rpmlintrc
  for the -rt variant.
* Mon Aug 10 2009 mmarek@suse.cz
- patches.rpmify/staging-rtl8192su-fix-build-error.patch: move to
  patches.rpmify to fix vanilla ppc builds.
* Mon Aug 10 2009 tiwai@suse.de
- patches.drivers/alsa-hda-38-fix-ALC269-vmaster: ALSA: hda -
  Add missing vmaster initialization for ALC269 (bnc#527361).
* Mon Aug 10 2009 tiwai@suse.de
- patches.drivers/alsa-hda-33-IDT-codec-updates: Refresh.
* Fri Aug  7 2009 jeffm@suse.com
- patches.fixes/recordmcount-fixup: recordmcount: Fixup wrong
  update_funcs() call.
* Fri Aug  7 2009 tiwai@suse.de
- patches.drivers/alsa-soc-fsl-build-fixes: ASoC: Add missing
  DRV_NAME definitions for fsl/* drivers (to fix PPC builds)
* Fri Aug  7 2009 tiwai@suse.de
- patches.arch/wmi-Fix-kernel-panic-when-stack-protection-enabled:
  wmi: Fix kernel panic when stack protection
  enabled. (bnc#529177).
- supported.conf: Update HD-audio modules
* Fri Aug  7 2009 mmarek@suse.cz
- make config/s390/vanilla a symlink again.
* Fri Aug  7 2009 mmarek@suse.de
- rpm/kernel-binary.spec.in: do not manually extract vmlinux
  debuginfo on ppc(64), rpm does it itself.
* Thu Aug  6 2009 jeffm@suse.de
- rpm/kernel-binary.spec.in,
  rpm/kernel-source.spec.in: Added kernel-spec-macros to Sources.
* Thu Aug  6 2009 jeffm@suse.de
- patches.suse/linux-2.6.29-even-faster-kms.patch: Disabled. It
  doesn't wake up the display on certain hardware.
* Wed Aug  5 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: do not split the -extra subpackage on
  openSUSE (bnc#528097).
* Wed Aug  5 2009 jeffm@suse.de
- Updated to 2.6.31-rc5-git3.
  - Eliminated 4 patches.
* Wed Aug  5 2009 gregkh@suse.de
- kernel-source.changes: remove old (pre 2008) messages, and move 2008
  to kernel-source.changes.old.  No need to spam email addresses that
  are no longer with the company for failed kernel builds.
* Wed Aug  5 2009 gregkh@suse.de
- patches.drivers/staging-rtl8192su-fix-build-error.patch:
  Staging: rtl8192su: fix build error.
* Wed Aug  5 2009 jeffm@suse.de
- patches.suse/supported-flag-enterprise: Make the supported
  flag configurable at build time (bnc#528097).
* Wed Aug  5 2009 gregkh@suse.de
- Update config files.
  disable CONFIG_DRM_RADEON_KMS as per bnc#527910 for vanilla builds
* Tue Aug  4 2009 gregkh@suse.de
- Update config files.
  disable CONFIG_DRM_RADEON_KMS as per bnc#527910
* Tue Aug  4 2009 jeffm@suse.de
- patches.rpmify/ttm-pgprot-fixes: ttm: Use pgprot_val for
  comparing pgprot_t.
* Tue Aug  4 2009 tiwai@suse.de
- patches.drivers/alsa-hda-3[0-8]*: ALSA HD-audio updates
- Update config files: enable CONFIG_SND_HDA_CIRRUS=y
* Mon Aug  3 2009 jeffm@suse.de
- Update config files: CONFIG_FRAME_WARN=2048 on all arches, fixes
  ppc build failures.
* Mon Aug  3 2009 jeffm@suse.de
- patches.xen/xen3-patch-2.6.31-rc4-rc5: Fixup pgtable port
* Mon Aug  3 2009 jeffm@suse.de
- Updated to 2.6.31-rc5.
  - Eliminated 11 patches.
* Mon Aug  3 2009 coly.li@suse.de
- Update config files to enable CONFIG_DLM_DEBUG.
* Fri Jul 31 2009 jbeulich@novell.com
- Update Xen patches to 2.6.31-rc4 and c/s 916.
- patches.xen/xen3-driver-core-misc-add-nodename-support-for-misc-devices.patch:
  Delete.
- patches.xen/xen3-panic-on-io-nmi.diff: Delete.
- config.conf: Re-enable Xen.
- Update config files.
* Wed Jul 29 2009 tiwai@suse.de
- Update config files: revert to CONFIG_SND=m and enabled again
  CONFIG_SND_DEBUG=y
* Tue Jul 28 2009 mmarek@suse.cz
- Update config files: disable CONFIG_PRISM2_USB on ia64 and ppc.
* Tue Jul 28 2009 mmarek@suse.cz
- Update config files: disable CONFIG_FB_UDL on ia64.
* Tue Jul 28 2009 jbeulich@novell.com
- config.conf: Remove duplicate i386/desktop entry.
* Tue Jul 28 2009 tiwai@suse.de
- patches.drivers/alsa-hda-29-Add-quirk-for-Dell-Studio-1555:
  ALSA: hda - Add quirk for Dell Studio 1555 (bnc#525244).
* Mon Jul 27 2009 tiwai@suse.de
- patches.drivers/alsa-pcm-*: ALSA PCM fixes
- Fix/enhancement patches backported from ALSA tree
  * patches.drivers/alsa-core-Add-new-TLV-types-for-dBwith-min-max:
    ALSA: Add new TLV types for dBwith min/max (for usb).
  * patches.drivers/alsa-ctxfi-*: SB X-Fi support (FATE#306935).
  * patches.drivers/alsa-hda-*: More HD-audio fixes
  * patches.drivers/alsa-ice-*: ICE17xx fixes
  * patches.drivers/alsa-midi-*: MIDI fixes
  * patches.drivers/alsa-usb-*: USB-audio/MIDI fixes
- Remove obsoleted patches: patches.drivers/alsa-ad1984a-hp-quirks,
  patches.drivers/alsa-ca0106-capture-bufsize-fix,
  patches.drivers/alsa-ctxfi
- Update config files.
* Mon Jul 27 2009 mmarek@suse.cz
- rpm/kernel-source.spec.in, scripts/tar-up.sh: really drop
  config-subst from the package.
* Mon Jul 27 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: manually create a -devel-debuginfo
  subpackage with vmlinux.debug to fix build with new rpm. This
  works for ix86 and x86_64, other archs might need further fixes.
* Mon Jul 27 2009 jeffm@suse.de
- patches.rpmify/rtl8192su-build-fix: more ia64 fixes
* Mon Jul 27 2009 jeffm@suse.de
- patches.rpmify/rtl8192su-build-fix: rtl8192su: compile fixes.
* Mon Jul 27 2009 jeffm@suse.de
- patches.rpmify/rtl8192su-build-fix: rtl8192su: compile fixes.
* Sun Jul 26 2009 jeffm@suse.de
- config.conf: Re-enabled trace flavor.
* Fri Jul 24 2009 jeffm@suse.de
- Update config files: Disabled optimize for size on i386 and x86_64
  across all flavors.
* Fri Jul 24 2009 jeffm@suse.de
- Update to 2.6.31-rc4.
* Thu Jul 23 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: cleanup %%cpu_arch_flavor definition,
  make %%symbols a variable and only use it for selecting patches.
  Also drop the RT symbol as there are not rt patches currently.
* Thu Jul 23 2009 mmarek@suse.cz
- Change the s390(x) config layout so that each arch has its own
  subdirectory, as it is done for other archs. s390/vanilla is a
  symlink to s390x/vanilla.
* Thu Jul 23 2009 mmarek@suse.cz
- rpm/kernel-*.spec.in, rpm/kernel-spec-macros: move some common
  macros to kernel-spec-macros.
* Wed Jul 22 2009 tiwai@suse.de
- patches.drivers/alsa-ca0106-capture-bufsize-fix: ALSA: ca0106 -
  Fix the max capture buffer size (bnc#521890).
* Wed Jul 22 2009 tiwai@suse.de
- patches.drivers/alsa-ctxfi: Add SoundBlaster X-Fi support
  (FATE#306935).
- Update config files.
* Wed Jul 22 2009 trenn@suse.de
  These are mainline:
- patches.drivers/cpufreq_add_cpu_number_paramater_1.patch:
  Delete.
- patches.drivers/cpufreq_add_idle_microaccounting_6.patch:
  Delete.
- patches.drivers/cpufreq_change_load_calculation_2.patch: Delete.
- patches.drivers/cpufreq_changes_to_get_cpu_idle_us_5.patch:
  Delete.
- patches.drivers/cpufreq_get_cpu_idle_time_changes_3.patch:
  Delete.
- patches.drivers/cpufreq_parameterize_down_differential_4.patch:
  Delete.
* Wed Jul 22 2009 trenn@suse.de
  These are mainline:
- patches.arch/acpi_video_thinkpad_exclude_IGD_devices.patch:
  Delete.
- patches.arch/thinkpad_fingers_off_backlight_igd.patch: Delete.
* Tue Jul 21 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: remove double-slash from include2/asm
  symlink.
* Tue Jul 21 2009 mmarek@suse.cz
- config.conf, rpm/mkspec: exclude trace, kdump and ia64/debug from
  the kernel-syms package. These flavor are often excluded in KMPs,
  so excluding them from kernel-syms reduces useless build
  dependencies. KMPs can buildrequire kernel-$flavor-devel
  explicitely if desired.
* Tue Jul 21 2009 mmarek@suse.cz
  Delete obsolete apparmor patches.
- patches.apparmor/add-path_permission.diff: Delete.
- patches.apparmor/add-security_path_permission: Delete.
- patches.apparmor/apparmor-2.6.25.diff: Delete.
- patches.apparmor/apparmor-audit.diff: Delete.
- patches.apparmor/apparmor-intree.diff: Delete.
- patches.apparmor/apparmor-lsm.diff: Delete.
- patches.apparmor/apparmor-main.diff: Delete.
- patches.apparmor/apparmor-misc.diff: Delete.
- patches.apparmor/apparmor-module_interface.diff: Delete.
- patches.apparmor/apparmor-network.diff: Delete.
- patches.apparmor/apparmor-path_permission: Delete.
- patches.apparmor/apparmor-ptrace-2.6.27.diff: Delete.
- patches.apparmor/apparmor-rlimits.diff: Delete.
- patches.apparmor/d_namespace_path.diff: Delete.
- patches.apparmor/d_namespace_path_oops_fix.diff: Delete.
- patches.apparmor/do_path_lookup-nameidata.diff: Delete.
- patches.apparmor/export-security_inode_permission-for-aufs:
  Delete.
- patches.apparmor/file-handle-ops.diff: Delete.
- patches.apparmor/fix-complain.diff: Delete.
- patches.apparmor/fix-vfs_rmdir.diff: Delete.
- patches.apparmor/fork-tracking.diff: Delete.
- patches.apparmor/fsetattr-reintro-ATTR_FILE.diff: Delete.
- patches.apparmor/fsetattr-restore-ia_file.diff: Delete.
- patches.apparmor/fsetattr.diff: Delete.
- patches.apparmor/remove_suid.diff: Delete.
- patches.apparmor/security-create.diff: Delete.
- patches.apparmor/security-getxattr.diff: Delete.
- patches.apparmor/security-link.diff: Delete.
- patches.apparmor/security-listxattr.diff: Delete.
- patches.apparmor/security-mkdir.diff: Delete.
- patches.apparmor/security-mknod.diff: Delete.
- patches.apparmor/security-readlink.diff: Delete.
- patches.apparmor/security-removexattr.diff: Delete.
- patches.apparmor/security-rename.diff: Delete.
- patches.apparmor/security-rmdir.diff: Delete.
- patches.apparmor/security-setattr.diff: Delete.
- patches.apparmor/security-setxattr.diff: Delete.
- patches.apparmor/security-symlink.diff: Delete.
- patches.apparmor/security-unlink.diff: Delete.
- patches.apparmor/security-xattr-file.diff: Delete.
- patches.apparmor/sysctl-pathname.diff: Delete.
- patches.apparmor/unambiguous-__d_path.diff: Delete.
- patches.apparmor/vfs-getxattr.diff: Delete.
- patches.apparmor/vfs-link.diff: Delete.
- patches.apparmor/vfs-listxattr.diff: Delete.
- patches.apparmor/vfs-mkdir.diff: Delete.
- patches.apparmor/vfs-mknod.diff: Delete.
- patches.apparmor/vfs-notify_change.diff: Delete.
- patches.apparmor/vfs-removexattr.diff: Delete.
- patches.apparmor/vfs-rename.diff: Delete.
- patches.apparmor/vfs-rmdir.diff: Delete.
- patches.apparmor/vfs-setxattr.diff: Delete.
- patches.apparmor/vfs-symlink.diff: Delete.
- patches.apparmor/vfs-unlink.diff: Delete.
* Tue Jul 21 2009 npiggin@suse.de
- Update config files for bnc#522686 -- set
  CONFIG_SECURITY_DEFAULT_MMAP_MIN_ADDR=65536.
* Mon Jul 20 2009 jeffm@suse.de
- Update config files: Disabled optimize for size on all flavors
  (FATE#305694)
* Mon Jul 20 2009 jeffm@suse.de
- Update config files.
* Mon Jul 20 2009 jeffm@suse.com
- Update to 2.6.30.2
  - lots of security and bug fixes
  - Obsoleted patches.fixes/firmware-memmap-64bit.diff
* Mon Jul 20 2009 mmarek@suse.cz
- rpm/split-modules: set LC_COLLATE=C
* Sat Jul 18 2009 jeffm@suse.de
- rpm/package-descriptions: Added desktop description.
* Sat Jul 18 2009 jeffm@suse.de
- rpm/package-descriptions: Added desktop description.
* Sat Jul 18 2009 jeffm@suse.de
- Add -desktop flavors for i386 and x86_64
  - Disabled group scheduler and groups
  - Disabled optimize for size
  - Enabled full preemption
  - Set HZ=1000
* Sat Jul 18 2009 jeffm@suse.de
- Add -desktop flavors for i386 and x86_64 (FATE#305694)
  - Disabled group scheduler and groups
  - Disabled optimize for size
  - Enabled full preemption
  - Set HZ=1000
* Fri Jul 17 2009 jeffm@suse.de
- patches.apparmor/apparmor.diff: ia64 build fix
* Fri Jul 17 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: simplify the add_dirs_to_filelist
  function and make it less chatty in build logs.
* Fri Jul 17 2009 jeffm@suse.com
- patches.apparmor/apparmor.diff: ia64 build fix
* Fri Jul 17 2009 jeffm@suse.com
- patches.apparmor/security-default-lsm: security: Define default
  LSM (bnc#442668).
* Thu Jul 16 2009 jeffm@suse.de
- patches.apparmor/apparmor.diff: AppArmor.
* Thu Jul 16 2009 jeffm@suse.de
- patches.apparmor/apparmor.diff: AppArmor.
* Thu Jul 16 2009 jeffm@suse.de
- patches.rpmify/sgi-hotplug-fixup: hotplug: fix sgi-hotplug
  attribute handling.
* Thu Jul 16 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: drop the config-subst script, use
  scripts/config instead.
* Thu Jul 16 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: fix debugsource generation.
* Thu Jul 16 2009 mmarek@suse.cz
- rpm/split-modules: fix last change.
* Wed Jul 15 2009 mmarek@suse.cz
- rpm/split-modules: fix for module names with underscores or
  dashes.
* Wed Jul 15 2009 jeffm@suse.de
- Update to 2.6.31-rc3.
  - Eliminated 2 patches.
* Wed Jul 15 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: annotate in which products the
  obsoleted kmps were last used, remove "ralink-rt2860-kmp" which
  I couldn't find anywhere.
* Wed Jul 15 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: obsolete btusb-kmp (bnc#514375).
* Tue Jul 14 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/split-modules: move generating of
  the base / main / unsupported module lists to a separate script.
  Avoids 6k modinfo calls and fixes module dependencies
  (bnc#512179).
* Mon Jul 13 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: fix include2/asm symlink (bnc#509680).
* Mon Jul 13 2009 mmarek@suse.cz
- rpm/modversions: fix overriding of function symbols.
* Mon Jul 13 2009 mmarek@suse.cz
- rpm/modversions: fix overriding of unknown symbols.
* Tue Jul  7 2009 jkosina@suse.de
- patches.suse/e1000e_allow_bad_checksum: Delete.
- patches.suse/e1000e_call_dump_eeprom: Delete.
- patches.suse/e1000e_use_set_memory_ro-rw_to_protect_flash_memory:
  Delete.
  Delete the leftover debugging patches for e1000e EEPROM corruption
  that are not needed anymore.
* Tue Jul  7 2009 aj@suse.de
- README.BRANCH: Update, kotd will become 11.2 eventually.
* Mon Jul  6 2009 jeffm@suse.com
- Update to 2.6.31-rc2.
* Fri Jul  3 2009 jeffm@suse.com
- Update to 2.6.31-rc1-git10.
  - Eliminated 28 patches.
  - Xen is disabled.
* Fri Jul  3 2009 mmarek@suse.cz
- patches.suse/kbuild-generate-modules.builtin: kbuild: generate
  modules.builtin.
- rpm/kernel-binary.spec.in: package modules.builtin for use by
  modprobe / mkinitrd.
* Fri Jul  3 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in: simplify
  the patch applying loops to reduce noise in build logs.
* Tue Jun 30 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: chmod +x find-provides
* Tue Jun 30 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: do not "annotate" the packaged
  Modules.symvers
- patches.suse/modpost-filter-out-built-in-depends: Delete.
* Tue Jun 30 2009 jbeulich@novell.com
- patches.arch/ia64-page-migration: Fix compiler warning.
* Mon Jun 29 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: move /boot/symvers* files back to
  - base, these are needed during KMP installation.
* Mon Jun 29 2009 mmarek@suse.cz
- patches.fixes/kbuild-fix-generating-of-.symtypes-files: kbuild:
  fix generating of *.symtypes files.
- patches.suse/genksyms-add-override-flag.diff: Refresh.
- rpm/kernel-binary.spec.in: create the *.symref files in the build
  directory
* Fri Jun 26 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: add Provides: kernel-{base,extra} to
  the subpackages (bnc#516827).
* Wed Jun 24 2009 gregkh@suse.de
- Update config files.
  revert the ACPI and thermal config changes:
    config/i386/pae and config/x86-64/default:
  CONFIG_ACPI_AC=m
  CONFIG_ACPI_BATTERY=m
  CONFIG_ACPI_BUTTON=m
  CONFIG_ACPI_VIDEO=m
  CONFIG_ACPI_FAN=m
  CONFIG_ACPI_PROCESSOR=m
  CONFIG_ACPI_THERMAL=m
  CONFIG_ACPI_CONTAINER=m
  CONFIG_X86_ACPI_CPUFREQ=m
  CONFIG_THERMAL=m
* Wed Jun 24 2009 gregkh@suse.de
- patches.suse/ec_merge_irq_and_poll_modes.patch: Delete.
- patches.suse/linux-2.6.29-retry-root-mount.patch: Delete.
* Wed Jun 24 2009 jbeulich@novell.com
- Update Xen patches to 2.6.30 and c/s 908.
- Update Xen config files.
- patches.xen/tmem: Transcendent memory ("tmem") for Linux.
* Tue Jun 23 2009 gregkh@suse.de
- Update config files.
  config/i386/pae and config/x86-64/default:
  CONFIG_ACPI_AC=y
  CONFIG_ACPI_BATTERY=y
  CONFIG_ACPI_BUTTON=y
  CONFIG_ACPI_VIDEO=y
  CONFIG_ACPI_FAN=y
  CONFIG_ACPI_PROCESSOR=y
  CONFIG_ACPI_THERMAL=y
  CONFIG_ACPI_CONTAINER=y
  CONFIG_X86_ACPI_CPUFREQ=y
  CONFIG_THERMAL=y
* Tue Jun 23 2009 gregkh@suse.de
- Update config files.
  config/i386/pae and config/x86-64/default:
  CONFIG_SND_TIMER=y
  CONFIG_SND_PCM=y
  CONFIG_SND_SEQUENCER=y
  CONFIG_SND_MIXER_OSS=y
  CONFIG_SND_PCM_OSS=y
* Tue Jun 23 2009 gregkh@suse.de
- Update config files.
  fix up config mistake in x86-64/default made in last commit.
* Tue Jun 23 2009 gregkh@suse.de
- Update config files.
  config/i386/pae and config/x86-64/default:
  CONFIG_VIDEO_OUTPUT_CONTROL=y
  CONFIG_SOUND=y
  CONFIG_SND=y
* Tue Jun 23 2009 gregkh@suse.de
- Update config files.
  config/i386/pae and config/x86-64/default:
  CONFIG_I2C=y
  CONFIG_HWMON=y
* Sat Jun 20 2009 gregkh@suse.de
- Update config files.
  config/i386/pae and config/x86-64/default:
  CONFIG_IPV6=y
* Sat Jun 20 2009 gregkh@suse.de
- Update config files.
  config/i386/pae and config/x86-64/default:
  CONFIG_HID=y
  CONFIG_USB_STORAGE=y
* Sat Jun 20 2009 gregkh@suse.de
- Update config files.
  config/i386/pae and config/x86-64/default:
  CONFIG_ATA_PIIX=Y
* Sat Jun 20 2009 gregkh@suse.de
- Update config files.
  config/i386/pae and config/x86-64/default:
  CONFIG_USB_EHCI_HCD=Y
  CONFIG_USB_OHCI_HCD=Y
  CONFIG_USB_UHCI_HCD=Y
* Sat Jun 20 2009 gregkh@suse.de
- Update config files.
  config/i386/pae and config/x86-64/default:
  CONFIG_CFG80211=Y
  CONFIG_LIB80211=Y
  CONFIG_MAC80211=Y
  CONFIG_ATH5K=Y
* Sat Jun 20 2009 gregkh@suse.de
- Update config files.
  config/i386/pae and config/x86-64/default:
  CONFIG_X86_MSR=Y
  CONFIG_X86_CPUID=Y
* Fri Jun 19 2009 gregkh@suse.de
- comment out broken acpi patch for the moment.
* Fri Jun 19 2009 gregkh@suse.de
- move the "preload" branch into master to get 2.6.30 working
  for Moblin.
- Update config files.
- patches.drivers/alsa-ad1984a-hp-quirks: ALSA: update HP
  quirks for Zenith & co (bnc#472789, bnc#479617, bnc#502425,
  bnc#503101).
- patches.suse/driver-core-add-nodename-callbacks.patch: Driver
  Core: add nodename callbacks.
- patches.suse/driver-core-aoe-add-nodename-for-aoe-devices.patch:
  Driver Core: aoe: add nodename for aoe devices.
- patches.suse/driver-core-block-add-nodename-support-for-block-drivers.patch:
  Driver Core: block: add nodename support for block drivers..
- patches.suse/driver-core-bsg-add-nodename-for-bsg-driver.patch:
  Driver Core: bsg: add nodename for bsg driver.
- patches.suse/driver-core-devtmpfs-driver-core-maintained-dev-tmpfs.patch:
  Driver Core: devtmpfs - kernel-maintained tmpfs-based /dev.
- patches.suse/driver-core-drm-add-nodename-for-drm-devices.patch:
  Driver Core: drm: add nodename for drm devices.
- patches.suse/driver-core-dvb-add-nodename-for-dvb-drivers.patch:
  Driver Core: dvb: add nodename for dvb drivers.
- patches.suse/driver-core-input-add-nodename-for-input-drivers.patch:
  Driver Core: input: add nodename for input drivers.
- patches.suse/driver-core-misc-add-nodename-support-for-misc-devices.patch:
  Driver Core: misc: add nodename support for misc devices..
- patches.suse/driver-core-raw-add-nodename-for-raw-devices.patch:
  Driver Core: raw: add nodename for raw devices.
- patches.suse/driver-core-sound-add-nodename-for-sound-drivers.patch:
  Driver Core: sound: add nodename for sound drivers.
- patches.suse/driver-core-usb-add-nodename-support-for-usb-drivers.patch:
  Driver Core: usb: add nodename support for usb drivers..
- patches.suse/driver-core-x86-add-nodename-for-cpuid-and-msr-drivers.patch:
  Driver Core: x86: add nodename for cpuid and msr drivers..
- patches.suse/ec_merge_irq_and_poll_modes.patch: ACPI: EC:
  Merge IRQ and POLL modes.
- patches.suse/linux-2.6.29-dont-wait-for-mouse.patch: fastboot:
  remove "wait for all devices before mounting root" delay.
- patches.suse/linux-2.6.29-enable-async-by-default.patch:
  enable async_enabled by default.
- patches.suse/linux-2.6.29-even-faster-kms.patch: speed up kms
  even more.
- patches.suse/linux-2.6.29-jbd-longer-commit-interval.patch:
  jbd: longer commit interval.
- patches.suse/linux-2.6.29-kms-after-sata.patch: make kms happen
  after sata.
- patches.suse/linux-2.6.29-retry-root-mount.patch: fastboot:
  retry mounting the root fs if we can't find init.
- patches.suse/linux-2.6.29-silence-acer-message.patch: Silence
  acer wmi driver on non-acer machines.
- patches.suse/linux-2.6.29-touchkit.patch: some new touch screen
  device ids
  .
- patches.suse/uvcvideo-ignore-hue-control-for-5986-0241.patch:
  uvcvideo: ignore hue control for 5986:0241 (bnc#499152).
- patches.suse/devtmpfs.patch: Delete.
* Fri Jun 12 2009 greg@suse.de
- scripts/sequence-patch.sh: fix bug in ketchup usage
* Wed Jun 10 2009 jeffm@suse.com
- Update to 2.6.30-final.
* Wed Jun 10 2009 jbeulich@novell.com
- Update Xen patches to 2.6.30-rc8 and c/s 898.
- Update Xen config files.
- patches.xen/pci-reserve: linux/pci: reserve io/memory space
  for bridge.
- patches.xen/xen-x86-exports: Delete.
* Tue Jun  9 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in,
  rpm/kernel-syms.spec.in, rpm/mkspec: update copyright header and
  change indentation to what autobuild enforces on checkin. No
  functional change.
* Tue Jun  9 2009 jbeulich@novell.com
- patches.suse/stack-unwind-add-declaration.patch: Fold into ...
- patches.suse/stack-unwind: ... this one.
* Tue Jun  9 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: move /boot/vmlinux-*.gz to -devel
  again.
- rpm/find-provides: don't generate the ksym() provides ourself,
  let rpm do it. Add a workaround for vmlinux-*.gz in -devel.
* Mon Jun  8 2009 jeffm@suse.com
- patches.suse/reiser4-set_page_dirty_notag: mm: Add
  set_page_dirty_notag() helper for reiser4.
* Fri Jun  5 2009 mmarek@suse.cz
- rpm/kernel-module-subpackage: add Enhances: kernel-$flavor to
  kmps (bnc#502092).
* Thu Jun  4 2009 jeffm@suse.de
- Update to 2.6.30-rc8.
* Thu Jun  4 2009 sdietrich@suse.de
- supported.conf: remove duplicate kernel/drivers/md/dm-log
* Thu Jun  4 2009 teheo@suse.de
  Conver ide major allocation.
- patches.suse/block-add-mangle-devt-switch: block: add
  genhd.mangle_devt parameter (fate#305584).
* Mon Jun  1 2009 jeffm@suse.de
- Update to 2.6.30-rc7-git4.
* Fri May 29 2009 teheo@suse.de
  Rename mangle_minor to mangle_devt and also cover sd major allocation.
- patches.suse/block-add-mangle-devt-switch: block: add
  genhd.mangle_devt parameter (fate#305584).
* Fri May 29 2009 teheo@suse.de
- Update config files to enable DEBUG_BLOCK_EXT_DEVT on all configs
  except for vanilla and ppc/ps3.
- patches.suse/block-add-mangle-devt-switch: block: add
  genhd.mangle_minor parameter (fate#305584).
* Thu May 28 2009 jdelvare@suse.de
- patches.fixes/scsi-scan-blist-update: Add BLIST_REPORTLUN2 to
  EMC SYMMETRIX (bnc#185164, bnc#191648, bnc#505578).
* Wed May 27 2009 jeffm@suse.com
- Update to 2.6.30-rc7-git2.
* Wed May 27 2009 gregkh@suse.de
- patches.drivers/ath1e-add-new-device-id-for-asus-hardware.patch:
  ath1e: add new device id for asus hardware.
* Tue May 26 2009 mmarek@suse.cz
- rpm/mkspec: when using a custom release number, create a
  get_release_number.sh script for autobuild.
* Tue May 26 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: workaround for bnc#507084: strip
  binaries in /usr/src/linux-obj/*/*/scripts.
* Tue May 26 2009 jdelvare@suse.de
- patches.drivers/r8169-allow-true-forced-mode-setting.patch:
  r8169: allow true forced mode setting (bnc#467518).
* Mon May 25 2009 mmarek@suse.cz
- switch i386 flavors back to -default (non-pae) and -pae for
  milestone2
* Sun May 24 2009 mmarek@suse.cz
- rpm/find-provides: fix for kernel-kdump.
* Sat May 23 2009 mmarek@suse.cz
- rpm/find-provides, rpm/kernel-binary.spec.in, rpm/symsets.pl:
  workaround to fix provides of built-in symbols: move vmlinux*.gz
  back to -base and extract the provides from it.
* Fri May 22 2009 teheo@suse.de
- patches.arch/i586-unwind-quick-fix: i586-relocs: ignore NONE
  relocation.
* Fri May 22 2009 mmarek@suse.cz
- rpm/compute-PATCHVERSION.sh, rpm/mkspec, scripts/tar-up.sh: avoid
  unpacking the patches tarballs in compute-PATCHVERSION.sh.
* Fri May 22 2009 mmarek@suse.cz
- rpm/mkspec: add --release option to set a custom release string.
- scripts/tar-up.sh: revive -rs option.
* Wed May 20 2009 mmarek@suse.cz
- patches.arch/acpi_thermal_passive_blacklist.patch,
  patches.suse/devtmpfs.patch: fix patches to apply with git-apply.
* Tue May 19 2009 sdietrich@suse.de
- patches.suse/stack-unwind-add-declaration.patch: Fix compile
  error when CONFIG_STACK_UNWIND is not set.
* Tue May 19 2009 jblunck@suse.de
- patches.rpmify/arm-arch_include_asm-fix.diff: ARM: move
  mach-types.h to arch/include/asm.
* Tue May 19 2009 jeffm@suse.com
- Set CONFIG_FRAMEBUFFER_CONSOLE=y
* Tue May 19 2009 jeffm@suse.com
- Restored CONFIG_BOOTSPLASH=y and CONFIG_FB_VESA=y on
  x86/x86_64 (bnc#504608)
* Tue May 19 2009 jbeulich@novell.com
- patches.xen/sfc-endianness: fix building with gcc 4.4.
* Tue May 19 2009 jbeulich@novell.com
- Update Xen patches to 2.6.30/rc6-git3 and c/s 873.
* Mon May 18 2009 jeffm@suse.com
- Updated to 2.6.30-rc6-git3.
  - Eliminated 4 patches.
* Fri May 15 2009 jeffm@suse.de
- doc/README.SUSE: Updated to reflect building in an external
  directory so as not to contaminate /usr/src/linux
* Thu May 14 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: fix path in
  /usr/src/linux-obj/.../Makefile.
* Thu May 14 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: provide kernel-$flavor-devel =
  %%version-%%source_rel in the -devel packages (bnc#503280).
* Wed May 13 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: also fix kernel-$flavor-devel requires
  (bnc#503280).
* Wed May 13 2009 mmarek@suse.cz
- rpm/mkspec: fix kernel-syms requires (bnc#503280).
* Mon May 11 2009 jeffm@suse.com
- patches.fixes/dup2-retval-fix: dup2: Fix return value with
  oldfd == newfd and invalid fd (bnc#498042).
* Mon May 11 2009 jeffm@suse.com
- patches.fixes/reiserfs-xattr-fixup: reiserfs: clean up ifdefs.
- patches.fixes/reiserfs-xattr-root-fixup: reiserfs: deal with
  NULL xattr root w/ xattrs disabled.
- patches.fixes/reiserfs-xattrs-disabled-perms: reiserfs: fixup
  perms when xattrs are disabled.
- patches.fixes/reiserfs-expose-privroot: reiserfs: allow exposing
  privroot w/ xattrs enabled.
* Mon May 11 2009 jeffm@suse.de
- Updated to 2.6.30-rc5-git1.
  - Eliminated 4 patches.
* Wed May  6 2009 gregkh@suse.de
- Update config files. update vanilla configs so that the build works.
* Wed May  6 2009 gregkh@suse.de
- Update config files.
- patches.suse/devtmpfs.patch: driver-core: devtmpfs - driver-core
  maintained /dev tmpfs.
* Tue May  5 2009 jeffm@suse.com
- Update config files.
* Tue May  5 2009 jeffm@suse.com
- Update to 2.6.30-rc4-git1.
- patches.rpmify/fix-unexpected-non-allocable-warnings-with-suse-gcc:
  kbuild, modpost: fix "unexpected non-allocatable" warning with
  SUSE gcc.
* Tue May  5 2009 jbeulich@novell.com
- patches.fixes/iwl3945-build: iwl3945: fix ia64/ppc build.
* Tue May  5 2009 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.30-rc4: Fix ia64 build.
* Tue May  5 2009 jbeulich@novell.com
- patches.suse/stack-unwind: Also initialize PT_GS() on 32-bit.
- patches.arch/x86_64-unwind-annotations: Refresh.
* Tue May  5 2009 jbeulich@novell.com
- Update Xen patches to 2.6.29-rc4 and c/s 867.
- Update i386 and x86_64 config files.
- config.conf: Re-enable Xen.
* Tue May  5 2009 teheo@suse.de
- patches.suse/kbuild-icecream-workaround: kbuild: add workaround
  for icecream bug (bnc#495786).
* Fri May  1 2009 jeffm@suse.com
- patches.fixes/reiserfs-xattr-locking: reiserfs: Expand i_mutex
  to enclose lookup_one_len.
* Fri May  1 2009 jeffm@suse.com
- Update to 2.6.30-rc4.
  - Eliminated 2 patches.
* Fri May  1 2009 jeffm@suse.com
- patches.drivers/libata-prefer-over-ide: libata: prefer libata
  drivers over ide ones (bnc#433105).
- patches.fixes/reiserfs-xattr-locking: reiserfs: Expand i_mutex
  to enclose lookup_one_len.
- patches.kernel.org/patch-2.6.30-rc3-rc4:
- patches.suse/no-frame-pointer-select: Fix stack unwinder Kconfig
  (bnc#402518).
- patches.arch/s390-08-05-af_iucv-msgpeek-fix.patch: Delete.
- patches.fixes/fix-periodic-mode-programming-on-amd81xx: Delete.
* Thu Apr 30 2009 mmarek@suse.cz
- scripts/submit-to-bs: tentative script to submit a new kernel to
  openSUSE:Factory
* Tue Apr 28 2009 npiggin@suse.de
- patches.apparmor/unambiguous-__d_path.diff: Put a reminder in here
  to fix the lock order problem when the patch is updated to HEAD.
* Mon Apr 27 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in,
  rpm/kernel-syms.spec.in, rpm/mkspec: Fix prepending EXTRAVERSION,
  rename the variable back to @RELEASE_PREFIX@.
* Mon Apr 27 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in,
  rpm/kernel-syms.spec.in, rpm/mkspec: prepend the EXTRAVERSION to
  the rpm release string (note that this won't have any effect in
  the openSUSE:* projects).
* Fri Apr 24 2009 gregkh@suse.de
- Update config files.
  - build rtc_cmos driver into the kernel for i386 and x86-64 default
    kernels.  This should automatically take care of the rtc/system time
    syncing so we don't need to do it in a boot script and should speed
    up booting time a lot.
* Fri Apr 24 2009 gregkh@suse.de
- Update config files. change CONFIG_ATA=y and CONFIG_SATA_AHCI=y
* Fri Apr 24 2009 gregkh@suse.de
- Update config files. change to CONFIG_EXT2_FS=y and CONFIG_EXT3_FS=y
* Fri Apr 24 2009 gregkh@suse.de
- Update config files. change to CONFIG_SCSI=y and CONFIG_BLK_DEV_SD=y
* Fri Apr 24 2009 gregkh@suse.de
- Update config files. change to use CONFIG_USB=y
* Thu Apr 23 2009 jeffm@suse.de
- Added legacy config.
* Thu Apr 23 2009 jeffm@suse.de
- Temporarily disabled patches.suse/acpi-dsdt-initrd-v0.9a-2.6.25.patch
* Thu Apr 23 2009 jeffm@suse.de
- Moved i386 kernel-default to kernel-legacy.
- Moved i386 kernel-pae config to kernel-default.
- Disabled CONFIG_ISA in i386 kernel-default to improve boot speed.
* Thu Apr 23 2009 jeffm@suse.de
- Update to 2.6.30-rc3.
* Thu Apr 23 2009 jeffm@suse.de
- patches.fixes/fix-periodic-mode-programming-on-amd81xx: x86:
  hpet: fix periodic mode programming on AMD 81xx.
- patches.fixes/hpet-boot-fix: Delete.
* Mon Apr 20 2009 jeffm@suse.de
- patches.fixes/hpet-boot-fix: hpet: fix "IO-APIC + timer doesn't work!"
* Mon Apr 20 2009 jeffm@suse.de
- Update to 2.6.30-rc2-git6.
* Wed Apr 15 2009 jeffm@suse.de
- Update to 2.6.30-rc2.
  - trace and xen flavors disabled.
  - CONFIG_OTUS disabled on ppc.
  - request-based multipath could use some testing.
  - Eliminated 96 patches.
* Fri Apr 10 2009 jeffm@suse.de
- rpm/devel-post.sh, rpm/kernel-binary.spec.in: Created i586 symlink
  for i386.
* Fri Apr 10 2009 jeffm@suse.de
- rpm/kernel-binary.spec.in: Added /usr/src/linux-obj to -devel
* Fri Apr 10 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Use xargs -r to fix case when no
  modules are supported.
* Fri Apr 10 2009 jeffm@suse.com
- Moved linux-obj symlink handling to kernel-$flavor-devel.
* Fri Apr 10 2009 mmarek@suse.cz
- rpm/package-descriptions: Add comment.
* Fri Apr 10 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in,
  rpm/kernel-syms.spec.in, scripts/tar-up.sh: Rename the timestamp
  file to source-timestamp instead, so that autobuild does not add
  the timestamp verbatim.
* Thu Apr  9 2009 jbeulich@novell.com
- Update Xen patches to 2.6.29 final and c/s 854.
- patches.xen/sfc-external-sram: enable access to Falcon's
  external SRAM (bnc#489105).
- patches.xen/sfc-sync-headers: sync Solarflare accelerator
  headers (bnc#489105).
- Update Xen config files.
* Wed Apr  8 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in,
  rpm/kernel-syms.spec.in: Fix last change: do not add the
  timestamp if it is already added verbatim (by prepare_spec during
  checkin)
* Tue Apr  7 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in,
  rpm/kernel-syms.spec.in: Add source timestamp to package
  descriptions.
* Tue Apr  7 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in,
  rpm/kernel-syms.spec.in, rpm/mkspec: add descriptions to
  generated spec files.
- rpm/package-descriptions: descriptions of binary packages.
* Mon Apr  6 2009 jeffm@suse.com
- Enabled STAGING on !x86 and disabled COMEDI.
* Mon Apr  6 2009 jeffm@suse.com
- patches.rpmify/split-package: Enable
* Mon Apr  6 2009 jeffm@suse.com
- Update config files: Fixed i386-vanilla.
* Mon Apr  6 2009 jeffm@suse.com
- patches.fixes/xfs-export-debug: xfs: export assertion handler.
* Mon Apr  6 2009 jeffm@suse.com
- Switch from SPARSEMEM to DISCONTIGMEM on i386.
* Sun Apr  5 2009 jeffm@suse.com
- scripts/tar-up_and_run_mbuild.sh: Added pae to the important
  specfiles list.
* Fri Apr  3 2009 jeffm@suse.com
- Update config files: Fix missing ia64-debug.
* Fri Apr  3 2009 jeffm@suse.com
- patches.xen/sfc-resource-driver: Fix uninitialized var warning.
* Fri Apr  3 2009 jeffm@suse.com
- Drop NR_CPUS back to 128 on i386.
* Fri Apr  3 2009 jeffm@suse.com
- rpm/kernel-binary.spec.in: Added CONFIG_SPLIT_PACKAGE.
* Fri Apr  3 2009 jeffm@suse.de
- Update config files: Enabled STAGING drivers on -vanilla.
* Fri Apr  3 2009 jblunck@suse.de
- patches.rpmify/rpm-kernel-config: Rediff.
* Fri Apr  3 2009 mmarek@suse.cz
- rpm/kernel-source.spec.in: chmod +x mkspec arch-symbols
  compute-PATCHVERSION.sh
* Fri Apr  3 2009 jeffm@suse.com
- Update config files: Enabled STAGING drivers.
* Fri Apr  3 2009 jeffm@suse.com
- Sync up kernel configs for x86/x86_64 flavors.
* Fri Apr  3 2009 mmarek@suse.cz
- rpm/kernel-source.spec.in, rpm/mkspec: do not package the binary
  spec files anymore.
* Thu Apr  2 2009 mmarek@suse.cz
- rpm/modversions: keep the override keyword in --pack.
* Thu Apr  2 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/mkspec, scripts/tar-up.sh: remove
  @TOLERATE_UNKNOWN_NEW_CONFIG_OPTIONS@ expansion, check for a file
  named TOLERATE-UNKNOWN-NEW-CONFIG-OPTIONS in sourcedir instead.
* Thu Apr  2 2009 mmarek@suse.cz
- rpm/kernel-syms.spec.in: set LC_ALL=C in rpm -q call
* Thu Apr  2 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: add @FLAVOR@ again to avoid %%%%(...)
  expansion
* Thu Apr  2 2009 mmarek@suse.cz
- rpm/mkspec: new script to generate spec files from *.spec.in
  templates
- rpm/compute-PATCHVERSION.sh, rpm/kernel-binary.spec.in,
  rpm/kernel-source.spec.in, rpm/kernel-syms.spec.in: add to the
  source rpm
- scripts/tar-up.sh: just tar up patches directories and call
  mkspec
* Tue Mar 31 2009 mmarek@suse.cz
- rpm/kernel-dummy.spec.in: Delete.
* Tue Mar 31 2009 jeffm@suse.de
- doc/README.KSYMS: Add to repo.
* Tue Mar 31 2009 mmarek@suse.cz
- config.conf, rpm/old-packages.conf, scripts/arch-symbols,
  scripts/run_oldconfig.sh, scripts/tar-up.sh: drop the arch
  symbols completely, only map the various ix86 archs to i386.
* Tue Mar 31 2009 mmarek@suse.cz
- doc/README.SUSE: allow_unsupported_modules needs to be set before
  installing the kernel (bnc#484664).
* Tue Mar 31 2009 jeffm@suse.de
- Add %%changelog to spec files
* Tue Mar 31 2009 jeffm@suse.de
- rpm/kernel-binary.spec.in: Clean up %%build_$flavor macros
* Tue Mar 31 2009 jeffm@suse.de
- rpm/kernel-source.spec.in: Create kernel-source-vanilla
* Tue Mar 31 2009 jeffm@suse.de
- rpm/kernel-syms.spec.in, scripts/tar-up.sh: Depend on kernel-$flavor-devel
* Tue Mar 31 2009 jeffm@suse.de
- rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in,
  rpm/kernel-syms.spec.in: Create a %%using_buildservice macro
* Tue Mar 31 2009 jeffm@suse.de
- rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in,
  scripts/sequence-patch.sh, scripts/tar-up.sh:
  kernel-{binary,source}: Remove arch guards
* Tue Mar 31 2009 jeffm@suse.de
- doc/README.SUSE, rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in,
  scripts/tar-up.sh: Move development files from kernel-source to
  kernel-$flavor-devel
* Tue Mar 31 2009 jeffm@suse.de
- rpm/kernel-binary.spec.in: Remove $CONFIG_MODULES
* Tue Mar 31 2009 jeffm@suse.de
- rpm/kernel-binary.spec.in: Remove duplicate CONFIG_DEBUG_INFO=y
* Tue Mar 31 2009 jeffm@suse.de
- rpm/kernel-binary.spec.in: Use macros for cpu_arch
* Tue Mar 31 2009 jeffm@suse.de
- rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in:
  kernel-{source,binary}: Use path-related rpm macros
* Tue Mar 31 2009 jeffm@suse.de
- rpm/kernel-binary.spec.in,  rpm/kernel-source.spec.in:
  Use a %%kernelrelease macro.
* Tue Mar 31 2009 jeffm@suse.de
- rpm/kernel-source.spec.in, rpm/source-post.sh, scripts/tar-up.sh:
  Use %%variant instead of $variant
* Tue Mar 31 2009 jeffm@suse.de
- kernel-source: Kill old obsoletes
* Tue Mar 31 2009 jeffm@suse.de
- rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in,
  rpm/kernel-syms.spec.in, scripts/tar-up.sh:
  Use %%var instead of @VAR@ except where necessary
* Tue Mar 31 2009 jeffm@suse.de
- kernel-syms: Sort by flavor, not architecture
* Tue Mar 31 2009 jeffm@suse.de
- kernel-syms: Stop the architecture %%else madness
* Tue Mar 31 2009 jeffm@suse.de
- kernel-binary: Stop the architecture %%else madness
* Mon Mar 30 2009 jeffm@suse.de
- Removed -RT guards and a dead patch.
* Mon Mar 30 2009 jeffm@suse.de
- patches.fixes/reiserfs-prealloc-fix: Delete.
* Mon Mar 30 2009 jeffm@suse.de
- patches.suse/reiserfs-inode-init: Delete.
* Thu Mar 26 2009 mmarek@suse.cz
- rpm/config.sh: introduce rpm/config.sh, defining SRCVERSION and
  VARIANT variables.
* Tue Mar 24 2009 jeffm@suse.de
- Update to 2.6.29-final.
  - Eliminated 4 patches.
* Fri Mar 20 2009 jbeulich@novell.com
- Update Xen config files.
- Update Xen patches to 2.6.29-rc8 and c/s 821.
* Wed Mar 18 2009 mmarek@suse.cz
- rpm/kernel-*.spec.in, scripts/tar-up.sh: don't add "<RELEASE>"
  to the release, breaks plain rpmbuild.
* Tue Mar 17 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: don't generate symsets
- rpm/kernel-syms.spec.in: don't package symsets
- rpm/find-provides: disable symset provides
- rpm/macros.kernel-source: don't check for /boot/symsets*
  (fate#305945)
* Tue Mar 17 2009 knikanth@suse.de
- patches.fixes/loop-barriers: Delete.
- patches.fixes/loop-barriers2: Delete.
  Remove non-mainline patches to loop driver making it honour
  O_SYNC, sync requests and barriers. (bnc#485089), (bnc#471249)
* Mon Mar 16 2009 bphilips@suse.de
- README: add rough guide to updating KABI
* Sat Mar 14 2009 jeffm@suse.com
- Update to 2.6.29-rc8.
* Thu Mar 12 2009 jbeulich@novell.com
- patches.fixes/fix-nf_conntrack_slp,
  patches.suse/perfmon2-remove_get_base_syscall_attr.patch,
  patches.suse/perfmon2.patch,
  patches.suse/silent-stack-overflow-2.patch: fix build warnings.
* Thu Mar 12 2009 jbeulich@novell.com
- Update Xen patches addressing several issues in initial commit
- Update Xen config files (re-enable oprofile, disable novfs).
- patches.xen/xen3-x86_64-unwind-annotations: fix unwind annotations
  in entry_64-xen.S.
* Thu Mar 12 2009 jbeulich@novell.com
- patches.arch/x86_64-unwind-annotations: fix unwind annotations in
  entry_64.S.
* Thu Mar 12 2009 rgoldwyn@suse.de
- patches.suse/novfs-creds-change-2.6.29: Changing credential
  according to new task_struct.
* Wed Mar 11 2009 jblunck@suse.de
- rpm/kernel-binary.spec.in: Use split_packages only if supported.conf
  is not empty.
* Mon Mar  9 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: renamed modprobe config to
  /etc/modprobe.d/50-module-renames.conf (required by new
  module-init-tools).
* Mon Mar  9 2009 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.29-rc4: fix ia64 build.
* Mon Mar  9 2009 jbeulich@novell.com
- Update Xen config files (get tracing options back in sync with
  default).
* Fri Mar  6 2009 jeffm@suse.de
- Update config files: Enable CONFIG_FRAME_POINTER on Xen.
* Fri Mar  6 2009 jeffm@suse.de
- config.conf: Enabled Xen for building.
* Fri Mar  6 2009 jbeulich@novell.com
- Update Xen patches to 2.6.29-rc7.
* Fri Mar  6 2009 jbenc@suse.cz
- Update config files: enabled wireless debugging in -debug flavors.
* Fri Mar  6 2009 mmarek@suse.cz
- rpm/get_release_number.sh.in, rpm/kernel-binary.spec.in,
  rpm/kernel-source.spec.in, rpm/kernel-syms.spec.in,
  scripts/tar-up.sh, doc/README.SUSE: finally drop kernel-dummy
- rpm/prepare-build.sh: Delete.
* Wed Mar  4 2009 jeffm@suse.com
- Update to 2.6.29-rc7.
  - Eliminated 1 patch.
* Wed Mar  4 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: workaround a bash bug (bnc#481817)
  in kernel-vanilla.spec.
* Wed Mar  4 2009 jeffm@suse.com
- patches.suse/export-security_inode_permission: Export
  security_inode_permission for aufs.
* Thu Feb 26 2009 jeffm@suse.com
- scripts/tar-up.sh: Add -u to update existing spec files.
* Thu Feb 26 2009 sven@suse.de
- rpm/kernel-binary.spec.in: Fix sub-package install-time conflict.
* Wed Feb 25 2009 mmarek@suse.cz
- scripts/tar-up.sh: create tarballs that don't change
  unnecessarily: set owner/group to nobody/nobody, mtime to time of
  the latest commit and sort the input files.
* Wed Feb 25 2009 jeffm@suse.com
- Update to 2.6.29-rc6-git1.
* Sat Feb 21 2009 mmarek@suse.cz
- rpm/kernel-syms.spec.in: also check if the package versions match
  (bnc#478462)
* Fri Feb 20 2009 jbeulich@novell.com
- patches.suse/stack-unwind: fix 32-bit arch_unwind_init_running().
* Fri Feb 20 2009 jbeulich@novell.com
- patches.suse/stack-unwind: fix patch fuzz.
* Fri Feb 20 2009 jbeulich@novell.com
- misc/xen-port-patches.py: Adjust fro new x86 header placement.
- patches.arch/x86_64-unwind-annotations: fix unwind annotations
  (bnc#472783).
- patches.suse/stack-unwind: Properlz hook up unwinder again.
* Fri Feb 20 2009 jeffm@suse.de
- patches.suse/kdb-common: Build fix with -I directive.
* Fri Feb 20 2009 jeffm@suse.de
- Update config files.
* Fri Feb 20 2009 jeffm@suse.de
- Update to 2.6.29-rc5-git3.
  - Eliminated 1 patch.
* Thu Feb 19 2009 mmarek@suse.cz
- rpm/symsets.pl: allow passing only Module.symvers and no modules
* Wed Feb 18 2009 olh@suse.de
- disable ppc601 support, disable unused framebuffer drivers
* Wed Feb 18 2009 olh@suse.de
- disable kdump on ppc32
* Mon Feb 16 2009 jeffm@suse.com
- Update config files.
* Sat Feb 14 2009 jeffm@suse.de
- Update to 2.6.29-rc5.
* Fri Feb 13 2009 jeffm@suse.de
- Update to 2.6.29-rc4-git7.
  - Eliminated 2 patches.
* Mon Feb  9 2009 jeffm@suse.de
- patches.rpmify/spin_is_contended-fix: spin_is_contended
  Kconfig fixes.
* Mon Feb  9 2009 jeffm@suse.de
- Updated to 2.6.29-rc4.
  - Eliminated 3 patches.
* Fri Feb  6 2009 jeffm@suse.com
- patches.fixes/fix-warning-while-mapping-0-1MB-range-with-dev-mem:
  x86, pat: fix warn_on_once() while mapping 0-1MB range.
* Fri Feb  6 2009 mmarek@suse.cz
- rpm/kernel-module-subpackage, rpm/post.sh, rpm/postun.sh: fix
  last change: don't pass -e to weak-modules2.
* Fri Feb  6 2009 mmarek@suse.cz
- rpm/kernel-module-subpackage, rpm/post.sh, rpm/postun.sh: pass
  down shell options like -x to weak-modules2 to make debugging
  with rpm -ivv easier.
* Tue Feb  3 2009 jeffm@suse.de
- patches.fixes/fix-nf_conntrack_slp: make nf_conntrack_slp
  actually work (bnc#470963).
* Tue Feb  3 2009 mmarek@suse.cz
- scripts/tar-up.sh: fix branch name in KOTD packages.
* Tue Feb  3 2009 olh@suse.de
- config.conf: readde -debug flavor for ppc64
* Tue Feb  3 2009 olh@suse.de
- patches.fixes/scsi-ibmvfc_prli_initiator_fix.patch:
  Better handle other FC initiators (bnc#471217 - LTC51238)
* Tue Feb  3 2009 mmarek@suse.cz
- scripts/wd-functions.sh: display master as "master", not "HEAD"
  or "".
* Mon Feb  2 2009 jeffm@suse.de
- patches.fixes/ath9k-fix-led_device_naming.diff: ath9k: fix
  led naming.
- patches.fixes/b43legacy-fix-led_device_naming.diff: b43legacy:
  fix led naming.
- patches.fixes/iwlwifi-fix-iwl-3945_led_device_naming.diff:
  iwlwifi: another led naming fix.
- patches.fixes/iwlwifi-fix-iwl-led_device_naming.diff: iwlwifi:
  fix led naming   .
- patches.fixes/rt2x00-fix-led_device_naming.diff: rt2x00:
  fix led naming.
* Mon Feb  2 2009 jeffm@suse.de
- Updated to 2.6.29-rc3-git3.
  - Eliminated 6 patches.
* Mon Feb  2 2009 jeffm@suse.de
- Updated to 2.6.29-rc3.
  - AppArmor is disabled.
  - Xen is disabled.
  - Eliminated 745 patches.
* Mon Feb  2 2009 jeffm@suse.de
- Enabled patches.suse/reiserfs_warning-reentrant
* Mon Feb  2 2009 rw@suse.de
- patches.fixes/xpc-pass-physical,
  patches.kabi/xpc-pass-physical:
  kABI: restore upstream patch, add ABI cover-up. (bnc#458811)
* Mon Feb  2 2009 olh@suse.de
- patches.fixes/serial-jsm-enable_ms.patch:
  Add enable_ms to jsm driver (bnc#471224 - LTC51066)
* Mon Feb  2 2009 olh@suse.de
- patches.arch/ppc-optimize-sync.patch:
  Optimise smp_{r,w}mb and mutex (bnc#471222 - LTC51356)
* Sat Jan 31 2009 gregkh@suse.de
- refresh patches for fuzz due to 2.6.27.14-rc1 import.
* Sat Jan 31 2009 gregkh@suse.de
- patches.kabi/abi-fix-add-epoll_devs-back-to-struct-user_struct.patch:
  ABI fix: add epoll_devs back to struct user_struct.
* Sat Jan 31 2009 gregkh@suse.de
- Update to 2.6.27.14-rc1
  - lots of security fixes
  - lots of bugfixes
  - obsoletes:
  - patches.drivers/alsa-virtuoso-no-eeprom-overwrite
  - patches.drivers/pata_via.c-support-vx855-and-future-chips-whose-ide-controller-use-0x0571.patch
  - patches.fixes/SUNRPC-Fix-autobind-on-cloned-rpc-clients.patch
  - patches.fixes/sysfs-fix-problems-with-binary-files.patch
  - patches.fixes/xpc-fix-NULL-deref
  - patches.fixes/xpc-write-barrier
* Fri Jan 30 2009 olh@suse.de
- patches.arch/ppc-pseries-migration_hang_fix.patch:
  Fix partition migration hang under load (bnc#470563 - LTC51153)
* Fri Jan 30 2009 olh@suse.de
- disable CONFIG_DEBUG_STACKOVERFLOW and CONFIG_DEBUG_STACK_USAGE
  on ppc/ppc64
* Fri Jan 30 2009 teheo@suse.de
- patches.drivers/libata-fix-EH-device-failure-handling: libata:
  fix EH device failure handling (bnc#470845).
* Thu Jan 29 2009 jjolly@suse.de
- patches.arch/s390-08-08-add_qdio_utilization.patch: zfcp:
  queue_full is lacking the entry for qdio utilization
  (bnc#466462).
* Thu Jan 29 2009 gregkh@suse.de
- add ability to debug kernel using USB debug connector.
- Update config files.
- patches.suse/usb-move-ehci-reg-def.patch: usb: move ehci
  reg def.
- patches.suse/x86-usb-debug-port-early-console-v4.patch: x86:
  usb debug port early console, v4.
* Thu Jan 29 2009 mmarek@suse.cz
- patches.kabi/abi-fix-add-s_syncing-back-to-struct-super_block.patch
  patches.kabi/abi-fix-add-wb_sync_hold-enum-writeback_sync_modes.patch
  patches.kabi/export-iwl_rx_allocate
  patches.kabi/sched-kabi-compat-hack.patch: Introduce
  patches.kabi/ for patches that only work around kabi issues and
  can be safely dropped at the next SP.
* Wed Jan 28 2009 agruen@suse.de
- patches.xen/xen-x86-mark_rodata_rw.patch: Add missing pageattr.c
  changes to pageattr-xen.c (bnc#439348).
* Wed Jan 28 2009 agruen@suse.de
- patches.suse/x86-mark_rodata_rw.patch: Add mark_rodata_rw()
  to un-protect read-only kernel code pages (bnc#439348).
- patches.xen/xen-x86-mark_rodata_rw.patch: xen specific part
  (bnc#439348).
* Wed Jan 28 2009 mmarek@suse.cz
- config/s390/s390: the -man package still fails for s390, disable
  it
* Wed Jan 28 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: fix build of the -man subpackage on
  31bit s390
* Wed Jan 28 2009 mmarek@suse.cz
- fix kernel-default.ppc64 reference symsets
* Wed Jan 28 2009 jslaby@suse.cz
- patches.arch/x86_sgi_cpus4096-05-update-send_IPI_mask.patch:
  x86 cpumask: Updates to support NR_CPUS=4096 (bnc#425240
  FATE304266).
  [cpu_mask_to_apicid bigsmp fix]
* Wed Jan 28 2009 olh@suse.de
- patches.fixes/scsi-ibmvscsi-module_alias.patch:
  map scsi proc_name to module name (bnc#459933 - LTC50724)
* Wed Jan 28 2009 jeffm@suse.de
- Update config files: Disable ftrace in -debug on ppc64
* Wed Jan 28 2009 jeffm@suse.de
- config.conf: Added -debug flavor for ppc64.
* Tue Jan 27 2009 bwalle@suse.de
- patches.drivers/libfc-set-the-release-function.diff:
  Whitespace change.
* Tue Jan 27 2009 hare@suse.de
- patches.drivers/libfc-fix-read-IO-data-integrity: libfc:
  IO data integrity issue when a IO data frame lost (bnc#469536).
* Tue Jan 27 2009 jbeulich@novell.com
- re-enable patches.xen/xen3-e1000e_Export_set_memory_ro-rw.
* Tue Jan 27 2009 olh@suse.de
- update patches.arch/ppc-memoryless-nodes.patch:
  include prototype for PFN_UP() (bnc#462546 - LTC50009)
* Mon Jan 26 2009 kkeil@suse.de
- patches.suse/e1000e_Export_set_memory_ro-rw: Export
  set_memory_ro() and set_memory_rw() calls.
  readded to avoid kabi change
* Mon Jan 26 2009 jeffm@suse.de
- config.conf: Added kernel-vmi to i386.
* Mon Jan 26 2009 olh@suse.de
- update patches.arch/ppc-memoryless-nodes.patch:
  use PFN_UP() for end_pfn (bnc#462546 - LTC50009)
* Mon Jan 26 2009 mmarek@suse.cz
- kabi: import FCoE changes
* Mon Jan 26 2009 hare@suse.de
- patches.suse/dm-mpath-requeue-for-stopped-queue: disable
  wrong debug message again.
* Mon Jan 26 2009 rw@suse.de
- patches.fixes/taskstats-alignment:
  IA64: fill 'struct taskstats' on stack and 'memcpy' result to skb.
  (bnc#448410)
* Mon Jan 26 2009 olh@suse.de
- update patches.arch/ppc-memoryless-nodes.patch:
  fix calculation of reserve_size (bnc#462546 - LTC50009)
* Mon Jan 26 2009 kkeil@suse.de
- patches.fixes/disable-lro-per-default: Disable LRO per default
  in igb and ixgbe. (bnc#467519)
* Mon Jan 26 2009 jbeulich@novell.com
- Just comment out patches.xen/xen3-e1000e_* (to address build error)
  until disposition of their originals is known.
* Mon Jan 26 2009 kkeil@suse.de
- patches.fixes/sctp_do_not_use_stale_copy_of_sk: Do not use
  stale copy of sk. (bnc#440104)
* Mon Jan 26 2009 jblunck@suse.de
  Renamed some patches so they get included in vanilla builds.
- patches.rpmify/firmware-path: Renamed.
- patches.rpmify/no-include-asm: Renamed.
- patches.suse/md-raid-metadata-PAGE_SIZE.patch: Renamed.
* Mon Jan 26 2009 olh@suse.de
- patches.suse/led_classdev.sysfs-name.patch: use correct name
  for /sys/devices/virtual/leds/ entries (bnc#468350)
* Mon Jan 26 2009 kkeil@suse.de
- patches.suse/e1000e_Export_set_memory_ro-rw: Delete.
- patches.suse/e1000e_allow_bad_checksum: Delete.
- patches.suse/e1000e_call_dump_eeprom: Delete.
- patches.suse/e1000e_ioremap_sanity_check: Delete.
- patches.suse/e1000e_use_set_memory_ro-rw_to_protect_flash_memory:
  Delete.
  Remove not mainline e1000e patches which were added to help with
  the e1000e NVM corruption - root issue is fixed
* Mon Jan 26 2009 kkeil@suse.de
- patches.drivers/tg3_libphy_workaround: tg3 libphy workaround.
  (bnc#468725)
* Mon Jan 26 2009 hare@suse.de
- supported.conf: Correct spelling for dm-least-pending
  path checker.
* Mon Jan 26 2009 hare@suse.de
- patches.suse/dm-mpath-check-info-before-access: Kernel Oops
  during path failover (bnc#458393).
* Sun Jan 25 2009 gregkh@suse.de
- refresh patch fuzz now that 2.6.27.13 is in tree
* Sun Jan 25 2009 gregkh@suse.de
- Update to final version of 2.6.27.13
* Sun Jan 25 2009 gregkh@suse.de
- dynamic debugging fixes backported from upstream:
- patches.drivers/driver-core-add-newlines-to-debugging-enabled-disabled-messages.patch:
  driver core: add newlines to debugging enabled/disabled
  messages.
- patches.drivers/driver-core-fix-dynamic_debug-cmd-line-parameter.patch:
  Driver core: fix 'dynamic_debug' cmd line parameter.
- patches.drivers/driver-core-fix-using-ret-variable-in-unregister_dynamic_debug_module.patch:
  driver core: fix using 'ret' variable in
  unregister_dynamic_debug_module.
* Sat Jan 24 2009 jbohac@suse.cz
- patches.arch/x86_64-hpet-64bit-timer.patch:
  (fix return of an unitialized value (bnc#469017)
* Sat Jan 24 2009 mmarek@suse.cz
- update kabi files: ignore changes in struct pcie_link_state as
  it is an internal structure only.
* Sat Jan 24 2009 mmarek@suse.cz
- patches.suse/genksyms-add-override-flag.diff: genksyms: add
  - -override flag.
- rpm/kernel-binary.spec.in: set KBUILD_OVERRIDE=1
* Sat Jan 24 2009 ghaskins@suse.de
- patches.fixes/sched-kabi-compat-hack.patch: sched: leave
  RT_GROUP_SCHED structure components intact to preserve kABI.
  broke kabi with fix for 456542
* Sat Jan 24 2009 trenn@suse.de
- patches.fixes/cpufreq_export_latency.patch: CPUFREQ: Introduce
  /sys/devices/system/cpu/cpu*/cpufreq/cpuinfo_transition_latency
  (bnc#464461).
- patches.fixes/cpufreq_ondemand_adjust_sampling_rate_limit.patch:
  CPUFREQ: ondemand/conservative: sanitize sampling_rate
  restrictions (bnc#464461).
- patches.fixes/cpufreq_ondemand_performance_optimise_default_settings.patch:
  CPUFREQ: ondemand: Limit default sampling rate to 300ms
  max. (bnc#464461).
- patches.fixes/x86_cpufreq_powernow-k8_acpi_latency_values.patch:
  X86 powernow-k8 cpufreq: Get transition latency from acpi _PSS
  object (bnc#464461).
* Fri Jan 23 2009 jeffm@suse.de
- patches.fixes/xfs-dmapi-fixes: xfs/dmapi: fix crash on mount
  (bnc#458027).
* Fri Jan 23 2009 ghaskins@suse.de
- Update config files: Disable RT_GROUP_SCHED (bnc#456542).
  The RT_GROUP_SCHED feature is experimental and clearly broken, so
  lets turn it off for now.
* Fri Jan 23 2009 jeffm@suse.de
- patches.fixes/hpilo-open-close-fix: hpilo open/close fix
  (bnc#466517).
* Fri Jan 23 2009 hare@suse.de
- patches.suse/dm-mpath-requeue-for-stopped-queue: Handle I/O
  on stopped queues correctly (bnc#458393).
* Fri Jan 23 2009 jbenc@suse.cz
- patches.suse/mnt-want-write-speedup.patch,
  patches.suse/mnt_clone_write.patch: modified not to break kABI,
  enabled (bnc#436953).
* Fri Jan 23 2009 jbenc@suse.cz
- patches.fixes/iwlagn-fix-rfkill.patch: iwlagn: fix hw-rfkill
  while the interface is down (bnc#446158).
* Fri Jan 23 2009 mmarek@suse.cz
- kabi/severities: temporarily enable changes in FcOE modules.
* Fri Jan 23 2009 hare@suse.de
- patches.arch/s390-08-06-personality.patch: kernel: setting 32
  bit personality doesn't work (bnc#466462).
- patches.arch/s390-08-07-compat_wrappers.patch: kernel:
  Add missing wrapper functions for 31 bit compat
  syscalls. (bnc#466462,LTC#51229).
- patches.fixes/block-leave-the-request-timeout-timer-running:
  Delete obsolete patch.
* Fri Jan 23 2009 bwalle@suse.de
- patches.drivers/fcoe-change-fcoe_sw-sg_tablesi.diff: change
  fcoe_sw sg_tablesize to SG_ALL (bnc #459142).
- patches.drivers/fcoe-check-return-for-fc_set_m.diff: check
  return for fc_set_mfs (bnc #459142).
- patches.drivers/fcoe-fix-frame-length-validati.diff: fix frame
  length validation in the early receive path (bnc #459142).
- patches.drivers/fcoe-fix-incorrect-use-of-struct-module.diff:
  fcoe: fix incorrect use of struct module (bnc #468051).
- patches.drivers/fcoe-improved-load-balancing-i.diff: improved
  load balancing in rx path (bnc #459142).
- patches.drivers/fcoe-logoff-of-the-fabric-when.diff: Logoff
  of the fabric when destroying interface (bnc #459142).
- patches.drivers/fcoe-remove-warn_on-in-fc_set.diff: remove
  WARN_ON in fc_set_mfs (bnc #459142).
- patches.drivers/fcoe-user_mfs-is-never-used.diff: user_mfs is
  never used (bnc #459142).
- patches.drivers/libfc-add-fc_disc-c-locking-co.diff: Add
  fc_disc.c locking comment block (bnc #459142).
- patches.drivers/libfc-ensure-correct-device_pu.diff: libfc:
  Ensure correct device_put/get usage (round 2).
- patches.drivers/libfc-fix-rport-recursive-lock.diff: libfc:
  Fix rport recursive lock on rport mutex (bnc #459142).
- patches.drivers/libfc-handle-rrq-exch-timeout.diff: libfc:
  handle RRQ exch timeout (bnc #465596).
- patches.drivers/libfc-improve-fc_lport-c-locki.diff: Improve
  fc_lport.c locking comment block (bnc #459142).
- patches.drivers/libfc-improve-fc_rport-c-locki.diff: Improve
  fc_rport.c locking comment block (459142).
- patches.drivers/libfc-make-fc_disc-inline-with.diff: make
  fc_disc inline with the fc_lport structure (bnc #459142).
- patches.drivers/libfc-make-rscn-parsing-more-r.diff: make RSCN
  parsing more robust (bnc #459142).
- patches.drivers/libfc-make-sure-we-access-the.diff: make sure
  we access the CRC safely (bnc #459142).
- patches.drivers/libfc-pass-lport-in-exch_mgr_r.diff: libfc:
  Pass lport in exch_mgr_reset (bnc #465596).
- patches.drivers/libfc-remove-debug-print-state.diff: libfc:
  Remove debug print statement, too verbose (bnc #459142).
- patches.drivers/libfc-set-the-release-function.diff: Set
  the release function for the rport's kobject (round 2)
  (bnc #459142).
- patches.drivers/libfc-updated-comment-for-orde.diff: updated
  comment for order of em and ex locks (bnc #459142).
- patches.drivers/libfc-updated-libfc-fcoe-modul.diff: updated
  libfc fcoe module ver to 1.0.6 (bnc #459142).
- patches.drivers/libfc-use-an-operations-struct.diff: use an
  operations structure for rport callbacks (bnc #459142).
- patches.drivers/libfc-when-rport-goes-away-re.diff: libfc:
  when rport goes away (re-plogi), clean up exchanges to/from
  rport (bnc #465596).
- patches.drivers/libfc_locking.diff: libfc, fcoe: fixed locking
  issues with lport->lp_mutex around lport->link_status (bnc
  [#468053]).
- patches.drivers/libfc_rport.diff: libfc: rport retry on LS_RJT
  from certain ELS (bnc #468054).
* Fri Jan 23 2009 hare@suse.de
- patches.fixes/qla2xxx-check-fc-rport-validity:
  qla2xxx: added check for fcport is valid in
  qla2x00_terminate_rport_io(). (bnc#467624).
* Fri Jan 23 2009 tiwai@suse.de
- patches.drivers/alsa-hda-gateway-t1616-quirk: ALSA: hda -
  Add quirk for Gateway T1616 laptop (bnc#467597).
- patches.drivers/alsa-hda-hp-dv4-quirk: ALSA: hda - Add model
  entry for HP dv4.
- patches.drivers/alsa-hda-intel-d945-ref-quirk: ALSA: hda -
  Add model=ref for Intel board with STAC9221 (bnc#406529).
* Fri Jan 23 2009 hare@suse.de
- patches.fixes/blk-leave-sync-timer-running: block: Rediff
- patches.fixes/block-use-round_jiffies_up: Block: use
  round_jiffies_up() (bnc#464155).
- Add missing patches to series.conf:
  patches.fixes/round-jiffies-up
  patches.fixes/block-use-round_jiffies_up
  patches.fixes/block-fix-blk_start_queueing
  patches.fixes/suppress-buffer-IO-errors
  patches.fixes/block-optimizations-in-blk_rq_timed_out_timer
  patches.fixes/block-add-comment-in-blk_rq_timed_out
* Fri Jan 23 2009 olh@suse.de
- update patches.fixes/scsi-ibmvscsi-vio_leak.patch:
  handle also drivers/scsi/ibmvscsi/ibmvfc.c
* Fri Jan 23 2009 sjayaraman@suse.de
- patches.fixes/cifs-fix-oops-on-ipv6-mount: cifs: make sure we
  allocate enough storage for socket address (467691).
* Fri Jan 23 2009 gregkh@suse.de
- patches.kernel.org/abi-fix-add-wb_sync_hold-enum-writeback_sync_modes.patch:
  ABI fix: add WB_SYNC_HOLD enum writeback_sync_modes.
* Fri Jan 23 2009 gregkh@suse.de
- patches.kernel.org/abi-fix-add-s_syncing-back-to-struct-super_block.patch:
  ABI fix: add s_syncing back to struct super_block.
* Fri Jan 23 2009 gregkh@suse.de
- update to 2.6.27.13-rc1:
  - security updates
  - lots of bugfixes
  - obsoletes:
  - patches.arch/ppc-fix_hugepage_check.patch
  - patches.drivers/alsa-hda-ad1986a-laptop-eapd-model-back
  - patches.drivers/alsa-hda-samsung-q45-quirk
  - patches.fixes/security-introduce-missing-kfree.patch
  - patches.fixes/xpc-fix-heartbeat
- Update config files.
* Fri Jan 23 2009 kkeil@suse.de
- patches.drivers/e1000-fix-shared-emc.patch: e1000: fix bug
  with shared interrupt during reset (bnc#396687)
* Thu Jan 22 2009 tonyj@suse.de
- patches.fixes/revert-bgcolor-line-feed-93f78da4.patch: Revert
  "vt: fix background color on line feed" (bnc#418613).
* Thu Jan 22 2009 jbenc@suse.cz
- patches.fixes/iwlwifi-fix-rs_get_rate-oops.patch: iwlwifi:
  fix rs_get_rate WARN_ON() (bnc#456002).
- Reordered wireless patches to group together patches touching the same
  driver.
* Thu Jan 22 2009 bphilips@suse.de
- patches.drivers/disable-catas_reset-by-default-to-avoid-problems-with-eeh.patch:
  disable catas_reset by default to avoid problems with EEH
  (bnc#456389).
* Thu Jan 22 2009 rw@suse.de
- patches.fixes/xpc-pass-physical:
  fixed kABI breakage. (bnc#458811)
* Thu Jan 22 2009 bwalle@suse.de
- scripts/tar-up_and_run_mbuild.sh: s390 (the 31 bit variant) is
  not an important spec file.
* Thu Jan 22 2009 jbenc@suse.cz
- patches.fixes/mac80211-add-direct-probe.patch: fixed kABI
  breakage, reenabled.
* Thu Jan 22 2009 mmarek@suse.cz
- rpm/modversions: eat the "override" keyword before parsing the
  symbol definition.
* Thu Jan 22 2009 olh@suse.de
- patches.fixes/scsi-ibmvscsi-vio_leak.patch:
  Correct VIO bus/device CMO accounting problems (bnc#468304 - LTC51205)
* Thu Jan 22 2009 olh@suse.de
- patches.suse/of_platform_driver.module-owner.patch:
  add missing module symlink to /sys/bus/*/driver/*
  in struct of_platform_driver.
* Thu Jan 22 2009 kkeil@suse.de
- patches.drivers/ixgbe_DCB_compile_err.patch: DCB compile
  error fix - new version from Intel  (bnc#465923)
* Thu Jan 22 2009 jbohac@suse.cz
- patches.arch/x86_64-hpet-64bit-timer.patch: allow 64-bit mode
  for HPET Timer0 (bnc#456700).
  (fix compilation on i386 and add hpet64 to kernel-parameters.txt)
* Thu Jan 22 2009 jbohac@suse.cz
- patches.arch/x86_64-hpet-64bit-timer.patch: allow 64-bit mode
  for HPET Timer0 (bnc#456700).
* Thu Jan 22 2009 rw@suse.de
- patches.fixes/xpc-pass-physical:
  sgi-xpc: need to pass the physical address, not virtual. (bnc#458811)
- patches.fixes/xpc-fix-heartbeat:
  sgi-xpc: eliminate false detection of no heartbeat. (bnc#464545)
* Thu Jan 22 2009 jkosina@suse.de
- patches.fixes/input-add-nomux-dell-vostro-1510.patch: Input:
  add Dell Vostro 1510 to nomux list (bnc#404881).
* Thu Jan 22 2009 jblunck@suse.de
- scripts/compute-PATCHVERSION.sh: Fix SRCVERSION parsing (bnc#465113).
* Thu Jan 22 2009 tiwai@suse.de
- patches.drivers/alsa-hda-add-volume-offset: ALSA: hda - Add
  extra volume offset to standard volume amp macros (bnc#466428).
- patches.drivers/alsa-hda-stac-reduce-volume-scale: ALSA: hda -
  Halve too large volume scales for STAC/IDT codecs (bnc#466428).
* Thu Jan 22 2009 hare@suse.de
- patches.drivers/lpfc-8.2.8.12-update: Update lpfc from 8.2.8.11
  to 8.2.8.12 (bnc#467713).
* Thu Jan 22 2009 jeffm@suse.de
- patches.fixes/reiserfs-debug-1036: fix missing jl arg
* Wed Jan 21 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: delete duplicate error message in the
  kabi checks
* Wed Jan 21 2009 jeffm@suse.de
- patches.fixes/remove_kernel_physical_mapping_init_from_init:
  move kernel_physical_mapping_init to __meminit (bnc#467474).
* Wed Jan 21 2009 jbenc@suse.cz
- patches.fixes/mac80211-add-direct-probe.patch: disabled, as it changes
  kABI.
* Wed Jan 21 2009 gregkh@suse.de
- patches.fixes/security-introduce-missing-kfree.patch: security:
  introduce missing kfree (bnc#467322).
- patches.fixes/sysfs-fix-problems-with-binary-files.patch:
  sysfs: fix problems with binary files.
* Wed Jan 21 2009 rw@suse.de
- patches.arch/ia64-page-migration.fix:
  fix deadlock caused by cpe_migrate.ko and mark it supported.
  (bnc#464676)
* Wed Jan 21 2009 jeffm@suse.de
- patches.fixes/sn-irq-affinity: sn2: preserve irq affinity set
  in PROM (bnc#457679).
* Wed Jan 21 2009 jeffm@suse.de
- patches.fixes/uv_zalias_support: uv: Support for non-nasid 0
  systems (bnc#458869).
* Wed Jan 21 2009 jeffm@suse.de
- patches.fixes/xpc-fix-NULL-deref: sgi-xpc: Remove NULL pointer
  dereference. (bnc#466563).
- patches.fixes/xpc-write-barrier: sgi-xpc: ensure flags are
  updated before bte_copy (bnc#466563).
* Wed Jan 21 2009 jbenc@suse.cz
- patches.fixes/ipw2200-workaround-firmware-restarts-when-scanning.patch:
  ipw2200: fix scanning while associated (bnc#459067).
* Wed Jan 21 2009 jbenc@suse.cz
- patches.fixes/iwl3945-fix-rfkill.patch: iwl3945: report
  killswitch changes even if the interface is down (bnc#446013).
* Wed Jan 21 2009 jbenc@suse.cz
- patches.fixes/mac80211-add-direct-probe.patch: mac80211:
  add direct probe before association (bnc#461889).
* Wed Jan 21 2009 hare@suse.de
- patches.drivers/mptsas-discover-all-devices: mptsas driver
  fails to discover devices (bnc#459932).
* Wed Jan 21 2009 jbeulich@novell.com
- Update Xen patches to 2.6.27.12.
- patches.xen/764-netback-foreign-pages.patch: netback: handle
  non-netback foreign pages.
- patches.xen/769-evtchn-CPU-offline.patch: evtchn: Fix CPU offlining
  to switch all affected ports belonging to a particular /dev/evcthn
  user.
- patches.xen/gso-size-check.patch: gso: Ensure that the packet
  is long enough.
- patches.xen/xen-S3-MSI: fix Dom0 resume from S3 when MSI is
  in use (bnc#435596).
- patches.xen/xen3-e1000e_ioremap_sanity_check: ioremap sanity
  check to catch mapping requests exceeding the BAR sizes
  (bnc#425480).
- patches.xen/xen3-x86-fix-kmap-contig.patch: x86: contiguous
  kmap fix (bnc#449812).
* Wed Jan 21 2009 olh@suse.de
- update patches.suse/radeon-monitor-jsxx-quirk.patch:
  implement correct model matching
* Wed Jan 21 2009 olh@suse.de
- update patches.suse/dm-mpath-tracking-nr-bytes:
  lpp_end_io gets nr_bytes as third arg
* Wed Jan 21 2009 olh@suse.de
- update patches.suse/radeon-monitor-jsxx-quirk.patch:
  match all JSxx/QSxx models based on the first 4 chars in 'model'
* Wed Jan 21 2009 olh@suse.de
- update patches.arch/ppc-axon-missing-msi-workaround-5.diff:
  Fix MSI after kexec (bnc#467633)
* Tue Jan 20 2009 gregkh@suse.de
- clean up patch fuzz after 2.6.27.12 inclusion.
* Tue Jan 20 2009 gregkh@suse.de
- Update to the real 2.6.27.12
* Tue Jan 20 2009 jeffm@suse.de
- patches.suse/reiserfs_warning-reentrant: reiserfs: eliminate
  reiserfs_warning from uniqueness functions; Fixes deadlock.
* Tue Jan 20 2009 olh@suse.de
- patches.drivers/cxgb3-ser.patch:
  reset the adapter on fatal error (bnc#466062 - LTC51042)
* Tue Jan 20 2009 jjolly@suse.de
- patches.arch/s390-08-03-iucv-cpu-hotremove.diff: iucv: failing
  cpu hot remove for inactive iucv (bnc#466462,LTC#51104).
- patches.arch/s390-08-04-compat-sigaltstack.diff:
  kernel: 31 bit compat sigaltstack syscall fails with
  - EFAULT. (bnc#466462,LTC#50888).
- patches.arch/s390-08-05-af_iucv-msgpeek-fix.patch:
  af_iucv: System hang if recvmsg() is used with MSG_PEEK
  (bnc#466462,LTC#51136).
* Tue Jan 20 2009 hare@suse.de
- patches.suse/dm-mpath-accept-failed-paths: Only accept
  non-existing paths when adding failed paths (bnc#467579)
* Tue Jan 20 2009 mmarek@suse.cz
- rpm/kernel-source.spec.in: set CONFIG_DEBUG_INFO=y in the
  packaged .configs if builfing debug packages (bnc#460887)
* Mon Jan 19 2009 mmarek@suse.cz
- rpm/kernel-binary.spec.in: set %%tolerate_kabi_changes to 6
* Mon Jan 19 2009 mmarek@suse.cz
- patches.suse/export-iwl_rx_allocate: reintroduce
  EXPORT_SYMBOL(iwl_rx_allocate).
* Mon Jan 19 2009 mmarek@suse.cz
- import SLE11 RC2 reference kabi
* Mon Jan 19 2009 hare@suse.de
- patches.drivers/mpt-return-all-sense-data: MPT Fusion doesn't
  return all sense data (bnc#466179).
* Sat Jan 17 2009 gregkh@suse.de
- Update to 2.6.27.12-rc2
* Fri Jan 16 2009 od@suse.de
- patches.arch/x86-call-boot-IRQ-quirks-at-end-of-device-init-and-during-resume.patch:
  call boot IRQ quirks at end of device init and during resume.
- patches.arch/x86-disable-AMD-ATI-boot-interrupt-generation.patch:
  update to upstream variant of this patch:
  - integrate an older quirk to make IO-APIC mode work on AMD
    8131 rev. A0 and B0
  - fix boot IRQ disabling logic for AMD 813x
  - remove unneeded code for AMD SB700S
* Fri Jan 16 2009 jbeulich@novell.com
- patches.arch/x86-fix-kmap-contig.patch: x86: contiguous kmap
  fix (bnc#449812).
* Fri Jan 16 2009 olh@suse.de
- enable mptsas in kdump kernel to allow crashdump on QS2x blades
* Fri Jan 16 2009 tiwai@suse.de
  Fix STAC925x patch again
- patches.drivers/alsa-hda-stac925x-init-fix: ALSA: hda - Fix
  (yet more) STAC925x issues (bnc#460478).
* Fri Jan 16 2009 jjolly@suse.de
- patches.arch/s390-08-01-cio-fix-mp-mode.diff: cio: fix
  subchannel multipath mode setup (bnc#466462,LTC#51047).
- patches.arch/s390-08-02-zfcp-gpn-align-fix.diff: zfcp: fix
  memory alignment for GPN_FT requests. (bnc#466462).
* Fri Jan 16 2009 gregkh@suse.de
- Update config files for vanilla kernel versions due to new config
  option added in 2.6.27.12-rc1.
* Fri Jan 16 2009 gregkh@suse.de
- Update to 2.6.27.12-rc1:
  - security fixes
  - fixes CVE-2009-0029
  - bug fixes all over the place.
  - obsoletes the following patches:
  - patches.arch/ppc-cmm_no_kdump.patch
  - patches.drivers/alsa-caiaq-midi-oops-fix
  - patches.drivers/alsa-hda-hp-6730b-quirk
  - patches.drivers/ibmvfc-host_init_delay.patch
  - patches.drivers/ibmvfc-improve_sync_events.patch
  - patches.fixes/PCI-Suspend-and-resume-PCI-Express-ports-with-interrupts-disabled.patch
  - patches.fixes/PCI-handle-PCI-state-saving-with-interrupts-disabled.patch
  - patches.fixes/fs-symlink-write_begin-allocation-context-fix.patch
  - patches.fixes/mm-lockless-pagecache-barrier.patch
  - patches.fixes/pci-rework-suspend-of-devices-with-no-drivers.patch
  - patches.fixes/uv-remove-erroneous-BAU-init
- Update config files.
* Thu Jan 15 2009 tiwai@suse.de
- patches.drivers/alsa-virtuoso-no-eeprom-overwrite: sound:
  virtuoso: do not overwrite EEPROM on Xonar D2/D2X (bnc#462365).
* Thu Jan 15 2009 bwalle@suse.de
- patches.suse/s390-System.map.diff:
  Strip L2^B symbols (bnc #456682).
* Thu Jan 15 2009 tiwai@suse.de
- patches.drivers/alsa-hda-gateway-fix: ALSA: patch_sigmatel:
  Add missing Gateway entries and autodetection (bnc#460478).
- patches.drivers/alsa-hda-gateway-fix2: ALSA: hda - More fixes
  on Gateway entries (bnc#460478).
- patches.drivers/alsa-hda-hp-dv5-mic-fix: ALSA: hda - Fix HP
  dv5 mic input (bnc#462913).
- patches.drivers/alsa-hda-hp-dv5-quirk: ALSA: hda - Add quirk
  for another HP dv5 (bnc#462913).
- patches.drivers/alsa-hda-idt92hd83-fix-typo: ALSA: hda -
  Fix a typo.
- patches.drivers/alsa-hda-samsung-q45-quirk: ALSA: hda - Add
  automatic model setting for Samsung Q45.
- patches.drivers/alsa-hda-seek-for-codec-id: ALSA: hda - Add
  a new function to seek for a codec ID (bnc#460478).
- patches.drivers/alsa-hda-sigmatel-no-hp-reset: ALSA: hda -
  Don't reset HP pinctl in patch_sigmatel.c (bnc#460478).
- patches.drivers/alsa-hda-stac925x-init-fix: ALSA: hda - Fix
  missing initialization of NID 0x0e for STAC925x (bnc#460478).
* Thu Jan 15 2009 olh@suse.de
- patches.arch/ppc-fix_hugepage_check.patch:
  is_hugepage_only_range() must account for both 4kB and 64kB
  slices (bnc#466229 - LTC51063)
* Thu Jan 15 2009 jeffm@suse.de
- Update config files: Disabled PARAVIRT on vanilla and LGUEST.
* Thu Jan 15 2009 jeffm@suse.de
- Enabled patches.suse/unlock_page-speedup.patch
* Wed Jan 14 2009 rjw@suse.de
- patches.fixes/PCI-PM-Split-PCI-Express-port-suspend-resume.patch:
  PCI PM: Split PCI Express port suspend-resume (bnc#455926).
- patches.fixes/PCI-Suspend-and-resume-PCI-Express-ports-with-interrupts-disabled.patch:
  PCI: Suspend and resume PCI Express ports with interrupts
  disabled (bnc#455926).
- patches.fixes/PCI-handle-PCI-state-saving-with-interrupts-disabled.patch:
  PCI: handle PCI state saving with interrupts disabled
  (bnc#455926).
- patches.fixes/pci-rework-suspend-of-devices-with-no-drivers.patch:
  PCI: Rework default handling of suspend and resume (bnc#455926).
* Wed Jan 14 2009 jeffm@suse.de
- Update config files: Disable PARAVIRT.
* Wed Jan 14 2009 gregkh@suse.de
- refresh patches for fuzz due to update to 2.6.27.11
* Wed Jan 14 2009 gregkh@suse.de
- Update to final version of 2.6.27.11
* Wed Jan 14 2009 kkeil@suse.de
- patches.drivers/ixgbe-dcb-setstate.patch: Bugfix for ixgbe
  and kernel DCB netlink code. (bnc#458194)
- patches.drivers/ixgbe_DCB_compile_err.patch: DCB compile
  error fix. (bnc#465923)
- Update config files.
* Wed Jan 14 2009 trenn@suse.de
- patches.fixes/acpi_irq_quirk_pci_irq_derive.patch: Delete.
  It came out that this is an already fixed BIOS bug. The quirk
  is not needed anymore.
* Wed Jan 14 2009 trenn@suse.de
- patches.fixes/acpi_fix_double_slash_root_prefix_handling.patch:
  In AcpiNsGetInternalNameLength, skip the redundant backslash
  of RootPrefix (http://bugzilla.kernel.org/show_bug.cgi?id=11541
  http://www.acpica.org/bugzilla/show_bug.cgi?id=739).
- patches.fixes/acpi_video_always_update_sys.patch: video: always
  update the brightness when poking "brightness" (bnc#450149).
- patches.fixes/acpi_video_handle_reversed_brightness_info.patch:
  ACPI: video: Fix reversed brightness behavior on ThinkPad SL
  series (bnc#450149).
* Wed Jan 14 2009 olh@suse.de
- patches.fixes/sched-fix-__load_balance_iterator-for-cfs-with-on.patch:
  fix __load_balance_iterator() for cfs with only one task
  (bnc#457594 - LTC50544)
* Wed Jan 14 2009 olh@suse.de
- patches.fixes/xfs-redirty-ENOSPC.patch: Re-dirty pages on
  ENOSPC when converting delayed allocations (bnc#433112 - LTC48749)
* Wed Jan 14 2009 npiggin@suse.de
- Added guarded patches:
- patches.suse/mnt-want-write-speedup.patch: fs: mnt_want_write
  speedup (bnc#436953).
- patches.suse/mnt_clone_write.patch: fs: introduce
  mnt_clone_write (bnc#436953).
- patches.suse/unlock_page-speedup.patch: mm: unlock_page speedup
  (bnc#436953).
* Wed Jan 14 2009 gregkh@suse.de
- Update config files.
- patches.drivers/add-via-chrome9-drm-support.patch: add Via
  chrome9 drm support.
* Wed Jan 14 2009 gregkh@suse.de
- patches.drivers/pata_via.c-support-vx855-and-future-chips-whose-ide-controller-use-0x0571.patch:
  pata_via.c: Support VX855 and future chips whose IDE controller
  use 0x0571..
* Tue Jan 13 2009 hare@suse.de
- patches.fixes/scsi-restart-lookup-by-target: Modify patch
  after suggestions from James Bottomley (bnc#465346).
* Tue Jan 13 2009 hare@suse.de
- patches.fixes/scsi-restart-lookup-by-target: Restart
  scsi_device_lookup_by_target() (bnc#465346).
* Tue Jan 13 2009 olh@suse.de
- update patches.drivers/cxgb3-Allocate-multiqueues-at-init-time:
  Allow multiqueue setting in MSI-X mode only (bnc#464351 - LTC50966)
* Tue Jan 13 2009 olh@suse.de
- patches.drivers/cxgb3i-mainline.patch: fixes bug in tag release
  and sync-up cxgb3i with mainline state (bnc#464508 - LTC50816)
* Tue Jan 13 2009 gregkh@suse.de
- Update to 2.6.27.11-rc1:
  - lots of minor fixes
  - obsoletes:
  - patches.fixes/md-bitmap-read-do-not-overflow
  - patches.suse/scsi-scsi_transport_srp-shost_data.patch
* Mon Jan 12 2009 gregkh@suse.de
- supported.conf: add kernel/drivers/acpi/acpi_memhotplug as supported
* Mon Jan 12 2009 mmarek@suse.cz
- rpm/kernel-source.spec.in, rpm/source-post.sh: handle arch
  symlinks like i586 -> i386 in /usr/src/linux-obj.
* Mon Jan 12 2009 gregkh@suse.de
- supported.conf: updated staging and other drivers
* Mon Jan 12 2009 kkeil@suse.de
- patches.drivers/r8169-Tx-performance-tweak-helper: r8169:
  Tx performance tweak helper.
- patches.drivers/r8169-add-8168-8101-registers-description:
  r8169: add 8168/8101 registers description.
- patches.drivers/r8169-add-hw-start-helpers-for-the-8168-and-the-8101:
  r8169: add hw start helpers for the 8168 and the 8101.
- patches.drivers/r8169-additional-8101-and-8102-support: r8169:
  additional 8101 and 8102 support.
- patches.drivers/r8169-use-pci_find_capability-for-the-PCI-E-features:
  r8169: use pci_find_capability for the PCI-E features.
  (bnc#448168)
* Mon Jan 12 2009 dgollub@suse.de
- scripts/tar-up_and_run_mbuild.sh: use $BUILD_DIR instead of fixed
  "kernel-source" string, to stay in sync with with differet kernel
  variants.
* Mon Jan 12 2009 mmarek@suse.cz
- rpm/kernel-source.spec.in, rpm/source-post.sh, rpm/source-pre.sh:
  replace the /usr/src/linux-obj symlink with a directory containing
  per-flavor symlinks instead. This allows us to install kernel-source /
  syms and kernel-source-rt / syms-rt in parallel and still find
  everything below /usr/src/linux-obj/.
- rpm/kernel-binary.spec.in: for -rt, install into
    /usr/src/linux-$version-rt-obj.
- rpm/kernel-syms.spec.in: fix kernel-source requires for -rt.
* Mon Jan 12 2009 jkosina@suse.de
- patches.drivers/input-usbtouchscreen-hw-calibration.patch:
  Input: usbtouchscreen - allow reporting calibrated data
  (bnc#444814).
* Fri Jan  9 2009 mmarek@suse.cz
- patches.suse/file-capabilities-add-file_caps-switch.diff:
  fix parsing of the file_caps commandline option (bnc#264075)
* Fri Jan  9 2009 trenn@suse.de
- patches.arch/x86_fix_llc_shared_map__cpu_llc_id_anomolies.patch:
  x86: fix intel x86_64 llc_shared_map/cpu_llc_id anomolies
  (bnc#464329).
* Fri Jan  9 2009 olh@suse.de
- patches.arch/ppc-cmm_no_kdump.patch:
  Disable Collaborative Memory Manager for kdump (bnc#460552 - LTC50789)
* Fri Jan  9 2009 jslaby@suse.cz
- patches.suse/cgroup-disable-memory.patch: memcg: disable the
  memory controller by default.
- patches.suse/add-enable_cgroup-parameter.patch: Delete.
- patches.suse/disable-cgroups.patch: Delete.
* Fri Jan  9 2009 olh@suse.de
- patches.suse/radeon-monitor-jsxx-quirk.patch
  fix compile errors
* Fri Jan  9 2009 jslaby@suse.de
- patches.fixes/ath5k-ignore-calibration-return-value.patch:
  ath5k: ignore the return value of
  ath5k_hw_noise_floor_calibration (bnc#446541).
* Fri Jan  9 2009 jslaby@suse.de
- patches.fixes/cgroups-suppress-cloning-warning.patch: cgroups:
  suppress bogus warning messages (bnc#460961).
* Fri Jan  9 2009 olh@suse.de
- patches.suse/radeon-monitor-jsxx-quirk.patch: Add quirk for
  the graphics adapter in some JSxx (bnc#461002 - LTC50817)
* Fri Jan  9 2009 trenn@suse.de
- patches.fixes/acpi_irq_quirk_pci_irq_derive.patch: ACPI: Do not
  derive IRQ from parent bridge/device via boot param/dmi list
  (bnc#437211).
- patches.suse/acpi_osi_sle11_ident.patch: Provide possibility
  for vendors to fix BIOS issues for SLE11 only (none).
* Fri Jan  9 2009 hare@suse.de
- patches.drivers/blk-request-based-multipath-update: Rediff.
- patches.fixes/scsi-refactor-busy-processing: refactor
  sdev/starget/shost busy checking; break out from
  blk-request-based-multipath-update.
* Fri Jan  9 2009 hare@suse.de
- patches.drivers/lpfc-8.2.8.11-update: Update lpfc from 8.2.8.10
  to 8.2.8.11 (bnc#464662).
- patches.fixes/scsi-call-unprep_request-under-lock: scsi_lib:
  only call scsi_unprep_request() under queue lock (bnc#464155).
- patches.fixes/scsi-fix-hang-in-starved-list-processing: Fix
  hang in starved list processing (bnc#464155).
* Fri Jan  9 2009 kkeil@suse.de
- patches.drivers/bnx2-Add-PCI-ID-for-5716S: bnx2: Add PCI ID
  for 5716S
- patches.drivers/bnx2-Fix-bug-in-bnx2_free_rx_mem_: bnx2:
  Fix bug in bnx2_free_rx_mem() (bnc#464130)
* Fri Jan  9 2009 jslaby@suse.cz
- patches.suse/disable-cgroups.patch: Disable all cgroups
  (bnc#436025).
* Fri Jan  9 2009 hare@suse.de
- Backporting block layer fixes (bnc#464155):
  * patches.fixes/block-add-comment-in-blk_rq_timed_out: add
    comment in blk_rq_timed_out() about why next can not be 0
  * patches.fixes/block-fix-blk_start_queueing: block: Fix
    blk_start_queueing() to not kick a stopped queue.
  * patches.fixes/block-leave-the-request-timeout-timer-running:
    block: leave the request timeout timer running even on an
    empty list.
  * patches.fixes/block-optimizations-in-blk_rq_timed_out_timer:
    block: optimizations in blk_rq_timed_out_timer().
  * patches.fixes/block-suppress-buffer-IO-errors: block: Supress
    Buffer I/O errors when SCSI REQ_QUIET flag set.
  * patches.fixes/block-use-round_jiffies_up: Block: use
    round_jiffies_up().
  * patches.fixes/round-jiffies-up: Add round_jiffies_up and
    related routines.
* Fri Jan  9 2009 jbeulich@novell.com
- patches.xen/xen3-acpi-pci-pci-msi-_osc-support-capabilities-called-when-root-bridge-added.patch:
  ACPI/PCI: PCI MSI _OSC support capabilities called when root
  bridge added (bnc#438941).
* Fri Jan  9 2009 hare@suse.de
- patches.fixes/scsi_dh-retry-on-UNIT_ATTENTION: scsi_dh_rdac
  does not retry MODE SENSE on UNIT ATTENTION (bnc#464155).
- patches.suse/scsi-check-removed-device-for-offline: Only check
  for SDEV_OFFLINE and SDEV_DEL, not SDEV_CANCEL.
* Fri Jan  9 2009 jslaby@suse.cz
- patches.suse/add-enable_cgroup-parameter.patch: Add
  cgroup_enable parameter (bnc#436025).
* Fri Jan  9 2009 gregkh@suse.de
- patches.drivers/acpi-pci-include-missing-acpi.h-file-in-pci-acpi.h.patch:
  ACPI/PCI: include missing acpi.h file in
  pci-acpi.h. (bnc#438941).
* Fri Jan  9 2009 gregkh@suse.de
- clean up patch fuzz
* Fri Jan  9 2009 gregkh@suse.de
- patches.drivers/acpi-pci-pci-msi-_osc-support-capabilities-called-when-root-bridge-added.patch:
  ACPI/PCI: PCI MSI _OSC support capabilities called when root
  bridge added (bnc#438941).
- patches.drivers/acpi-pci-pcie-aer-_osc-support-capabilities-called-when-root-bridge-added.patch:
  ACPI/PCI: PCIe AER _OSC support capabilities called when root
  bridge added (bnc#438941).
- patches.drivers/acpi-pci-pcie-aspm-_osc-support-capabilities-called-when-root-bridge-added.patch:
  ACPI/PCI: PCIe ASPM _OSC support capabilities called when root
  bridge added (bnc#438941).
- patches.drivers/acpi-pci-remove-obsolete-_osc-capability-support-functions.patch:
  ACPI/PCI: remove obsolete _OSC capability support functions
  (bnc#438941).
* Fri Jan  9 2009 gregkh@suse.de
- patches.drivers/acpi-pci-call-_osc-support-during-root-bridge-discovery.patch:
  ACPI/PCI: call _OSC support during root bridge discovery
  (bnc#438941).
- patches.drivers/acpi-pci-change-pci_osc_control_set-to-query-control-bits-first.patch:
  ACPI/PCI: Change pci_osc_control_set() to query control bits
  first (bnc#438941).
- patches.drivers/acpi-pci-fix-possible-race-condition-on-_osc-evaluation.patch:
  ACPI/PCI: Fix possible race condition on _OSC evaluation
  (bnc#438941).
- patches.drivers/acpi-pci-include-missing-acpi.h-file-in-pci-acpi.h.patch:
  ACPI/PCI: include missing acpi.h file in
  pci-acpi.h. (bnc#438941).
- patches.drivers/acpi-pci-pci-extended-config-_osc-support-called-when-root-bridge-added.patch:
  ACPI/PCI: PCI extended config _OSC support called when root
  bridge added (bnc#438941).
* Thu Jan  8 2009 gregkh@suse.de
- patches.drivers/bnx2x-version-update.patch: bnx2x: Version
  Update (bnc#439679).
* Thu Jan  8 2009 jjolly@suse.de
- patches.arch/s390-07-01-zfcp-port-failed-message.diff: zfcp:
  Remove message for failed port (bnc#464466).
- patches.arch/s390-07-02-zfcp-unchained-fsf.diff: zfcp: Add
  support for unchained FSF requests (bnc#464466).
- patches.arch/s390-07-03-topology-fix.diff: kernel: fix cpu
  topology support (bnc#464466).
- patches.arch/s390-07-04-dasd-failfast.patch: dasd: Add
  'failfast' device feature. (bnc#464466,LTC#43066).
* Thu Jan  8 2009 tiwai@suse.de
- patches.drivers/alsa-caiaq-midi-oops-fix: ALSA: caiaq - Fix
  Oops with MIDI.
* Thu Jan  8 2009 knikanth@suse.de
- patches.fixes/dm-avoid-put-table-dm_any_congested: dm: avoid
  destroying table in dm_any_congested (bnc#457205).
- patches.fixes/dm-table-ref-count: dm table: rework reference
  counting (bnc#457205).
- patches.fixes/dm-unbind-drop-ref: dm table: drop reference at
  unbind (bnc#457205).
* Thu Jan  8 2009 olh@suse.de
- update kdump config, disable some unused drivers
* Thu Jan  8 2009 olh@suse.de
- refresh config files, no functional changes
* Thu Jan  8 2009 olh@suse.de
- patches.drivers/ehea-modinfo.patch:
  use separate table for module alias (bnc#435215 - LTC48564)
* Thu Jan  8 2009 tiwai@suse.de
  Backport fixes for HD-audio from the upstream:
- patches.drivers/alsa-hda-ad1882-id-typo-fix: ALSA: hda -
  Fix typos for AD1882 codecs.
- patches.drivers/alsa-hda-ad1986a-laptop-eapd-model-back: ALSA:
  hda - make laptop-eapd model back for AD1986A.
- patches.drivers/alsa-hda-hp2230s-quirk: ALSA: hda - Add quirk
  for HP 2230s (bnc#461660).
- patches.drivers/alsa-hda-sigmatel-add-missing-terminators:
  ALSA: hda - Add missing terminators in patch_sigmatel.c.
* Thu Jan  8 2009 bwalle@suse.de
- Update config files: Enable CONFIG_EHEA=m (and CONFIG_IBMEBUS=y)
  for ppc/kdump and ppc64/kdump (bnc #459119).
* Thu Jan  8 2009 jblunck@suse.de
- Make kernel-source.changes incremental again
* Thu Jan  8 2009 olh@suse.de
- supported.conf: rename dm-leastpending-path to dm-leastpending
* Thu Jan  8 2009 olh@suse.de
- patches.drivers/ehea-modinfo.patch:
  add alias entry for portN properties (bnc#435215 - LTC48564)
* Thu Jan  8 2009 olh@suse.de
- patches.drivers/ibmvfc-abort-response.patch:
  Fixup command response translation (bnc#459383 - LTC50695)
* Thu Jan  8 2009 olh@suse.de
- patches.drivers/ibmvfc-improve_sync_events.patch:
  Improve async event handling (bnc#460567 - LTC50778)
* Thu Jan  8 2009 gregkh@suse.de
- patches.drivers/via-unichrome-drm-bugfixes.patch: via: Unichrome
  DRM bugfixes.
* Thu Jan  8 2009 coly.li@suse.de
- Move patch from patches.suse/dlm-fix-shutdown-cleanup.patch to
  patches.fixes/dlm-fix-shutdown-cleanup.patch
* Thu Jan  8 2009 coly.li@suse.de
- Fixes a regression from commit
  0f8e0d9a317406612700426fad3efab0b7bbc467,
  "dlm: allow multiple lockspace creates".
* Wed Jan  7 2009 olh@suse.de
- patches.arch/ppc-pseries-cpu-migrate.patch: Update
  default_server during migrate_irqs_away (bnc#460566 - LTC50723)
* Wed Jan  7 2009 jack@suse.cz
- patches.suse/mm-increase-dirty-limits.patch: Increase limits
  for starting writeback of dirty data (bnc#449662).
* Wed Jan  7 2009 ghaskins@suse.de
- Update config files (part of bnc#448412).
* Wed Jan  7 2009 ghaskins@suse.de
- patches.fixes/ia64-configure-HAVE_UNSTABLE_SCHED_CLOCK-for-SGI_SN.patch:
  configure HAVE_UNSTABLE_SCHED_CLOCK for SGI_SN systems (bnc#448412).
* Wed Jan  7 2009 hare@suse.de
- patches.drivers/lpfc-8.2.8.10-update: Emulex 8.2.8.10 driver
  patches for SLE11 (bnc#460775).
* Wed Jan  7 2009 knikanth@suse.de
- patches.suse/dm-barrier-single-device: Update Patch-mainline
  header. Patch is not refreshed as it breaks kabi (FATE#304489).
* Wed Jan  7 2009 hare@suse.de
- patches.drivers/cciss-driver-panic-on-volume-delete: cciss
  driver may panic if a logical volume is deleted (bnc#459553).
* Wed Jan  7 2009 hare@suse.de
- patches.suse/scsi-netlink-ml: Use GFP_ATOMIC to avoid deadlocks
  (bnc#461747).
* Wed Jan  7 2009 hare@suse.de
- patches.fixes/fc_transport-devloss-callback-restore: FC devloss
  callback not called when devloss timer fires (bnc#463289).
* Wed Jan  7 2009 hare@suse.de
- patches.suse/dm-mpath-leastpending-path-update: Update
  least-pending-IO dynamic load balancer (bnc#444199).
- patches.suse/dm-mpath-queue-length-load-balancing: Rediff.
- patches.suse/dm-mpath-service-time-load-balancing: Rediff.
- patches.suse/dm-mpath-tracking-nr-bytes: Rediff.
- patches.suse/dm-mpath-leastpending-path: Delete.
* Tue Jan  6 2009 jeffm@suse.de
- patches.fixes/uv-remove-erroneous-BAU-init: UV: remove erroneous
  BAU initialization (bnc#463313).
* Tue Jan  6 2009 jjolly@suse.de
- patches.arch/s390-06-01-qeth-ext-src-mac-addr.patch: qeth:
  exploit source MAC address for inbound layer3 packets
  (bnc#458339).
- patches.arch/s390-06-02-qeth-layercrash.patch: qeth: avoid
  crash in case of layer mismatch for VSWITCH (bnc#458339).
- patches.arch/s390-06-03-dasd_sim_sense_condition.patch: Fix
  unsolicited SIM sense condition. (bnc#458339).
- patches.arch/s390-06-04-qdio_ssqd_memcpy.patch: qdio: fix
  broken memcpy (bnc#458339).
- patches.arch/s390-06-05-qdio_s390dbf.patch: qdio: rework
  s390dbf usage  (bnc#458339).
- patches.arch/s390-06-06-qdio_inbound_ack.patch: qdio: rework
  inbound buffer acknowledgement (bnc#458339).
- patches.arch/s390-06-07-cio-attach_detach.patch: cio: Crashes
  when repeatetly attaching/detaching devices. (bnc#458339).
* Tue Jan  6 2009 npiggin@suse.de
- patches.arch/x86-fix-kmap-contig.patch: x86: Jan's comments for
  contiguous kmap fix (bnc#449812).
* Tue Jan  6 2009 npiggin@suse.de
- patches.fixes/mm-lockless-pagecache-barrier.patch: update.
* Mon Jan  5 2009 mmarek@suse.cz
- patches.suse/modpost-filter-out-built-in-depends: modpost:
  filter out "built-in" depends (bnc#450085).
- patches.drivers/0002-Staging-add-TAINT_CRAP-flag-to-drivers-staging-modu.patch:
  refresh.
* Mon Jan  5 2009 npiggin@suse.de
- Fix ps3 config.
* Mon Jan  5 2009 npiggin@suse.de
- patches.fixes/mm-lockless-pagecache-barrier.patch: mm lockless
  pagecache barrier fix.
* Mon Jan  5 2009 npiggin@suse.de
- patches.fixes/fs-symlink-write_begin-allocation-context-fix.patch:
  fs symlink write_begin allocation context fix.
* Mon Jan  5 2009 npiggin@suse.de
- Update config files.
* Mon Jan  5 2009 npiggin@suse.de
- patches.suse/cgroup-freezer.patch: cgroup freezer update (bnc#417294,
  fate#304191, fate#201036).
* Wed Dec 31 2008 npiggin@suse.de
- patches.fixes/s390-lru_add_drain_all.patch: mm: remove UP
  version of lru_add_drain_all() (bnc#458380).
* Wed Dec 31 2008 npiggin@suse.de
- patches.arch/x86-fix-kmap-contig.patch: x86: contiguous kmap
  fix (bnc#449812).
* Tue Dec 30 2008 jeffm@suse.de
- patches.arch/thinkpad_acpi-hotkey-notify-fix: thinkpad_acpi:
  Fix oops with incompatible backlight interface.
* Mon Dec 22 2008 olh@suse.de
- update patches.arch/ppc-memoryless-nodes.patch:
  fix bootmem reservation on uninitialized node (bunc#457029 - LTC50483)
* Mon Dec 22 2008 olh@suse.de
- patches.fixes/scsi-ibmvscsi-can_queue_fix.patch: Make
  max_requests module parameter more accurate (bnc#458499 - LTC50637)
* Sat Dec 20 2008 tiwai@suse.de
- patches.drivers/alsa-hda-hp-dv7-quirk: ALSA: hda - Add quirk
  for another HP dv7 (bnc#461108).
* Sat Dec 20 2008 tiwai@suse.de
- patches.drivers/alsa-ca0106-pm-support: More fixes (bnc#447624).
* Fri Dec 19 2008 jeffm@suse.de
- patches.fixes/reiserfs-debug-1036: Print more info.
* Fri Dec 19 2008 tiwai@suse.de
- patches.drivers/alsa-ca0106-capture-no-44khz: ALSA: disable
  44.1kHz capture on CA0106 (bnc#447624).
- patches.drivers/alsa-ca0106-pm-support: ALSA: ca0106 - Add
  power-amangement support (bnc#447624).
- patches.drivers/alsa-hda-92hd73x-desktop-fixes: ALSA: Fix
  plaback problems on Intel desktops with IDT codecs.
* Fri Dec 19 2008 jbeulich@novell.com
- patches.arch/x86_sgi-uv-scir.patch,
  patches.suse/e1000e_ioremap_sanity_check,
  patches.suse/perfmon2-remove_get_base_syscall_attr.patch,
  patches.suse/perfmon2.patch,
  patches.suse/silent-stack-overflow-2.patch: eliminate build warnings.
* Fri Dec 19 2008 gregkh@suse.de
- Update config files.
- patches.drivers/staging-add-rt2870-wireless-driver.patch:
  Staging: add rt2870 wireless driver.
* Fri Dec 19 2008 nfbrown@suse.de
- patches.fixes/md-bitmap-read-do-not-overflow: md: Don't read
  past end of bitmap when reading bitmap. (bnc#459557).
* Thu Dec 18 2008 jeffm@suse.de
- patches.fixes/reiserfs-debug-1036: Fixed ordering.
* Thu Dec 18 2008 jeffm@suse.de
- patches.fixes/reiserfs-ensure-nonzero-transaction: Delete.
* Thu Dec 18 2008 gregkh@suse.de
- Updated to final 2.6.27.10 release
* Thu Dec 18 2008 trenn@suse.de
- patches.arch/x86-apic-force-bigsmp-apic-on-IBM-EXA3-4.patch:
  Use apic=bigsmp on specific xseries machines (bnc#440497).
* Thu Dec 18 2008 trenn@suse.de
- patches.arch/x86_restrict_pci_early_quirks_to_root_bridges.patch:
  Only scan the root bus in early PCI quirks. (bnc#57886).
* Thu Dec 18 2008 jbeulich@novell.com
- patches.xen/746-pirq-status-page.patch: Merge in c/s 751.
- patches.xen/761-highpte.patch: blktap, gntdev: fix highpte handling.
- patches.xen/762-xencons-hvc.patch: add hvc compatibility mode to xencons.
- patches.xen/xen3-patch-2.6.27.7-8: Linux 2.6.27.8.
- patches.xen/xen3-patch-2.6.27.8-9: Linux 2.6.27.9.
- patches.xen/xen-x86-exports: export a few more symbols
  (bnc#458222).
- patches.xen/xen3-perfmon2_remove_syscalls.patch: Rename to ...
- patches.xen/xen3-perfmon2-remove_syscalls.patch: ... this.
* Thu Dec 18 2008 nfbrown@suse.de
- patches.fixes/md-disable-recovery-on-faulty-degraded-array:
  Disable recovery when degraded RAID1 array appears to be
  faulty. (bnc#447835).
* Wed Dec 17 2008 mmarek@suse.cz
- rpm/symsets.pl: fix uninitialized variable
* Wed Dec 17 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in:
  - add genksyms reference files so that genksyms can explain why
    did checksums change
* Wed Dec 17 2008 gregkh@suse.de
- patches.drivers/via-framebuffer-driver.patch: Delete.  It
  oopses badly and is not needed for the HP2133 hardware, as
  it has switched to Intel chipsets.
* Wed Dec 17 2008 gregkh@suse.de
- Upate to 2.6.27.10-rc1, fixing lots of problems.
  - obsoletes:
  - patches.drivers/libata-update-ST-FLUSH-blacklist
  - patches.fixes/iwlwifi_fix_oops.patch
  - patches.fixes/v4l-dvb-avoid-writing-outside-array
* Wed Dec 17 2008 jeffm@suse.de
- patches.suse/reiserfs-barrier-default: Make reiserfs default
  to barrier=flush.
* Tue Dec 16 2008 mmarek@suse.cz
- addded symtypes-* files to the RC1 reference kabi
* Tue Dec 16 2008 jeffm@suse.de
- patches.fixes/ext3-mark-super-uptodate: ext3: always mark
  super uptodate before dirty (bnc#457043).
* Tue Dec 16 2008 hare@suse.de
- patches.fixes/blk-dont-invoke-request_fn-on-stopped-queue:
  block: only call ->request_fn when the queue is not stopped
  (bnc#457041).
- patches.fixes/blk-get-extra-reference-before-unmap: block:
  hold extra reference to bio in blk_rq_map_user_iov().
- patches.fixes/blk-move-unplug_work-init: block: move
  q->unplug_work initialization.
- patches.fixes/blk-set-segment-boundary-mask: block: fix setting
  of max_segment_size and seg_boundary mask.
- patches.fixes/dm-mpath-send-activate-to-every-path: Handle
  multiple paths in a path group properly during pg_init.
- patches.fixes/scsi_dh-add-lsi-ids-to-rdac: Adding LSI vendor
  and product IDs to RDAC device handler.
- patches.suse/dm-mpath-accept-failed-paths: Accept failed paths
  for multipath maps (bnc#458037,bnc#458393).
- patches.suse/scsi-check-removed-device-for-offline: Check if
  device is removed in scsi_device_online() (bnc#456747).
* Tue Dec 16 2008 hare@suse.de
- Enable 3270 console (bnc#457039)
* Tue Dec 16 2008 rjw@suse.de
- Update config files.
- patches.suse/mm-do-not-disable-memory-hotplug-when-hibernation-is-enabled.patch:
  mm: Do not disable memory hotplug when hibernation is enabled
  (bnc#438914).
* Tue Dec 16 2008 jeffm@suse.de
- patches.fixes/iwlwifi_fix_oops.patch: iwlwifi: clean key table
  in iwl_clear_stations_table function (bnc#457062).
* Mon Dec 15 2008 jjolly@suse.de
- patches.drivers/cxgb3i_ddp.patch: cxgb3i - added pdu size
  check and fixed ddp page setup (bnc#449519).
* Mon Dec 15 2008 hare@suse.de
- patches.drivers/qla4xxx-5.01.00-k8_sles11-04-update: qla4xxx
  driver SLES 11 Beta6 update (bnc#458186).
* Mon Dec 15 2008 oneukum@suse.de
- patches.suse/usb_correct_config_ti_04b3_4543.diff: fix
  ti_usb_3410_5052 driver for device 04b3:4543 (bnc#395775).
* Sun Dec 14 2008 gregkh@suse.de
- Update to 2.6.27.9
  - obsoleted:
  - patches.fixes/applicom-fix-unchecked-ioctl-range
  - patches.fixes/watchdog-ib700wdt-buffer-underflow
* Fri Dec 12 2008 jeffm@suse.de
- patches.fixes/reiserfs-ensure-nonzero-transaction: reiserfs:
  ensure nonzero transaction (bnc#447406).
* Fri Dec 12 2008 jeffm@suse.de
- patches.fixes/reiserfs-debug-1036: Update to print accurate refcount.
* Fri Dec 12 2008 jblunck@suse.de
- .gitignore: Ignore backup files.
* Fri Dec 12 2008 hare@suse.de
- patches.fixes/scsi-check-host-lookup-failure: Correct
  scsi_host_lookup return value (bnc#456532).
- patches.suse/dm-mpath-accept-failed-paths: Accept failed paths
  for multipath maps (bnc#458037).
* Fri Dec 12 2008 fseidel@suse.de
- patches.fixes/hso_killswitch.patch: hso: rfkill type should
  be WWAN (bnc#458625).
* Fri Dec 12 2008 fseidel@suse.de
- patches.fixes/hso_killswitch.patch:
  fix hso rfkillswitch type to WWAN (bnc#458625)
* Fri Dec 12 2008 mmarek@suse.cz
- import SLE11 RC1 reference kabi
* Fri Dec 12 2008 gregkh@suse.de
- refresh patches to apply cleanly due to 2.6.27.9-rc addition.
* Fri Dec 12 2008 gregkh@suse.de
- remove patches that were obsoleted by 2.6.27.9-rc2
  - patches.arch/ppc-mpic-dont-reset-affinity-for-secondary-MPIC-on-boot.patch
  - patches.arch/x86-hpet-use-WARN_ON_ONCE
  - patches.drivers/alsa-hda-acer-quirk
  - patches.drivers/alsa-hda-alc888-medion-add
  - patches.drivers/alsa-hda-dell-studio-15-quirk
  - patches.drivers/alsa-hda-dell-studio-1535-quirk
  - patches.drivers/alsa-hda-hp-6730s-quirk
  - patches.drivers/alsa-hda-hp-elitebook-8530p-quirk
  - patches.drivers/alsa-hda-hp-mobile-fix
  - patches.drivers/alsa-hda-stac-no-hp-as-line-out-switch
  - patches.drivers/cell_edac.patch
  - patches.fixes/acpi-set-SCI_EN-on-MacBook.patch
  - patches.fixes/atm-duplicate-listen-on-socket-corrupts-the-vcc-table.patch
  - patches.fixes/block-enforce-minimum-SG_IO-timeout
  - patches.fixes/cxgb3-remove-duplicate-tests-in-lro
  - patches.fixes/cxgb3_fix_race_in_EEH
  - patches.fixes/hibernate-x86-fix-breakage-on-x86_32-with-PAE.patch
  - patches.fixes/pci_aspm_check_endless_loop_safe.patch
  - patches.fixes/sched-fix-bug-in-sched-domain-degenerate.patch
  - patches.fixes/x86-arch_add_memory-remove-debug
  - patches.fixes/x86-memory-hotplug-off-by-one
* Fri Dec 12 2008 gregkh@suse.de
- update to 2.6.27.9-rc2:
  - lots of bugfixes
  - some security updates
* Fri Dec 12 2008 gregkh@suse.de
- intermediate commit as part of adding 2.6.27.9-rc1 to the tree.
* Thu Dec 11 2008 hare@suse.de
- Compile in zfcpdump module for S/390 (bnc#446367).
* Thu Dec 11 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in: one more fix to make kabi checks work
* Thu Dec 11 2008 teheo@suse.de
- patches.drivers/libata-update-ST-FLUSH-blacklist: libata:
  fix Seagate NCQ+FLUSH blacklist (bnc#458192).
* Thu Dec 11 2008 nfbrown@suse.de
- patches.suse/SoN-fix-sync: Cope with racy nature of sync_page
  in swap_sync_page (441793).
* Wed Dec 10 2008 jjolly@suse.de
- patches.arch/s390-05-09-cleanup-of-portopen-requests.patch:
  zfcp: fix erp timeout cleanup for port open requests
  (bnc#450096).
* Wed Dec 10 2008 jeffm@suse.de
- patches.fixes/watchdog-ib700wdt-buffer-underflow: ib700wdt.c -
  fix buffer_underflow bug (bnc#457898).
* Wed Dec 10 2008 jeffm@suse.de
- patches.fixes/applicom-fix-unchecked-ioctl-range: applicom: Fix
  an unchecked user ioctl range and an error return (bnc#457897).
* Wed Dec 10 2008 jeffm@suse.de
- patches.fixes/block-enforce-minimum-SG_IO-timeout: Enforce a
  minimum SG_IO timeout (bnc#457896).
* Wed Dec 10 2008 mmarek@suse.cz
- rpm/find-provides: don't fail if a subpackage doesn't contain
  any modules (such as the -man subpackage on s390x)
* Wed Dec 10 2008 tiwai@suse.de
- patches.drivers/alsa-hda-hp-6730b-quirk: ALSA: hda - Add quirk
  for HP6730B laptop (bnc#457909).
- patches.drivers/alsa-hda-hp-6730s-quirk: ALSA: hda - Add
  another HP model (6730s) for AD1884A.
- patches.drivers/alsa-hda-hp-elitebook-8530p-quirk: ALSA: hda -
  Make the HP EliteBook 8530p use AD1884A model laptop.
* Wed Dec 10 2008 olh@suse.de
- patches.drivers/ibmvfc-add_sync.patch:
  Fix errors due to inconsistent command data (bnc#456654 - LTC50451)
- patches.drivers/ibmvfc-host_init_delay.patch:
  Delay NPIV login retry and add retries (bnc#456654 - LTC50451)
* Wed Dec 10 2008 teheo@suse.de
- patches.drivers/libata-pata_hpt366-fix-cable-detection:
  pata_hpt366: fix cable detection, (bnc#362159).
- patches.drivers/libata-pata_hpt366-fix-clock-detection:
  pata_hpt366: fix clock detection (bnc#362159).
- patches.drivers/libata-pata_hpt366-no-ATAPI-DMA: pata_hpt366:
  no ATAPI DMA (bnc#362159).
- patches.drivers/libata-pata_hpt366-reimplement-mode-programming:
  pata_hpt366: reimplement mode programming (bnc#362159).
* Tue Dec  9 2008 agruen@suse.de
- supported.conf: Mark xfs_dmapi as supported (bnc#457668).
* Tue Dec  9 2008 jeffm@suse.de
- patches.fixes/x86-arch_add_memory-remove-debug: x86: remove
  debug code from arch_add_memory() (bnc#457526).
- patches.fixes/x86-memory-hotplug-off-by-one: x86, memory
  hotplug: remove wrong -1 in calling init_memory_mapping()
  (bnc#457526).
* Tue Dec  9 2008 agruen@suse.de
- rpm/{kernel-module-subpackage,macros.kernel-source}: Remove
  a leftover hardcoded dependency on the kernel-source package so
  that KMPs can alternatively be built against a kernel other
  than (kernel-source + kernel-syms), such as (kernel-source-rt +
  kernel-syms-rt).
* Tue Dec  9 2008 trenn@suse.de
- patches.fixes/pci_aspm_check_endless_loop_safe.patch: PCIe:
  ASPM: Break out of endless loop waiting for PCI config bits
  to switch (bnc#449799).
* Tue Dec  9 2008 mmarek@suse.cz
- rpm/symsets.pl:
  - add --required-modules option to tell which modules this
    subpackage requires via dependencies. This is needed to
    preserve symsets when modules move from one subpackage to
    another.
  - add POD help and --help option.
- rpm/kernel-binary.spec.in: make use of --required-modules
* Tue Dec  9 2008 nfbrown@suse.de
- patches.fixes/xfs-barrier-fix.patch: Fix propagation of
  EOPNOTSUPP when barriers are not supported. (bnc#438608).
* Tue Dec  9 2008 rjw@suse.de
- patches.fixes/tg3-fix-default-wol.patch: net (tg3): Fix failure
  to enable WoL by default when possible (bnc#447371).
* Mon Dec  8 2008 olh@suse.de
- patches.arch/ppc-valid-hugepage-size-hugetlb_get_unmapped_area.patch:
  Check for valid hugepage size in hugetlb_get_unmapped_area
  (bnc#456433 - LTC50170).
* Mon Dec  8 2008 trenn@suse.de
- patches.fixes/pci_aspm_check_endless_loop.patch: Delete.
* Mon Dec  8 2008 rw@suse.de
- patches.drivers/sgi-xp-no-uv:
  SGI SN: Eliminate dependency of the XP/XPC drivers on GRU. (bnc#442442)
* Mon Dec  8 2008 rw@suse.de
- Update config files for ia64:
  Disable PERMIT_BSP_REMOVE.  (bnc#386714)
* Mon Dec  8 2008 mmarek@suse.cz
- rpm/find-provides, rpm/kernel-binary.spec.in: figure out what
  subpackage is being processed in find-provides and just print
  the symsets computed in the spec.
* Mon Dec  8 2008 olh@suse.de
- rpm/post.sh: use flavor-rpmarch to match boards on powerpc
* Mon Dec  8 2008 mmarek@suse.cz
- rpm/kernel-module-subpackage: skip empty KMPs with a warning in
  the kmp %%%%postun
* Mon Dec  8 2008 jjohansen@suse.de
- Update config files.
- patches.apparmor/fix-complain.diff: fix enforcement of deny
  rules in complain mode (bnc#426159).
- patches.apparmor/fix-security-param.diff: fix recognition of
  security= boot parameter (bnc#442668).
- patches.apparmor/fork-tracking.diff: fix log messages to enable
  tools profile learning (bnc#447564).
* Mon Dec  8 2008 olh@suse.de
- rpm/post.sh: update board detection to use rpmarch instead flavor
* Mon Dec  8 2008 hare@suse.de
- patches.fixes/block-integrity-update: Block integrity update
  (FATE#304345).
- patches.suse/dm-block-integrity: Block integrity support for
  DM and MD (FATE#304345).
- patches.suse/dm-mpath-add-start-io: dm-mpath: add a path
  selector interface (FATE#303862,FATE#302108).
- patches.suse/dm-mpath-queue-length-load-balancing: dm-mpath: add
  queue-length dynamic load balancer (FATE#303862,FATE#302108).
- patches.suse/dm-mpath-service-time-load-balancing:
  dm-mpath: add service-time oriented dynamic load balancer
  (FATE#303862,FATE#302108).
- patches.suse/dm-mpath-tracking-nr-bytes: dm-mpath:
  interface change for service-time dynamic load balancer
  (FATE#303862,FATE#302108).
- supported.conf: Update to correctly reference dynamic load
  balancer modules (bnc#444199)
* Mon Dec  8 2008 tonyj@suse.de
- patches.suse/perfmon2-add_ioctl_interface.patch: switch to
  ioctl interface for perfmon2.
- patches.suse/perfmon2-fix_disabled.patch: fix initializion of
  perfmon disabled.
- patches.suse/perfmon2-remove_get_base_syscall_attr.patch:
  remove perfmon syscall_base attribyute.
- patches.suse/perfmon2-remove_syscalls.patch: drop additional
  perfmon2 syscalls.
- patches.xen/xen3-perfmon2_remove_syscalls.patch: drop additional
  perfmon2 syscalls.
* Sat Dec  6 2008 trenn@suse.de
- patches.arch/acpi_ec_provide_non_interrupt_mode_boot_param.patch:
  ACPI: EC: Don't degrade to poll mode at storm
  automatically. (bnc#446142).
- patches.fixes/pci_aspm_check_endless_loop.patch: PCIE Break
  out of endless loop waiting for PCI config bits to switch
  (bnc#449799).
* Sat Dec  6 2008 gregkh@suse.de
- refresh patches to apply cleanly.
* Sat Dec  6 2008 gregkh@suse.de
- Update to final 2.6.27.8 release
  - contains 2 changes from 2.6.27.8-rc1
* Fri Dec  5 2008 jbeulich@novell.com
- patches.xen/xen-configurable-guest-devices: fix a typo.
* Fri Dec  5 2008 olh@suse.de
- patches.suse/scsi-scsi_transport_srp-shost_data.patch:
  move crq_queue_create at the end of initialization (bnc#455929).
* Fri Dec  5 2008 hare@suse.de
- patches.drivers/open-fcoe-fnic-patches: Open-FCoE bugfixes
  for fnic.
- patches.drivers/open-fcoe-rc1-update: Update open-FCoE with
  latest patches from Intel (bnc#438954).
* Fri Dec  5 2008 jbeulich@novell.com
- Update Xen x86-64 config (2k guest devices, 1k outstanding transmits
  in netback).
* Fri Dec  5 2008 hare@suse.de
- patches.arch/s390-zfcp-synchronize-scsi-register: No udev
  events for zfcp online / offline (bnc#443667).
- patches.fixes/scsi-remove-scmd-timeout: Fix block timeout
  residue problems (bnc#447249,bnc#441335).
- patches.fixes/scsi-eh_stu-timeout: Delete obsolet patch.
* Fri Dec  5 2008 bphilips@suse.de
- patches.fixes/saa7134-fix-resource-map-sanity-check-conflict.patch:
  saa7134: fix resource map sanity check conflict (bnc#446733).
* Fri Dec  5 2008 gregkh@suse.de
- Update config files.
- patches.drivers/staging-add-rtl8187se-driver.patch: Staging:
  add rtl8187se driver.  Needed for MSI Wind and other netbooks.
* Fri Dec  5 2008 gregkh@suse.de
- Update config files.
- patches.drivers/staging-add-serverengines-benet-10gb-ethernet-driver.patch:
  Staging: Add ServerEngines benet 10Gb ethernet driver.
* Fri Dec  5 2008 gregkh@suse.de
- update the wlan-ng driver to the latest upstream version, making
  it much more useful (it actually works now...)
* Fri Dec  5 2008 nfbrown@suse.de
- patches.fixes/sunrpc-module-refcount-fix: Add a reference to
  sunrpc in svc_addsock (443379).  This avoid a bug where
  refcount on sunrpc can go zero or negative.
* Thu Dec  4 2008 jeffm@suse.de
- patches.fixes/reiserfs-debug-1036: reiserfs: print more
  information when an empty journal list is encountered
  (bnc#447406 bnc#399966).
* Thu Dec  4 2008 gregkh@suse.de
- patches.fixes/atm-duplicate-listen-on-socket-corrupts-the-vcc-table.patch:
  ATM: duplicate listen() on socket corrupts the vcc table
  (CVE-2008-5079).
* Thu Dec  4 2008 jack@suse.cz
- Update config files.
* Thu Dec  4 2008 jack@suse.cz
  XFS update on request from SGI:
- patches.apparmor/vfs-notify_change.diff: Add a vfsmount
  parameter to notify_change(). (refreshed)
- patches.suse/xfs-account-for-allocated-blocks-when-expanding-directories:
  Account for allocated blocks when expanding directories
  (bnc#450658).
- patches.suse/xfs-check-for-valid-transaction-headers-in-recovery:
  XFS: Check for valid transaction headers in recovery
  (bnc#450658).
- patches.suse/xfs-dmapi-enable: VFS changes to support DMAPI
  (bnc#450658).
- patches.suse/xfs-dmapi-src: DMAPI Source  (bnc#450658).
- patches.suse/xfs-dmapi-xfs-enable: DMAPI support for xfs
  (bnc#450658).
- patches.suse/xfs-handle-memory-allocation-failures-during-log-initialisation:
  handle memory allocation failures during log initialisation
  (bnc#450658).
- patches.suse/xfs-nfsd-dmapi-aware: Make NFSD DMAPI aware
  (74107, 173874, bnc#450658).
- patches.suse/xfs-wait-for-all-IO-on-truncate-to-zero: Wait
  for all I/O on truncate to zero file size (bnc#450658).
- patches.suse/xfs-dmapi-2.6.27: Delete.
- patches.suse/xfs-dmapi-xfs-2.6.27: Delete.
* Thu Dec  4 2008 olh@suse.de
- patches.arch/ppc-mpic-dont-reset-affinity-for-secondary-MPIC-on-boot.patch:
  Don't reset affinity for secondary MPIC on boot (bnc#456408 - LTC50397).
* Thu Dec  4 2008 jjolly@suse.de
- Update config files.
- patches.arch/s390-05-04-fix_rport_status_check.patch: zfcp:
  fix remote port status check (bnc#450096).
- patches.arch/s390-05-05-stp-etr-stop-machine.patch: stp/etr:
  smp_call_function races. (bnc#450096).
- patches.arch/s390-05-06-stp-etr-mutex.patch: stp/etr: serialize
  work. (bnc#450096).
- patches.arch/s390-05-07-generic-ipi.patch: kernel:
  smp_call_function races. (bnc#450096).
- patches.arch/s390-05-08-topology.patch: kernel: disable cpu
  topology support by default (bnc#450096,LTC#50392).
* Thu Dec  4 2008 olh@suse.de
- patches.arch/ppc-cell-gdb-watchpoints.patch:
  Fix GDB watchpoints on Cell (bnc#456405 - LTC50396).
* Thu Dec  4 2008 olh@suse.de
- patches.arch/ppc-syscall-xer.so.1.patch: Fix system calls on
  Cell entered with XER.SO=1 (bnc#456406 - LTC50395).
* Thu Dec  4 2008 hare@suse.de
- patches.suse/genhd-disk-ro-uevents: Send uevents for
  write_protect changes (bnc#440959).
* Thu Dec  4 2008 mmarek@suse.cz
- supported.conf: mark kernel/net/ipv4/ipvs/ip_vs/* and
  kernel/net/ipv4/netfilter/ipt_CLUSTERIP as unsupported,
  a supported variant will be provided in a separate KMP
  (bnc#455959)
* Thu Dec  4 2008 schwab@suse.de
- Set CONFIG_IA64_CPE_MIGRATE=m.
* Thu Dec  4 2008 jbeulich@novell.com
- supported.conf: Mark pciback as support, sfc_resource, sfc_netback,
  and sfc_netutil as externally supported, add sfc_netfront, and mark
  xenscsi and xen-scsibk as unsupported.
* Thu Dec  4 2008 mszeredi@suse.de
- patches.suse/SoN-fix-uninitialized-variable.patch: Fix use of
  uninitialized variable in cache_grow() (bnc#444597).
* Thu Dec  4 2008 hare@suse.de
- patches.fixes/scsi-eh_stu-timeout: make scsi_eh_try_stu use
  block timeout (bnc#447249,bnc#441335).
* Thu Dec  4 2008 gregkh@suse.de
- patches.fixes/jbd2-create-proc-entry-fix.patch: Delete. It's not needed
  anymore now that 2.6.27.8-rc1 has a similar fix.
* Thu Dec  4 2008 gregkh@suse.de
- Update to 2.6.27.8-rc1:
  - lots of bugfixes
  - some security fixes as well.
  - obsoletes lots of existing patches:
  - patches.arch/ppc-spufs-02-add-a-missing-mutex_unlock.patch
  - patches.arch/ppc-spufs-11-Fix-spinning-in-spufs_ps_fault-on-sig.patch
  - patches.drivers/libata-fix-ata_tf_read_block-overflow
  - patches.drivers/libata-fix-ata_tf_to_lba48-overflow
  - patches.drivers/libata-seagate-firmware-bug
  - patches.drivers/parport-serial-array-overflow-fix
  - patches.fixes/af_unix-soft-lockup-fix.patch
  - patches.fixes/cifs-add-cifs_sock_list
  - patches.fixes/cifs-cleanup-cifs_mount
  - patches.fixes/cifs-cleanup-proto-handling
  - patches.fixes/cifs-disable-sess-sharing
  - patches.fixes/cifs-fix-build-breakage
  - patches.fixes/cifs-fix-data-corruption
  - patches.fixes/cifs-fix-dead-tcon-check
  - patches.fixes/cifs-fix-oops-on-failed-mount
  - patches.fixes/cifs-fix-reconnection-flags
  - patches.fixes/cifs-fix-smb-send2
  - patches.fixes/cifs-fix-writepages
  - patches.fixes/cifs-reinstate-sess-sharing-sans-races
  - patches.fixes/cifs-reinstate-treecon-sharing
  - patches.fixes/ext4_add-missing-unlock-to-ext4-check-descriptors
  - patches.fixes/ext4_create-proc-ext4-stats-file-more-carefully
  - patches.fixes/ext4_fix_whitespace_checkpatch_issues
  - patches.fixes/ext4_update-flex-bg-counters-when-resizing
  - patches.fixes/fix-inotify-watch-removal-umount-races
  - patches.fixes/hpwdt-execute-page.diff
  - patches.fixes/hpwdt-kdump.diff
  - patches.fixes/ia64-fix-boot-panic-caused-by-offline-CPUs.patch
  - patches.fixes/x86_cpufreq_powernow-k8_handle_invalid_state_gracefully.patch
* Wed Dec  3 2008 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.19: Fix a kernel warning during shutdown.
- patches.xen/xen3-patch-2.6.27,
  patches.xen/xen-netback-notify-multi,
  patches.xen/xen-virq-per-cpu-irq: Refresh.
* Wed Dec  3 2008 olh@suse.de
- patches.suse/scsi-scsi_transport_srp-shost_data.patch: change
  init order to fill in shost_data (bnc#455929).
* Wed Dec  3 2008 hare@suse.de
- patches.suse/scsi-netlink-ml: Use GFP_ATOMIC for
  skb allocation.
* Wed Dec  3 2008 olh@suse.de
- patches.suse/scsi-scsi_transport_srp-shost_data.patch:
  add debug for Scsi_Host->shost_data (bnc#455929).
* Wed Dec  3 2008 hare@suse.de
- supported.conf: mark dm-leastpending-path as supported
  (bnc#444199)
* Wed Dec  3 2008 teheo@suse.de
  Patch updated to remove strcmp() on NULL strings.
- patches.drivers/libata-ata_piix-borked-tecra-m4-broken-suspend:
  ata_piix: add borked Tecra M4 to broken suspend list
  (bnc#398270).
* Wed Dec  3 2008 jbeulich@novell.com
- Update Xen patches to c/s 728 (plus several indivual ones)
- patches.xen/735-balloon-exit.patch: remove sysfs files during balloon
  module exit.
- patches.xen/737-kexec-free.patch: kexec: Don't pass
  limit_pages_to_max_mfn() regions to xen_destroy_contiguous_region().
- patches.xen/740-blkback-resource-leak.patch: blkback, blktap: Fix
  potential resource leak.
- patches.xen/746-pirq-status-page.patch: use shared page indicating
  the need for an EOI notification
- patches.xen/747-x86-undo-mfn-limit.patch: revert the effect of
  xen_limit_pages_to_max_mfn()
- patches.xen/748-x86-ioapic-cleanup.patch: cleanup IO-APIC code
- patches.xen/panic-on-io-nmi-xen.diff: Rename to ...
- patches.xen/xen3-panic-on-io-nmi.diff: ... this.
- patches.xen/uv-sysfs-no-xen.diff: Replace by ...
- patches.xen/xen3-uv_setup_irq.diff: ... this.
- patches.xen/xen3-x86_sgi_uv_early_detect_oem.patch: x86, uv:
  add early detection of UV system types (bnc#429984).
- patches.xen/xen-fb-bad-irq: Delete.
* Wed Dec  3 2008 hare@suse.de
- patches.drivers/lpfc-8.2.8.9-update: Update Emulex lpfc driver
  to 8.2.8.9 (bnc#420767).
* Wed Dec  3 2008 knikanth@suse.de
- patches.suse/cfq-ioc-race: Exiting queue and task might race
  to free cic (bnc#444346).
* Wed Dec  3 2008 sjayaraman@suse.de
- patches.fixes/cifs-reinstate-sess-sharing-sans-races: Adjust as it
  didn't apply cleanly.
* Wed Dec  3 2008 sjayaraman@suse.de
- Fix data corruption issues (411655).
  patches.fixes/cifs-fix-data-corruption
  patches.fixes/cifs-fix-smb-send2
- Fix multiple oopses, memory corruption due to mount/umount races
  (https://bugzilla.samba.org/show_bug.cgi?id=5720).
  patches.fixes/cifs-add-cifs_sock_list
  patches.fixes/cifs-cleanup-cifs_mount
  patches.fixes/cifs-cleanup-proto-handling
  patches.fixes/cifs-disable-sess-sharing
  patches.fixes/cifs-fix-build-breakage
  patches.fixes/cifs-fix-dead-tcon-check
  patches.fixes/cifs-fix-oops-on-failed-mount
  patches.fixes/cifs-fix-reconnection-flags
  patches.fixes/cifs-fix-writepages
  patches.fixes/cifs-reinstate-sess-sharing-sans-races
  patches.fixes/cifs-reinstate-treecon-sharing
* Wed Dec  3 2008 jeffm@suse.de
- scripts/git-create-branch: Helper script to create a new
  branch.
* Tue Dec  2 2008 mmarek@suse.cz
- rpm/get_release_number.sh.in, scripts/tar-up.sh: append first
  eight digits of the commit id to the release string. This makes
  it easier to match rpm release numbers with commits.
* Tue Dec  2 2008 mszeredi@suse.de
- patches.fixes/af_unix-soft-lockup-fix.patch: net: Fix soft
  lockups/OOM issues w/ unix garbage collector (bnc#449739
  CVE-2008-5300).
* Tue Dec  2 2008 hare@suse.de
- patches.drivers/qla2xxx-8.02.01.02.11.0-k9-update: qla2xxx:
  additional fixes/updates for SLES11 (bnc#450197).
- patches.fixes/scsi-fixup-failfast-definitions: fc_transport:
  fix old bug on bitflag definitions (bnc#447814).
* Tue Dec  2 2008 goldwyn@suse.de
- patches.suse/novfs-map-drives-correctly.diff
- patches.suse/novfs-merge-changes.diff: Modified to revert
  some changes in novfs_set_map_drive()
- patches.suse/novfs-clear-mappeddrives.patch: Unlink mapped
  drives on exit (bnc#449451).
* Tue Dec  2 2008 mmarek@suse.cz
- supported.conf: mark ocfs2 as unsupported, a supported variant
  will be provided in a separate KMP (bnc#449824)
* Tue Dec  2 2008 olh@suse.de
- patches.drivers/ehca-rejecting-dynamic-mem-add-remove.patch:
  update error message (bnc#448301 - LTC50134)
* Tue Dec  2 2008 hare@suse.de
- Update config files for S/390: Disable FCoE and sync
  default and s390.
- supported.conf: Mark KVM as supported.
* Tue Dec  2 2008 jjolly@suse.de
- ...and added the patches to the series.conf (bnc#450096)
* Tue Dec  2 2008 jjolly@suse.de
- patches.arch/s390-05-01-zfcp-message-linebreak.patch: zfcp:
  Wrong placement of linebreak in message (bnc#450096).
- patches.arch/s390-05-02-zfcp-invalid-non-null-return.patch:
  zfcp: invalid return value on failing fsf_req creation
  (bnc#450096).
- patches.arch/s390-05-03-zfcp-wka-port.patch: zfcp: Fix opening
  of wka ports (bnc#450096).
* Mon Dec  1 2008 kkeil@suse.de
- patches.drivers/cxgb3-Add-1G-fiber-support: cxgb3: Add 1G
  fiber support.
- patches.drivers/cxgb3-Allocate-multiqueues-at-init-time: cxgb3:
  Allocate multiqueues at init time.
- patches.drivers/cxgb3-More-flexible-support-for-PHY-interrupts:
  cxgb3: More flexible support for PHY interrupts..
- patches.drivers/cxgb3-Support-for-Aeluros-2005-PHY: cxgb3:
  Support for Aeluros 2005 PHY.
- patches.drivers/cxgb3-allow-for-PHY-reset-status: cxgb3:
  allow for PHY reset status.
- patches.drivers/cxgb3-commnonize-LASI-phy-code: cxgb3:
  commnonize LASI phy code.
- patches.drivers/cxgb3-eeprom-read-fixes.patch:
  cxgb3 - eeprom read fixes.
- patches.drivers/cxgb3-enable-lro-through-ethtool: cxgb3 -
  enable lro control through ethtool.
- patches.drivers/cxgb3-simplify-port-type-struct-and-usage:
  cxgb3: simplify port type struct and usage.
- patches.drivers/cxgb3-update-driver-version: cxgb3: update
  driver version. (bnc#446739)
* Mon Dec  1 2008 mmarek@suse.cz
- rpm/macros.kernel-source: one more fix to the flavor selection
  code (for some reason %%* contained a newline)
* Mon Dec  1 2008 trenn@suse.de
- patches.arch/acpi_x2APIC_madt_enhancements.patch: ACPICA:
  x2APIC support: changes for MADT and SRAT ACPI tables (fate
  303948 and fate 303984).
- patches.fixes/acpi_check_for_invalid_handle.patch: ACPICA:
  Add check for invalid handle in acpi_get_object_info
  (http://www.acpica.org/bugzilla/show_bug.cgi?id=474).
- patches.fixes/acpi_dereference_object_if_possible.patch:
  ACPICA: Add function to dereference returned reference objects
  (http://bugzilla.kernel.org/show_bug.cgi?id=11105).
- patches.fixes/acpi_do_not_load_acpi_cpufreq_acpioff.patch:
  ACPI: don't load acpi_cpufreq if acpi=off (no reference).
* Mon Dec  1 2008 trenn@suse.de
- patches.fixes/acpi_copy_tables_fix_suspend.patch: ACPICA:
  Copy dynamically loaded tables to local buffer (bnc#410726).
* Sat Nov 29 2008 nfbrown@suse.de
- patches.fixes/SUNRPC-Fix-autobind-on-cloned-rpc-clients.patch:
  SUNRPC: Fix autobind on cloned rpc clients.
  Importantly, this removes a 'BUG_ON' that fires. (450083).
* Sat Nov 29 2008 teheo@suse.de
- patches.drivers/libata-ata_piix-borked-tecra-m4-broken-suspend:
  ata_piix: add borked Tecra M4 to broken suspend list
  (bnc#398270).
* Sat Nov 29 2008 bwalle@suse.de
- UV updates from SGI (bnc#442455, #442455).
  o patches.fixes/ia64_uv_partition_id.diff:
    Add partition id, coherence id, and region size to UV
  o patches.fixes/ia64_uv_watchlist.diff:
    Add UV watchlist suppor
  o patches.fixes/null_irq_desc_name.diff:
    genirq: NULL struct irq_desc's member 'name' in
    dynamic_irq_cleanup()
  o patches.fixes/uv-bios_call_memprotect.diff:
    Add UV bios call to change memory protections
  o patches.fixes/uv-bios_call_partition.diff:
    x86: Add UV partition call
  o patches.fixes/uv-bios_call_reserve_page.diff:
    Add UV bios call to get the address of the reserved page
  o patches.fixes/uv-bios_call_watchlist.diff:
    Add UV bios calls to allocate and free watchlists
  o patches.fixes/uv-bios_common.diff:
    x86: Add UV bios call infrastructure
  o patches.fixes/uv-efi_bios.diff:
    x86: Add UV EFI table entry
  o patches.fixes/uv-sn_region_size.diff:
    Use consistent names for region size and conherence id on x86
    and ia64
  o patches.fixes/uv-sysfs.diff:
    x86: Add UV sysfs entries
  o patches.fixes/uv-xp-change_memprotect.diff:
    Define xp_expand_memprotect() and xp_restrict_memprotect()
  o patches.fixes/uv-xpc-get_sn_info.diff:
    Define xp_partition_id and xp_region_size
  o patches.fixes/uv-xpc_create_gru_mq_uv.diff:
    Add the code to create the activate and notify gru message
    queues
  o patches.fixes/uv-xpc_get_part_rsvd_page.diff:
    Add support for getting the address of a partition's reserved
    page
  o patches.fixes/uv_setup_irq.diff:
    x86, UV: add uv_setup_irq() and uv_teardown_irq() functions, v3
- Refresh Xen patches
  o patches.xen/xen3-auto-arch-x86.diff
  o patches.xen/xen3-patch-2.6.19
- patches.xen/xen-x86-no-lapic: Add uv_irq.o
- patches.xen/uv-sysfs-no-xen.diff:
  Don't build UV sysfs support on Xen.
* Sat Nov 29 2008 trenn@suse.de
- patches.fixes/x86_cpufreq_powernow-k8_handle_invalid_state_gracefully.patch:
  powernow-k8: ignore out-of-range PstateStatus value (no
  bug avail).
* Fri Nov 28 2008 sassmann@suse.de
- Update config files.
  activate ALTIVEC in ps3 config
* Fri Nov 28 2008 hare@suse.de
- patches.drivers/open-fcoe-beta4-update: rediff.
- patches.drivers/open-fcoe-beta6-update: Incremental Open-FCoE
  for Beta6 (bnc#438954).
* Fri Nov 28 2008 tiwai@suse.de
- patches.drivers/alsa-hda-sony-vaio-vgn-sr19xn-quirk: ALSA:
  hda - Add quirk for Sony VAIO VGN-SR19XN (bnc#450080).
* Fri Nov 28 2008 olh@suse.de
- rpm/kernel-binary.spec.in: move Module.symvers creation into
  CONFIG_MODULES section, a static kernel exports nothing
* Fri Nov 28 2008 olh@suse.de
- rpm/post*.sh: kernel-vanilla has now vmlinux-vanilla symlink
* Fri Nov 28 2008 teheo@suse.de
  Block layer timer bug fixed.  Multipath patch update is just patch
  refresh.
- patches.drivers/block-internal-dequeue-shouldnt-start-timer:
  block: internal dequeue shouldn't start timer (bnc#449880).
- patches.drivers/blk-request-based-multipath-update: Block layer
  fixes for request-based multipathing (References: FATE#302108).
* Thu Nov 27 2008 olh@suse.de
- patches.suse/8250-sysrq-ctrl_o.patch: fix no-op macro args
* Thu Nov 27 2008 olh@suse.de
- patches.suse/8250-sysrq-ctrl_o.patch: fix compile on ppc32
* Thu Nov 27 2008 olh@suse.de
- rpm/kernel-binary.spec.in: always create a dummy initrd because
  mkinitrd is called unconditionally
* Thu Nov 27 2008 olh@suse.de
- rpm/kernel-binary.spec.in: kernel-ps3 needs a suffix
* Thu Nov 27 2008 olh@suse.de
- remove last traces of kernel-um handling
* Thu Nov 27 2008 hare@suse.de
- patches.fixes/qla2xxx-disable-automatic-queue-tracking: qla2xxx:
  Conditionally disable queue_full tracking (bnc#449386).
* Thu Nov 27 2008 olh@suse.de
- patches.suse/8250-sysrq-ctrl_o.patch: no sysrq on Cell QS21/QS22
  serial console (bnc#422987,bnc#96313 - LTC47675/LTC16841).
* Thu Nov 27 2008 olh@suse.de
- patches.arch/ppc-memoryless-nodes.patch: fix booting with
  memoryless nodes (443280 - LTC49675)
* Thu Nov 27 2008 teheo@suse.de
- patches.drivers/libata-seagate-firmware-bug: libata: blacklist
  Seagate drives which time out FLUSH_CACHE when used with NCQ
  (bnc#449531).
* Wed Nov 26 2008 agruen@suse.de
- rpm/macros.kernel-source: Fix the kernel flavor selection logic
  for the %%kernel_module_package macro.
* Wed Nov 26 2008 hare@suse.de
- patches.fixes/blk-leave-sync-timer-running: move to
  correct place in series.conf and rediff
- patches.drivers/cciss-newids.patch: Delete.
* Wed Nov 26 2008 hare@suse.de
- patches.drivers/cciss-newids.patch: Support for newcciss
  controller (bnc#448416).
- patches.fixes/blk-leave-sync-timer-running: block: leave
  request timeout timer running on an empty list (bnc#447249).
* Tue Nov 25 2008 mszeredi@suse.de
- patches.fixes/slab-alloc_slabmgmt-fix.patch: slab: remove
  GFP_THISNODE clearing from alloc_slabmgmt() (bnc#444597).
* Tue Nov 25 2008 sjayaraman@suse.de
- patches.suse/SoN-11-mm-page_alloc-emerg.patch: Fix accidental side-effect
  that this patch introduced by reverting patches.fixes/oom-warning
  (bnc #444597).
* Tue Nov 25 2008 tiwai@suse.de
- patches.drivers/alsa-ca0106-pm-support: ALSA: ca0106 - Add
  power-amangement support (bnc#447624).
- patches.drivers/alsa-hda-dell-92hd73xx-models: ALSA: hda -
  Check model for Dell 92HD73xx laptops (bnc#446025).
- patches.drivers/alsa-hda-dell-studio-1535-quirk: ALSA: hda -
  mark Dell studio 1535 quirk (bnc#446025).
- patches.drivers/alsa-hda-spdif-bits-cache-fix: ALSA: hda -
  Fix caching of SPDIF status bits.
- patches.drivers/alsa-hda-stac-no-hp-as-line-out-switch: ALSA:
  hda - No 'Headphone as Line-out' swich without line-outs
  (bnc#446025).
- patches.drivers/alsa-hda-stac-yet-more-fixes: ALSA: hda -
  Fix AFG power management on IDT 92HD* codecs (bnc#446025).
* Tue Nov 25 2008 jeffm@suse.de
- patches.fixes/fix-inotify-watch-removal-umount-races: Fix
  inotify watch removal/umount races (bnc#446973 CVE-2008-5182).
* Tue Nov 25 2008 jeffm@suse.de
- patches.fixes/uv-redundant-creation-of-proc-dir: UV: redundant
  creation of sgi_uv (bnc#444799).
* Mon Nov 24 2008 agruen@suse.de
- supported.conf: dm-raid45 depends on a few more modules
  (bnc#440208, bnc#441310).
* Mon Nov 24 2008 agruen@suse.de
- Switch from a no_file_caps command line switch to file_caps={0,1}
  for enabling/disabling file capabilities, and make file_caps=0
  the default: we cannot get the no_file_caps option added to the
  kernel command line anymore (perl-Bootloader, bnc#418366).
* Mon Nov 24 2008 agruen@suse.de
- supported.conf: dm-raid4-5 was renamed to dm-raid45 (bnc#440208,
  bnc#441310).
* Mon Nov 24 2008 agruen@suse.de
- Update config files: switch from CONFIG_PREEMPT_VOLUNTARY to
  CONFIG_PREEMPT_NONE.
* Mon Nov 24 2008 ghaskins@suse.de
- patches.fixes/sched-fix-bug-in-sched-domain-degenerate.patch:
  sched: fix a bug in sched domain degenerate (bnc#442464).
* Mon Nov 24 2008 mmarek@suse.cz
- doc/README.SUSE: document that setting allow_unsupported_modules
  to 1 in /etc/modprobe.d/unsupported-modules is required to make
  self-compiled kernels work.
* Mon Nov 24 2008 bwalle@suse.de
- patches.fixes/hpwdt-kdump.diff: Sync with latest upstream
  submission.
* Sun Nov 23 2008 trenn@suse.de
- patches.arch/x86_sgi_uv_early_detect_oem.patch: x86, uv:
  add early detection of UV system types (bnc#429984).
* Sat Nov 22 2008 olh@suse.de
- enable CONFIG_CGROUP_NS on ia64, s390 and powerpc (bnc#447507 - LTC50053)
* Sat Nov 22 2008 rjw@suse.de
- patches.fixes/ia64-fix-boot-panic-caused-by-offline-CPUs.patch:
  fix boot panic caused by offline CPUs (bnc#440386).
* Fri Nov 21 2008 agruen@suse.de
- config/x86_64/maxcpus: Delete.
* Fri Nov 21 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in: s/CVS/GIT/
* Fri Nov 21 2008 mmarek@suse.cz
- rpm/symsets.pl: fix module names in export lists
  (kernel/irq/built-in was printed as irq/built-in)
* Fri Nov 21 2008 agruen@suse.de
- Update x86_64/{debug,default,trace,vanilla} config files:
  increase NR_CPUS to 512.
* Fri Nov 21 2008 mmarek@suse.cz
- rpm/symsets.pl: Replace the bash and awk scripts around symsets
  and kabi checking with a single script that generates symsets,
  reuses symsets from older kernels and checks for kabi changes for
  each of the split packages (kabi checking and symset reuse
  require a set of reference files, which does not exist yet)
- rpm/list-exported-symbols: Delete.
- rpm/split-into-symsets: Delete.
- scripts/kabi-checks: Delete.
- kabi/severities: table of kabi change severities
- rpm/built-in-where, rpm/find-provides,
  rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in,
  scripts/tar-up.sh: update to use symsets.pl
* Fri Nov 21 2008 kkeil@suse.de
- patches.drivers/ixgbe-sfp.patch: include additional fixes from
  Intel (bnc#442411)
* Fri Nov 21 2008 kkeil@suse.de
- patches.fixes/igb_ethtool.patch: add missing ethtool hooks
  (bnc#435551)
* Fri Nov 21 2008 jjolly@suse.de
- patches.arch/s390-04-08-cio-ungroup-race-fix.patch:
  cio: ccwgroup online vs. ungroup race condition
  (bnc#445100,LTC#50092).
- patches.arch/s390-04-09-zfcp-host-busy-count-fix.patch: zfcp:
  prevent double decrement on host_busy counter (bnc#445100).
* Fri Nov 21 2008 agruen@suse.de
- rpm/macros.kernel-source:
  + Rename the -s option to -t in the %%kernel_module_package macro
    for improved cross-distro compatibility.
  + Define %%kernel_module_package_release as 1 for feature tests.
  + Define %%kernel_module_package_buildreqs for use by KMPs: that
    way, KMPs can either use this macro for compatibility, or
    they can substitute other packages for special cases.
* Fri Nov 21 2008 hare@suse.de
- patches.drivers/cxgb3i: add cxgb3i iscsi driver
  (FATE#304154,bnc#433500).
- patches.drivers/cxgb3i-fixed-offload-array-size: cxgb3i -
  fixed offload wr array size (bnc#447409).
- patches.fixes/dm-table-switch-to-readonly: dm multipath devices
  are not getting created for readonly devices (bnc#382705).
- patches.suse/dm-mpath-null-pgs: Allow zero paths for multipath
  priority groups (bnc#372684).
- patches.suse/scsi-netlink-ml: Netlink interface for SCSI
  sense codes (FATE#303789).
* Fri Nov 21 2008 goldwyn@suse.de
- patches.suse/novfs-map-drives-correctly.diff: Fix oops in
  set_map_drive (bnc#446824, bnc#444469).
* Fri Nov 21 2008 jbeulich@novell.com
- patches.xen/xen3-x86-vmware-tsc-03-detect-from-hypervisor:
  Fix Xen pv driver build.
* Fri Nov 21 2008 olh@suse.de
- patches.arch/ppc-spufs-01-use-inc_nlink.patch: use inc_nlink
- patches.arch/ppc-spufs-02-add-a-missing-mutex_unlock.patch
- patches.arch/ppc-spufs-03-sputrace-Only-enable-logging-on-open.patch
- patches.arch/ppc-spufs-04-sputrace-Don-t-block-until-the-read.patch
- patches.arch/ppc-spufs-05-Use-state_mutex-for-switch_log-lockin.patch
- patches.arch/ppc-spufs-06-Don-t-require-full-buffer-in-switch_l.patch
- patches.arch/ppc-spufs-07-Don-t-spu_acquire_saved-unnecessarily.patch
- patches.arch/ppc-spufs-08-Use-kmalloc-rather-than-kzalloc-for-s.patch
- patches.arch/ppc-spufs-09-Improve-search-of-node-for-contexts-w.patch
- patches.arch/ppc-spufs-10-Explain-conditional-decrement-of-aff_.patch
- patches.arch/ppc-spufs-11-Fix-spinning-in-spufs_ps_fault-on-sig.patch
  update spufs to current mainline state (bnc#447133 - LTC50070)
* Fri Nov 21 2008 tiwai@suse.de
- patches.drivers/parport-serial-array-overflow-fix: Fix array
  overflow in parport_serial.c (bnc#447067).
* Fri Nov 21 2008 tiwai@suse.de
- patches.drivers/alsa-hda-dell-studio-15-quirk: ALSA: hda -
  Add a quirk for Dell Studio 15 (bnc#446025).
- patches.drivers/alsa-hda-stac-dell-m4-3-quirk: ALSA: hda:
  Add STAC_DELL_M4_3 quirk (bnc#446025).
* Fri Nov 21 2008 npiggin@suse.de
- patches.suse/silent-stack-overflow-2.patch: avoid silent stack
  overflow over the heap. Try again.
* Fri Nov 21 2008 gregkh@suse.de
- Refresh patches to apply cleanly after 2.6.27.7 update.
* Fri Nov 21 2008 gregkh@suse.de
- Update to 2.6.27.7
  - lots of bugfixes and security updates.
  - obsoletes:
  - patches.arch/s390-04-05-topology-lock.diff
  - patches.drivers/bnx2x-zero-PMF
  - patches.drivers/input-alps-add-signature-for-dualpoint-found-in-dell-latitude-e6500.patch
  - patches.fixes/cdc-acm.c-fix-recursive-lock-in-acm_start_wb-error-path.patch
  - patches.fixes/sony_laptop_fix_suspend.patch
  - patches.kernel.org/iwlagn-avoid-sleep-in-softirq-context.patch
  - patches.kernel.org/memory-hotplug-fix-page_zone-calculation-in-test_pages_isolated.patch
  - patches.kernel.org/touch_mnt_namespace-when-the-mount-flags-change.patch:
* Fri Nov 21 2008 teheo@suse.de
- patches.drivers/libata-ata_piix-clear-spurious-IRQ: ata_piix:
  detect and clear spurious IRQs (bnc#445872).
* Fri Nov 21 2008 npiggin@suse.de
- patches.fixes/mm-madvise-fix.patch: mm: madvise correct return
  code (bnc#352998).
* Thu Nov 20 2008 jack@suse.cz
- patches.suse/ocfs2-Change-quotafile-names.patch: ocfs2: Change
  file names of local quota files to be consistent (fate#302681).
- patches.suse/ocfs2-Fix-hang-in-quota-recovery-code.patch:
  ocfs2: Fix hang in quota recovery code (fate#302681).
- patches.suse/ocfs2-Fix-oops-when-one-quotatype-enabled: ocfs2:
  Fix oops when only usrquota or grpquota feature is enabled
  (fate#302681).
* Thu Nov 20 2008 garloff@suse.de
- patches.suse/panic-on-io-nmi.diff
  patches.xen/panic-on-io-nmi-xen.diff:
  New kernel sysctl panic-on-io-nmi, which is set will cause a
  kernel panic on receiving an IOCK NMI (bnc#427979).
* Thu Nov 20 2008 jjolly@suse.de
- patches.arch/s390-04-06-cio-sac-update.diff: cio: update sac
  values (bnc#445100).
- patches.arch/s390-04-07-als.patch: kernel: Add processor type
  march=z10 and a processor type safety check. (bnc#445100).
* Thu Nov 20 2008 tiwai@suse.de
- patches.drivers/alsa-hda-stac-hp-gpio-switch-fix: ALSA: hda:
  STAC_DELL_M6 EAPD (bnc#446025).
* Thu Nov 20 2008 jbeulich@novell.com
- Update Xen patches to 2.6.27.6 and c/s 724.
- Update Xen config files.
- patches.xen/xen-fb-bad-irq: xenfb: don't use irq before it
  gets set up (bnc#445659).
- patches.xen/xen-netback-notify-multi: netback: use multicall
  for send multiple notifications.
- patches.xen/xen-netback-nr-irqs: netback: reduce overhead of
  IRQ recording.
* Thu Nov 20 2008 kkeil@suse.de
- patches.drivers/igb-pf.patch: removed (no SR-IOV) (bnc#440614)
* Thu Nov 20 2008 olh@suse.de
- disable patches.arch/ppc-efika-bestcomm-ata-dma.patch
  crashes the sound driver
* Thu Nov 20 2008 jjolly@suse.de
- rpm/kernel-binary.spec.in: excluded vanilla build from creating
  the man package
* Thu Nov 20 2008 hare@suse.de
- patches.drivers/ibmvfc-async-events-oops: ibmvfc oops while
  processing async events (bnc#445541).
- patches.drivers/mpt-fusion-4.16.00.00-update: MPT fusion driver
  update to 4.16.00.00 (bnc#425660).
- patches.fixes/dm-mpath-NULL-pgpath-in-activate_path: Do not
  call activate_path() if pgpath is NULL (bnc#442676).
- patches.fixes/scsi-dh-rdac-initialize-passive-path: Initialize
  path state to be passive when path is not owned (bnc#442676).
- patches.suse/dm-mpath-leastpending-path: Dynamic load balancing
  policy for device mapper multipath (bnc#444199).
* Thu Nov 20 2008 olh@suse.de
- patches.fixes/bug-437171_1_sched_clock_lock.patch: sched: only
  update rq->clock while holding rq->lock (437171 - LTC47404).
- patches.fixes/bug-437171_2_sched_delta_weight.patch: sched:
  revert back to per-rq vruntime (437171 - LTC47404).
- patches.fixes/bug-437171_3_rework_wakeup_preemption.patch:
  sched: rework wakeup preemption (437171 - LTC47404).
- patches.fixes/bug-437171_4_sched_reinstate_vruntime_wakeup.patch:
  sched: re-instate vruntime based wakeup preemption (437171 -
  LTC47404).
* Thu Nov 20 2008 trenn@suse.de
- Update config files.
  Fixed debug build, added dependent config option.
* Thu Nov 20 2008 trenn@suse.de
- Update config files.
  - > unified i386/x86_64 debug kernels:
  - added CONFIG_NO_HZ=y to i386-debug
  - added CONFIG_DEBUG_INFO to x86_64-debug
  Differ method to receive processor_id depending whether the processor
  got declared as a regular ACPI device or as a processor object:
- patches.arch/acpi_behave_uniquely_based_on_processor_declaration.patch:
  ACPI: Behave uniquely based on processor declaration definition
  type (bnc#440062).
- patches.arch/acpi_disambiguate_processor_declaration_type.patch:
  ACPI: Disambiguate processor declaration type (bnc#440062).
- patches.arch/acpi_processor_cleanups.patch: ACPI: 80 column
  adherence and spelling fix (no functional change) (bnc#440062).
- patches.xen/xen3-auto-common.diff: xen3 common.
  Fix missing bit for ThinkPad brightness switching:
- patches.arch/acpi_video_thinkpad_exclude_IGD_devices.patch:
  Do not use video backlight switching for Lenovo ThinkPads.
- patches.fixes/sony_laptop_fix_suspend.patch: sony-laptop:
  Ignore missing _DIS method on pic device (bnc#446487).
* Thu Nov 20 2008 hare@suse.de
- patches.fixes/dm-mpath-reattach-dh: Do not detach hardware
  handler when removing multipath maps (bnc#435688).
- patches.fixes/scsi-dh-alua-send-stpg: Always send STPG for
  explicit tgps mode.
* Thu Nov 20 2008 jjolly@suse.de
- rpm/kernel-binary.spec.in: Added kernel man package for s390x
* Thu Nov 20 2008 olh@suse.de
- patches.arch/ppc-of-irq-map.patch: fix IRQ assignment if
  interrupts property is missing (bnc#446610 - LTC50006)
* Thu Nov 20 2008 rjw@suse.de
- patches.fixes/acpi-set-SCI_EN-on-MacBook.patch: ACPI suspend:
  Blacklist boxes that require us to set SCI_EN directly on resume
  (bnc#444786).
* Wed Nov 19 2008 tiwai@suse.de
- patches.arch/x86-hpet-pre-read: x86: workaround for mccreary
  HPET read problem (bnc#433746).
* Wed Nov 19 2008 trenn@suse.de
- patches.arch/0008-sony-laptop-fingers-off-backlight.patch:
  sony-laptop: fingers off backlight if video.ko is serving
  this functionality.
  - > Fix typo, must not invert logic at this point
* Wed Nov 19 2008 kkeil@suse.de
- patches.drivers/e1000e_add_ECC: e1000e: enable ECC (bnc#445829)
* Wed Nov 19 2008 mmarek@suse.cz
- scripts/tar-up.sh: record the git branch name in the spec files
  (no branch name means master)
* Wed Nov 19 2008 jkosina@suse.de
- patches.drivers/elousb.patch: fix values of maximum X and Y
  coordinates so that they are compliant with the values that
  the device contains in its descriptor (bnc#442865)
* Wed Nov 19 2008 goldwyn@suse.de
- patches.suse/novfs-merge-changes.diff: Merge changes left out
  during code pull (bnc#445000).
* Wed Nov 19 2008 olh@suse.de
- patches.arch/ppc-pseries-bsr-multinode.patch: Add support for
  multiple BSR nodes in the device tree. (bnc#443665 - LTC49817)
* Wed Nov 19 2008 olh@suse.de
- patches.arch/ppc-pseries-cmm-pagecounter.patch:
  Update page in counter for CMM (bnc#445540 - LTC49942)
* Wed Nov 19 2008 olh@suse.de
- patches.arch/ppc-pseries-bsr-4k.patch: Unable to Use Small
  BSR register on Power LPAR (bnc#443673 - LTC49749)
* Wed Nov 19 2008 jjolly@suse.de
- config/s390/s390: Update config files: added CONFIG_UTRACE=y and
  CONFIG_HAVE_ARCH_TRACEHOOK=y
* Wed Nov 19 2008 jjolly@suse.de
- patches.drivers/ehca-fix-possible-nullpointer-access-v2.patch:
  ehca: fix a possible nullpointer access (bnc#441966).
* Wed Nov 19 2008 jjolly@suse.de
- patches.arch/ppc-axon-missing-msi-workaround-5.diff:
  powerpc/cell/axon-msi: retry on missing interrupt (bnc#445964).
* Wed Nov 19 2008 jjolly@suse.de
- patches.drivers/0001-IB-ehca-Fix-problem-with-max-number-of-QPs-and-CQs.patch:
  Fix problem with max number of QPs and CQs (bnc#441619).
* Tue Nov 18 2008 bwalle@suse.de
- Disable CONFIG_STRICT_DEVMEM for i386 and x86_64 (bnc#443852).
* Tue Nov 18 2008 jjolly@suse.de
- Update config files.
- patches.trace/s390-syscall-get-nr.diff: fix syscall_get_nr..
- patches.trace/s390-utrace-enablement.patch: Backport s390
  kernel components required for utrace enablement.
* Tue Nov 18 2008 jblunck@suse.de
- rpm/kernel-binary.spec.in: on s390(x) call dwarfextract to create the
  Kerntypes file for use with old lcrash debuggers.
* Tue Nov 18 2008 tiwai@suse.de
- patches.drivers/alsa-hda-stac-92hd71bxx-gpio-fix: ALSA:
  hda - Fix GPIO initialization in patch_stac92hd71bxx()
  (bnc#445321,bnc#445161).
- patches.drivers/alsa-hda-stac-gpio-unsol-resume-fix:
  ALSA: hda - Fix resume of GPIO unsol event for STAC/IDT
  (bnc#445321,bnc#445161).
- patches.drivers/alsa-hda-stac-hp-pavilion-quirks: ALSA: hda -
  Add quirks for HP Pavilion DV models (bnc#445321,bnc#445161).
* Tue Nov 18 2008 tiwai@suse.de
- patches.arch/x86-hpet-use-WARN_ON_ONCE: x86: HPET: convert
  WARN_ON to WARN_ON_ONCE (bnc#433746).
* Tue Nov 18 2008 sdietrich@suse.de
  RT development has moved to slert-devel branch.
- Remove RT patches from master branch.
  (itemized RT patch list suppressed)
* Tue Nov 18 2008 olh@suse.de
- patches.arch/ppc-efika-bestcomm-ata-dma.patch: use ATA DMA (bnc#445856)
* Tue Nov 18 2008 olh@suse.de
- config/ppc/ppc64: reenable 64k PAGE_SIZE to keep the config
  flavor on ppc and ppc64 in sync
  the last change had also no bug number to fix the possible bug
  in the Xserver.
* Tue Nov 18 2008 tiwai@suse.de
- patches.drivers/alsa-hda-realtek-acer-dmic: ALSA: hda - Split
  ALC268 acer model (bnc#420048).
* Tue Nov 18 2008 jjolly@suse.de
- patches.arch/s390-04-01-qdio_prevent_double_shutdown.patch:
  qdio: prevent double qdio shutdown in case of I/O
  errors. (bnc#445100).
- patches.arch/s390-04-02-qdio-osa-port-count.patch: qdio:
  fix qeth port count detection. (bnc#445100).
- patches.arch/s390-04-03-kmsg.patch: kmsg: do not change pr_xyz
  messages without KMSG_COMPONENT (bnc#445100).
- patches.arch/s390-04-04-dasd_fatal_error_log_sense.patch:
  dasd: log sense for fatal errors. (bnc#445100).
- patches.arch/s390-04-05-topology-lock.diff: kernel: Fix locking
  in cpu topology code. (bnc#445100).
* Tue Nov 18 2008 jjolly@suse.de
- patches.arch/s390-personality-mask.patch: fix s390x_newuname.
* Tue Nov 18 2008 gregkh@suse.de
- patches.drivers/staging-rt2860-enable-wpa_supplicant-support.patch:
  Staging: rt2860: enable WPA_SUPPLICANT support (bnc#437959).
* Mon Nov 17 2008 hare@suse.de
- patches.drivers/lpfc-8.2.8.7-update: Update lpfc to 8.2.8.7
  (bnc#420767).
- patches.drivers/qla4xxx-5.01.00-k8_sles11-03-update: Update
  qla4xxx to 5.01.00-k8_sles11-03     (bnc#444884).
- patches.fixes/dm-mpath-reattach-dh: Reattach device handler
  for multipath devices (bnc#435688).
- patches.fixes/scsi-add-tgps-setting: Add TGPS setting to
  scsi devices.
- patches.fixes/scsi-dh-alua-retry-UA: Retry ALUA device handler
  initialization on Unit Attention.
* Mon Nov 17 2008 jeffm@suse.de
- patches.fixes/v4l-dvb-avoid-writing-outside-array: V4L/DVB
  (9621): Avoid writing outside shadow.bytes array (bnc#445569).
* Mon Nov 17 2008 fseidel@suse.de
- patches.fixes/ipw2200-send-noassoc.patch: ipw2200: fix oops
  in ipw_tx_skb (bnc#397390).
* Sat Nov 15 2008 rjw@suse.com
- patches.fixes/hibernate-x86-fix-breakage-on-x86_32-with-PAE.patch:
  x86: Hibernate: Fix breakage on x86_32 with CONFIG_NUMA set
  (bnc#439126).
* Sat Nov 15 2008 tiwai@suse.de
- patches.drivers/alsa-hda-sigmatel-hp-m4-check-fix: ALSA:
  hda - Check model type instead of SSID in patch_92hd71bxx()
  (bnc#444349).
- patches.drivers/alsa-hda-sigmatel-vref-event-fix: ALSA: hda:
  STAC_VREF_EVENT value change (bnc#444349).
* Sat Nov 15 2008 gregkh@suse.de
- patches.kernel.org/memory-hotplug-fix-page_zone-calculation-in-test_pages_isolated.patch:
  memory hotplug: fix page_zone() calculation in
  test_pages_isolated() (bnc#445163).
* Fri Nov 14 2008 gregkh@suse.de
- patches.drivers/input-alps-add-signature-for-dualpoint-found-in-dell-latitude-e6500.patch:
  Input: ALPS - add signature for DualPoint found in Dell Latitude
  E6500 (bnc#436719).
* Fri Nov 14 2008 hare@suse.de
- patches.fixes/scsi-eh-timed-out-missing-braces: scsi_error:
  fix indentation and braces disagreement - add braces.
- patches.fixes/scsi-retry-TASK_ABORTED: scsi_error: TASK ABORTED
  status handling improvement.
- patches.fixes/scsi-retry-transport-error: scsi_error regression:
  Fix idempotent command handling.
* Fri Nov 14 2008 hare@suse.de
- patches.fixes/scsi-eh-timed-out-missing-braces: scsi_error:
  fix indentation and braces disagreement - add braces.
- patches.fixes/scsi-retry-TASK_ABORTED: scsi_error: TASK ABORTED
  status handling improvement.
- patches.fixes/scsi-retry-transport-error: scsi_error regression:
  Fix idempotent command handling.
* Fri Nov 14 2008 bwalle@suse.de
- patches.fixes/hpwdt-execute-page.diff:
  [WATCHDOG] [hpwdt] Set the mapped BIOS address space as
  executable (bnc#430680).
* Fri Nov 14 2008 tiwai@suse.de
- patches.arch/x86-vmware-tsc-01-add-TSC_RELIABLE,
  patches.arch/x86-vmware-tsc-02-add-X86_FEATURE_HYPERVISOR,
  patches.arch/x86-vmware-tsc-03-detect-from-hypervisor,
  patches.arch/x86-vmware-tsc-04-use-TSC_RELIABLE,
  patches.arch/x86-vmware-tsc-05-skip-tsc-clocksource,
  patches.arch/x86-vmware-tsc-06-fix-vmware_get_tsc,
  patches.arch/x86-vmware-tsc-07-DMI-product-serial-key,
  patches.xen/xen-x86-vmware-tsc-fix:
    VMware tsc clocksource workaround (bnc#441338).
* Fri Nov 14 2008 tiwai@suse.de
- Fixed a typo in definition of X86_FEATURE_XTOPOLOGY (bnc#443293)
  in patches.arch/x2APIC_PATCH_40_of_41_bbb65d2d365efe9951290e61678dcf81ec60add4
* Fri Nov 14 2008 agruen@suse.de
- Update CONFIG_X86_RESERVE_LOW_64K in config/x86_64/maxcpus as
  well.
- patches.suse/bug-425240_nr_cpus-mem_cgroup_stat-fix.diff:
  rename to patches.suse/mem_cgroup_stat-dynamic-alloc, and update
  to newer version.
* Fri Nov 14 2008 bwalle@suse.de
- patches.fixes/kdump-x86-sparsemem.diff: x86, kdump: fix invalid
  access on i386 sparsemem (bnc#440525).
- patches.xen/linux-2.6.19-rc1-kexec-move_segment_code-i386.patch:
  Refresh.
* Fri Nov 14 2008 gregkh@suse.de
- patches.kernel.org/iwlagn-avoid-sleep-in-softirq-context.patch:
  iwlagn: avoid sleep in softirq context (bnc#444382).
* Fri Nov 14 2008 philips@suse.de
- patches.fixes/cdc-acm.c-fix-recursive-lock-in-acm_start_wb-error-path.patch:
  cdc-acm.c: fix recursive lock in acm_start_wb error path.
* Thu Nov 13 2008 gregkh@suse.de
- enable CONFIG_X86_RESERVE_LOW_64K for i386 and x86-64 vanilla
  configs.
* Thu Nov 13 2008 gregkh@suse.de
- enable CONFIG_X86_RESERVE_LOW_64K on i386 and x86-64 to fix some
  suspend/resume issues (option added in 2.6.27.6)
* Thu Nov 13 2008 gregkh@suse.de
- refresh patches so that everything applies cleanly.
* Thu Nov 13 2008 gregkh@suse.de
- Update to 2.6.27.6:
  - fixes some security issues
  - lots of bugfixes
  - obsoletes:
  - patches.arch/acpi-dock-avoid-check-_STA-method.patch:
  - patches.arch/ppc-gigantic-page-fix2.patch:
  - patches.arch/ppc-gigantic-page-fix3.patch:
  - patches.drivers/alsa-hda-dell-eq-option:
  - patches.drivers/cciss-fix-procfs-firmware-regression.patch:
  - patches.drivers/cciss-fix-sysfs-symlink.patch:
  - patches.drivers/libata-fix-last_reset-timestamp-handling:
  - patches.kernel.org/md-raid10-recovoery-fix.path:
* Thu Nov 13 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in: package modules.order (bnc#441384)
* Thu Nov 13 2008 agruen@suse.de
- config.conf: Add x86_64/maxcpus as the 4096-cpu configuration
  and switch back to at most 128 cpus in the other configs. This
  avoids wasting memory on all but the most extreme x86_64
  systems.
- rpm/kernel-binary.spec.in: define a kernel-$flavor symbol to
  allow per-flavor patches. (Use this for testing only!)
- patches.suse/bug-425240_nr_cpus-mem_cgroup_stat-fix.diff: Add
  this patch conditionally for x86_64/maxcpus for now pending
  test results from bnc#425240.
* Thu Nov 13 2008 tiwai@suse.de
- patches.drivers/alsa-hda-beep-dig-switch: ALSA: hda - Add
  digital beep playback switch for STAC/IDT codecs (#444572).
- patches.drivers/alsa-hda-beep-null-check-fix: ALSA: hda -
  Missing NULL check in hda_beep.c.
* Thu Nov 13 2008 hare@suse.de
- patches.fixes/scsi-skip-nonscsi-device-for-dma: fix to
  make it work with iSCSI (bnc#444234)
* Thu Nov 13 2008 olh@suse.de
- mark some powerpc device drivers as supported to move them out of
  kernel-extra, otherwise installation-images will not pick them up
- ps3vram, mtd, mtdblock, mtd_blkdevs (bnc#444220)
- PowerMac, Efika and Pegasos2 storage and network drivers
* Wed Nov 12 2008 bwalle@suse.de
- patches.fixes/firmware-memmap-64bit.diff: Always use 64 bit
  addresses for the firmware memory map.
* Wed Nov 12 2008 tiwai@suse.de
- patches.drivers/alsa-powermac-ibook-g4-mic-fix: ALSA: powermac -
  Rename mic-analog loopback mixer element (bnc#444194).
* Wed Nov 12 2008 tiwai@suse.de
- patches.drivers/alsa-hda-stac-hp-detect-fix: ALSA: hda -
  Fix IDT/STAC multiple HP detection (bnc#443267).
* Wed Nov 12 2008 agruen@suse.de
- patches.suse/module-ref-dynamic-alloc: fall back to vmalloc if
  kmalloc fails (bnc#425240).
* Wed Nov 12 2008 tiwai@suse.de
- patches.drivers/alsa-hda-stac9200-missing-mux-capture: ALSA:
  hda - Add missing analog-mux mixer creation for STAC9200
  (bnc#443738).
- patches.drivers/alsa-hda-stac92xx-mic-pin-fix: ALSA: hda -
  Fix input pin initialization for STAC/IDT codecs (bnc#443738).
* Wed Nov 12 2008 philips@suse.de
- rpm/kernel-binary.spec.in: remove Recommends: kerneloops, opt-in will
  be implemented in the 11.2 installer
* Tue Nov 11 2008 jeffm@suse.de
- patches.fixes/reiserfs-error-buffer-locking: reiserfs: add
  locking around error buffer.
- patches.fixes/reiserfs-varargs-fix: reiserfs: prepare_error_buf
  wrongly consumes va_arg.
* Tue Nov 11 2008 tiwai@suse.de
- patches.suse/module-ref-dynamic-alloc: Allocate module.ref
  array dynamically (bnc#425240).
- Update config files: back to NR_CPUS=4096
* Tue Nov 11 2008 jblunck@suse.de
- Update config files: Set NR_CPUS on x86_64 back to 128 again for
  now: with NR_CPUS=4096, the size of eack .ko file increases by
  496 KiB because of the static struct module in
  .gnu.linkonce.this_module.
* Tue Nov 11 2008 schwab@suse.de
- patches.arch/ppc-select: Fix wrong error code from ppc32 select.
* Tue Nov 11 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in: also encode the architecture into the
  packageand supplements.
* Tue Nov 11 2008 teheo@suse.de
- patches.drivers/libata-fix-ata_tf_read_block-overflow: libata:
  Avoid overflow in ata_tf_read_block() when tf->hba_lbal > 127
  (bnc#443661).
- patches.drivers/libata-fix-ata_tf_to_lba48-overflow: libata:
  Avoid overflow in ata_tf_to_lba48() when tf->hba_lbal > 127
  (bnc#443661).
* Tue Nov 11 2008 teheo@suse.de
- patches.drivers/libata-pata_sch-slave-poss: pata_sch: slave
  devices (bnc#443657).
* Mon Nov 10 2008 schwab@suse.de
- config/ppc/ppc64: Disable 64k pages to work around X server bug.
* Mon Nov 10 2008 olh@suse.de
- rpm/kernel-binary.spec.in: fix variable assignment in last change
* Mon Nov 10 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in: encode the architecture into
  subpackage dependencies (bnc#440961)
* Mon Nov 10 2008 olh@suse.de
- handle arch differences for cpu and kbuild correctly
* Mon Nov 10 2008 schwab@suse.de
- patches.arch/ia64-page-migration. patches.arch/mm-avoid-bad-page-on-lru:
  migrade pages off of pages with correctable errors.
* Mon Nov 10 2008 mmarek@suse.cz
- scripts/tar-up.sh: do not generate kernel-source-rt.spec and
  kernel-syms-rt.spec if RT is not enabled.
* Mon Nov 10 2008 sdietrich@suse.de
- config.conf: Suppress RT configurations.
* Sun Nov  9 2008 jeffm@suse.de
- config.conf: Removed previous workaround.
- rpm/kernel-binary.spec.in: Remove @FLAVOR@ from %%symbols.
* Sat Nov  8 2008 jeffm@suse.de
- config.conf: Workaround for kernel-ppc64 on head-ppc.
* Sat Nov  8 2008 gregkh@suse.de
- Update to the "real" 2.6.27.5.  No code changes from what we had
  in our tree previously, with the exception for the version number
  change.
* Fri Nov  7 2008 bwalle@suse.de
- patches.fixes/kdb-read-CR.diff:
  Support '\n' in KDB (bnc#442808).
* Fri Nov  7 2008 gregkh@suse.de
- disable perfmon support in the -trace kernels as it doesn't build
  properly.
* Fri Nov  7 2008 schwab@suse.de
- patches.arch/compat-sys-swapcontext: Fix msr check in sys_swapcontext.
* Fri Nov  7 2008 hare@suse.de
- patches.drivers/ixgbe-add-bcna-support: DCB: Add BCNA support
  to ixgbe.
- patches.drivers/open-fcoe-beta3-update: Open-FCoE update for
  Beta3 (bnc#438954).
- patches.drivers/open-fcoe-beta4-update: Open-FCoE: Update for
  Beta4 (bnc#438954).
- patches.drivers/open-fcoe-beta5-update: Open-FCoE: Update for
  Beta5 (bnc#438954).
- patches.fixes/dcb-fix-setpfcstate: Fix setpfcstate (bnc#438954).
- patches.fixes/dcb-setting-pg-will-cause-tx-hang: DCB: setting
  pg will cause tx unit hangs (bnc#438954).
- patches.fixes/multiq-requeue-should-rewind-current_band:
  multiq: requeue should rewind the current_band (bnc#438954).
- patches.fixes/scsi-dh-rdac-retry-mode-select: Retry mode select
  in RDAC device handler (bnc#441337).
- patches.fixes/scsi-dh-rdac-set-default-ownership: scsi_dh_rdac:
  make sure the ownership is set correctly (bnc#441337).
- patches.fixes/scsi-skip-nonscsi-device-for-dma: Update patch
  to check for ->bus instead of ->type (bnc#431294).
* Fri Nov  7 2008 tiwai@suse.de
- patches.drivers/alsa-hda-dell-studio-probe-fix: ALSA: hda -
  Fix probe errors on Dell Studio Desktop (bnc#440907).
- patches.drivers/alsa-hda-hp-3013-master-fix: ALSA: hda -
  Fix ALC260 hp3013 master switch (bnc#441068).
* Fri Nov  7 2008 jjolly@suse.de
- patches.arch/s390-03-07-qeth_hsi_mcl_string.patch:
  qeth: pre z9 systems return HiperSocket version string
  different. (bnc#440610,LTC#49052).
- patches.arch/s390-03-08-zfcp-abort-race.patch: zfcp: eliminate
  race between validation and locking. (bnc#440610).
- patches.arch/s390-03-09-zfcp-oops-during-target-scan.patch:
  zfcp: prevent SCSI target scan for vanished rport
  (bnc#440610,LTC#49373).
* Fri Nov  7 2008 olh@suse.de
- Update config files for RT
* Fri Nov  7 2008 olh@suse.de
- build a kernel-default in dist ppc64, its identical to kernel-ppc64
  otherwise unused
* Fri Nov  7 2008 olh@suse.de
- rpm/kernel-source.spec.in: map ppc/ppc64 to powerpc
* Fri Nov  7 2008 kkeil@suse.de
- patches.drivers/igb-pf.patch: VF enabled igb driver (fate#305004)
* Fri Nov  7 2008 olh@suse.de
- stop building kernel-default and kernel-ps3 in dist ppc64,
  they are openSuSE only packages
* Fri Nov  7 2008 olh@suse.de
- rpm/kernel-binary.spec.in: extracting debuginfo from vdso fails
  on powerpc, disable vdso_install for the time being
* Fri Nov  7 2008 jbeulich@novell.com
- patches.xen/xen3-intel-ibex-peak-device-ids.patch: x86/PCI: irq
  and pci_ids patch for Intel Ibex Peak DeviceIDs (bnc#415383).
* Fri Nov  7 2008 olh@suse.de
- rpm/post.sh: reject legacy iSeries again
* Fri Nov  7 2008 olh@suse.de
- build a 32bit and a 64bit vanilla kernel on powerpc
* Fri Nov  7 2008 olh@suse.de
- rpm/kernel-binary.spec.in: no vdso in vanilla and ps3 kernel
* Fri Nov  7 2008 gregkh@suse.de
- patches.kernel.org/net-fix-recursive-descent-in-__scm_destroy.patch:
  net: Fix recursive descent in __scm_destroy()..
* Fri Nov  7 2008 olh@suse.de
- remove patches.arch/ppc64-rpanote-relocate-firmware.patch
  older firmware versions can handle relocation properly (bnc#427960)
* Fri Nov  7 2008 jjolly@suse.de
- patches.drivers/cxgb3-get_drvinfo-deadlock.patch: RDMA/cxgb3:
  deadlock in iw_cxgb3 can cause hang when configuring
  interface. (bnc#430998).
* Fri Nov  7 2008 gregkh@suse.de
- patches.suse/perfmon2.patch: perfmon2 (bnc#430298).
* Fri Nov  7 2008 nfbrown@suse.de
- patches.fixes/nfs-write.c-bug-removal.patch: Revert "NFS:
  Allow redirtying of a completed unstable write." (442267).
  It causes a BUG().
* Fri Nov  7 2008 nfbrown@suse.de
- patches.kernel.org/md-raid10-recovoery-fix.path: md: fix bug
  in raid10 recovery..
- patches.suse/md-notify-when-stopped: md: notify udev when an
  md array is stopped..:  Removed much of this patch as it turned out
  to be both buggy and unnecessary (the ioctl can be done from
  mdadm).
* Thu Nov  6 2008 kkeil@suse.de
- patches.drivers/ixgbe-sfp.patch: ixgbe driver update to add
  Longcove (SFP+) NIC support for FCoE needs (bnc#442411)
* Thu Nov  6 2008 gregkh@suse.de
- enable CONFIG_X86_SUMMIT, CONFIG_X86_ES7000, and CONFIG_X86_BIGSMP
  for the i386 default kernel, so that the installer can actually
  boot on "modern" multiprocessor i386 boxes (bnc#428247)
* Thu Nov  6 2008 jblunck@suse.de
- rpm/kernel-binary.spec.in: Call make vdso_install only on x86 and ppc.
* Thu Nov  6 2008 jblunck@suse.de
- rpm/kernel-binary.spec.in: Call make vdso_install to install the
  vdso shared objects for debugging.
* Thu Nov  6 2008 jjolly@suse.de
- patches.drivers/intel-ibex-peak-device-ids.patch: x86/PCI: irq
  and pci_ids patch for Intel Ibex Peak DeviceIDs (bnc#415383).
- patches.drivers/intel-ibex-peak-device-support.patch: i2c-i801:
  Add support for Intel Ibex Peak (bnc#415383).
* Thu Nov  6 2008 jjolly@suse.de
- patches.arch/s390-03-01-stp-init.patch: Fixed patch for build
- patches.arch/s390-03-04-qdio_multicast_performance.patch: dasd:
  fix  message flood for unsolicited interrupts (bnc#440610).
- patches.arch/s390-03-05-dasd-block-uevent.patch: dasd: DASD
  uevents are not sent correctly (bnc#440610,LTC#49429).
- patches.arch/s390-03-06-zfcp-hexdump.patch: zfcp: fix hexdump
  data in s390dbf traces (bnc#440610).
* Thu Nov  6 2008 jjolly@suse.de
- patches.arch/s390-03-01-stp-init.patch: kernel: Fix
  initialization of stp. (bnc#440610,LTC#49639).
- patches.arch/s390-03-02-setup_memory.patch: kernel: Fix range
  for add_active_range() in setup_memory() (bnc#440610,LTC#49639).
- patches.arch/s390-03-03-dasd_unsolicited_interrupt.patch:
  dasd: fix  message flood for unsolicited interrupts
  (bnc#440610,LTC#49639).
* Thu Nov  6 2008 jjolly@suse.de
- patches.arch/s390-02-10-zfcp-scan-online.patch: wait for port
  scan when setting FCP device online (bnc#434333).
* Thu Nov  6 2008 jbeulich@novell.com
- Update Xen patches to 2.6.27.4 and c/s 718.
- Update Xen config files.
- patches.arch/x86_sgi_cpus4096-05-update-send_IPI_mask.patch: Include
  pv-ops-Xen changes here
- patches.xen/x86_sgi_xen-x86-cpus4096.patch: Delete.
- patches.xen/xen-configurable-guest-devices: allow number of
  guest devices to be configurable.
- patches.xen/xen-cpufreq-report: make /proc/cpuinfo track
  CPU speed.
- patches.xen/xen-ipi-per-cpu-irq: fold IPIs onto a single
  IRQ each.
- patches.xen/xen-rtl2860-build: Rename to ...
- patches.xen/xen-rt2860-build: ... this.
- patches.xen/xen-sysdev-suspend: use base kernel suspend/resume
  infrastructure.
- patches.xen/xen-virq-per-cpu-irq: fold per-CPU VIRQs onto a
  single IRQ each.
- patches.xen/xen-x86-mmu-batching: Delete.
- patches.xen/xen3-patch-2.6.27.3-4: Linux 2.6.27.4.
- patches.xen/xen3-x2APIC_PATCH_20_of_41_cff73a6ffaed726780b001937d2a42efde553922:
  x64, x2apic/intr-remap: introcude self IPI to genapic routines
  (fate #303948 and fate #303984).
- patches.xen/xen3-x86_sgi_cpus4096-02-fix-send_call_func_ip.patch:
  x86: reduce stack requirements for send_call_func_ipi
  (bnc#425240 FATE304266).
- patches.xen/xen3-x86_sgi_cpus4096-05-update-send_IPI_mask.patch:
  x86 cpumask: Updates to support NR_CPUS=4096 (bnc#425240
  FATE304266).
* Thu Nov  6 2008 sassmann@suse.de
- patches.arch/ppc-ps3-introduce-ps3_gpu_mutex.patch: required for
  new ps3vram patch
- patches.arch/ppc-ps3-ps3vram-mtd.patch: updated ps3vram patch
  that works with firmware 2.50 (bnc#442227)
* Thu Nov  6 2008 olh@suse.de
- remove unneeded BuildRequires for dtc
* Thu Nov  6 2008 jjolly@suse.de
- patches.arch/s390-01-01-self-ptrace-v3.patch: Feature removed
  (bnc#417299)
* Thu Nov  6 2008 gregkh@suse.de
- patches.suse/file-capabilities-add-no_file_caps-switch.patch:
  file capabilities: add no_file_caps switch (v4).
  add the patch back into the tree.
* Wed Nov  5 2008 jblunck@suse.de
- patches.suse/coredump_filter-add-elfhdr-default.patch: Dump
  elf headers to core per default.
* Wed Nov  5 2008 teheo@suse.de
  Fix !CONFIG_DMI case.
- patches.drivers/dmi-introduce-dmi_first_match: DMI:
  Introduce dmi_first_match to make the interface more flexible
  (bnc#441721).
* Wed Nov  5 2008 hare@suse.de
- patches.fixes/scsi-skip-nonscsi-device-for-dma: update patch
  to skip all devices with no dma_parms (bnc#431294)
* Wed Nov  5 2008 agruen@suse.de
- rpm/kernel-module-subpackage: Remove the obsolete kernel-$flavor
  dependency (bnc#440961).
* Wed Nov  5 2008 jjolly@suse.de
- patches.arch/s390-01-05-kmsg-v2.patch: Removed and replaced with
  v3 of the patch from IBM (bnc#417300)
- patches.arch/s390-01-05-kmsg-v3.patch: Kernel message catalog
  infrastucture and message generation (bnc#417300).
- patches.drivers/driver-core-basic-infrastructure-for-per-module-dynamic-debug-messages.patch:
  Patch edited to allow new kmsg patch
* Wed Nov  5 2008 agruen@suse.de
- Update config files: set CONFIG_MODULE_FORCE_LOAD=y to allow
  ignoring ABI mismatches. (This is still unsafe to do!)
* Wed Nov  5 2008 tiwai@suse.de
  Backport fixes from 2.6.28-rc.
- patches.drivers/alsa-hda-acer-quirk: ALSA: hda - Add a quirk
  for another Acer Aspire (1025:0090) (bnc#426935).
- patches.drivers/alsa-hda-alc888-medion-add: ALSA: hda - Add
  a quirk for MEDION MD96630 (bnc#412548).
- patches.drivers/alsa-hda-dell-eq-option: ALSA: hda: make a
  STAC_DELL_EQ option.
- patches.drivers/alsa-hda-proc-gpio-fix: ALSA: hda - Limit the
  number of GPIOs show in proc.
* Wed Nov  5 2008 gregkh@suse.de
- refresh -rt patches to remove fuzz.
* Wed Nov  5 2008 teheo@suse.de
  Backport two more device specific workarounds from 2.6.28-rc.
- patches.drivers/libata-add-and-use-HORKAGE_ATAPI_MOD16_DMA:
  libata: implement ATA_HORKAGE_ATAPI_MOD16_DMA and apply it.
- patches.drivers/libata-whitelist-good-bridges: libata: add
  whitelist for devices with known good pata-sata bridges.
* Wed Nov  5 2008 gregkh@suse.de
- refresh patches to remove fuzz
* Wed Nov  5 2008 teheo@suse.de
  Backport double spin off workaround.
- patches.drivers/dmi-introduce-dmi_first_match: DMI:
  Introduce dmi_first_match to make the interface more flexible
  (bnc#441721).
- patches.drivers/libata-ahci-blacklist-double-spin-off: SATA
  AHCI: Blacklist system that spins off disks during ACPI power
  off (bnc#441721).
- patches.drivers/libata-ata_piix-blacklist-double-spin-off:
  SATA PIIX: Blacklist system that spins off disks during ACPI
  power off (bnc#441721).
- patches.drivers/libata-implement-NO_SPINDOWN: SATA: Blacklisting
  of systems that spin off disks during ACPI power off (rev. 2)
  (bnc#441721).
- patches.drivers/libata-sata_sil-blacklist-double-spin-off:
  SATA Sil: Blacklist system that spins off disks during ACPI
  power off (bnc#441721).
- patches.drivers/power-introduce-system_entering_hibernation:
  Hibernation: Introduce system_entering_hibernation (bnc#441721).
* Wed Nov  5 2008 gregkh@suse.de
- fix rt tree that was broken by 2.6.27.5-rc1
* Wed Nov  5 2008 olh@suse.de
- update patches.arch/ppc-powerpc-debug-pci-hotplug.patch
  fix booting on ppc32 (bnc#439491 - LTC48584)
* Wed Nov  5 2008 teheo@suse.de
  Backport sata_via fixes from 2.6.28-rc.
- patches.drivers/libata-sata_via-fix-support-for-5287: sata_via:
  fix support for 5287 (bnc#441718).
- patches.drivers/libata-sata_via-load-DEVICE-register-when-CTL-changes:
  sata_via: load DEVICE register when CTL changes (bnc#441718).
- patches.drivers/libata-sata_via-restore-vt-_prepare_host-error-handling:
  sata_via: restore vt*_prepare_host error handling (bnc#441718).
* Wed Nov  5 2008 teheo@suse.de
  Backport laptop table and pci device ID table entries from 2.6.28-rc.
- patches.drivers/libata-ata_piix-add-Hercules-EC-900-mini-to-laptop-tbl:
  ata_piix: add Hercules EC-900 mini-notebook to ich_laptop
  short cable list.
- patches.drivers/libata-ata_piix-add-intel-ibex-pci-ids:
  ata_piix: IDE Mode SATA patch for Intel Ibex Peak DeviceIDs.
* Wed Nov  5 2008 teheo@suse.de
  Backport slave_link from 2.6.28-rc to fix ata_piix probing problem.
- patches.drivers/libata-ata_piix-use-slave_link: ata_piix:
  drop merged SCR access and use slave_link instead (bnc#441420).
- patches.drivers/libata-eh-fix-slave-link-EH-action-mask-handling:
  libata-eh: fix slave link EH action mask handling (bnc#441420).
- patches.drivers/libata-implement-slave_link: libata: implement
  slave_link (bnc#441420).
- patches.drivers/libata-make-SCR-access-ops-per-link: libata:
  make SCR access ops per-link (bnc#441420).
- patches.drivers/libata-misc-updates-to-prepare-for-slave-link:
  libata: misc updates to prepare for slave link (bnc#441420).
- patches.drivers/libata-reimplement-link-iterator: libata:
  reimplement link iterator (bnc#441420).
- patches.drivers/libata-set-device-class-to-NONE-if-phys_offline:
  libata: set device class to NONE if phys_offline (bnc#441420).
- patches.drivers/libata-transfer-EHI-control-flags-to-slave-ehc.i:
  libata: transfer EHI control flags to slave ehc.i (bnc#441420).
* Wed Nov  5 2008 gregkh@suse.de
- Update to 2.6.27.5-rc1:
  - fixes lots of things, including a few CVE entries
  - obsoletes, and caused to be deleted:
  - patches.arch/ppc-pseries_16g-numa.patch
  - patches.arch/ppc-pseries_hugepage_pagetable_allocation.patch
  - patches.arch/ppc-pseries_mem-limit-16g.patch
  - patches.arch/s390-02-02-smp-sysdev.patch
  - patches.drivers/alsa-hda-reboot-notifier
  - patches.drivers/libata-sata_nv-hardreset-fix
  - patches.fixes/acpi-clear-wake-status.patch
  - patches.fixes/agp-fix-stolen-memory-counting-on-g4x.patch
  - patches.suse/file-capabilities-add-no_file_caps-switch.diff
  - patches.suse/file-capabilities-turn-on-by-default.diff
- Update config files.
* Wed Nov  5 2008 kkeil@suse.de
- patches.drivers/bnx2-Add-bnx2_shutdown_chip: bnx2: Add
  bnx2_shutdown_chip()
- patches.drivers/bnx2-check-running.patch: Check netif_running
  in most ethtool operations    (bnc#440052)
* Wed Nov  5 2008 kkeil@suse.de
- patches.drivers/ixgbe-copper_pond.patch: ixgbe: add device
  support for 82598AT (copper 10GbE) adapters (bnc#441471)
* Tue Nov  4 2008 tonyj@suse.de
- patches.rt/fork_init_nrcpus.patch: Fix oops in fork_init.
* Tue Nov  4 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in: fix typo
* Tue Nov  4 2008 rw@suse.de
- patches.drivers/bnx2x-zero-PMF:
  bnx2x: Removing the PMF indication when unloading.  (bnc#439679)
* Tue Nov  4 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in: make also -base and -extra x86
  subpackages not installable on x86_64
* Tue Nov  4 2008 jjolly@suse.de
- patches.arch/s390-01-04-fcpperf-3-v2.patch: (kernel):FCP -
  Performance Data colletion & analysis patch update (bnc#417243).
- patches.arch/s390-01-04-fcpperf-3.patch: Removed for update
* Tue Nov  4 2008 miklos@szeredi.hu
- patches.apparmor/d_namespace_path_oops_fix.diff: fix oops in
  d_namespace_path (bnc#433504).
* Tue Nov  4 2008 hare@suse.de
- patches.fixes/scsi-skip-nonscsi-device-for-dma: scsi_lib_dma.c :
  fix bug w/ dma on virtual fc ports (bnc#431294).
* Tue Nov  4 2008 sdietrich@suse.de
- Update RT config files: Enable CONFIG_NO_HZ on i386/rt_debug.
  - Refresh config files.
* Tue Nov  4 2008 teheo@suse.de
- patches.drivers/libata-fix-last_reset-timestamp-handling:
  libata: fix last_reset timestamp handling (bnc#441340).
* Tue Nov  4 2008 hare@suse.de
- patches.drivers/qla2xxx-8.02.01-k9-update: Update qla2xxx to
  8.02.01-k9 (bnc#439208).
* Tue Nov  4 2008 gregkh@suse.de
- refresh patches to apply cleanly.
* Mon Nov  3 2008 jeffm@suse.de
- patches.suse/dm-raid45_2.6.27_20081027.patch: Compile fix.
* Mon Nov  3 2008 tiwai@suse.de
- patches.drivers/alsa-emu10k1-audigy-fixes: ALSA: emu10k1 -
  Add more invert_shared_spdif flag to Audigy models (bnc#440862).
- patches.drivers/alsa-hda-alc269-fsc-amilo: ALSA: hda - Add
  ALC269 fujitsu model (bnc#440626).
* Mon Nov  3 2008 jeffm@suse.de
- patches.suse/dm-raid45_2.6.27_20081027.patch: Update dmraid45.
* Mon Nov  3 2008 knikanth@suse.de
- patches.suse/dm-barrier-single-device: Fix dm table
  ref count (FATE#304489).
* Mon Nov  3 2008 teheo@suse.de
  BNC reference added.
- patches.drivers/libata-dont-restore-DET-on-detach: libata:
  mask off DET when restoring SControl for detach (bnc#440980).
* Mon Nov  3 2008 teheo@suse.de
- patches.drivers/libata-dont-restore-DET-on-detach: libata:
  mask off DET when restoring SControl for detach.
* Mon Nov  3 2008 olh@suse.de
- add patches.arch/ppc-clock_gettime-nanoseconds.patch
  update also nanoseconds (bnc#439908 - LTC49499)
* Mon Nov  3 2008 teheo@suse.de
- scripts/vc: s/GIT_COMMITER_EMAIL/GIT_COMMITTER_EMAIL and add
  SUSE_COMMITTER_EMAIL.
* Mon Nov  3 2008 teheo@suse.de
  BNC reference added.
- patches.drivers/libata-sata_nv-hardreset-fix: sata_nv: fix
  generic, nf2/3 detection regression (bnc#429344).
* Mon Nov  3 2008 teheo@suse.de
- patches.drivers/libata-sata_nv-hardreset-fix: sata_nv: fix
  generic, nf2/3 detection regression.
* Sun Nov  2 2008 sdietrich@suse.de
- Update RT config files: enable more lock debugging,
  latency features, make x86_64 and i386 consistent.
* Sun Nov  2 2008 sdietrich@suse.de
- patches.rt/kprobes_make_pointer_decl_consistent.patch: Make
  kprobe locking consistent with lock-type declarations
* Sun Nov  2 2008 sdietrich@suse.de
- patches.rt/mem_cgroup_charge_statistics-smp_processor_id.patch:
  Use raw_smp_processor_id in __mem_cgroup_stat_add_safe.
* Sun Nov  2 2008 sdietrich@suse.de
- patches.rt/mem_cgroup_charge_statistics-smp_processor_id.patch:
* Sun Nov  2 2008 sdietrich@suse.de
- patches.rt/workqueue-introduce-create_rt_workqueue.patch:
  workqueue: introduce create_rt_workqueue. (from 2.6.28)
  Refresh to eliminate fuzz:
  - patches.rt/preempt-realtime-core.patch: Linux-RT 2.6.27-RT.
* Sun Nov  2 2008 sdietrich@suse.de
- Update RT config files:
  - Sync with SLES 11 default/debug configs
  - Limit CPUS to 32
  - Disable CONFIG_RADIX_TREE_CONCURRENT
  - Disable CONFIG_RADIX_TREE_OPTIMISTIC
  - Disable CONFIG_PREEMPT_RCU_BOOST
  - Enable CONFIG_RTMUTEX_CHECK
- Adapt RT patches to changes made by:
  x86_sgi_cpus4096-05-update-send_IPI_mask.patch
  - patches.rt/mitigate-resched-flood-update.patch: Update
    smp_send_reschedule_allbutself_cpumask mask parameter.
  - patches.rt/x86-nmi-send_IPI_mask-pointer-fix.patch: Update
    smp_send_nmi_allbutself  mask parameter.
  Resolve conflicts introduced by:
  x86_sgi_cpus4096-05-update-send_IPI_mask.patch
  - patches.rt/nmi-profiling-base.patch
  - patches.rt/send-nmi-all-preempt-disable.patch
  Refresh to eliminate fuzz
- patches.rt/apic-dumpstack.patch: Linux-RT 2.6.27-RT.
- patches.rt/mitigate-resched-flood.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-x86_64.patch: Linux-RT 2.6.27-RT.
* Sat Nov  1 2008 bwalle@suse.de
- patches.fixes/kdb-fix-stack-overflow.patch:
  kdb: fix stack overflow for large NR_CPUS count (bnc#440361).
* Fri Oct 31 2008 trenn@suse.de
  Fate 304268 and 304266. SGI scir driver (replaces the more intrusive
  leds one) and the rather intrusive x86_64 4096 CPU support patches:
- Update config files.
- patches.arch/x86_uv_early_detect.patch: Delete hacks that were
  necessary while waiting for x2apic code. (bnc#429984).
- patches.arch/x86_sgi-uv-scir.patch: SGI X86 UV: Provide a
  System Activity Indicator driver (FATE304268 bnc#426066).
- patches.arch/x86_sgi_cpus4096-01-fix-smp_call_function.patch:
  smp: reduce stack requirements for smp_call_function_mask
  (bnc#425240 FATE304266).
- patches.arch/x86_sgi_cpus4096-02-fix-send_call_func_ip.patch:
  x86: reduce stack requirements for send_call_func_ipi
  (bnc#425240 FATE304266).
- patches.arch/x86_sgi_cpus4096-05-update-send_IPI_mask.patch:
  x86 cpumask: Updates to support NR_CPUS=4096 (bnc#425240
  FATE304266).
- patches.arch/x86_sgi_cpus4096-06-optimize-cpumask-in-sched_c.patch:
  Additional cpumask fixups (bnc#425240 FATE304266).
- patches.arch/x86_sgi_cpus4096-04-add-for_each_cpu_mask_and.patch:
  Add for_each_cpu_mask_and (bnc#425240 FATE304266).
- patches.arch/x86_sgi_cpus4096-07_pae_compile_fixups.patch:
  more cpumask cleanups for previous (x86_sgi_cpu4096..) patches
  (Additional cpumask fixups).
- patches.suse/kdb-x86: kdb-v4.4-2.6.27-rc8-x86-1 (FATE#303971).
- patches.xen/xen3-patch-2.6.27: Linux: Update to 2.6.27.
- patches.xen/x86_sgi_xen-x86-cpus4096.patch: x86 cpumask xen:
  Updates to support NR_CPUS=4096 (Additional cpumask fixups).
* Fri Oct 31 2008 tiwai@suse.de
- patches.drivers/alsa-hda-realtek-alc269-dmic: ALSA: hda -
  Add digital-mic for ALC269 auto-probe mode (bnc#440626).
- patches.drivers/alsa-hda-realtek-mic-automute-fix: ALSA: hda -
  Disable broken mic auto-muting in Realtek codes (bnc#440626).
* Fri Oct 31 2008 hare@suse.de
- Update config files.
- patches.drivers/cxgb3i: add cxgb3i iscsi driver
  (FATE#304154,bnc#433500).
- patches.drivers/cxgb3-private-iscsi-ip-addresses: cxgb3 -
  manage private iSCSI IP addresses (FATE#304154,bnc#433500).
- patches.drivers/open-iscsi-offloading-support: support for iscsi
  pdu digest offload and payload DDP. (FATE#304154,bnc#433500).
- patches.fixes/cxgb3-remove-duplicate-tests-in-lro: cxgb3 -
  remove duplicate tests in lro (FATE#304154, bnc#430538).
- supported.conf: Mark cxgb3i as supported.
* Fri Oct 31 2008 bwalle@suse.de
- patches.suse/kdb-resolve-uv-conflict.diff:
  Resolve KDB conflicts with UV (bnc#440376).
* Fri Oct 31 2008 tiwai@suse.de
- patches.drivers/alsa-hda-sigmatel-spdif-fix: ALSA: hda -
  Fix SPDIF mute on IDT/STAC codecs.
- patches.drivers/alsa-hda-reboot-notifier: ALSA: hda - Add
  reboot notifier.
* Fri Oct 31 2008 jack@suse.cz
- patches.suse/ocfs2-Fix-mount-cleanup-after-quota-failure.patch:
  ocfs2: Fix mount cleanup after quota failure (fate#302681).
- patches.suse/ocfs2-Fix-oop-in-recovery-without-quotas:
  ocfs2: Fix recovery of nodes when quota feature is disabled
  (fate#302681).
- patches.suse/ocfs2-Fix-grace-time-syncing.patch: ocfs2: Fix
  grace time syncing (fate#302681).
* Fri Oct 31 2008 teheo@suse.de
- patches.drivers/block-del-timer-after-dequeue: blk: move
  blk_delete_timer call in end_that_request_last (bnc#440076
  bnc#440173).
* Fri Oct 31 2008 trenn@suse.de
- patches.arch/x86_agpgart-g33-stoeln-fix-2.patch: Avoid oops
  on G33 in 1MB stolen Mem case (bnc#391261).
* Thu Oct 30 2008 gregkh@suse.de
- patches.fixes/agp-fix-stolen-memory-counting-on-g4x.patch:
  agp: Fix stolen memory counting on G4X. (bnc#437618).
* Thu Oct 30 2008 oneukum@suse.de
- patches.fixes/sd_liberal_28_sense_invalid.diff: fix medium
  presence misdetection in usb storage device  (bnc#362850).
* Thu Oct 30 2008 olh@suse.de
- add patches.fixes/scsi-ibmvscsi-show-config.patch
  use 4k buffer to transfer config data (439970 - LTC49349)
* Thu Oct 30 2008 teheo@suse.de
- patches.drivers/block-add-timeout-on-dequeue: block: add timer
  on blkdev_dequeue_request() not elv_next_request() (bnc#440076).
* Wed Oct 29 2008 sdietrich@suse.de
  Refresh RT patches:
- patches.rt/adaptive-spinlock-lite-v2.patch: Linux-RT 2.6.27-RT
  adaptive spinlocks lite.
- patches.rt/adaptive-task-oncpu.patch: Linux-RT 2.6.27-RT.
- patches.rt/apic-level-smp-affinity.patch: Linux-RT 2.6.27-RT.
- patches.rt/bh-state-lock.patch: Linux-RT 2.6.27-RT.
- patches.rt/bh-uptodate-lock.patch: Linux-RT 2.6.27-RT.
- patches.rt/bz235099-idle-load-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/check-for-migration-during-push.patch: RT: fix
  push_rt_task() to handle dequeue_pushable properly.
- patches.rt/cond_resched_softirq-WARN-fix.patch: Linux-RT
  2.6.27-RT
  WARNING: at kernel/sched.c:5071 2.6.23-rc1-rt7.
- patches.rt/cputimer-thread-rt_A0.patch: Linux-RT 2.6.27-RT.
- patches.rt/dev-queue-xmit-preempt-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/disable-ist-x86_64.patch: Linux-RT 2.6.27-RT.
- patches.rt/disable-run-softirq-from-hardirq-completely.patch:
  Linux-RT 2.6.27-RT
  Disable running softirqs from hardirqs completely!.
- patches.rt/dont-disable-preemption-without-IST.patch: Linux-RT
  2.6.27-RT.
- patches.rt/dont-unmask-io_apic.patch: Linux-RT 2.6.27-RT.
- patches.rt/drain-all-local-pages-via-sched.patch: Linux-RT
  2.6.27-RT.
- patches.rt/event-trace-hrtimer-trace.patch: Linux-RT 2.6.27-RT
  event-tracer: add clockevent trace.
- patches.rt/event-tracer-syscall-x86_64.patch: Linux-RT
  2.6.27-RT.
- patches.rt/filemap-dont-bug-non-atomic.patch: Linux-RT
  2.6.27-RT.
- patches.rt/fix-bug-on-in-filemap.patch: Linux-RT 2.6.27-RT
  Change bug_on for atomic to pagefault_disabled..
- patches.rt/fix-compilation-for-non-RT-in-timer.patch: Linux-RT
  2.6.27-RT.
- patches.rt/fix-config-debug-rt-mutex-lock-underflow-warnings.patch:
  Linux-RT 2.6.27-RT
  Fix CONFIG_DEBUG_RT_MUTEX lock underflow warnings.
- patches.rt/fix-migrating-softirq.patch: Linux-RT 2.6.27-RT.
- patches.rt/fix-net-bug-fixes.patch: Linux-RT 2.6.27-RT.
- patches.rt/fix-softirq-checks-for-non-rt-preempt-hardirq.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/fix-up-comment.patch: RT: Remove comment that is
  no longer true.
- patches.rt/ftrace-stop-trace-on-crash.patch: Linux-RT 2.6.27-RT
  fix-tracer-wreckage-wtf-is-this-code-all-features.patch.
- patches.rt/futex-fifo-warn-sysctl.patch: Linux-RT 2.6.27-RT.
- patches.rt/genhd-protect-percpu-var.patch: Linux-RT 2.6.27-RT.
- patches.rt/genirq-soft-resend.patch: Linux-RT 2.6.27-RT
  x86: activate HARDIRQS_SW_RESEND.
- patches.rt/gtod-optimize.patch: Linux-RT 2.6.27-RT.
- patches.rt/hack-convert-i_alloc_sem-for-direct_io-craziness.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/handle-pending-in-simple-irq.patch: Linux-RT
  2.6.27-RT
  handle IRQ_PENDING for simple irq handler.
- patches.rt/highmem_rewrite.patch: Linux-RT 2.6.27-RT
  mm: remove kmap_lock.
- patches.rt/hrtimer-no-printk.patch: Linux-RT 2.6.27-RT.
- patches.rt/hrtimers-overrun-api.patch: Linux-RT 2.6.27-RT.
- patches.rt/hrtimers-stuck-in-waitqueue.patch: Linux-RT
  2.6.27-RT.
- patches.rt/ioapic-fix-too-fast-clocks.patch: Linux-RT 2.6.27-RT.
- patches.rt/kdb-rtmisc.patch: Misc KDB fixes for RT (debug
  builds).
- patches.rt/kstat-add-rt-stats.patch: Linux-RT 2.6.27-RT
  add rt stats to /proc/stat.
- patches.rt/kstat-fix-spurious-system-load-spikes-in-proc-loadavgrt.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/loadavg_fixes_weird_loads.patch: Linux-RT 2.6.27-RT.
- patches.rt/lock_page_ref.patch: Linux-RT 2.6.27-RT
  mm: lock_page_ref.
- patches.rt/lockdep-show-held-locks.patch: Linux-RT 2.6.27-RT
  lockdep: show held locks when showing a stackdump.
- patches.rt/mitigate-resched-flood.patch: Linux-RT 2.6.27-RT.
- patches.rt/mm-fix-latency.patch: Linux-RT 2.6.27-RT
  reduce pagetable-freeing latencies.
- patches.rt/multi-reader-account.patch: Linux-RT 2.6.27-RT
  map tasks to reader locks held.
- patches.rt/multi-reader-limit.patch: Linux-RT 2.6.27-RT
  implement reader limit on read write locks.
- patches.rt/multi-reader-lock-account.patch: Linux-RT 2.6.27-RT
  map read/write locks back to their readers.
- patches.rt/multi-reader-pi.patch: Linux-RT 2.6.27-RT
  read lock Priority Inheritance implementation.
- patches.rt/neptune-no-at-keyboard.patch: Linux-RT 2.6.27-RT.
- patches.rt/net-core-preempt-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/new-softirq-code.patch: Linux-RT 2.6.27-RT
  softirq preemption: optimization.
- patches.rt/nmi-profiling-base.patch: Linux-RT 2.6.27-RT
  nmi-driven profiling for /proc/profile.
- patches.rt/numa-slab-freeing.patch: Linux-RT 2.6.27-RT.
- patches.rt/only-run-softirqs-from-irq-thread-when-irq-affinity-is-set.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/pagefault-disable-cleanup.patch: Linux-RT 2.6.27-RT
  clean up the page fault disabling logic.
- patches.rt/panic-dont-stop-box.patch: Linux-RT 2.6.27-RT.
- patches.rt/paravirt-function-pointer-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/partreadd-lttng-instrumentation-irq.patch: readd
  RT compatible version of lttng-instrumentation-irq.
- patches.rt/pause-on-oops-head-tail.patch: Linux-RT 2.6.27-RT
  introduce pause_on_oops_head/tail boot options.
- patches.rt/powerpc-count_active_rt_tasks-is-undefined-for-non-preempt-rt.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/ppc-hacks-to-allow-rt-to-run-kernbench.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-core.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-direct-debug-keyboard.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-irqs-hrtimer.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-i386-ioapic-mask-quirk.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-irqs-i386.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-timer.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-acpi.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-console.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-core.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-debug-sysctl.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-ftrace-disable-ftraced.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-i386.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-ia64.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-init-show-enabled-debugs.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-ipc.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-irqs.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-mm.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-mmdrop-delayed.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-net-drivers.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-net-softirq-fixups.patch: Linux-RT
  2.6.27-RT
  NOHZ: local_softirq_pending with tickless.
- patches.rt/preempt-realtime-net.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-b4.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-update.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-prevent-idle-boosting.patch:
  Linux-RT 2.6.27-RT
  Premmpt-RT: Preevent boosting of idle task.
- patches.rt/preempt-realtime-printk.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-rawlocks.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-sched.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-timer.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-x86_64.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-rt-no-slub.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-softirqs-core.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-trace.patch: Linux-RT 2.6.27-RT.
- patches.rt/print-might-sleep-hack.patch: Linux-RT 2.6.27-RT.
- patches.rt/printk-in-atomic.patch: Linux-RT 2.6.27-RT.
- patches.rt/prof-sysctl-compile.patch: Linux-RT 2.6.27-RT.
- patches.rt/radix-tree-concurrent.patch: Linux-RT 2.6.27-RT
  radix-tree: concurrent write side support.
- patches.rt/radix-tree-optimistic-hist.patch: Linux-RT 2.6.27-RT
  debug: optimistic lock histogram.
- patches.rt/radix-tree-optimistic.patch: Linux-RT 2.6.27-RT
  radix-tree: optimistic locking.
- patches.rt/rcu-preempt-boost-sdr.patch: Linux-RT 2.6.27-RT.
- patches.rt/rcu-preempt-hotplug-hackaround.patch: Linux-RT
  2.6.27-RT.
- patches.rt/realtime-preempt-warn-about-tracing.patch: Linux-RT
  2.6.27-RT.
- patches.rt/revert-preempt-bkl-revert.patch: Linux-RT 2.6.27-RT.
- patches.rt/root-domain-kfree-in-atomic.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rt-kmap-scale-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-move-update-wall-time-back-to-do-timer.patch:
  Linux-RT 2.6.27-RT
  rt: move update_wall_time back to do timer.
- patches.rt/rt-mutex-compat-semaphores.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-i386.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-mips.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-preempt-debugging.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-trivial-route-cast-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rt-mutex-trivial-tcp-preempt-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rt-mutex-x86-64.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-s_files-kill-a-union.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-shorten-softirq-thread-names.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rt_mutex_setprio.patch: Linux-RT 2.6.27-RT
  rt: rename rt_mutex_setprio to task_setprio.
- patches.rt/s_files.patch: Linux-RT 2.6.27-RT
  remove global files_lock.
- patches.rt/sched-add-needs_post_schedule.patch: Linux-RT
  2.6.27-RT.
- patches.rt/sched-enable-irqs-in-preempt-in-notifier-call.patch:
  Linux-RT 2.6.27-RT
  CFS: enable irqs in fire_sched_in_preempt_notifier.
- patches.rt/sched-fix-dequeued-race.patch: Linux-RT 2.6.27-RT
  sched-fix-dequeued-race.patch.
- patches.rt/sched-make-double-lock-balance-fair.patch: Linux-RT
  2.6.27-RT.
- patches.rt/sched-nr-migrate-lower-default-preempt-rt.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/sched-only-push-once-per-queue.patch: Linux-RT
  2.6.27-RT.
- patches.rt/sched-properly-account-irq-and-rt-load.patch:
  Linux-RT 2.6.27-RT
  sched: properly account IRQ and RT load in .
- patches.rt/sched-rt-runtime-lock-raw.patch: Linux-RT 2.6.27-RT.
- patches.rt/sched-wake_up_idle_cpu-rt.patch: Linux-RT 2.6.27-RT.
- patches.rt/select-error-leak-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/serial-locking-rt-cleanup.patch: Linux-RT 2.6.27-RT.
- patches.rt/serial-slow-machines.patch: Linux-RT 2.6.27-RT.
- patches.rt/slab-irq-nopreempt-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/smp-processor-id-fixups.patch: Linux-RT 2.6.27-RT.
- patches.rt/softirq-per-cpu-assumptions-fixes.patch: Linux-RT
  2.6.27-RT.
- patches.rt/start_irq_thread.patch: Linux-RT 2.6.27-RT.
- patches.rt/sub-dont-disable-irqs.patch: Linux-RT 2.6.27-RT
  rt: dont disable irqs in usb.
- patches.rt/tasklet-busy-loop-hack.patch: Linux-RT 2.6.27-RT.
- patches.rt/tasklet-redesign.patch: Linux-RT 2.6.27-RT.
- patches.rt/timer-freq-tweaks.patch: Linux-RT 2.6.27-RT.
- patches.rt/timer-warning-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/trace-events-handle-syscalls.patch: Linux-RT
  2.6.27-RT.
- patches.rt/trace-histograms.patch: Linux-RT 2.6.27-RT.
- patches.rt/tracer-add-event-markers.patch: Linux-RT 2.6.27-RT.
* Wed Oct 29 2008 gregkh@suse.de
- s/rtl2860/rt2860/
- remove driver from the Xen build as it's dying for some reason.
- add obsoletes for ralink-rt2860-kmp
* Wed Oct 29 2008 olh@suse.de
- update patches.arch/ppc-oprofile-spu.patch
  add missing ARRAY_SIZE(pm_signal_local)
* Wed Oct 29 2008 hare@suse.de
- patches.arch/s390-symmetrix-ioctl.patch: Add ioctl support
  for EMC Symmetrix Subsystem Control I/O (bnc#439221)
* Wed Oct 29 2008 jbeulich@suse.de
- patches.xen/xen-rtl2860-build: fix issue with Windows-style
  types used in rtl2680.
* Wed Oct 29 2008 olh@suse.de
- build af_packet as a module on powerpc (bnc#433540)
* Wed Oct 29 2008 olh@suse.de
- add patches.arch/ppc-oprofile-spu-mutex-locking.patch
  Fix mutex locking for cell spu-oprofile (bnc#422501 - LTC47617)
* Wed Oct 29 2008 olh@suse.de
- add patches.arch/ppc-oprofile-spu.patch
  fix local array size in activate spu profiling function (bnc#439553 - LTC48925)
* Wed Oct 29 2008 olh@suse.de
- update patches.drivers/ehea.patch
  Add hugepage detection (bnc#439599 - LTC48958)
* Wed Oct 29 2008 gregkh@suse.de
- patches.drivers/staging-add-agnx-wireless-driver.patch: Staging:
  add agnx wireless driver.
- patches.drivers/staging-add-otus-atheros-wireless-network-driver.patch:
  Staging: add otus Atheros wireless network driver.
- patches.drivers/staging-add-rtl2860-wireless-driver.patch:
  Staging: add rtl2860 wireless driver (bnc#437959).
- Update config files.
* Tue Oct 28 2008 jkosina@suse.de
- patches.suse/silent-stack-overflow-2.patch: disabled, as it
  causes kernel hangs triggered by grub (bnc#439448).
* Tue Oct 28 2008 kkeil@suse.de
- update patches.suse/SoN-17-net-ps_rx.patch
  fix i/o corruption on rx in ixgbe (bnc#438929)
* Tue Oct 28 2008 jdelvare@suse.de
- config/powerpc/*: Fixup configuration files after last change.
* Tue Oct 28 2008 jdelvare@suse.de
- config/*: Include many multimedia drivers which has been dropped
  accidentally. This includes the pwc, ivtv, zr36067 drivers and
  many old webcam drivers (bnc#439489).
- supported.conf: Add all these drivers again.
* Tue Oct 28 2008 tiwai@suse.de
- patches.drivers/alsa-hda-analog-update,
  patches.drivers/alsa-hda-atihdmi-update,
  patches.drivers/alsa-hda-beep,
  patches.drivers/alsa-hda-hp-mobile-fix,
  patches.drivers/alsa-hda-nvidia-hdmi,
  patches.drivers/alsa-hda-probe-fix,
  patches.drivers/alsa-hda-proc-fix,
  patches.drivers/alsa-hda-realtek-update,
  patches.drivers/alsa-hda-sigmatel-update,
  patches.drivers/alsa-hda-spdif-slave,
  patches.drivers/alsa-hda-via-rec-fix,
  patches.drivers/alsa-hda-via-update:
    ALSA updates, mostly taken from 2.6.28-rc1 patches
- Update config files.
* Tue Oct 28 2008 jdelvare@suse.de
- Actually CONFIG_SND_HDA_HWDEP is a boolean, sorry.
* Tue Oct 28 2008 jdelvare@suse.de
- config/ia64/vanilla, config/x86_64/vanilla: fix configuration
  discrepancy, CONFIG_SND_HDA_HWDEP=m.
* Tue Oct 28 2008 olh@suse.de
- add patches.arch/ppc-pcibios_allocate_bus_resources.patch
  add patches.arch/ppc-powerpc-debug-pci-hotplug.patch
  fix DLPAR on pseries (bnc#439491 - LTC48584)
* Tue Oct 28 2008 olh@suse.de
- add patches.arch/ppc-powerpc-fix-pci-unmap-io.patch
  Fix unmapping of IO space on 64-bit (bnc#439491 - LTC48584)
* Tue Oct 28 2008 olh@suse.de
- update ps3 config, remove unneeded options to reduce vmlinux size
* Tue Oct 28 2008 neilb@suse.de
- patches.suse/md-notify-when-stopped: md: notify udev when an
  md array is stopped. (fate#303894).
* Tue Oct 28 2008 gregkh@suse.de
- use the panasonic laptop driver that was accepted by upstream, not the
  pcc-acpi driver, which was rejected:
  - patches.drivers/staging-add-pcc-acpi-driver.patch: Delete.
  - patches.drivers/panasonic-laptop-add-panasonic-let-s-note-laptop-extras-driver-v0.94.patch:
    panasonic-laptop: add Panasonic Let's Note laptop extras
    driver v0.94.
- Update config files.
* Tue Oct 28 2008 gregkh@suse.de
- patches.drivers/via-framebuffer-driver.patch: Via Framebuffer
  driver.
- Update config files.
* Mon Oct 27 2008 bwalle@suse.de
- patches.fixes/hpwdt-kdump.diff:
  Don't change permission of sysfs file (did that accidentally
  when changing the default value).
* Mon Oct 27 2008 trenn@suse.de
- patches.arch/x86_uv_early_detect.patch: Delete hacks that were
  necessary while waiting for x2apic code. (bnc#429984).
* Mon Oct 27 2008 tj@suse.de
  Refresh the govault patch.
- patches.drivers/libata-add-waits-for-govault: libata: add
  waits for GoVault (bnc#246451).
* Sun Oct 26 2008 bwalle@suse.de
- patches.fixes/kdb-oops-panic.diff:
  Fix NULL pointer dereference when regs == NULL (bnc#439007).
- patches.fixes/hpwdt-kdump.diff:
  Fix kdump when using hpwdt (bnc#436786).
* Sun Oct 26 2008 gregkh@suse.de
- refresh patches to apply cleanly and properly.
* Sun Oct 26 2008 gregkh@suse.de
- Update to 2.6.27.4
* Sat Oct 25 2008 agruen@suse.de
- Fix the dependencies between the split kernel packages and KMPs
  (FATE 303631).
- Fix for kernel paclages which are not split.
- rpm/kernel-source.spec.in: Update list of scripts to include.
* Sat Oct 25 2008 jjolly@suse.de
- patches.arch/s390-02-02-smp-sysdev.patch: kernel: sysdev class
  file creation (bnc#434333)
- patches.arch/s390-02-03-zfcp.patch: Fix zfcp problems that have
  been found (bnc#434333)
- patches.arch/s390-02-04-qeth-mac.patch: qeth: use firmware
  MAC-address for layer2 hsi-devices (bnc#434333)
- patches.arch/s390-02-05-qeth-recovery.patch: qeth: qeth recovery
  fails (bnc#434333)
- patches.arch/s390-02-06-qeth-offset.patch: qeth: fix offset error
  in non prealloc header path (bnc#434333,LTC#48840)
- patches.arch/s390-02-07-qeth-ipv6check.patch: qeth: remove
  unnecessary support ckeck in sysfs route6 (bnc#434333)
- patches.arch/s390-02-08-qeth-panic.patch: qeth: avoid
  skb_under_panic for malformatted inbound data (bnc#434333)
- patches.arch/s390-02-09-tape-lock.patch: tape device driver:
  improve locking (bnc#434333)
* Sat Oct 25 2008 neilb@suse.de
- patches.kernel.org/touch_mnt_namespace-when-the-mount-flags-change.patch:
  touch_mnt_namespace when the mount flags change (FATE#304218).
* Fri Oct 24 2008 gregkh@suse.de
- Updated to 2.6.27.4-rc3:
  - fixed ath5k suspend/resume regression
  - fixed pvrusb2 so it actually works
* Fri Oct 24 2008 jack@suse.cz
- patches.suse/ocfs2-Implementation-of-local-and-global-quota-file.patch:
  ocfs2: Implementation of local and global quota file handling
  (fate#302681). - fixed 64-bit division
* Fri Oct 24 2008 jeffm@suse.de
- Update config files for -rt.
* Fri Oct 24 2008 hare@suse.de
- patches.suse/cgroup-freezer.patch: Add TIF_FREEZE for s390.
* Fri Oct 24 2008 olh@suse.de
- move patches.suse/md-raid-metadata-PAGE_SIZE.patch
  to patches.kernel.org/md-raid-metadata-PAGE_SIZE.patch
  to allow raid0 with 64k PAGE_SIZE
* Fri Oct 24 2008 jack@suse.cz
- Update config files.
- supported.conf: Added new quota module
- patches.suse/xfs-dmapi-enable: Enable XFS DMAPI. - Refreshed
  Quotas for OCFS2:
- patches.suse/quota-Add-callbacks-for-allocating-and-destroying-d.patch:
  quota: Add callbacks for allocating and destroying dquot
  structures (fate#302681).
- patches.suse/quota-Increase-size-of-variables-for-limits-and-ino.patch:
  quota: Increase size of variables for limits and inode usage
  (fate#302681).
- patches.suse/quota-Remove-bogus-optimization-in-check_idq-an.patch:
  quota: Remove bogus 'optimization' in check_idq() and
  check_bdq() (fate#302681).
- patches.suse/quota-Make-_SUSPENDED-just-a-flag.patch: quota:
  Make _SUSPENDED just a flag (fate#302681).
- patches.suse/quota-Allow-to-separately-enable-quota-accounting-a.patch:
  quota: Allow to separately enable quota accounting and enforcing
  limits (fate#302681).
- patches.suse/ext3-Use-sb_any_quota_loaded-instead-of-sb_any_qu.patch:
  ext3: Use sb_any_quota_loaded() instead of
  sb_any_quota_enabled() (fate#302681).
- patches.suse/ext4-Use-sb_any_quota_loaded-instead-of-sb_any_qu.patch:
  ext4: Use sb_any_quota_loaded() instead of
  sb_any_quota_enabled() (fate#302681).
- patches.suse/reiserfs-Use-sb_any_quota_loaded-instead-of-sb_an.patch:
  reiserfs: Use sb_any_quota_loaded() instead of
  sb_any_quota_enabled(). (fate#302681).
- patches.suse/quota-Remove-compatibility-function-sb_any_quota_en.patch:
  quota: Remove compatibility function sb_any_quota_enabled()
  (fate#302681).
- patches.suse/quota-Introduce-DQUOT_QUOTA_SYS_FILE-flag.patch:
  quota: Introduce DQUOT_QUOTA_SYS_FILE flag (fate#302681).
- patches.suse/quota-Move-quotaio_v-12-.h-from-include-linux-to-f.patch:
  quota: Move quotaio_v[12].h from include/linux/ to fs/
  (fate#302681).
- patches.suse/quota-Split-off-quota-tree-handling-into-a-separate.patch:
  quota: Split off quota tree handling into a separate file
  (fate#302681).
- patches.suse/quota-Convert-union-in-mem_dqinfo-to-a-pointer.patch:
  quota: Convert union in mem_dqinfo to a pointer (fate#302681).
- patches.suse/quota-Allow-negative-usage-of-space-and-inodes.patch:
  quota: Allow negative usage of space and inodes (fate#302681).
- patches.suse/quota-Keep-which-entries-were-set-by-SETQUOTA-quota.patch:
  quota: Keep which entries were set by SETQUOTA quotactl
  (fate#302681).
- patches.suse/quota-Add-helpers-to-allow-ocfs2-specific-quota-ini.patch:
  quota: Add helpers to allow ocfs2 specific quota initialization,
  freeing and recovery (fate#302681).
- patches.suse/quota-Implement-function-for-scanning-active-dquots.patch:
  quota: Implement function for scanning active dquots
  (fate#302681).
- patches.suse/ocfs2-Fix-check-of-return-value-of-ocfs2_start_tran.patch:
  ocfs2: Fix check of return value of ocfs2_start_trans()
  (fate#302681).
- patches.suse/ocfs2-Support-nested-transactions.patch: ocfs2:
  Support nested transactions (fate#302681).
- patches.suse/ocfs2-Fix-checking-of-return-value-of-new_inode.patch:
  ocfs2: Fix checking of return value of new_inode()
  (fate#302681).
- patches.suse/ocfs2-Let-inode-be-really-deleted-when-ocfs2_mknod_.patch:
  ocfs2: Let inode be really deleted when ocfs2_mknod_locked()
  fails (fate#302681).
- patches.suse/ocfs2-Assign-feature-bits-and-system-inodes-to-quot.patch:
  ocfs2: Assign feature bits and system inodes to quota feature
  and quota files (fate#302681).
- patches.suse/ocfs2-Mark-system-files-as-not-subject-to-quota-acc.patch:
  ocfs2: Mark system files as not subject to quota accounting
  (fate#302681).
- patches.suse/ocfs2-Implementation-of-local-and-global-quota-file.patch:
  ocfs2: Implementation of local and global quota file handling
  (fate#302681).
- patches.suse/ocfs2-Add-quota-calls-for-allocation-and-freeing-of.patch:
  ocfs2: Add quota calls for allocation and freeing of inodes
  and space (fate#302681).
- patches.suse/ocfs2-Enable-quota-accounting-on-mount-disable-on.patch:
  ocfs2: Enable quota accounting on mount, disable on umount
  (fate#302681).
- patches.suse/ocfs2-Implement-quota-syncing-thread.patch: ocfs2:
  Implement quota syncing thread (fate#302681).
- patches.suse/ocfs2-Implement-quota-recovery.patch: ocfs2:
  Implement quota recovery (fate#302681).
* Fri Oct 24 2008 kkeil@suse.de
- patches.fixes/cxgb3_fix_race_in_EEH: cxgb3: fix race in EEH.
  (bnc#430093)
* Fri Oct 24 2008 jeffm@suse.de
- Refreshed context for -RT patches so they apply again.
* Fri Oct 24 2008 rw@suse.de
- patches.drivers/sgi-ioc4-request-submodules:
  Make ioc4 request dependant modules.  (bnc#429215)
* Fri Oct 24 2008 hare@suse.de
- Update config files: Disable FAIL_MAKE_REQUEST.
* Fri Oct 24 2008 tiwai@suse.de
- patches.drivers/alsa-usb-exclude-1st-slot: Delete this old ugly
  workaround patch.
* Fri Oct 24 2008 hare@suse.de
- Include patches from upstream:
  - patches.fixes/block-use-bio_has_data: Implement bio_has_data().
  - patches.fixes/block-git-fixes: Block layer fixes for 2.6.28.
  - patches.fixes/block-rq-affinity: Implement rq affinity.
  - patches.fixes/dm-mpath-remove-is_active: dm mpath: remove
    is_active from struct dm_path.
  - patches.fixes/block-discard-requests: Implement block discard.
  - patches.drivers/dm-abort-queue-on-failed-paths: dm: Call
    blk_abort_queue on failed paths (bnc#417544).
  - patches.drivers/block-call-sync-on-cleanup: block:
    blk_cleanup_queue() should call blk_sync_queue().
- Refaktor and update request-based multipath patches:
  - patches.drivers/blk-request-based-multipath-update:
    Update request-based multipathing patches to upstream version
    (bnc#434105).
  - patches.suse/rq-based-multipath: Update to latest version
    of request-based multipathing patchset (bnc#434105)
  - patches.drivers/block-abort-request-rq-complete-marking:
    use rq complete marking in blk_abort_request (bnc#434105).
  - patches.fixes/scsi-atomic-blk-timer-deletes: Delete.
  - patches.fixes/dm-mpath-abort-queue: Delete.
  - patches.suse/rq-based-block-layer: Delete.
  - patches.suse/rq-based-dm-interface: Delete.
  - patches.suse/rq-based-multipath-functions: Delete.
  - patches.suse/rq-based-init-crash: Delete.
- Update patches to upstream version:
  - patches.drivers/bdev-resize-check-for-device-resize
  - patches.drivers/bdev-resize-added-flush_disk
  - patches.drivers/bdev-resize-call-flush_disk
  - patches.drivers/bdev-resize-sd-driver-calls
  - patches.drivers/block-timeout-handling
  - patches.drivers/bdev-resize-adjust-block-device-size
  - patches.drivers/bdev-resize-wrapper-for-revalidate_disk
  - patches.drivers/block-abort-queue
  - patches.fixes/scsi-enhance-error-codes
- Rediff patches:
  - patches.fixes/scsi-misc-git-update
  - patches.suse/dm-barrier-single-device
  - patches.suse/kdb-common
  - patches.drivers/lpfc-8.2.8-update
  - patches.drivers/lpfc-8.2.8.3-update
  - patches.drivers/mpt-fusion-4.00.43.00-update
* Fri Oct 24 2008 bwalle@suse.de
- patches.suse/kdump-dump_after_notifier.patch: Add sysctl also
  to kernel/sysctl_check.c.
* Fri Oct 24 2008 bwalle@suse.de
- Obsolete uvcvideo-kmp.
* Fri Oct 24 2008 jbeulich@suse.de
- rpm/kernel-binary.spec.in: Provide 'kernel' also for Xen (bnc#362918).
* Fri Oct 24 2008 jbeulich@suse.de
- patches.arch/x86_64-unwind-annotations: fix unwind annotations.
- patches.xen/xen3-x86_64-unwind-annotations: fix unwind
  annotations.
* Fri Oct 24 2008 jbeulich@suse.de
- Update Xen patches to 2.6.27.3 and c/s 704
- patches.xen/xen3-x2APIC_PATCH_27_of_41_9fa8c481b55e80edd8c637573f87853bb6b600f5:
  x64, x2apic/intr-remap: introduce CONFIG_INTR_REMAP (fate
  [#303948] and fate #303984).
- patches.xen/xen3-x2APIC_PATCH_40_of_41_bbb65d2d365efe9951290e61678dcf81ec60add4:
  x86: use cpuid vector 0xb when available for detecting cpu
  topology (fate #303948 and fate #303984).
- patches.xen/xen-kconfig-compat-3.2.0: add 3.2.0-compatibility
  configure option.
- patches.xen/xen-x86-exit-mmap: be more aggressive about
  de-activating mm-s under destruction.
- patches.xen/xen-x86-machphys-prediction: properly predict
  phys<->mach translations.
- patches.xen/xen-x86-mmu-batching: utilize
  arch_{enter,leave}_lazy_cpu_mode().
- patches.xen/xen-x86-no-lazy-tlb: ensure inadvertent uses of
  lazy TLB data are caught during the build.
- Update Xen config files.
* Fri Oct 24 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in:
  - do not split kernel-kdump into -base and -extra
  - fix case when a build results in no unsupported modules
* Fri Oct 24 2008 bwalle@suse.de
- patches.fixes/kdb-kdump.diff:
  Fix CONFIG_KDB_KDUMP on xSeries (bnc#436454).
* Fri Oct 24 2008 agruen@suse.de
- supported.conf: Mark dmapi as supported (by SGI).
* Fri Oct 24 2008 olh@suse.de
- disable all unsupported drivers in kernel-kdump
* Fri Oct 24 2008 npiggin@suse.de
- patches.suse/silent-stack-overflow-2.patch: avoid silent stack
  overflow over the heap (bnc#44807 bnc#211997).
* Fri Oct 24 2008 gregkh@suse.de
- Update to 2.6.27.4-rc2
* Fri Oct 24 2008 gregkh@suse.de
- disable CONFIG_SYSFS_DEPRECATED_V2 from powerpc/rt config file
* Fri Oct 24 2008 gregkh@suse.de
- Update to 2.6.27.4-rc1
  - lots of bugfixes, and obsoletes some current patches:
  - patches.fixes/ext3-avoid-printk-flood-with-dir-corruption: Delete.
  - patches.fixes/ext2-avoid-printk-flood-with-dir-corruption: Delete.
  - patches.fixes/wdm_autoload.diff: Delete.
* Fri Oct 24 2008 npiggin@suse.de
- Fix ppc and ps3 configs
* Fri Oct 24 2008 npiggin@suse.de
- Update config files.
- patches.suse/cgroup-freezer.patch: cgroup freezer (bnc#417294,
  fate#304191, fate#201036).
* Fri Oct 24 2008 npiggin@suse.de
- Update config files. Enable cgroups for all archs (bnc#417527)
* Fri Oct 24 2008 npiggin@suse.de
- patches.arch/ppc-gigantic-page-fix2.patch: powerpc gigantic
  pages fix 2 (bnc#434026).
- patches.arch/ppc-gigantic-page-fix3.patch: powerpc gigantic
  pages fix 3 (bnc#434026).
- patches.trace/lttng-instrumentation-hugetlb.patch: de-fuzz
* Fri Oct 24 2008 gregkh@suse.de
- disabled CONFIG_CALGARY_IOMMU_ENABLED_BY_DEFAULT on x86-64
  vanilla kernel.
* Fri Oct 24 2008 gregkh@suse.de
- patches.drivers/cciss-fix-procfs-firmware-regression.patch:
  cciss: fix procfs firmware regression (bnc435644).
- patches.drivers/cciss-fix-sysfs-symlink.patch: cciss: fix
  sysfs symlink (bnc435644).
* Fri Oct 24 2008 gregkh@suse.de
- disable CONFIG_CALGARY_IOMMU_ENABLED_BY_DEFAULT on x86-64.  To use
  Calgary iommu systems, you now must manually pass "iommu=calgary" to
  get this hardware support back enabled.  This is the recommended
  proceedure right now, from IBM, otherwise the hardware crashes.
  bnc#436450.
* Fri Oct 24 2008 gregkh@suse.de
- clean up all fuzz in patches to get them to apply cleanly.
* Fri Oct 24 2008 gregkh@suse.de
- delete patches.arch/s390-01-03-cmm2-v2.patch as it touched core
  kernel code and was rejected from upstream.
  - patches.arch/s390-01-03-cmm2-v2.patch: Delete.
  - patches.arch/s390-01-03-cmm2-v2a.patch: Delete.
* Fri Oct 24 2008 gregkh@suse.de
- Update to version 3.4 of squashfs:
  - patches.suse/squashfs3.3-patch: Delete.
  - patches.suse/squashfs-patch-2.6.25: Delete.
  - patches.suse/squashfs-patch-2.6.27: Delete.
  - patches.suse/squashfs-3.4.patch: squashfs v3.4.
* Thu Oct 23 2008 jeffm@suse.de
- patches.fixes/block-sanitize-invalid-partition-table-entries:
  block: sanitize invalid partition table entries (bnc#371657).
* Thu Oct 23 2008 olh@suse.de
- add patches.arch/ppc-pseries_mem-limit-16g.patch
  Don't use a 16G page if beyond mem= limits (bnc#438111 - LTC49329)
* Thu Oct 23 2008 kkeil@suse.de
- Update x86 64bit config files to include WAN support (bnc#437692)
* Thu Oct 23 2008 olh@suse.de
- add patches.drivers/cell_edac.patch
  Fix incorrect edac_mode in csrow causing oops (bnc#437757 - LTC49143)
* Thu Oct 23 2008 olh@suse.de
- update patches.suse/nameif-track-rename.patch
  print also application and pid
* Thu Oct 23 2008 jkosina@suse.de
- patches.fixes/hid-rdesc-quirk-for-sony-vaio-VGX-TP1E.patch:
  HID: Fix Sony Vaio VGX report descriptor (bnc#437758).
* Thu Oct 23 2008 olh@suse.de
- add patches.drivers/ehca-rejecting-dynamic-mem-add-remove.patch
  reject dynamic memory add/remove (bnc#434651 - LTC48744)
* Thu Oct 23 2008 npiggin@suse.de
- Update config files.
* Thu Oct 23 2008 npiggin@suse.de
- patches.suse/x86-gb-linear-map.patch: Enable GB mapped linear
  KVA on x86 (bnc#437674).
- patches.xen/xen3-patch-2.6.26: merge
* Thu Oct 23 2008 gregkh@suse.de
- update to 2.6.27.3
  - lots of bugfixes
  - CVE-2008-3831 fix
* Wed Oct 22 2008 jeffm@suse.de
- scripts/vc: Handle unset $EDITOR
* Wed Oct 22 2008 jeffm@suse.de
- patches.suse/export-release_open_intent: Export
  release_open_intent for NFS branches with aufs.
* Wed Oct 22 2008 jdelvare@suse.de
- supported.conf: Mark the ibmaem and ibmpex hwmon drivers as
  supported by IBM.
- supported.conf: Mark the i5k_amb hwmon driver as supported.
* Wed Oct 22 2008 olh@suse.de
- add patches.drivers/ehea.patch
  Fix memory hotplug support (436447 - LTC48713)
* Wed Oct 22 2008 olh@suse.de
- add patches.arch/ppc-pseries_hugepage_pagetable_allocation.patch
  Cleanup hugepage pagetable allocation (bnc# 433503 - LTC48757)
* Wed Oct 22 2008 sassmann@suse.de
  Add PS3 audio patches:
- patches.arch/ppc-ps3-add-passthrough-support-for-non-audio-streams.patch:
  ps3: Add passthrough support for non-audio streams.
- patches.arch/ppc-ps3-add-ps3av-audio-mute-analog.patch:
  ps3: Add ps3av_audio_mute_analog().
- patches.arch/ppc-ps3-add-support-for-SPDIF-HDMI-passthrough.patch:
  ps3: Add support for SPDIF/HDMI passthrough.
* Tue Oct 21 2008 sdietrich@suse.de
- patches.rt/genirq-usb.patch: Make status_cache u32
- patches.rt/genirq-ohci1394.patch: Enable ohci1394 IRQ
  threading.
* Tue Oct 21 2008 hare@suse.de
- patches.fixes/dm-mpath-abort-queue: rediff.
- patches.fixes/scsi-atomic-blk-timer-deletes: scsi: atomic blk
  timer deletes (LTC#48990, bnc#434105).
- patches.suse/rq-based-block-layer: rq-based multipathing:
  rediff.
* Tue Oct 21 2008 hare@suse.de
- patches.fixes/scsi-inquiry-too-short-ratelimit: INQUIRY result
  too short (5) message flood (bnc#432535).
* Tue Oct 21 2008 npiggin@suse.de
- patches.suse/filp-slab-rcu: Delete.
* Tue Oct 21 2008 sdietrich@suse.de
  USB IRQ threading (experimental: guarded by genirq):
- patches.rt/genirq1-make-irqreturn_t-an-enum: genirq: make
  irqreturn_t an enum.
- patches.rt/genirq2-add-quick-check-handler.patch: genirq:
  add a quick check handler.
- patches.rt/genirq3-add-threaded-irq-handler-support: genirq:
  add threaded interrupt handler support.
- patches.rt/genirq4-add-helper-to-check-whether-irq-thread-should-run:
  genirq: add a helper to check whether the irqthread should run.
- patches.rt/genirq5-make-irq-threading-robust: genirq: make
  irq threading robust.
- patches.rt/genirq-usb.patch: genirq threading for ehci, ohci
  and uhci USB hosts..
- patches.rt/genirq-wlan-ng-compat.patch: Remove redundant,
  obsolete 2.4 compatibility code in wlan-ng.
  Ack:
- patches.rt/genirq-soft-resend.patch: Linux-RT 2.6.27-RT
  x86: activate HARDIRQS_SW_RESEND.
* Mon Oct 20 2008 gregkh@suse.de
- patches.arch/x2APIC_PATCH_x86-mach_apicdef.h-need-to-include-before-smp.h.patch:
  x86: mach_apicdef.h need to include before smp.h.
  fixes build error on i386 pae kernels.
* Mon Oct 20 2008 bwalle@suse.de
- patches.suse/kdump-dump_after_notifier.patch:
  Add dump_after_notifier sysctl (bnc#436678).
* Mon Oct 20 2008 gregkh@suse.de
- scripts/wd-functions.sh: reverse git and cvs checks (check for
  cvs before git).  This solves the problem if you are using a cvs
  tree, yet it happens to live in a directory that way up the
  directory chain is in a git tree (like for people who keep portions
  of their $HOME in git).
* Mon Oct 20 2008 gregkh@suse.de
- Update config files: enable CONFIG_GENERICARCH and CONFIG_BIGSMP
  on i386-pae kernels. (bnc#428247)
* Mon Oct 20 2008 ptesarik@suse.cz
- patches.arch/x86-tracehook: fix the order of arguments in
  /proc/$pid/syscall on x86_64.
* Mon Oct 20 2008 bwalle@suse.de
- Update config files: Enable CONFIG_KVM_KMP for RT config, run
  oldconfig.
* Mon Oct 20 2008 bwalle@suse.de
- patches.arch/ppc-vmcoreinfo.diff: Correct to reflect mainline
  state.
* Mon Oct 20 2008 hare@suse.de
- Update config files.
- patches.suse/kvm-as-kmp: Allow KVM to be built as KMP
  (FATE#303679).
* Mon Oct 20 2008 jjolly@suse.de
- patches.arch/s390-01-05-kmsg-v2.patch: Instrument the kernel
  components such that a kernel message catalog as well as related
  man pages can be automatically generated. (bnc#417300)
- patches.arch/s390-01-06-zfcp-cleanup-v2.patch: Update patch to
  fit on recent kmsg patch changes. (bnc#417550)
- patches.drivers/driver-core-basic-infrastructure-for-per-module-dynamic-debug-messages.patch:
  Update patch to fit on recent kmsg patch changes.
- config/s390/{default,s390}: Added CONFIG_KMSG_IDS=y
* Mon Oct 20 2008 bwalle@suse.de
- supported.conf: Mark 'crasher' as supported to avoid installing
  the "extra" package only for that module.
* Mon Oct 20 2008 olh@suse.de
- add patches.arch/ppc-pseries_16g-numa.patch
  fix crash with more 2 numa nodes and 16G hugepage (bnc#436452 - LTC48839)
* Sat Oct 18 2008 gregkh@suse.de
- Update to 2.6.27.2.
  - lots of bugfixes
* Sat Oct 18 2008 tonyj@suse.de
- patches.rt/fix-preempt-none.patch: Fix preempt-none build
  errors
* Fri Oct 17 2008 jeffm@suse.de
- patches.suse/SoN-20-netvm-reserve-inet.patch-fix: SoN: Fix
  initialization of ipv4_route_lock (bnc#435994).
* Fri Oct 17 2008 kkeil@suse.de
- patches.drivers/tg3-Add-57780-ASIC-revision.patch: tg3: Add
  57780 ASIC revision. (bnc#434147)
- patches.drivers/broadcom-Add-support-for-the-57780-integrated-PHY.patch:
  broadcom: Add support for the 57780 integrated PHY. (bnc#434147)
- patches.drivers/bnx2x-eeh.patch: bnx2x: EEH recovery fix.(bnc#433875)
* Fri Oct 17 2008 bwalle@suse.de
- rpm/kernel-binary.spec.in: Add the auto-generated (by mkdumprd)
  kdump initrd to %%ghost so that the file gets removed when
  uninstalling the kernel.
* Fri Oct 17 2008 mfasheh@suse.com
- ocfs2 ACL / security attribute support
  - patches.suse/ocfs2-Remove-unused-function-restore_extent_block.patch
  - patches.suse/ocfs2-Merge-transactions-during-xattr-set.patch
  - patches.suse/ocfs2-xattr.-ch-definition-cleanups.patch
  - patches.suse/ocfs2-Add-security-xattr-support-in-ocfs2.patch
  - patches.suse/ocfs2-Add-POSIX-ACL-support-in-ocfs2.patch
* Fri Oct 17 2008 mfasheh@suse.com
- ocfs2 fixes / updates from 2.6.28 merge window
  - patches.suse/ocfs2-xattr.c-Fix-a-bug-when-inserting-xattr.patch
  - patches.suse/ocfs2-Add-empty-bucket-support-in-xattr.patch
  - patches.suse/ocfs2-Remove-pointless.patch
  - patches.suse/ocfs2-make-la_debug_mutex-static.patch
  - patches.suse/ocfs2-Documentation-update-for-user_xattr-nouser_.patch
  - patches.suse/ocfs2-use-smaller-counters-in-ocfs2_remove_xattr_cl.patch
  - patches.suse/ocfs2-Don-t-check-for-NULL-before-brelse.patch
  - patches.suse/ocfs2-Uninline-ocfs2_xattr_name_hash.patch
  - patches.suse/ocfs2-Move-trusted-and-user-attribute-support-into.patch
  - patches.suse/ocfs2-Calculate-EA-hash-only-by-its-suffix.patch
  - patches.suse/ocfs2-Refactor-xattr-list-and-remove-ocfs2_xattr_ha.patch
  - patches.suse/ocfs2-Separate-out-sync-reads-from-ocfs2_read_block.patch
  - patches.suse/ocfs2-Require-an-inode-for-ocfs2_read_block-s.patch
  - patches.suse/ocfs2-Simplify-ocfs2_read_block.patch
  - patches.suse/ocfs2-Move-ocfs2_bread-into-dir.c.patch
  - patches.suse/ocfs2-Kill-the-last-naked-wait_on_buffer-for-cach.patch
  - patches.suse/ocfs2-Make-cached-block-reads-the-common-case.patch
  - patches.suse/ocfs2-fix-build-error.patch
* Thu Oct 16 2008 mfasheh@suse.com
- ocfs2 dynamic local alloc patches
* Thu Oct 16 2008 jslaby@suse.de
- patches.drivers/tpm-bcm0102-workaround.patch: tpm: work around
  bug in Broadcom BCM0102 chipset (bnc#425747 FATE304221).
- patches.drivers/tpm-correct-timeouts.patch: tpm: correct tpm
  timeouts to jiffies conversion (bnc#425747 FATE304221).
* Thu Oct 16 2008 ihno@suse.de
- added patches.arch/s390-01-03-cmm2-v2a.patch
  fix the sequence of initilisations.
* Thu Oct 16 2008 agruen@suse.de
- rpm/kernel-binary.spec.in: Make the kernel-$flavor-extra packages
  supplement kernel-$flavor on openSUSE and SLED so that those
  packages will get installed by default, using the product(...)
  dependencies provided by the *-release packages.
* Thu Oct 16 2008 tonyj@suse.de
- Previous checkin was totally broken wrt rt config files.
  Revert to previous versions and incorporate any changes from
  run_oldconfig. Sole changes to previous versions is to remove
  CONFIG_DYNAMIC_FTRACE from rt_debug configs which is consistent
  with change in 2.6.27.1
* Thu Oct 16 2008 gregkh@suse.de
- Update to 2.6.27.1
  - disables a problem config option, only affected the vanilla,
    debug, and rt kernel variants.
* Wed Oct 15 2008 olh@suse.de
- add patches.arch/ppc-pseries_pfn-mem-rm.patch
  fix hotplug memory remove (bnc#435181 - LTC48640)
* Wed Oct 15 2008 mmarek@suse.cz
- rpm/post.sh, rpm/postun.sh: run weak-modules, depmod and mkinitrd
  on older distros (bnc#435246)
  Fixed fix for bnc#435104 ("/boot/" was missing in some places)
* Wed Oct 15 2008 mmarek@suse.cz
- rpm/kernel-binary.spec.in: don't recommend the -extra subpackage
  (fate#303631)
- rpm/postun.sh, rpm/post.sh: remove the temporary workaround
* Wed Oct 15 2008 olh@suse.de
- drop patches.arch/ppc-iseries-remove-AVAILABLE_VETH.patch
  not needed anymore
* Wed Oct 15 2008 nfbrown@suse.de
- patches.fixes/nfs-file-cred-context-null: nfs_file_cred should
  cope if 'file' hasn't been opened properly (bnc#431785).
* Wed Oct 15 2008 tonyj@suse.de
- Update RT patches to latest .27 Windriver version (all patches)
- Disable patches.rt/swap-spinlock-fix.patch
- Guard filp-slab-rcu for RT
* Tue Oct 14 2008 jkosina@suse.de
- patches.fixes/input-add-acer-aspire-5710-to-nomux.patch: Input:
  Add Acer Aspire 5710 to nomux blacklist (bnc#404881).
* Tue Oct 14 2008 oneukum@suse.de
- patches.fixes/ehci_sched.diff: Delete.
  in mainline now. done to the right tree.
* Tue Oct 14 2008 mmarek@suse.cz
- rpm/postun.sh, rpm/post.sh: temporarily ignore errors from
  weak-modules2 --{add,remove}-kernel-modules until
  module-init-tools has rebuilt
* Tue Oct 14 2008 jkosina@suse.de
- patches.fixes/input-add-amilo-pro-v-to-nomux.patch: Delete.
  The patch is already upstream in 2.6.27
* Tue Oct 14 2008 jeffm@suse.de
- patches.suse/osync-error: Update position after check for -EIO
  (bnc#434910).
* Tue Oct 14 2008 npiggin@suse.de
- patches.suse/rlimit-memlock-64k.patch: Increase default
  RLIMIT_MEMLOCK to 64k (bnc#329675).
* Tue Oct 14 2008 sjayaraman@suse.de
- Update config files: CIFS_EXPERIMENTAL=y and CIFS_DFS_UPCALL=y
  (FATE#303758).
* Tue Oct 14 2008 jbeulich@novell.com
- patches.xen/xen-irq-probe: restrict IRQ probing (bnc#431572).
* Tue Oct 14 2008 ptesarik@suse.cz
- patches.trace/utrace-core: undo overzealous #ifdef's, which
  removed too much code in case UTRACE_CONFIG was unset.
* Tue Oct 14 2008 jbeulich@novell.com
- patches.fixes/reiserfs-commit-ids-unsigned-ints: Remove L suffix
  from constant compared against.
* Tue Oct 14 2008 olh@suse.de
- call bootloader_entry without leading /boot/ (bnc#435104)
* Tue Oct 14 2008 mmarek@suse.cz
- rpm/kernel-source.spec.in, rpm/source-post.sh, rpm/functions.sh:
  kill functions.sh, put the relink() function to source-post.sh
  directly
- rpm/postun.sh, rpm/pre.sh, rpm/preun.sh, rpm/post.sh,
  rpm/kernel-binary.spec.in: unify generation of the scriptlets,
  switch to the new weak-modules2 script
* Tue Oct 14 2008 olh@suse.de
- disable unused ide_platform driver
* Tue Oct 14 2008 jdelvare@suse.de
- supported.conf: Remove i2c-core and i2c-piix4 from base.
* Tue Oct 14 2008 gregkh@suse.de
- supported.conf: remove ide-core and ide-cdrom from base on request
  from Tejun.
* Tue Oct 14 2008 gregkh@suse.de
- Update config files.
- patches.drivers/staging-add-pcc-acpi-driver.patch: Staging:
  add pcc-acpi driver.
- rpm/kernel-binary.spec.in: Obsoletes pcc-acpi-kmp
* Tue Oct 14 2008 gregkh@suse.de
- rpm/kernel-binary.spec.in: it's pcc-acpi and it's not obsolete, yet.
* Tue Oct 14 2008 gregkh@suse.de
- rpm/kernel-binary.spec.in: obsoletes at76_usb-kmp
* Tue Oct 14 2008 gregkh@suse.de
- rpm/kernel-binary.spec.in: obsoletes et131x-kmp, ivtv-kmp, and
  ppc-acpi-kmp
* Mon Oct 13 2008 gregkh@suse.de
- Update config files.
- patches.drivers/staging-at76_usb-wireless-driver.patch: staging:
  at76_usb wireless driver.
* Mon Oct 13 2008 gregkh@suse.de
- refresh all patches (except xen and rt) to apply cleanly
* Mon Oct 13 2008 gregkh@suse.de
- rpm/kernel-binary.spec.in: add Obsoletes: wlan-ng-kmp as the needed
  driver is now included from the staging tree.
* Mon Oct 13 2008 gregkh@suse.de
- put proper Patch-mainline: markings on staging patches
* Mon Oct 13 2008 gregkh@suse.de
- patches.drivers/staging-workaround-build-system-bug.patch:
  Staging: workaround build system bug.
* Mon Oct 13 2008 aj@suse.de
- rpm/post.sh: Fix typo that breaks script.
* Mon Oct 13 2008 gregkh@suse.de
- disabled staging drivers for -rt trees
* Mon Oct 13 2008 gregkh@suse.de
- Add -staging tree:
  - added TAINT_CRAP flag
  - added eth131x network driver
  - added slicoss network driver
  - added sgx network driver
  - added me4000 data collection driver
  - added go7007 video capture driver
  - added USB/IP host and client driver
  - added w35und wifi network driver
  - added prism2 usb wifi network driver
  - added echo cancellation driver
- only enabled these on x86 platforms
* Mon Oct 13 2008 jjolly@suse.de
- patches.arch/s390-02-01-xpram.patch: xpram: per device block
  request queues (bnc#434333,LTC#49030)
* Mon Oct 13 2008 jeffm@suse.de
- rpm/kernel-binary.spec.in: Updated supported.conf checker to
  eliminate false positives.
* Mon Oct 13 2008 sjayaraman@suse.de
- patches.suse/SoN-14-mm-reserve.patch: Fix a compiler warning.
* Mon Oct 13 2008 jbenc@suse.cz
- supported.conf: mark drivers/net/wireless/b43* and
  driver/net/wireless/rt2x00/* as unsupported because of known
  problems we cannot fix.
* Mon Oct 13 2008 oneukum@suse.de
- patches.fixes/wdm_autoload.diff:  add MODULE_DEVICE_TABLE to
  cdc-wdm driver to compute a proper alias (bnc#433817).
* Mon Oct 13 2008 ptesarik@suse.cz
- Update config files (CONFIG_UTRACE for rt flavours).
* Mon Oct 13 2008 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.27-rc3: Fix uninitialized data issue.
* Mon Oct 13 2008 ptesarik@suse.cz
- patches.trace/utrace-core: utrace core (FATE#304321).
  CONFIG_UTRACE enabled only for kernel-trace.
- Update config files.
* Mon Oct 13 2008 aj@suse.de
- patches.suse/SoN-14-mm-reserve.patch: Add cast to fix compiler warning.
* Mon Oct 13 2008 sjayaraman@suse.de
- Remove another stale swap-over-nfs patch.
  patches.suse/SoN-29-nfs-alloc-recursions.patch: Delete.
* Fri Oct 10 2008 jeffm@suse.de
- Updated to 2.6.27 final.
* Fri Oct 10 2008 tonyj@suse.de
- Update config files
- Fix conflicts, remove most -RT guards added in recent RT update
  patches.rt/apic-dumpstack.patch: refresh
  patches.rt/preempt-irqs-core.patch: refresh
  patches.rt/print-might-sleep-hack.patch: refresh
  patches.rt/partrevert-lttng-instrumentation-irq.patch: add
  patches.rt/partreadd-lttng-instrumentation-irq.patch: add
- Drop unused RT patches
  patches.rt/mips-change-raw-spinlock-type.patch
  patches.rt/nmi-watchdog-disable.patch
  patches.rt/Add-dev-rmem-device-driver-for-real-time-JVM-testing.patch
  patches.rt/lockstat-fix-contention-points.patch
  patches.rt/sched-cpupri-priocount.patch
  patches.rt/nmi-watchdog-fix-1.patch
  patches.rt/cache_pci_find_capability.patch
  patches.rt/fix-emac-locking-2.6.16.patch
  patches.rt/2.6.21-rc6-lockless5-lockless-probe.patch
  patches.rt/watchdog_use_timer_and_hpet_on_x86_64.patch
  patches.rt/tie-pi-into-task.patch
  patches.rt/idle2-fix.patch
  patches.rt/2.6.21-rc6-lockless6-speculative-get-page.patch
  patches.rt/rtmutex-initialize-waiters.patch
  patches.rt/Allocate-RTSJ-memory-for-TCK-conformance-test.patch
  patches.rt/add-generalized-pi-interface.patch
  patches.rt/warn-on-rt-scatterlist.patch
  patches.rt/2.6.21-rc6-lockless7-lockless-pagecache-lookups.patch
  patches.rt/trace-eip2ip.patch
  patches.rt/sched_rt-fixup.patch
  patches.rt/2.6.21-rc6-lockless3-radix-tree-gang-slot-lookups.patch
  patches.rt/trace_hist-latediv.patch
  patches.rt/sched-cpupri-hotplug-support.patch
  patches.rt/idle-fix.patch
  patches.rt/ftrace-fix-get-kprobe-wreckage.patch
  patches.rt/no-warning-for-irqs-disabled-in-local-bh-enable.patch
  patches.rt/ftrace-function-record-nop.patch
  patches.rt/ftrace-document-update1.patch
  patches.rt/26-rt1-chirag.patch
  patches.rt/trace_hist-divzero.patch
  patches.rt/latency-tracing-ppc.patch
  patches.rt/rtmutex-defer-pi-until-sleepy.patch
  patches.rt/pmtmr-override.patch
  patches.rt/sched-prioritize-non-migrating-rt-tasks.patch
  patches.rt/rtmutex-use-runtime-init.patch
  patches.rt/ftrace-fix-elevated-preempt-count-in-wakeup-tracer.patch
  patches.rt/2.6.21-rc6-lockless8-spinlock-tree_lock.patch
  patches.rt/lockdep-lock_set_subclass.patch
  patches.rt/seqlock-make-raw-seqlocks-spin-during-write.patch
  patches.rt/rt-mutex-irq-flags-checking.patch
  patches.rt/ftrace-upstream.patch
  patches.rt/sched-use-a-2d-bitmap-search-prio-cpu.patch
  patches.rt/ftrace-preempt-trace-check.patch
  patches.rt/rtmutex-add_readers.patch
  patches.rt/lockdep-avoid-fork-waring.patch
  patches.rt/arm-omap-02.patch
  patches.rt/fix-acpi-build-weirdness.patch
  patches.rt/cycles-to-ns-trace-fix.patch
  patches.rt/ftrace-compile-fixes.patch
  patches.rt/ftrace-wakeup-rawspinlock.patch
  patches.rt/rtmutex-convert-to-libpi.patch
  patches.rt/m68knommu_fixes_ontop_of_v2.6.26.patch
  patches.rt/ftrace-trace-sched.patch
* Fri Oct 10 2008 mfasheh@suse.com
- supported.conf: mark kernel/fs/gfs2 unsupported
* Fri Oct 10 2008 gregkh@suse.de
- supported.conf: mark kernel/sound/pci/snd-cs5530 unsupported due
  to sb16 dependancy issues
* Fri Oct 10 2008 jeffm@suse.de
- patches.fixes/account-reserved-pages: Delete.
* Thu Oct  9 2008 jeffm@suse.de
- patches.suse/supported-flag-sysfs: Updated to build with
  CONFIG_MODULES=n.
* Thu Oct  9 2008 jeffm@suse.de
- Updated to 2.6.27-rc9, but still disabled:
  - patches.suse/silent-stack-overflow
  - patches.xen/xen3-silent-stack-overflow
* Thu Oct  9 2008 gregkh@suse.de
- supported.conf: thermal_sys, not thermal_sysfs.
* Thu Oct  9 2008 jeffm@suse.de
- patches.rt/hrtimers-stuck-in-waitqueue.patch: Updated against
  2.6.27-rc9.
* Thu Oct  9 2008 jdelvare@suse.de
- supported.conf: Fix the name of the thermal_sys module.
- config/x86_64/rt_timing: THERMAL_HWMON is a boolean.
* Thu Oct  9 2008 jeffm@suse.de
- patches.suse/netfilter-ipv4options: Updated to 2.6.27-rc9,
  enabled, and marked supported (bnc#131728 - FATE#182).
* Thu Oct  9 2008 jeffm@suse.de
- patches.fixes/serial8250_console_write-ier: Delete.
- patches.fixes/fix-serial-8250-UART_BUG_TXEN-test: Delete.
* Thu Oct  9 2008 gregkh@suse.de
- supported.conf: mark kernel/sound/pci/snd-als4000 unsupported due
  to dependancy on isa sb16 driver.
* Thu Oct  9 2008 jeffm@suse.de
- patches.fixes/dont-writeback-fd-bdev-inodes.patch: Delete.
- patches.arch/s390-ccwgroup-attribute-ignore-newline: Delete.
* Thu Oct  9 2008 gregkh@suse.de
- supported.conf: mark drivers/net/wan/hdlc_x25 unsupported due to
  symbol dependancy tree.
* Thu Oct  9 2008 jeffm@suse.de
- patches.suse/osync-error: make sure O_SYNC writes properly
  return -EIO (bnc#58622).
* Thu Oct  9 2008 bwalle@suse.de
- patches.arch/ppc-vmcoreinfo.diff:
  Add additional symbols to /sys/kernel/vmcoreinfo data for
  ppc(64).
* Thu Oct  9 2008 trenn@suse.de
- patches.xen/xen-x2APIC_build_fix.patch: Adopt Xen to x2APIC
  patchset (fate#303984 and fate#303948).
- Update config files.
  Disable interrupt remapping for Xen -> this is something for
  the hypervisor.
* Thu Oct  9 2008 jeffm@suse.de
- Update config files: THERMAL_HWMON=y in vanilla configs.
* Thu Oct  9 2008 jeffm@suse.de
- Update config files: THERMAL_HWMON=y; is boolean and enables
  functionality in the already modular THERMAL module.
* Thu Oct  9 2008 jeffm@suse.de
- patches.suse/supported-flag-sysfs: Export supported status
  via sysfs.
* Thu Oct  9 2008 carnold@novell.com
- Update config files.  Disabled the in kernel KVM modules in
  preference to using them as KMPs.  See also brogers@novell.com
* Thu Oct  9 2008 jeffm@suse.de
- Added a -iu|--ignore-unsupported-deps option to allow builds
  with supported.conf problems.
* Thu Oct  9 2008 jdelvare@suse.de
- config/i386/*, config/x86_64/*, config/ia64/*, supported.conf:
  Build hwmon and thermal as modules.
* Thu Oct  9 2008 gregkh@suse.de
- supported.conf: mark hdlc_ppp unsupported as syncppp is unsupported.
* Thu Oct  9 2008 gregkh@suse.de
- supported.conf: mark ubifs as unsupported as it relies on mtd/ubi/
* Thu Oct  9 2008 bwalle@suse.de
- patches.arch/ppc-dynamic-reconfiguration.diff:
  powerpc: Add support for dynamic reconfiguration memory in
  kexec/kdump kernels (bnc#431492).
* Thu Oct  9 2008 carnold@novell.com
- rpm/kernel-binary.spec.in: package kernel-xen has dependency to
  xen (bnc#431215).
* Thu Oct  9 2008 gregkh@suse.de
- supported.conf: mark TPM drivers a supported, as IBM and others
  rely on them.
* Thu Oct  9 2008 gregkh@suse.de
- supported.conf: fix a dependancy link with the isa sb driver with
  unsupported symbols
* Thu Oct  9 2008 gregkh@suse.de
- supported.conf: mark ieee80122 modules as supported, as other
  supported modules need them.
* Thu Oct  9 2008 gregkh@suse.de
- supported.conf: mark all of the mtd drivers as unsupported to fix
  the build errors (and to reflect our policy here.)
* Thu Oct  9 2008 bwalle@suse.de
- Set CONFIG_KDB_CONTINUE_CATASTROPHIC to 0 (bnc#429910).
* Thu Oct  9 2008 jdelvare@suse.de
- Don't build the tps65010 driver, it's only used on OMAP at the
  moment.
* Thu Oct  9 2008 mmarek@suse.cz
- rpm/built-in-where: make it work with a four-column
  Modules.symvers (bnc#433533)
* Thu Oct  9 2008 bwalle@suse.de
- Update KDB to v4.4-2.6.27-rc8.
* Thu Oct  9 2008 olh@suse.de
- disable legacy iseries (bnc#433685 - LTC48946)
* Thu Oct  9 2008 olh@suse.de
- enable battery_pmu on ppc32
* Thu Oct  9 2008 trenn@suse.de
- supported.conf:
  Marked these unsupported:
  cpufreq-nforce2
  e_powersaver
  gx-suspmod
  longhaul
  longrun
  p4-clockmod
  powernow-k6
  powernow-k7
  speedstep-ich
  speedstep-smi
  Even Via CPUs are exporting cpu freq steps via ACPI and work fine
  with acpi-cpufreq. No need to support the old, some are known
  broken, drivers.
* Thu Oct  9 2008 olh@suse.de
- add patches.suse/md-raid-metadata-PAGE_SIZE.patch
  ignore PAGE_SIZE in md metadata, for raid0 (bnc#429490)
* Thu Oct  9 2008 teheo@suse.de
- patches.xen/xen3-auto-common.diff: minor patch apply fix after
  libata-prefer-over-ide.
* Thu Oct  9 2008 teheo@suse.de
- patches.drivers/libata-prefer-over-ide: libata: prefer libata
  drivers over ide ones (bnc#433105).
* Wed Oct  8 2008 carnold@novell.com
- patches.xen/xen-op-packet: add support for new operation type
  BLKIF_OP_PACKET (fate#300964).
- patches.xen/xen-blkfront-cdrom: implement forwarding of CD-ROM
  specific commands (fate#300964).
* Wed Oct  8 2008 gregkh@suse.de
- supported.conf: major update.  Lots of new drivers added as this
  file hadn't been updated for a lot of kernel revisions.
  This should close out a lot of bugs about "unsupported" modules,
  like bnc#433541.
* Wed Oct  8 2008 gregkh@suse.de
- supported.conf: sorted the file correctly so we can start determining
  what we are not supporting easier.
* Wed Oct  8 2008 jeffm@suse.de
- Updated -rt for context against -rc9 and the x2APIC patches:
  - patches.rt/new-softirq-code.patch
  - patches.rt/preempt-irqs-core.patch
  - patches.rt/preempt-irqs-x86-64-ioapic-mask-quirk.patch
  - CONFIG_INTR_REMAP=n for now
  - patches.rt/preempt-softirqs-core.patch
  - patches.rt/rt-slab-new.patch
  - patches.rt/slab-irq-nopreempt-fix.patch
  - Update config files: NFS_SWAP=n
* Wed Oct  8 2008 trenn@suse.de
  x2APIC and interrupt remapping enablement.
  Xen needs further work to build again.
  Commit ids are from x86 tip git tree:
- patches.arch/x2APIC_fix_section_mismatch.patch: Fix several
  section mismatches (none).
- patches.arch/x2APIC_PATCH_01_0f4896665a02b465ddca59a560983b24ec28c64b:
  dmar: fix dmar_parse_dev() devices_cnt error condition check
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_01_of_41_e61d98d8dad0048619bb138b0ff996422ffae53b:
  x64, x2apic/intr-remap: Intel vt-d, IOMMU code reorganization
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_02_228324076234ca6a8cd34be89be78022773459f1:
  dmar: use list_for_each_entry_safe() in dmar_dev_scope_init()
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_02_of_41_c42d9f32443397aed2d37d37df161392e6a5862f:
  x64, x2apic/intr-remap: fix the need for sequential array
  allocation of iommus (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_03_3f1fdb3673bb5638fa94186dc391cbc4879590bc:
  dmar: initialize the return value in dmar_parse_dev() (fate
  [#303948] and fate #303984).
- patches.arch/x2APIC_PATCH_03_of_41_1886e8a90a580f3ad343f2065c84c1b9e1dac9ef:
  x64, x2apic/intr-remap: code re-structuring, to be used by both
  DMA and Interrupt remapping (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_04_f12c73e7fa7ebf9ad6defee2c4fb2664e743e970:
  dmar: fix using early fixmap mapping for DMAR table parsing
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_04_of_41_aaa9d1dd63bf89b62f4ea9f46de376ab1a3fbc6c:
  x64, x2apic/intr-remap: use CONFIG_DMAR for DMA-remapping
  specific code (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_05_7be42004065ce4df193aeef5befd26805267d0d9:
  x86, lguest: fix apic_ops build on UP (fate #303948 and fate
  [#303984]).
- patches.arch/x2APIC_PATCH_06_caf43bf7c6a55e89b6df5179df434d67e24aa32e:
  x86, xen: fix apic_ops build on UP (fate #303948 and fate
  [#303984]).
- patches.arch/x2APIC_PATCH_06_of_41_ad3ad3f6a2caebf56869b83b69e23eb9fa5e0ab6:
  x64, x2apic/intr-remap: parse ioapic scope under vt-d structures
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_07_511d9d34183662aada3890883e860b151d707e22:
  x86: apic_ops for lguest (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_07_of_41_cf1337f0447e5be8e66daa944f0ea3bcac2b6179:
  x64, x2apic/intr-remap: move IOMMU_WAIT_OP() macro to
  intel-iommu.h (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_08_of_41_fe962e90cb17a8426e144dee970e77ed789d98ee:
  x64, x2apic/intr-remap: Queued invalidation infrastructure
  (part of VT-d) (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_09_94a8c3c2437c8946f1b6c8e0b2c560a7db8ed3c6:
  x86: let 32bit use apic_ops too - fix (fate #303948 and fate
  [#303984]).
- patches.arch/x2APIC_PATCH_09_of_41_2ae21010694e56461a63bfc80e960090ce0a5ed9:
  x64, x2apic/intr-remap: Interrupt remapping infrastructure
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_10_of_41_b6fcb33ad6c05f152a672f7c96c1fab006527b80:
  x64, x2apic/intr-remap: routines managing Interrupt remapping
  table entries. (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_11_of_41_72b1e22dfcad1daca6906148fd956ffe404bb0bc:
  x64, x2apic/intr-remap: generic irq migration support from
  process context (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_12_of_41_d94d93ca5cc36cd78c532def62772c98fe8ba5d7:
  x64, x2apic/intr-remap: 8259 specific mask/unmask routines
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_13_of_41_4dc2f96cacd1e74c688f94348a3bfd0a980817d5:
  x64, x2apic/intr-remap: ioapic routines which deal with initial
  io-apic RTE setup (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_14_of_41_0c81c746f9bdbfaafe64322d540c8b7b59c27314:
  x64, x2apic/intr-remap: introduce read_apic_id() to genapic
  routines (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_15_of_41_2d7a66d02e11af9ab8e16c76d22767e622b4e3d7:
  x64, x2apic/intr-remap: Interrupt-remapping and x2apic support,
  fix (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_16_of_41_1b374e4d6f8b3eb2fcd034fcc24ea8ba1dfde7aa:
  x64, x2apic/intr-remap: basic apic ops support (fate #303948
  and fate #303984).
- patches.arch/x2APIC_PATCH_17_of_41_32e1d0a0651004f5fe47f85a2a5c725ad579a90c:
  x64, x2apic/intr-remap: cpuid bits for x2apic feature (fate
  [#303948] and fate #303984).
- patches.arch/x2APIC_PATCH_18_of_41_1cb11583a6c4ceda7426eb36f7bf0419da8dfbc2:
  x64, x2apic/intr-remap: disable DMA-remapping if
  Interrupt-remapping is detected (temporary quirk) (fate #303948
  and fate #303984).
- patches.arch/x2APIC_PATCH_19_of_41_13c88fb58d0112d47f7839f24a755715c6218822:
  x64, x2apic/intr-remap: x2apic ops for x2apic mode support
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_20_of_41_cff73a6ffaed726780b001937d2a42efde553922:
  x64, x2apic/intr-remap: introcude self IPI to genapic routines
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_21_of_41_12a67cf6851871ca8df42025c94f140c303d0f7f:
  x64, x2apic/intr-remap: x2apic cluster mode support (fate
  [#303948] and fate #303984).
- patches.arch/x2APIC_PATCH_22_of_41_5c520a6724e912a7e6153b7597192edad6752750:
  x64, x2apic/intr-remap: setup init_apic_ldr for UV (fate
  [#303948] and fate #303984).
- patches.arch/x2APIC_PATCH_23_of_41_89027d35aa5b8f45ce0f7fa0911db85b46563da0:
  x64, x2apic/intr-remap: IO-APIC support for interrupt-remapping
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_24_of_41_75c46fa61bc5b4ccd20a168ff325c58771248fcd:
  x64, x2apic/intr-remap: MSI and MSI-X support for interrupt
  remapping infrastructure (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_25_1_of_41_4c9961d56ec20c27ec5d02e49fd7427748312741:
  x86: make read_apic_id return final apicid (fate #303948 and
  fate #303984).
- patches.arch/x2APIC_PATCH_25_2_of_41_c535b6a1a685eb23f96e2c221777d6c1e05080d5:
  x86: let 32bit use apic_ops too (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_25_of_41_6e1cb38a2aef7680975e71f23de187859ee8b158:
  x64, x2apic/intr-remap: add x2apic support, including enabling
  interrupt-remapping (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_26_of_41_2d9579a124d746a3e0e0ba45e57d80800ee80807:
  x64, x2apic/intr-remap: support for x2apic physical mode support
  (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_27_of_41_9fa8c481b55e80edd8c637573f87853bb6b600f5:
  x64, x2apic/intr-remap: introduce CONFIG_INTR_REMAP (fate
  [#303948] and fate #303984).
- patches.arch/x2APIC_PATCH_28_1_of_41_f910a9dc7c865896815e2a95fe33363e9522f277:
  x86: make 64bit have get_apic_id (fate #303948 and fate
  [#303984]).
- patches.arch/x2APIC_PATCH_29_of_41_277d1f5846d84e16760131a93b7a67ebfa8eded4:
  x2apic: uninline uv_init_apic_ldr() (fate #303948 and fate
  [#303984]).
- patches.arch/x2APIC_PATCH_30_of_41_ad66dd340f561bdde2285992314d9e4fd9b6191e:
  x2apic: xen64 paravirt basic apic ops (fate #303948 and fate
  [#303984]).
- patches.arch/x2APIC_PATCH_34_of_41_1b9b89e7f163336ad84200b66a17284dbf26aced:
  x86: add apic probe for genapic 64bit, v2 (fate #303948 and
  fate #303984).
- patches.arch/x2APIC_PATCH_35_of_41_d25ae38b7e005af03843833bbd811ffe8c5f8cb4:
  x86: add apic probe for genapic 64bit - fix (fate #303948 and
  fate #303984).
- patches.arch/x2APIC_PATCH_36_of_41_276605dddb74cbf1b77696e32c4a947e42cec52d:
  x2apic: use x2apic id reported by cpuid during topology
  discovery (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_40_of_41_bbb65d2d365efe9951290e61678dcf81ec60add4:
  x86: use cpuid vector 0xb when available for detecting cpu
  topology (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_41_of_41_11c231a962c740b3216eb6565149ae5a7944cba7:
  x86: use x2apic id reported by cpuid during topology discovery,
  fix (fate #303948 and fate #303984).
- patches.arch/x2APIC_PATCH_42_of_41_77322deb4bc676a5ee645444e7ed1a89f854473d:
  x86: io-apic - interrupt remapping fix (fate #303948 and
  fate #303984).
- patches.arch/x2APIC_PATCH_43_of_41_2c72d93f6593f386f5760ca8e7ac7026948c31d7:
  x2apic: fix reserved APIC register accesses in
  print_local_APIC() (fate #303948 and fate #303984).
- patches.drivers/sgi-uv-led: SGI UV: Provide a LED driver and
  some System Activity Indicators (FATE#304268).
- patches.suse/kdb-x86: kdb-v4.4-2.6.27-rc5-x86-1 (FATE#303971).
- patches.xen/xen-x86-no-lapic: Disallow all accesses to the
  local APIC page (191115).
- patches.xen/xen3-auto-arch-x86.diff: xen3 arch-x86.
- patches.xen/xen3-patch-2.6.19: Linux 2.6.19.
- patches.xen/xen3-patch-2.6.26: 2.6.26.
- Update config files:
  Added CONFIG_INTR_REMAP to all x86_64 flavors
* Wed Oct  8 2008 gregkh@suse.de
- rpm/kernel-binary.spec.in: added Obsoletes: atl2-kmp as this
  driver is now included in the kernel package.
* Wed Oct  8 2008 jjolly@suse.de
- patches.arch/s390-01-04-fcpperf-4-v2.patch: Update for fcpperf-4
  patch to bring in sync with upstream version. (bnc#417243)
- patches.arch/s390-01-04-fcpperf-4.patch: Removed, replaced by
  updated patch
* Wed Oct  8 2008 sjayaraman@suse.de
- Remove stale swap-over-nfs patches.
- patches.suse/SoN-05-page_alloc-reserve.patch: Delete.
- patches.suse/SoN-06-reserve-slub.patch: Delete.
* Wed Oct  8 2008 agruen@suse.de
- No uml patches left, so remove the code referring to
  patches.uml.tar.bz2.
* Wed Oct  8 2008 ghaskins@suse.de
  Guarded by +RT
- patches.rt/fix-up-comment.patch: RT: Remove comment that is
  no longer true.
- patches.rt/check-for-migration-during-push.patch: RT: fix
  push_rt_task() to handle dequeue_pushable properly.
* Wed Oct  8 2008 agruen@suse.de
- Add DMAPI patches (supported by SGI).
- Update config files: enable DMAPI.
* Wed Oct  8 2008 sjayaraman@suse.de
- Doh, forgot to remove stale files from cvs
- Update config files NFS_SWAP=y.
* Wed Oct  8 2008 sjayaraman@suse.de
- Refreshed to -v19 of swap over nfs patchset.
  o netns, ipv6 fixes
  o patch ordering changes due to additional patches
- Adjust patches.xen/xen3-auto-common.diff to avoid conflict.
* Wed Oct  8 2008 bwalle@suse.de
- Enable CONFIG_MFD_SM501_GPIO also for RT.
* Wed Oct  8 2008 bwalle@suse.de
- Refresh patches.rt/mips-remove-duplicate-kconfig.patch.
* Wed Oct  8 2008 bwalle@suse.de
- Update to 2.6.27-rc9.
- Enable new configuration option CONFIG_MFD_SM501_GPIO.
- Drop following patches (mainline):
  o patches.suse/e1000e_debug_contention_on_NVM_SWFLAG
  o patches.suse/e1000e_do_not_ever_sleep_in_interrupt_context
  o patches.suse/e1000e_drop_stats_lock, e1000e_fix_lockdep_issues
  o patches.suse/e1000e_mmap_range_chk,
  o patches.suse/e1000e_reset_swflag_after_resetting_hardware
  o patches.suse/e1000e_update_versione1000e_write_protect_ichx_nvm
- Adjust/refresh following patches:
  o patches.arch/s390-01-03-cmm2-v2.patch
  o patches.drivers/e1000e_add_82574L.patch
  o patches.drivers/e1000e_add_ICH9_BM.patch
  o patches.drivers/e1000e_add_LOM_devices.patch
  o patches.suse/e1000e_allow_bad_checksum
  o patches.suse/e1000e_call_dump_eeprom
  o patches.suse/e1000e_ioremap_sanity_check
  o patches.suse/e1000e_use_set_memory_ro-rw_to_protect_flash_memory
* Wed Oct  8 2008 mmarek@suse.cz
- rpm/kernel-module-subpackage: switch KMPs to the new
  weak-modules2 script, which handles running depmod and mkinitrd
* Wed Oct  8 2008 hare@suse.de
- supported.conf: mark igb as supported.
* Wed Oct  8 2008 agruen@suse.de
- kernel-source-rt must not provide a kernel-source symbol: this
  would break dependencies.
* Wed Oct  8 2008 olh@suse.de
- update patches.suse/ppc-no-LDFLAGS_MODULE.patch
  use suggested patch from kernel.org bugzilla
* Wed Oct  8 2008 olh@suse.de
- add patches.arch/ppc-pseries_remove_lmb-PAGE_SHIFTT.patch
  fix oops in pseries_remove_lmb with 64k PAGE_SIZE (bnc#431380)
* Wed Oct  8 2008 gregkh@suse.de
- supported.conf: mark efivars.ko as supported
* Wed Oct  8 2008 gregkh@suse.de
- enable yealink driver (bnc#432841)
* Tue Oct  7 2008 oneukum@suse.de
- patches.fixes/ehci_sched.diff: fix hang in disable_periodic
  (bnc#403346).
* Tue Oct  7 2008 trenn@suse.de
- patches.fixes/fujisu_laptop_fix_section_mismatch.patch: Fix
  section mismatch in fujitsu_laptop driver (none).
* Tue Oct  7 2008 hare@suse.de
- patches.fixes/sd-needs-updating: Driver 'sd' needs updating
  (bnc#406656).
* Tue Oct  7 2008 agruen@suse.de
- rpm/post.sh: Catch mkinitrd error code indicating missing
  required modules. Only add a bootloader entry if an initrd
  could be created, but re-add the bootloader entry even if
  the initrd already existed before (bnc#431703).
* Tue Oct  7 2008 hare@suse.de
- patches.drivers/lpfc-8.2.8.4-update: Update lpfc to 8.2.8.4
  (bnc#420767).
- patches.drivers/qla4xxx-sles11-update: qla4xxx driver fixes
  for SLES11 (bnc#432976).
* Tue Oct  7 2008 olh@suse.de
- mark legacy iseries storage as supported
* Mon Oct  6 2008 jdelvare@suse.de
- supported.conf: Add the ad7414, adcxx and ibmaem hwmon drivers as
  unsupported.
* Mon Oct  6 2008 jdelvare@suse.de
- config/ia64/*: Don't built i2c-amd756-s4882 and i2c-nforce2-s4985
  on ia64, these are motherboard-specific drivers for x86_64
  motherboards.
- config/powerpc/*: Don't built i2c-isch on powerpc, it is a driver
  for x86 hardware.
- config/*: Don't built i2c-simtec on i386, x86_64 and ia64, there
  is no Simtec hardware based on these architectures.
* Sun Oct  5 2008 agruen@suse.de
- rpm/kernel-binary.spec.in: Fix the logic splitting up the symbols
  defined in vmlinux by subsystem. (Actually, per directory, under
  the assumption that there is enough of a correlation).
* Sun Oct  5 2008 greg@suse.de
- supported.conf: add ohci-hcd to base.  Fix up other USB drivers
  (USB network drivers had moved, others were missing)
* Sun Oct  5 2008 gregkh@suse.de
- patches.drivers/atl2-add-atl2-network-driver.patch: atl2:
  add atl2 network driver.
- Update config files (even the rt ones).
* Fri Oct  3 2008 jkosina@suse.de
- patches.suse/e1000e_debug_contention_on_NVM_SWFLAG: fix bogus
  WARN_ON() condition, as per upstream commit 95b866d5a
* Fri Oct  3 2008 olh@suse.de
- mark ibmvfc as supported (bnc#417555 - fate#304178 - LTC46935)
* Fri Oct  3 2008 olh@suse.de
- compile windfarm_pm121 into the kernel
* Fri Oct  3 2008 jeffm@suse.de
- doc/README.SUSE, scripts/tar-up_and_run_mbuild.sh,
  scripts/run_oldconfig.sh,
  scripts/sequence-patch.sh: Eliminated defconfig.$flavor
* Fri Oct  3 2008 olh@suse.de
- mark Cell drivers as supported
* Fri Oct  3 2008 tonyj@suse.de
- Update config files
  rt configs not updated for per-module-dynamic-debug-messages.patch
* Fri Oct  3 2008 gregkh@suse.de
- change patches.suse/supported-flag to show which modules are
  unsupported and externally supported in oops messages.  Also change
  the taint values as the documentation was totally wrong.
* Fri Oct  3 2008 tonyj@suse.de
- Reenable RT debug builds, compile tested only
- Update config files
- Fix tracer issues
  patches.rt/event-trace-hrtimer-trace.patch
  patches.rt/trace-events-handle-syscalls.patch
  patches.rt/trace-ktime-scalar.patch
  patches.rt/tracer-event-trace.patch
- patches.rt/kdb-disable-ist.patch: Disable stackfault and debug stacks for kdb
- patches.rt/kdb-rtmisc.patch: Misc KDB fixes for RT
- patches.rt/novfs-rtmisc.patch: Misc NOVFS fixes for RT
* Fri Oct  3 2008 gregkh@suse.de
- patches.drivers/driver-core-basic-infrastructure-for-per-module-dynamic-debug-messages.patch:
  driver core: basic infrastructure for per-module dynamic
  debug messages.
- refresh patches.trace/tracepoints.patch: Kernel Tracepoints.
- Update config files.
* Thu Oct  2 2008 agruen@suse.de
- Introduce kernel-source-rt and kernel-syms-rt packages, needed
  for building real-time KMPs.
* Thu Oct  2 2008 schwab@suse.de
- Don't clean <asm/nr-irqs.h>.
* Thu Oct  2 2008 jblunck@suse.de
- supported.conf: add qeth_l2 and qeth_l3 as supported modules
* Thu Oct  2 2008 jkosina@suse.de
- patches.suse/e1000e_write_protect_ichx_nvm: e1000e: update to
  the latest version of the patch as provided by Intel
* Thu Oct  2 2008 jbeulich@novell.com
- Update Xen patches to 2.6.27-rc8 and c/s 684.
- patches.xen/xen-e1000e_Export_set_memory_ro-rw: Replace by ...
- patches.xen/xen3-e1000e_Export_set_memory_ro-rw: this, and put
  in proper place in series.conf.
- patches.xen/xen-rwlocks-enable-interrupts: Replace by ...
- patches.xen/xen3-rwlocks-enable-interrupts: this, and put in
  proper place in series.conf.
* Wed Oct  1 2008 jeffm@suse.de
- scripts/sequence-patch.sh
- scripts/run_oldconfig.sh: x86 defconfigs go under arch/x86.
* Wed Oct  1 2008 olh@suse.de
- enable msi on ppc64 (bnc#430937)
* Wed Oct  1 2008 tiwai@suse.de
- rpm/kernel-source.spec.in: Remove /lib/modules from file list
  as it's already in filesystem
* Wed Oct  1 2008 tiwai@suse.de
- rpm/kernel-source.spec.in: Fixed missing endif
* Wed Oct  1 2008 tiwai@suse.de
- Update config files: make floppy module on i386, too
* Wed Oct  1 2008 tiwai@suse.de
- supported.conf: update sound drivers
* Wed Oct  1 2008 tonyj@suse.de
- update RT to 2.6.27-rc8
- patches.rt/preempt-realtime-fs-block.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-timer.patch: Linux-RT 2.6.27-RT.
* Wed Oct  1 2008 agruen@suse.de
- Update -rt config files.
* Tue Sep 30 2008 gregkh@suse.de
- update to 2.6.27-rc8
  - obsoletes these patches:
  - patches.arch/ia64-kdump_proc_iomem.diff
  - patches.drivers/qla2xxx-defer-risc-interrupt-enablement
  - patches.fixes/usb-hcd-interrupt-shared.patch
* Tue Sep 30 2008 jkosina@suse.de
- additional patches to track down and fix e1000e NVM corruption
- patches.suse/e1000e_ioremap_sanity_check: ioremap sanity check
  to catch mapping requests exceeding the BAR sizes (bnc#425480).
- patches.suse/e1000e_write_protect_ichx_nvm: e1000e: write
  protect ICHx NVM to prevent malicious write/erase (bnc#425480).
* Tue Sep 30 2008 hare@suse.de
- Update config files.
* Tue Sep 30 2008 hare@suse.de
- patches.drivers/mpt-fusion-4.00.43.00-update: Update MPT Fusion
  driver to v4.00.43.00 (bnc#425660).
- patches.kernel.org/gdth-section-conflict: Add missing annotations.
* Tue Sep 30 2008 sassmann@suse.de
- Update config files: Disabled everything unnecessary in
  ps3 config file
* Tue Sep 30 2008 olh@suse.de
- disable ninja32 and ns87415 pata drivers on ppc64
* Tue Sep 30 2008 sdietrich@suse.de
- config.conf: enable rt for i386/x86_64
- Update config files: Preliminary sync with default and debug configs.
- config/x86_64/rt_timing: Delete.
- patches.rt/2.6.21-rc6-lockless3-radix-tree-gang-slot-lookups.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT radix-tree: gang slot lookups.
- patches.rt/2.6.21-rc6-lockless5-lockless-probe.patch: Linux-RT
  2.6.27-RT
  Linux-RT 2.6.26-RT mm: lockless probe.
- patches.rt/2.6.21-rc6-lockless6-speculative-get-page.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT mm: speculative get page.
- patches.rt/2.6.21-rc6-lockless7-lockless-pagecache-lookups.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT mm: lockless pagecache lookups.
- patches.rt/2.6.21-rc6-lockless8-spinlock-tree_lock.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT mm: spinlock tree_lock.
- patches.rt/Add-dev-rmem-device-driver-for-real-time-JVM-testing.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/Allocate-RTSJ-memory-for-TCK-conformance-test.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/RT_utsname.patch: Linux-RT 2.6.27-RT.
- patches.rt/aacraid-compat-sem.patch: Linux-RT 2.6.27-RT.
- patches.rt/adapt-remove-extra-try-to-lock.patch: Linux-RT
  2.6.27-RT.
- patches.rt/adaptive-adjust-pi-wakeup.patch: Linux-RT 2.6.27-RT.
- patches.rt/adaptive-earlybreak-on-steal.patch: Linux-RT
  2.6.27-RT
  rtmutex: break out early on first run.
- patches.rt/adaptive-optimize-rt-lock-wakeup.patch: Linux-RT
  2.6.27-RT.
- patches.rt/adaptive-spinlock-lite-v2.patch: Linux-RT 2.6.27-RT
  adaptive spinlocks lite.
- patches.rt/adaptive-task-oncpu.patch: Linux-RT 2.6.27-RT.
- patches.rt/apic-dumpstack.patch: Linux-RT 2.6.27-RT.
- patches.rt/apic-level-smp-affinity.patch: Linux-RT 2.6.27-RT.
- patches.rt/arm-compile-fix.patch: Linux-RT 2.6.27-RT
  ARM: compile fix for event tracing.
- patches.rt/arm-fix-compile-error-trace-exit-idle.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/arm-futex-atomic-cmpxchg.patch: Linux-RT 2.6.27-RT.
- patches.rt/arm-latency-tracer-support.patch: Linux-RT 2.6.27-RT.
- patches.rt/arm-omap-02.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/arm-omap-05.patch: Linux-RT 2.6.27-RT.
- patches.rt/arm-preempt-config.patch: Linux-RT 2.6.27-RT.
- patches.rt/arm-trace-preempt-idle.patch: Linux-RT 2.6.27-RT.
- patches.rt/bh-state-lock.patch: Linux-RT 2.6.27-RT.
- patches.rt/bh-uptodate-lock.patch: Linux-RT 2.6.27-RT.
- patches.rt/bz235099-idle-load-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/cache_pci_find_capability.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT Cache calls to pci_find_capability.
- patches.rt/call_rcu_bh-rename-of-call_rcu.patch: Linux-RT
  2.6.27-RT
  just rename call_rcu_bh instead of making it a macro.
- patches.rt/cond_resched_softirq-WARN-fix.patch: Linux-RT
  2.6.27-RT
  WARNING: at kernel/sched.c:5071 2.6.23-rc1-rt7.
- patches.rt/cputimer-thread-rt-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/cputimer-thread-rt_A0.patch: Linux-RT 2.6.27-RT.
- patches.rt/cycles-to-ns-trace-fix.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/dev-queue-xmit-preempt-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/disable-irqpoll.patch: Linux-RT 2.6.27-RT.
- patches.rt/disable-ist-x86_64.patch: Linux-RT 2.6.27-RT.
- patches.rt/disable-lpptest-on-nonlinux.patch: Linux-RT
  2.6.27-RT.
- patches.rt/disable-run-softirq-from-hardirq-completely.patch:
  Linux-RT 2.6.27-RT
  Disable running softirqs from hardirqs completely!.
- patches.rt/dont-disable-preemption-without-IST.patch: Linux-RT
  2.6.27-RT.
- patches.rt/dont-let-rt-rw_semaphores-do-non_owner-locks.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/dont-unmask-io_apic.patch: Linux-RT 2.6.27-RT.
- patches.rt/drain-all-local-pages-via-sched.patch: Linux-RT
  2.6.27-RT.
- patches.rt/event-trace-hrtimer-trace.patch: Linux-RT 2.6.27-RT
  event-tracer: add clockevent trace.
- patches.rt/export-schedule-on-each-cpu.patch: Linux-RT
  2.6.27-RT.
- patches.rt/filemap-dont-bug-non-atomic.patch: Linux-RT
  2.6.27-RT.
- patches.rt/fix-a-previously-reverted-fix.patch: Linux-RT
  2.6.27-RT
  Fix a previously reverted "fix".
- patches.rt/fix-adaptive-hack.patch: Linux-RT 2.6.27-RT
  fix-adaptive-hack.patch.
- patches.rt/fix-bug-on-in-filemap.patch: Linux-RT 2.6.27-RT
  Change bug_on for atomic to pagefault_disabled..
- patches.rt/fix-circular-locking-deadlock.patch: Linux-RT
  2.6.27-RT.
- patches.rt/fix-compilation-for-non-RT-in-timer.patch: Linux-RT
  2.6.27-RT.
- patches.rt/fix-config-debug-rt-mutex-lock-underflow-warnings.patch:
  Linux-RT 2.6.27-RT
  Fix CONFIG_DEBUG_RT_MUTEX lock underflow warnings.
- patches.rt/fix-emac-locking-2.6.16.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/fix-emergency-reboot.patch: Linux-RT 2.6.27-RT
  call reboot notifier list when doing an emergency reboot.
- patches.rt/fix-migrating-softirq.patch: Linux-RT 2.6.27-RT.
- patches.rt/fix-softirq-checks-for-non-rt-preempt-hardirq.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/fix_vdso_gtod_vsyscall64_2.patch: Linux-RT 2.6.27-RT.
- patches.rt/floppy-resume-fix.patch: Linux-RT 2.6.27-RT
  floppy: suspend/resume fix.
- patches.rt/frace-use-tsc.patch: Linux-RT 2.6.27-RT.
- patches.rt/ftrace-compile-fixes.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT rt: remove call to stop tracer.
- patches.rt/ftrace-document-event-tracer.patch: Linux-RT
  2.6.27-RT.
- patches.rt/ftrace-document-update1.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT ftrace: document updates.
- patches.rt/ftrace-dont-trace-markers.patch: Linux-RT 2.6.27-RT
  ftrace: dont trace markers.
- patches.rt/ftrace-fix-get-kprobe-wreckage.patch: Linux-RT
  2.6.27-RT
  Linux-RT 2.6.26-RT ftrace-fix-missing-kprobe-include.pathc.
- patches.rt/ftrace-fix-header.patch: Linux-RT 2.6.27-RT.
- patches.rt/ftrace-function-record-nop.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT ftrace: define function trace nop.
- patches.rt/ftrace-hotplug-fix.patch: Linux-RT 2.6.27-RT
  ftrace: cpu hotplug fix.
- patches.rt/ftrace-m68knommu-add-FTRACE-support.patch: Linux-RT
  2.6.27-RT.
- patches.rt/ftrace-m68knommu-generic-stacktrace-function.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/ftrace-preempt-trace-check.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT ftrace: only trace preempt off with
  preempt tracer.
- patches.rt/ftrace-print-missing-cmdline.patch: Linux-RT
  2.6.27-RT
  ftrace: fix the command line printing.
- patches.rt/ftrace-record-comm-on-ctrl.patch: Linux-RT 2.6.27-RT
  ftrace: record comm on function ctrl change.
- patches.rt/ftrace-stop-trace-on-crash.patch: Linux-RT 2.6.27-RT
  fix-tracer-wreckage-wtf-is-this-code-all-features.patch.
- patches.rt/ftrace-trace-sched.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT ftrace: trace sched.c.
- patches.rt/ftrace-use-preempt-disable-not-irq-disable.patch:
  Linux-RT 2.6.27-RT
  ftrace: avoid lockdep recursion.
- patches.rt/ftrace-wakeup-rawspinlock.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT ftrace: user raw spin lock for wakeup
  function trace.
- patches.rt/generic-cmpxchg-use-raw-local-irq-variant.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/genhd-protect-percpu-var.patch: Linux-RT 2.6.27-RT.
- patches.rt/genirq-soft-resend.patch: Linux-RT 2.6.27-RT
  x86: activate HARDIRQS_SW_RESEND.
- patches.rt/git-ignore-script-lpp.patch: Linux-RT 2.6.27-RT.
- patches.rt/gtod-optimize.patch: Linux-RT 2.6.27-RT.
- patches.rt/hack-convert-i_alloc_sem-for-direct_io-craziness.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/hack-fix-rt-migration.patch: Linux-RT 2.6.27-RT.
- patches.rt/handle-pending-in-simple-irq.patch: Linux-RT
  2.6.27-RT
  handle IRQ_PENDING for simple irq handler.
- patches.rt/highmem-redo-mainline.patch: Linux-RT 2.6.27-RT.
- patches.rt/highmem-revert-mainline.patch: Linux-RT 2.6.27-RT.
- patches.rt/highmem_rewrite.patch: Linux-RT 2.6.27-RT
  mm: remove kmap_lock.
- patches.rt/hrtimer-no-printk.patch: Linux-RT 2.6.27-RT.
- patches.rt/hrtimers-overrun-api.patch: Linux-RT 2.6.27-RT.
- patches.rt/i386-mark-atomic-irq-ops-raw.patch: Linux-RT
  2.6.27-RT.
- patches.rt/i386-nmi-watchdog-show-regs.patch: Linux-RT
  2.6.27-RT.
- patches.rt/idle-fix.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/idle2-fix.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/ioapic-fix-too-fast-clocks.patch: Linux-RT 2.6.27-RT.
- patches.rt/irda-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/irq-mask-fix.patch: Linux-RT 2.6.27-RT
  genirq: fix simple and fasteoi irq handlers.
- patches.rt/jbd_assertions_smp_only.patch: Linux-RT 2.6.27-RT.
- patches.rt/kmap-atomic-i386-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/kmap-atomic-prepare.patch: Linux-RT 2.6.27-RT.
- patches.rt/kprobes-preempt-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/kstat-add-rt-stats.patch: Linux-RT 2.6.27-RT
  add rt stats to /proc/stat.
- patches.rt/kstat-fix-spurious-system-load-spikes-in-proc-loadavgrt.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/latency-measurement-drivers.patch: Linux-RT
  2.6.27-RT.
- patches.rt/latency-tracing-arm.patch: Linux-RT 2.6.27-RT.
- patches.rt/latency-tracing-ppc.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/loadavg_fixes_weird_loads.patch: Linux-RT 2.6.27-RT.
- patches.rt/local_irq_save_nort-in-swap.patch: Linux-RT
  2.6.27-RT.
- patches.rt/lock-init-plist-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/lock_list.patch: Linux-RT 2.6.27-RT
  lock_list - a fine grain locked double linked list.
- patches.rt/lock_page_ref.patch: Linux-RT 2.6.27-RT
  mm: lock_page_ref.
- patches.rt/lockdep-avoid-fork-waring.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT ftrace: fix if define to prove locking.
- patches.rt/lockdep-lock_set_subclass.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT lockdep: lock_set_subclass - reset a held
  lock's subclass.
- patches.rt/lockdep-more-entries.patch: Linux-RT 2.6.27-RT.
- patches.rt/lockdep-prettify.patch: Linux-RT 2.6.27-RT
  lockdep: prettify output.
- patches.rt/lockdep-rt-mutex.patch: Linux-RT 2.6.27-RT
  lockdep-rt: annotate PREEMPT_RT DEFINE_MUTEX.
- patches.rt/lockdep-rt-recursion-limit-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/lockdep-show-held-locks.patch: Linux-RT 2.6.27-RT
  lockdep: show held locks when showing a stackdump.
- patches.rt/lockdep_lock_set_subclass_fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/lockstat-fix-contention-points.patch: Linux-RT
  2.6.27-RT
  Linux-RT 2.6.26-RT lockstat: fix contention points.
- patches.rt/lockstat-output.patch: Linux-RT 2.6.27-RT
  lockstat: warn about disabled lock debugging.
- patches.rt/lockstat-rt-hooks.patch: Linux-RT 2.6.27-RT.
- patches.rt/lockstat_bounce_rt.patch: Linux-RT 2.6.27-RT.
- patches.rt/loopback-revert.patch: Linux-RT 2.6.27-RT.
- patches.rt/m68knommu-make-cmpxchg-RT-safe.patch: Linux-RT
  2.6.27-RT.
- patches.rt/m68knommu_fixes_ontop_of_v2.6.26.patch: Linux-RT
  2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/mapping_nrpages-fix.patch: Linux-RT 2.6.27-RT
  mapping_nrpages-fix.patch.
- patches.rt/mapping_nrpages.patch: Linux-RT 2.6.27-RT
  mm/fs: abstract address_space::nrpages.
- patches.rt/mips-change-raw-spinlock-type.patch: Linux-RT
  2.6.27-RT
  Linux-RT 2.6.26-RT RT: change from raw_spinlock_t to
  __raw_spinlock_t.
- patches.rt/mips-remove-conlicting-rtc-lock-declaration.patch:
  Linux-RT 2.6.27-RT
  RT: remove conflicting rtc_lock declaration.
- patches.rt/mips-remove-duplicate-kconfig.patch: Linux-RT
  2.6.27-RT.
- patches.rt/mips-remove-finish-arch-switch.patch: Linux-RT
  2.6.27-RT
  RT: remove finish_arch_switch.
- patches.rt/mitigate-resched-flood.patch: Linux-RT 2.6.27-RT.
- patches.rt/mm-concurrent-pagecache-rt.patch: Linux-RT 2.6.27-RT
  mm: -rt bits for concurrent pagecache.
- patches.rt/mm-concurrent-pagecache.patch: Linux-RT 2.6.27-RT
  mm: concurrent pagecache write side.
- patches.rt/mm-fix-latency.patch: Linux-RT 2.6.27-RT
  reduce pagetable-freeing latencies.
- patches.rt/move-native-irq.patch: Linux-RT 2.6.27-RT.
- patches.rt/msi-suspend-resume-workaround.patch: Linux-RT
  2.6.27-RT.
- patches.rt/multi-reader-account.patch: Linux-RT 2.6.27-RT
  map tasks to reader locks held.
- patches.rt/multi-reader-limit.patch: Linux-RT 2.6.27-RT
  implement reader limit on read write locks.
- patches.rt/multi-reader-lock-account.patch: Linux-RT 2.6.27-RT
  map read/write locks back to their readers.
- patches.rt/multi-reader-pi.patch: Linux-RT 2.6.27-RT
  read lock Priority Inheritance implementation.
- patches.rt/native-sched-clock-booboo.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/neptune-no-at-keyboard.patch: Linux-RT 2.6.27-RT.
- patches.rt/net-core-preempt-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/netpoll-8139too-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/new-softirq-code.patch: Linux-RT 2.6.27-RT
  softirq preemption: optimization.
- patches.rt/nf_conntrack-fix-smp-processor-id.patch: Linux-RT
  2.6.27-RT.
- patches.rt/nf_conntrack-weird-crash-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/nfs-stats-miss-preemption.patch: Linux-RT 2.6.27-RT
  nfs: fix missing preemption check.
- patches.rt/nmi-profiling.patch: Linux-RT 2.6.27-RT.
- patches.rt/nmi-show-regs-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/nmi-watchdog-disable.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT x86_64: do not enable the NMI watchdog
  by default.
- patches.rt/nmi-watchdog-fix-1.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/nmi-watchdog-fix-2.patch: Linux-RT 2.6.27-RT.
- patches.rt/nmi-watchdog-fix-3.patch: Linux-RT 2.6.27-RT.
- patches.rt/nmi-watchdog-fix-4.patch: Linux-RT 2.6.27-RT.
- patches.rt/no-warning-for-irqs-disabled-in-local-bh-enable.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT local_bh_enable() is safe for
  irqs_disabled().
- patches.rt/ntfs-local-irq-save-nort.patch: Linux-RT 2.6.27-RT.
- patches.rt/numa-slab-freeing.patch: Linux-RT 2.6.27-RT.
- patches.rt/only-run-softirqs-from-irq-thread-when-irq-affinity-is-set.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/pagefault-disable-cleanup.patch: Linux-RT 2.6.27-RT
  clean up the page fault disabling logic.
- patches.rt/panic-dont-stop-box.patch: Linux-RT 2.6.27-RT.
- patches.rt/paravirt-function-pointer-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/pause-on-oops-head-tail.patch: Linux-RT 2.6.27-RT
  introduce pause_on_oops_head/tail boot options.
- patches.rt/percpu-locked-mm.patch: Linux-RT 2.6.27-RT.
- patches.rt/percpu-locked-netfilter.patch: Linux-RT 2.6.27-RT.
- patches.rt/percpu-locked-netfilter2.patch: Linux-RT 2.6.27-RT.
- patches.rt/percpu-locked-powerpc-fixups.patch: Linux-RT
  2.6.27-RT.
- patches.rt/percpu_list.patch: Linux-RT 2.6.27-RT
  percpu_list.
- patches.rt/plist-debug.patch: Linux-RT 2.6.27-RT.
- patches.rt/pmtmr-override.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT pmtmr: allow command line override of
  ioport.
- patches.rt/posix-cpu-timers-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/powerpc-count_active_rt_tasks-is-undefined-for-non-preempt-rt.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/powerpc-flush_tlb_pending-is-no-more.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/powerpc-ftrace-stop-on-oops.patch: Linux-RT 2.6.27-RT
  powerpc: ftrace stop on crash.
- patches.rt/powerpc-match-__rw_yield-function-declaration-to-prototype.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/ppc-chpr-set-rtc-lock.patch: Linux-RT 2.6.27-RT.
- patches.rt/ppc-gtod-notrace-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/ppc-hacks-to-allow-rt-to-run-kernbench.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/ppc-make-tlb-batch-64-only.patch: Linux-RT 2.6.27-RT.
- patches.rt/ppc-tlbflush-preempt.patch: Linux-RT 2.6.27-RT.
- patches.rt/ppc32-latency-compile-hack-fixes.patch: Linux-RT
  2.6.27-RT.
- patches.rt/ppc32_notrace_init_functions.patch: Linux-RT
  2.6.27-RT
  don't trace early init functions for ppc32.
- patches.rt/ppc64-fix-preempt-unsafe-paths-accessing-per_cpu-variables.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-Kconfig.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-arm-fix-oprofile.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-irqs-arm.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-direct-debug-keyboard.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-irqs-hrtimer.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-i386-idle-poll-loop-fix.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-i386-ioapic-mask-quirk.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-irqs-i386.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-m68knommu-make-timer-interrupt-non-threaded.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-mips.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-ppc-ack-irq-fixups.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-irqs-ppc-fix-b5.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-ppc-fix-b6.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-ppc-fix-more-fasteoi.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-irqs-ppc.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-x86-64-ioapic-mask-quirk.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-x86-64.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-acpi.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-arm-bagde4.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-arm-footbridge.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-arm-integrator.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-arm-ixp4xx.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-arm-pxa.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-arm-rawlock-in-mmu_context-h.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-arm-shark.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-arm.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-compile-fixes.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-console.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-core.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-debug-sysctl.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-fs-block.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-ftrace-disable-ftraced.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-ftrace.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-i386.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-ia64.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-ide.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-init-show-enabled-debugs.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-input.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-ipc.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-irqs.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-loopback.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-mellanox-driver-fix.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-mips.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-mm.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-mmdrop-delayed.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-net-drivers.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-net-softirq-fixups.patch: Linux-RT
  2.6.27-RT
  NOHZ: local_softirq_pending with tickless.
- patches.rt/preempt-realtime-net.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-add-raw-relax-macros.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-b2.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-b3.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-b4.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-celleb-raw-spinlocks.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-missing-raw-spinlocks.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-tlb-batching.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-powerpc-update.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-powerpc.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-prevent-idle-boosting.patch:
  Linux-RT 2.6.27-RT
  Premmpt-RT: Preevent boosting of idle task.
- patches.rt/preempt-realtime-printk.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-profiling.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-rawlocks.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-rcu.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-sched-cpupri.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-sched-i386.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-sched.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-sound.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-supress-nohz-softirq-warning.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-supress-rtc-printk.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-timer.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-usb.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-warn-and-bug-on-fix.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-realtime-warn-and-bug-on.patch: Linux-RT
  2.6.27-RT.
- patches.rt/preempt-realtime-x86_64.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-rt-no-slub.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-trace.patch: Linux-RT 2.6.27-RT.
- patches.rt/print-might-sleep-hack.patch: Linux-RT 2.6.27-RT.
- patches.rt/printk-dont-bug-on-sched.patch: Linux-RT 2.6.27-RT.
- patches.rt/printk-in-atomic-hack-fix.patch: Linux-RT 2.6.27-RT
  fix printk in atomic hack.
- patches.rt/printk-in-atomic.patch: Linux-RT 2.6.27-RT.
- patches.rt/proportions-raw-locks.patch: Linux-RT 2.6.27-RT.
- patches.rt/qrcu.patch: Linux-RT 2.6.27-RT
  QRCU with lockless fastpath.
- patches.rt/quicklist-release-before-free-page-fix.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/quicklist-release-before-free-page.patch: Linux-RT
  2.6.27-RT.
- patches.rt/radix-concurrent-lockdep.patch: Linux-RT 2.6.27-RT.
- patches.rt/radix-percpu-hack-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/radix-tree-concurrent.patch: Linux-RT 2.6.27-RT
  radix-tree: concurrent write side support.
- patches.rt/radix-tree-lockdep-plus1.patch: Linux-RT 2.6.27-RT
  lockdep: add +1 to radix tree array.
- patches.rt/radix-tree-optimistic-hist.patch: Linux-RT 2.6.27-RT
  debug: optimistic lock histogram.
- patches.rt/radix-tree-optimistic.patch: Linux-RT 2.6.27-RT
  radix-tree: optimistic locking.
- patches.rt/raw-spinlocks-for-nmi-print.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rcu-hrt-fixups.patch: Linux-RT 2.6.27-RT.
- patches.rt/rcu-new-7.patch: Linux-RT 2.6.27-RT.
- patches.rt/rcu-preempt-boost-default.patch: Linux-RT 2.6.27-RT.
- patches.rt/rcu-preempt-boost-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/rcu-preempt-boost-sdr.patch: Linux-RT 2.6.27-RT.
- patches.rt/rcu-preempt-fix-bad-dyntick-accounting.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/rcu-preempt-hotplug-hackaround.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rcu-torture-preempt-update.patch: Linux-RT 2.6.27-RT.
- patches.rt/rcu-trace-fix-free.patch: Linux-RT 2.6.27-RT.
- patches.rt/rcupreempt-boost-early-init.patch: Linux-RT
  2.6.27-RT.
- patches.rt/realtime-preempt-warn-about-tracing.patch: Linux-RT
  2.6.27-RT.
- patches.rt/relay-fix.patch: Linux-RT 2.6.27-RT
  relay: fix timer madness.
- patches.rt/remove-check-pgt-cache-calls.patch: Linux-RT
  2.6.27-RT.
- patches.rt/replace-bugon-by-warn-on.patch: Linux-RT 2.6.27-RT.
- patches.rt/revert-preempt-bkl-revert.patch: Linux-RT 2.6.27-RT.
- patches.rt/root-domain-kfree-in-atomic.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rt-apis.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-avoid-deadlock-in-swap.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-delayed-prio.patch: Linux-RT 2.6.27-RT
  rt: PI-workqueue: propagate prio for delayed work.
- patches.rt/rt-kmap-scale-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-list-mods.patch: Linux-RT 2.6.27-RT
  rt: list_splice2.
- patches.rt/rt-move-update-wall-time-back-to-do-timer.patch:
  Linux-RT 2.6.27-RT
  rt: move update_wall_time back to do timer.
- patches.rt/rt-mutex-arm.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-compat-semaphores.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-core.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-i386.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-irq-flags-checking.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/rt-mutex-mips.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-namespace.patch: Linux-RT 2.6.27-RT
  rt-mutex-namespace.patch.
- patches.rt/rt-mutex-ppc-fix-a5.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-ppc.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-preempt-debugging.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-mutex-trivial-route-cast-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rt-mutex-trivial-tcp-preempt-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rt-mutex-use-inline.patch: Linux-RT 2.6.27-RT
  rt-mutex-cleanup.patch.
- patches.rt/rt-mutex-x86-64.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-plist-mods.patch: Linux-RT 2.6.27-RT
  rt: plist_head_splice.
- patches.rt/rt-rwlock-conservative-locking.patch: Linux-RT
  2.6.27-RT
  rwlock: be more conservative in locking reader_lock_count.
- patches.rt/rt-s_files-kill-a-union.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-sched-groups.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-shorten-softirq-thread-names.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rt-workqeue-prio.patch: Linux-RT 2.6.27-RT
  rt: PI-workqueue support.
- patches.rt/rt-workqueue-barrier.patch: Linux-RT 2.6.27-RT
  rt: PI-workqueue: fix barriers.
- patches.rt/rt-wq-barrier-fix.patch: Linux-RT 2.6.27-RT
  rt: PI-workqueue: wait_on_work() fixup.
- patches.rt/rt_mutex_setprio.patch: Linux-RT 2.6.27-RT
  rt: rename rt_mutex_setprio to task_setprio.
- patches.rt/rtmutex-debug-fix.patch: Linux-RT 2.6.27-RT
  rtmutex-debug-fix.patch.
- patches.rt/rtmutex-debug.h-cleanup.patch: Linux-RT 2.6.27-RT
  lock debugging: clean up rtmutex-debug.h.
- patches.rt/rtmutex-lateral-steal.patch: Linux-RT 2.6.27-RT.
- patches.rt/rtmutex-rearrange.patch: Linux-RT 2.6.27-RT.
- patches.rt/rtmutex-remove-xchg.patch: Linux-RT 2.6.27-RT
  rtmutex - remove double xchg.
- patches.rt/rtmutex-rwlock-cmpxchg-typecast.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rwlock-fixes.patch: Linux-RT 2.6.27-RT
  rwlock: fix pi_list race conditions.
- patches.rt/rwlock-implement-downgrade-write.patch: Linux-RT
  2.6.27-RT
  rwlocks multi downgrade write.
- patches.rt/rwlock-pi-lock-reader.patch: Linux-RT 2.6.27-RT.
- patches.rt/rwlock-prio-fix.patch: Linux-RT 2.6.27-RT
  rwlock: reset prio on unlocks and wakeups.
- patches.rt/rwlock-protect-reader_lock_count.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rwlock-slowunlock-mutex-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rwlock-slowunlock-mutex-fix2.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rwlock-torture-no-rt.patch: Linux-RT 2.6.27-RT
  rwlock: fix torture test to handle non-rt.
- patches.rt/rwlock-torture.patch: Linux-RT 2.6.27-RT
  rwlock: rwlock torture test.
- patches.rt/rwlocks-default-nr-readers-nr-cpus.patch: Linux-RT
  2.6.27-RT.
- patches.rt/rwlocks-fix-no-preempt-rt.patch: Linux-RT 2.6.27-RT
  rwlock: fix non PREEMPT_RT case.
- patches.rt/rwlocks-multiple-readers.patch: Linux-RT 2.6.27-RT
  implement rwlocks management.
- patches.rt/rwsems-multiple-readers.patch: Linux-RT 2.6.27-RT
  add framework for multi readers on rwsems.
- patches.rt/s_files-pipe-fix.patch: Linux-RT 2.6.27-RT
  s_files: free_write_pipe() fix.
- patches.rt/s_files-schedule_on_each_cpu_wq.patch: Linux-RT
  2.6.27-RT.
- patches.rt/s_files.patch: Linux-RT 2.6.27-RT
  remove global files_lock.
- patches.rt/sched-clock-nmi.patch: Linux-RT 2.6.27-RT.
- patches.rt/sched-cpupri-hotplug-support.patch: Linux-RT
  2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/sched-cpupri-priocount.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/sched-enable-irqs-in-preempt-in-notifier-call.patch:
  Linux-RT 2.6.27-RT
  CFS: enable irqs in fire_sched_in_preempt_notifier.
- patches.rt/sched-fix-dequeued-race.patch: Linux-RT 2.6.27-RT
  sched-fix-dequeued-race.patch.
- patches.rt/sched-nr-migrate-lower-default-preempt-rt.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/sched-prioritize-non-migrating-rt-tasks.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/sched-rt-stats.patch: Linux-RT 2.6.27-RT.
- patches.rt/sched-use-a-2d-bitmap-search-prio-cpu.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/sched-wake_up_idle_cpu-rt.patch: Linux-RT 2.6.27-RT.
- patches.rt/sched_prio.patch: Linux-RT 2.6.27-RT.
- patches.rt/sched_rt-fixup.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/schedule-tail-balance-disable-irqs.patch: Linux-RT
  2.6.27-RT.
- patches.rt/schedule_on_each_cpu-enhance.patch: Linux-RT
  2.6.27-RT.
- patches.rt/select-error-leak-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/send-nmi-all-preempt-disable.patch: Linux-RT
  2.6.27-RT.
- patches.rt/seq-irqsave.patch: Linux-RT 2.6.27-RT.
- patches.rt/serial-locking-rt-cleanup.patch: Linux-RT 2.6.27-RT.
- patches.rt/serial-slow-machines.patch: Linux-RT 2.6.27-RT.
- patches.rt/slab-irq-nopreempt-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/smp-processor-id-fixups.patch: Linux-RT 2.6.27-RT.
- patches.rt/softirq-per-cpu-assumptions-fixes.patch: Linux-RT
  2.6.27-RT.
- patches.rt/softlockup-add-irq-regs-h.patch: Linux-RT 2.6.27-RT
  core: make asm/irq_regs.h available on every platform.
- patches.rt/spinlock-trylock-cleanup-sungem.patch: Linux-RT
  2.6.27-RT.
- patches.rt/sub-dont-disable-irqs.patch: Linux-RT 2.6.27-RT
  rt: dont disable irqs in usb.
- patches.rt/swap-spinlock-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/tasklet-busy-loop-hack.patch: Linux-RT 2.6.27-RT.
- patches.rt/tasklet-redesign.patch: Linux-RT 2.6.27-RT.
- patches.rt/timer-freq-tweaks.patch: Linux-RT 2.6.27-RT.
- patches.rt/timer-warning-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/trace-add-event-markers-arm.patch: Linux-RT
  2.6.27-RT.
- patches.rt/trace-do-not-wakeup-when-irqs-disabled.patch:
  Linux-RT 2.6.27-RT
  trace-do-not-wakeup-when-irqs-disabled.patch.
- patches.rt/trace-eip2ip.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT Re: 2.6.25.4-rt4.
- patches.rt/trace-events-handle-syscalls.patch: Linux-RT
  2.6.27-RT.
- patches.rt/trace-histograms.patch: Linux-RT 2.6.27-RT.
- patches.rt/trace-ktime-scalar.patch: Linux-RT 2.6.27-RT
  ftrace: print ktime values in readable form.
- patches.rt/trace_hist-divzero.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT trace_hist.c: divide-by-zero problem (2).
- patches.rt/trace_hist-latediv.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/tracer-add-event-markers.patch: Linux-RT 2.6.27-RT.
- patches.rt/tracer-event-trace.patch: Linux-RT 2.6.27-RT.
- patches.rt/use-edge-triggered-irq-handler-instead-of-simple-irq.patch:
  Linux-RT 2.6.27-RT
  [AT91: PATCH]: Use edge triggered interrupt handling for
  AT91-GPIO instead of simple_irq-handler.
- patches.rt/user-no-irq-disable.patch: Linux-RT 2.6.27-RT.
- patches.rt/vortex-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/warn-on-rt-scatterlist.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT remove warn on for scatterlist in preempt
  rt.
- patches.rt/watchdog_use_timer_and_hpet_on_x86_64.patch:
  Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/x86-64-tscless-vgettimeofday.patch: Linux-RT
  2.6.27-RT
  x86_64 GTOD: offer scalable vgettimeofday.
- patches.rt/x86_64-tsc-sync-irqflags-fix.patch: Linux-RT
  2.6.27-RT.
- patches.rt/26-rt1-chirag.patch: Linux-RT 2.6.27-RT
  This patch should solve some of the bug messages..
- patches.rt/add-generalized-pi-interface.patch: Linux-RT
  2.6.27-RT
  add generalized priority-inheritance interface.
- patches.rt/rtmutex-add_readers.patch: Linux-RT 2.6.27-RT
  RT: wrap the rt_rwlock "add reader" logic.
- patches.rt/rtmutex-defer-pi-until-sleepy.patch: Linux-RT
  2.6.27-RT
  rtmutex: pi-boost locks as late as possible.
- patches.rt/rtmutex-initialize-waiters.patch: Linux-RT 2.6.27-RT
  rtmutex: formally initialize the rt_mutex_waiters.
- patches.rt/rtmutex-use-runtime-init.patch: Linux-RT 2.6.27-RT
  rtmutex: use runtime init for rtmutexes.
- patches.rt/tie-pi-into-task.patch: Linux-RT 2.6.27-RT
  sched: add the basic PI infrastructure to the task_struct.
- patches.rt/rtmutex-convert-to-libpi.patch: Linux-RT 2.6.27-RT
  rtmutex: convert rtmutexes to fully use the PI library.
- patches.rt/ftrace-fix-elevated-preempt-count-in-wakeup-tracer.patch:
  Linux-RT 2.6.27-RT
  ftrace: fix elevated preempt_count in wakeup-tracer.
- patches.rt/seqlock-make-raw-seqlocks-spin-during-write.patch:
  Linux-RT 2.6.27-RT
  seqlock: make sure that raw_seqlock_t retries readers while
  writes are pending.
- patches.rt/event-tracer-syscall-i386.patch: Linux-RT 2.6.27-RT.
- patches.rt/event-tracer-syscall-x86_64.patch: Linux-RT
  2.6.27-RT.
- patches.rt/fix-acpi-build-weirdness.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/ftrace-upstream.patch: Linux-RT 2.6.27-RT
  Linux-RT 2.6.26-RT.
- patches.rt/gcc-warnings-shut-up.patch: Linux-RT 2.6.27-RT.
- patches.rt/nmi-profiling-base.patch: Linux-RT 2.6.27-RT
  nmi-driven profiling for /proc/profile.
- patches.rt/preempt-irqs-core.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-ppc-preempt-schedule-irq-entry-fix.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/preempt-irqs-timer.patch: Linux-RT 2.6.27-RT.
- patches.rt/preempt-softirqs-core.patch: Linux-RT 2.6.27-RT.
- patches.rt/random-driver-latency-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/rt-page_alloc.patch: Linux-RT 2.6.27-RT
  rt-friendly per-cpu pages.
- patches.rt/rt-slab-new.patch: Linux-RT 2.6.27-RT.
- patches.rt/bit-spinlocks-fix-compile.patch: Linux-RT 2.6.27-RT.
- patches.rt/compat_rwsem-fix-compile.patch: Linux-RT 2.6.27-RT.
- patches.rt/drivers_base_mutex.patch: Linux-RT 2.6.27-RT.
- patches.rt/fix-net-bug-fixes.patch: Linux-RT 2.6.27-RT.
- patches.rt/ftrace-ppc-define-mcount.patch: Linux-RT 2.6.27-RT.
- patches.rt/ftrace-report-failure.patch: Linux-RT 2.6.27-RT
  ftrace: warn on failure to disable mcount callers.
- patches.rt/ftrace-upstream-temp.patch: Linux-RT 2.6.27-RT.
- patches.rt/futex-fifo-warn-sysctl.patch: Linux-RT 2.6.27-RT.
- patches.rt/futex-trivial-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/hrtimers-stuck-in-waitqueue.patch: Linux-RT
  2.6.27-RT.
- patches.rt/lockdep-atomic-fixup.patch: Linux-RT 2.6.27-RT.
- patches.rt/namespace-lock-fixes.patch: Linux-RT 2.6.27-RT.
- patches.rt/nmi-prof-compile.patch: Linux-RT 2.6.27-RT.
- patches.rt/plist-fix-static-node-init.patch: Linux-RT 2.6.27-RT.
- patches.rt/powerpc-01-separate-the-irq-radix-tree-insertion.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/powerpc-02-make-the-irq-reverse-mapping-radix-tree-lockless.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/ppc-fix-prev-revert-fix-again.patch: Linux-RT
  2.6.27-RT.
- patches.rt/prof-sysctl-compile.patch: Linux-RT 2.6.27-RT.
- patches.rt/rcu-apply-rcu_process_callbacks-from-mainline.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/rcu-preempt-tracing-preempt-disable-fix.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/rt-wq-flush_work.patch: Linux-RT 2.6.27-RT.
- patches.rt/rtmutex-debug-magic.patch: Linux-RT 2.6.27-RT
  rtmutex: check integrity.
- patches.rt/sched-add-needs_post_schedule.patch: Linux-RT
  2.6.27-RT.
- patches.rt/sched-generic-hide-smp-warning.patch: Linux-RT
  2.6.27-RT
  suppress warning of smp_processor_id use..
- patches.rt/sched-make-double-lock-balance-fair.patch: Linux-RT
  2.6.27-RT.
- patches.rt/sched-only-push-if-pushable.patch: Linux-RT
  2.6.27-RT.
- patches.rt/sched-only-push-once-per-queue.patch: Linux-RT
  2.6.27-RT.
- patches.rt/sched-properly-account-irq-and-rt-load.patch:
  Linux-RT 2.6.27-RT
  sched: properly account IRQ and RT load in .
- patches.rt/sched-rt-runtime-lock-raw.patch: Linux-RT 2.6.27-RT.
- patches.rt/seqlock-01-make-sure-that-raw_seqlock-retries.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/seqlock-02-fix-elevated-preempt-count.patch:
  Linux-RT 2.6.27-RT.
- patches.rt/seqlock-serialize-against-writers.patch: Linux-RT
  2.6.27-RT.
- patches.rt/seqlocks-handle-rwlock-and-spin.patch: Linux-RT
  2.6.27-RT
  seqlock - fix for both PREEMPT_RT and non PREEMPT_RT.
- patches.rt/shorten-posix-cpu-timers-name.patch: Linux-RT
  2.6.27-RT.
- patches.rt/sysctl-compile-fix.patch: Linux-RT 2.6.27-RT.
- patches.rt/tracepoint-backport.patch: Linux-RT 2.6.27-RT.
- patches.rt/x86-tlbstate-lock-raw.patch: Linux-RT 2.6.27-RT.
* Tue Sep 30 2008 olh@suse.de
- enable ipmi message handler on ppc64 (bnc#430705)
* Tue Sep 30 2008 olh@suse.de
- create flavor symlinks unconditionally
  they do not depend on presence of modules
* Mon Sep 29 2008 agruen@suse.de
- Update config files after Swap-over-NFS backout.
* Mon Sep 29 2008 agruen@suse.de
- kernel-vanilla and kernel-p3 are not split into main, -base, and
  - extra packages. Fix the bogus dependencies on those packages.
* Mon Sep 29 2008 jkosina@suse.de
- disabled the following Swap-over-NFS patches, as they cause panic
  in IPv6 code:
  - patches.suse/SoN-01-mm-gfp-to-alloc_flags.patch: mm:
    gfp_to_alloc_flags() (FATE#303834).
  - patches.suse/SoN-02-mm-setup_per_zone_pages_min.patch: mm:
    serialize access to min_free_kbytes (FATE#303834).
  - patches.suse/SoN-03-doc.patch: swap over network documentation
    (FATE#303834).
  - patches.suse/SoN-04-mm-gfp-to-alloc_flags-expose.patch: mm:
    expose gfp_to_alloc_flags() (FATE#303834).
  - patches.suse/SoN-05-page_alloc-reserve.patch: mm: tag reseve
    pages (FATE#303834).
  - patches.suse/SoN-06-reserve-slub.patch: mm: slb: add knowledge
    of reserve pages (FATE#303834).
  - patches.suse/SoN-07-mm-kmem_estimate_pages.patch: mm:
    kmem_alloc_estimate() (FATE#303834).
  - patches.suse/SoN-08-mm-PF_MEMALLOC-softirq.patch: mm: allow
    PF_MEMALLOC from softirq context (FATE#303834).
  - patches.suse/SoN-09-mm-page_alloc-emerg.patch: mm: emergency
    pool (FATE#303834).
  - patches.suse/SoN-10-global-ALLOC_NO_WATERMARKS.patch: mm:
    system wide ALLOC_NO_WATERMARK (FATE#303834).
  - patches.suse/SoN-11-mm-page_alloc-GFP_EMERGENCY.patch: mm:
    __GFP_MEMALLOC (FATE#303834).
  - patches.suse/SoN-12-mm-reserve.patch: mm: memory reserve
    management (FATE#303834).
  - patches.suse/SoN-13-mm-selinux-emergency.patch: selinux:
    tag avc cache alloc as non-critical (FATE#303834).
  - patches.suse/SoN-14-net-backlog.patch: net: wrap
    sk->sk_backlog_rcv() (FATE#303834).
  - patches.suse/SoN-15-net-ps_rx.patch: net: packet split receive
    api (FATE#303834).
  - patches.suse/SoN-16-net-sk_allocation.patch: net:
    sk_allocation() - concentrate socket related allocations
    (FATE#303834).
  - patches.suse/SoN-17-netvm-reserve.patch: netvm: network reserve
    infrastructure (FATE#303834).
  - patches.suse/SoN-18-netvm-reserve-inet.patch: netvm: INET
    reserves. (FATE#303834).
  - patches.suse/SoN-19-netvm-skbuff-reserve.patch: netvm: hook
    skb allocation to reserves (FATE#303834).
  - patches.suse/SoN-20-netvm-sk_filter.patch: netvm: filter
    emergency skbs. (FATE#303834).
  - patches.suse/SoN-21-netvm-tcp-deadlock.patch: netvm: prevent
    a stream specific deadlock (FATE#303834).
  - patches.suse/SoN-22-emergency-nf_queue.patch: netfilter:
    NF_QUEUE vs emergency skbs (FATE#303834).
  - patches.suse/SoN-23-netvm.patch: netvm: skb processing
    (FATE#303834).
  - patches.suse/SoN-24-mm-swapfile.patch: mm: add support for
    non block device backed swap files (FATE#303834).
  - patches.suse/SoN-25-mm-page_file_methods.patch: mm: methods
    for teaching filesystems about PG_swapcache pages (FATE#303834).
  - patches.suse/SoN-26-nfs-swapcache.patch: nfs: teach the NFS
    client how to treat PG_swapcache pages (FATE#303834).
  - patches.suse/SoN-27-nfs-swapper.patch: nfs: disable data cache
    revalidation for swapfiles (FATE#303834).
  - patches.suse/SoN-28-nfs-swap_ops.patch: nfs: enable swap on NFS
    (FATE#303834).
  - patches.suse/SoN-29-nfs-alloc-recursions.patch: nfs: fix various
    memory recursions possible with swap over NFS. (FATE#303834).
  - patches.xen/xen3-auto-common.diff: xen3 common.
* Mon Sep 29 2008 ptesarik@suse.cz
- patches.arch/x86-tracehook: x86 tracehook (FATE#304321).
  Provide the base infrastructure for utrace on x86.
* Mon Sep 29 2008 schwab@suse.de
- config/powerpc/vanilla: configure to 64bit.
* Mon Sep 29 2008 schwab@suse.de
- rpm/functions.sh: remove readlink emulation.
* Mon Sep 29 2008 hare@suse.de
- patches.drivers/lpfc-8.2.8.3-update: Update lpfc to 8.2.8.3
  (bnc#420767).
* Mon Sep 29 2008 rw@suse.de
- Update ia64 config files.  (bnc#429881)
* Mon Sep 29 2008 jjolly@suse.de
- patches.drivers/ehca-flush-cqe.patch: adds software flush CQE
  generation (bnc#430344)
* Mon Sep 29 2008 jkosina@suse.de
- patches.suse/e1000e_allow_bad_checksum: fix infinite loop bug in
  e1000_probe() in case the card has invalid EEPROM checksum
* Mon Sep 29 2008 agruen@suse.de
- Do not split kernels which have modules disabled (kernel-ps3)
  or which do not differentiate between supported and unsupported
  modules (kernel-vanilla).
* Mon Sep 29 2008 hare@suse.de
- patches.drivers/open-fcoe-dcb-support: Fix section annotation
  for ixgbe.
- patches.fixes/scsi-enhance-error-codes: Add missing hunk.
- patches.fixes/open-iscsi-git-update: Open-iSCSI updates
  (FATE#304283).
- patches.kernel.org/gdth-section-conflict: Fixup gdth
  section annotations.
* Mon Sep 29 2008 aj@suse.de
- Silence /etc/rpm/macros.kernel-source via rpmlintrc.
* Mon Sep 29 2008 jbeulich@novell.com
- Enable Solarflare driver link and resource driver patches.
- Update x86 config files.
* Mon Sep 29 2008 agruen@suse.de
- rpm/kernel-source.spc.in: Try to get rid of a hack that makes
  uname -r pretend in build environments that the kernel from
  the installed kernel-source package is the running kernel:
  packages assuming this are completely broken ans should really
  be fixed.
* Mon Sep 29 2008 agruen@suse.de
- rpm/kernel-source.spec.in: Prepare for the upcoming introduction
  of kernel-source-rt (and kernel-syms-rt) for producing KMPs for
  real-time kernels.
- rpm/install-configs: Remove; this script didn't improve things.
* Sun Sep 28 2008 aj@suse.de
- rpm/kernel-source.rpmlintrc: New file to silence warnings about
  zero size files
- rpm/kernel-source.spec.in: Install it.
- rpm/kernel-source.spec.in: Make /etc/rpm/macros.kernel-source
  a config file to silence rpmlint.
* Sun Sep 28 2008 jdelvare@suse.de
- supported.conf: Update the list of i2c bus drivers.
  - i2c-i810, i2c-prosavage and i2c-savage4 are gone.
  - i2c-isch and i2c-nforce2-s4985 are new, mark as supported.
* Sun Sep 28 2008 aj@suse.de
- rpm/kernel-source.spec.in: Do not package .gitignore files.
* Sun Sep 28 2008 agruen@suse.de
- Fix CONFIG_MODULES=n case.
- config.conf: Some cleanups.
* Sat Sep 27 2008 agruen@suse.de
- Split the binary kernel packages into three parts:
  + kernel-$flavor-base: very reduced hardware support, intended
  to be used in virtual machine images
  + kernel-$flavor: extends the base package; contains all kernel
  modules we can support
  + kernel-$flavor-extra: all other kernel modules which may be
  useful, but which we cannot support.
* Sat Sep 27 2008 agruen@suse.de
- Hardlink duplicate files automatically: It doesn't save much,
  but it keeps rpmlint from breaking the package build.
* Sat Sep 27 2008 agruen@suse.de
- Add consistency check: supported modules must not depend on
  unsupported ones ... and guess what, there was a large number of
  such modules. Fix this by adding all the dependent modules to
  supported.conf.
* Sat Sep 27 2008 knikanth@suse.de
- patches.suse/dm-barrier-single-device: Implement barrier
  support for single device DM devices (FATE#304489).
* Fri Sep 26 2008 jeffm@suse.de
- scripts/tar-up_and_run_mbuild.sh: Added -xen flavor to default
  mbuild spec list.
* Fri Sep 26 2008 jeffm@suse.de
- patches.xen/xen-e1000e_Export_set_memory_ro-rw: Export
  set_memory_ro() and set_memory_rw() calls for xen. (bnc#425480).
* Fri Sep 26 2008 kkeil@suse.de
- patches.suse/e1000e_mmap_range_chk:check ranges in pci_mmap
  * updated version with better reporting (bnc#425480)
* Fri Sep 26 2008 kkeil@suse.de
- patches to track down and fix the e1000e NVM corruption
  (bnc#425480)
- patches.suse/e1000e_allow_bad_checksum: e1000e: allow bad
  checksum
- patches.suse/e1000e_call_dump_eeprom: e1000e: dump eeprom to
  dmesg for ich8/9
- patches.suse/e1000e_debug_contention_on_NVM_SWFLAG: e1000e:
  debug contention on NVM SWFLAG
- patches.suse/e1000e_do_not_ever_sleep_in_interrupt_context:
  e1000e: do not ever sleep in interrupt context
- patches.suse/e1000e_drop_stats_lock: e1000e: drop stats lock
- patches.suse/e1000e_Export_set_memory_ro-rw: Export
  set_memory_ro() and set_memory_rw() calls
- patches.suse/e1000e_fix_lockdep_issues: e1000e: fix lockdep
  issues
- patches.suse/e1000e_mmap_range_chk: check ranges in pci_mmap
- patches.suse/e1000e_reset_swflag_after_resetting_hardware:
  e1000e: reset swflag after resetting hardware
- patches.suse/e1000e_update_version: update version
- patches.suse/e1000e_use_set_memory_ro-rw_to_protect_flash_memory:
  e1000e: Use set_memory_ro()/set_memory_rw() to protect flash
  memory
-   cleanup old not longer used patches
  * patches.drivers/e1000-7.6.5-napi-tail.patch
  * patches.drivers/e1000-7.6.9.2
  * patches.drivers/e1000-7.6.9.2-napi
* Fri Sep 26 2008 kkeil@suse.de
- Enable CONFIG_SGI_IOC4=m in x86_64 (bnc#430275)
* Fri Sep 26 2008 jeffm@suse.de
- patches.arch/acpi-export-hotplug_execute: acpi: export
  acpi_os_hotplug_execute.
* Fri Sep 26 2008 jeffm@suse.de
- patches.xen/xen-rwlocks-enable-interrupts: add missing
  __raw_{read,write}_lock_flags to xen's asm/spinlock.h.
* Fri Sep 26 2008 jeffm@suse.de
- patches.arch/acpi-bay-remove-from-makefile: acpi: remove bay.c
  from makefile.
* Fri Sep 26 2008 jeffm@suse.de
- rpm/kernel-binary.spec.in: Disabled sparse checking. Too many
  false positives.
* Fri Sep 26 2008 trenn@suse.de
  No functional change:
- patches.arch/acpi_thermal_passive_blacklist.patch: Avoid
  critical temp shutdowns on specific ThinkPad T4x(p) and R40
  (https://bugzilla.novell.com/show_bug.cgi?id=333043).
  Dock bug fixes (kacpid runs amok on Dells after suspend):
- patches.arch/acpi-dock-avoid-check-_STA-method.patch: avoid
  check _STA method (fate#304731,bnc#401740).
- patches.arch/acpi-dock-fix-eject-request-process.patch: fix
  eject request process (fate#304731,bnc#401740).
  More Dock improvements, unrelated to above fixes:
- patches.arch/acpi-bay-remove-useless-code.patch: remove useless
  code (fate#304731,bnc#401740).
- patches.arch/acpi-dock-Fix-duplicate-notification-handler-register.patch:
  Fix duplicate notification handler register
  (fate#304731,bnc#401740).
- patches.arch/acpi-dock-_LCK-support-for-dock.patch: add _LCK
  support for dock (fate#304731,bnc#401740).
- patches.arch/acpi-dock-fix-for-bay-in-a-dock-station.patch:
  fix for bay in a dock station (fate#304731,bnc#401740).
- patches.arch/acpi-dock-fix-hotplug-race.patch: fix hotplug race
  (fate#304731,bnc#401740).
- patches.arch/acpi-dock-introduce-.uevent-for-devices-in-dock.patch:
  introduce .uevent for devices in dock (fate#304731,bnc#401740).
- patches.arch/acpi-libata-hotplug-to-align-with-dock-driver.patch:
  libata hotplug to align with dock driver
  (fate#304731,bnc#401740).
- patches.arch/acpi-dock-makeing-dock-driver-supports-bay-and-battery-hotplug.patch:
  makeing dock driver supports bay and battery hotplug
  (fate#304731,bnc#401740).
- patches.arch/acpi-dock-add-type-sysfs-file-for-dock.patch:
  add 'type' sysfs file for dock (fate#304731,bnc#401740).
- patches.fixes/acpi_use_acpi_exception.patch: ACPI dock/bay:
  Use ACPI_EXCEPTION instead of printk(KERN_ERR.
* Fri Sep 26 2008 jeffm@suse.de
- Update config files: NFS_SWAP=y
* Fri Sep 26 2008 ptesarik@suse.cz
- patches.suse/rwlocks-enable-interrupts: Allow rwlocks to
  re-enable interrupts (bnc#387784).
- patches.arch/ia64-rwlocks-enable-interrupts: ia64: re-enable
  interrupts when waiting for a rwlock (bnc#387784).
* Fri Sep 26 2008 sjayaraman@suse.de
- Add Swap over NFS patchset.
- Adjust patches.xen/xen3-auto-common.diff to avoid conflict on skbuff.h
  as both xen and swap-over-nfs want to add some bits to the skbuff structure.
- patches.suse/SoN-01-mm-gfp-to-alloc_flags.patch: mm:
  gfp_to_alloc_flags() (FATE#303834).
- patches.suse/SoN-02-mm-setup_per_zone_pages_min.patch: mm:
  serialize access to min_free_kbytes (FATE#303834).
- patches.suse/SoN-03-doc.patch: swap over network documentation
  (FATE#303834).
- patches.suse/SoN-04-mm-gfp-to-alloc_flags-expose.patch: mm:
  expose gfp_to_alloc_flags() (FATE#303834).
- patches.suse/SoN-05-page_alloc-reserve.patch: mm: tag reseve
  pages (FATE#303834).
- patches.suse/SoN-06-reserve-slub.patch: mm: slb: add knowledge
  of reserve pages (FATE#303834).
- patches.suse/SoN-07-mm-kmem_estimate_pages.patch: mm:
  kmem_alloc_estimate() (FATE#303834).
- patches.suse/SoN-08-mm-PF_MEMALLOC-softirq.patch: mm: allow
  PF_MEMALLOC from softirq context (FATE#303834).
- patches.suse/SoN-09-mm-page_alloc-emerg.patch: mm: emergency
  pool (FATE#303834).
- patches.suse/SoN-10-global-ALLOC_NO_WATERMARKS.patch: mm:
  system wide ALLOC_NO_WATERMARK (FATE#303834).
- patches.suse/SoN-11-mm-page_alloc-GFP_EMERGENCY.patch: mm:
  __GFP_MEMALLOC (FATE#303834).
- patches.suse/SoN-12-mm-reserve.patch: mm: memory reserve
  management (FATE#303834).
- patches.suse/SoN-13-mm-selinux-emergency.patch: selinux:
  tag avc cache alloc as non-critical (FATE#303834).
- patches.suse/SoN-14-net-backlog.patch: net: wrap
  sk->sk_backlog_rcv() (FATE#303834).
- patches.suse/SoN-15-net-ps_rx.patch: net: packet split receive
  api (FATE#303834).
- patches.suse/SoN-16-net-sk_allocation.patch: net:
  sk_allocation() - concentrate socket related allocations
  (FATE#303834).
- patches.suse/SoN-17-netvm-reserve.patch: netvm: network reserve
  infrastructure (FATE#303834).
- patches.suse/SoN-18-netvm-reserve-inet.patch: netvm: INET
  reserves. (FATE#303834).
- patches.suse/SoN-19-netvm-skbuff-reserve.patch: netvm: hook
  skb allocation to reserves (FATE#303834).
- patches.suse/SoN-20-netvm-sk_filter.patch: netvm: filter
  emergency skbs. (FATE#303834).
- patches.suse/SoN-21-netvm-tcp-deadlock.patch: netvm: prevent
  a stream specific deadlock (FATE#303834).
- patches.suse/SoN-22-emergency-nf_queue.patch: netfilter:
  NF_QUEUE vs emergency skbs (FATE#303834).
- patches.suse/SoN-23-netvm.patch: netvm: skb processing
  (FATE#303834).
- patches.suse/SoN-24-mm-swapfile.patch: mm: add support for
  non block device backed swap files (FATE#303834).
- patches.suse/SoN-25-mm-page_file_methods.patch: mm: methods
  for teaching filesystems about PG_swapcache pages (FATE#303834).
- patches.suse/SoN-26-nfs-swapcache.patch: nfs: teach the NFS
  client how to treat PG_swapcache pages (FATE#303834).
- patches.suse/SoN-27-nfs-swapper.patch: nfs: disable data cache
  revalidation for swapfiles (FATE#303834).
- patches.suse/SoN-28-nfs-swap_ops.patch: nfs: enable swap on NFS
  (FATE#303834).
- patches.suse/SoN-29-nfs-alloc-recursions.patch: nfs: fix various
  memory recursions possible with swap over NFS. (FATE#303834).
- patches.xen/xen3-auto-common.diff: xen3 common.
* Fri Sep 26 2008 ptesarik@suse.cz
- split patches.arch/s390-01-01-self-ptrace-v3.patch to make it
  more obvious that the patch is not constrained to s390.
  The new series is:
    patches.suse/self-ptrace.patch: the generic pieces
    patches.arch/x86-self-ptrace.patch: implementation for x86
    patches.arch/s390-01-01-self-ptrace-v3.patch: dtto for s390
* Thu Sep 25 2008 jbeulich@novell.com
- Update Xen patches to 2.6.27-rc7 and c/s 676.
* Thu Sep 25 2008 olh@suse.de
- add patches.arch/ppc64-rpanote-relocate-firmware.patch
  update RPA note for firmware relocation (bnc#427960 - LTC48297)
* Wed Sep 24 2008 jblunck@suse.de
  This adds some tracepoint instrumentation taken from the LTTng patch
  series. Tracepoints are enabled for kernel-debug and kernel-trace only. I
  disabled ftrace for all flavors except kernel-debug and kernel-trace as well.
- Update config files.
- rpm/kernel-source.spec.in,kernel-binary.spec.in, config.conf: Add trace
  flavor
- patches.fixes/ia64-sparse-fixes.diff: ia64-kvm: fix sparse
  warnings.
- patches.xen/xen3-fixup-common: rediff
- patches.xen/xen3-auto-common.diff: rediff
- patches.xen/xen3-patch-2.6.21: rediff
- patches.xen/xen3-patch-2.6.26: rediff
- patches.trace/rcu-read-sched.patch
- patches.trace/markers-use-rcu-read-lock-sched.patch
- patches.trace/tracepoints.patch
- patches.trace/tracepoints-use-table-size-macro.patch
- patches.trace/tracepoints-documentation.patch
- patches.trace/tracepoints-tracepoint-synchronize-unregister.patch
- patches.trace/tracepoints-documentation-fix-teardown.patch
- patches.trace/tracepoints-samples.patch
- patches.trace/tracepoints-samples-fix-teardown.patch
- patches.trace/lttng-instrumentation-irq.patch
- patches.trace/lttng-instrumentation-scheduler.patch
- patches.trace/lttng-instrumentation-timer.patch
- patches.trace/lttng-instrumentation-kernel.patch
- patches.trace/lttng-instrumentation-filemap.patch
- patches.trace/lttng-instrumentation-swap.patch
- patches.trace/lttng-instrumentation-memory.patch
- patches.trace/lttng-instrumentation-page_alloc.patch
- patches.trace/lttng-instrumentation-hugetlb.patch
- patches.trace/lttng-instrumentation-net.patch
- patches.trace/lttng-instrumentation-ipv4.patch
- patches.trace/lttng-instrumentation-ipv6.patch
- patches.trace/lttng-instrumentation-socket.patch
- patches.trace/lttng-instrumentation-fs.patch
- patches.trace/lttng-instrumentation-ipc.patch
- patches.trace/ftrace-port-to-tracepoints.patch
- patches.trace/ftrace-framepointer.diff
* Tue Sep 23 2008 jjolly@suse.de
- patches.arch/s390-01-03-cmm2-v2.patch: kernel (new function):
  Collaborative Memory Management Stage II (bnc#417244)
- patches.xen/xen3-auto-common.diff: Modified patch to allow for
  the new patch
* Tue Sep 23 2008 jeffm@suse.de
- rpm/kernel-binary.spec.in: Enable sparse checking and section
  mismatch checking.
* Tue Sep 23 2008 jeffm@suse.de
- patches.kernel.org/arch-include-asm-fixes: kbuild: Properly
  handle arch/$arch/include/asm (bnc#427473).
* Mon Sep 22 2008 jeffm@suse.de
- patches.fixes/ext2-avoid-printk-flood-with-dir-corruption:
  ext2: Avoid printk floods in the face of directory corruption
  (bnc#427244 CVE-2008-3528).
- patches.fixes/ext3-avoid-printk-flood-with-dir-corruption:
  ext3: Avoid printk floods in the face of directory corruption
  (bnc#427244 CVE-2008-3528).
* Mon Sep 22 2008 jeffm@suse.de
- Update to 2.6.27-rc7.
  - Eliminated 2 patches.
  - patches.arch/s390-01-04-fcpperf-4.patch: Fixed up context.
* Mon Sep 22 2008 trenn@suse.de
  Workaround for ThinkPad brightness switching:
- patches.arch/acpi_video_thinkpad_exclude_IGD_devices.patch:
  Do not use video backlight switching for Lenovo ThinkPads.
  Commented out for now, possibly to be included later
- patches.drivers/cpufreq_add_cpu_number_paramater_1.patch:
  cpufreq: Add a cpu parameter to __cpufreq_driver_getavg()..
- patches.drivers/cpufreq_add_idle_microaccounting_6.patch:
  cpufreq,ondemand: Use get_cpu_idle_time_us() to get
  micro-accounted idle information.
- patches.drivers/cpufreq_change_load_calculation_2.patch:
  cpufreq, ondemand: Change the load calculation, optimizing
  for dependent cpus.
- patches.drivers/cpufreq_changes_to_get_cpu_idle_us_5.patch:
  export get_cpu_idle_time_us() .
- patches.drivers/cpufreq_get_cpu_idle_time_changes_3.patch:
  cpufreq,ondemand: Prepare changes for doing micro-accounting.
- patches.drivers/cpufreq_parameterize_down_differential_4.patch:
  cpufreq, ondemand: Use a parameter for down differential.
  Added CONFIG_PCIEASPM for rt, xen, powerpc and IA64 to be more
  consistent across different kernel flavors as suggested on the
  kernel list:
- Update config files.
* Mon Sep 22 2008 hare@suse.de
- patches.drivers/open-fcoe-libfc: Fix build error on IA64.
- patches.fixes/scsi-terminate-target-reset: Target reset hangs
  (bnc#427267).
- supported.conf: Update to include supported SCSI adapters.
* Fri Sep 19 2008 jbeulich@novell.com
- patches.suse/no-frame-pointer-select: Re-enable after removing FTRACE
  related change.
- Update x86 non-debug config files: Turn off FRAME_POINTER and FTRACE.
* Fri Sep 19 2008 nfbrown@suse.de
- patches.fixes/md-Allow-metadata_version-to-be-updated-for-externa.patch:
  md: Allow metadata_version to be updated for externally managed
  metadata. (FATE#304218).
- patches.fixes/md-Don-t-try-to-set-an-array-to-read-auto-if-it-i.patch:
  md: Don't try to set an array to 'read-auto' if it is already
  in that state. (FATE#304218).
* Thu Sep 18 2008 jbeulich@novell.com
- patches.suse/no-frame-pointer-select: Disable.
- Re-enable CONFIG_FRAME_POINTER in x86 config files.
* Thu Sep 18 2008 jbeulich@novell.com
- Update i386 and x86-64 config files (disable CONFIG_FRAME_POINTER in
  non-debug configs).
- patches.suse/stack-unwind: Add missing put_cpu()-s for x86-64.
- patches.suse/no-frame-pointer-select: Fix stack unwinder Kconfig
  (bnc#402518).
* Thu Sep 18 2008 hare@suse.de
- Update config files.
- patches.drivers/open-fcoe-driver: fcoe: Fibre Channel over
  Ethernet driver (FATE#303913).
- patches.drivers/open-fcoe-libfc: libfc: a modular software
  Fibre Channel implementation (FATE#303913).
- patches.drivers/open-fcoe-header-files: FC protocol definition
  header files (FATE#303913).
- patches.drivers/open-fcoe-dcb-support: FCoE: Add DCB support
  (FATE#303913).
- patches.drivers/ixgbe-fcoe-bugfixes: ixgbe: Bugfixes for FCoE.
- patches.fixes/vlan-gso-size-fix: vlan: device not reading gso
  max size of parent. (FATE#303913).
- patches.fixes/pkt_action-skbedit: pkt_action: add new action
  skbedit.
- patches.fixes/pkt_sched_multiq_support: pkt_sched: Add
  multiqueue scheduler support (FATE#303913).
- supported.conf: Update to include FCoE and device_handler
  modules
* Wed Sep 17 2008 jbeulich@novell.com
- supported.conf: adjust name of ide-cd (is now ide-cd_mod).
* Wed Sep 17 2008 hare@suse.de
- patches.drivers/qla2xxx-defer-risc-interrupt-enablement:
  qla2xxx: Defer enablement of RISC interrupts until ISP
  initialization completes (FATE#304113).
- patches.drivers/qla2xxx-8.02.01-k8-update: Update qla2xxx to
  8.02.01-k8 (FATE#304113).
* Wed Sep 17 2008 hare@suse.de
- patches.fixes/scsi-retry-hardware-error: make scsi_check_sense
  HARDWARE_ERROR return ADD_TO_MLQUEUE on retry (FATE#304042)
* Tue Sep 16 2008 olh@suse.de
- disable CONFIG_SPARSEMEM_VMEMMAP on ppc64 to allow memory remove
  (bnc#417537)
* Mon Sep 15 2008 jkosina@suse.de
- Update config files (build elousb driver as module)
- patches.drivers/elousb.patch: Elo USB touchscreen driver
  (FATE#304972).
* Mon Sep 15 2008 hare@suse.de
- patches.fixes/dm-mpath-abort-queue: Abort queued requests for
  multipath (FATE#304151).
* Mon Sep 15 2008 hare@suse.de
- Update config files: Disable CONFIG_OCFS2_COMPAT_JBD
* Mon Sep 15 2008 hare@suse.de
- patches.xen/xen-scsifront-block-timeout-update: Update XEN
  scsifront driver to request timeouts.
* Mon Sep 15 2008 sdietrich@suse.de
- Update config files: Enable GROUP_SCHED, FAIR_GROUP_SCHED,
  RT_GROUP_SCHED, CGROUP_SCHED
* Mon Sep 15 2008 hare@suse.de
- patches.drivers/block-timeout-handling: Fix typo.
* Fri Sep 12 2008 duwe@suse.de
- Add LED driver for SGI "UV" systems (FATE#304268)
* Fri Sep 12 2008 hare@suse.de
- patches.drivers/bdev-resize-added-flush_disk: Added
  flush_disk to factor out common buffer cache flushing code
  (FATE#302348,FATE#303786).
- patches.drivers/bdev-resize-adjust-block-device-size:
  Adjust block device size after an online resize of a
  disk. (FATE#302348,FATE#303786).
- patches.drivers/bdev-resize-call-flush_disk: Call flush_disk()
  after detecting an online resize. (FATE#302348,FATE#303786).
- patches.drivers/bdev-resize-check-for-device-resize:
  Check for device resize when rescanning partitions
  (FATE#302348,FATE#303786).
- patches.drivers/bdev-resize-sd-driver-calls: SCSI sd driver
  calls revalidate_disk wrapper (FATE#302348,FATE#303786).
- patches.drivers/bdev-resize-wrapper-for-revalidate_disk:
  Wrapper for lower-level revalidate_disk
  routines. (FATE#302348,FATE#303786).
- patches.drivers/block-timeout-handling: block: unify request
  timeout handling (FATE#304151,bnc#417544).
- patches.fixes/scsi-misc-git-update: SCSI misc fixes
  (FATE#303485,FATE#303484).
- patches.fixes/scsi-enhance-error-codes: Separate failfast into
  multiple bits (FATE#303485,FATE#303484).
- patches.suse/rq-based-block-layer: rediff.
- patches.suse/rq-based-multipath-functions: rediff.
- patches.suse/no-partition-scan: rediff.
* Fri Sep 12 2008 hare@suse.de
- patches.fixes/scsi-misc-git-update: SCSI misc fixes,
  required by the driver updates (FATE#303485,FATE#303484)
* Fri Sep 12 2008 hare@suse.de
- patches.drivers/lpfc-8.2.8.1-update: Update lpfc to 8.2.8.1
  (bnc#420767).
- patches.drivers/lpfc-8.2.8-update: Emulex lpfc driver update
  to 8.2.8 (FATE#303485,bnc#420767).
* Fri Sep 12 2008 bwalle@suse.de
- patches.arch/ia64-kdump_proc_iomem.diff:
  IA64: assign a distinguishable label to uncached memory in
  /proc/iomem (to fix MCA on kdump boot).
* Thu Sep 11 2008 jack@suse.cz
  Latest ext4 fixes from ext4 patch queue:
- patches.fixes/ext4-Add-inode-to-journal-handle-after-block-alloca.patch:
  ext4: Don't add the inode to journal handle until after the
  block is allocated (fate#303783).
- patches.fixes/ext4_add-missing-unlock-to-ext4-check-descriptors:
  ext4: add missing unlock in ext4_check_descriptors() on error
  path (fate#303783).
- patches.fixes/ext4-Add-percpu-dirty-block-accounting.patch:
  ext4: Add percpu dirty block accounting. (fate#303783).
- patches.fixes/ext4_create-proc-ext4-stats-file-more-carefully:
  ext4: fix #11321: create /proc/ext4/*/stats more carefully
  (fate#303783).
- patches.fixes/ext4_fix_longlong_checkpatch_issues: ext4:
  Fix long long checkpatch warnings (fate#303783).
- patches.fixes/ext4_fix_printk_checkpatch_issues: ext4:
  Add printk priority levels to clean up checkpatch warnings
  (fate#303783).
- patches.fixes/ext4_fix_whitespace_checkpatch_issues: ext4:
  Fix whitespace checkpatch warnings/errors (fate#303783).
- patches.fixes/ext4_i_disksize_lock_race_fix.patch: ext4:
  Properly update i_disksize. (fate#303783).
- patches.fixes/ext4_invalidate_pages_when_delalloc_alloc_fail.patch:
  ext4: invalidate pages if delalloc block allocation
  fails. (fate#303783).
- patches.fixes/ext4-Make-sure-all-the-block-allocation-paths-reser.patch:
  ext4: Make sure all the block allocation paths reserve blocks
  (fate#303783).
- patches.fixes/ext4_nonmballoc_reservation_ENOSPC_fix.patch:
  ext4: Fix ext4 nomballoc allocator for ENOSPC (fate#303783).
- patches.fixes/ext4-Retry-block-allocation-if-we-have-free-blocks.patch:
  ext4: Retry block allocation if we have free blocks left
  (fate#303783).
- patches.fixes/ext4-Retry-block-reservation.patch: ext4: Retry
  block reservation (fate#303783).
- patches.fixes/ext4-Signed-arithematic-fix.patch: ext4: Signed
  arithematic fix (fate#303783).
- patches.fixes/ext4-Switch-to-non-delalloc-mode-when-we-are-low-on.patch:
  ext4: Switch to non delalloc mode when we are low on free
  blocks count. (fate#303783).
- patches.fixes/ext4_truncate_block_allocated_on_a_failed_ext4_write_begin.patch:
  ext4: truncate block allocated on a failed ext4_write_begin
  (fate#303783).
- patches.fixes/ext4_update-flex-bg-counters-when-resizing:
  Update flex_bg free blocks and free inodes counters when
  resizing. (fate#303783).
- patches.fixes/percpu_counter_sum_cleanup.patch: percpu counter:
  clean up percpu_counter_sum_and_set() (fate#303783).
* Thu Sep 11 2008 bwalle@suse.de
- Enable KDB for i386 and x86_64 in "default" and "pae"
  configuration with CONFIG_KDB_OFF set to "y" (FATE#303971).
- Set CONFIG_KDB_CONTINUE_CATASTROPHIC=2 in all configurations
  that have KDB enabled.
* Thu Sep 11 2008 jslaby@suse.de
- Update config files.
  enable PID_NS and USER_NS
  (FATE#303785, FATE#304371)
* Thu Sep 11 2008 jeffm@suse.de
- Update config files.
  - Enabled CONFIG_XFRM_SUB_POLICY (FATE#303781)
* Thu Sep 11 2008 mfasheh@suse.com
- Added POSIX File Locks support for Ocfs2  (FATE#110294)
  - patches.suse/ocfs2-POSIX-file-locks-support.patch
* Thu Sep 11 2008 mfasheh@suse.com
- Added Ocfs2 JBD2 Support  (FATE#302877)
  - patches.suse/ocfs2-Limit-inode-allocation-to-32bits.patch
  - patches.suse/ocfs2-Add-the-inode64-mount-option.patch
  - patches.suse/ocfs2-Switch-over-to-JBD2.patch
* Thu Sep 11 2008 mfasheh@suse.com
- Added Ocfs2 Extended Attributes Support (FATE#302067)
  - patches.suse/ocfs2-Modify-ocfs2_num_free_extents-f.patch
  - patches.suse/ocfs2-Use-ocfs2_extent_list-instead-o.patch
  - patches.suse/ocfs2-Abstract-ocfs2_extent_tree-in-b.patch
  - patches.suse/ocfs2-Make-high-level-btree-extend-co.patch
  - patches.suse/ocfs2-Add-the-basic-xattr-disk-layout-in-ocf.patch
  - patches.suse/ocfs2-Add-helper-function-in-uptodate.patch
  - patches.suse/ocfs2-Add-extent-tree-operation-for-x.patch
  - patches.suse/ocfs2-reserve-inline-space-for-extend.patch
  - patches.suse/ocfs2-Add-extended-attribute-support.patch
  - patches.suse/ocfs2-Add-xattr-index-tree-operations.patch
  - patches.suse/ocfs2-Add-xattr-bucket-iteration-for.patch
  - patches.suse/ocfs2-Add-xattr-lookup-code-xattr-btr.patch
  - patches.suse/ocfs2-Optionally-limit-extent-size-in.patch
  - patches.suse/ocfs2-Enable-xattr-set-in-index-btree.patch
  - patches.suse/ocfs2-Delete-all-xattr-buckets-during.patch
  - patches.suse/ocfs2-Add-incompatible-flag-for-exten.patch
  - patches.suse/ocfs2-fix-printk-format-warnings.patch
  - patches.suse/ocfs2-Prefix-the-extent-tree-operations-structure.patch
  - patches.suse/ocfs2-Prefix-the-ocfs2_extent_tree-structure.patch
  - patches.suse/ocfs2-Make-ocfs2_extent_tree-get-put-instead-of-all.patch
  - patches.suse/ocfs2-Make-private-into-object-on-ocfs2_extent_.patch
  - patches.suse/ocfs2-Provide-the-get_root_el-method-to-ocfs2_ext.patch
  - patches.suse/ocfs2-Use-struct-ocfs2_extent_tree-in-ocfs2_num_fre.patch
  - patches.suse/ocfs2-Determine-an-extent-tree-s-max_leaf_clusters.patch
  - patches.suse/ocfs2-Create-specific-get_extent_tree-functions.patch
  - patches.suse/ocfs2-Add-an-insertion-check-to-ocfs2_extent_tree_o.patch
  - patches.suse/ocfs2-Make-ocfs2_extent_tree-the-first-class-repres.patch
  - patches.suse/ocfs2-Comment-struct-ocfs2_extent_tree_operations.patch
  - patches.suse/ocfs2-Change-ocfs2_get_-_extent_tree-to-ocfs2_ini.patch
  - patches.suse/ocfs2-bug-fix-for-journal-extend-in-xattr.patch
  - patches.suse/ocfs2-Resolve-deadlock-in-ocfs2_xattr_free_.patch
  - patches.suse/ocfs2-Add-xattr-mount-option-in-ocfs2_show_options.patch
* Thu Sep 11 2008 mfasheh@suse.com
- Add patches.fixes/jbd2-create-proc-entry-fix.patch
  jbd2: Create proc entry with bdevname+i_ino.
  (FATE#302877)
* Thu Sep 11 2008 mfasheh@suse.com
- Add patches.fixes/dlm-allow-multiple-lockspaces.patch
  dlm: allow multiple lockspace creates
  (FATE#110294)
* Thu Sep 11 2008 schwab@suse.de
- Update kdb patches.
* Thu Sep 11 2008 jslaby@suse.de
- Update config files.
  change CONFIG_NODES_SHIFT from 6 to 9
  (FATE#304261)
* Wed Sep 10 2008 trenn@suse.de
- Update config files.
  Added: CONFIG_PCIEASPM
* Wed Sep 10 2008 kkeil@suse.de
- patches.drivers/e1000e_add_82574L.patch: e1000e: add support
  for new 82574L part.
- patches.drivers/e1000e_add_ICH9_BM.patch: e1000e: add support
  for the 82567LM-4 device.
- patches.drivers/e1000e_add_LOM_devices.patch: e1000e: add
  support for 82567LM-3 and 82567LF-3 (ICH10D).
  (FATE#303916)
* Wed Sep 10 2008 hare@suse.de
- patches.suse/no-partition-scan: Implement 'no_partition_scan'
  commandline option (FATE#303697)
* Wed Sep 10 2008 jeffm@suse.de
- patches.kernel.org/ipmi-section-conflict.diff: ipmi: Fix
  section type conflicts.
- patches.kernel.org/psmouse-section-conflict.diff: psmouse:
  fix section type conflict.
- patches.kernel.org/carmine-section-mismatch: video: Fix section
  mismatch in carminefb.
- patches.kernel.org/md-section-conflict: md: Fix section
  conflicts.
- patches.kernel.org/setup_APIC_timer-section-mismatch: x86:
  Fix section conflict with kvm_setup_secondary_clock.
* Wed Sep 10 2008 trenn@suse.de
- patches.arch/thinkpad_fingers_off_backlight_igd.patch:
  Serve ThinkPad IGD devices backlight functionality through
  thinkpad_acpi (fate #302883).
- supported.conf: Add most important laptop drivers as supported:
    kernel/drivers/misc/asus_laptop
    kernel/drivers/misc/eeepc-laptop
    kernel/drivers/misc/msi-laptop
    kernel/drivers/misc/fujitsu-laptop
    kernel/drivers/acpi/wmi
    kernel/drivers/misc/hp-wmi
* Wed Sep 10 2008 jeffm@suse.de
- patches.suse/acpi-dsdt-initrd-v0.9a-2.6.25.patch: Fixed up
  some section conflicts.
* Wed Sep 10 2008 jeffm@suse.de
- Update to 2.6.27-rc6.
* Wed Sep 10 2008 jeffm@suse.de
- supported.conf: Added missing netfilter modules.
* Wed Sep 10 2008 jeffm@suse.de
- supported.conf: Updated netfilter module names.
* Wed Sep 10 2008 jeffm@suse.de
- patches.kernel.org/firmware-path: Updated header.
* Wed Sep 10 2008 jkosina@suse.de
- Update config files: support more than 4 serial ports
  (FATE#303314)
* Wed Sep 10 2008 olh@suse.de
- set CONFIG_CMM=y instead of =m to simplify virtual partition memory
  (bnc#417554)
* Tue Sep  9 2008 bphilips@suse.de
- rpm/kernel-binary.spec.in: add Recommends: kerneloops
* Tue Sep  9 2008 olh@suse.de
- Updated to 2.6.27-rc5-git10
* Mon Sep  8 2008 olh@suse.de
- Updated to 2.6.27-rc5-git9
* Fri Sep  5 2008 jjolly@suse.de
- patches.arch/s390-01-01-self-ptrace-v3.patch: system call
  notification with self_ptrace (bnc#417299)
- patches.arch/s390-01-02-dcss-64-v2.patch: dcssblk (new function):
  Add support for >2G DCSS and stacked contiguous DCSS support.
  (bnc#417246)
- patches.arch/s390-01-04-fcpperf-{1-4}.patch: (kernel):FCP -
  Performance Data colletion & analysis (bnc#417243)
* Fri Sep  5 2008 olh@suse.de
- add patches.fixes/usb-hcd-interrupt-shared.patch
  fix interrupt handling for shared irqs, for PS3 (bnc#409961)
* Fri Sep  5 2008 olh@suse.de
- Updated to 2.6.27-rc5-git7
* Thu Sep  4 2008 olh@suse.de
- build with CONFIG_POWER4_ONLY (bnc#417566)
  this disables support for POWER3 and RS64 cpus
* Thu Sep  4 2008 jkosina@suse.de
- switch from Reno to Cubic as default TCP congestion algorithm
  (bnc#422825)
* Thu Sep  4 2008 bwalle@suse.de
- Update KDB patches. Fix build on x86_64-debug.
* Wed Sep  3 2008 jeffm@suse.de
- mark crc-t10dif as supported
* Wed Sep  3 2008 olh@suse.de
- mark pata_pdc2027x as supported
* Wed Sep  3 2008 olh@suse.de
- mark spidernet as supported
* Wed Sep  3 2008 olh@suse.de
- mark ehea as supported
* Wed Sep  3 2008 trenn@suse.de
- supported.conf:
  Mark dock (libata depends on it), bay, acpi_memhotplug, hpilo
  as supported
  Remove or adjust supported laptop drivers that went from
  drivers/acpi to drivers/misc
* Wed Sep  3 2008 hare@suse.de
- supported.conf: Mark virtio modules as supported.
* Tue Sep  2 2008 jbeulich@novell.com
- Update Xen patches to 2.6.27-rc5 and c/s 651.
* Tue Sep  2 2008 jjolly@suse.de
- patches.arch/s390-01-01-self-ptrace-v2.patch: kernel
  (new function): System call notification with self_ptrace
  (bnc#417299,FATE#304021)
* Mon Sep  1 2008 agruen@suse.de
- File capabilities: replace our no_file_caps patch with what is
  supposed to end up in 2.6.28.
* Mon Sep  1 2008 bwalle@suse.de
- patches.arch/ia64-node_mem_map-node_start_pfn.diff:
  Fix memory map for ia64/discontmem for kdump.
* Mon Sep  1 2008 olh@suse.de
- Updated to 2.6.27-rc5-git2
* Fri Aug 29 2008 jeffm@suse.de
- Updated to 2.6.27-rc5.
  - Eliminated 2 patches.
  - KDB has an incompatible change on x86_64, so kernel-debug
    will fail there.
* Fri Aug 29 2008 olh@suse.de
- update message in post.sh to display also the rpm FLAVOR
* Thu Aug 28 2008 olh@suse.de
- update patches.suse/dm-raid45-2.6.25-rc2_20080221.patch
  rename rh_init to region_hash_init to avoid conflict
  with existing powerpc symbol on powerpc
* Thu Aug 28 2008 olh@suse.de
- disable musb, not useful, does not compile
* Tue Aug 26 2008 trenn@suse.de
  Vendor specific drivers vs generic video driver.
  Distinguish which ACPI driver should do backlight switching.
  This patch series is queued up for 2.6.28 in the ACPI branch:
- patches.arch/0000-ACPI-video-Ignore-devices-not-present.patch:
  ACPI: video: Ignore devices that aren't present in hardware.
- patches.arch/0001-Check-for-ACPI-backlight-support.patch: Check
  for ACPI backlight support otherwise use vendor ACPI drivers.
- patches.arch/0002-Acer-WMI-fingers-off-backlight-video.ko.patch:
  Acer-WMI: fingers off backlight if video.ko is serving this
  functionality.
- patches.arch/0003-Asus-acpi-fingers-off-backlight.patch:
  asus-acpi: fingers off backlight if video.ko is serving this
  functionality.
- patches.arch/0004-Compal-fingers-off-backlight.patch: compal:
  fingers off backlight if video.ko is serving this functionality.
- patches.arch/0005-eeepc-laptop-fingers-off.patch: eeepc-laptop:
  fingers off backlight if video.ko is serving this functionality.
- patches.arch/0006-fujitsu-laptop-fingers-off-backlight.patch:
  fujitsu-laptop: fingers off backlight if video.ko is serving
  this functionality.
- patches.arch/0007-msi-laptop-fingers-off-backlight.patch:
  msi-laptop: fingers off backlight if video.ko is serving this
  functionality.
- patches.arch/0008-sony-laptop-fingers-off-backlight.patch:
  sony-laptop: fingers off backlight if video.ko is serving
  this functionality.
- patches.arch/0009-thinkpad_acpi-fingers-off-backlight.patch:
  thinkpad_acpi: fingers off backlight if video.ko is serving
  this functionality.
  I had to refresh these. While one patch was broken,
  two lines were missing, "patch" from 11.0 still worked, while
  "patch" from 10.3 did not:
- patches.xen/add-console-use-vt: add console_use_vt.
- patches.xen/linux-2.6.19-rc1-kexec-move_segment_code-i386.patch:
  kexec: Move asm segment handling code to the assembly file
  (i386).
* Mon Aug 25 2008 jeffm@suse.de
- Disabled patches.kernel.org/ia64-asm-nr-irqs
* Mon Aug 25 2008 jeffm@suse.de
- patches.fixes/pseries-compile-fix: pseries: compile fix.
* Mon Aug 25 2008 jeffm@suse.de
- patches.kernel.org/musb-powerpc-conflict: musb: compile fix
  for powerpc.
* Mon Aug 25 2008 jeffm@suse.de
- patches.kernel.org/ia64-asm-nr-irqs: ia64: nr-irqs.h generation
  should place it in arch/../asm.
* Mon Aug 25 2008 jeffm@suse.de
- Update config files.
* Mon Aug 25 2008 jeffm@suse.de
- Updated to 2.6.27-rc4.
  - Refreshed context.
* Mon Aug 25 2008 trenn@suse.de
- patches.arch/x86-introduce-pci-noioapicquirk-kernel-cmdline.patch:
  x86, pci: introduce pci=noioapicquirk kernel cmdline option.
  Mysterious patch problem in include/asm-x86/pci.h
- patches.fixes/acpi-clear-wake-status.patch: Clear wak_sts
  register on resume.
* Mon Aug 25 2008 trenn@suse.de
- patches.suse/acpi_provide_non_windows_osi_boot_param.patch:
  Delete.
* Mon Aug 25 2008 jbeulich@novell.com
- Update Xen patches to 2.6.27-rc4.
- patches.xen/xen-x86_64-dump-user-pgt: dump the correct page
  tables for user mode faults.
- patches.xen/xen-x86_64-pgd-alloc-order: don't require order-1
  allocations for pgd-s.
- patches.xen/xen-x86_64-pgd-pin: make pinning of pgd pairs
  transparent to callers.
- patches.xen/xen-blktap-write-barriers: blktap: Write Barriers.
- patches.xen/xen-x86-pmd-handling: consolidate pmd/pud/pgd entry
  handling.
- patches.xen/xen-x86-bigmem: fix issues with the assignment of
  huge amounts of memory.
- patches.xen/xen-msix-restore: print at least a message if MSI-X
  restore failed.
- config.conf: Re-enable Xen.
- patches.xen/sfc-i2c: Delete.
- Update config files.
* Fri Aug 22 2008 jbeulich@novell.com
- patches.suse/stack-unwind: Adjust and re-enable.
- Update config files.
* Tue Aug 19 2008 jeffm@suse.de
- patches.kernel.org/ps3-lpm-include: Delete.
* Tue Aug 19 2008 jeffm@suse.de
- Removed unused patches.
* Tue Aug 19 2008 tiwai@suse.de
- Update config files: Use CONFIG_INPUT_PCSPKR=m (bnc#225221)
* Mon Aug 18 2008 schwab@suse.de
- Update config files.
* Mon Aug 18 2008 schwab@suse.de
- Update kdb patches.
* Fri Aug 15 2008 tiwai@suse.de
- patches.arch/ppc-ipic-suspend-without-83xx-fix: Fix build_error
  without CONFIG_PPC_83xx.
- Update config files.
* Fri Aug 15 2008 tiwai@suse.de
- Update config files: disable CONFIG_IPIC for ppc/default and
  vanilla again to fix build
* Fri Aug 15 2008 tiwai@suse.de
- rpm/kernel-binary.spec.in: fix build without firmware files
* Fri Aug 15 2008 jeffm@suse.de
- patches.kernel.org/no-include-asm: kbuild: correctly link
  include/asm in external builds.
* Fri Aug 15 2008 jeffm@suse.de
- patches.kernel.org/ath9k-workaround-gcc-ICE-again-on-powerpc:
  ath9k: work around gcc ICE again.
* Thu Aug 14 2008 jeffm@suse.de
- patches.suse/novfs-gregorian-day-fix: novfs: Fix GregorianDay
  conflict.
* Thu Aug 14 2008 jeffm@suse.de
- Enabled patches.kernel.org/firmware-path
* Thu Aug 14 2008 jeffm@suse.de
- patches.apparmor/add-security_path_permission: Fixed duplicate
  export of security_inode_permission.
* Thu Aug 14 2008 jeffm@suse.de
- patches.apparmor/add-security_path_permission: Add missing
  stub for security_path_permission when CONFIG_SECURITY_APPARMOR=n
* Thu Aug 14 2008 jeffm@suse.de
- patches.kernel.org/firmware-path: firmware: Allow
  release-specific firmware dir.
- rpm/kernel-binary.spec.in: Add firmware files.
* Thu Aug 14 2008 jeffm@suse.de
- patches.kernel.org/ia64-export-cpu_core_map: ia64: Export
  cpu_core_map for topology_core_siblings.
* Thu Aug 14 2008 jeffm@suse.de
- Updated to 2.6.27-rc3.
  - AppArmor mostly merged. There may be some hiccups.
  - Xen and RT temporarily disabled for merging.
  - 17 patches eliminated.
* Thu Aug 14 2008 ghaskins@suse.de
  Guarded by +RT
- patches.rt/seqlock-make-raw-seqlocks-spin-during-write.patch:
  seqlock: make sure that raw_seqlock_t retries readers while
  writes are pending.
- patches.rt/ftrace-fix-elevated-preempt-count-in-wakeup-tracer.patch:
  ftrace: fix elevated preempt_count in wakeup-tracer.
* Fri Aug  8 2008 hare@suse.de
- Update config files for RT kernel to activate SCSI
  device handler.
* Fri Aug  8 2008 jbeulich@novell.com
- patches.xen/xen3-fixup-common, patches.xen/xen3-fixup-kconfig,
  patches.xen/xen3-patch-2.6.24, patches.xen/xen3-patch-2.6.25: Fix
  a couple of bugs and inconsistencies.
* Fri Aug  8 2008 schwab@suse.de
- Fix reference to $RPM_BUILD_ROOT in makefiles.
* Fri Aug  8 2008 hare@suse.de
- patches.fixes/dm-mpath-hp-sw.patch: Delete.
- Update config files.
- patches.fixes/dm-2.6.27-update: Upstream device-mapper patches
  (FATE#302108).
- patches.fixes/scsi_dh-2.6.27-update: SCSI device handler update
  (FATE#302269,FATE#303696,FATE#303754,FATE#304125).
- patches.suse/rq-based-block-layer: rq-based multipathing:
  block layer changes (FATE#302108).
- patches.suse/rq-based-dm-interface: rq-based multipathing:
  device-mapper interface (FATE#302108).
- patches.suse/rq-based-multipath-functions: rq-based
  multipathing: request-based functions to multipath
  (FATE#302108).
* Thu Aug  7 2008 jbeulich@novell.com
- Update Xen patches to c/s 623.
- patches.xen/sfc-network-driver: Delete.
- patches.xen/xen-balloon-hvm-min: Delete.
- patches.xen/xen-netfront-flip-prod: Delete.
- patches.xen/xen-x86_64-init-cleanup: Delete.
- patches.xen/sfc-i2c: sfc: Use kernel I2C system and i2c-algo-bit
  driver (disabled).
- patches.xen/sfc-driverlink: Solarflare: Resource driver (disabled).
- Update Xen config files.
* Wed Aug  6 2008 olh@suse.de
- add patches.suse/ppc-no-LDFLAGS_MODULE.patch
  do not link external modules against arch/powerpc/lib/crtsavres.o
* Tue Aug  5 2008 jeffm@suse.de
- patches.fixes/reiserfs-commit-ids-unsigned-ints: reiserfs:
  audit transaction ids to always be unsigned ints (bnc#410847).
* Tue Aug  5 2008 jeffm@suse.de
- README.BRANCH: Took ownership of 11.1 tree.
* Tue Aug  5 2008 jeffm@suse.de
- README: Changed w3d links to wiki links.
* Tue Aug  5 2008 ghaskins@suse.de
  Fixed misnamed rt_trace to rt_timing
- config/x86_64/rt_trace: Delete.
- Update config files.
- config.conf:
* Tue Aug  5 2008 ghaskins@suse.de
  Added x86_64/rt_trace kernel flavor (based on ftrace)
- Update config files.
- config.conf:
* Tue Aug  5 2008 ghaskins@suse.de
  Guarded by +RT
- Fix rtmutex-tester build problem with rt_debug
- patches.rt/rtmutex-convert-to-libpi.patch: rtmutex: convert
  rtmutexes to fully use the PI library.
* Tue Aug  5 2008 ghaskins@suse.de
  Guarded by +RT
- Remove version.patch to stop build breakage
* Tue Aug  5 2008 jjohansen@suse.de
- update apparmor patches with fixes for
  - broken getcwd (bnc#413915)
  - ref counting bug in getcwd and d_namespace_path when used
    on disconnected paths (bnc#414607)
  - typeo in patches that keep selinux from compiling (bnc#414609)
  - incorporate smack patch into base apparmor patches, so
    that smack can be built (bnc#414610)
* Tue Aug  5 2008 jslaby@suse.de
- patches.fixes/ath5k-fix-memory-corruption.patch: Ath5k: fix
  memory corruption (bnc#414635).
- patches.fixes/ath5k-kill-tasklets-on-shutdown.patch: Ath5k:
  kill tasklets on shutdown (bnc#414638).
* Mon Aug  4 2008 gregkh@suse.de
- README.BRANCH: added file.
* Mon Aug  4 2008 olh@suse.de
- disable CONFIG_SECURITY_ROOTPLUG because /init in initrd will
  not run if USB is compiled in and a specific USB device is not
  present
* Mon Aug  4 2008 jslaby@suse.de
- patches.fixes/tpm-write-data-types.patch: tpm: Use correct
  data types for sizes in tpm_write() and tpm_read() (bnc#400211).
* Fri Aug  1 2008 ghaskins@suse.de
  PI rework v0.5 and a fix from upstream for 26-rt1
- patches.rt/26-rt1-chirag.patch: This patch should solve some
  of the bug messages..
- patches.rt/add-generalized-pi-interface.patch: add generalized
  priority-inheritance interface.
- patches.rt/tie-pi-into-task.patch: sched: add the basic PI
  infrastructure to the task_struct.
- patches.rt/rtmutex-initialize-waiters.patch: rtmutex: formally
  initialize the rt_mutex_waiters.
- patches.rt/rtmutex-add_readers.patch: RT: wrap the rt_rwlock
  "add reader" logic.
- patches.rt/rtmutex-use-runtime-init.patch: rtmutex: use runtime
  init for rtmutexes.
- patches.rt/rtmutex-convert-to-libpi.patch: rtmutex: convert
  rtmutexes to fully use the PI library.
- patches.rt/rtmutex-defer-pi-until-sleepy.patch: rtmutex:
  pi-boost locks as late as possible.
* Fri Aug  1 2008 schwab@suse.de
- Reenable EFI_RTC.
* Fri Aug  1 2008 trenn@suse.de
- Update config files.
  Unset on forgotten archs:
  CONFIG_X86_REROUTE_FOR_BROKEN_BOOT_IRQS
* Fri Aug  1 2008 trenn@suse.de
- patches.fixes/x86_hpet_amd_quirk.patch: Workaround a hpet BIOS
  bug which is common on latest AMD driven boards (bnc#387053).
* Fri Aug  1 2008 sassmann@suse.de
  Add boot interrupt patches from linux-2.6-tip
- patches.arch/x86-acpi-reroute-PCI-interrupt-to-legacy-boot-interrupt.patch
- patches.arch/x86-add-PCI-IDs-for-devices-that-need-boot-irq-quirk.patch
- patches.arch/x86-disable-AMD-ATI-boot-interrupt-generation.patch
- patches.arch/x86-disable-broadcomm-boot-interrupt-generation.patch
- patches.arch/x86-disable-intel-boot-interrupt-generation.patch
- patches.arch/x86-introduce-config-option-for-pci-reroute-quirks.patch
- patches.arch/x86-introduce-pci-ioapicreroute-kernel-cmdline.patch
- patches.arch/x86-introduce-pci-noioapicquirk-kernel-cmdline.patch
- Update config files.
  * reroute of boot interrupts is enabled for RT only!
* Thu Jul 31 2008 sdietrich@suse.de
  Update to 2.6.26-rt1:
- config.conf: Enable i386/x86_64 - RT / RT_debug
- Update config files:
  * Sync to default config.
  * Disable (broken):
  - Novell Netware Filesystem support (novfs) (EXPERIMENTAL) (NOVFS)
  - ISP 1760 HCD support (USB_ISP1760_HCD)
  - KDB
  - QLogic InfiniPath Driver (INFINIBAND_IPATH)
  Remove obsolete patches:
- patches.rt/arm-cmpxchg-support-armv6.patch: Delete.
- patches.rt/arm-cmpxchg.patch: Delete.
- patches.rt/arm-fix-atomic-cmpxchg.patch: Delete.
- patches.rt/arm-leds-timer.patch: Delete.
- patches.rt/arm-omap-03.patch: Delete.
- patches.rt/arm-omap-04.patch: Delete.
- patches.rt/disable-sched-rt-groups.patch: Delete.
- patches.rt/drivers-edac-add-support-for-HS21XM-SMI-remediation:
  Delete.
- patches.rt/drivers-edac-add-support-for-HS21_LS21-SMI-remediation:
  Delete.
- patches.rt/drivers-edac-add-sysfs_notify-calls.patch: Delete.
- patches.rt/drivers-edac-i5000-turn-off-unsupported-check:
  Delete.
- patches.rt/drivers-edac-new-amd64.patch: Delete.
- patches.rt/drivers-edac-new-k8-rev-f.patch: Delete.
- patches.rt/drivers-edac-prevent-potential-printk-storm: Delete.
- patches.rt/drivers-edac-test_device.patch: Delete.
- patches.rt/ep93xx-clockevents-fix.patch: Delete.
- patches.rt/ep93xx-clockevents.patch: Delete.
- patches.rt/ep93xx-timer-accuracy.patch: Delete.
- patches.rt/fix-alternate_node_alloc.patch: Delete.
- patches.rt/fix-irq-flags-size.patch: Delete.
- patches.rt/foo.patch: Delete.
- patches.rt/ftrace-add-nr_syscalls.patch: Delete.
- patches.rt/ftrace-alloc-pages.patch: Delete.
- patches.rt/ftrace-cpu-clock-update.patch: Delete.
- patches.rt/ftrace-debug-use-preempt-disable-notrace.patch:
  Delete.
- patches.rt/ftrace-direct-calls.patch: Delete.
- patches.rt/ftrace-disable-daemon.patch: Delete.
- patches.rt/ftrace-dont-use-raw-irq-save.patch: Delete.
- patches.rt/ftrace-eventtrace-fixup.patch: Delete.
- patches.rt/ftrace-filter-functions.patch: Delete.
- patches.rt/ftrace-fix-ip.patch: Delete.
- patches.rt/ftrace-flip-fix.patch: Delete.
- patches.rt/ftrace-handle-time-outside-of-lockdep.patch: Delete.
- patches.rt/ftrace-irqsoff-smp-processor-id-fix.patch: Delete.
- patches.rt/ftrace-lockdep-notrace-annotations.patch: Delete.
- patches.rt/ftrace-max-update-fixes.patch: Delete.
- patches.rt/ftrace-move-memory-management-to-generic.patch:
  Delete.
- patches.rt/ftrace-nop-calls.patch: Delete.
- patches.rt/ftrace-peterz-cpu_clock.patch: Delete.
- patches.rt/ftrace-remove-max-printks.patch: Delete.
- patches.rt/ftrace-safe-traversal-hlist.patch: Delete.
- patches.rt/ftrace-stop-function-trace-fix.patch: Delete.
- patches.rt/ftrace-unlock-mutex-in-output.patch: Delete.
- patches.rt/ftrace-update-cnt-stat-fix.patch: Delete.
- patches.rt/ftracer-build-fix.patch: Delete.
- patches.rt/futex-performance-hack-sysctl-fix.patch: Delete.
- patches.rt/futex-performance-hack.patch: Delete.
- patches.rt/git-ignore-module-markers.patch: Delete.
- patches.rt/irq-flags-unsigned-long.patch: Delete.
- patches.rt/kernel-bug-after-entering-something-from-login.patch:
  Delete.
- patches.rt/kthread-cpus-allowed-init.patch: Delete.
- patches.rt/kvm-lapic-migrate-latency-fix.patch: Delete.
- patches.rt/kvm-make-less-noise.patch: Delete.
- patches.rt/kvm-preempt-rt-resched-delayed.patch: Delete.
- patches.rt/latency-tracing-prctl-api-hack.patch: Delete.
- patches.rt/netfilter-more-debugging.patch: Delete.
- patches.rt/page-alloc-use-real-time-pcp-locking-for-page-draining.patch:
  Delete.
- patches.rt/pcounter-percpu-protect.patch: Delete.
- patches.rt/percpu-locked-powerpc-fixups-a6.patch: Delete.
- patches.rt/powerpc-rearrange-thread-flags-to-work-with-andi-instruction.patch:
  Delete.
- patches.rt/ppc-add-mcount.patch: Delete.
- patches.rt/ppc-add-ppc32-mcount.patch: Delete.
- patches.rt/ppc-mark-notrace-mainline.patch: Delete.
- patches.rt/ppc-mcount-dummy-functions.patch: Delete.
- patches.rt/ppc-rename-xmon-mcount.patch: Delete.
- patches.rt/ppc-select-mcount.patch: Delete.
- patches.rt/preempt-irqs-ppc-celleb-beatic-eoi.patch: Delete.
- patches.rt/preempt-irqs-softirq-in-hardirq.patch: Delete.
- patches.rt/preempt-realtime-powerpc-a7.patch: Delete.
- patches.rt/preempt-realtime-ppc-more-resched-fixups.patch:
  Delete.
- patches.rt/preempt-realtime-ppc-need-resched-delayed.patch:
  Delete.
- patches.rt/preempt-realtime-sh.patch: Delete.
- patches.rt/preempt-realtime-supress-cpulock-warning.patch:
  Delete.
- patches.rt/rcu-preempt-trace-markers-1.patch: Delete.
- patches.rt/rcu-preempt-trace-markers-2.patch: Delete.
- patches.rt/rcu-various-fixups.patch: Delete.
- patches.rt/rt-mutex-arm-fix.patch: Delete.
- patches.rt/rt-mutex-delayed-resched.patch: Delete.
- patches.rt/rt-mutex-drop-generic-TIF_NEED_RESCHED_DELAYED.patch:
  Delete.
- patches.rt/rt-time-starvation-fix.patch: Delete.
- patches.rt/rtmutex-adaptive-locks.patch: Delete.
- patches.rt/rtmutex-adaptive-timeout.patch: Delete.
- patches.rt/rtmutex-lateral-steal-sysctl.patch: Delete.
- patches.rt/sched-fix-rt-task-wakeup.patch: Delete.
- patches.rt/sched-fix-sched-fair-wakeup.patch: Delete.
- patches.rt/sched-rt-push-only-new.patch: Delete.
- patches.rt/schedule_on_each_cpu-enhance-rt.patch: Delete.
- patches.rt/tasklet-fix-preemption-race.patch: Delete.
- patches.rt/tasklet-more-fixes.patch: Delete.
- patches.rt/time-gcc-linker-error.patch: Delete.
- patches.rt/tracer-use-sched-clock.patch: Delete.
- patches.rt/write-try-lock-irqsave.patch: Delete.
- patches.rt/x86-delay-enable-preempt-tglx.patch: Delete.
  Introduce 2.6.26-RT1:
- patches.rt/2.6.21-rc6-lockless3-radix-tree-gang-slot-lookups.patch:
  Linux-RT 2.6.26-RT
  radix-tree: gang slot lookups.
- patches.rt/2.6.21-rc6-lockless5-lockless-probe.patch: Linux-RT
  2.6.26-RT
  mm: lockless probe.
- patches.rt/2.6.21-rc6-lockless6-speculative-get-page.patch:
  Linux-RT 2.6.26-RT
  mm: speculative get page.
- patches.rt/2.6.21-rc6-lockless7-lockless-pagecache-lookups.patch:
  Linux-RT 2.6.26-RT
  mm: lockless pagecache lookups.
- patches.rt/2.6.21-rc6-lockless8-spinlock-tree_lock.patch:
  Linux-RT 2.6.26-RT
  mm: spinlock tree_lock.
- patches.rt/Add-dev-rmem-device-driver-for-real-time-JVM-testing.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/Allocate-RTSJ-memory-for-TCK-conformance-test.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/RT_utsname.patch: Linux-RT 2.6.26-RT.
- patches.rt/aacraid-compat-sem.patch: Linux-RT 2.6.26-RT.
- patches.rt/adapt-remove-extra-try-to-lock.patch: Linux-RT
  2.6.26-RT.
- patches.rt/adaptive-adjust-pi-wakeup.patch: Linux-RT 2.6.26-RT.
- patches.rt/adaptive-earlybreak-on-steal.patch: Linux-RT
  2.6.26-RT
  rtmutex: break out early on first run.
- patches.rt/adaptive-optimize-rt-lock-wakeup.patch: Linux-RT
  2.6.26-RT.
- patches.rt/adaptive-spinlock-lite-v2.patch: Linux-RT 2.6.26-RT
  adaptive spinlocks lite.
- patches.rt/adaptive-task-oncpu.patch: Linux-RT 2.6.26-RT.
- patches.rt/apic-dumpstack.patch: Linux-RT 2.6.26-RT.
- patches.rt/apic-level-smp-affinity.patch: Linux-RT 2.6.26-RT.
- patches.rt/arm-compile-fix.patch: Linux-RT 2.6.26-RT
  ARM: compile fix for event tracing.
- patches.rt/arm-fix-compile-error-trace-exit-idle.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/arm-futex-atomic-cmpxchg.patch: Linux-RT 2.6.26-RT.
- patches.rt/arm-latency-tracer-support.patch: Linux-RT 2.6.26-RT.
- patches.rt/arm-omap-02.patch: Linux-RT 2.6.26-RT.
- patches.rt/arm-omap-05.patch: Linux-RT 2.6.26-RT.
- patches.rt/arm-preempt-config.patch: Linux-RT 2.6.26-RT.
- patches.rt/arm-trace-preempt-idle.patch: Linux-RT 2.6.26-RT.
- patches.rt/bh-state-lock.patch: Linux-RT 2.6.26-RT.
- patches.rt/bh-uptodate-lock.patch: Linux-RT 2.6.26-RT.
- patches.rt/cache_pci_find_capability.patch: Linux-RT 2.6.26-RT
  Cache calls to pci_find_capability.
- patches.rt/call_rcu_bh-rename-of-call_rcu.patch: Linux-RT
  2.6.26-RT
  just rename call_rcu_bh instead of making it a macro.
- patches.rt/cond_resched_softirq-WARN-fix.patch: Linux-RT
  2.6.26-RT
  WARNING: at kernel/sched.c:5071 2.6.23-rc1-rt7.
- patches.rt/cputimer-thread-rt-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/cputimer-thread-rt_A0.patch: Linux-RT 2.6.26-RT.
- patches.rt/cycles-to-ns-trace-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/dev-queue-xmit-preempt-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/disable-irqpoll.patch: Linux-RT 2.6.26-RT.
- patches.rt/disable-ist-x86_64.patch: Linux-RT 2.6.26-RT.
- patches.rt/disable-lpptest-on-nonlinux.patch: Linux-RT
  2.6.26-RT.
- patches.rt/disable-run-softirq-from-hardirq-completely.patch:
  Linux-RT 2.6.26-RT
  Disable running softirqs from hardirqs completely!.
- patches.rt/dont-disable-preemption-without-IST.patch: Linux-RT
  2.6.26-RT.
- patches.rt/dont-let-rt-rw_semaphores-do-non_owner-locks.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/dont-unmask-io_apic.patch: Linux-RT 2.6.26-RT.
- patches.rt/drain-all-local-pages-via-sched.patch: Linux-RT
  2.6.26-RT.
- patches.rt/event-tracer-syscall-i386.patch: Linux-RT 2.6.26-RT.
- patches.rt/event-tracer-syscall-x86_64.patch: Linux-RT
  2.6.26-RT.
- patches.rt/export-schedule-on-each-cpu.patch: Linux-RT
  2.6.26-RT.
- patches.rt/filemap-dont-bug-non-atomic.patch: Linux-RT
  2.6.26-RT.
- patches.rt/fix-acpi-build-weirdness.patch: Linux-RT 2.6.26-RT.
- patches.rt/fix-bug-on-in-filemap.patch: Linux-RT 2.6.26-RT
  Change bug_on for atomic to pagefault_disabled..
- patches.rt/fix-circular-locking-deadlock.patch: Linux-RT
  2.6.26-RT.
- patches.rt/fix-compilation-for-non-RT-in-timer.patch: Linux-RT
  2.6.26-RT.
- patches.rt/fix-emac-locking-2.6.16.patch: Linux-RT 2.6.26-RT.
- patches.rt/fix-emergency-reboot.patch: Linux-RT 2.6.26-RT
  call reboot notifier list when doing an emergency reboot.
- patches.rt/fix-migrating-softirq.patch: Linux-RT 2.6.26-RT.
- patches.rt/fix-softirq-checks-for-non-rt-preempt-hardirq.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/fix_vdso_gtod_vsyscall64_2.patch: Linux-RT 2.6.26-RT.
- patches.rt/floppy-resume-fix.patch: Linux-RT 2.6.26-RT
  floppy: suspend/resume fix.
- patches.rt/ftrace-compile-fixes.patch: Linux-RT 2.6.26-RT
  rt: remove call to stop tracer.
- patches.rt/ftrace-dont-trace-markers.patch: Linux-RT 2.6.26-RT
  ftrace: dont trace markers.
- patches.rt/ftrace-fix-header.patch: Linux-RT 2.6.26-RT.
- patches.rt/ftrace-function-record-nop.patch: Linux-RT 2.6.26-RT
  ftrace: define function trace nop.
- patches.rt/ftrace-print-missing-cmdline.patch: Linux-RT
  2.6.26-RT
  ftrace: fix the command line printing.
- patches.rt/ftrace-record-comm-on-ctrl.patch: Linux-RT 2.6.26-RT
  ftrace: record comm on function ctrl change.
- patches.rt/ftrace-trace-sched.patch: Linux-RT 2.6.26-RT
  ftrace: trace sched.c.
- patches.rt/ftrace-upstream.patch: Linux-RT 2.6.26-RT.
- patches.rt/ftrace-use-preempt-disable-not-irq-disable.patch:
  Linux-RT 2.6.26-RT
  ftrace: avoid lockdep recursion.
- patches.rt/gcc-warnings-shut-up.patch: Linux-RT 2.6.26-RT.
- patches.rt/genhd-protect-percpu-var.patch: Linux-RT 2.6.26-RT.
- patches.rt/genirq-soft-resend.patch: Linux-RT 2.6.26-RT
  x86: activate HARDIRQS_SW_RESEND.
- patches.rt/git-ignore-script-lpp.patch: Linux-RT 2.6.26-RT.
- patches.rt/gtod-optimize.patch: Linux-RT 2.6.26-RT.
- patches.rt/hack-convert-i_alloc_sem-for-direct_io-craziness.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/hack-fix-rt-migration.patch: Linux-RT 2.6.26-RT.
- patches.rt/handle-pending-in-simple-irq.patch: Linux-RT
  2.6.26-RT
  handle IRQ_PENDING for simple irq handler.
- patches.rt/highmem-redo-mainline.patch: Linux-RT 2.6.26-RT.
- patches.rt/highmem-revert-mainline.patch: Linux-RT 2.6.26-RT.
- patches.rt/highmem_rewrite.patch: Linux-RT 2.6.26-RT
  mm: remove kmap_lock.
- patches.rt/hrtimer-no-printk.patch: Linux-RT 2.6.26-RT.
- patches.rt/hrtimers-overrun-api.patch: Linux-RT 2.6.26-RT.
- patches.rt/i386-mark-atomic-irq-ops-raw.patch: Linux-RT
  2.6.26-RT.
- patches.rt/i386-nmi-watchdog-show-regs.patch: Linux-RT
  2.6.26-RT.
- patches.rt/ioapic-fix-too-fast-clocks.patch: Linux-RT 2.6.26-RT.
- patches.rt/irda-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/irq-mask-fix.patch: Linux-RT 2.6.26-RT
  genirq: fix simple and fasteoi irq handlers.
- patches.rt/jbd_assertions_smp_only.patch: Linux-RT 2.6.26-RT.
- patches.rt/kmap-atomic-i386-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/kmap-atomic-prepare.patch: Linux-RT 2.6.26-RT.
- patches.rt/kprobes-preempt-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/kstat-add-rt-stats.patch: Linux-RT 2.6.26-RT
  add rt stats to /proc/stat.
- patches.rt/kstat-fix-spurious-system-load-spikes-in-proc-loadavgrt.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/latency-measurement-drivers.patch: Linux-RT
  2.6.26-RT.
- patches.rt/latency-tracing-arm.patch: Linux-RT 2.6.26-RT.
- patches.rt/latency-tracing-ppc.patch: Linux-RT 2.6.26-RT.
- patches.rt/loadavg_fixes_weird_loads.patch: Linux-RT 2.6.26-RT.
- patches.rt/local_irq_save_nort-in-swap.patch: Linux-RT
  2.6.26-RT.
- patches.rt/lock-init-plist-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/lock_list.patch: Linux-RT 2.6.26-RT
  lock_list - a fine grain locked double linked list.
- patches.rt/lock_page_ref.patch: Linux-RT 2.6.26-RT
  mm: lock_page_ref.
- patches.rt/lockdep-avoid-fork-waring.patch: Linux-RT 2.6.26-RT
  ftrace: fix if define to prove locking.
- patches.rt/lockdep-lock_set_subclass.patch: Linux-RT 2.6.26-RT
  lockdep: lock_set_subclass - reset a held lock's subclass.
- patches.rt/lockdep-more-entries.patch: Linux-RT 2.6.26-RT.
- patches.rt/lockdep-prettify.patch: Linux-RT 2.6.26-RT
  lockdep: prettify output.
- patches.rt/lockdep-rt-mutex.patch: Linux-RT 2.6.26-RT
  lockdep-rt: annotate PREEMPT_RT DEFINE_MUTEX.
- patches.rt/lockdep-rt-recursion-limit-fix.patch: Linux-RT
  2.6.26-RT.
- patches.rt/lockdep-show-held-locks.patch: Linux-RT 2.6.26-RT
  lockdep: show held locks when showing a stackdump.
- patches.rt/lockdep_lock_set_subclass_fix.patch: Linux-RT
  2.6.26-RT.
- patches.rt/lockstat-fix-contention-points.patch: Linux-RT
  2.6.26-RT
  lockstat: fix contention points.
- patches.rt/lockstat-output.patch: Linux-RT 2.6.26-RT
  lockstat: warn about disabled lock debugging.
- patches.rt/lockstat-rt-hooks.patch: Linux-RT 2.6.26-RT.
- patches.rt/lockstat_bounce_rt.patch: Linux-RT 2.6.26-RT.
- patches.rt/loopback-revert.patch: Linux-RT 2.6.26-RT.
- patches.rt/mapping_nrpages.patch: Linux-RT 2.6.26-RT
  mm/fs: abstract address_space::nrpages.
- patches.rt/mips-change-raw-spinlock-type.patch: Linux-RT
  2.6.26-RT
  RT: change from raw_spinlock_t to __raw_spinlock_t.
- patches.rt/mips-remove-conlicting-rtc-lock-declaration.patch:
  Linux-RT 2.6.26-RT
  RT: remove conflicting rtc_lock declaration.
- patches.rt/mips-remove-duplicate-kconfig.patch: Linux-RT
  2.6.26-RT.
- patches.rt/mips-remove-finish-arch-switch.patch: Linux-RT
  2.6.26-RT
  RT: remove finish_arch_switch.
- patches.rt/mitigate-resched-flood.patch: Linux-RT 2.6.26-RT.
- patches.rt/mm-concurrent-pagecache-rt.patch: Linux-RT 2.6.26-RT
  mm: -rt bits for concurrent pagecache.
- patches.rt/mm-concurrent-pagecache.patch: Linux-RT 2.6.26-RT
  mm: concurrent pagecache write side.
- patches.rt/mm-fix-latency.patch: Linux-RT 2.6.26-RT
  reduce pagetable-freeing latencies.
- patches.rt/move-native-irq.patch: Linux-RT 2.6.26-RT.
- patches.rt/msi-suspend-resume-workaround.patch: Linux-RT
  2.6.26-RT.
- patches.rt/multi-reader-account.patch: Linux-RT 2.6.26-RT
  map tasks to reader locks held.
- patches.rt/multi-reader-limit.patch: Linux-RT 2.6.26-RT
  implement reader limit on read write locks.
- patches.rt/multi-reader-lock-account.patch: Linux-RT 2.6.26-RT
  map read/write locks back to their readers.
- patches.rt/multi-reader-pi.patch: Linux-RT 2.6.26-RT
  read lock Priority Inheritance implementation.
- patches.rt/native-sched-clock-booboo.patch: Linux-RT 2.6.26-RT.
- patches.rt/neptune-no-at-keyboard.patch: Linux-RT 2.6.26-RT.
- patches.rt/net-core-preempt-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/netpoll-8139too-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/new-softirq-code.patch: Linux-RT 2.6.26-RT
  softirq preemption: optimization.
- patches.rt/nf_conntrack-fix-smp-processor-id.patch: Linux-RT
  2.6.26-RT.
- patches.rt/nf_conntrack-weird-crash-fix.patch: Linux-RT
  2.6.26-RT.
- patches.rt/nmi-profiling-base.patch: Linux-RT 2.6.26-RT
  nmi-driven profiling for /proc/profile.
- patches.rt/nmi-profiling.patch: Linux-RT 2.6.26-RT.
- patches.rt/nmi-show-regs-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/nmi-watchdog-disable.patch: Linux-RT 2.6.26-RT
  x86_64: do not enable the NMI watchdog by default.
- patches.rt/nmi-watchdog-fix-1.patch: Linux-RT 2.6.26-RT.
- patches.rt/nmi-watchdog-fix-2.patch: Linux-RT 2.6.26-RT.
- patches.rt/nmi-watchdog-fix-3.patch: Linux-RT 2.6.26-RT.
- patches.rt/nmi-watchdog-fix-4.patch: Linux-RT 2.6.26-RT.
- patches.rt/no-warning-for-irqs-disabled-in-local-bh-enable.patch:
  Linux-RT 2.6.26-RT
  local_bh_enable() is safe for irqs_disabled().
- patches.rt/ntfs-local-irq-save-nort.patch: Linux-RT 2.6.26-RT.
- patches.rt/numa-slab-freeing.patch: Linux-RT 2.6.26-RT.
- patches.rt/only-run-softirqs-from-irq-thread-when-irq-affinity-is-set.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/pagefault-disable-cleanup.patch: Linux-RT 2.6.26-RT
  clean up the page fault disabling logic.
- patches.rt/panic-dont-stop-box.patch: Linux-RT 2.6.26-RT.
- patches.rt/paravirt-function-pointer-fix.patch: Linux-RT
  2.6.26-RT.
- patches.rt/pause-on-oops-head-tail.patch: Linux-RT 2.6.26-RT
  introduce pause_on_oops_head/tail boot options.
- patches.rt/percpu-locked-mm.patch: Linux-RT 2.6.26-RT.
- patches.rt/percpu-locked-netfilter.patch: Linux-RT 2.6.26-RT.
- patches.rt/percpu-locked-netfilter2.patch: Linux-RT 2.6.26-RT.
- patches.rt/percpu-locked-powerpc-fixups.patch: Linux-RT
  2.6.26-RT.
- patches.rt/percpu_list.patch: Linux-RT 2.6.26-RT
  percpu_list.
- patches.rt/plist-debug.patch: Linux-RT 2.6.26-RT.
- patches.rt/posix-cpu-timers-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/powerpc-count_active_rt_tasks-is-undefined-for-non-preempt-rt.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/powerpc-flush_tlb_pending-is-no-more.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/powerpc-match-__rw_yield-function-declaration-to-prototype.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/ppc-chpr-set-rtc-lock.patch: Linux-RT 2.6.26-RT.
- patches.rt/ppc-gtod-notrace-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/ppc-hacks-to-allow-rt-to-run-kernbench.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/ppc-make-tlb-batch-64-only.patch: Linux-RT 2.6.26-RT.
- patches.rt/ppc-tlbflush-preempt.patch: Linux-RT 2.6.26-RT.
- patches.rt/ppc32-latency-compile-hack-fixes.patch: Linux-RT
  2.6.26-RT.
- patches.rt/ppc32_notrace_init_functions.patch: Linux-RT
  2.6.26-RT
  don't trace early init functions for ppc32.
- patches.rt/preempt-irqs-Kconfig.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-arm-fix-oprofile.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-irqs-arm.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-core.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-direct-debug-keyboard.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-irqs-hrtimer.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-i386-idle-poll-loop-fix.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-i386-ioapic-mask-quirk.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-irqs-i386.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-mips.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-ppc-ack-irq-fixups.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-irqs-ppc-fix-b5.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-ppc-fix-b6.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-ppc-fix-more-fasteoi.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-irqs-ppc-preempt-schedule-irq-entry-fix.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-ppc.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-timer.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-x86-64-ioapic-mask-quirk.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-x86-64.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-acpi.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-arm-bagde4.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-arm-footbridge.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-arm-integrator.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-arm-ixp4xx.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-arm-pxa.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-arm-rawlock-in-mmu_context-h.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-arm-shark.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-arm.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-compile-fixes.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-console.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-core.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-debug-sysctl.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-fs-block.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-ftrace-disable-ftraced.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-ftrace.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-i386.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-ia64.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-ide.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-init-show-enabled-debugs.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-input.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-ipc.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-irqs.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-loopback.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-mellanox-driver-fix.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-mips.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-mm.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-mmdrop-delayed.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-net-drivers.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-net-softirq-fixups.patch: Linux-RT
  2.6.26-RT
  NOHZ: local_softirq_pending with tickless.
- patches.rt/preempt-realtime-net.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-powerpc-add-raw-relax-macros.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-powerpc-b2.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-powerpc-b3.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-powerpc-b4.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-powerpc-celleb-raw-spinlocks.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-powerpc-missing-raw-spinlocks.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-powerpc-tlb-batching.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-powerpc-update.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-powerpc.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-prevent-idle-boosting.patch:
  Linux-RT 2.6.26-RT
  Premmpt-RT: Preevent boosting of idle task.
- patches.rt/preempt-realtime-printk.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-profiling.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-rawlocks.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-rcu.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-sched-cpupri.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-sched-i386.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-sched.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-sound.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-supress-nohz-softirq-warning.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-supress-rtc-printk.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-realtime-timer.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-usb.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-warn-and-bug-on-fix.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-warn-and-bug-on.patch: Linux-RT
  2.6.26-RT.
- patches.rt/preempt-rt-no-slub.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-softirqs-core.patch: Linux-RT 2.6.26-RT.
- patches.rt/preempt-trace.patch: Linux-RT 2.6.26-RT.
- patches.rt/print-might-sleep-hack.patch: Linux-RT 2.6.26-RT.
- patches.rt/printk-dont-bug-on-sched.patch: Linux-RT 2.6.26-RT.
- patches.rt/printk-in-atomic-hack-fix.patch: Linux-RT 2.6.26-RT
  fix printk in atomic hack.
- patches.rt/printk-in-atomic.patch: Linux-RT 2.6.26-RT.
- patches.rt/proportions-raw-locks.patch: Linux-RT 2.6.26-RT.
- patches.rt/qrcu.patch: Linux-RT 2.6.26-RT
  QRCU with lockless fastpath.
- patches.rt/quicklist-release-before-free-page-fix.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/quicklist-release-before-free-page.patch: Linux-RT
  2.6.26-RT.
- patches.rt/radix-concurrent-lockdep.patch: Linux-RT 2.6.26-RT.
- patches.rt/radix-percpu-hack-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/radix-tree-concurrent.patch: Linux-RT 2.6.26-RT
  radix-tree: concurrent write side support.
- patches.rt/radix-tree-optimistic-hist.patch: Linux-RT 2.6.26-RT
  debug: optimistic lock histogram.
- patches.rt/radix-tree-optimistic.patch: Linux-RT 2.6.26-RT
  radix-tree: optimistic locking.
- patches.rt/random-driver-latency-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/rcu-hrt-fixups.patch: Linux-RT 2.6.26-RT.
- patches.rt/rcu-new-7.patch: Linux-RT 2.6.26-RT.
- patches.rt/rcu-preempt-boost-default.patch: Linux-RT 2.6.26-RT.
- patches.rt/rcu-preempt-boost-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/rcu-preempt-boost-sdr.patch: Linux-RT 2.6.26-RT.
- patches.rt/rcu-preempt-fix-bad-dyntick-accounting.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/rcu-preempt-hotplug-hackaround.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rcu-torture-preempt-update.patch: Linux-RT 2.6.26-RT.
- patches.rt/rcu-trace-fix-free.patch: Linux-RT 2.6.26-RT.
- patches.rt/rcupreempt-boost-early-init.patch: Linux-RT
  2.6.26-RT.
- patches.rt/realtime-preempt-warn-about-tracing.patch: Linux-RT
  2.6.26-RT.
- patches.rt/relay-fix.patch: Linux-RT 2.6.26-RT
  relay: fix timer madness.
- patches.rt/remove-check-pgt-cache-calls.patch: Linux-RT
  2.6.26-RT.
- patches.rt/replace-bugon-by-warn-on.patch: Linux-RT 2.6.26-RT.
- patches.rt/root-domain-kfree-in-atomic.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rt-apis.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-avoid-deadlock-in-swap.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-delayed-prio.patch: Linux-RT 2.6.26-RT
  rt: PI-workqueue: propagate prio for delayed work.
- patches.rt/rt-kmap-scale-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-list-mods.patch: Linux-RT 2.6.26-RT
  rt: list_splice2.
- patches.rt/rt-move-update-wall-time-back-to-do-timer.patch:
  Linux-RT 2.6.26-RT
  rt: move update_wall_time back to do timer.
- patches.rt/rt-mutex-arm.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-mutex-compat-semaphores.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-mutex-core.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-mutex-i386.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-mutex-irq-flags-checking.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rt-mutex-mips.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-mutex-ppc-fix-a5.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-mutex-ppc.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-mutex-preempt-debugging.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-mutex-trivial-route-cast-fix.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rt-mutex-trivial-tcp-preempt-fix.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rt-mutex-x86-64.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-page_alloc.patch: Linux-RT 2.6.26-RT
  rt-friendly per-cpu pages.
- patches.rt/rt-plist-mods.patch: Linux-RT 2.6.26-RT
  rt: plist_head_splice.
- patches.rt/rt-s_files-kill-a-union.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-sched-groups.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-shorten-softirq-thread-names.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rt-slab-new.patch: Linux-RT 2.6.26-RT.
- patches.rt/rt-workqeue-prio.patch: Linux-RT 2.6.26-RT
  rt: PI-workqueue support.
- patches.rt/rt-workqueue-barrier.patch: Linux-RT 2.6.26-RT
  rt: PI-workqueue: fix barriers.
- patches.rt/rt-wq-barrier-fix.patch: Linux-RT 2.6.26-RT
  rt: PI-workqueue: wait_on_work() fixup.
- patches.rt/rt_mutex_setprio.patch: Linux-RT 2.6.26-RT
  rt: rename rt_mutex_setprio to task_setprio.
- patches.rt/rtmutex-debug.h-cleanup.patch: Linux-RT 2.6.26-RT
  lock debugging: clean up rtmutex-debug.h.
- patches.rt/rtmutex-lateral-steal.patch: Linux-RT 2.6.26-RT.
- patches.rt/rtmutex-rearrange.patch: Linux-RT 2.6.26-RT.
- patches.rt/rtmutex-remove-xchg.patch: Linux-RT 2.6.26-RT
  rtmutex - remove double xchg.
- patches.rt/rtmutex-rwlock-cmpxchg-typecast.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rwlock-implement-downgrade-write.patch: Linux-RT
  2.6.26-RT
  rwlocks multi downgrade write.
- patches.rt/rwlocks-default-nr-readers-nr-cpus.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rwlocks-fix-no-preempt-rt.patch: Linux-RT 2.6.26-RT
  rwlock: fix non PREEMPT_RT case.
- patches.rt/rwlocks-multiple-readers.patch: Linux-RT 2.6.26-RT
  implement rwlocks management.
- patches.rt/rwsems-multiple-readers.patch: Linux-RT 2.6.26-RT
  add framework for multi readers on rwsems.
- patches.rt/s_files-pipe-fix.patch: Linux-RT 2.6.26-RT
  s_files: free_write_pipe() fix.
- patches.rt/s_files-schedule_on_each_cpu_wq.patch: Linux-RT
  2.6.26-RT.
- patches.rt/s_files.patch: Linux-RT 2.6.26-RT
  remove global files_lock.
- patches.rt/sched-clock-nmi.patch: Linux-RT 2.6.26-RT.
- patches.rt/sched-enable-irqs-in-preempt-in-notifier-call.patch:
  Linux-RT 2.6.26-RT
  CFS: enable irqs in fire_sched_in_preempt_notifier.
- patches.rt/sched-nr-migrate-lower-default-preempt-rt.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/sched-prioritize-non-migrating-rt-tasks.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/sched-rt-stats.patch: Linux-RT 2.6.26-RT.
- patches.rt/sched-use-a-2d-bitmap-search-prio-cpu.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/sched-wake_up_idle_cpu-rt.patch: Linux-RT 2.6.26-RT.
- patches.rt/sched_prio.patch: Linux-RT 2.6.26-RT.
- patches.rt/sched_rt-fixup.patch: Linux-RT 2.6.26-RT.
- patches.rt/schedule-tail-balance-disable-irqs.patch: Linux-RT
  2.6.26-RT.
- patches.rt/schedule_on_each_cpu-enhance.patch: Linux-RT
  2.6.26-RT.
- patches.rt/select-error-leak-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/send-nmi-all-preempt-disable.patch: Linux-RT
  2.6.26-RT.
- patches.rt/seq-irqsave.patch: Linux-RT 2.6.26-RT.
- patches.rt/serial-locking-rt-cleanup.patch: Linux-RT 2.6.26-RT.
- patches.rt/serial-slow-machines.patch: Linux-RT 2.6.26-RT.
- patches.rt/slab-irq-nopreempt-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/smp-processor-id-fixups.patch: Linux-RT 2.6.26-RT.
- patches.rt/softirq-per-cpu-assumptions-fixes.patch: Linux-RT
  2.6.26-RT.
- patches.rt/softlockup-add-irq-regs-h.patch: Linux-RT 2.6.26-RT
  core: make asm/irq_regs.h available on every platform.
- patches.rt/spinlock-trylock-cleanup-sungem.patch: Linux-RT
  2.6.26-RT.
- patches.rt/swap-spinlock-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/tasklet-busy-loop-hack.patch: Linux-RT 2.6.26-RT.
- patches.rt/tasklet-redesign.patch: Linux-RT 2.6.26-RT.
- patches.rt/timer-freq-tweaks.patch: Linux-RT 2.6.26-RT.
- patches.rt/timer-warning-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/trace-add-event-markers-arm.patch: Linux-RT
  2.6.26-RT.
- patches.rt/trace-events-handle-syscalls.patch: Linux-RT
  2.6.26-RT.
- patches.rt/trace-histograms.patch: Linux-RT 2.6.26-RT.
- patches.rt/trace_hist-divzero.patch: Linux-RT 2.6.26-RT
  trace_hist.c: divide-by-zero problem (2).
- patches.rt/trace_hist-latediv.patch: Linux-RT 2.6.26-RT.
- patches.rt/tracer-add-event-markers.patch: Linux-RT 2.6.26-RT.
- patches.rt/tracer-event-trace.patch: Linux-RT 2.6.26-RT.
- patches.rt/use-edge-triggered-irq-handler-instead-of-simple-irq.patch:
  Linux-RT 2.6.26-RT
  [AT91: PATCH]: Use edge triggered interrupt handling for
  AT91-GPIO instead of simple_irq-handler.
- patches.rt/user-no-irq-disable.patch: Linux-RT 2.6.26-RT.
- patches.rt/version.patch: Linux-RT 2.6.26-RT
  add -rt extra-version.
- patches.rt/vortex-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/watchdog_use_timer_and_hpet_on_x86_64.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/x86-64-tscless-vgettimeofday.patch: Linux-RT
  2.6.26-RT
  x86_64 GTOD: offer scalable vgettimeofday.
- patches.rt/x86_64-tsc-sync-irqflags-fix.patch: Linux-RT
  2.6.26-RT.
- patches.rt/event-trace-hrtimer-trace.patch: Linux-RT 2.6.26-RT
  event-tracer: add clockevent trace.
- patches.rt/ftrace-hotplug-fix.patch: Linux-RT 2.6.26-RT
  ftrace: cpu hotplug fix.
- patches.rt/ftrace-wakeup-rawspinlock.patch: Linux-RT 2.6.26-RT
  ftrace: user raw spin lock for wakeup function trace.
- patches.rt/preempt-realtime-x86_64.patch: Linux-RT 2.6.26-RT.
- patches.rt/radix-tree-lockdep-plus1.patch: Linux-RT 2.6.26-RT
  lockdep: add +1 to radix tree array.
- patches.rt/rwlock-fixes.patch: Linux-RT 2.6.26-RT
  rwlock: fix pi_list race conditions.
- patches.rt/rwlock-prio-fix.patch: Linux-RT 2.6.26-RT
  rwlock: reset prio on unlocks and wakeups.
- patches.rt/rwlock-torture.patch: Linux-RT 2.6.26-RT
  rwlock: rwlock torture test.
- patches.rt/sched-cpupri-hotplug-support.patch: Linux-RT
  2.6.26-RT.
- patches.rt/sched-cpupri-priocount.patch: Linux-RT 2.6.26-RT.
- patches.rt/trace-eip2ip.patch: Linux-RT 2.6.26-RT
  Re: 2.6.25.4-rt4.
- patches.rt/bz235099-idle-load-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/fix-adaptive-hack.patch: Linux-RT 2.6.26-RT
  fix-adaptive-hack.patch.
- patches.rt/fix-a-previously-reverted-fix.patch: Linux-RT
  2.6.26-RT
  Fix a previously reverted "fix".
- patches.rt/fix-config-debug-rt-mutex-lock-underflow-warnings.patch:
  Linux-RT 2.6.26-RT
  Fix CONFIG_DEBUG_RT_MUTEX lock underflow warnings.
- patches.rt/frace-use-tsc.patch: Linux-RT 2.6.26-RT.
- patches.rt/ftrace-document-event-tracer.patch: Linux-RT
  2.6.26-RT.
- patches.rt/ftrace-document-update1.patch: Linux-RT 2.6.26-RT
  ftrace: document updates.
- patches.rt/ftrace-fix-get-kprobe-wreckage.patch: Linux-RT
  2.6.26-RT
  ftrace-fix-missing-kprobe-include.pathc.
- patches.rt/ftrace-m68knommu-add-FTRACE-support.patch: Linux-RT
  2.6.26-RT.
- patches.rt/ftrace-m68knommu-generic-stacktrace-function.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/ftrace-preempt-trace-check.patch: Linux-RT 2.6.26-RT
  ftrace: only trace preempt off with preempt tracer.
- patches.rt/ftrace-stop-trace-on-crash.patch: Linux-RT 2.6.26-RT
  fix-tracer-wreckage-wtf-is-this-code-all-features.patch.
- patches.rt/generic-cmpxchg-use-raw-local-irq-variant.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/idle2-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/idle-fix.patch: Linux-RT 2.6.26-RT.
- patches.rt/m68knommu_fixes_ontop_of_v2.6.26.patch: Linux-RT
  2.6.26-RT.
- patches.rt/m68knommu-make-cmpxchg-RT-safe.patch: Linux-RT
  2.6.26-RT.
- patches.rt/mapping_nrpages-fix.patch: Linux-RT 2.6.26-RT
  mapping_nrpages-fix.patch.
- patches.rt/nfs-stats-miss-preemption.patch: Linux-RT 2.6.26-RT
  nfs: fix missing preemption check.
- patches.rt/pmtmr-override.patch: Linux-RT 2.6.26-RT
  pmtmr: allow command line override of ioport.
- patches.rt/powerpc-ftrace-stop-on-oops.patch: Linux-RT 2.6.26-RT
  powerpc: ftrace stop on crash.
- patches.rt/ppc64-fix-preempt-unsafe-paths-accessing-per_cpu-variables.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-irqs-m68knommu-make-timer-interrupt-non-threaded.patch:
  Linux-RT 2.6.26-RT.
- patches.rt/preempt-realtime-mm.patch~: Linux-RT 2.6.26-RT.
- patches.rt/raw-spinlocks-for-nmi-print.patch: Linux-RT
  2.6.26-RT.
- patches.rt/revert-preempt-bkl-revert.patch: Linux-RT 2.6.26-RT.
- patches.rt/rtmutex-debug-fix.patch: Linux-RT 2.6.26-RT
  rtmutex-debug-fix.patch.
- patches.rt/rt-mutex-namespace.patch: Linux-RT 2.6.26-RT
  rt-mutex-namespace.patch.
- patches.rt/rt-mutex-use-inline.patch: Linux-RT 2.6.26-RT
  rt-mutex-cleanup.patch.
- patches.rt/rt-rwlock-conservative-locking.patch: Linux-RT
  2.6.26-RT
  rwlock: be more conservative in locking reader_lock_count.
- patches.rt/rwlock-pi-lock-reader.patch: Linux-RT 2.6.26-RT.
- patches.rt/rwlock-protect-reader_lock_count.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rwlock-slowunlock-mutex-fix2.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rwlock-slowunlock-mutex-fix.patch: Linux-RT
  2.6.26-RT.
- patches.rt/rwlock-torture-no-rt.patch: Linux-RT 2.6.26-RT
  rwlock: fix torture test to handle non-rt.
- patches.rt/sched-fix-dequeued-race.patch: Linux-RT 2.6.26-RT
  sched-fix-dequeued-race.patch.
- patches.rt/serial-locking-rt-cleanup.patch~: Linux-RT 2.6.26-RT.
- patches.rt/sub-dont-disable-irqs.patch: Linux-RT 2.6.26-RT
  rt: dont disable irqs in usb.
- patches.rt/trace-do-not-wakeup-when-irqs-disabled.patch:
  Linux-RT 2.6.26-RT
  trace-do-not-wakeup-when-irqs-disabled.patch.
- patches.rt/trace-ktime-scalar.patch: Linux-RT 2.6.26-RT
  ftrace: print ktime values in readable form.
- patches.rt/warn-on-rt-scatterlist.patch: Linux-RT 2.6.26-RT
  remove warn on for scatterlist in preempt rt.
* Tue Jul 29 2008 trenn@suse.de
- patches.arch/acpi_thermal_passive_blacklist.patch: Avoid
  critical temp shutdowns on specific ThinkPad T4x(p) and R40
  (https://bugzilla.novell.com/show_bug.cgi?id=333043).
- patches.fixes/acpi_use_acpi_exception.patch: ACPI dock/bay:
  Use ACPI_EXCEPTION instead of printk(KERN_ERR.
- patches.suse/acpi_provide_non_windows_osi_boot_param.patch:
  ACPI: Provide a spec conform OSI interface to the BIOS.
* Tue Jul 29 2008 bphilips@suse.de
- rpm/kernel-binary.spec.in: uvcvideo merged.  Add Obsoletes.
* Fri Jul 25 2008 mszeredi@suse.cz
- supported.conf: Mark fuse as supported.
* Thu Jul 24 2008 gregkh@suse.de
- Enable CONFIG_MARKERS
* Thu Jul 24 2008 gregkh@suse.de
- Enable CONFIG_SECURITY_SELINUX
* Thu Jul 24 2008 agruen@suse.de
- Fix for using relative paths in /usr/src/linux-obj/$arch/
  $flavor/Makefile (bnc#409982).
* Fri Jul 18 2008 hare@suse.de
- Update config files for S/390.
* Thu Jul 17 2008 bwalle@suse.de
- patches.fixes/show-OSRELEASE-in-VMCOREINFO.diff:
  kdump: Report actual value of VMCOREINFO_OSRELEASE in VMCOREINFO
* Thu Jul 17 2008 jeffm@suse.de
- rpm/kernel-module-subpackage: Removed Supplements handling
  entirely. Use preamble instead.
* Thu Jul 17 2008 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.26: Fix 32-bit build.
* Thu Jul 17 2008 jbeulich@novell.com
- Update Xen patches for 2.6.26.
- patches.xen/540-blkif-nr-segments-check.patch: Delete.
- patches.xen/560-x86_64-no-irq-affinity-break-msg.patch: Delete.
- patches.xen/xen3-patch-2.6.25.1: Delete.
- Update i386 and x86-64 config files.
- config.conf: Re-enable Xen configs.
* Thu Jul 17 2008 jbeulich@novell.com
- patches.fixes/seccomp-disable-tsc-option: Also handle x86-64 (191123).
- Update x86-64 config files.
- patches.suse/raw_device_max_minors_param.diff: Fix uninitialized
  return value.
- patches.apparmor/remove_suid.diff: Also handle fuse.
- supported.conf: Add e1000e, rtc-core, rtc-lib, and rtc-cmos.
* Mon Jul 14 2008 jeffm@suse.de
- patches.kernel.org/fsl-diu-fb-compile-fix: Delete.
* Mon Jul 14 2008 olh@suse.de
- disable unused fsl-diu-fb driver
* Mon Jul 14 2008 jeffm@suse.de
- Updated to 2.6.26-final.
* Mon Jul 14 2008 bwalle@suse.de
- patches.fixes/move-crashkernel-reservation.diff:
  x86: Move crashkernel reservation before dma32_reserve_bootmem().
* Mon Jul 14 2008 rgoldwyn@suse.de
- Enable patches.suse/convert-novfs-to-open-soure-coding-standards.patch
  Fix oops in novfs_daemon_lib_ioctl
* Fri Jul 11 2008 jeffm@suse.de
- Updated squashfs to v3.3. (bnc#373285)
* Thu Jul 10 2008 jeffm@suse.de
- Update config files: Enable raw devices on s390.
* Thu Jul 10 2008 jack@suse.cz
- patches.suse/raw_device_max_minors_param.diff: Allow setting
  of number of raw devices as a module parameter (FATE 302178).
* Thu Jul 10 2008 jeffm@suse.de
- patches.kernel.org/fsl-diu-fb-compile-fix: fsl-diu-fb:
  compile fix.
* Wed Jul  9 2008 jeffm@suse.de
- patches.suse/kdb-common: Removed obsolete file_lock_operations
  printing.
* Wed Jul  9 2008 jeffm@suse.de
- patches.fixes/reiserfs-discard-xattr-prealloc: Upstreamed with
  - git5.
* Wed Jul  9 2008 jeffm@suse.de
- patches.fixes/reiserfs-discard-xattr-prealloc: reiserfs:
  discard prealloc in reiserfs_delete_inode (bnc#389656).
* Wed Jul  9 2008 jeffm@suse.de
- Updated to 2.6.26-rc9-git5.
  - Eliminated 2 patches.
* Wed Jul  9 2008 jbohac@suse.cz
- Update config files.
- patches.suse/netfilter-ip_conntrack_slp.patch: connection
  tracking helper for SLP (fate#301134).
* Wed Jul  9 2008 olh@suse.de
- enable PHYP-assisted OS dump (fate#304131)
* Mon Jul  7 2008 trenn@suse.de
- patches.fixes/acpi_thermal_passive_cleanup.patch: Delete.
* Wed Jul  2 2008 jkosina@suse.de
- patches.fixes/input-add-gericom-bellagio-to-nomux.patch: Input:
  add Gericom Bellagio to nomux blacklist (bnc#404892).
* Wed Jul  2 2008 jkosina@suse.de
- patches.fixes/input-add-acer-aspire-1360-to-nomux.patch: Input:
  add Acer Aspire 1360 to nomux blacklist (bnc#216857).
* Wed Jul  2 2008 jeffm@suse.de
- patches.apparmor/__d_path-keep-connected.diff
  patches.apparmor/mount-consistent-__d_path.diff
  patches.suse/kdb-ia64: Edited to apply with --fuzz=0
- Added --fuzz=0 (-F0) to sequence-patch.sh and spec files
* Fri Jun 27 2008 bwalle@suse.de
- rpm/kernel-binary.spec.in: don't generate the makedumpfile.config
  any more, the new kernel, kexec-tools and makedumpfile is able to
  extract that information from the running kernel and pass it
  as ELF NOTE (in /proc/vmcore)
* Thu Jun 26 2008 olh@suse.de
- add patches.arch/ppc-ibmebus-modalias.patch
  autoload ehea and ehca (bnc#394602 - LTC44938)
* Thu Jun 26 2008 sdietrich@suse.de
- RT:  Update config files - enable CONFIG_CGROUPS
* Thu Jun 26 2008 sdietrich@suse.de
- Update config files - enable CPUSETs support:
  CONFIG_CGROUPS, CONFIG_CGROUP_NS, CONFIG_CGROUP_DEVICE,
  CONFIG_CPUSET, CONFIG_CGROUP_CPUACCT,
  CONFIG_RESOURCE_COUNTERS, CONFIG_MM_OWNER,
  CONFIG_CGROUP_MEM_RES_CTLR, CONFIG_PROC_PID_CPUSET
- debug only: CONFIG_CGROUP_DEBUG
* Thu Jun 26 2008 jeffm@suse.de
- Updated to 2.6.26-rc8
  - Eliminated 1 patch.
* Wed Jun 25 2008 jeffm@suse.de
- rpm/kernel-module-subpackage: Added Supplements tag copying and added
    coreutils and grep to Requires
- rpm/macros.kernel-source: Added kernel-syms to BuildRequires
* Wed Jun 25 2008 olh@suse.de
- enable 64K pages in config ppc64 (fate#304100)
- enable up to 1024 cpus in config ppc64 (fate#304180)
- enable up to 4 cpus in config kdump
- enable powermanagement in config ppc64
- enable cell be cpufreq
* Wed Jun 25 2008 jdelvare@suse.de
- supported.conf: Update the list of i2c bus drivers.
  - i2c-isa is gone.
  - i2c-i810, i2c-prosavage and i2c-savage4 are deprecated and will
    be removed soon, mark as unsupported.
  - i2c-voodoo3 has very limited usefulness, mark as unsupported.
  - i2c-powermac is new, mark as supported.
- supported.conf: Update the list of i2c chip drivers.
  - ds1337, ds1374, rtc8564 and x1205 are gone (RTC drivers, moved
    to drivers/rtc).
  - pca9539, pcf8574 and pcf8575 are deprecated (new GPIO drivers
    exist in drivers/gpio), mark as unsupported.
  - ds1682, max6875 and tsl2550 are new, mark as supported.
* Wed Jun 25 2008 jdelvare@suse.de
- supported.conf: Add two new hwmon drivers (dme1737 and thmc50,
  both unsupported.)
- supported.conf: Mark hwmon and hwmon-vid as supported. These are
  simple, software-only utility modules, it makes little sense
  to taint the kernel just because they are loaded.
* Mon Jun 23 2008 tiwai@suse.de
- disable CONFIG_SND_PCSP as it conflicts with input pcspkr and
  disturbs the order of sound devices
* Mon Jun 23 2008 agruen@suse.de
- genksyms: add support for checking against a reference ABI.
* Wed Jun 18 2008 jeffm@suse.de
- Updated to 2.6.26-rc6-git5.
  - Eliminated 2 patches.
* Fri Jun 13 2008 jeffm@suse.de
- Removed kABI reference symbols
- Restored make-symsets check for ignoring/tolerating kABI changes.
* Fri Jun 13 2008 jeffm@suse.de
- Update config files (vanilla).
* Fri Jun 13 2008 jeffm@suse.de
- Update config files.
* Fri Jun 13 2008 jeffm@suse.de
- Updated to 2.6.26-rc6-git1.
  - Eliminated 2 patches.
* Thu Jun 12 2008 sdietrich@suse.de
- config.conf: Suppress RT until forward-port is complete
* Thu Jun 12 2008 jeffm@suse.de
- patches.drivers/libata-ata_piix-macbook-fix: Delete.
* Thu Jun 12 2008 olh@suse.de
- update ps3 config, disable unused drivers
- disable patches.arch/ppc-efika-slowdown.patch
* Thu Jun 12 2008 jeffm@suse.de
- Updated to 2.6.26-rc5-git5.
  - Eliminated 91 patches.
  - Disabled OCFS2 userspace heartbeat.
  - Disabled Xen.
* Thu Jun 12 2008 sdietrich@suse.de
  Build fix: drop patches merged into 2.6.25.5
- patches.rt/x86-fix-tsc-cyc2ns-crap.patch: Delete.
- patches.rt/x86-prepare-to-fix-32bit-sched-clock-crap.patch:
  Delete.
- patches.rt/x86-fix-32bit-sched-clock-crap.patch: Delete.
  Update to 2.6.25-RT6:
- Update config files: enable (M) CONFIG_RWLOCK_TORTURE_TEST
  Resolve conflicts:
- patches.rt/preempt-realtime-x86_64.patch: Linux-RT 2.6.25.4-RT.
  Add:
- patches.rt/trace-eip2ip.patch: Re: 2.6.25.4-rt4 Compile Fix.
- patches.rt/rwlock-prio-fix.patch: rwlock: reset prio on unlocks
  and wakeups.
- patches.rt/rwlock-fixes.patch: rwlock: fix pi_list race
  conditions.
- patches.rt/event-trace-hrtimer-trace.patch: event-tracer:
  add clockevent trace.
- patches.rt/rwlock-torture.patch: rwlock: rwlock torture test.
- patches.rt/ftrace-wakeup-rawspinlock.patch: ftrace: user raw
  spin lock for wakeup function trace.
- patches.rt/radix-tree-lockdep-plus1.patch: lockdep: add +1 to
  radix tree array.
- patches.rt/sched-cpupri-hotplug-support.patch: sched: fix
  cpupri hotplug support.
- patches.rt/sched-cpupri-priocount.patch: sched: fix cpupri
  priocount.
- patches.rt/ftrace-hotplug-fix.patch: ftrace: cpu hotplug fix.
* Wed Jun 11 2008 agruen@suse.de
- rpm/make-symsets: update to the latest version which will ignore
  symset changes if the symset includes a symbol marked to be
  ignored.
* Wed Jun 11 2008 agruen@suse.de
- rpm/kernel-binary.spec.in: only generate symsets for kernels
  with CONFIG_MODULES=y.
- rpm/macros.kernel-source: remove the ps3 specific check: we
  really want to check whether the kernel mas modules enabled,
  which is covered by the symsets check already now.
* Wed Jun 11 2008 gregkh@suse.de
- patches.drivers/usb-don-t-use-reset-resume-if-drivers-don-t-support-it.patch:
  USB: don't use reset-resume if drivers don't support it.
* Wed Jun 11 2008 gregkh@suse.de
- comment out
  patches.suse/convert-novfs-to-open-soure-coding-standards.patch in the
  series file as it is reported to fail some regression tests.
* Wed Jun 11 2008 gregkh@suse.de
- patches.suse/convert-novfs-to-open-soure-coding-standards.patch:
  Convert novfs to open soure coding standards.
* Mon Jun  9 2008 gregkh@suse.de
- patches.fixes/mptbase-vmware-fix: Delete as it's not needed anymore
* Mon Jun  9 2008 gregkh@suse.de
- refresh patches to apply cleanly
* Mon Jun  9 2008 gregkh@suse.de
- Update to 2.6.25.6
  - loads of bugfixes
  - remove the following patches that were already included in this release:
  - patches.arch/cpufreq_fix_acpi_driver_on_BIOS_changes.patch
  - patches.drivers/libata-force-hardreset-if-link-pm
  - patches.fixes/input-hid-apple-numlock-emulation.patch
  - patches.arch/check-for-acpi-resource-conflicts-in-i2c-bus-drivers.patch
* Mon Jun  9 2008 gregkh@suse.de
- patches.drivers/usb-sierra-option.patch: USB: update sierra
  and option device ids (bnc#374637).
* Mon Jun  9 2008 teheo@suse.de
- patches.drivers/libata-ahci-mcp65-workarounds: ahci: workarounds
  for mcp65 (bnc#398573).
* Mon Jun  9 2008 jkosina@suse.de
- patches.fixes/input-i8042-add-ctr-resume-timeout.patch: Input:
  add retry logic to resume with respect to CTR (bnc#351119).
* Sat Jun  7 2008 gregkh@suse.de
- Update to 2.6.25.5.
  - fixes CVE-2008-1673
* Fri Jun  6 2008 tiwai@suse.de
- add missing patches.rt/ftrace-add-nr_syscalls.patch for fixing
  i386-rt_debug
* Thu Jun  5 2008 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.22,
  patches.xen/xen3-patch-2.6.23,
  patches.xen/xen3-patch-2.6.24,
  patches.xen/xen3-patch-2.6.25: netfront (bnc#394575) and page table
  handling (bnc#396858) fixes.
- patches.xen/540-blkif-nr-segments-check.patch: Avoid theoretical
  TOCTTOU bug in block backend nr_segments checking.
- patches.xen/560-x86_64-no-irq-affinity-break-msg.patch: x86_64:
  Remove warning message about 'Breaking affinity for irq'.
- patches.xen/xen-netfront-flip-prod: fix updating of req_prod_pvt
  in the receive ring for the flipping case.
* Wed Jun  4 2008 jblunck@suse.de
- patches.drivers/libata-acpi-fix-hotplug: Don't call ata_port_freeze()
  in ata_acpi_detach_device().
* Wed Jun  4 2008 schwab@suse.de
- Don't clean asm-offsets.h.
* Wed Jun  4 2008 jjohanse@suse.de
- patches.apparmor/apparmor-module_interface.diff: AppArmor:
  Update patch to properly set profile name_table size (bnc#396993)
* Wed Jun  4 2008 jkosina@suse.de
- patches.fixes/input-add-amilo-pro-v-to-nomux.patch: Add
  Fujitsu-Siemens Amilo Pro 2010 and 2030 to nomux list
  (bnc#345699 bnc#389169)
* Tue Jun  3 2008 tiwai@suse.de
- patches.drivers/alsa-hda-realtek-auto-resume-fix: hda - Fix
  resume of auto-config mode with Realtek codecs (bnc#385473).
* Tue Jun  3 2008 bphilips@suse.de
  Backport: e1000e for montevina systems
- patches.drivers/e1000e-backport-0001-remove-no-longer-used-e1000e_read_nvm_spi.patch:
  e1000e: remove no longer used e1000e_read_nvm_spi.
- patches.drivers/e1000e-backport-0002-remove-irq_sem.patch:
  e1000e: remove irq_sem.
- patches.drivers/e1000e-backport-0003-rename-mc_addr_list_update.patch:
  e1000e: rename mc_addr_list_update.
- patches.drivers/e1000e-backport-0004-reorganize-PHY-and-flow-control-interface.patch:
  e1000e: reorganize PHY and flow control interface.
- patches.drivers/e1000e-backport-0005-Make-arrays-out-of-these-Rx-Tx-registers.patch:
  e1000e: Make arrays out of these Rx/Tx registers.
- patches.drivers/e1000e-backport-0006-rename-a-few-functions.patch:
  e1000e: rename a few functions.
- patches.drivers/e1000e-backport-0007-cleanup-several-stats-issues.patch:
  e1000e: cleanup several stats issues.
- patches.drivers/e1000e-backport-0008-Fix-HW-Error-on-es2lan-ARP-capture-issue-by.patch:
  e1000e: Fix HW Error on es2lan, ARP capture issue by BMC.
- patches.drivers/e1000e-backport-0009-Add-support-for-BM-PHYs-on-ICH9.patch:
  e1000e: Add support for BM PHYs on ICH9.
* Mon Jun  2 2008 tiwai@suse.de
- patches.drivers/alsa-hda-vt1708-pcm-noise-fix: Delete.
- patches.drivers/alsa-hda-backport-2.6.26-rc4: Backport ALSA
  HDA-Intel patches from 2.6.26-rc4 (bnc#390473).
* Mon Jun  2 2008 tiwai@suse.de
- patches.drivers/alsa-asus-a9t-fix: ac97 - Fix ASUS A9T laptop
  output (bnc#363987).
* Mon Jun  2 2008 jeffm@suse.de
- patches.fixes/reiserfs-prealloc-fix: reiserfs: Use list_del_init
  in use_preallocated_list_if_available (bnc#378095).
* Mon Jun  2 2008 tiwai@suse.de
- patches.drivers/alsa-hp2133-mic-fix: hda - Fix mic input on
  HP2133 (bnc#388540).
* Mon Jun  2 2008 tiwai@suse.de
- patches.drivers/alsa-emu10k1-audigy2-digital-fix: emu10k1 - Fix
  inverted Analog/Digital mixer switch on Audigy2 (bnc#396204).
* Sat May 31 2008 sdietrich@suse.de
  RT: Update to 2.5.25.4-rt4 (refreshed patches suppressed)
- Update config files.
  Added:
- patches.rt/adapt-remove-extra-try-to-lock.patch
- patches.rt/adaptive-adjust-pi-wakeup.patch
- patches.rt/adaptive-earlybreak-on-steal.patch
- patches.rt/adaptive-optimize-rt-lock-wakeup.patch
- patches.rt/adaptive-task-oncpu.patch
- patches.rt/arm-fix-compile-error-trace-exit-idle.patch
- patches.rt/arm-omap-02.patch
- patches.rt/arm-omap-03.patch
- patches.rt/arm-omap-04.patch
- patches.rt/arm-omap-05.patch
- patches.rt/fix_vdso_gtod_vsyscall64_2.patch
- patches.rt/ftrace-compile-fixes.patch
- patches.rt/ftrace-disable-daemon.patch
- patches.rt/ftrace-dont-trace-markers.patch
- patches.rt/ftrace-fix-header.patch
- patches.rt/ftrace-function-record-nop.patch
- patches.rt/ftrace-print-missing-cmdline.patch
- patches.rt/ftrace-record-comm-on-ctrl.patch
- patches.rt/ftrace-safe-traversal-hlist.patch
- patches.rt/ftrace-trace-sched.patch
- patches.rt/ftrace-update-cnt-stat-fix.patch
- patches.rt/git-ignore-module-markers.patch
- patches.rt/git-ignore-script-lpp.patch
- patches.rt/lockdep-avoid-fork-waring.patch
- patches.rt/lockstat-fix-contention-points.patch
- patches.rt/lockstat-output.patch
- patches.rt/nmi-show-regs-fix.patch
- patches.rt/preempt-realtime-ftrace-disable-ftraced.patch
- patches.rt/realtime-preempt-warn-about-tracing.patch
- patches.rt/rtmutex-rwlock-cmpxchg-typecast.patch
- patches.rt/rwlock-implement-downgrade-write.patch
- patches.rt/rwlocks-fix-no-preempt-rt.patch
- patches.rt/sched-fix-rt-task-wakeup.patch
- patches.rt/sched-fix-sched-fair-wakeup.patch
- patches.rt/sched-nr-migrate-lower-default-preempt-rt.patch
- patches.rt/sched-prioritize-non-migrating-rt-tasks.patch
- patches.rt/sched-wake_up_idle_cpu-rt.patch
- patches.rt/trace_hist-divzero.patch
- patches.rt/trace_hist-latediv.patch
- patches.rt/x86-delay-enable-preempt-tglx.patch
  Removed:
- patches.rt/rtmutex-optimize-wakeup.patch
- patches.rt/rtmutex-adjust-pi_lock-usage-in-wakeup.patch
- patches.rt/rtmutex-remove-extra-try.patch
- patches.rt/ftrace-remove-print-of-max.patch
* Thu May 29 2008 sdietrich@suse.de
  RT: Update IBM EDAC and PRTM
- Update config files.
- patches.rt/drivers-edac-add-support-for-HS21XM-SMI-remediation:
  Add support for HS21XM SMI Remediation to the 2.6.22-based
  SLERT kernel.
- patches.rt/drivers-edac-add-support-for-HS21_LS21-SMI-remediation:
  Add support for HS21/LS21 SMI Remediation to the 2.6.22-based
  SLERT kernel.
- patches.rt/drivers-edac-i5000-turn-off-unsupported-check:
  Turn off unsupported EDAC check on the i5000 controller.
- patches.rt/drivers-edac-prevent-potential-printk-storm:
  Prevent potential EDAC printk storm.
- patches.rt/drivers-edac-test_device.patch:
  edac-2.6.23-to-2.6.22.patch back-port.
- patches.rt/drivers-edac-new-k8-rev-f.patch:
  edac-2.6.23-to-2.6.22.patch back-port.
- patches.rt/drivers-edac-add-sysfs_notify-calls.patch:
  edac-2.6.23-to-2.6.22.patch back-port.
- patches.rt/drivers-edac-new-amd64.patch:
  drivers-edac-new-amd64.patch (revision 108).
  Obsolete:
- patches.rt/add-support-for-HS21_LS21-SMI-remediation: Delete.
- patches.rt/add-support-for-HS21XM-SMI-remediation: Delete.
- patches.rt/prevent-potential-EDAC-printk-storm: Delete.
* Thu May 29 2008 teheo@suse.de
- patches.drivers/libata-ata_piix-macbook-fix: ata_piix: fix
  macbook ich8m problems (bnc#395407).
* Thu May 29 2008 agruen@suse.de
- Obsolete some KMPs which have been integrated into mainline
  meanwhile (bnc#357799).
* Thu May 29 2008 jbeulich@novell.com
- supported.conf: Mark 8250_pnp as supported.
* Wed May 28 2008 teheo@suse.de
- patches.drivers/libata-acpi-fix-hotplug: libata: Handle bay
  devices in dock stations (bnc#390822 bnc#395082).
* Wed May 28 2008 jkosina@suse.de
- patches.fixes/input-add-i8042-nopnp-for-D845PESV.patch: Input:
  Add i8042.nopnp for Intel D845PESV (bnc#386952).
* Mon May 26 2008 sdietrich@suse.de
  RT: Update to 2.6.25.4-rt3 - add RWSEM / RWLOCK patches:
- patches.rt/rt-mutex-core.patch: Linux-RT 2.6.25.4-RT3.
- patches.rt/multi-reader-account.patch: map tasks to reader
  locks held.
- patches.rt/multi-reader-limit.patch: implement reader limit
  on read write locks.
- patches.rt/multi-reader-lock-account.patch: map read/write
  locks back to their readers.
- patches.rt/multi-reader-pi.patch: read lock Priority Inheritance
  implementation.
- patches.rt/native-sched-clock-booboo.patch: Re: 2.6.25.4-rt2
  (native_sched_clock() booboo).
- patches.rt/rwlocks-default-nr-readers-nr-cpus.patch:
- patches.rt/rwlocks-multiple-readers.patch: implement rwlocks
  management.
- patches.rt/rwsems-multiple-readers.patch: add framework for
  multi readers on rwsems.
* Mon May 26 2008 olh@suse.de
- add patches.arch/ppc-efika-slowdown.patch
  slow down hot code paths to avoid hangs during install (bnc#374309)
* Sun May 25 2008 tiwai@suse.de
- Update config files: forgot to update vanilla kernel configs
* Sat May 24 2008 tiwai@suse.de
- Update config files: disable group scheduler for normal kernels
  for openSUSE 11.0, too (this should be enabled again later for
  11.1 once after the bugs get fixed...)
* Fri May 23 2008 tiwai@suse.de
- patches.drivers/alsa-hda-dma-pos-fix: hda - Fix DMA position
  inaccuracy (bnc#362775, bnc#364421).
- patches.drivers/alsa-hda-vt1708-pcm-noise-fix: hda - Fix noise
  on VT1708 codec (bnc#390473).
* Fri May 23 2008 sdietrich@suse.de
  RT: Update config files: Disable Group Scheduler
* Thu May 22 2008 teheo@suse.de
- patches.drivers/libata-pmp-simg3726-nosrst: libata: SRST can't
  be trusted on PMP sil3726 (bnc#393456).
* Thu May 22 2008 sdietrich@suse.de
  RT: update config files: Disable SYSFS_DEPRECATED
* Thu May 22 2008 teheo@suse.de
- patches.drivers/libata-pmp-detection-fixes: libata: fix a
  number of PMP detection problems (bnc#393456).  series.conf not
  updated.  Fix it.
* Thu May 22 2008 teheo@suse.de
- patches.drivers/libata-pmp-detection-fixes: libata: fix a
  number of PMP detection problems (bnc#393456).
* Thu May 22 2008 sdietrich@suse.de
  RT: build fix
- suppress adaptive locking patches that are not upstream.
- Update config files.
* Wed May 21 2008 jblunck@suse.de
- patches.fixes/acpi-bay-cleanup-and-exit.patch: bay: Exit if
  notify handler cannot be installed (bnc#390822).
* Wed May 21 2008 jbeulich@novell.com
- patches.xen/xen3-patch-2.6.25: Fix DomU boot issue.
* Wed May 21 2008 oneukum@suse.de
- patches.drivers/ehci_fix_remote_wakeup_regression.diff: EHCI:
  fix remote-wakeup regression. (bnc#373128)
* Tue May 20 2008 jblunck@suse.de
- doc/novell-kmp/novell-example-1.1.tar.bz2,
  doc/novell-kmp/novell-example.spec: Fix example spec and Kbuild
  because EXTRA_CFLAGS isn't taken from the environment anymore.
* Tue May 20 2008 sdietrich@suse.de
- Update config files: SLERT compatibility: SYSFS_DEPRECATED
* Tue May 20 2008 sdietrich@suse.de
  RT: Update to 2.5.25.4-rt2 (refreshed patches suppressed)
  Add:
- patches.rt/rtmutex-adaptive-locks.patch: adaptive real-time
  lock support.
- patches.rt/x86-fix-32bit-sched-clock-crap.patch: x86: disable TSC
  for sched_clock() when calibration failed
- patches.rt/x86-fix-tsc-cyc2ns-crap.patch: x86: fix setup of cyc2ns
  in tsc_64.c.
- patches.rt/x86-prepare-to-fix-32bit-sched-clock-crap.patch:
  x86: distangle user disabled TSC from unstable
- patches.rt/adaptive-spinlock-lite-v2.patch: adaptive spinlocks
  lite.
- patches.rt/rtmutex-remove-xchg.patch: rtmutex - remove double
  xchg.
  Update:
- patches.rt/rtmutex-rearrange.patch: rearrange
  rt_spin_lock_slowlock sleeping code.
  Resolve Conflicts:
- patches.rt/rtmutex-lateral-steal.patch: allow rt-mutex
  lock-stealing to include lateral priority.
- Update config files.
* Mon May 19 2008 sdietrich@suse.de
  RT: Adaptive locking patches:
- patches.rt/rtmutex-lateral-steal.patch: allow rt-mutex
  lock-stealing to include lateral priority.
- patches.rt/rtmutex-lateral-steal-sysctl.patch: sysctl for
  runtime-control of lateral mutex stealing.
- patches.rt/rtmutex-rearrange.patch: rearrange
  rt_spin_lock_slowlock sleeping code.
- patches.rt/rtmutex-adaptive-locks.patch: adaptive real-time
  lock support.
- patches.rt/rtmutex-adaptive-timeout.patch: add a timeout
  mechanism to adaptive-locking.
- patches.rt/rtmutex-optimize-wakeup.patch: optimize rt lock
  wakeup.
- patches.rt/rtmutex-adjust-pi_lock-usage-in-wakeup.patch:
  adjust pi_lock usage in wakeup.
- patches.rt/rtmutex-remove-extra-try.patch: remove the extra
  call to try_to_take_lock.
- Update config files:
  CONFIG_RTLOCK_LATERAL_STEAL=y
  CONFIG_ADAPTIVE_RTLOCK=y
  CONFIG_IBM_RTL (disable temporarily to address build error)
* Mon May 19 2008 tiwai@suse.de
- Update config files (missing for rt*).
* Mon May 19 2008 tiwai@suse.de
- patches.drivers/alsa-hda-backport-2.6.25-rc3: Backport ALSA
  HDA-Intel patches from 2.6.25-rc3 (bnc#390473, bnc#386422,
  bnc#385473).
- patches.drivers/alsa-intel8x0-8ch: intel8x0 - Add support of
  8 channel sound.
- patches.drivers/alsa-mixer-oss-map-fix: Add more fallbacks to
  OSS PHONEOUT mixer map.
- patches.drivers/alsa-usb-audio-disconnect-oops-fix: Fix Oops
  with usb-audio reconnection.
- patches.drivers/alsa-hda-intel-new-ati-id: Delete.
- patches.drivers/alsa-hda-intel-new-nvidia-id: Delete.
- patches.drivers/alsa-hda-intel-use-PCI_DEVICE: Delete.
- patches.drivers/alsa-dell-xps-m1330-hp-fix: Delete.
- Update config files.
* Mon May 19 2008 jbeulich@novell.com
- Update Xen patches to c/s 524 and 2.6.25.4.
- patches.xen/xen-balloon-hvm-min: don't allow ballooning down
  a HVM domain below a reasonable limit (172482).
- patches.xen/xen-swiotlb-heuristics: adjust Xen's swiotlb
  default size setting.
* Mon May 19 2008 jbeulich@novell.com
- patches.arch/acpi_thinkpad_introduce_acpi_root_table_boot_param.patch:
  Add missing list terminator for acpi_rsdt_dmi_table[] and move to
  __initdata.
* Mon May 19 2008 sdietrich@suse.de
  RT: SMI latency fixes from IBM.
- patches.rt/add-support-for-HS21_LS21-SMI-remediation: [PATCH
  1/3] Add support for HS21/LS21 SMI Remediation.
- patches.rt/add-support-for-HS21XM-SMI-remediation: [PATCH 2/3]
  Add support for HS21XM SMI Remediation .
- patches.rt/prevent-potential-EDAC-printk-storm: [PATCH 3/3]
  Prevent potential EDAC printk storm.
- RT: Update config files.
* Mon May 19 2008 agruen@suse.de
- patches.suse/nfs4acl-ext3.diff: Fix compilation error when
  CONFIG_EXT3_FS_NFS4ACL is off.
* Mon May 19 2008 sdietrich@suse.de
- RT: Update config files.
* Mon May 19 2008 trenn@suse.de
- patches.suse/acpi-dsdt-initrd-v0.9a-2.6.25.patch: ACPI:
  initramfs DSDT override support.
  - > Did not make it into 2.6.25 again...
- Update config files.
* Sun May 18 2008 agruen@suse.de
- Update the nfs4acl patches (and split them out more explicitly).
  Export all new symbols als GPL only.
- patches.apparmor/parent-permission.diff: Rediff.
* Sun May 18 2008 sdietrich@suse.de
- RT: Update config files.
* Sun May 18 2008 sdietrich@suse.de
  RT: update to 2.6.25.4-rt1 patch queue.
* Sun May 18 2008 sdietrich@suse.de
  RT cleanup: Remove unused/obsolete RT patches.
* Sun May 18 2008 sdietrich@suse.de
- Update config files: update RT debug configs.
- config.conf: enable DEBUG flavors.
* Sat May 17 2008 sdietrich@suse.de
  Linux-RT 2.6.25-RT:
- Updated RT patch queue (not individually enumerated here)
- Update config files: RT
- config.conf: RT
* Fri May 16 2008 gregkh@suse.de
- Update config files.
- patches.drivers/usb-add-option-hso-driver.patch: USB: add
  option hso driver.
* Fri May 16 2008 gregkh@suse.de
- refresh patches due to fuzz
* Fri May 16 2008 gregkh@suse.de
- patches.fixes/bluetooth-wake-up-properly-after-ide-timeout-expires.patch:
  bluetooth: wake up properly after ide timeout expires
  (bnc#390839).
* Fri May 16 2008 olh@suse.de
- update patches.fixes/tg3-flowctrl.patch
  do not compare flow control settings in parallel detect mode
* Fri May 16 2008 trenn@suse.de
- patches.arch/acpi_thinkpad_introduce_acpi_root_table_boot_param.patch:
  Introduce acpi_root_table=rsdt boot param and dmi list to
  force rsdt (http://bugzilla.kernel.org/show_bug.cgi?id=8246).
- patches.arch/acpi_thinkpad_introduce_acpica_rsdt_global_variable.patch:
  ACPICA: Add acpi_gbl_force_rsdt variable
  (http://bugzilla.kernel.org/show_bug.cgi?id=8246).
- patches.arch/acpi_thinkpad_remove_R40e_c-state_blacklist.patch:
  Remove R40e c-state blacklist
  (http://bugzilla.kernel.org/show_bug.cgi?id=8246).
- patches.arch/cpufreq_fix_acpi_driver_on_BIOS_changes.patch:
  CPUFREQ: Check against freq changes from the BIOS.
* Fri May 16 2008 jblunck@suse.de
- patches.fixes/vfs-2.6.git-9bc300eae0400efdfae3fec3352896e10468a78f.patch:
  return to old errno choice for fix mkdir -p with ro-bind mounts
* Fri May 16 2008 jblunck@suse.de
- rpm/kernel-{binary,source}.spec.in: use localversion and set
  KBUILD_BUILD_VERSION (used for Kernel:Vanilla)
* Thu May 15 2008 gregkh@suse.de
- Update to final version of 2.6.25.4
* Thu May 15 2008 jblunck@suse.de
- rpm/macros.kernel-source: Let KMPs fail when flavors_to_build is empty
- rpm/kernel-{dummy,source,syms,binary}.spec.in, scripts/tar-up.sh:
  fix release number changes introduced by bnc#271712 for OBS (bnc#378933)
* Thu May 15 2008 olh@suse.de
- add patches.fixes/tg3-flowctrl.patch
  revert 'Fix supporting flowctrl code' to fix JS21 (bnc#390314)
* Wed May 14 2008 oneukum@suse.de
- patches.drivers/appletouch_persist.diff: reset_resume and
  autosuspend for appletouch touchpads (bnc#388399).
* Wed May 14 2008 oneukum@suse.de
- patches.drivers/appletouch_persist.diff: reset_resume and
  autosuspend for appletouch touchpads (bnc#388399).
* Wed May 14 2008 teheo@suse.de
- patches.drivers/libata-force-hardreset-if-link-pm: libata:
  force hardreset if link is in powersave mode (bnc#381795).
- patches.drivers/libata-ahci-sb600-no-msi: ahci: SB600 ahci
  can't do MSI, blacklist that capability (bnc#384559).
* Tue May 13 2008 gregkh@suse.de
- Update config files for vanilla targets
* Tue May 13 2008 gregkh@suse.de
- Update to 2.6.25.4-rc1
  - lots of bug fixes
* Tue May 13 2008 sdietrich@suse.de
  Cleanup RT:
- patches.rt/*: Delete.
* Mon May 12 2008 jkosina@suse.de
- patches.fixes/input-hid-apple-numlock-emulation.patch:
  HID: split Numlock emulation quirk from
  HID_QUIRK_APPLE_HAS_FN. (bnc#381764).
* Sat May 10 2008 gregkh@suse.de
- Update to 2.6.25.3
  - fixes 2 security issues (one networking, one sparc, no CVE
    numbers issued just yet)
* Fri May  9 2008 jeffm@suse.de
- patches.apparmor/fsetattr-restore-ia_file: vfs: restore ia_file
  for compatibility with external modules. (bnc#381259)
* Fri May  9 2008 hare@suse.de
- patches.drivers/open-iscsi-git-update: Delete.
- patches.fixes/open-iscsi-nop-fixes: NOP timeout fixes.
* Thu May  8 2008 gregkh@suse.de
- patches.kernel.org/v4l-dvb-patch-for-various-dibcom-based-devices.patch:
  V4L/DVB (7473): PATCH for various Dibcom based devices
  (bnc#381632).
* Thu May  8 2008 gregkh@suse.de
- comment out vmware patch as it should no longer be needed
* Thu May  8 2008 gregkh@suse.de
- rediff patches to apply cleanly.
* Thu May  8 2008 gregkh@suse.de
- Update to 2.6.25.3-rc1
  - potential fix for increased power consumption and other bugs
* Thu May  8 2008 sassmann@suse.de
- Update config file ppc64.
- patches.arch/ppc-ps3-ps3vram-mtd.patch: ps3vram driver that
  allows you to access the extra ~240MB of DDR video.
* Wed May  7 2008 gregkh@suse.de
- patches.kernel.org/patch-2.6.25.1-2: Linux 2.6.25.2.
  - fixes CVE-2008-1669
* Tue May  6 2008 schwab@suse.de
- suse-ppc32-mol-semaphore: fix mol for 2.6.26-rc1.
* Mon May  5 2008 jack@suse.cz
  Bring UDF to state in 2.6.26-rc1 to support UDF 2.50.
- patches.suse/udf-10-simple-cleanup-of-truncate.c.patch: udf:
  simple cleanup of truncate.c (fate#303336).
- patches.suse/udf-11-truncate-create-function-for-updating-of-Alloc.patch:
  udf: truncate: create function for updating of Allocation Ext
  Descriptor (fate#303336).
- patches.suse/udf-12-replace-all-adds-to-little-endians-variables-wi.patch:
  udf: replace all adds to little endians variables with
  le*_add_cpu (fate#303336).
- patches.suse/udf-13-simplify-__udf_read_inode.patch: udf:
  simplify __udf_read_inode (fate#303336).
- patches.suse/udf-14-replace-udf_-_offset-macros-with-functions.patch:
  udf: replace udf_*_offset macros with functions (fate#303336).
- patches.suse/udf-15-convert-udf_count_free_bitmap-to-use-bitmap_wei.patch:
  udf: convert udf_count_free_bitmap to use bitmap_weight
  (fate#303336).
- patches.suse/udf-16-udf_get_block-inode_bmap-remove-unneeded-che.patch:
  udf: udf_get_block, inode_bmap - remove unneeded checks
  (fate#303336).
- patches.suse/udf-17-create-function-for-conversion-from-timestamp-t.patch:
  udf: create function for conversion from timestamp to timespec
  (fate#303336).
- patches.suse/udf-18-convert-udf_stamp_to_time-to-return-struct-time.patch:
  udf: convert udf_stamp_to_time to return struct timespec
  (fate#303336).
- patches.suse/udf-19-convert-udf_stamp_to_time-and-udf_time_to_stamp.patch:
  udf: convert udf_stamp_to_time and udf_time_to_stamp to use
  timestamps (fate#303336).
- patches.suse/udf-1-kill-udf_set_blocksize.patch: udf: kill
  udf_set_blocksize (fate#303336).
- patches.suse/udf-20-remove-unneeded-kernel_timestamp-type.patch:
  udf: remove unneeded kernel_timestamp type (fate#303336).
- patches.suse/udf-21-super.c-reorganization.patch: udf: super.c
  reorganization (fate#303336).
- patches.suse/udf-22-Mark-udf_process_sequence-as-noinline.patch:
  udf: Mark udf_process_sequence() as noinline (fate#303336).
- patches.suse/udf-23-Remove-checking-of-existence-of-filename-in-udf.patch:
  udf: Remove checking of existence of filename in udf_add_entry()
  (fate#303336).
- patches.suse/udf-24-Remove-declarations-of-arrays-of-size-UDF_NAME_.patch:
  udf: Remove declarations of arrays of size UDF_NAME_LEN (256
  bytes) (fate#303336).
- patches.suse/udf-25-fix-anchor-point-detection.patch: udf:
  fix anchor point detection (fate#303336).
- patches.suse/udf-26-Cleanup-volume-descriptor-sequence-processing.patch:
  udf: Cleanup volume descriptor sequence processing
  (fate#303336).
- patches.suse/udf-27-Improve-error-recovery-on-mount.patch:
  udf: Improve error recovery on mount (fate#303336).
- patches.suse/udf-28-Move-filling-of-partition-descriptor-info-into.patch:
  udf: Move filling of partition descriptor info into a separate
  function (fate#303336).
- patches.suse/udf-29-Move-processing-of-virtual-partitions.patch:
  udf: Move processing of virtual partitions (fate#303336).
- patches.suse/udf-2-kill-useless-file-header-comments-for-vfs-metho.patch:
  udf: kill useless file header comments for vfs method
  implementations (fate#303336).
- patches.suse/udf-30-Cleanup-anchor-block-detection.patch: udf:
  Cleanup anchor block detection. (fate#303336).
- patches.suse/udf-31-Improve-anchor-block-detection.patch: udf:
  Improve anchor block detection (fate#303336).
- patches.suse/udf-32-Silence-warning-about-accesses-beyond-end-of-de.patch:
  udf: Silence warning about accesses beyond end of device
  (fate#303336).
- patches.suse/udf-33-Fix-detection-of-VAT-version.patch: udf:
  Fix detection of VAT version (fate#303336).
- patches.suse/udf-34-Allow-loading-of-VAT-inode.patch: udf:
  Allow loading of VAT inode (fate#303336).
- patches.suse/udf-35-Handle-VAT-packed-inside-inode-properly.patch:
  udf: Handle VAT packed inside inode properly (fate#303336).
- patches.suse/udf-36-Mount-filesystem-read-only-if-it-has-pseudoover.patch:
  udf: Mount filesystem read-only if it has pseudooverwrite
  partition (fate#303336).
- patches.suse/udf-37-Fix-handling-of-multisession-media.patch:
  udf: Fix handling of multisession media (fate#303336).
- patches.suse/udf-38-Add-read-only-support-for-2.50-UDF-media.patch:
  udf: Add read-only support for 2.50 UDF media (fate#303336).
- patches.suse/udf-39-Fix-bug-in-VAT-mapping-code.patch: udf:
  Fix bug in VAT mapping code (fate#303336).
- patches.suse/udf-3-move-headers-out-include-linux.patch: udf:
  move headers out include/linux/ (fate#303336).
- patches.suse/udf-40-Fix-compilation-warnings-when-UDF-debug-is-on.patch:
  udf: Fix compilation warnings when UDF debug is on
  (fate#303336).
- patches.suse/udf-41-use-crc_itu_t-from-lib-instead-of-udf_crc.patch:
  udf: use crc_itu_t from lib instead of udf_crc (fate#303336).
- patches.suse/udf-42-fs-udf-partition.c-udf_get_pblock-mustn-t-be.patch:
  udf: fs/udf/partition.c:udf_get_pblock() mustn't be inline
  (fate#303336).
- patches.suse/udf-4-Use-DIV_ROUND_UP.patch: fs/udf: Use
  DIV_ROUND_UP (fate#303336).
- patches.suse/udf-5--udf_error-static.patch: make udf_error()
  static (fate#303336).
- patches.suse/udf-6-udf_CS0toUTF8-cleanup.patch: udf:
  udf_CS0toUTF8 cleanup (fate#303336).
- patches.suse/udf-7-fix-udf_build_ustr.patch: udf: fix
  udf_build_ustr (fate#303336).
- patches.suse/udf-8-udf_CS0toNLS-cleanup.patch: udf: udf_CS0toNLS
  cleanup (fate#303336).
- patches.suse/udf-9-constify-crc.patch: udf: constify crc
  (fate#303336).
* Fri May  2 2008 teheo@suse.de
- patches.drivers/libata-sata_inic162x-update-to-0.4:
  sata_inic162x: update to 0.4 (bnc#385599).
* Fri May  2 2008 gregkh@suse.de
- update to 2.6.25.1:
  - fixes CVE-2008-1375 and CVE-2008-1675
  - lots of other minor bugfixes
* Thu May  1 2008 agruen@suse.de
- Provide "kernel(flavor:symset) = version" instead of
  "kernel(symset) = version". This disambiguates the case where
  several kernel flavors end up with the same modver checksums
  (bnc#190163, bnc#355628).
* Thu May  1 2008 teheo@suse.de
- patches.drivers/libata-ata_piix-verify-sidpr: ata_piix: verify
  SIDPR access before enabling it (bnc#385535).
* Wed Apr 30 2008 gregkh@suse.de
- novfs: fixes needed due to apparmor vfs core changes
  (extended attributes probably do not work now...)
* Wed Apr 30 2008 gregkh@suse.de
- patches.suse/novfs-add-the-novell-filesystem-client-kernel-module.patch:
  novfs: Add the Novell filesystem client kernel module.
- Update config files.
* Wed Apr 30 2008 jeffm@suse.de
- patches.suse/reiserfs-simplify-xattr-internal-file-lookups-opens.diff:
  removed fs.h changes, they weren't used.
* Mon Apr 28 2008 gregkh@suse.de
- Update config files.
  hopefully the build system is happy now
* Mon Apr 28 2008 gregkh@suse.de
- rpm/config-subst: add #!/bin/sh at start of script to keep future
  build issues (like bnc#382214) from causing problems.
* Mon Apr 28 2008 sdietrich@suse.de
  Cleanup:
  Remove obsolete patches: ARM-ep93xx-timer, latency-tracing,
  RCU, KVM, mcount, PPC-gtod
- patches.rt/ep93xx-timer-accuracy.patch: Delete.
- patches.rt/ep93xx-clockevents.patch: Delete.
- patches.rt/ep93xx-clockevents-fix.patch: Delete.
- patches.rt/kvm-fix-preemption-bug.patch: Delete.
- patches.rt/kvm-lapic-migrate-latency-fix.patch: Delete.
- patches.rt/kvm-make-less-noise.patch: Delete.
- patches.rt/kvm-preempt-rt-resched-delayed.patch: Delete.
- patches.rt/sched-use-a-2d-bitmap-search-prio-cpu.patch: Delete.
- patches.rt/remove-unused-var-warning.patch: Delete.
- patches.rt/latency-tracing.patch: Delete.
- patches.rt/latency-tracing-remove-trace-array.patch: Delete.
- patches.rt/latency-tracer-disable-across-trace-cmdline.patch:
  Delete.
- patches.rt/latency-tracing-i386-paravirt-fastcall.patch: Delete.
- patches.rt/latency-tracing-i386.patch: Delete.
- patches.rt/latency-tracing-x86_64.patch: Delete.
- patches.rt/latency-tracing-ppc.patch: Delete.
- patches.rt/latency-tracer-printk-fix.patch: Delete.
- patches.rt/latency-tracing-exclude-printk.patch: Delete.
- patches.rt/latency-tracing-prctl-api-hack.patch: Delete.
- patches.rt/latency-tracing-raw-spinlock-hack.patch: Delete.
- patches.rt/latency-tracer-one-off-fix.patch: Delete.
- patches.rt/smaller-trace.patch: Delete.
- patches.rt/trace-name-plus.patch: Delete.
- patches.rt/trace-with-caller-addr.patch: Delete.
- patches.rt/trace-sti-mwait.patch: Delete.
- patches.rt/latency-tracer-optimize-a-bit.patch: Delete.
- patches.rt/idle-stop-critical-timing.patch: Delete.
- patches.rt/latency-tracer-variable-threshold.patch: Delete.
- patches.rt/reset-latency-histogram.patch: Delete.
- patches.rt/undo-latency-tracing-raw-spinlock-hack.patch: Delete.
- patches.rt/random-driver-latency-fix.patch: Delete.
- patches.rt/latency-tracing-use-now.patch: Delete.
- patches.rt/preempt_max_latency-in-all-modes.patch: Delete.
- patches.rt/latency-hist-add-resetting-for-all-timing-options.patch:
  Delete.
- patches.rt/latency-trace-sysctl-config-fix.patch: Delete.
- patches.rt/latency-trace-convert-back-to-ms.patch: Delete.
- patches.rt/latency-trace-fix.patch: Delete.
- patches.rt/trace-cpuidle.patch: Delete.
- patches.rt/lockdep-show-held-locks.patch: Delete.
- patches.rt/lockdep-lock_set_subclass.patch: Delete.
- patches.rt/lockdep-prettify.patch: Delete.
- patches.rt/lockdep-more-entries.patch: Delete.
- patches.rt/latency-tracer-arch-low-address.patch: Delete.
- patches.rt/latency-tracer-dont-panic-on-failed-bootmem-alloc.patch:
  Delete.
- patches.rt/mcount-add-x86_64-notrace-annotations.patch: Delete.
- patches.rt/mcount-add-x86-vdso-notrace-annotations.patch:
  Delete.
- patches.rt/mcount-nmi-notrace-annotations.patch: Delete.
- patches.rt/mcount-add-time-notrace-annotations.patch: Delete.
- patches.rt/mcount-lockdep-notrace-annotations.patch: Delete.
- patches.rt/mcount-preemptcount-notrace-annotations.patch:
  Delete.
- patches.rt/mcount-fault-notrace-annotations.patch: Delete.
- patches.rt/mcount-irqs-notrace-annotations.patch: Delete.
- patches.rt/mcount-rcu-notrace-annotations.patch: Delete.
- patches.rt/latency-measurement-drivers-fix.patch: Delete.
- patches.rt/latency-measurement-drivers.patch: Delete.
- patches.rt/redo-regparm-option.patch: Delete.
- patches.rt/nmi-profiling-base.patch: Delete.
- patches.rt/ppc-gtod-notrace-fix.patch: Delete.
- patches.rt/ppc-gtod-support.patch: Delete.
- patches.rt/ppc-gtod-support-fix.patch: Delete.
- patches.rt/ppc-a-2.patch: Delete.
- patches.rt/ppc-fix-clocksource-timebase-shift.patch: Delete.
- patches.rt/ppc-remove-broken-vsyscall.patch: Delete.
- patches.rt/ppc-read-persistent-clock.patch: Delete.
- patches.rt/ppc-clockevents.patch: Delete.
- patches.rt/ppc-clockevents-fix.patch: Delete.
- patches.rt/ppc-highres-dyntick.patch: Delete.
- patches.rt/inet-hash-bits-ipv6-fix.patch: Delete.
- patches.rt/inet_hash_bits.patch: Delete.
- patches.rt/rcu-1.patch: Delete.
- patches.rt/rcu-2.patch: Delete.
- patches.rt/rcu-3.patch: Delete.
- patches.rt/rcu-4.patch: Delete.
- patches.rt/rcu-preempt-fix-nmi-watchdog.patch: Delete.
- patches.rt/rcu-preempt-fix-rcu-torture.patch: Delete.
- patches.rt/dynticks-rcu-rt-fixlet.patch: Delete.
- patches.rt/rcu-tasklet-softirq.patch: Delete.
- patches.rt/rcu-classic-fixup.patch: Delete.
- patches.rt/rcu-warn-underflow.patch: Delete.
* Mon Apr 28 2008 sdietrich@suse.de
  Cleanup:
  Remove obsolete Adaptive-locking patches
- patches.rt/rtmutex-adaptive-locks.patch: Delete.
- patches.rt/rtmutex-adaptive-mutexes.patch: Delete.
- patches.rt/rtmutex-adaptive-timeout.patch: Delete.
- patches.rt/rtmutex-adjust-pi_lock-usage-in-wakeup.patch: Delete.
- patches.rt/rtmutex-lateral-steal.patch: Delete.
- patches.rt/rtmutex-lateral-steal-sysctl.patch: Delete.
- patches.rt/rtmutex-optimize-wakeup.patch: Delete.
- patches.rt/rtmutex-rearrange.patch: Delete.
- patches.rt/rtmutex-remove-extra-try.patch: Delete.
- patches.rt/x86-ticket-lock.patch: Delete.
* Mon Apr 28 2008 sdietrich@suse.de
  Cleanup:
  Remove ARM and MIPS RT patches
- patches.rt/arm-cmpxchg-support-armv6.patch: Delete.
- patches.rt/arm-cmpxchg.patch: Delete.
- patches.rt/arm-compile-fix.patch: Delete.
- patches.rt/arm-fix-atomic-cmpxchg.patch: Delete.
- patches.rt/arm-futex-atomic-cmpxchg.patch: Delete.
- patches.rt/arm-latency-tracer-support.patch: Delete.
- patches.rt/arm-leds-timer.patch: Delete.
- patches.rt/arm-preempt-config.patch: Delete.
- patches.rt/arm-trace-preempt-idle.patch: Delete.
- patches.rt/latency-tracing-arm.patch: Delete.
- patches.rt/preempt-irqs-arm-fix-oprofile.patch: Delete.
- patches.rt/preempt-irqs-arm.patch: Delete.
- patches.rt/preempt-realtime-arm-bagde4.patch: Delete.
- patches.rt/preempt-realtime-arm-footbridge.patch: Delete.
- patches.rt/preempt-realtime-arm-integrator.patch: Delete.
- patches.rt/preempt-realtime-arm-ixp4xx.patch: Delete.
- patches.rt/preempt-realtime-arm-pxa.patch: Delete.
- patches.rt/preempt-realtime-arm-rawlock-in-mmu_context-h.patch:
  Delete.
- patches.rt/preempt-realtime-arm-shark.patch: Delete.
- patches.rt/preempt-realtime-arm.patch: Delete.
- patches.rt/preempt-irqs-mips.patch: Delete.
- patches.rt/preempt-realtime-mips.patch: Delete.
- patches.rt/rt-mutex-arm-fix.patch: Delete.
- patches.rt/rt-mutex-arm.patch: Delete.
- patches.rt/rt-mutex-mips.patch: Delete.
- patches.rt/mips-change-raw-spinlock-type.patch: Delete.
- patches.rt/mips-remove-conlicting-rtc-lock-declaration.patch:
  Delete.
- patches.rt/mips-remove-duplicate-kconfig.patch: Delete.
- patches.rt/mips-remove-finish-arch-switch.patch: Delete.
* Fri Apr 25 2008 carnold@novell.com
- rpm/kernel-binary.spec.in: kernel-xen does not obsolete/provide
  kernel-xenpae (bnc#382309)
* Fri Apr 25 2008 olh@suse.de
- update patches.arch/ppc-efika-mpc52xx-ac97.patch
  create /builtin/sound/cell-index, content == 1
* Thu Apr 24 2008 olh@suse.de
- update patches.arch/ppc-efika-modalias.patch
  add newline to devspec files
* Thu Apr 24 2008 olh@suse.de
- update patches.arch/ppc-efika-modalias.patch
  add devspec file for mac-io, it was created as a side effect
  in of/platform.c (bnc#374693)
* Thu Apr 24 2008 olh@suse.de
- use bzip2 instead of lzma as rpm compression method for vanilla
* Thu Apr 24 2008 olh@suse.de
- relax Conflicts for kernel-vanilla
  no version check for lvm, udev and apparmor
* Wed Apr 23 2008 olh@suse.de
- readd patches.arch/ppc-pegasos-console-autodetection.patch
  force speed 115200, device-tree has no current-speed property
* Wed Apr 23 2008 tiwai@suse.de
- patches.drivers/alsa-hda-intel-new-ati-id,
  patches.drivers/alsa-hda-intel-use-PCI_DEVICE,
  patches.drivers/alsa-hda-intel-new-nvidia-id: Add missing PCI
  ids for new ATI/Nvidia devices (bnc#370775)
- patches.drivers/alsa-dell-xps-m1330-hp-fix: Fix Dell XPS M1330
  outputs
* Tue Apr 22 2008 jack@suse.cz
- patches.fixes/quota_reiserfs_tail_fix.diff: reiserfs: Unpack
  tails on quota files (375179).
* Tue Apr 22 2008 olh@suse.de
- update patches.arch/ppc-efika-mpc52xx-ac97.patch
  fixes for 2.6.25
* Sat Apr 19 2008 schwab@suse.de
- Add compat handler for PTRACE_GETSIGINFO.
* Sat Apr 19 2008 aj@suse.de
- Conflict with apparmor-parser < 2.3 (not <=) in kernel-binary
  spec files.
* Sat Apr 19 2008 jeffm@suse.de
- Re-synced reiserfs patch set due to broken local repo.
* Sat Apr 19 2008 jeffm@suse.de
- Updated reiserfs patch set
  - Eliminated xattr interaction with AppArmor
  - Eliminated xattr deadlock under load between journal lock and
    xattr dir i_mutex
  - Properly annotated xattr i_mutex locking for lockdep
  - Code cleanup
* Fri Apr 18 2008 jjohanse@suse.de
- Update fsetattr.diff to EXPORT_SYMBOL_GPL(fnotify_change)
* Fri Apr 18 2008 jjohanse@suse.de
- patches.apparmor/__d_path-keep-connected.diff: Fix __d_path
  to allow for old and new behavior bnc#380763.
* Thu Apr 17 2008 gregkh@suse.de
- refresh patches to apply without fuzz
* Thu Apr 17 2008 gregkh@suse.de
- Update to 2.6.25-final
* Wed Apr 16 2008 jjohanse@suse.de
- Update to AppArmor 2.3 patch series
* Wed Apr 16 2008 jeffm@suse.de
- patches.suse/reiserfs-kill-xattr-readdir.diff: Fixed accidental
  passing of -ENODATA to userspace during chown, and messages during
  chown and delete.
* Tue Apr 15 2008 jbeulich@novell.com
- Update Xen patches to 2.6.25-rc9 and c/s 517.
* Sat Apr 12 2008 gregkh@suse.de
- refresh patches to clean up fuzz
* Sat Apr 12 2008 gregkh@suse.de
- Update config files.
* Sat Apr 12 2008 gregkh@suse.de
- updat to 2.6.25-rc9
* Thu Apr 10 2008 gregkh@suse.de
- update to 2.6.25-rc8-git8
* Tue Apr  8 2008 gregkh@suse.de
- update to 2.6.25-rc8-git7
* Mon Apr  7 2008 gregkh@suse.de
- patches.kernel.org/pvrusb2-fix-broken-build-due-to-patch-order-dependency.patch:
  pvrusb2: fix broken build due to patch order dependency.
* Mon Apr  7 2008 gregkh@suse.de
- update to 2.6.25-rc8-git5
* Sun Apr  6 2008 jeffm@suse.de
- patches.suse/reiserfs-kill-xattr-readdir.diff: Removed struct
  file use entirely.
* Sun Apr  6 2008 jeffm@suse.de
- patches.suse/reiserfs-kill-xattr-readdir.diff: Eliminated use
  of vfsmount-less dentry_open().
* Thu Apr  3 2008 teheo@suse.de
- patches.drivers/libata-pata_ali-disable-ATAPI_DMA: pata_ali:
  disable ATAPI DMA (332588).
* Wed Apr  2 2008 gregkh@suse.de
- Update to 2.6.25-rc8
* Tue Apr  1 2008 jblunck@suse.de
- rpm/kernel-source.spec.in,kernel-binary.spec.in: Cleanup Requires
* Mon Mar 31 2008 jdelvare@suse.de
- supported.conf: Add new hwmon drivers, all unsupported.
* Thu Mar 27 2008 jeffm@suse.de
- Fixed up the rest of the reiserfs patch queue.
* Thu Mar 27 2008 jeffm@suse.de
- Updated reiserfs xattr patches.
* Thu Mar 27 2008 gregkh@suse.de
- fix merge error in patches.suse/supported-flag caused by me...
* Thu Mar 27 2008 gregkh@suse.de
- update to 2.6.25-rc7-git2
* Thu Mar 27 2008 gregkh@suse.de
- update to 2.6.25-rc7
  - note that reiserfs xattr patches are now disabled due to merge
    issues...
* Sun Mar 23 2008 teheo@suse.de
- patches.drivers/libata-improve-hpa-error-handling: libata:
  improve HPA error handling (365534).
* Thu Mar 20 2008 gregkh@suse.de
- fix up some EXPORT_SYMBOL() markings to be EXPORT_SYMBOL_GPL() as the
  code is not upstream and we aren't allowed to add non-GPL exports to
  our kernel tree.
* Thu Mar 20 2008 gregkh@suse.de
- update to 2.6.25-rc6-git5
- refresh patches to apply cleanly
* Thu Mar 20 2008 gregkh@suse.de
- update to 2.6.25-rc6-git4
- refresh patches to apply cleanly
* Thu Mar 20 2008 agruen@suse.de
- scripts/tar-up.sh: Rename --kbuild option to --source-timestamp.
  For generating the source timestamp, use HEAD as the branch
  name.
- rpm/get_release_number.sh.in: Don't try to synchronize release
  numbers with kernel-dummy if the release number has been
  specified explicitly (tar-up with --release-string, --timestamp,
  or --source-timestamp).
* Thu Mar 20 2008 olh@suse.de
- remove patches.kernel.org/powerpc-needs-uboot
  not needed without mpc51xx support
* Thu Mar 20 2008 olh@suse.de
- disable gianfar network driver and unused freescale drivers
* Wed Mar 19 2008 gregkh@suse.de
- patch refreshes due to version update
* Wed Mar 19 2008 gregkh@suse.de
- Update to 2.6.25-rc6-git3
- Update config files.
* Wed Mar 19 2008 gregkh@suse.de
- Update to 2.6.25-rc6
  - which deleted the following patches:
  - patches.fixes/hibernation-snapshot-numa-workaround.patch
  - patches.fixes/acpi-fix-double-log-level.patch
  - patches.fixes/acpi_fix_mem_corruption.patch
  - patches.kernel.org/patch-2.6.25-rc5
  - patches.kernel.org/patch-2.6.25-rc5-git3
- Update config files.
- delete patches.arch/x86-nvidia-timer-quirk as it is not being used.
* Wed Mar 19 2008 olh@suse.de
- remove patches.arch/ppc-efika-ipic.patch
  disable mpc51xx support instead
* Tue Mar 18 2008 jeffm@suse.de
- rpm/kernel-binary.spec.in: Changed to just match %%ix86
* Tue Mar 18 2008 olh@suse.de
- add patches.arch/ppc-efika-ipic.patch
  fix a crash in init_ipic_sysfs on efika
* Mon Mar 17 2008 agruen@suse.de
- post.sh: Fix a syntax error when creating the initrd.
* Mon Mar 17 2008 jbeulich@novell.com
- patches.xen/xen-quicklist.patch: Delete.
- Update i386 Xen config file.
- patches.xen/xen3-patch-2.6.25-rc5-rc6: 2.6.25-rc6.
- patches.xen/xen3-auto-xen-kconfig.diff,
  patches.xen/xen3-fixup-kconfig,
  patches.xen/xen3-patch-2.6.19,
  patches.xen/xen3-patch-2.6.20,
  patches.xen/xen3-patch-2.6.21,
  patches.xen/xen3-patch-2.6.22,
  patches.xen/xen3-patch-2.6.23,
  patches.xen/xen3-patch-2.6.24,
  patches.xen/xen3-patch-2.6.25-rc5,
  patches.xen/xen-x86-no-lapic,
  patches.xen/xen-x86-panic-no-reboot: Various adjustments.
* Sun Mar 16 2008 jeffm@suse.de
- rpm/kernel-binary.spec.in: Added an RPM conflict for 32-bit
  kernels and 64-bit glibc to avoid installing a 32-bit kernel
  with 64-bit userspace. (364433, et al)
* Fri Mar 14 2008 jeffm@suse.de
- scripts/tar-up.sh: Added --kbuild option to autogenerate
  release number based on branch and timestamp.
* Fri Mar 14 2008 jeffm@suse.de
- patches.apparmor/export-security_inode_permission-for-aufs:
  LSM: Export security_inode_permission for aufs (356902).
* Fri Mar 14 2008 agruen@suse.de
- Boot loader: do the same during initial installation as when
  updating a kernel package (FATE 302660).
* Thu Mar 13 2008 gregkh@suse.de
- Update to 2.6.25-rc5-git3
* Thu Mar 13 2008 olh@suse.de
- disable unuses pata platform and ibm newemac driver on powerpc
* Thu Mar 13 2008 olh@suse.de
- add patches.xen/xen-quicklist.patch
  fix kernel-xen compile, readd CONFIG_QUICKLIST for xen
* Wed Mar 12 2008 gregkh@suse.de
- remove alpha configs as they are no longer used
* Wed Mar 12 2008 gregkh@suse.de
- Enabled CONFIG_UNUSED_SYMBOLS for now.  It will be disabled
  after the next openSUSE alpha release.  It is being enabled
  for now to let some kmp packages still work while their
  maintainers are working to update them with the 2.6.25
  kernel changes.
* Wed Mar 12 2008 gregkh@suse.de
- refresh patches to apply cleanly
* Wed Mar 12 2008 gregkh@suse.de
- update to 2.6.25-rc5-git2
* Wed Mar 12 2008 sassmann@suse.de
- patches.arch/ppc-ps3-rename-wireless-interface.patch:
  rename ps3 wireless interface from eth? to wlan? for better
  handling in udev
* Wed Mar 12 2008 jbeulich@novell.com
- Update Xen patches to 2.6.25-rc5 and c/s 471.
- patches.xen/xen3-aslr-i386-and-x86_64-randomize-brk.patch:
  Delete.
- patches.xen/xen3-aslr-pie-executable-randomization.patch:
  Delete.
- patches.xen/xen3-early-firewire.diff: Delete.
- Update x86 config files.
- config.conf: Re-enable Xen configs.
* Tue Mar 11 2008 gregkh@suse.de
- add usb persist for storage devices across suspend to ram.  This is going to
  be in 2.6.26, just missed the .25 merge window.
* Tue Mar 11 2008 gregkh@suse.de
- Update to 2.6.26-rc5-git1
- Update config files.
* Tue Mar 11 2008 gregkh@suse.de
- update to 2.6.25-rc5
* Mon Mar 10 2008 agruen@suse.de
- scripts/tar-up.sh: Don't lose the EXTRAVERSION when overriding
  the release number with --release-string or --timestamp.
* Sun Mar  9 2008 jeffm@suse.de
- patches.fixes/hibernation-snapshot-numa-workaround.patch:
  swsusp: workaround for crash on NUMA (kernel.org#9966).
* Sat Mar  8 2008 agruen@suse.de
- Encode the EXTRAVERSION part of kernel release numbers in the
  RPM release instead of in the version. This resolves the problem
  that kernel releases like 2.6.25-rc4 would result in a package
  with a higher version than 2.6.25 according to RPM's versioning
  scheme (bug 271712).
* Fri Mar  7 2008 schwab@suse.de
- Update kdb patches.
* Thu Mar  6 2008 trenn@suse.de
- patches.fixes/acpi_fix_mem_corruption.patch: ACPI: Fix mem
  corruption (350017).
- patches.fixes/acpi_thermal_passive_cleanup.patch: Warn user
  about a BIOS bug in asus boards (350017).
* Thu Mar  6 2008 gregkh@suse.de
- Update s390 config files.
* Thu Mar  6 2008 gregkh@suse.de
- update to 2.6.24-rc5-git1
* Wed Mar  5 2008 gregkh@suse.de
- enable CONFIG_GROUP_SCHED
* Wed Mar  5 2008 gregkh@suse.de
- enable CONFIG_HIGH_RES_TIMERS on i386
* Wed Mar  5 2008 gregkh@suse.de
- enable CONFIG_USB_PERSIST for vanilla config files
* Wed Mar  5 2008 gregkh@suse.de
- refresh patches to apply cleanly with no fuzz
- enable CONFIG_USB_PERSIST so that users can enable this if they want
* Wed Mar  5 2008 gregkh@suse.de
- update the vanilla config files for CONFIG_DEBUG_RODATA
* Wed Mar  5 2008 gregkh@suse.de
- enable CONFIG_DEBUG_RODATA (Not really a debug option, something
  we need in all of our kernels.)
* Wed Mar  5 2008 gregkh@suse.de
- Update vanilla config files.
* Wed Mar  5 2008 jbeulich@novell.com
- patches.fixes/parport-mutex,
  patches.suse/stack-unwind: Fix merge mistakes.
- Update i386 config files.
* Wed Mar  5 2008 gregkh@suse.de
- Update tree to 2.6.25-rc4
* Wed Mar  5 2008 fseidel@suse.de
- add patches.fixes/fat_detect_media_wo_parttable.patch and
  patches.fixes/fat_valid_media.patch:
  detect FAT formated medias without partition table correctly
  (bnc 364365)
* Tue Mar  4 2008 olh@suse.de
- add patches.kernel.org/s390-defkeymap.patch
  Build fix for drivers/s390/char/defkeymap.c
* Tue Mar  4 2008 olh@suse.de
- enable ext2/3 acl support in ps3 kernel
* Tue Mar  4 2008 olh@suse.de
- Update to 2.6.25-rc3-git5
* Tue Mar  4 2008 olh@suse.de
- use suffix -ps3 for PS3 kernel, it is only used in otheros.bld
* Mon Mar  3 2008 lmb@suse.de
- rpm/kernel-binary.spec.in: Require udev >= 118.
* Mon Mar  3 2008 ak@suse.de
- patches.arch/x86-nvidia-timer-quirk: Delete.
  PCI device ID list still not complete and let's have the same
  crap as mainline for now. It would be better to fix the PCI
  ID lists (#302327)
* Sun Mar  2 2008 olh@suse.de
- add patches.fixes/ibmvstgt-fixes.patch
  fix oops in ibmvstgt init function
* Fri Feb 29 2008 olh@suse.de
- add patches.arch/ppc-pci-bogus-resources.patch
  fix bogus test for unassigned resources
* Thu Feb 28 2008 olh@suse.de
- disable CONFIG_CRYPTO_DEV_HIFN_795X on ppc32 due to __divdi3 usage
- update patches.kernel.org/powerpc-needs-uboot
  disable mkimage call in arch/powerpc/boot/wrapper
* Thu Feb 28 2008 olh@suse.de
- update patches.kernel.org/fixed-phy-select
  add dependency on libphy=y
* Wed Feb 27 2008 jdelvare@suse.de
- patches.fixes/acpi-fix-double-log-level.patch: ACPI: Fix a
  duplicate log level.
* Wed Feb 27 2008 trenn@suse.de
- patches.fixes/acpi_force-fan-active.patch: Delete.
* Tue Feb 26 2008 sdietrich@suse.de
- remove obsolete adaptive-locks patches
  patches.rt/rtmutex-adaptive-locks.patch: Delete.
  patches.rt/rtmutex-adjust-pi_lock-usage-in-wakeup.patch: Delete.
  patches.rt/rtmutex-optimize-wakeup.patch: Delete.
  patches.rt/rtmutex-rearrange.patch: Delete.
  patches.rt/rtmutex-remove-extra-try.patch: Delete.
  patches.rt/rtmutex-adaptive-mutexes.patch: Delete.
  patches.rt/rtmutex-adaptive-timeout.patch: Delete.
  patches.rt/rtmutex-lateral-steal.patch: Delete.
  patches.rt/rtmutex-lateral-steal-sysctl.patch: Delete.
* Tue Feb 26 2008 sassmann@suse.de
- remove patches included upstream
  patches.arch/ppc-ps3-gelic-cleanup.patch
  patches.arch/ppc-ps3-gelic-endianness.patch
  patches.arch/ppc-ps3-gelic-ethernet-linkstatus.patch
  patches.arch/ppc-ps3-gelic-fix-fallback.diff
  patches.arch/ppc-ps3-gelic-multiple-interface.patch
  patches.arch/ppc-ps3-gelic-remove-duplicate-ethtool-handlers.patch
  patches.arch/ppc-ps3-gelic-wireless-v2.patch
* Tue Feb 26 2008 jeffm@suse.de
- Update config files: Disabled CONFIG_INPUT_YEALINK per an old
  request from AJ.
* Tue Feb 26 2008 jeffm@suse.de
- Update to 2.6.25-rc3.
* Sun Feb 24 2008 sdietrich@suse.de
- patches.rt/0001-sched-count-of-queued-RT-tasks.patch: Delete.
- patches.rt/0002-sched-track-highest-prio-task-queued.patch:
  Delete.
- patches.rt/0003-sched-add-RT-task-pushing.patch: Delete.
- patches.rt/0004-sched-add-rt-overload-tracking.patch: Delete.
- patches.rt/0005-sched-pull-RT-tasks-from-overloaded-runqueues.patch:
  Delete.
- patches.rt/0006-sched-push-RT-tasks-from-overloaded-CPUs.patch:
  Delete.
- patches.rt/0007-sched-disable-standard-balancer-for-RT-tasks.patch:
  Delete.
- patches.rt/0008-sched-add-RT-balance-cpu-weight.patch: Delete.
- patches.rt/0009-sched-clean-up-this_rq-use-in-kernel-sched_rt.c.patch:
  Delete.
- patches.rt/0010-sched-de-SCHED_OTHER-ize-the-RT-path.patch:
  Delete.
- patches.rt/0011-sched-break-out-search-for-RT-tasks.patch:
  Delete.
- patches.rt/0012-sched-RT-balancing-include-current-CPU.patch:
  Delete.
- patches.rt/0013-sched-pre-route-RT-tasks-on-wakeup.patch:
  Delete.
- patches.rt/0014-sched-optimize-RT-affinity.patch: Delete.
- patches.rt/0015-sched-wake-balance-fixes.patch: Delete.
- patches.rt/0016-sched-RT-balance-avoid-overloading.patch:
  Delete.
- patches.rt/0017-sched-break-out-early-if-RT-task-cannot-be-migrated.patch:
  Delete.
- patches.rt/0018-sched-RT-balance-optimize.patch: Delete.
- patches.rt/0019-sched-RT-balance-optimize-cpu-search.patch:
  Delete.
- patches.rt/0020-sched-RT-balance-on-new-task.patch: Delete.
- patches.rt/0021-sched-clean-up-pick_next_highest_task_rt.patch:
  Delete.
- patches.rt/0022-sched-clean-up-find_lock_lowest_rq.patch:
  Delete.
- patches.rt/0023-sched-clean-up-overlong-line-in-kernel-sched_debug.patch:
  Delete.
- patches.rt/0024-sched-clean-up-kernel-sched_rt.c.patch: Delete.
- patches.rt/0025-sched-remove-rt_overload.patch: Delete.
- patches.rt/0026-sched-remove-leftover-debugging.patch: Delete.
- patches.rt/0027-sched-clean-up-pull_rt_task.patch: Delete.
- patches.rt/0028-sched-clean-up-schedule_balance_rt.patch:
  Delete.
- patches.rt/0029-sched-add-sched-domain-roots.patch: Delete.
- patches.rt/0030-sched-update-root-domain-spans-upon-departure.patch:
  Delete.
- patches.rt/0031-Subject-SCHED-Only-balance-our-RT-tasks-within-ou.patch:
  Delete.
- patches.rt/0032-sched-fix-sched_rt.c-join-leave_domain.patch:
  Delete.
- patches.rt/0033-sched-remove-unused-JIFFIES_TO_NS-macro.patch:
  Delete.
- patches.rt/0034-sched-style-cleanup-2.patch: Delete.
- patches.rt/0035-sched-add-credits-for-RT-balancing-improvements.patch:
  Delete.
- patches.rt/0036-sched-reactivate-fork-balancing.patch: Delete.
- patches.rt/0037-sched-whitespace-cleanups-in-topology.h.patch:
  Delete.
- patches.rt/0038-sched-no-need-for-affine-wakeup-balancing-in.patch:
  Delete.
- patches.rt/0039-sched-get-rid-of-new_cpu-in-try_to_wake_up.patch:
  Delete.
- patches.rt/0040-sched-remove-do_div-from-__sched_slice.patch:
  Delete.
- patches.rt/0041-sched-RT-balance-replace-hooks-with-pre-post-sched.patch:
  Delete.
- patches.rt/0042-sched-RT-balance-add-new-methods-to-sched_class.patch:
  Delete.
- patches.rt/0043-sched-RT-balance-only-adjust-overload-state-when-c.patch:
  Delete.
- patches.rt/0044-sched-remove-some-old-cpuset-logic.patch:
  Delete.
- Remove scheduler patches already upstream in 2.6.25-rc1
* Sat Feb 23 2008 jeffm@suse.de
- patches.kernel.org/libertas-section-conflict: libertas: fix
  section conflict.
* Sat Feb 23 2008 jeffm@suse.de
- Enabled patches.kernel.org/ps3-lpm-include
* Sat Feb 23 2008 jeffm@suse.de
- patches.kernel.org/spu_profiler-include: powerpc: spu_profiler
  build fix.
* Sat Feb 23 2008 jeffm@suse.de
- patches.kernel.org/ps3-lpm-include: ps3: lpm build fix.
* Sat Feb 23 2008 jeffm@suse.de
- patches.kernel.org/fixed-phy-select: powerpc: FSL_SOC requires
  FIXED_PHY.
- patches.kernel.org/lguest-fixups: lguest: Fix asm-offsets_32
  with correct config option.
* Sat Feb 23 2008 jeffm@suse.de
- Build fixes for ia64 and i386.
* Sat Feb 23 2008 jeffm@suse.de
- Update to 2.6.25-rc2-git6.
  - Removed:
  - patches.arch/ppc-pegasos-pata_via-fixup.patch: Delete.
  - patches.arch/ppc-pegasos-console-autodetection.patch: Delete.
  - patches.arch/ppc-ps3-make-dev_id-and-bus_id-u64.diff: Delete.
  - patches.arch/acpi_autoload_bay.patch: Delete.
  - patches.arch/small-acpica-extension-to-be-able-to-store-the-name-of.patch:
    Delete.
  - patches.arch/export-acpi_check_resource_conflict.patch: Delete.
  - patches.drivers/early-firewire.diff: Delete.
  - patches.drivers/scsi-throttle-SG_DXFER_TO_FROM_DEV-warning-better:
    Delete.
  - patches.drivers/libata-implement-force-parameter: Delete.
  - patches.drivers/igb-1.0.8-k2: Delete.
  - patches.drivers/always-announce-new-usb-devices.patch: Delete.
  - patches.drivers/nozomi.patch: Delete.
  - patches.drivers/libata-quirk_amd_ide_mode: Delete.
  - patches.fixes/acpi_autoload_baydock.patch: Delete.
  - patches.fixes/bluetooth_hci_dev_put.patch: Delete.
  - patches.fixes/bluetooth_hci_conn_childs.patch: Delete.
  - patches.fixes/mac80211-fix-hw-scan1.patch: Delete.
  - patches.fixes/mac80211-fix-hw-scan2.patch: Delete.
  - patches.fixes/libiscsi-missing-semicolon.diff: Delete.
  - patches.fixes/pci-quirk-enable-smbus-on-hp-xw4100.patch: Delete.
  - patches.kernel.org/patch-2.6.24.1: Delete.
  - patches.suse/acpi_dsdt_ssdt_initrd_initramfs.patch: Delete.
  - patches.suse/squashfs.patch.fixup: Delete.
  - patches.suse/aslr-pie-executable-randomization.patch: Delete.
  - patches.suse/aslr-i386-and-x86_64-randomize-brk.patch: Delete.
  - Xen and RT currently disabled.
  - SquashFS may not work.
* Fri Feb 22 2008 jeffm@suse.de
- scripts/embargo-filter: fixed and renabled check
* Fri Feb 22 2008 sdietrich@suse.de
- embargoed-patches: eliminate embargoed patches abuse.
* Fri Feb 22 2008 jeffm@suse.de
- scripts/embargo-filter: Disable check for non-existant patches.
* Fri Feb 22 2008 schwab@suse.de
- Update kdb patches.
* Fri Feb 22 2008 jbeulich@novell.com
- config/i386/xenpae: Rename to config/i386/xen.
- config.conf: Delete i386/xenpae.
* Thu Feb 21 2008 sdietrich@suse.de
- Update config files: update RT options for adaptive RT locks
* Thu Feb 21 2008 sdietrich@suse.de
- patches.rt/rtmutex-adaptive-mutexes.patch: cleanup.
- patches.rt/rtmutex-adaptive-timeout.patch: cleanup.
- patches.rt/rtmutex-lateral-steal-sysctl.patch: sysctl for
  runtime-control of lateral mutex stealing.
* Thu Feb 21 2008 jbeulich@novell.com
- Update Xen patches to c/s 425.
- patches.xen/sfc-network-driver: Solarflare: Standard network driver
  (disabled until status clarified).
- patches.xen/sfc-resource-driver: Solarflare: Resource driver
  (disabled until status clarified).
- Update Xen config files.
* Wed Feb 20 2008 ghaskins@suse.de
- adaptive-locking v20
* Wed Feb 20 2008 ghaskins@suse.de
- adaptive-locking v19
* Wed Feb 20 2008 jeffm@suse.de
- Update config files for dmraid45.
* Wed Feb 20 2008 bwalle@suse.de
- rpm/kernel-binary.spec.in: add PAGESIZE detection for
  makedumpfile.config from the .config file also for PPC64
* Wed Feb 20 2008 fseidel@suse.de
- patches.fixes/bluetooth_hci_dev_put.patch,
  patches.fixes/bluetooth_hci_conn_childs.patch,
  patches.fixes/bluetooth_hci_unregister_sysfs.patch:
  fix kernel crash after removing bluetooth adapter (bnc 359546)
* Tue Feb 19 2008 jeffm@suse.de
- patches.suse/dm-raid45-2.6.24-20080602a.patch: DMRAID45 module.
* Fri Feb 15 2008 sdietrich@suse.de
- Update to latest patch set:
- patches.rt/rearrange_rtspinlock_sleep:
  [PATCH 02/10] rearrange rtspinlock sleep
- patches.rt/optimize_rtspinlock_wakeup:
  [PATCH 03/10] optimize rtspinlock wakeup
- patches.rt/adaptive_RT_spinlock_support:
  [PATCH 04/10] Adaptive RT spinlock support
- patches.rt/add_timeout_mechanism: [PATCH 05/10]
  add a loop counter based timeoutmechanism
- patches.rt/adaptive_mutexes: [PATCH 06/10] adaptive mutexes
- patches.rt/adjust_pi_lock_usage_in_wakeup:
  [PATCH 07/10] Adjust pi_lock usage in wakeup
- patches.rt/optimize_printk_fastpath: [PATCH 08/10]
  optimize the !printk fastpath throughthe lock acquisition
- patches.rt/remove_extra_call_try_to_take_lock:
  [PATCH 09/10] remove the extra call to try_to_take_lock
- patches.rt/lateral_lock_steal: [PATCH 10/10] allow
  rt-mutex lock-stealing toinclude lateral priority
* Fri Feb 15 2008 sdietrich@suse.de
- embargoed-patches: (embargo development RT throughput patches)
- Update config files (RT config options)
- patches.rt/optimize_rtspinlock_wakeup: optimize rtspinlock
  wakeup.
- patches.rt/adaptive_RT_spinlock_support: Adaptive RT spinlock
  support.
- patches.rt/add_timeout_mechanism: add
  a loop counter based timeout mechanism
- patches.rt/adaptive_mutexes: adaptive mutexes
- patches.rt/adjust_pi_lock_usage_in_wakeup:
  Adjust pi_lock usage in wakeup
- patches.rt/optimize_printk_fastpath: optimize
  the !printk fastpath through the lockacquisition
- patches.rt/remove_extra_call_try_to_take_lock:
  remove the extra call to try_to_take_lock
- patches.rt/lateral_lock_steal: allow rt-mutex
  lock-stealing to include lateralpriority
- patches.rt/rearrange_rtspinlock_sleep: cleanup rtspinlock sleep
* Thu Feb 14 2008 jeffm@suse.de
- Removed unused OCFS2 patches.
* Thu Feb 14 2008 jeffm@suse.de
- Removed old commented out ocfs2 patchset.
* Thu Feb 14 2008 teheo@suse.de
- patches.drivers/libata-quirk_amd_ide_mode: PCI: modify SATA
  IDE mode quirk (345124).
* Wed Feb 13 2008 jeffm@suse.de
- patches.suse/ocfs2-03-split-disk-heartbeat-out.diff: Fixed
  section conflict.
* Wed Feb 13 2008 jeffm@suse.de
- Update config files.
* Wed Feb 13 2008 jeffm@suse.de
- Merged and re-enabled OCFS2 userspace clustering
* Wed Feb 13 2008 jdelvare@suse.de
- config/*: Don't build i2c algorithm drivers that we do not use.
- supported.conf: Drop i2c-elektor and i2c-algo-pcf, we don't ship
  them.
* Tue Feb 12 2008 teheo@suse.de
  Build fix for section mismatch check.
- patches.drivers/libata-implement-force-parameter: libata:
  implement libata.force module parameter (337610).
* Mon Feb 11 2008 teheo@suse.de
- patches.drivers/libata-force-cable-type: Delete.
- patches.drivers/libata-implement-force-parameter: libata:
  implement libata.force module parameter (337610).
* Fri Feb  8 2008 gregkh@suse.de
- Update to 2.6.24.1
  - fixes CVE-2008-0007, CVE-2008-0009, CVE-2008-0010
  - lots of USB device ids updated
  - lots of other bugfixes
  - removed patches.fixes/bootstrap-memoryless-node.patch as it is now
    contained within.
* Fri Feb  8 2008 gregkh@suse.de
- Move ipv6-no-autoconf to xen directory as it is a Xen bugfix
* Fri Feb  8 2008 bwalle@suse.de
- patches.arch/ppc-fix-prpmc2800: remove patch since it's not needed
  with current binutils any more
* Fri Feb  8 2008 bwalle@suse.de
- patches.drivers/igb-2007-12-11: Delete.
- patches.drivers/igb-1.0.8-k2: Update to latest version which is
  also upstream now in the 2.6.25 tree.
* Fri Feb  8 2008 gregkh@suse.de
- Remove NO_BRP_NOEXECSTACK from the .spec files as it is obsolete
  and doesn't do anything anymore.
* Fri Feb  8 2008 jbeulich@novell.com
- patches.xen/xen3-auto-common.diff,
  patches.xen/xen3-patch-2.6.23: fix merge mistake.
* Fri Feb  8 2008 jbenc@suse.cz
- Update config files: disabled CONFIG_BCM43XX.
* Wed Feb  6 2008 jeffm@suse.de
- patches.apparmor/vfs-mkdir.diff: Added missing case in
  kernel/cgroup.c
* Wed Feb  6 2008 fseidel@suse.de
- updated patches.drivers/nozomi.patch: mainline info
* Wed Feb  6 2008 sdietrich@suse.de
- Update config files: RT@1KHz, sched groups & cpusets enabled.
* Wed Feb  6 2008 olh@suse.de
- enable bnx2 on ppc64 (bnc 359114 - LTC42106)
* Wed Feb  6 2008 gregkh@suse.de
- remove unused lockd patches:
  - patches.suse/lockd-switchable-statd
  - patches.suse/lockd-kernel-statd
  - patches.suse/lockd-suse-config
  - patches.suse/lockd-max-hosts-dynamic
* Wed Feb  6 2008 oneukum@suse.de
- patches.suse/usb_printer_no_auto.diff: Delete.
  Obsoleted by mainline change
* Tue Feb  5 2008 gregkh@suse.de
- Enable CONFIG_TASK_IO_ACCOUNTING (bnc 356547) for RT kernels
* Tue Feb  5 2008 gregkh@suse.de
- Enable CONFIG_TASK_IO_ACCOUNTING (bnc 356547)
* Thu Jan 31 2008 sdietrich@suse.de
- patches.rt/megasas_IRQF_NODELAY.patch: Convert megaraid sas
  IRQ to non-threaded IRQ.
- patches.rt/version.patch: Delete (unused).
* Thu Jan 31 2008 jbenc@suse.cz
- patches.fixes/mac80211-fix-hw-scan1.patch,
  patches.fixes/mac80211-fix-hw-scan2.patch: mac80211: hardware
  scan rework (bnc#307050).
* Thu Jan 31 2008 sdietrich@suse.de
- Remove a legacy tweak carried over from the 10.3 Kernel,
  enable the affinity load-balancing sysctl.
* Wed Jan 30 2008 sdietrich@suse.de
- patches.rt/x86-ticket-lock.patch: FIFO ticket lock spinlocks
  for x86 (RT).
- patches.rt/rt-mutex-i386.patch: Resolve conflicts.
* Tue Jan 29 2008 olh@suse.de
- really skip kernel-ps3 in suse_kernel_module_package rpm macro
* Tue Jan 29 2008 jbeulich@novell.com
- Update Xen patches to 2.6.24 final and c/s 399.
- patches.xen/xen3-seccomp-disable-tsc-option: [PATCH seccomp:
  make tsc disabling optional (191123).
* Sat Jan 26 2008 sdietrich@suse.de
- Linux-RT 2.6.24-rt1 (many patches in patches.rt refreshed).
- patches.rt/series: Delete (unused).
* Sat Jan 26 2008 olh@suse.de
- update patches.arch/ppc-efika-modalias.patch
  use struct device_attribute to fix oops on boot
* Sat Jan 26 2008 jeffm@suse.de
- scripts/sequence-patch.sh: Updated to include $EXTRA_SYMBOLS in
  $PATCH_DIR (e.g.: --symbol=RT creates linux-2.6.24-RT)
* Fri Jan 25 2008 jeffm@suse.de
- patches.rt/rcu-new-1.patch: Updated context against 2.6.24.
* Fri Jan 25 2008 olh@suse.de
- add patches.fixes/bootstrap-memoryless-node.patch
  slab: fix bootstrap on memoryless node
* Fri Jan 25 2008 gregkh@suse.de
- refresh allmost all patches to apply cleanly and have a proper
  diffstat (except for the xen patches, they were left alone...)
* Fri Jan 25 2008 gregkh@suse.de
- Update to 2.6.24
* Thu Jan 24 2008 olh@suse.de
- always skip kernel-ps3 in suse_kernel_module_package rpm macro
* Thu Jan 24 2008 sdietrich@suse.de
- Update config files: set SYSFS_DEPRECATED for reverse
  compatibility with SLERT
* Tue Jan 22 2008 olh@suse.de
- update patches.arch/ppc-efika-modalias.patch
  simplify patch
* Tue Jan 22 2008 agruen@suse.de
- patches.rpmify/cloneconfig.diff: Adjust to upstream i386 + x86_64
  merge (347712).
* Tue Jan 22 2008 sassmann@suse.de
- add defconfig for ps3 kernel
- add entry for ps3 defconfig in config.conf
- add support for kernels without loadable modules to rpm/kernel-binary.spec.in
- include ps3 target in scripts/tar-up_and_run_mbuild.sh
* Mon Jan 21 2008 sdietrich@suse.de
- Update config files (RT)
* Mon Jan 21 2008 sdietrich@suse.de
- Linux-RT 2.6.24-rc8-rt1
* Mon Jan 21 2008 olh@suse.de
- add patches.arch/ppc-pegasos-pata_via-fixup.patch
  call chrp_pci_fixup_vt8231_ata() later to allow pata_via usage
* Mon Jan 21 2008 aj@suse.de
- Remove unused config/s390/rt.
* Sat Jan 19 2008 jeffm@suse.de
- patches.rt/irq-flags-unsigned-long.patch: Delete.
* Sat Jan 19 2008 jeffm@suse.de
- Update to 2.6.24-rc8-git2.
* Fri Jan 18 2008 jeffm@suse.de
- Enabled 2.6.24-rc8-git1.
* Fri Jan 18 2008 jbenc@suse.cz
- patches.fixes/rt2x00-remove-duplicate-id.patch: Delete. The patch
  is not correct, there exist two cards with different chipsets but
  the same USB ID.
* Fri Jan 18 2008 jbenc@suse.cz
- patches.fixes/rt2x00-remove-duplicate-id.patch: rt2x00: remove
  duplicate USB ID (350956).
* Fri Jan 18 2008 olh@suse.de
- sync powerpc vanilla with default .config to enable libata
* Fri Jan 18 2008 olh@suse.de
- add patches.arch/ppc-pegasos-mv643xx_eth-modalias.patch
  provide module alias platform:mv643xx_eth
* Thu Jan 17 2008 jeffm@suse.de
- Update to 2.6.24-rc8-git1.
* Wed Jan 16 2008 jeffm@suse.de
- Update to 2.6.24-rc8.
* Sun Jan 13 2008 jeffm@suse.de
- Update to 2.6.24-rc7-git5.
* Fri Jan 11 2008 jeffm@suse.de
- Update to 2.6.24-rc7-git3.
* Fri Jan 11 2008 jbeulich@novell.com
- Update Xen patches to c/s 372 and 2.6.24-rc7.
- patches.xen/xen3-aux-at_vector_size.patch: Delete.
- Update Xen config files.
* Thu Jan 10 2008 olh@suse.de
- update patches.arch/ppc-efika-ethernet-phy.patch
  move Forth code to fixup_device_tree_efika
* Wed Jan  9 2008 schwab@suse.de
- Fix debug package build.
* Wed Jan  9 2008 oneukum@suse.de
- Update config files. CONFIG_USB_SUSPEND default
* Wed Jan  9 2008 schwab@suse.de
- Update kdb patches.
* Wed Jan  9 2008 jbeulich@novell.com
- patches.suse/stack-unwind: Another try...
* Wed Jan  9 2008 jeffm@suse.de
- Update config files: Enabled CONFIG_SCSI_SAS_ATA. (346990)
* Wed Jan  9 2008 jbeulich@novell.com
- patches.suse/stack-unwind: Fix CONFIG_FRAME_POINTER build.
* Wed Jan  9 2008 jbeulich@novell.com
- patches.suse/stack-unwind: DWARF2 EH-frame based stack
  unwinding.
- patches.xen/xen3-stack-unwind: DWARF2 EH-frame based stack
  unwinding.
- Update config files.
* Tue Jan  8 2008 jeffm@suse.de
- patches.fixes/seccomp-disable-tsc-option: Fixed so it only applies
  to i386, and updated config files.
* Tue Jan  8 2008 jeffm@suse.de
- patches.fixes/seccomp-disable-tsc-option: [PATCH] seccomp:
  make tsc disabling optional (191123).
* Tue Jan  8 2008 olh@suse.de
- add patches.arch/ppc-efika-ethernet-phy.patch
  drop patches.arch/ppc-efika-bestcomm-ethernet.patch
  provide phy-handle property for fec_mpc52xx (347234)
* Tue Jan  8 2008 teheo@suse.de
- patches.drivers/libata-force-cable-type: libata: implement
  libata.force_cbl parameter (337610).
* Mon Jan  7 2008 jeffm@suse.de
- Update to 2.6.24-rc7.
* Mon Jan  7 2008 teheo@suse.de
- patches.drivers/libata-sata_nv-disable-ADMA: sata_nv: disable
  ADMA by default (346508).
* Mon Jan  7 2008 teheo@suse.de
  Bug 347708.  port_info for vmw was being assigned to the wrong index.
- patches.drivers/libata-ata_piix-vmw-ign-DMA-err: ata_piix:
  ignore ATA_DMA_ERR on vmware ich4 (258256).
* Mon Jan  7 2008 teheo@suse.de
  As the rest of kernel has caught up now, this one is no longer
  necessary.
- patches.drivers/libata-fix-up-build-after-upstream-update.patch:
  Delete.
* Mon Jan  7 2008 teheo@suse.de
- patches.drivers/libata-fix-up-build-after-upstream-update.patch:
  Delete.
- patches.drivers/libata-ata_piix-vmw-ign-DMA-err: ata_piix:
  ignore ATA_DMA_ERR on vmware ich4 (258256).
* Fri Jan  4 2008 jeffm@suse.de
- Update config files for -vanilla.
* Fri Jan  4 2008 jeffm@suse.de
- patches.rt/timer-freq-tweaks.patch: Adjusted context.
* Fri Jan  4 2008 jeffm@suse.de
- Update config files.
* Fri Jan  4 2008 jeffm@suse.de
- Update to 2.6.24-rc6-git11.
* Wed Jan  2 2008 jblunck@suse.de
- rpm/kernel-binary.spec.in: Copy debug sources to a proper location.
* Tue Jan  1 2008 jeffm@suse.de
- Update to 2.6.24-rc6-git7.
* Tue Jan  1 2008 jeffm@suse.de
- scripts/run_oldconfig.sh: Removed RT symbol from EXTRA_SYMBOLS.
  We add it manually when building the patch list. This allows
  the script to work with the RT kernel without having to remove
  all the other configs from config.conf first.
